(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source |
  GRASShopper benchmarks.
  Authors: Ruzica Piskac, Thomas Wies, and Damien Zufferey
  URL: http://cs.nyu.edu/wies/software/grasshopper
  See also: GRASShopper - Complete Heap Verification with Mixed Specifications. In TACAS 2014, pages 124-139.

  If this benchmark is satisfiable, GRASShopper reports the following error message:
  tests/spl/sl_sorted_set/insert.spl:53:2-16:Possible heap access through null or dangling reference
  |)
(set-info :category "crafted")
(set-info :status unsat)

(declare-sort Loc 0)
(declare-sort SetLoc 0)
(declare-sort SetInt 0)
(declare-sort FldBool 0)
(declare-sort FldLoc 0)
(declare-sort FldInt 0)
(declare-fun null$0 () Loc)
(declare-fun read$0 (FldInt Loc) Int)
(declare-fun read$1 (FldLoc Loc) Loc)
(declare-fun write$0 (FldLoc Loc Loc) FldLoc)
(declare-fun ep$0 (FldLoc SetLoc Loc) Loc)
(declare-fun emptyset$0 () SetInt)
(declare-fun emptyset$1 () SetLoc)
(declare-fun setenum$0 (Loc) SetLoc)
(declare-fun union$0 (SetLoc SetLoc) SetLoc)
(declare-fun union$1 (SetInt SetInt) SetInt)
(declare-fun intersection$0 (SetLoc SetLoc) SetLoc)
(declare-fun setminus$0 (SetLoc SetLoc) SetLoc)
(declare-fun Btwn$0 (FldLoc Loc Loc Loc) Bool)
(declare-fun Frame$0 (SetLoc SetLoc FldLoc FldLoc) Bool)
(declare-fun Frame$1 (SetLoc SetLoc FldInt FldInt) Bool)
(declare-fun in$0 (Int SetInt) Bool)
(declare-fun in$1 (Loc SetLoc) Bool)
(declare-fun Alloc$0 () SetLoc)
(declare-fun Alloc_1$0 () SetLoc)
(declare-fun Axiom_14$0 () Bool)
(declare-fun Axiom_15$0 () Bool)
(declare-fun Axiom_16$0 () Bool)
(declare-fun Axiom_17$0 () Bool)
(declare-fun Axiom_18$0 () Bool)
(declare-fun FP$0 () SetLoc)
(declare-fun FP_1$0 () SetLoc)
(declare-fun FP_2$0 () SetLoc)
(declare-fun FP_3$0 () SetLoc)
(declare-fun FP_Caller$0 () SetLoc)
(declare-fun FP_Caller_1$0 () SetLoc)
(declare-fun FP_Caller_final$0 () SetLoc)
(declare-fun FP_Caller_final_1$0 () SetLoc)
(declare-fun c1_2$0 () SetInt)
(declare-fun c1_3$0 () SetInt)
(declare-fun c2_2$0 () SetInt)
(declare-fun c2_3$0 () SetInt)
(declare-fun content$0 () SetInt)
(declare-fun content_1$0 () SetInt)
(declare-fun curr_2$0 () Loc)
(declare-fun curr_3$0 () Loc)
(declare-fun data$0 () FldInt)
(declare-fun lst$0 () Loc)
(declare-fun lst_1$0 () Loc)
(declare-fun n_2$0 () Loc)
(declare-fun next$0 () FldLoc)
(declare-fun next_1$0 () FldLoc)
(declare-fun prev_2$0 () Loc)
(declare-fun prev_3$0 () Loc)
(declare-fun res$0 () Loc)
(declare-fun res_1$0 () Loc)
(declare-fun sk_?X_44$0 () SetLoc)
(declare-fun sk_?X_45$0 () SetLoc)
(declare-fun sk_?X_46$0 () SetLoc)
(declare-fun sk_?X_47$0 () SetLoc)
(declare-fun sk_?X_48$0 () SetLoc)
(declare-fun sk_?X_49$0 () SetLoc)
(declare-fun sk_?X_50$0 () SetLoc)
(declare-fun sk_?X_51$0 () SetLoc)
(declare-fun sk_?X_52$0 () SetLoc)
(declare-fun sk_?X_53$0 () SetLoc)
(declare-fun sk_?X_54$0 () SetLoc)
(declare-fun sk_?X_55$0 () SetLoc)
(declare-fun sk_?X_56$0 () SetLoc)
(declare-fun sk_?X_57$0 () SetLoc)
(declare-fun sk_?X_58$0 () SetLoc)
(declare-fun sk_?X_59$0 () SetLoc)
(declare-fun sk_?X_60$0 () SetLoc)
(declare-fun sorted_set_c$0 (FldInt FldLoc Loc Loc) SetInt)
(declare-fun sorted_set_domain$0 (FldInt FldLoc Loc Loc) SetLoc)
(declare-fun sorted_set_struct$0 (SetLoc FldInt FldLoc Loc Loc SetInt) Bool)
(declare-fun tmp_1$0 () Loc)
(declare-fun val$0 () Int)
(declare-fun val_1$0 () Int)
(declare-fun witness$0 (FldInt Int SetInt) Loc)

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next$0 null$0 ?y ?y)) (= null$0 ?y)
            (Btwn$0 next$0 null$0 (read$1 next$0 null$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next$0 n_2$0 ?y ?y)) (= n_2$0 ?y)
            (Btwn$0 next$0 n_2$0 (read$1 next$0 n_2$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next$0 prev_3$0 ?y ?y)) (= prev_3$0 ?y)
            (Btwn$0 next$0 prev_3$0 (read$1 next$0 prev_3$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$1 next$0 null$0) null$0))
            (not (Btwn$0 next$0 null$0 ?y ?y)) (= null$0 ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$1 next$0 n_2$0) n_2$0))
            (not (Btwn$0 next$0 n_2$0 ?y ?y)) (= n_2$0 ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$1 next$0 prev_3$0) prev_3$0))
            (not (Btwn$0 next$0 prev_3$0 ?y ?y)) (= prev_3$0 ?y))))

(assert (Btwn$0 next$0 null$0 (read$1 next$0 null$0) (read$1 next$0 null$0)))

(assert (Btwn$0 next$0 n_2$0 (read$1 next$0 n_2$0) (read$1 next$0 n_2$0)))

(assert (Btwn$0 next$0 prev_3$0 (read$1 next$0 prev_3$0) (read$1 next$0 prev_3$0)))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 curr_2$0)
        (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
      (sorted_set_domain$0 data$0 next$0 lst$0 curr_2$0))
    (not
         (in$0 (read$0 data$0 curr_2$0)
           (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 curr_3$0)
        (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
      (sorted_set_domain$0 data$0 next$0 lst$0 curr_2$0))
    (not
         (in$0 (read$0 data$0 curr_3$0)
           (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 prev_2$0)
        (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
      (sorted_set_domain$0 data$0 next$0 lst$0 curr_2$0))
    (not
         (in$0 (read$0 data$0 prev_2$0)
           (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 prev_3$0)
        (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
      (sorted_set_domain$0 data$0 next$0 lst$0 curr_2$0))
    (not
         (in$0 (read$0 data$0 prev_3$0)
           (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))))

(assert (or
    (in$1
      (witness$0 data$0 val_1$0
        (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
      (sorted_set_domain$0 data$0 next$0 lst$0 curr_2$0))
    (not (in$0 val_1$0 (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 curr_2$0)
        (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_3$0 null$0))
    (not
         (in$0 (read$0 data$0 curr_2$0)
           (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 curr_3$0)
        (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_3$0 null$0))
    (not
         (in$0 (read$0 data$0 curr_3$0)
           (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 prev_2$0)
        (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_3$0 null$0))
    (not
         (in$0 (read$0 data$0 prev_2$0)
           (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 prev_3$0)
        (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_3$0 null$0))
    (not
         (in$0 (read$0 data$0 prev_3$0)
           (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 val_1$0
        (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_3$0 null$0))
    (not (in$0 val_1$0 (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 curr_2$0)
        (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
      null$0)
    (in$0 (read$0 data$0 curr_2$0)
      (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 curr_3$0)
        (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
      null$0)
    (in$0 (read$0 data$0 curr_3$0)
      (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 prev_2$0)
        (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
      null$0)
    (in$0 (read$0 data$0 prev_2$0)
      (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 prev_3$0)
        (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
      null$0)
    (in$0 (read$0 data$0 prev_3$0)
      (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))))

(assert (or
    (=
      (witness$0 data$0 val_1$0
        (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
      null$0)
    (in$0 val_1$0 (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 curr_2$0)
        (sorted_set_c$0 data$0 next$0 lst$0 null$0))
      null$0)
    (in$0 (read$0 data$0 curr_2$0)
      (sorted_set_c$0 data$0 next$0 lst$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 curr_3$0)
        (sorted_set_c$0 data$0 next$0 lst$0 null$0))
      null$0)
    (in$0 (read$0 data$0 curr_3$0)
      (sorted_set_c$0 data$0 next$0 lst$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 prev_2$0)
        (sorted_set_c$0 data$0 next$0 lst$0 null$0))
      null$0)
    (in$0 (read$0 data$0 prev_2$0)
      (sorted_set_c$0 data$0 next$0 lst$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 prev_3$0)
        (sorted_set_c$0 data$0 next$0 lst$0 null$0))
      null$0)
    (in$0 (read$0 data$0 prev_3$0)
      (sorted_set_c$0 data$0 next$0 lst$0 null$0))))

(assert (or
    (= (witness$0 data$0 val_1$0 (sorted_set_c$0 data$0 next$0 lst$0 null$0))
      null$0)
    (in$0 val_1$0 (sorted_set_c$0 data$0 next$0 lst$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 curr_2$0)
        (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
      null$0)
    (in$0 (read$0 data$0 curr_2$0)
      (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 curr_3$0)
        (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
      null$0)
    (in$0 (read$0 data$0 curr_3$0)
      (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 prev_2$0)
        (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
      null$0)
    (in$0 (read$0 data$0 prev_2$0)
      (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 prev_3$0)
        (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
      null$0)
    (in$0 (read$0 data$0 prev_3$0)
      (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 val_1$0
        (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
      null$0)
    (in$0 val_1$0 (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))))

(assert (or
    (= (read$0 data$0 curr_2$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 curr_2$0)
          (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))))
    (not
         (in$0 (read$0 data$0 curr_2$0)
           (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))))

(assert (or
    (= (read$0 data$0 curr_3$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 curr_3$0)
          (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))))
    (not
         (in$0 (read$0 data$0 curr_3$0)
           (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))))

(assert (or
    (= (read$0 data$0 prev_2$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 prev_2$0)
          (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))))
    (not
         (in$0 (read$0 data$0 prev_2$0)
           (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))))

(assert (or
    (= (read$0 data$0 prev_3$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 prev_3$0)
          (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))))
    (not
         (in$0 (read$0 data$0 prev_3$0)
           (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))))

(assert (or
    (= val_1$0
      (read$0 data$0
        (witness$0 data$0 val_1$0
          (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))))
    (not (in$0 val_1$0 (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))))

(assert (or
    (= (read$0 data$0 curr_2$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 curr_2$0)
          (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))))
    (not
         (in$0 (read$0 data$0 curr_2$0)
           (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))))

(assert (or
    (= (read$0 data$0 curr_3$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 curr_3$0)
          (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))))
    (not
         (in$0 (read$0 data$0 curr_3$0)
           (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))))

(assert (or
    (= (read$0 data$0 prev_2$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 prev_2$0)
          (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))))
    (not
         (in$0 (read$0 data$0 prev_2$0)
           (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))))

(assert (or
    (= (read$0 data$0 prev_3$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 prev_3$0)
          (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))))
    (not
         (in$0 (read$0 data$0 prev_3$0)
           (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))))

(assert (or
    (= val_1$0
      (read$0 data$0
        (witness$0 data$0 val_1$0
          (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))))
    (not (in$0 val_1$0 (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))))

(assert (forall ((l1 Loc))
        (or
            (in$0 (read$0 data$0 l1)
              (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
            (not
                 (in$1 l1 (sorted_set_domain$0 data$0 next$0 lst$0 curr_2$0))))))

(assert (forall ((l1 Loc))
        (or
            (in$0 (read$0 data$0 l1)
              (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
            (not
                 (in$1 l1
                   (sorted_set_domain$0 data$0 next$0 curr_3$0 null$0))))))

(assert (or
    (= lst$0
      (witness$0 data$0 (read$0 data$0 lst$0)
        (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))
    (not (in$1 lst$0 (sorted_set_domain$0 data$0 next$0 lst_1$0 curr_3$0)))))

(assert (or
    (= curr_3$0
      (witness$0 data$0 (read$0 data$0 curr_3$0)
        (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))
    (not
         (in$1 curr_3$0 (sorted_set_domain$0 data$0 next$0 lst_1$0 curr_3$0)))))

(assert (or
    (= null$0
      (witness$0 data$0 (read$0 data$0 null$0)
        (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))
    (not (in$1 null$0 (sorted_set_domain$0 data$0 next$0 lst_1$0 curr_3$0)))))

(assert (or
    (= prev_3$0
      (witness$0 data$0 (read$0 data$0 prev_3$0)
        (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))
    (not
         (in$1 prev_3$0 (sorted_set_domain$0 data$0 next$0 lst_1$0 curr_3$0)))))

(assert (or
    (= lst$0
      (witness$0 data$0 (read$0 data$0 lst$0)
        (sorted_set_c$0 data$0 next$0 lst$0 null$0)))
    (not (in$1 lst$0 (sorted_set_domain$0 data$0 next$0 lst$0 null$0)))))

(assert (or
    (= curr_3$0
      (witness$0 data$0 (read$0 data$0 curr_3$0)
        (sorted_set_c$0 data$0 next$0 lst$0 null$0)))
    (not (in$1 curr_3$0 (sorted_set_domain$0 data$0 next$0 lst$0 null$0)))))

(assert (or
    (= null$0
      (witness$0 data$0 (read$0 data$0 null$0)
        (sorted_set_c$0 data$0 next$0 lst$0 null$0)))
    (not (in$1 null$0 (sorted_set_domain$0 data$0 next$0 lst$0 null$0)))))

(assert (or
    (= prev_3$0
      (witness$0 data$0 (read$0 data$0 prev_3$0)
        (sorted_set_c$0 data$0 next$0 lst$0 null$0)))
    (not (in$1 prev_3$0 (sorted_set_domain$0 data$0 next$0 lst$0 null$0)))))

(assert (or
    (= lst$0
      (witness$0 data$0 (read$0 data$0 lst$0)
        (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))
    (not (in$1 lst$0 (sorted_set_domain$0 data$0 next$0 curr_2$0 null$0)))))

(assert (or
    (= curr_3$0
      (witness$0 data$0 (read$0 data$0 curr_3$0)
        (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))
    (not (in$1 curr_3$0 (sorted_set_domain$0 data$0 next$0 curr_2$0 null$0)))))

(assert (or
    (= null$0
      (witness$0 data$0 (read$0 data$0 null$0)
        (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))
    (not (in$1 null$0 (sorted_set_domain$0 data$0 next$0 curr_2$0 null$0)))))

(assert (or
    (= prev_3$0
      (witness$0 data$0 (read$0 data$0 prev_3$0)
        (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))
    (not (in$1 prev_3$0 (sorted_set_domain$0 data$0 next$0 curr_2$0 null$0)))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_18$0)
            (or (= l1 l2) (< (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 curr_3$0))
                (not (in$1 l1 sk_?X_44$0)) (not (in$1 l2 sk_?X_44$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_16$0)
            (or (= l1 l2) (< (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0)) (not (in$1 l1 sk_?X_60$0))
                (not (in$1 l2 sk_?X_60$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_14$0)
            (or (= l1 l2) (< (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0)) (not (in$1 l1 sk_?X_57$0))
                (not (in$1 l2 sk_?X_57$0))))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next$0 null$0 (ep$0 next$0 FP_1$0 null$0) ?y)
            (not (Btwn$0 next$0 null$0 ?y ?y)) (not (in$1 ?y FP_1$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next$0 lst$0 (ep$0 next$0 FP_1$0 lst$0) ?y)
            (not (Btwn$0 next$0 lst$0 ?y ?y)) (not (in$1 ?y FP_1$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next$0 curr_3$0 (ep$0 next$0 FP_1$0 curr_3$0) ?y)
            (not (Btwn$0 next$0 curr_3$0 ?y ?y)) (not (in$1 ?y FP_1$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next$0 n_2$0 (ep$0 next$0 FP_1$0 n_2$0) ?y)
            (not (Btwn$0 next$0 n_2$0 ?y ?y)) (not (in$1 ?y FP_1$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next$0
              (witness$0 data$0 (read$0 data$0 curr_2$0)
                (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
              (ep$0 next$0 FP_1$0
                (witness$0 data$0 (read$0 data$0 curr_2$0)
                  (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))
              ?y)
            (not
                 (Btwn$0 next$0
                   (witness$0 data$0 (read$0 data$0 curr_2$0)
                     (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
                   ?y ?y))
            (not (in$1 ?y FP_1$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next$0
              (witness$0 data$0 (read$0 data$0 curr_2$0)
                (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
              (ep$0 next$0 FP_1$0
                (witness$0 data$0 (read$0 data$0 curr_2$0)
                  (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))
              ?y)
            (not
                 (Btwn$0 next$0
                   (witness$0 data$0 (read$0 data$0 curr_2$0)
                     (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
                   ?y ?y))
            (not (in$1 ?y FP_1$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next$0
              (witness$0 data$0 (read$0 data$0 curr_2$0)
                (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
              (ep$0 next$0 FP_1$0
                (witness$0 data$0 (read$0 data$0 curr_2$0)
                  (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))
              ?y)
            (not
                 (Btwn$0 next$0
                   (witness$0 data$0 (read$0 data$0 curr_2$0)
                     (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
                   ?y ?y))
            (not (in$1 ?y FP_1$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next$0
              (witness$0 data$0 (read$0 data$0 curr_2$0)
                (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
              (ep$0 next$0 FP_1$0
                (witness$0 data$0 (read$0 data$0 curr_2$0)
                  (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))
              ?y)
            (not
                 (Btwn$0 next$0
                   (witness$0 data$0 (read$0 data$0 curr_2$0)
                     (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
                   ?y ?y))
            (not (in$1 ?y FP_1$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next$0
              (witness$0 data$0 (read$0 data$0 curr_3$0)
                (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
              (ep$0 next$0 FP_1$0
                (witness$0 data$0 (read$0 data$0 curr_3$0)
                  (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))
              ?y)
            (not
                 (Btwn$0 next$0
                   (witness$0 data$0 (read$0 data$0 curr_3$0)
                     (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
                   ?y ?y))
            (not (in$1 ?y FP_1$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next$0
              (witness$0 data$0 (read$0 data$0 curr_3$0)
                (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
              (ep$0 next$0 FP_1$0
                (witness$0 data$0 (read$0 data$0 curr_3$0)
                  (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))
              ?y)
            (not
                 (Btwn$0 next$0
                   (witness$0 data$0 (read$0 data$0 curr_3$0)
                     (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
                   ?y ?y))
            (not (in$1 ?y FP_1$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next$0
              (witness$0 data$0 (read$0 data$0 curr_3$0)
                (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
              (ep$0 next$0 FP_1$0
                (witness$0 data$0 (read$0 data$0 curr_3$0)
                  (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))
              ?y)
            (not
                 (Btwn$0 next$0
                   (witness$0 data$0 (read$0 data$0 curr_3$0)
                     (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
                   ?y ?y))
            (not (in$1 ?y FP_1$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next$0
              (witness$0 data$0 (read$0 data$0 curr_3$0)
                (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
              (ep$0 next$0 FP_1$0
                (witness$0 data$0 (read$0 data$0 curr_3$0)
                  (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))
              ?y)
            (not
                 (Btwn$0 next$0
                   (witness$0 data$0 (read$0 data$0 curr_3$0)
                     (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
                   ?y ?y))
            (not (in$1 ?y FP_1$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next$0
              (witness$0 data$0 (read$0 data$0 prev_2$0)
                (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
              (ep$0 next$0 FP_1$0
                (witness$0 data$0 (read$0 data$0 prev_2$0)
                  (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))
              ?y)
            (not
                 (Btwn$0 next$0
                   (witness$0 data$0 (read$0 data$0 prev_2$0)
                     (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
                   ?y ?y))
            (not (in$1 ?y FP_1$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next$0
              (witness$0 data$0 (read$0 data$0 prev_2$0)
                (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
              (ep$0 next$0 FP_1$0
                (witness$0 data$0 (read$0 data$0 prev_2$0)
                  (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))
              ?y)
            (not
                 (Btwn$0 next$0
                   (witness$0 data$0 (read$0 data$0 prev_2$0)
                     (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
                   ?y ?y))
            (not (in$1 ?y FP_1$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next$0
              (witness$0 data$0 (read$0 data$0 prev_2$0)
                (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
              (ep$0 next$0 FP_1$0
                (witness$0 data$0 (read$0 data$0 prev_2$0)
                  (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))
              ?y)
            (not
                 (Btwn$0 next$0
                   (witness$0 data$0 (read$0 data$0 prev_2$0)
                     (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
                   ?y ?y))
            (not (in$1 ?y FP_1$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next$0
              (witness$0 data$0 (read$0 data$0 prev_2$0)
                (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
              (ep$0 next$0 FP_1$0
                (witness$0 data$0 (read$0 data$0 prev_2$0)
                  (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))
              ?y)
            (not
                 (Btwn$0 next$0
                   (witness$0 data$0 (read$0 data$0 prev_2$0)
                     (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
                   ?y ?y))
            (not (in$1 ?y FP_1$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next$0
              (witness$0 data$0 (read$0 data$0 prev_3$0)
                (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
              (ep$0 next$0 FP_1$0
                (witness$0 data$0 (read$0 data$0 prev_3$0)
                  (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))
              ?y)
            (not
                 (Btwn$0 next$0
                   (witness$0 data$0 (read$0 data$0 prev_3$0)
                     (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
                   ?y ?y))
            (not (in$1 ?y FP_1$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next$0
              (witness$0 data$0 (read$0 data$0 prev_3$0)
                (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
              (ep$0 next$0 FP_1$0
                (witness$0 data$0 (read$0 data$0 prev_3$0)
                  (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))
              ?y)
            (not
                 (Btwn$0 next$0
                   (witness$0 data$0 (read$0 data$0 prev_3$0)
                     (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
                   ?y ?y))
            (not (in$1 ?y FP_1$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next$0
              (witness$0 data$0 (read$0 data$0 prev_3$0)
                (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
              (ep$0 next$0 FP_1$0
                (witness$0 data$0 (read$0 data$0 prev_3$0)
                  (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))
              ?y)
            (not
                 (Btwn$0 next$0
                   (witness$0 data$0 (read$0 data$0 prev_3$0)
                     (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
                   ?y ?y))
            (not (in$1 ?y FP_1$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next$0
              (witness$0 data$0 (read$0 data$0 prev_3$0)
                (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
              (ep$0 next$0 FP_1$0
                (witness$0 data$0 (read$0 data$0 prev_3$0)
                  (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))
              ?y)
            (not
                 (Btwn$0 next$0
                   (witness$0 data$0 (read$0 data$0 prev_3$0)
                     (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
                   ?y ?y))
            (not (in$1 ?y FP_1$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next$0
              (witness$0 data$0 val$0
                (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
              (ep$0 next$0 FP_1$0
                (witness$0 data$0 val$0
                  (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))
              ?y)
            (not
                 (Btwn$0 next$0
                   (witness$0 data$0 val$0
                     (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
                   ?y ?y))
            (not (in$1 ?y FP_1$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next$0
              (witness$0 data$0 val$0
                (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
              (ep$0 next$0 FP_1$0
                (witness$0 data$0 val$0
                  (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))
              ?y)
            (not
                 (Btwn$0 next$0
                   (witness$0 data$0 val$0
                     (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
                   ?y ?y))
            (not (in$1 ?y FP_1$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next$0
              (witness$0 data$0 val$0
                (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
              (ep$0 next$0 FP_1$0
                (witness$0 data$0 val$0
                  (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))
              ?y)
            (not
                 (Btwn$0 next$0
                   (witness$0 data$0 val$0
                     (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
                   ?y ?y))
            (not (in$1 ?y FP_1$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next$0
              (witness$0 data$0 val$0
                (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
              (ep$0 next$0 FP_1$0
                (witness$0 data$0 val$0
                  (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))
              ?y)
            (not
                 (Btwn$0 next$0
                   (witness$0 data$0 val$0
                     (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
                   ?y ?y))
            (not (in$1 ?y FP_1$0)))))

(assert (or (in$1 (ep$0 next$0 FP_1$0 null$0) FP_1$0)
    (= null$0 (ep$0 next$0 FP_1$0 null$0))))

(assert (or (in$1 (ep$0 next$0 FP_1$0 lst$0) FP_1$0)
    (= lst$0 (ep$0 next$0 FP_1$0 lst$0))))

(assert (or (in$1 (ep$0 next$0 FP_1$0 curr_3$0) FP_1$0)
    (= curr_3$0 (ep$0 next$0 FP_1$0 curr_3$0))))

(assert (or (in$1 (ep$0 next$0 FP_1$0 n_2$0) FP_1$0)
    (= n_2$0 (ep$0 next$0 FP_1$0 n_2$0))))

(assert (or
    (in$1
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 curr_2$0)
          (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))
      FP_1$0)
    (=
      (witness$0 data$0 (read$0 data$0 curr_2$0)
        (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 curr_2$0)
          (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))))))

(assert (or
    (in$1
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 curr_2$0)
          (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))
      FP_1$0)
    (=
      (witness$0 data$0 (read$0 data$0 curr_2$0)
        (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 curr_2$0)
          (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))))))

(assert (or
    (in$1
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 curr_2$0)
          (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))
      FP_1$0)
    (=
      (witness$0 data$0 (read$0 data$0 curr_2$0)
        (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 curr_2$0)
          (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))))))

(assert (or
    (in$1
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 curr_2$0)
          (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))
      FP_1$0)
    (=
      (witness$0 data$0 (read$0 data$0 curr_2$0)
        (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 curr_2$0)
          (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))))))

(assert (or
    (in$1
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 curr_3$0)
          (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))
      FP_1$0)
    (=
      (witness$0 data$0 (read$0 data$0 curr_3$0)
        (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 curr_3$0)
          (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))))))

(assert (or
    (in$1
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 curr_3$0)
          (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))
      FP_1$0)
    (=
      (witness$0 data$0 (read$0 data$0 curr_3$0)
        (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 curr_3$0)
          (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))))))

(assert (or
    (in$1
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 curr_3$0)
          (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))
      FP_1$0)
    (=
      (witness$0 data$0 (read$0 data$0 curr_3$0)
        (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 curr_3$0)
          (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))))))

(assert (or
    (in$1
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 curr_3$0)
          (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))
      FP_1$0)
    (=
      (witness$0 data$0 (read$0 data$0 curr_3$0)
        (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 curr_3$0)
          (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))))))

(assert (or
    (in$1
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 prev_2$0)
          (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))
      FP_1$0)
    (=
      (witness$0 data$0 (read$0 data$0 prev_2$0)
        (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 prev_2$0)
          (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))))))

(assert (or
    (in$1
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 prev_2$0)
          (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))
      FP_1$0)
    (=
      (witness$0 data$0 (read$0 data$0 prev_2$0)
        (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 prev_2$0)
          (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))))))

(assert (or
    (in$1
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 prev_2$0)
          (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))
      FP_1$0)
    (=
      (witness$0 data$0 (read$0 data$0 prev_2$0)
        (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 prev_2$0)
          (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))))))

(assert (or
    (in$1
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 prev_2$0)
          (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))
      FP_1$0)
    (=
      (witness$0 data$0 (read$0 data$0 prev_2$0)
        (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 prev_2$0)
          (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))))))

(assert (or
    (in$1
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 prev_3$0)
          (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))
      FP_1$0)
    (=
      (witness$0 data$0 (read$0 data$0 prev_3$0)
        (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 prev_3$0)
          (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))))))

(assert (or
    (in$1
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 prev_3$0)
          (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))
      FP_1$0)
    (=
      (witness$0 data$0 (read$0 data$0 prev_3$0)
        (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 prev_3$0)
          (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))))))

(assert (or
    (in$1
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 prev_3$0)
          (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))
      FP_1$0)
    (=
      (witness$0 data$0 (read$0 data$0 prev_3$0)
        (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 prev_3$0)
          (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))))))

(assert (or
    (in$1
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 prev_3$0)
          (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))
      FP_1$0)
    (=
      (witness$0 data$0 (read$0 data$0 prev_3$0)
        (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 (read$0 data$0 prev_3$0)
          (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))))))

(assert (or
    (in$1
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 val$0
          (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))
      FP_1$0)
    (=
      (witness$0 data$0 val$0 (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 val$0
          (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))))))

(assert (or
    (in$1
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 val$0
          (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))
      FP_1$0)
    (=
      (witness$0 data$0 val$0 (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 val$0
          (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))))))

(assert (or
    (in$1
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 val$0
          (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))
      FP_1$0)
    (= (witness$0 data$0 val$0 (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 val$0
          (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))))))

(assert (or
    (in$1
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 val$0
          (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))
      FP_1$0)
    (=
      (witness$0 data$0 val$0
        (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
      (ep$0 next$0 FP_1$0
        (witness$0 data$0 val$0
          (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))))))

(assert (Btwn$0 next$0 null$0 (ep$0 next$0 FP_1$0 null$0)
  (ep$0 next$0 FP_1$0 null$0)))

(assert (Btwn$0 next$0 lst$0 (ep$0 next$0 FP_1$0 lst$0) (ep$0 next$0 FP_1$0 lst$0)))

(assert (Btwn$0 next$0 curr_3$0 (ep$0 next$0 FP_1$0 curr_3$0)
  (ep$0 next$0 FP_1$0 curr_3$0)))

(assert (Btwn$0 next$0 n_2$0 (ep$0 next$0 FP_1$0 n_2$0) (ep$0 next$0 FP_1$0 n_2$0)))

(assert (Btwn$0 next$0
  (witness$0 data$0 (read$0 data$0 curr_2$0)
    (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 curr_2$0)
      (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 curr_2$0)
      (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))))

(assert (Btwn$0 next$0
  (witness$0 data$0 (read$0 data$0 curr_2$0)
    (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 curr_2$0)
      (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 curr_2$0)
      (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))))

(assert (Btwn$0 next$0
  (witness$0 data$0 (read$0 data$0 curr_2$0)
    (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 curr_2$0)
      (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 curr_2$0)
      (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))))

(assert (Btwn$0 next$0
  (witness$0 data$0 (read$0 data$0 curr_2$0)
    (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 curr_2$0)
      (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 curr_2$0)
      (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))))

(assert (Btwn$0 next$0
  (witness$0 data$0 (read$0 data$0 curr_3$0)
    (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 curr_3$0)
      (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 curr_3$0)
      (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))))

(assert (Btwn$0 next$0
  (witness$0 data$0 (read$0 data$0 curr_3$0)
    (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 curr_3$0)
      (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 curr_3$0)
      (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))))

(assert (Btwn$0 next$0
  (witness$0 data$0 (read$0 data$0 curr_3$0)
    (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 curr_3$0)
      (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 curr_3$0)
      (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))))

(assert (Btwn$0 next$0
  (witness$0 data$0 (read$0 data$0 curr_3$0)
    (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 curr_3$0)
      (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 curr_3$0)
      (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))))

(assert (Btwn$0 next$0
  (witness$0 data$0 (read$0 data$0 prev_2$0)
    (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 prev_2$0)
      (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 prev_2$0)
      (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))))

(assert (Btwn$0 next$0
  (witness$0 data$0 (read$0 data$0 prev_2$0)
    (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 prev_2$0)
      (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 prev_2$0)
      (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))))

(assert (Btwn$0 next$0
  (witness$0 data$0 (read$0 data$0 prev_2$0)
    (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 prev_2$0)
      (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 prev_2$0)
      (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))))

(assert (Btwn$0 next$0
  (witness$0 data$0 (read$0 data$0 prev_2$0)
    (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 prev_2$0)
      (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 prev_2$0)
      (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))))

(assert (Btwn$0 next$0
  (witness$0 data$0 (read$0 data$0 prev_3$0)
    (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 prev_3$0)
      (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 prev_3$0)
      (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))))

(assert (Btwn$0 next$0
  (witness$0 data$0 (read$0 data$0 prev_3$0)
    (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 prev_3$0)
      (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 prev_3$0)
      (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))))

(assert (Btwn$0 next$0
  (witness$0 data$0 (read$0 data$0 prev_3$0)
    (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 prev_3$0)
      (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 prev_3$0)
      (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))))

(assert (Btwn$0 next$0
  (witness$0 data$0 (read$0 data$0 prev_3$0)
    (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 prev_3$0)
      (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 (read$0 data$0 prev_3$0)
      (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))))

(assert (Btwn$0 next$0
  (witness$0 data$0 val$0 (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 val$0 (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 val$0 (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))))

(assert (Btwn$0 next$0
  (witness$0 data$0 val$0 (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 val$0 (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 val$0 (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))))

(assert (Btwn$0 next$0
  (witness$0 data$0 val$0 (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 val$0 (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 val$0 (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))))

(assert (Btwn$0 next$0
  (witness$0 data$0 val$0 (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 val$0 (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))
  (ep$0 next$0 FP_1$0
    (witness$0 data$0 val$0 (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 curr_2$0)
        (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
      (sorted_set_domain$0 data$0 next$0 lst_1$0 curr_3$0))
    (not
         (in$0 (read$0 data$0 curr_2$0)
           (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 curr_3$0)
        (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
      (sorted_set_domain$0 data$0 next$0 lst_1$0 curr_3$0))
    (not
         (in$0 (read$0 data$0 curr_3$0)
           (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 prev_2$0)
        (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
      (sorted_set_domain$0 data$0 next$0 lst_1$0 curr_3$0))
    (not
         (in$0 (read$0 data$0 prev_2$0)
           (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 prev_3$0)
        (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
      (sorted_set_domain$0 data$0 next$0 lst_1$0 curr_3$0))
    (not
         (in$0 (read$0 data$0 prev_3$0)
           (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))))

(assert (or
    (in$1
      (witness$0 data$0 val_1$0
        (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
      (sorted_set_domain$0 data$0 next$0 lst_1$0 curr_3$0))
    (not (in$0 val_1$0 (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 curr_2$0)
        (sorted_set_c$0 data$0 next$0 lst$0 null$0))
      (sorted_set_domain$0 data$0 next$0 lst$0 null$0))
    (not
         (in$0 (read$0 data$0 curr_2$0)
           (sorted_set_c$0 data$0 next$0 lst$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 curr_3$0)
        (sorted_set_c$0 data$0 next$0 lst$0 null$0))
      (sorted_set_domain$0 data$0 next$0 lst$0 null$0))
    (not
         (in$0 (read$0 data$0 curr_3$0)
           (sorted_set_c$0 data$0 next$0 lst$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 prev_2$0)
        (sorted_set_c$0 data$0 next$0 lst$0 null$0))
      (sorted_set_domain$0 data$0 next$0 lst$0 null$0))
    (not
         (in$0 (read$0 data$0 prev_2$0)
           (sorted_set_c$0 data$0 next$0 lst$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 prev_3$0)
        (sorted_set_c$0 data$0 next$0 lst$0 null$0))
      (sorted_set_domain$0 data$0 next$0 lst$0 null$0))
    (not
         (in$0 (read$0 data$0 prev_3$0)
           (sorted_set_c$0 data$0 next$0 lst$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 val_1$0 (sorted_set_c$0 data$0 next$0 lst$0 null$0))
      (sorted_set_domain$0 data$0 next$0 lst$0 null$0))
    (not (in$0 val_1$0 (sorted_set_c$0 data$0 next$0 lst$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 curr_2$0)
        (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_2$0 null$0))
    (not
         (in$0 (read$0 data$0 curr_2$0)
           (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 curr_3$0)
        (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_2$0 null$0))
    (not
         (in$0 (read$0 data$0 curr_3$0)
           (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 prev_2$0)
        (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_2$0 null$0))
    (not
         (in$0 (read$0 data$0 prev_2$0)
           (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 prev_3$0)
        (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_2$0 null$0))
    (not
         (in$0 (read$0 data$0 prev_3$0)
           (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 val_1$0
        (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_2$0 null$0))
    (not (in$0 val_1$0 (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 curr_2$0)
        (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
      null$0)
    (in$0 (read$0 data$0 curr_2$0)
      (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 curr_3$0)
        (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
      null$0)
    (in$0 (read$0 data$0 curr_3$0)
      (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 prev_2$0)
        (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
      null$0)
    (in$0 (read$0 data$0 prev_2$0)
      (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 prev_3$0)
        (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
      null$0)
    (in$0 (read$0 data$0 prev_3$0)
      (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))))

(assert (or
    (=
      (witness$0 data$0 val_1$0
        (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
      null$0)
    (in$0 val_1$0 (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 curr_2$0)
        (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
      null$0)
    (in$0 (read$0 data$0 curr_2$0)
      (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 curr_3$0)
        (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
      null$0)
    (in$0 (read$0 data$0 curr_3$0)
      (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 prev_2$0)
        (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
      null$0)
    (in$0 (read$0 data$0 prev_2$0)
      (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 prev_3$0)
        (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
      null$0)
    (in$0 (read$0 data$0 prev_3$0)
      (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 val_1$0
        (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
      null$0)
    (in$0 val_1$0 (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))))

(assert (or
    (= (read$0 data$0 curr_2$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 curr_2$0)
          (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))))
    (not
         (in$0 (read$0 data$0 curr_2$0)
           (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))))

(assert (or
    (= (read$0 data$0 curr_3$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 curr_3$0)
          (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))))
    (not
         (in$0 (read$0 data$0 curr_3$0)
           (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))))

(assert (or
    (= (read$0 data$0 prev_2$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 prev_2$0)
          (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))))
    (not
         (in$0 (read$0 data$0 prev_2$0)
           (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))))

(assert (or
    (= (read$0 data$0 prev_3$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 prev_3$0)
          (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))))
    (not
         (in$0 (read$0 data$0 prev_3$0)
           (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))))

(assert (or
    (= val_1$0
      (read$0 data$0
        (witness$0 data$0 val_1$0
          (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))))
    (not (in$0 val_1$0 (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0)))))

(assert (or
    (= (read$0 data$0 curr_2$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 curr_2$0)
          (sorted_set_c$0 data$0 next$0 lst$0 null$0))))
    (not
         (in$0 (read$0 data$0 curr_2$0)
           (sorted_set_c$0 data$0 next$0 lst$0 null$0)))))

(assert (or
    (= (read$0 data$0 curr_3$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 curr_3$0)
          (sorted_set_c$0 data$0 next$0 lst$0 null$0))))
    (not
         (in$0 (read$0 data$0 curr_3$0)
           (sorted_set_c$0 data$0 next$0 lst$0 null$0)))))

(assert (or
    (= (read$0 data$0 prev_2$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 prev_2$0)
          (sorted_set_c$0 data$0 next$0 lst$0 null$0))))
    (not
         (in$0 (read$0 data$0 prev_2$0)
           (sorted_set_c$0 data$0 next$0 lst$0 null$0)))))

(assert (or
    (= (read$0 data$0 prev_3$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 prev_3$0)
          (sorted_set_c$0 data$0 next$0 lst$0 null$0))))
    (not
         (in$0 (read$0 data$0 prev_3$0)
           (sorted_set_c$0 data$0 next$0 lst$0 null$0)))))

(assert (or
    (= val_1$0
      (read$0 data$0
        (witness$0 data$0 val_1$0
          (sorted_set_c$0 data$0 next$0 lst$0 null$0))))
    (not (in$0 val_1$0 (sorted_set_c$0 data$0 next$0 lst$0 null$0)))))

(assert (or
    (= (read$0 data$0 curr_2$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 curr_2$0)
          (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))))
    (not
         (in$0 (read$0 data$0 curr_2$0)
           (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))))

(assert (or
    (= (read$0 data$0 curr_3$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 curr_3$0)
          (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))))
    (not
         (in$0 (read$0 data$0 curr_3$0)
           (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))))

(assert (or
    (= (read$0 data$0 prev_2$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 prev_2$0)
          (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))))
    (not
         (in$0 (read$0 data$0 prev_2$0)
           (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))))

(assert (or
    (= (read$0 data$0 prev_3$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 prev_3$0)
          (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))))
    (not
         (in$0 (read$0 data$0 prev_3$0)
           (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))))

(assert (or
    (= val_1$0
      (read$0 data$0
        (witness$0 data$0 val_1$0
          (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))))
    (not (in$0 val_1$0 (sorted_set_c$0 data$0 next$0 curr_2$0 null$0)))))

(assert (forall ((l1 Loc))
        (or
            (in$0 (read$0 data$0 l1)
              (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
            (not
                 (in$1 l1
                   (sorted_set_domain$0 data$0 next$0 lst_1$0 curr_3$0))))))

(assert (forall ((l1 Loc))
        (or
            (in$0 (read$0 data$0 l1)
              (sorted_set_c$0 data$0 next$0 lst$0 null$0))
            (not (in$1 l1 (sorted_set_domain$0 data$0 next$0 lst$0 null$0))))))

(assert (forall ((l1 Loc))
        (or
            (in$0 (read$0 data$0 l1)
              (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
            (not
                 (in$1 l1
                   (sorted_set_domain$0 data$0 next$0 curr_2$0 null$0))))))

(assert (or
    (= lst$0
      (witness$0 data$0 (read$0 data$0 lst$0)
        (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))
    (not (in$1 lst$0 (sorted_set_domain$0 data$0 next$0 lst$0 curr_2$0)))))

(assert (or
    (= curr_3$0
      (witness$0 data$0 (read$0 data$0 curr_3$0)
        (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))
    (not (in$1 curr_3$0 (sorted_set_domain$0 data$0 next$0 lst$0 curr_2$0)))))

(assert (or
    (= null$0
      (witness$0 data$0 (read$0 data$0 null$0)
        (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))
    (not (in$1 null$0 (sorted_set_domain$0 data$0 next$0 lst$0 curr_2$0)))))

(assert (or
    (= prev_3$0
      (witness$0 data$0 (read$0 data$0 prev_3$0)
        (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0)))
    (not (in$1 prev_3$0 (sorted_set_domain$0 data$0 next$0 lst$0 curr_2$0)))))

(assert (or
    (= lst$0
      (witness$0 data$0 (read$0 data$0 lst$0)
        (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))
    (not (in$1 lst$0 (sorted_set_domain$0 data$0 next$0 curr_3$0 null$0)))))

(assert (or
    (= curr_3$0
      (witness$0 data$0 (read$0 data$0 curr_3$0)
        (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))
    (not (in$1 curr_3$0 (sorted_set_domain$0 data$0 next$0 curr_3$0 null$0)))))

(assert (or
    (= null$0
      (witness$0 data$0 (read$0 data$0 null$0)
        (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))
    (not (in$1 null$0 (sorted_set_domain$0 data$0 next$0 curr_3$0 null$0)))))

(assert (or
    (= prev_3$0
      (witness$0 data$0 (read$0 data$0 prev_3$0)
        (sorted_set_c$0 data$0 next$0 curr_3$0 null$0)))
    (not (in$1 prev_3$0 (sorted_set_domain$0 data$0 next$0 curr_3$0 null$0)))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_17$0)
            (or (= l1 l2) (< (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 curr_2$0))
                (not (in$1 l1 sk_?X_59$0)) (not (in$1 l2 sk_?X_59$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_15$0)
            (or (= l1 l2) (< (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0)) (not (in$1 l1 sk_?X_46$0))
                (not (in$1 l2 sk_?X_46$0))))))

(assert (forall ((x Int))
        (or
            (and (in$0 x (union$1 content$0 c2_2$0))
                 (or (in$0 x content$0) (in$0 x c2_2$0)))
            (and (not (in$0 x content$0)) (not (in$0 x c2_2$0))
                 (not (in$0 x (union$1 content$0 c2_2$0)))))))

(assert (forall ((x Int))
        (or
            (and (in$0 x (union$1 c1_3$0 c2_3$0))
                 (or (in$0 x c1_3$0) (in$0 x c2_3$0)))
            (and (not (in$0 x c1_3$0)) (not (in$0 x c2_3$0))
                 (not (in$0 x (union$1 c1_3$0 c2_3$0)))))))

(assert (forall ((x Loc))
        (or
            (and
                 (in$1 x
                   (union$0 (intersection$0 Alloc$0 FP_1$0)
                     (setminus$0 Alloc$0 Alloc$0)))
                 (or (in$1 x (intersection$0 Alloc$0 FP_1$0))
                     (in$1 x (setminus$0 Alloc$0 Alloc$0))))
            (and (not (in$1 x (intersection$0 Alloc$0 FP_1$0)))
                 (not (in$1 x (setminus$0 Alloc$0 Alloc$0)))
                 (not
                      (in$1 x
                        (union$0 (intersection$0 Alloc$0 FP_1$0)
                          (setminus$0 Alloc$0 Alloc$0))))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x (union$0 FP_Caller$0 Alloc$0))
                 (or (in$1 x FP_Caller$0) (in$1 x Alloc$0)))
            (and (not (in$1 x FP_Caller$0)) (not (in$1 x Alloc$0))
                 (not (in$1 x (union$0 FP_Caller$0 Alloc$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x (union$0 FP_2$0 Alloc$0))
                 (or (in$1 x FP_2$0) (in$1 x Alloc$0)))
            (and (not (in$1 x FP_2$0)) (not (in$1 x Alloc$0))
                 (not (in$1 x (union$0 FP_2$0 Alloc$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x (union$0 Alloc$0 (setenum$0 tmp_1$0)))
                 (or (in$1 x Alloc$0) (in$1 x (setenum$0 tmp_1$0))))
            (and (not (in$1 x Alloc$0)) (not (in$1 x (setenum$0 tmp_1$0)))
                 (not (in$1 x (union$0 Alloc$0 (setenum$0 tmp_1$0))))))))

(assert (forall ((x Loc))
        (or
            (and
                 (in$1 x
                   (union$0 (setminus$0 FP$0 FP_1$0)
                     (union$0 (intersection$0 Alloc$0 FP_1$0)
                       (setminus$0 Alloc$0 Alloc$0))))
                 (or (in$1 x (setminus$0 FP$0 FP_1$0))
                     (in$1 x
                       (union$0 (intersection$0 Alloc$0 FP_1$0)
                         (setminus$0 Alloc$0 Alloc$0)))))
            (and (not (in$1 x (setminus$0 FP$0 FP_1$0)))
                 (not
                      (in$1 x
                        (union$0 (intersection$0 Alloc$0 FP_1$0)
                          (setminus$0 Alloc$0 Alloc$0))))
                 (not
                      (in$1 x
                        (union$0 (setminus$0 FP$0 FP_1$0)
                          (union$0 (intersection$0 Alloc$0 FP_1$0)
                            (setminus$0 Alloc$0 Alloc$0)))))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x (union$0 FP_2$0 (setenum$0 tmp_1$0)))
                 (or (in$1 x FP_2$0) (in$1 x (setenum$0 tmp_1$0))))
            (and (not (in$1 x FP_2$0)) (not (in$1 x (setenum$0 tmp_1$0)))
                 (not (in$1 x (union$0 FP_2$0 (setenum$0 tmp_1$0))))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x (union$0 sk_?X_57$0 FP_Caller$0))
                 (or (in$1 x sk_?X_57$0) (in$1 x FP_Caller$0)))
            (and (not (in$1 x sk_?X_57$0)) (not (in$1 x FP_Caller$0))
                 (not (in$1 x (union$0 sk_?X_57$0 FP_Caller$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x (union$0 sk_?X_44$0 sk_?X_49$0))
                 (or (in$1 x sk_?X_44$0) (in$1 x sk_?X_49$0)))
            (and (not (in$1 x sk_?X_44$0)) (not (in$1 x sk_?X_49$0))
                 (not (in$1 x (union$0 sk_?X_44$0 sk_?X_49$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x (union$0 sk_?X_59$0 sk_?X_57$0))
                 (or (in$1 x sk_?X_59$0) (in$1 x sk_?X_57$0)))
            (and (not (in$1 x sk_?X_59$0)) (not (in$1 x sk_?X_57$0))
                 (not (in$1 x (union$0 sk_?X_59$0 sk_?X_57$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x (union$0 FP_1$0 sk_?X_57$0))
                 (or (in$1 x FP_1$0) (in$1 x sk_?X_57$0)))
            (and (not (in$1 x FP_1$0)) (not (in$1 x sk_?X_57$0))
                 (not (in$1 x (union$0 FP_1$0 sk_?X_57$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x Alloc$0) (in$1 x FP_1$0)
                 (in$1 x (intersection$0 Alloc$0 FP_1$0)))
            (and (or (not (in$1 x Alloc$0)) (not (in$1 x FP_1$0)))
                 (not (in$1 x (intersection$0 Alloc$0 FP_1$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x sk_?X_44$0) (in$1 x sk_?X_49$0)
                 (in$1 x (intersection$0 sk_?X_44$0 sk_?X_49$0)))
            (and (or (not (in$1 x sk_?X_44$0)) (not (in$1 x sk_?X_49$0)))
                 (not (in$1 x (intersection$0 sk_?X_44$0 sk_?X_49$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x sk_?X_59$0) (in$1 x sk_?X_57$0)
                 (in$1 x (intersection$0 sk_?X_59$0 sk_?X_57$0)))
            (and (or (not (in$1 x sk_?X_59$0)) (not (in$1 x sk_?X_57$0)))
                 (not (in$1 x (intersection$0 sk_?X_59$0 sk_?X_57$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x Alloc$0) (in$1 x (setminus$0 Alloc$0 Alloc$0))
                 (not (in$1 x Alloc$0)))
            (and (or (in$1 x Alloc$0) (not (in$1 x Alloc$0)))
                 (not (in$1 x (setminus$0 Alloc$0 Alloc$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x sk_?X_57$0) (in$1 x (setminus$0 sk_?X_57$0 FP_1$0))
                 (not (in$1 x FP_1$0)))
            (and (or (in$1 x FP_1$0) (not (in$1 x sk_?X_57$0)))
                 (not (in$1 x (setminus$0 sk_?X_57$0 FP_1$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x FP_Caller$0)
                 (in$1 x (setminus$0 FP_Caller$0 sk_?X_57$0))
                 (not (in$1 x sk_?X_57$0)))
            (and (or (in$1 x sk_?X_57$0) (not (in$1 x FP_Caller$0)))
                 (not (in$1 x (setminus$0 FP_Caller$0 sk_?X_57$0)))))))

(assert (forall ((y Loc) (x Loc))
        (or (and (= x y) (in$1 x (setenum$0 y)))
            (and (not (= x y)) (not (in$1 x (setenum$0 y)))))))

(assert (= (read$1 (write$0 next$0 n_2$0 curr_3$0) n_2$0) curr_3$0))

(assert (or (= null$0 n_2$0)
    (= (read$1 next$0 null$0)
      (read$1 (write$0 next$0 n_2$0 curr_3$0) null$0))))

(assert (or (= n_2$0 n_2$0)
    (= (read$1 next$0 n_2$0) (read$1 (write$0 next$0 n_2$0 curr_3$0) n_2$0))))

(assert (or (= prev_3$0 n_2$0)
    (= (read$1 next$0 prev_3$0)
      (read$1 (write$0 next$0 n_2$0 curr_3$0) prev_3$0))))

(assert (= (read$1 next$0 null$0) null$0))

(assert (= (read$1 next_1$0 null$0) null$0))

(assert (forall ((x Loc)) (not (in$1 x emptyset$1))))

(assert (forall ((x Int)) (not (in$0 x emptyset$0))))

(assert (or (= curr_3$0 null$0) (not (= (read$0 data$0 curr_3$0) val_1$0))))

(assert (or (and (Btwn$0 next$0 curr_2$0 null$0 null$0) Axiom_14$0)
    (not
         (sorted_set_struct$0 sk_?X_57$0 data$0 next$0 curr_2$0 null$0
           c1_2$0))))

(assert (or (and (Btwn$0 next$0 lst$0 null$0 null$0) Axiom_16$0)
    (not
         (sorted_set_struct$0 sk_?X_60$0 data$0 next$0 lst$0 null$0
           content$0))))

(assert (or (and (Btwn$0 next$0 lst_1$0 curr_3$0 curr_3$0) Axiom_18$0)
    (not
         (sorted_set_struct$0 sk_?X_44$0 data$0 next$0 lst_1$0 curr_3$0
           c2_3$0))))

(assert (= FP_2$0
  (union$0 (setminus$0 FP$0 FP_1$0)
    (union$0 (intersection$0 Alloc$0 FP_1$0) (setminus$0 Alloc$0 Alloc$0)))))

(assert (= FP_Caller_1$0 (setminus$0 FP_Caller$0 FP$0)))

(assert (= c1_2$0 content$0))

(assert (= content_1$0 content$0))

(assert (= lst_1$0 lst$0))

(assert (= next_1$0 (write$0 next$0 n_2$0 curr_3$0)))

(assert (= res_1$0 res$0))

(assert (Frame$1 FP_1$0 Alloc$0 data$0 data$0))

(assert (= Alloc$0 (union$0 FP_2$0 Alloc$0)))

(assert (= content$0 (sorted_set_c$0 data$0 next$0 lst$0 null$0)))

(assert (= sk_?X_60$0 (sorted_set_domain$0 data$0 next$0 lst$0 null$0)))

(assert (sorted_set_struct$0 sk_?X_60$0 data$0 next$0 lst$0 null$0 content$0))

(assert (= sk_?X_45$0 sk_?X_44$0))

(assert (= sk_?X_47$0 sk_?X_46$0))

(assert (= sk_?X_49$0 sk_?X_47$0))

(assert (= sk_?X_51$0 sk_?X_49$0))

(assert (= sk_?X_52$0 sk_?X_54$0))

(assert (= sk_?X_54$0 sk_?X_56$0))

(assert (= sk_?X_56$0 sk_?X_57$0))

(assert (= sk_?X_58$0 sk_?X_59$0))

(assert (= FP$0 (union$0 FP_1$0 FP$0)))

(assert (not (= tmp_1$0 null$0)))

(assert (not (in$1 null$0 Alloc$0)))

(assert (not (in$1 tmp_1$0 Alloc$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 curr_3$0 l1 null$0)
                 (in$1 l1
                   (sorted_set_domain$0 data$0 next$0 curr_3$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 curr_3$0 l1 null$0)))
                 (not
                      (in$1 l1
                        (sorted_set_domain$0 data$0 next$0 curr_3$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 lst$0 l1 curr_2$0)
                 (in$1 l1 (sorted_set_domain$0 data$0 next$0 lst$0 curr_2$0))
                 (not (= l1 curr_2$0)))
            (and (or (= l1 curr_2$0) (not (Btwn$0 next$0 lst$0 l1 curr_2$0)))
                 (not
                      (in$1 l1
                        (sorted_set_domain$0 data$0 next$0 lst$0 curr_2$0)))))))

(assert (or (= curr_3$0 null$0) (not (< (read$0 data$0 curr_3$0) val_1$0))))

(assert (or (and (Btwn$0 next$0 curr_3$0 null$0 null$0) Axiom_15$0)
    (not
         (sorted_set_struct$0 sk_?X_46$0 data$0 next$0 curr_3$0 null$0
           c1_3$0))))

(assert (or (and (Btwn$0 next$0 lst$0 curr_2$0 curr_2$0) Axiom_17$0)
    (not
         (sorted_set_struct$0 sk_?X_59$0 data$0 next$0 lst$0 curr_2$0 c2_2$0))))

(assert (= Alloc_1$0 (union$0 Alloc$0 (setenum$0 tmp_1$0))))

(assert (= FP_3$0 (union$0 FP_2$0 (setenum$0 tmp_1$0))))

(assert (= FP_Caller_final_1$0 FP_Caller_final$0))

(assert (= c2_2$0 emptyset$0))

(assert (= curr_2$0 lst$0))

(assert (= n_2$0 tmp_1$0))

(assert (= prev_2$0 null$0))

(assert (= val_1$0 val$0))

(assert (Frame$0 FP_1$0 Alloc$0 next$0 next$0))

(assert (= Alloc$0 (union$0 FP_Caller$0 Alloc$0)))

(assert (= sk_?X_60$0 FP$0))

(assert (= FP_Caller$0 (union$0 FP$0 FP_Caller$0)))

(assert (= sk_?X_44$0 (sorted_set_domain$0 data$0 next$0 lst_1$0 curr_3$0)))

(assert (= sk_?X_46$0 (sorted_set_domain$0 data$0 next$0 curr_3$0 null$0)))

(assert (= sk_?X_48$0 (union$0 sk_?X_45$0 sk_?X_47$0)))

(assert (= sk_?X_50$0 sk_?X_48$0))

(assert (or
    (and (= (read$1 next$0 prev_3$0) curr_3$0) (= emptyset$1 emptyset$1)
         (= emptyset$1 (intersection$0 sk_?X_45$0 sk_?X_47$0))
         (= c1_3$0 (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
         (= c2_3$0 (sorted_set_c$0 data$0 next$0 lst_1$0 curr_3$0))
         (= content_1$0 (union$1 c1_3$0 c2_3$0))
         (= sk_?X_50$0
           (union$0 (intersection$0 Alloc$0 FP_1$0)
             (setminus$0 Alloc$0 Alloc$0)))
         (> val_1$0 (read$0 data$0 prev_3$0))
         (Btwn$0 next$0 lst_1$0 prev_3$0 curr_3$0)
         (sorted_set_struct$0 sk_?X_44$0 data$0 next$0 lst_1$0 curr_3$0
           c2_3$0)
         (sorted_set_struct$0 sk_?X_46$0 data$0 next$0 curr_3$0 null$0
           c1_3$0)
         (or (= curr_3$0 null$0) (= prev_3$0 null$0)
             (< (read$0 data$0 prev_3$0) (read$0 data$0 curr_3$0)))
         (not (= prev_3$0 curr_3$0)))
    (and (= emptyset$1 emptyset$1)
         (= c1_3$0 (sorted_set_c$0 data$0 next$0 curr_3$0 null$0))
         (= c2_3$0 emptyset$0) (= content_1$0 (union$1 c1_3$0 c2_3$0))
         (= curr_3$0 lst_1$0) (= prev_3$0 null$0)
         (= sk_?X_51$0
           (union$0 (intersection$0 Alloc$0 FP_1$0)
             (setminus$0 Alloc$0 Alloc$0)))
         (sorted_set_struct$0 sk_?X_46$0 data$0 next$0 curr_3$0 null$0
           c1_3$0)
         (or (= curr_3$0 null$0) (= prev_3$0 null$0)
             (< (read$0 data$0 prev_3$0) (read$0 data$0 curr_3$0))))))

(assert (= sk_?X_53$0 sk_?X_55$0))

(assert (= sk_?X_55$0 (union$0 sk_?X_58$0 sk_?X_56$0)))

(assert (= sk_?X_57$0 (sorted_set_domain$0 data$0 next$0 curr_2$0 null$0)))

(assert (= sk_?X_59$0 (sorted_set_domain$0 data$0 next$0 lst$0 curr_2$0)))

(assert (or
    (and (= (read$1 next$0 prev_2$0) curr_2$0) (= emptyset$1 emptyset$1)
         (= emptyset$1 (intersection$0 sk_?X_58$0 sk_?X_56$0))
         (= c1_2$0 (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
         (= c2_2$0 (sorted_set_c$0 data$0 next$0 lst$0 curr_2$0))
         (= content$0 (union$1 c1_2$0 c2_2$0)) (= sk_?X_53$0 FP_1$0)
         (> val$0 (read$0 data$0 prev_2$0))
         (Btwn$0 next$0 lst$0 prev_2$0 curr_2$0)
         (sorted_set_struct$0 sk_?X_57$0 data$0 next$0 curr_2$0 null$0
           c1_2$0)
         (sorted_set_struct$0 sk_?X_59$0 data$0 next$0 lst$0 curr_2$0 c2_2$0)
         (or (= curr_2$0 null$0) (= prev_2$0 null$0)
             (< (read$0 data$0 prev_2$0) (read$0 data$0 curr_2$0)))
         (not (= prev_2$0 curr_2$0)))
    (and (= emptyset$1 emptyset$1)
         (= c1_2$0 (sorted_set_c$0 data$0 next$0 curr_2$0 null$0))
         (= c2_2$0 emptyset$0) (= content$0 (union$1 c1_2$0 c2_2$0))
         (= curr_2$0 lst$0) (= prev_2$0 null$0) (= sk_?X_52$0 FP_1$0)
         (sorted_set_struct$0 sk_?X_57$0 data$0 next$0 curr_2$0 null$0
           c1_2$0)
         (or (= curr_2$0 null$0) (= prev_2$0 null$0)
             (< (read$0 data$0 prev_2$0) (read$0 data$0 curr_2$0))))))

(assert (not (in$1 null$0 Alloc$0)))

(assert (not (in$1 n_2$0 FP_3$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 curr_2$0 l1 null$0)
                 (in$1 l1
                   (sorted_set_domain$0 data$0 next$0 curr_2$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 curr_2$0 l1 null$0)))
                 (not
                      (in$1 l1
                        (sorted_set_domain$0 data$0 next$0 curr_2$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 lst$0 l1 null$0)
                 (in$1 l1 (sorted_set_domain$0 data$0 next$0 lst$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 lst$0 l1 null$0)))
                 (not
                      (in$1 l1
                        (sorted_set_domain$0 data$0 next$0 lst$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 lst_1$0 l1 curr_3$0)
                 (in$1 l1
                   (sorted_set_domain$0 data$0 next$0 lst_1$0 curr_3$0))
                 (not (= l1 curr_3$0)))
            (and
                 (or (= l1 curr_3$0)
                     (not (Btwn$0 next$0 lst_1$0 l1 curr_3$0)))
                 (not
                      (in$1 l1
                        (sorted_set_domain$0 data$0 next$0 lst_1$0 curr_3$0)))))))

(assert (forall ((?u Loc) (?v Loc) (?z Loc))
        (and
             (or (Btwn$0 (write$0 next$0 n_2$0 curr_3$0) ?z ?u ?v)
                 (not
                      (or
                          (and (Btwn$0 next$0 ?z ?u ?v)
                               (or (Btwn$0 next$0 ?z ?v n_2$0)
                                   (and (Btwn$0 next$0 ?z ?v ?v)
                                        (not (Btwn$0 next$0 ?z n_2$0 n_2$0)))))
                          (and (not (= n_2$0 ?v))
                               (or (Btwn$0 next$0 ?z n_2$0 ?v)
                                   (and (Btwn$0 next$0 ?z n_2$0 n_2$0)
                                        (not (Btwn$0 next$0 ?z ?v ?v))))
                               (Btwn$0 next$0 ?z ?u n_2$0)
                               (or (Btwn$0 next$0 curr_3$0 ?v n_2$0)
                                   (and (Btwn$0 next$0 curr_3$0 ?v ?v)
                                        (not
                                             (Btwn$0 next$0 curr_3$0 n_2$0
                                               n_2$0)))))
                          (and (not (= n_2$0 ?v))
                               (or (Btwn$0 next$0 ?z n_2$0 ?v)
                                   (and (Btwn$0 next$0 ?z n_2$0 n_2$0)
                                        (not (Btwn$0 next$0 ?z ?v ?v))))
                               (Btwn$0 next$0 curr_3$0 ?u ?v)
                               (or (Btwn$0 next$0 curr_3$0 ?v n_2$0)
                                   (and (Btwn$0 next$0 curr_3$0 ?v ?v)
                                        (not
                                             (Btwn$0 next$0 curr_3$0 n_2$0
                                               n_2$0))))))))
             (or
                 (and (Btwn$0 next$0 ?z ?u ?v)
                      (or (Btwn$0 next$0 ?z ?v n_2$0)
                          (and (Btwn$0 next$0 ?z ?v ?v)
                               (not (Btwn$0 next$0 ?z n_2$0 n_2$0)))))
                 (and (not (= n_2$0 ?v))
                      (or (Btwn$0 next$0 ?z n_2$0 ?v)
                          (and (Btwn$0 next$0 ?z n_2$0 n_2$0)
                               (not (Btwn$0 next$0 ?z ?v ?v))))
                      (Btwn$0 next$0 ?z ?u n_2$0)
                      (or (Btwn$0 next$0 curr_3$0 ?v n_2$0)
                          (and (Btwn$0 next$0 curr_3$0 ?v ?v)
                               (not (Btwn$0 next$0 curr_3$0 n_2$0 n_2$0)))))
                 (and (not (= n_2$0 ?v))
                      (or (Btwn$0 next$0 ?z n_2$0 ?v)
                          (and (Btwn$0 next$0 ?z n_2$0 n_2$0)
                               (not (Btwn$0 next$0 ?z ?v ?v))))
                      (Btwn$0 next$0 curr_3$0 ?u ?v)
                      (or (Btwn$0 next$0 curr_3$0 ?v n_2$0)
                          (and (Btwn$0 next$0 curr_3$0 ?v ?v)
                               (not (Btwn$0 next$0 curr_3$0 n_2$0 n_2$0)))))
                 (not (Btwn$0 (write$0 next$0 n_2$0 curr_3$0) ?z ?u ?v))))))

(assert (forall ((?x Loc)) (Btwn$0 next$0 ?x ?x ?x)))

(assert (forall ((?x Loc) (?y Loc)) (or (not (Btwn$0 next$0 ?x ?y ?x)) (= ?x ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?y)) (not (Btwn$0 next$0 ?x ?z ?z))
            (Btwn$0 next$0 ?x ?y ?z) (Btwn$0 next$0 ?x ?z ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z))
            (and (Btwn$0 next$0 ?x ?y ?y) (Btwn$0 next$0 ?y ?z ?z)))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?y)) (not (Btwn$0 next$0 ?y ?z ?z))
            (Btwn$0 next$0 ?x ?z ?z))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z)) (not (Btwn$0 next$0 ?y ?u ?z))
            (and (Btwn$0 next$0 ?x ?y ?u) (Btwn$0 next$0 ?x ?u ?z)))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z)) (not (Btwn$0 next$0 ?x ?u ?y))
            (and (Btwn$0 next$0 ?x ?u ?z) (Btwn$0 next$0 ?u ?y ?z)))))

(check-sat)
(exit)
