(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source |
  GRASShopper benchmarks.
  Authors: Ruzica Piskac, Thomas Wies, and Damien Zufferey
  URL: http://cs.nyu.edu/wies/software/grasshopper
  See also: GRASShopper - Complete Heap Verification with Mixed Specifications. In TACAS 2014, pages 124-139.

  If this benchmark is satisfiable, GRASShopper reports the following error message:
  tests/spl/sls/sls_insertion_sort.spl:42:4-21:Possible heap access through null or dangling reference
  |)
(set-info :category "crafted")
(set-info :status unsat)

(declare-sort Loc 0)
(declare-sort SetLoc 0)
(declare-sort SetInt 0)
(declare-sort FldBool 0)
(declare-sort FldLoc 0)
(declare-sort FldInt 0)
(declare-fun null$0 () Loc)
(declare-fun read$0 (FldInt Loc) Int)
(declare-fun read$1 (FldLoc Loc) Loc)
(declare-fun emptyset$0 () SetLoc)
(declare-fun setenum$0 (Loc) SetLoc)
(declare-fun union$0 (SetLoc SetLoc) SetLoc)
(declare-fun intersection$0 (SetLoc SetLoc) SetLoc)
(declare-fun setminus$0 (SetLoc SetLoc) SetLoc)
(declare-fun Btwn$0 (FldLoc Loc Loc Loc) Bool)
(declare-fun in$0 (Loc SetLoc) Bool)
(declare-fun Alloc$0 () SetLoc)
(declare-fun Axiom_11$0 () Bool)
(declare-fun Axiom_12$0 () Bool)
(declare-fun Axiom_13$0 () Bool)
(declare-fun FP$0 () SetLoc)
(declare-fun FP_Caller$0 () SetLoc)
(declare-fun FP_Caller_2$0 () SetLoc)
(declare-fun curr_2$0 () Loc)
(declare-fun curr_init$0 () Loc)
(declare-fun data$0 () FldInt)
(declare-fun lseg_domain$0 (FldLoc Loc Loc) SetLoc)
(declare-fun lseg_struct$0 (SetLoc FldLoc Loc Loc) Bool)
(declare-fun lslseg_domain$0 (FldInt FldLoc Loc Loc Int) SetLoc)
(declare-fun lslseg_struct$0 (SetLoc FldInt FldLoc Loc Loc Int) Bool)
(declare-fun lst_2$0 () Loc)
(declare-fun lst_init$0 () Loc)
(declare-fun min_2$0 () Loc)
(declare-fun min_init$0 () Loc)
(declare-fun next$0 () FldLoc)
(declare-fun prv_4$0 () Loc)
(declare-fun prv_init$0 () Loc)
(declare-fun sk_?X_30$0 () SetLoc)
(declare-fun sk_?X_31$0 () SetLoc)
(declare-fun sk_?X_32$0 () SetLoc)
(declare-fun sk_?X_33$0 () SetLoc)
(declare-fun sk_?X_34$0 () SetLoc)
(declare-fun sk_?X_35$0 () SetLoc)
(declare-fun sk_?X_36$0 () SetLoc)
(declare-fun sk_?X_37$0 () SetLoc)
(declare-fun sk_?X_38$0 () SetLoc)
(declare-fun srt_4$0 () Loc)
(declare-fun srt_init$0 () Loc)
(declare-fun tmp_2$0 () Int)
(declare-fun tmp_init$0 () Int)
(declare-fun ulseg_domain$0 (FldInt FldLoc Loc Loc Int) SetLoc)
(declare-fun ulseg_struct$0 (SetLoc FldInt FldLoc Loc Loc Int) Bool)

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next$0 null$0 ?y ?y)) (= null$0 ?y)
            (Btwn$0 next$0 null$0 (read$1 next$0 null$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next$0 prv_init$0 ?y ?y)) (= prv_init$0 ?y)
            (Btwn$0 next$0 prv_init$0 (read$1 next$0 prv_init$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$1 next$0 null$0) null$0))
            (not (Btwn$0 next$0 null$0 ?y ?y)) (= null$0 ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$1 next$0 prv_init$0) prv_init$0))
            (not (Btwn$0 next$0 prv_init$0 ?y ?y)) (= prv_init$0 ?y))))

(assert (Btwn$0 next$0 null$0 (read$1 next$0 null$0) (read$1 next$0 null$0)))

(assert (Btwn$0 next$0 prv_init$0 (read$1 next$0 prv_init$0)
  (read$1 next$0 prv_init$0)))

(assert (forall ((l1 Loc))
        (or (not Axiom_13$0)
            (or (<= (read$0 data$0 prv_init$0) (read$0 data$0 l1))
                (not (in$0 l1 sk_?X_31$0))))))

(assert (forall ((l1 Loc))
        (or (not Axiom_12$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 prv_init$0))
                (not (in$0 l1 sk_?X_35$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_11$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 prv_init$0))
                (not (in$0 l1 sk_?X_35$0)) (not (in$0 l2 sk_?X_35$0))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP_Caller$0 Alloc$0))
                 (or (in$0 x FP_Caller$0) (in$0 x Alloc$0)))
            (and (not (in$0 x FP_Caller$0)) (not (in$0 x Alloc$0))
                 (not (in$0 x (union$0 FP_Caller$0 Alloc$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP$0 FP_Caller$0))
                 (or (in$0 x FP$0) (in$0 x FP_Caller$0)))
            (and (not (in$0 x FP$0)) (not (in$0 x FP_Caller$0))
                 (not (in$0 x (union$0 FP$0 FP_Caller$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_32$0 sk_?X_31$0))
                 (or (in$0 x sk_?X_32$0) (in$0 x sk_?X_31$0)))
            (and (not (in$0 x sk_?X_32$0)) (not (in$0 x sk_?X_31$0))
                 (not (in$0 x (union$0 sk_?X_32$0 sk_?X_31$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_35$0 sk_?X_34$0))
                 (or (in$0 x sk_?X_35$0) (in$0 x sk_?X_34$0)))
            (and (not (in$0 x sk_?X_35$0)) (not (in$0 x sk_?X_34$0))
                 (not (in$0 x (union$0 sk_?X_35$0 sk_?X_34$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_38$0 sk_?X_37$0))
                 (or (in$0 x sk_?X_38$0) (in$0 x sk_?X_37$0)))
            (and (not (in$0 x sk_?X_38$0)) (not (in$0 x sk_?X_37$0))
                 (not (in$0 x (union$0 sk_?X_38$0 sk_?X_37$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_32$0) (in$0 x sk_?X_31$0)
                 (in$0 x (intersection$0 sk_?X_32$0 sk_?X_31$0)))
            (and (or (not (in$0 x sk_?X_32$0)) (not (in$0 x sk_?X_31$0)))
                 (not (in$0 x (intersection$0 sk_?X_32$0 sk_?X_31$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_35$0) (in$0 x sk_?X_34$0)
                 (in$0 x (intersection$0 sk_?X_35$0 sk_?X_34$0)))
            (and (or (not (in$0 x sk_?X_35$0)) (not (in$0 x sk_?X_34$0)))
                 (not (in$0 x (intersection$0 sk_?X_35$0 sk_?X_34$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_38$0) (in$0 x sk_?X_37$0)
                 (in$0 x (intersection$0 sk_?X_38$0 sk_?X_37$0)))
            (and (or (not (in$0 x sk_?X_38$0)) (not (in$0 x sk_?X_37$0)))
                 (not (in$0 x (intersection$0 sk_?X_38$0 sk_?X_37$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x FP_Caller$0) (in$0 x (setminus$0 FP_Caller$0 FP$0))
                 (not (in$0 x FP$0)))
            (and (or (in$0 x FP$0) (not (in$0 x FP_Caller$0)))
                 (not (in$0 x (setminus$0 FP_Caller$0 FP$0)))))))

(assert (forall ((y Loc) (x Loc))
        (or (and (= x y) (in$0 x (setenum$0 y)))
            (and (not (= x y)) (not (in$0 x (setenum$0 y)))))))

(assert (= (read$1 next$0 null$0) null$0))

(assert (forall ((x Loc)) (not (in$0 x emptyset$0))))

(assert (or (Btwn$0 next$0 lst_init$0 null$0 null$0)
    (not (lseg_struct$0 sk_?X_37$0 next$0 lst_init$0 null$0))))

(assert (or (and (Btwn$0 next$0 srt_init$0 null$0 null$0) Axiom_13$0)
    (not
         (ulseg_struct$0 sk_?X_31$0 data$0 next$0 srt_init$0 null$0
           (read$0 data$0 prv_init$0)))))

(assert (= curr_2$0 curr_init$0))

(assert (= min_2$0 min_init$0))

(assert (= srt_4$0 srt_init$0))

(assert (= Alloc$0 (union$0 FP_Caller$0 Alloc$0)))

(assert (= sk_?X_31$0
  (ulseg_domain$0 data$0 next$0 srt_init$0 null$0 (read$0 data$0 prv_init$0))))

(assert (= sk_?X_33$0 sk_?X_34$0))

(assert (= sk_?X_35$0
  (lslseg_domain$0 data$0 next$0 lst_init$0 prv_init$0
    (read$0 data$0 prv_init$0))))

(assert (= sk_?X_37$0 (lseg_domain$0 next$0 lst_init$0 null$0)))

(assert (= FP_Caller$0 (union$0 FP$0 FP_Caller$0)))

(assert (not (= srt_4$0 null$0)))

(assert (not (in$0 srt_4$0 FP$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 lst_init$0 l1 prv_init$0)
                 (in$0 l1
                   (lslseg_domain$0 data$0 next$0 lst_init$0 prv_init$0
                     (read$0 data$0 prv_init$0)))
                 (not (= l1 prv_init$0)))
            (and
                 (or (= l1 prv_init$0)
                     (not (Btwn$0 next$0 lst_init$0 l1 prv_init$0)))
                 (not
                      (in$0 l1
                        (lslseg_domain$0 data$0 next$0 lst_init$0 prv_init$0
                          (read$0 data$0 prv_init$0))))))))

(assert (or
    (and (Btwn$0 next$0 lst_init$0 prv_init$0 prv_init$0) Axiom_12$0
         Axiom_11$0)
    (not
         (lslseg_struct$0 sk_?X_35$0 data$0 next$0 lst_init$0 prv_init$0
           (read$0 data$0 prv_init$0)))))

(assert (= FP_Caller_2$0 (setminus$0 FP_Caller$0 FP$0)))

(assert (= lst_2$0 lst_init$0))

(assert (= prv_4$0 prv_init$0))

(assert (= tmp_2$0 tmp_init$0))

(assert (= sk_?X_30$0 (union$0 sk_?X_32$0 sk_?X_31$0)))

(assert (= sk_?X_32$0 (union$0 sk_?X_35$0 sk_?X_33$0)))

(assert (= sk_?X_34$0 (setenum$0 prv_init$0)))

(assert (= sk_?X_36$0 (union$0 sk_?X_38$0 sk_?X_37$0)))

(assert (= sk_?X_38$0 emptyset$0))

(assert (or
    (and (= (read$1 next$0 prv_init$0) srt_init$0) (= emptyset$0 emptyset$0)
         (= emptyset$0 (intersection$0 sk_?X_32$0 sk_?X_31$0))
         (= emptyset$0 (intersection$0 sk_?X_35$0 sk_?X_33$0))
         (= sk_?X_30$0 FP$0)
         (lslseg_struct$0 sk_?X_35$0 data$0 next$0 lst_init$0 prv_init$0
           (read$0 data$0 prv_init$0))
         (ulseg_struct$0 sk_?X_31$0 data$0 next$0 srt_init$0 null$0
           (read$0 data$0 prv_init$0)))
    (and (= emptyset$0 emptyset$0)
         (= emptyset$0 (intersection$0 sk_?X_38$0 sk_?X_37$0))
         (= prv_init$0 null$0) (= sk_?X_36$0 FP$0) (= srt_init$0 lst_init$0)
         (lseg_struct$0 sk_?X_37$0 next$0 lst_init$0 null$0))))

(assert (not (in$0 null$0 Alloc$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 lst_init$0 l1 null$0)
                 (in$0 l1 (lseg_domain$0 next$0 lst_init$0 null$0))
                 (not (= l1 null$0)))
            (and
                 (or (= l1 null$0)
                     (not (Btwn$0 next$0 lst_init$0 l1 null$0)))
                 (not (in$0 l1 (lseg_domain$0 next$0 lst_init$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 srt_init$0 l1 null$0)
                 (in$0 l1
                   (ulseg_domain$0 data$0 next$0 srt_init$0 null$0
                     (read$0 data$0 prv_init$0)))
                 (not (= l1 null$0)))
            (and
                 (or (= l1 null$0)
                     (not (Btwn$0 next$0 srt_init$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (ulseg_domain$0 data$0 next$0 srt_init$0 null$0
                          (read$0 data$0 prv_init$0))))))))

(assert (forall ((?x Loc)) (Btwn$0 next$0 ?x ?x ?x)))

(assert (forall ((?x Loc) (?y Loc)) (or (not (Btwn$0 next$0 ?x ?y ?x)) (= ?x ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?y)) (not (Btwn$0 next$0 ?x ?z ?z))
            (Btwn$0 next$0 ?x ?y ?z) (Btwn$0 next$0 ?x ?z ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z))
            (and (Btwn$0 next$0 ?x ?y ?y) (Btwn$0 next$0 ?y ?z ?z)))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?y)) (not (Btwn$0 next$0 ?y ?z ?z))
            (Btwn$0 next$0 ?x ?z ?z))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z)) (not (Btwn$0 next$0 ?y ?u ?z))
            (and (Btwn$0 next$0 ?x ?y ?u) (Btwn$0 next$0 ?x ?u ?z)))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z)) (not (Btwn$0 next$0 ?x ?u ?y))
            (and (Btwn$0 next$0 ?x ?u ?z) (Btwn$0 next$0 ?u ?y ?z)))))

(check-sat)
(exit)
