(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source |
  GRASShopper benchmarks.
  Authors: Ruzica Piskac, Thomas Wies, and Damien Zufferey
  URL: http://cs.nyu.edu/wies/software/grasshopper
  See also: GRASShopper - Complete Heap Verification with Mixed Specifications. In TACAS 2014, pages 124-139.

  If this benchmark is satisfiable, GRASShopper reports the following error message:
  tests/spl/sls/sls_strand_sort.spl:60:6-18:Possible heap access through null or dangling reference
  |)
(set-info :category "crafted")
(set-info :status unsat)

(declare-sort Loc 0)
(declare-sort SetLoc 0)
(declare-sort SetInt 0)
(declare-sort FldBool 0)
(declare-sort FldLoc 0)
(declare-sort FldInt 0)
(declare-fun null$0 () Loc)
(declare-fun read$0 (FldInt Loc) Int)
(declare-fun read$1 (FldLoc Loc) Loc)
(declare-fun write$0 (FldLoc Loc Loc) FldLoc)
(declare-fun emptyset$0 () SetLoc)
(declare-fun setenum$0 (Loc) SetLoc)
(declare-fun union$0 (SetLoc SetLoc) SetLoc)
(declare-fun intersection$0 (SetLoc SetLoc) SetLoc)
(declare-fun setminus$0 (SetLoc SetLoc) SetLoc)
(declare-fun Btwn$0 (FldLoc Loc Loc Loc) Bool)
(declare-fun in$0 (Loc SetLoc) Bool)
(declare-fun Alloc$0 () SetLoc)
(declare-fun Axiom_54$0 () Bool)
(declare-fun Axiom_55$0 () Bool)
(declare-fun Axiom_56$0 () Bool)
(declare-fun Axiom_57$0 () Bool)
(declare-fun Axiom_58$0 () Bool)
(declare-fun Axiom_59$0 () Bool)
(declare-fun FP$0 () SetLoc)
(declare-fun FP_Caller$0 () SetLoc)
(declare-fun FP_Caller_2$0 () SetLoc)
(declare-fun a_3$0 () Loc)
(declare-fun a_init$0 () Loc)
(declare-fun b_3$0 () Loc)
(declare-fun b_init$0 () Loc)
(declare-fun data$0 () FldInt)
(declare-fun last_4$0 () Loc)
(declare-fun last_5$0 () Loc)
(declare-fun last_init$0 () Loc)
(declare-fun lslseg_domain$0 (FldInt FldLoc Loc Loc Int) SetLoc)
(declare-fun lslseg_struct$0 (SetLoc FldInt FldLoc Loc Loc Int) Bool)
(declare-fun next$0 () FldLoc)
(declare-fun next_2$0 () FldLoc)
(declare-fun res_9$0 () Loc)
(declare-fun res_init$0 () Loc)
(declare-fun sk_?X_113$0 () SetLoc)
(declare-fun sk_?X_114$0 () SetLoc)
(declare-fun sk_?X_115$0 () SetLoc)
(declare-fun sk_?X_116$0 () SetLoc)
(declare-fun sk_?X_117$0 () SetLoc)
(declare-fun sk_?X_118$0 () SetLoc)
(declare-fun sk_?X_119$0 () SetLoc)
(declare-fun sk_?X_120$0 () SetLoc)
(declare-fun sk_?X_121$0 () SetLoc)
(declare-fun sk_?X_122$0 () SetLoc)
(declare-fun sk_?X_123$0 () SetLoc)
(declare-fun uslseg_domain$0 (FldInt FldLoc Loc Loc Int) SetLoc)
(declare-fun uslseg_struct$0 (SetLoc FldInt FldLoc Loc Loc Int) Bool)

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next$0 null$0 ?y ?y)) (= null$0 ?y)
            (Btwn$0 next$0 null$0 (read$1 next$0 null$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next$0 last_4$0 ?y ?y)) (= last_4$0 ?y)
            (Btwn$0 next$0 last_4$0 (read$1 next$0 last_4$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$1 next$0 null$0) null$0))
            (not (Btwn$0 next$0 null$0 ?y ?y)) (= null$0 ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$1 next$0 last_4$0) last_4$0))
            (not (Btwn$0 next$0 last_4$0 ?y ?y)) (= last_4$0 ?y))))

(assert (Btwn$0 next$0 null$0 (read$1 next$0 null$0) (read$1 next$0 null$0)))

(assert (Btwn$0 next$0 last_4$0 (read$1 next$0 last_4$0) (read$1 next$0 last_4$0)))

(assert (forall ((l1 Loc))
        (or (not Axiom_59$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 last_init$0))
                (not (in$0 l1 sk_?X_119$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_58$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 last_init$0))
                (not (in$0 l1 sk_?X_119$0)) (not (in$0 l2 sk_?X_119$0))))))

(assert (forall ((l1 Loc))
        (or (not Axiom_55$0)
            (or (<= (read$0 data$0 last_init$0) (read$0 data$0 l1))
                (not (in$0 l1 sk_?X_118$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_54$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0))
                (not (in$0 l1 sk_?X_118$0)) (not (in$0 l2 sk_?X_118$0))))))

(assert (forall ((l1 Loc))
        (or (not Axiom_57$0)
            (or (<= (read$0 data$0 last_init$0) (read$0 data$0 l1))
                (not (in$0 l1 sk_?X_116$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_56$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0))
                (not (in$0 l1 sk_?X_116$0)) (not (in$0 l2 sk_?X_116$0))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP_Caller$0 Alloc$0))
                 (or (in$0 x FP_Caller$0) (in$0 x Alloc$0)))
            (and (not (in$0 x FP_Caller$0)) (not (in$0 x Alloc$0))
                 (not (in$0 x (union$0 FP_Caller$0 Alloc$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP$0 FP_Caller$0))
                 (or (in$0 x FP$0) (in$0 x FP_Caller$0)))
            (and (not (in$0 x FP$0)) (not (in$0 x FP_Caller$0))
                 (not (in$0 x (union$0 FP$0 FP_Caller$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_122$0 sk_?X_115$0))
                 (or (in$0 x sk_?X_122$0) (in$0 x sk_?X_115$0)))
            (and (not (in$0 x sk_?X_122$0)) (not (in$0 x sk_?X_115$0))
                 (not (in$0 x (union$0 sk_?X_122$0 sk_?X_115$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_117$0 sk_?X_116$0))
                 (or (in$0 x sk_?X_117$0) (in$0 x sk_?X_116$0)))
            (and (not (in$0 x sk_?X_117$0)) (not (in$0 x sk_?X_116$0))
                 (not (in$0 x (union$0 sk_?X_117$0 sk_?X_116$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_119$0 sk_?X_118$0))
                 (or (in$0 x sk_?X_119$0) (in$0 x sk_?X_118$0)))
            (and (not (in$0 x sk_?X_119$0)) (not (in$0 x sk_?X_118$0))
                 (not (in$0 x (union$0 sk_?X_119$0 sk_?X_118$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_117$0) (in$0 x sk_?X_116$0)
                 (in$0 x (intersection$0 sk_?X_117$0 sk_?X_116$0)))
            (and (or (not (in$0 x sk_?X_117$0)) (not (in$0 x sk_?X_116$0)))
                 (not (in$0 x (intersection$0 sk_?X_117$0 sk_?X_116$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_119$0) (in$0 x sk_?X_118$0)
                 (in$0 x (intersection$0 sk_?X_119$0 sk_?X_118$0)))
            (and (or (not (in$0 x sk_?X_119$0)) (not (in$0 x sk_?X_118$0)))
                 (not (in$0 x (intersection$0 sk_?X_119$0 sk_?X_118$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_122$0) (in$0 x sk_?X_115$0)
                 (in$0 x (intersection$0 sk_?X_122$0 sk_?X_115$0)))
            (and (or (not (in$0 x sk_?X_122$0)) (not (in$0 x sk_?X_115$0)))
                 (not (in$0 x (intersection$0 sk_?X_122$0 sk_?X_115$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x FP_Caller$0) (in$0 x (setminus$0 FP_Caller$0 FP$0))
                 (not (in$0 x FP$0)))
            (and (or (in$0 x FP$0) (not (in$0 x FP_Caller$0)))
                 (not (in$0 x (setminus$0 FP_Caller$0 FP$0)))))))

(assert (forall ((y Loc) (x Loc))
        (or (and (= x y) (in$0 x (setenum$0 y)))
            (and (not (= x y)) (not (in$0 x (setenum$0 y)))))))

(assert (= (read$1 (write$0 next$0 last_4$0 last_5$0) last_4$0) last_5$0))

(assert (or (= null$0 last_4$0)
    (= (read$1 next$0 null$0)
      (read$1 (write$0 next$0 last_4$0 last_5$0) null$0))))

(assert (or (= last_4$0 last_4$0)
    (= (read$1 next$0 last_4$0)
      (read$1 (write$0 next$0 last_4$0 last_5$0) last_4$0))))

(assert (= (read$1 next$0 null$0) null$0))

(assert (= (read$1 next_2$0 null$0) null$0))

(assert (forall ((x Loc)) (not (in$0 x emptyset$0))))

(assert (or (and (Btwn$0 next$0 a_init$0 null$0 null$0) Axiom_55$0 Axiom_54$0)
    (not
         (uslseg_struct$0 sk_?X_118$0 data$0 next$0 a_init$0 null$0
           (read$0 data$0 last_init$0)))))

(assert (or
    (and (Btwn$0 next$0 res_init$0 last_init$0 last_init$0) Axiom_59$0
         Axiom_58$0)
    (not
         (lslseg_struct$0 sk_?X_119$0 data$0 next$0 res_init$0 last_init$0
           (read$0 data$0 last_init$0)))))

(assert (= FP_Caller_2$0 (setminus$0 FP_Caller$0 FP$0)))

(assert (= b_3$0 b_init$0))

(assert (= last_5$0 a_3$0))

(assert (= res_9$0 res_init$0))

(assert (= sk_?X_113$0 (union$0 sk_?X_122$0 sk_?X_115$0)))

(assert (= sk_?X_115$0 (union$0 sk_?X_117$0 sk_?X_116$0)))

(assert (= sk_?X_117$0 (union$0 sk_?X_119$0 sk_?X_118$0)))

(assert (= sk_?X_119$0
  (lslseg_domain$0 data$0 next$0 res_init$0 last_init$0
    (read$0 data$0 last_init$0))))

(assert (= sk_?X_121$0 (setenum$0 last_init$0)))

(assert (= sk_?X_123$0 (setenum$0 last_init$0)))

(assert (or
    (and (= (read$1 next$0 last_init$0) a_init$0) (= emptyset$0 emptyset$0)
         (= emptyset$0 (intersection$0 sk_?X_117$0 sk_?X_116$0))
         (= emptyset$0 (intersection$0 sk_?X_119$0 sk_?X_118$0))
         (= emptyset$0 (intersection$0 sk_?X_122$0 sk_?X_115$0))
         (= sk_?X_113$0 FP$0)
         (lslseg_struct$0 sk_?X_119$0 data$0 next$0 res_init$0 last_init$0
           (read$0 data$0 last_init$0))
         (uslseg_struct$0 sk_?X_116$0 data$0 next$0 b_init$0 null$0
           (read$0 data$0 last_init$0))
         (uslseg_struct$0 sk_?X_118$0 data$0 next$0 a_init$0 null$0
           (read$0 data$0 last_init$0)))
    (and (= (read$1 next$0 last_init$0) b_init$0) (= emptyset$0 emptyset$0)
         (= emptyset$0 (intersection$0 sk_?X_117$0 sk_?X_116$0))
         (= emptyset$0 (intersection$0 sk_?X_119$0 sk_?X_118$0))
         (= emptyset$0 (intersection$0 sk_?X_120$0 sk_?X_115$0))
         (= sk_?X_114$0 FP$0)
         (lslseg_struct$0 sk_?X_119$0 data$0 next$0 res_init$0 last_init$0
           (read$0 data$0 last_init$0))
         (uslseg_struct$0 sk_?X_116$0 data$0 next$0 b_init$0 null$0
           (read$0 data$0 last_init$0))
         (uslseg_struct$0 sk_?X_118$0 data$0 next$0 a_init$0 null$0
           (read$0 data$0 last_init$0)))))

(assert (not (in$0 null$0 Alloc$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 a_init$0 l1 null$0)
                 (in$0 l1
                   (uslseg_domain$0 data$0 next$0 a_init$0 null$0
                     (read$0 data$0 last_init$0)))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 a_init$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (uslseg_domain$0 data$0 next$0 a_init$0 null$0
                          (read$0 data$0 last_init$0))))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 res_init$0 l1 last_init$0)
                 (in$0 l1
                   (lslseg_domain$0 data$0 next$0 res_init$0 last_init$0
                     (read$0 data$0 last_init$0)))
                 (not (= l1 last_init$0)))
            (and
                 (or (= l1 last_init$0)
                     (not (Btwn$0 next$0 res_init$0 l1 last_init$0)))
                 (not
                      (in$0 l1
                        (lslseg_domain$0 data$0 next$0 res_init$0 last_init$0
                          (read$0 data$0 last_init$0))))))))

(assert (or (= b_3$0 null$0) (not (> (read$0 data$0 a_3$0) (read$0 data$0 b_3$0)))))

(assert (or (and (Btwn$0 next$0 b_init$0 null$0 null$0) Axiom_57$0 Axiom_56$0)
    (not
         (uslseg_struct$0 sk_?X_116$0 data$0 next$0 b_init$0 null$0
           (read$0 data$0 last_init$0)))))

(assert (or (not (= a_3$0 null$0)) (not (= b_3$0 null$0))))

(assert (= a_3$0 a_init$0))

(assert (= last_4$0 last_init$0))

(assert (= next_2$0 (write$0 next$0 last_4$0 a_3$0)))

(assert (= Alloc$0 (union$0 FP_Caller$0 Alloc$0)))

(assert (= sk_?X_114$0 (union$0 sk_?X_120$0 sk_?X_115$0)))

(assert (= sk_?X_116$0
  (uslseg_domain$0 data$0 next$0 b_init$0 null$0 (read$0 data$0 last_init$0))))

(assert (= sk_?X_118$0
  (uslseg_domain$0 data$0 next$0 a_init$0 null$0 (read$0 data$0 last_init$0))))

(assert (= sk_?X_120$0 sk_?X_121$0))

(assert (= sk_?X_122$0 sk_?X_123$0))

(assert (= FP_Caller$0 (union$0 FP$0 FP_Caller$0)))

(assert (not (= a_3$0 null$0)))

(assert (not (in$0 a_3$0 FP$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 b_init$0 l1 null$0)
                 (in$0 l1
                   (uslseg_domain$0 data$0 next$0 b_init$0 null$0
                     (read$0 data$0 last_init$0)))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 b_init$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (uslseg_domain$0 data$0 next$0 b_init$0 null$0
                          (read$0 data$0 last_init$0))))))))

(assert (forall ((?u Loc) (?v Loc) (?z Loc))
        (and
             (or (Btwn$0 (write$0 next$0 last_4$0 a_3$0) ?z ?u ?v)
                 (not
                      (or
                          (and (Btwn$0 next$0 ?z ?u ?v)
                               (or (Btwn$0 next$0 ?z ?v last_4$0)
                                   (and (Btwn$0 next$0 ?z ?v ?v)
                                        (not
                                             (Btwn$0 next$0 ?z last_4$0
                                               last_4$0)))))
                          (and (not (= last_4$0 ?v))
                               (or (Btwn$0 next$0 ?z last_4$0 ?v)
                                   (and (Btwn$0 next$0 ?z last_4$0 last_4$0)
                                        (not (Btwn$0 next$0 ?z ?v ?v))))
                               (Btwn$0 next$0 ?z ?u last_4$0)
                               (or (Btwn$0 next$0 a_3$0 ?v last_4$0)
                                   (and (Btwn$0 next$0 a_3$0 ?v ?v)
                                        (not
                                             (Btwn$0 next$0 a_3$0 last_4$0
                                               last_4$0)))))
                          (and (not (= last_4$0 ?v))
                               (or (Btwn$0 next$0 ?z last_4$0 ?v)
                                   (and (Btwn$0 next$0 ?z last_4$0 last_4$0)
                                        (not (Btwn$0 next$0 ?z ?v ?v))))
                               (Btwn$0 next$0 a_3$0 ?u ?v)
                               (or (Btwn$0 next$0 a_3$0 ?v last_4$0)
                                   (and (Btwn$0 next$0 a_3$0 ?v ?v)
                                        (not
                                             (Btwn$0 next$0 a_3$0 last_4$0
                                               last_4$0))))))))
             (or
                 (and (Btwn$0 next$0 ?z ?u ?v)
                      (or (Btwn$0 next$0 ?z ?v last_4$0)
                          (and (Btwn$0 next$0 ?z ?v ?v)
                               (not (Btwn$0 next$0 ?z last_4$0 last_4$0)))))
                 (and (not (= last_4$0 ?v))
                      (or (Btwn$0 next$0 ?z last_4$0 ?v)
                          (and (Btwn$0 next$0 ?z last_4$0 last_4$0)
                               (not (Btwn$0 next$0 ?z ?v ?v))))
                      (Btwn$0 next$0 ?z ?u last_4$0)
                      (or (Btwn$0 next$0 a_3$0 ?v last_4$0)
                          (and (Btwn$0 next$0 a_3$0 ?v ?v)
                               (not (Btwn$0 next$0 a_3$0 last_4$0 last_4$0)))))
                 (and (not (= last_4$0 ?v))
                      (or (Btwn$0 next$0 ?z last_4$0 ?v)
                          (and (Btwn$0 next$0 ?z last_4$0 last_4$0)
                               (not (Btwn$0 next$0 ?z ?v ?v))))
                      (Btwn$0 next$0 a_3$0 ?u ?v)
                      (or (Btwn$0 next$0 a_3$0 ?v last_4$0)
                          (and (Btwn$0 next$0 a_3$0 ?v ?v)
                               (not (Btwn$0 next$0 a_3$0 last_4$0 last_4$0)))))
                 (not (Btwn$0 (write$0 next$0 last_4$0 a_3$0) ?z ?u ?v))))))

(assert (forall ((?x Loc)) (Btwn$0 next$0 ?x ?x ?x)))

(assert (forall ((?x Loc) (?y Loc)) (or (not (Btwn$0 next$0 ?x ?y ?x)) (= ?x ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?y)) (not (Btwn$0 next$0 ?x ?z ?z))
            (Btwn$0 next$0 ?x ?y ?z) (Btwn$0 next$0 ?x ?z ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z))
            (and (Btwn$0 next$0 ?x ?y ?y) (Btwn$0 next$0 ?y ?z ?z)))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?y)) (not (Btwn$0 next$0 ?y ?z ?z))
            (Btwn$0 next$0 ?x ?z ?z))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z)) (not (Btwn$0 next$0 ?y ?u ?z))
            (and (Btwn$0 next$0 ?x ?y ?u) (Btwn$0 next$0 ?x ?u ?z)))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z)) (not (Btwn$0 next$0 ?x ?u ?y))
            (and (Btwn$0 next$0 ?x ?u ?z) (Btwn$0 next$0 ?u ?y ?z)))))

(check-sat)
(exit)
