(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source |
  GRASShopper benchmarks.
  Authors: Ruzica Piskac, Thomas Wies, and Damien Zufferey
  URL: http://cs.nyu.edu/wies/software/grasshopper
  See also: GRASShopper - Complete Heap Verification with Mixed Specifications. In TACAS 2014, pages 124-139.

  If this benchmark is satisfiable, GRASShopper reports the following error message:
  tests/spl/sls/sls_remove.spl:36:3-4:An invariant might not be maintained by a loop in procedure remove
  tests/spl/sls/sls_remove.spl:30:14:Related location: This is the loop invariant that might not be maintained
  |)
(set-info :category "crafted")
(set-info :status unsat)

(declare-sort Loc 0)
(declare-sort SetLoc 0)
(declare-sort SetInt 0)
(declare-sort FldBool 0)
(declare-sort FldLoc 0)
(declare-sort FldInt 0)
(declare-fun null$0 () Loc)
(declare-fun read$0 (FldInt Loc) Int)
(declare-fun read$1 (FldLoc Loc) Loc)
(declare-fun emptyset$0 () SetLoc)
(declare-fun setenum$0 (Loc) SetLoc)
(declare-fun union$0 (SetLoc SetLoc) SetLoc)
(declare-fun intersection$0 (SetLoc SetLoc) SetLoc)
(declare-fun setminus$0 (SetLoc SetLoc) SetLoc)
(declare-fun Btwn$0 (FldLoc Loc Loc Loc) Bool)
(declare-fun in$0 (Loc SetLoc) Bool)
(declare-fun Alloc$0 () SetLoc)
(declare-fun Axiom_55$0 () Bool)
(declare-fun Axiom_56$0 () Bool)
(declare-fun Axiom_57$0 () Bool)
(declare-fun Axiom_58$0 () Bool)
(declare-fun Axiom_59$0 () Bool)
(declare-fun Axiom_60$0 () Bool)
(declare-fun Axiom_61$0 () Bool)
(declare-fun Axiom_62$0 () Bool)
(declare-fun FP$0 () SetLoc)
(declare-fun FP_Caller$0 () SetLoc)
(declare-fun FP_Caller_2$0 () SetLoc)
(declare-fun curr_4$0 () Loc)
(declare-fun curr_5$0 () Loc)
(declare-fun curr_init$0 () Loc)
(declare-fun data$0 () FldInt)
(declare-fun lslseg_domain$0 (FldInt FldLoc Loc Loc Int) SetLoc)
(declare-fun lslseg_struct$0 (SetLoc FldInt FldLoc Loc Loc Int) Bool)
(declare-fun lst_3$0 () Loc)
(declare-fun lst_init$0 () Loc)
(declare-fun next$0 () FldLoc)
(declare-fun prv_4$0 () Loc)
(declare-fun prv_5$0 () Loc)
(declare-fun prv_init$0 () Loc)
(declare-fun sk_?X_149$0 () SetLoc)
(declare-fun sk_?X_150$0 () SetLoc)
(declare-fun sk_?X_151$0 () SetLoc)
(declare-fun sk_?X_152$0 () SetLoc)
(declare-fun sk_?X_153$0 () SetLoc)
(declare-fun sk_?X_154$0 () SetLoc)
(declare-fun sk_?X_155$0 () SetLoc)
(declare-fun sk_?X_156$0 () SetLoc)
(declare-fun sk_?X_157$0 () SetLoc)
(declare-fun sk_?X_158$0 () SetLoc)
(declare-fun sk_?X_159$0 () SetLoc)
(declare-fun sk_?X_160$0 () SetLoc)
(declare-fun sk_?X_161$0 () SetLoc)
(declare-fun sk_?X_162$0 () SetLoc)
(declare-fun sk_?X_163$0 () SetLoc)
(declare-fun sk_?X_164$0 () SetLoc)
(declare-fun sk_?X_165$0 () SetLoc)
(declare-fun sk_?X_166$0 () SetLoc)
(declare-fun sk_?X_167$0 () SetLoc)
(declare-fun sk_?X_168$0 () SetLoc)
(declare-fun sk_FP_2$0 () SetLoc)
(declare-fun sk_FP_3$0 () SetLoc)
(declare-fun sk_l1_3$0 () Loc)
(declare-fun sk_l1_4$0 () Loc)
(declare-fun sk_l2_3$0 () Loc)
(declare-fun sk_l2_4$0 () Loc)
(declare-fun slseg_domain$0 (FldInt FldLoc Loc Loc) SetLoc)
(declare-fun slseg_struct$0 (SetLoc FldInt FldLoc Loc Loc) Bool)
(declare-fun value_2$0 () Int)
(declare-fun value_init$0 () Int)

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next$0 null$0 ?y ?y)) (= null$0 ?y)
            (Btwn$0 next$0 null$0 (read$1 next$0 null$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next$0 prv_init$0 ?y ?y)) (= prv_init$0 ?y)
            (Btwn$0 next$0 prv_init$0 (read$1 next$0 prv_init$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next$0 curr_init$0 ?y ?y)) (= curr_init$0 ?y)
            (Btwn$0 next$0 curr_init$0 (read$1 next$0 curr_init$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$1 next$0 null$0) null$0))
            (not (Btwn$0 next$0 null$0 ?y ?y)) (= null$0 ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$1 next$0 prv_init$0) prv_init$0))
            (not (Btwn$0 next$0 prv_init$0 ?y ?y)) (= prv_init$0 ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$1 next$0 curr_init$0) curr_init$0))
            (not (Btwn$0 next$0 curr_init$0 ?y ?y)) (= curr_init$0 ?y))))

(assert (Btwn$0 next$0 null$0 (read$1 next$0 null$0) (read$1 next$0 null$0)))

(assert (Btwn$0 next$0 prv_init$0 (read$1 next$0 prv_init$0)
  (read$1 next$0 prv_init$0)))

(assert (Btwn$0 next$0 curr_init$0 (read$1 next$0 curr_init$0)
  (read$1 next$0 curr_init$0)))

(assert (forall ((l1 Loc))
        (or (not Axiom_62$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 prv_init$0))
                (not (in$0 l1 sk_?X_155$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_61$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 prv_init$0))
                (not (in$0 l1 sk_?X_155$0)) (not (in$0 l2 sk_?X_155$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_58$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0))
                (not (in$0 l1 sk_?X_157$0)) (not (in$0 l2 sk_?X_157$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_56$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0))
                (not (in$0 l1 sk_?X_167$0)) (not (in$0 l2 sk_?X_167$0))))))

(assert (forall ((l1 Loc))
        (or (not Axiom_60$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 prv_5$0))
                (not (in$0 l1 sk_?X_165$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_59$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 prv_5$0))
                (not (in$0 l1 sk_?X_165$0)) (not (in$0 l2 sk_?X_165$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_57$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0))
                (not (in$0 l1 sk_?X_151$0)) (not (in$0 l2 sk_?X_151$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_55$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0))
                (not (in$0 l1 sk_?X_161$0)) (not (in$0 l2 sk_?X_161$0))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP_Caller$0 Alloc$0))
                 (or (in$0 x FP_Caller$0) (in$0 x Alloc$0)))
            (and (not (in$0 x FP_Caller$0)) (not (in$0 x Alloc$0))
                 (not (in$0 x (union$0 FP_Caller$0 Alloc$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP$0 FP_Caller$0))
                 (or (in$0 x FP$0) (in$0 x FP_Caller$0)))
            (and (not (in$0 x FP$0)) (not (in$0 x FP_Caller$0))
                 (not (in$0 x (union$0 FP$0 FP_Caller$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_152$0 sk_?X_151$0))
                 (or (in$0 x sk_?X_152$0) (in$0 x sk_?X_151$0)))
            (and (not (in$0 x sk_?X_152$0)) (not (in$0 x sk_?X_151$0))
                 (not (in$0 x (union$0 sk_?X_152$0 sk_?X_151$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_155$0 sk_?X_154$0))
                 (or (in$0 x sk_?X_155$0) (in$0 x sk_?X_154$0)))
            (and (not (in$0 x sk_?X_155$0)) (not (in$0 x sk_?X_154$0))
                 (not (in$0 x (union$0 sk_?X_155$0 sk_?X_154$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_168$0 sk_?X_151$0))
                 (or (in$0 x sk_?X_168$0) (in$0 x sk_?X_151$0)))
            (and (not (in$0 x sk_?X_168$0)) (not (in$0 x sk_?X_151$0))
                 (not (in$0 x (union$0 sk_?X_168$0 sk_?X_151$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_165$0 sk_?X_163$0))
                 (or (in$0 x sk_?X_165$0) (in$0 x sk_?X_163$0)))
            (and (not (in$0 x sk_?X_165$0)) (not (in$0 x sk_?X_163$0))
                 (not (in$0 x (union$0 sk_?X_165$0 sk_?X_163$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_162$0 sk_?X_161$0))
                 (or (in$0 x sk_?X_162$0) (in$0 x sk_?X_161$0)))
            (and (not (in$0 x sk_?X_162$0)) (not (in$0 x sk_?X_161$0))
                 (not (in$0 x (union$0 sk_?X_162$0 sk_?X_161$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_168$0 sk_?X_161$0))
                 (or (in$0 x sk_?X_168$0) (in$0 x sk_?X_161$0)))
            (and (not (in$0 x sk_?X_168$0)) (not (in$0 x sk_?X_161$0))
                 (not (in$0 x (union$0 sk_?X_168$0 sk_?X_161$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_152$0) (in$0 x sk_?X_151$0)
                 (in$0 x (intersection$0 sk_?X_152$0 sk_?X_151$0)))
            (and (or (not (in$0 x sk_?X_152$0)) (not (in$0 x sk_?X_151$0)))
                 (not (in$0 x (intersection$0 sk_?X_152$0 sk_?X_151$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_155$0) (in$0 x sk_?X_154$0)
                 (in$0 x (intersection$0 sk_?X_155$0 sk_?X_154$0)))
            (and (or (not (in$0 x sk_?X_155$0)) (not (in$0 x sk_?X_154$0)))
                 (not (in$0 x (intersection$0 sk_?X_155$0 sk_?X_154$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_168$0) (in$0 x sk_?X_151$0)
                 (in$0 x (intersection$0 sk_?X_168$0 sk_?X_151$0)))
            (and (or (not (in$0 x sk_?X_168$0)) (not (in$0 x sk_?X_151$0)))
                 (not (in$0 x (intersection$0 sk_?X_168$0 sk_?X_151$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_162$0) (in$0 x sk_?X_161$0)
                 (in$0 x (intersection$0 sk_?X_162$0 sk_?X_161$0)))
            (and (or (not (in$0 x sk_?X_162$0)) (not (in$0 x sk_?X_161$0)))
                 (not (in$0 x (intersection$0 sk_?X_162$0 sk_?X_161$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_165$0) (in$0 x sk_?X_163$0)
                 (in$0 x (intersection$0 sk_?X_165$0 sk_?X_163$0)))
            (and (or (not (in$0 x sk_?X_165$0)) (not (in$0 x sk_?X_163$0)))
                 (not (in$0 x (intersection$0 sk_?X_165$0 sk_?X_163$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_168$0) (in$0 x sk_?X_161$0)
                 (in$0 x (intersection$0 sk_?X_168$0 sk_?X_161$0)))
            (and (or (not (in$0 x sk_?X_168$0)) (not (in$0 x sk_?X_161$0)))
                 (not (in$0 x (intersection$0 sk_?X_168$0 sk_?X_161$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x FP_Caller$0) (in$0 x (setminus$0 FP_Caller$0 FP$0))
                 (not (in$0 x FP$0)))
            (and (or (in$0 x FP$0) (not (in$0 x FP_Caller$0)))
                 (not (in$0 x (setminus$0 FP_Caller$0 FP$0)))))))

(assert (forall ((y Loc) (x Loc))
        (or (and (= x y) (in$0 x (setenum$0 y)))
            (and (not (= x y)) (not (in$0 x (setenum$0 y)))))))

(assert (= (read$1 next$0 null$0) null$0))

(assert (forall ((x Loc)) (not (in$0 x emptyset$0))))

(assert (or (and (Btwn$0 next$0 curr_5$0 null$0 null$0) Axiom_56$0)
    (not (slseg_struct$0 sk_?X_167$0 data$0 next$0 curr_5$0 null$0))))

(assert (or (and (Btwn$0 next$0 curr_init$0 null$0 null$0) Axiom_58$0)
    (not (slseg_struct$0 sk_?X_157$0 data$0 next$0 curr_init$0 null$0))))

(assert (or
    (and (Btwn$0 next$0 lst_init$0 prv_init$0 prv_init$0) Axiom_62$0
         Axiom_61$0)
    (not
         (lslseg_struct$0 sk_?X_155$0 data$0 next$0 lst_init$0 prv_init$0
           (read$0 data$0 prv_init$0)))))

(assert (= curr_4$0 curr_init$0))

(assert (= lst_3$0 lst_init$0))

(assert (= prv_5$0 curr_4$0))

(assert (< (read$0 data$0 curr_4$0) value_2$0))

(assert (= sk_?X_149$0 sk_?X_150$0))

(assert (= sk_?X_151$0 (slseg_domain$0 data$0 next$0 curr_init$0 null$0)))

(assert (= sk_?X_153$0 sk_?X_154$0))

(assert (= sk_?X_155$0
  (lslseg_domain$0 data$0 next$0 lst_init$0 prv_init$0
    (read$0 data$0 prv_init$0))))

(assert (= sk_?X_157$0 (slseg_domain$0 data$0 next$0 curr_init$0 null$0)))

(assert (= FP_Caller$0 (union$0 FP$0 FP_Caller$0)))

(assert (= sk_?X_159$0 sk_?X_160$0))

(assert (= sk_?X_161$0 (slseg_domain$0 data$0 next$0 curr_5$0 null$0)))

(assert (= sk_?X_163$0 sk_?X_164$0))

(assert (= sk_?X_165$0
  (lslseg_domain$0 data$0 next$0 lst_3$0 prv_5$0 (read$0 data$0 prv_5$0))))

(assert (= sk_?X_167$0 (slseg_domain$0 data$0 next$0 curr_5$0 null$0)))

(assert (= sk_FP_2$0 sk_?X_159$0))

(assert (or (in$0 sk_l1_3$0 (intersection$0 sk_?X_165$0 sk_?X_163$0))
    (in$0 sk_l2_3$0 (intersection$0 sk_?X_162$0 sk_?X_161$0))
    (and (in$0 sk_l1_3$0 sk_?X_165$0)
         (not (<= (read$0 data$0 sk_l1_3$0) (read$0 data$0 prv_5$0))))
    (and (in$0 sk_l2_3$0 sk_FP_2$0) (not (in$0 sk_l2_3$0 FP$0)))
    (and (not (= curr_5$0 null$0))
         (not (<= (read$0 data$0 prv_5$0) (read$0 data$0 curr_5$0))))
    (not (= (read$1 next$0 prv_5$0) curr_5$0))
    (not (Btwn$0 next$0 curr_5$0 null$0 null$0))
    (not (Btwn$0 next$0 lst_3$0 prv_5$0 prv_5$0))
    (and (Btwn$0 next$0 sk_l1_3$0 sk_l2_3$0 null$0)
         (in$0 sk_l1_3$0 sk_?X_161$0) (in$0 sk_l2_3$0 sk_?X_161$0)
         (not (<= (read$0 data$0 sk_l1_3$0) (read$0 data$0 sk_l2_3$0))))
    (and (Btwn$0 next$0 sk_l1_3$0 sk_l2_3$0 prv_5$0)
         (in$0 sk_l1_3$0 sk_?X_165$0) (in$0 sk_l2_3$0 sk_?X_165$0)
         (not (<= (read$0 data$0 sk_l1_3$0) (read$0 data$0 sk_l2_3$0))))))

(assert (not (= curr_4$0 null$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 curr_5$0 l1 null$0)
                 (in$0 l1 (slseg_domain$0 data$0 next$0 curr_5$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 curr_5$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (slseg_domain$0 data$0 next$0 curr_5$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 lst_3$0 l1 prv_5$0)
                 (in$0 l1
                   (lslseg_domain$0 data$0 next$0 lst_3$0 prv_5$0
                     (read$0 data$0 prv_5$0)))
                 (not (= l1 prv_5$0)))
            (and (or (= l1 prv_5$0) (not (Btwn$0 next$0 lst_3$0 l1 prv_5$0)))
                 (not
                      (in$0 l1
                        (lslseg_domain$0 data$0 next$0 lst_3$0 prv_5$0
                          (read$0 data$0 prv_5$0))))))))

(assert (or (and (Btwn$0 next$0 curr_5$0 null$0 null$0) Axiom_55$0)
    (not (slseg_struct$0 sk_?X_161$0 data$0 next$0 curr_5$0 null$0))))

(assert (or (and (Btwn$0 next$0 curr_init$0 null$0 null$0) Axiom_57$0)
    (not (slseg_struct$0 sk_?X_151$0 data$0 next$0 curr_init$0 null$0))))

(assert (or (and (Btwn$0 next$0 lst_3$0 prv_5$0 prv_5$0) Axiom_60$0 Axiom_59$0)
    (not
         (lslseg_struct$0 sk_?X_165$0 data$0 next$0 lst_3$0 prv_5$0
           (read$0 data$0 prv_5$0)))))

(assert (= FP_Caller_2$0 (setminus$0 FP_Caller$0 FP$0)))

(assert (= curr_5$0 (read$1 next$0 curr_4$0)))

(assert (= prv_4$0 prv_init$0))

(assert (= value_2$0 value_init$0))

(assert (= Alloc$0 (union$0 FP_Caller$0 Alloc$0)))

(assert (= sk_?X_150$0 (union$0 sk_?X_152$0 sk_?X_151$0)))

(assert (= sk_?X_152$0 (union$0 sk_?X_155$0 sk_?X_153$0)))

(assert (= sk_?X_154$0 (setenum$0 prv_init$0)))

(assert (= sk_?X_156$0 (union$0 sk_?X_158$0 sk_?X_157$0)))

(assert (= sk_?X_158$0 emptyset$0))

(assert (or
    (and (= (read$1 next$0 prv_init$0) curr_init$0) (= emptyset$0 emptyset$0)
         (= emptyset$0 (intersection$0 sk_?X_152$0 sk_?X_151$0))
         (= emptyset$0 (intersection$0 sk_?X_155$0 sk_?X_153$0))
         (= sk_?X_149$0 FP$0)
         (lslseg_struct$0 sk_?X_155$0 data$0 next$0 lst_init$0 prv_init$0
           (read$0 data$0 prv_init$0))
         (slseg_struct$0 sk_?X_151$0 data$0 next$0 curr_init$0 null$0)
         (or (= curr_init$0 null$0)
             (<= (read$0 data$0 prv_init$0) (read$0 data$0 curr_init$0))))
    (and (= emptyset$0 emptyset$0)
         (= emptyset$0 (intersection$0 sk_?X_158$0 sk_?X_157$0))
         (= curr_init$0 lst_init$0) (= prv_init$0 null$0)
         (= sk_?X_156$0 FP$0)
         (slseg_struct$0 sk_?X_157$0 data$0 next$0 curr_init$0 null$0))))

(assert (= sk_?X_160$0 (union$0 sk_?X_162$0 sk_?X_161$0)))

(assert (= sk_?X_162$0 (union$0 sk_?X_165$0 sk_?X_163$0)))

(assert (= sk_?X_164$0 (setenum$0 prv_5$0)))

(assert (= sk_?X_166$0 (union$0 sk_?X_168$0 sk_?X_167$0)))

(assert (= sk_?X_168$0 emptyset$0))

(assert (= sk_FP_3$0 sk_?X_166$0))

(assert (or (in$0 sk_l1_4$0 (intersection$0 sk_?X_168$0 sk_?X_167$0))
    (and (in$0 sk_l2_4$0 sk_FP_3$0) (not (in$0 sk_l2_4$0 FP$0)))
    (not (= curr_5$0 lst_3$0)) (not (= prv_5$0 null$0))
    (not (Btwn$0 next$0 curr_5$0 null$0 null$0))
    (and (Btwn$0 next$0 sk_l1_4$0 sk_l2_4$0 null$0)
         (in$0 sk_l1_4$0 sk_?X_167$0) (in$0 sk_l2_4$0 sk_?X_167$0)
         (not (<= (read$0 data$0 sk_l1_4$0) (read$0 data$0 sk_l2_4$0))))))

(assert (not (in$0 null$0 Alloc$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 curr_init$0 l1 null$0)
                 (in$0 l1 (slseg_domain$0 data$0 next$0 curr_init$0 null$0))
                 (not (= l1 null$0)))
            (and
                 (or (= l1 null$0)
                     (not (Btwn$0 next$0 curr_init$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (slseg_domain$0 data$0 next$0 curr_init$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 lst_init$0 l1 prv_init$0)
                 (in$0 l1
                   (lslseg_domain$0 data$0 next$0 lst_init$0 prv_init$0
                     (read$0 data$0 prv_init$0)))
                 (not (= l1 prv_init$0)))
            (and
                 (or (= l1 prv_init$0)
                     (not (Btwn$0 next$0 lst_init$0 l1 prv_init$0)))
                 (not
                      (in$0 l1
                        (lslseg_domain$0 data$0 next$0 lst_init$0 prv_init$0
                          (read$0 data$0 prv_init$0))))))))

(assert (forall ((?x Loc)) (Btwn$0 next$0 ?x ?x ?x)))

(assert (forall ((?x Loc) (?y Loc)) (or (not (Btwn$0 next$0 ?x ?y ?x)) (= ?x ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?y)) (not (Btwn$0 next$0 ?x ?z ?z))
            (Btwn$0 next$0 ?x ?y ?z) (Btwn$0 next$0 ?x ?z ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z))
            (and (Btwn$0 next$0 ?x ?y ?y) (Btwn$0 next$0 ?y ?z ?z)))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?y)) (not (Btwn$0 next$0 ?y ?z ?z))
            (Btwn$0 next$0 ?x ?z ?z))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z)) (not (Btwn$0 next$0 ?y ?u ?z))
            (and (Btwn$0 next$0 ?x ?y ?u) (Btwn$0 next$0 ?x ?u ?z)))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z)) (not (Btwn$0 next$0 ?x ?u ?y))
            (and (Btwn$0 next$0 ?x ?u ?z) (Btwn$0 next$0 ?u ?y ?z)))))

(check-sat)
(exit)
