(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source |
  GRASShopper benchmarks.
  Authors: Ruzica Piskac, Thomas Wies, and Damien Zufferey
  URL: http://cs.nyu.edu/wies/software/grasshopper
  See also: GRASShopper - Complete Heap Verification with Mixed Specifications. In TACAS 2014, pages 124-139.

  If this benchmark is satisfiable, GRASShopper reports the following error message:
  tests/spl/sl_sorted_set/union.spl:44:15-29:A precondition for this call of union might not hold
  tests/spl/sl_sorted_set/union.spl:27:11-80:Related location: This is the precondition that might not hold
  |)
(set-info :category "crafted")
(set-info :status unsat)

(declare-sort Loc 0)
(declare-sort SetLoc 0)
(declare-sort SetInt 0)
(declare-sort FldBool 0)
(declare-sort FldLoc 0)
(declare-sort FldInt 0)
(declare-fun null$0 () Loc)
(declare-fun read$0 (FldInt Loc) Int)
(declare-fun read$1 (FldLoc Loc) Loc)
(declare-fun emptyset$0 () SetInt)
(declare-fun emptyset$1 () SetLoc)
(declare-fun setenum$0 (Loc) SetLoc)
(declare-fun union$0 (SetLoc SetLoc) SetLoc)
(declare-fun intersection$0 (SetLoc SetLoc) SetLoc)
(declare-fun setminus$0 (SetLoc SetLoc) SetLoc)
(declare-fun Btwn$0 (FldLoc Loc Loc Loc) Bool)
(declare-fun in$0 (Int SetInt) Bool)
(declare-fun in$1 (Loc SetLoc) Bool)
(declare-fun Alloc$0 () SetLoc)
(declare-fun Alloc_1$0 () SetLoc)
(declare-fun Axiom_56$0 () Bool)
(declare-fun Axiom_57$0 () Bool)
(declare-fun Axiom_58$0 () Bool)
(declare-fun Axiom_59$0 () Bool)
(declare-fun FP$0 () SetLoc)
(declare-fun FP_1$0 () SetLoc)
(declare-fun FP_Caller$0 () SetLoc)
(declare-fun FP_Caller_1$0 () SetLoc)
(declare-fun content1$0 () SetInt)
(declare-fun content2$0 () SetInt)
(declare-fun data$0 () FldInt)
(declare-fun lst1$0 () Loc)
(declare-fun lst2$0 () Loc)
(declare-fun n_2$0 () Loc)
(declare-fun next$0 () FldLoc)
(declare-fun sk_?X_62$0 () SetLoc)
(declare-fun sk_?X_63$0 () SetLoc)
(declare-fun sk_?X_64$0 () SetLoc)
(declare-fun sk_?X_65$0 () SetLoc)
(declare-fun sk_?X_66$0 () SetLoc)
(declare-fun sk_?X_67$0 () SetLoc)
(declare-fun sk_FP_2$0 () SetLoc)
(declare-fun sk_content1_2$0 () SetInt)
(declare-fun sk_content2_2$0 () SetInt)
(declare-fun sk_l1_6$0 () Loc)
(declare-fun sk_l2_6$0 () Loc)
(declare-fun sorted_set_c$0 (FldInt FldLoc Loc Loc) SetInt)
(declare-fun sorted_set_domain$0 (FldInt FldLoc Loc Loc) SetLoc)
(declare-fun sorted_set_struct$0 (SetLoc FldInt FldLoc Loc Loc SetInt) Bool)
(declare-fun witness$0 (FldInt Int SetInt) Loc)

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next$0 null$0 ?y ?y)) (= null$0 ?y)
            (Btwn$0 next$0 null$0 (read$1 next$0 null$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next$0 lst1$0 ?y ?y)) (= lst1$0 ?y)
            (Btwn$0 next$0 lst1$0 (read$1 next$0 lst1$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$1 next$0 null$0) null$0))
            (not (Btwn$0 next$0 null$0 ?y ?y)) (= null$0 ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$1 next$0 lst1$0) lst1$0))
            (not (Btwn$0 next$0 lst1$0 ?y ?y)) (= lst1$0 ?y))))

(assert (Btwn$0 next$0 null$0 (read$1 next$0 null$0) (read$1 next$0 null$0)))

(assert (Btwn$0 next$0 lst1$0 (read$1 next$0 lst1$0) (read$1 next$0 lst1$0)))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 lst1$0)
        (sorted_set_c$0 data$0 next$0 n_2$0 null$0))
      (sorted_set_domain$0 data$0 next$0 n_2$0 null$0))
    (not
         (in$0 (read$0 data$0 lst1$0)
           (sorted_set_c$0 data$0 next$0 n_2$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 lst2$0)
        (sorted_set_c$0 data$0 next$0 n_2$0 null$0))
      (sorted_set_domain$0 data$0 next$0 n_2$0 null$0))
    (not
         (in$0 (read$0 data$0 lst2$0)
           (sorted_set_c$0 data$0 next$0 n_2$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 sk_l1_6$0)
        (sorted_set_c$0 data$0 next$0 n_2$0 null$0))
      (sorted_set_domain$0 data$0 next$0 n_2$0 null$0))
    (not
         (in$0 (read$0 data$0 sk_l1_6$0)
           (sorted_set_c$0 data$0 next$0 n_2$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 sk_l2_6$0)
        (sorted_set_c$0 data$0 next$0 n_2$0 null$0))
      (sorted_set_domain$0 data$0 next$0 n_2$0 null$0))
    (not
         (in$0 (read$0 data$0 sk_l2_6$0)
           (sorted_set_c$0 data$0 next$0 n_2$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 lst1$0)
        (sorted_set_c$0 data$0 next$0 lst1$0 null$0))
      (sorted_set_domain$0 data$0 next$0 lst1$0 null$0))
    (not
         (in$0 (read$0 data$0 lst1$0)
           (sorted_set_c$0 data$0 next$0 lst1$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 lst2$0)
        (sorted_set_c$0 data$0 next$0 lst1$0 null$0))
      (sorted_set_domain$0 data$0 next$0 lst1$0 null$0))
    (not
         (in$0 (read$0 data$0 lst2$0)
           (sorted_set_c$0 data$0 next$0 lst1$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 sk_l1_6$0)
        (sorted_set_c$0 data$0 next$0 lst1$0 null$0))
      (sorted_set_domain$0 data$0 next$0 lst1$0 null$0))
    (not
         (in$0 (read$0 data$0 sk_l1_6$0)
           (sorted_set_c$0 data$0 next$0 lst1$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 sk_l2_6$0)
        (sorted_set_c$0 data$0 next$0 lst1$0 null$0))
      (sorted_set_domain$0 data$0 next$0 lst1$0 null$0))
    (not
         (in$0 (read$0 data$0 sk_l2_6$0)
           (sorted_set_c$0 data$0 next$0 lst1$0 null$0)))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 lst1$0)
        (sorted_set_c$0 data$0 next$0 lst2$0 null$0))
      null$0)
    (in$0 (read$0 data$0 lst1$0)
      (sorted_set_c$0 data$0 next$0 lst2$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 lst2$0)
        (sorted_set_c$0 data$0 next$0 lst2$0 null$0))
      null$0)
    (in$0 (read$0 data$0 lst2$0)
      (sorted_set_c$0 data$0 next$0 lst2$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 sk_l1_6$0)
        (sorted_set_c$0 data$0 next$0 lst2$0 null$0))
      null$0)
    (in$0 (read$0 data$0 sk_l1_6$0)
      (sorted_set_c$0 data$0 next$0 lst2$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 sk_l2_6$0)
        (sorted_set_c$0 data$0 next$0 lst2$0 null$0))
      null$0)
    (in$0 (read$0 data$0 sk_l2_6$0)
      (sorted_set_c$0 data$0 next$0 lst2$0 null$0))))

(assert (or
    (= (read$0 data$0 lst1$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 lst1$0)
          (sorted_set_c$0 data$0 next$0 n_2$0 null$0))))
    (not
         (in$0 (read$0 data$0 lst1$0)
           (sorted_set_c$0 data$0 next$0 n_2$0 null$0)))))

(assert (or
    (= (read$0 data$0 lst2$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 lst2$0)
          (sorted_set_c$0 data$0 next$0 n_2$0 null$0))))
    (not
         (in$0 (read$0 data$0 lst2$0)
           (sorted_set_c$0 data$0 next$0 n_2$0 null$0)))))

(assert (or
    (= (read$0 data$0 sk_l1_6$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 sk_l1_6$0)
          (sorted_set_c$0 data$0 next$0 n_2$0 null$0))))
    (not
         (in$0 (read$0 data$0 sk_l1_6$0)
           (sorted_set_c$0 data$0 next$0 n_2$0 null$0)))))

(assert (or
    (= (read$0 data$0 sk_l2_6$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 sk_l2_6$0)
          (sorted_set_c$0 data$0 next$0 n_2$0 null$0))))
    (not
         (in$0 (read$0 data$0 sk_l2_6$0)
           (sorted_set_c$0 data$0 next$0 n_2$0 null$0)))))

(assert (or
    (= (read$0 data$0 lst1$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 lst1$0)
          (sorted_set_c$0 data$0 next$0 lst1$0 null$0))))
    (not
         (in$0 (read$0 data$0 lst1$0)
           (sorted_set_c$0 data$0 next$0 lst1$0 null$0)))))

(assert (or
    (= (read$0 data$0 lst2$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 lst2$0)
          (sorted_set_c$0 data$0 next$0 lst1$0 null$0))))
    (not
         (in$0 (read$0 data$0 lst2$0)
           (sorted_set_c$0 data$0 next$0 lst1$0 null$0)))))

(assert (or
    (= (read$0 data$0 sk_l1_6$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 sk_l1_6$0)
          (sorted_set_c$0 data$0 next$0 lst1$0 null$0))))
    (not
         (in$0 (read$0 data$0 sk_l1_6$0)
           (sorted_set_c$0 data$0 next$0 lst1$0 null$0)))))

(assert (or
    (= (read$0 data$0 sk_l2_6$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 sk_l2_6$0)
          (sorted_set_c$0 data$0 next$0 lst1$0 null$0))))
    (not
         (in$0 (read$0 data$0 sk_l2_6$0)
           (sorted_set_c$0 data$0 next$0 lst1$0 null$0)))))

(assert (forall ((l1 Loc))
        (or
            (in$0 (read$0 data$0 l1)
              (sorted_set_c$0 data$0 next$0 n_2$0 null$0))
            (not (in$1 l1 (sorted_set_domain$0 data$0 next$0 n_2$0 null$0))))))

(assert (forall ((l1 Loc))
        (or
            (in$0 (read$0 data$0 l1)
              (sorted_set_c$0 data$0 next$0 lst1$0 null$0))
            (not (in$1 l1 (sorted_set_domain$0 data$0 next$0 lst1$0 null$0))))))

(assert (or
    (= lst1$0
      (witness$0 data$0 (read$0 data$0 lst1$0)
        (sorted_set_c$0 data$0 next$0 lst2$0 null$0)))
    (not (in$1 lst1$0 (sorted_set_domain$0 data$0 next$0 lst2$0 null$0)))))

(assert (or
    (= lst2$0
      (witness$0 data$0 (read$0 data$0 lst2$0)
        (sorted_set_c$0 data$0 next$0 lst2$0 null$0)))
    (not (in$1 lst2$0 (sorted_set_domain$0 data$0 next$0 lst2$0 null$0)))))

(assert (or
    (= sk_l1_6$0
      (witness$0 data$0 (read$0 data$0 sk_l1_6$0)
        (sorted_set_c$0 data$0 next$0 lst2$0 null$0)))
    (not (in$1 sk_l1_6$0 (sorted_set_domain$0 data$0 next$0 lst2$0 null$0)))))

(assert (or
    (= sk_l2_6$0
      (witness$0 data$0 (read$0 data$0 sk_l2_6$0)
        (sorted_set_c$0 data$0 next$0 lst2$0 null$0)))
    (not (in$1 sk_l2_6$0 (sorted_set_domain$0 data$0 next$0 lst2$0 null$0)))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_59$0)
            (or (= l1 l2) (< (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0)) (not (in$1 l1 sk_?X_67$0))
                (not (in$1 l2 sk_?X_67$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_57$0)
            (or (= l1 l2) (< (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0)) (not (in$1 l1 sk_?X_63$0))
                (not (in$1 l2 sk_?X_63$0))))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 lst1$0)
        (sorted_set_c$0 data$0 next$0 lst2$0 null$0))
      (sorted_set_domain$0 data$0 next$0 lst2$0 null$0))
    (not
         (in$0 (read$0 data$0 lst1$0)
           (sorted_set_c$0 data$0 next$0 lst2$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 lst2$0)
        (sorted_set_c$0 data$0 next$0 lst2$0 null$0))
      (sorted_set_domain$0 data$0 next$0 lst2$0 null$0))
    (not
         (in$0 (read$0 data$0 lst2$0)
           (sorted_set_c$0 data$0 next$0 lst2$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 sk_l1_6$0)
        (sorted_set_c$0 data$0 next$0 lst2$0 null$0))
      (sorted_set_domain$0 data$0 next$0 lst2$0 null$0))
    (not
         (in$0 (read$0 data$0 sk_l1_6$0)
           (sorted_set_c$0 data$0 next$0 lst2$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 sk_l2_6$0)
        (sorted_set_c$0 data$0 next$0 lst2$0 null$0))
      (sorted_set_domain$0 data$0 next$0 lst2$0 null$0))
    (not
         (in$0 (read$0 data$0 sk_l2_6$0)
           (sorted_set_c$0 data$0 next$0 lst2$0 null$0)))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 lst1$0)
        (sorted_set_c$0 data$0 next$0 n_2$0 null$0))
      null$0)
    (in$0 (read$0 data$0 lst1$0) (sorted_set_c$0 data$0 next$0 n_2$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 lst2$0)
        (sorted_set_c$0 data$0 next$0 n_2$0 null$0))
      null$0)
    (in$0 (read$0 data$0 lst2$0) (sorted_set_c$0 data$0 next$0 n_2$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 sk_l1_6$0)
        (sorted_set_c$0 data$0 next$0 n_2$0 null$0))
      null$0)
    (in$0 (read$0 data$0 sk_l1_6$0)
      (sorted_set_c$0 data$0 next$0 n_2$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 sk_l2_6$0)
        (sorted_set_c$0 data$0 next$0 n_2$0 null$0))
      null$0)
    (in$0 (read$0 data$0 sk_l2_6$0)
      (sorted_set_c$0 data$0 next$0 n_2$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 lst1$0)
        (sorted_set_c$0 data$0 next$0 lst1$0 null$0))
      null$0)
    (in$0 (read$0 data$0 lst1$0)
      (sorted_set_c$0 data$0 next$0 lst1$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 lst2$0)
        (sorted_set_c$0 data$0 next$0 lst1$0 null$0))
      null$0)
    (in$0 (read$0 data$0 lst2$0)
      (sorted_set_c$0 data$0 next$0 lst1$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 sk_l1_6$0)
        (sorted_set_c$0 data$0 next$0 lst1$0 null$0))
      null$0)
    (in$0 (read$0 data$0 sk_l1_6$0)
      (sorted_set_c$0 data$0 next$0 lst1$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 sk_l2_6$0)
        (sorted_set_c$0 data$0 next$0 lst1$0 null$0))
      null$0)
    (in$0 (read$0 data$0 sk_l2_6$0)
      (sorted_set_c$0 data$0 next$0 lst1$0 null$0))))

(assert (or
    (= (read$0 data$0 lst1$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 lst1$0)
          (sorted_set_c$0 data$0 next$0 lst2$0 null$0))))
    (not
         (in$0 (read$0 data$0 lst1$0)
           (sorted_set_c$0 data$0 next$0 lst2$0 null$0)))))

(assert (or
    (= (read$0 data$0 lst2$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 lst2$0)
          (sorted_set_c$0 data$0 next$0 lst2$0 null$0))))
    (not
         (in$0 (read$0 data$0 lst2$0)
           (sorted_set_c$0 data$0 next$0 lst2$0 null$0)))))

(assert (or
    (= (read$0 data$0 sk_l1_6$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 sk_l1_6$0)
          (sorted_set_c$0 data$0 next$0 lst2$0 null$0))))
    (not
         (in$0 (read$0 data$0 sk_l1_6$0)
           (sorted_set_c$0 data$0 next$0 lst2$0 null$0)))))

(assert (or
    (= (read$0 data$0 sk_l2_6$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 sk_l2_6$0)
          (sorted_set_c$0 data$0 next$0 lst2$0 null$0))))
    (not
         (in$0 (read$0 data$0 sk_l2_6$0)
           (sorted_set_c$0 data$0 next$0 lst2$0 null$0)))))

(assert (forall ((l1 Loc))
        (or
            (in$0 (read$0 data$0 l1)
              (sorted_set_c$0 data$0 next$0 lst2$0 null$0))
            (not (in$1 l1 (sorted_set_domain$0 data$0 next$0 lst2$0 null$0))))))

(assert (or
    (= lst1$0
      (witness$0 data$0 (read$0 data$0 lst1$0)
        (sorted_set_c$0 data$0 next$0 n_2$0 null$0)))
    (not (in$1 lst1$0 (sorted_set_domain$0 data$0 next$0 n_2$0 null$0)))))

(assert (or
    (= lst2$0
      (witness$0 data$0 (read$0 data$0 lst2$0)
        (sorted_set_c$0 data$0 next$0 n_2$0 null$0)))
    (not (in$1 lst2$0 (sorted_set_domain$0 data$0 next$0 n_2$0 null$0)))))

(assert (or
    (= sk_l1_6$0
      (witness$0 data$0 (read$0 data$0 sk_l1_6$0)
        (sorted_set_c$0 data$0 next$0 n_2$0 null$0)))
    (not (in$1 sk_l1_6$0 (sorted_set_domain$0 data$0 next$0 n_2$0 null$0)))))

(assert (or
    (= sk_l2_6$0
      (witness$0 data$0 (read$0 data$0 sk_l2_6$0)
        (sorted_set_c$0 data$0 next$0 n_2$0 null$0)))
    (not (in$1 sk_l2_6$0 (sorted_set_domain$0 data$0 next$0 n_2$0 null$0)))))

(assert (or
    (= lst1$0
      (witness$0 data$0 (read$0 data$0 lst1$0)
        (sorted_set_c$0 data$0 next$0 lst1$0 null$0)))
    (not (in$1 lst1$0 (sorted_set_domain$0 data$0 next$0 lst1$0 null$0)))))

(assert (or
    (= lst2$0
      (witness$0 data$0 (read$0 data$0 lst2$0)
        (sorted_set_c$0 data$0 next$0 lst1$0 null$0)))
    (not (in$1 lst2$0 (sorted_set_domain$0 data$0 next$0 lst1$0 null$0)))))

(assert (or
    (= sk_l1_6$0
      (witness$0 data$0 (read$0 data$0 sk_l1_6$0)
        (sorted_set_c$0 data$0 next$0 lst1$0 null$0)))
    (not (in$1 sk_l1_6$0 (sorted_set_domain$0 data$0 next$0 lst1$0 null$0)))))

(assert (or
    (= sk_l2_6$0
      (witness$0 data$0 (read$0 data$0 sk_l2_6$0)
        (sorted_set_c$0 data$0 next$0 lst1$0 null$0)))
    (not (in$1 sk_l2_6$0 (sorted_set_domain$0 data$0 next$0 lst1$0 null$0)))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_58$0)
            (or (= l1 l2) (< (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0)) (not (in$1 l1 sk_?X_66$0))
                (not (in$1 l2 sk_?X_66$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_56$0)
            (or (= l1 l2) (< (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0)) (not (in$1 l1 sk_?X_64$0))
                (not (in$1 l2 sk_?X_64$0))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x (union$0 FP_Caller$0 Alloc$0))
                 (or (in$1 x FP_Caller$0) (in$1 x Alloc$0)))
            (and (not (in$1 x FP_Caller$0)) (not (in$1 x Alloc$0))
                 (not (in$1 x (union$0 FP_Caller$0 Alloc$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x (union$0 sk_?X_64$0 sk_?X_66$0))
                 (or (in$1 x sk_?X_64$0) (in$1 x sk_?X_66$0)))
            (and (not (in$1 x sk_?X_64$0)) (not (in$1 x sk_?X_66$0))
                 (not (in$1 x (union$0 sk_?X_64$0 sk_?X_66$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x (union$0 FP$0 FP_Caller$0))
                 (or (in$1 x FP$0) (in$1 x FP_Caller$0)))
            (and (not (in$1 x FP$0)) (not (in$1 x FP_Caller$0))
                 (not (in$1 x (union$0 FP$0 FP_Caller$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x (union$0 sk_?X_67$0 sk_?X_66$0))
                 (or (in$1 x sk_?X_67$0) (in$1 x sk_?X_66$0)))
            (and (not (in$1 x sk_?X_67$0)) (not (in$1 x sk_?X_66$0))
                 (not (in$1 x (union$0 sk_?X_67$0 sk_?X_66$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x sk_?X_64$0) (in$1 x sk_?X_66$0)
                 (in$1 x (intersection$0 sk_?X_64$0 sk_?X_66$0)))
            (and (or (not (in$1 x sk_?X_64$0)) (not (in$1 x sk_?X_66$0)))
                 (not (in$1 x (intersection$0 sk_?X_64$0 sk_?X_66$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x sk_?X_67$0) (in$1 x sk_?X_66$0)
                 (in$1 x (intersection$0 sk_?X_67$0 sk_?X_66$0)))
            (and (or (not (in$1 x sk_?X_67$0)) (not (in$1 x sk_?X_66$0)))
                 (not (in$1 x (intersection$0 sk_?X_67$0 sk_?X_66$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x Alloc$0)
                 (in$1 x (setminus$0 Alloc$0 (setenum$0 lst1$0)))
                 (not (in$1 x (setenum$0 lst1$0))))
            (and (or (in$1 x (setenum$0 lst1$0)) (not (in$1 x Alloc$0)))
                 (not (in$1 x (setminus$0 Alloc$0 (setenum$0 lst1$0))))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x FP$0) (in$1 x (setminus$0 FP$0 (setenum$0 lst1$0)))
                 (not (in$1 x (setenum$0 lst1$0))))
            (and (or (in$1 x (setenum$0 lst1$0)) (not (in$1 x FP$0)))
                 (not (in$1 x (setminus$0 FP$0 (setenum$0 lst1$0))))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x FP_Caller$0) (in$1 x (setminus$0 FP_Caller$0 FP$0))
                 (not (in$1 x FP$0)))
            (and (or (in$1 x FP$0) (not (in$1 x FP_Caller$0)))
                 (not (in$1 x (setminus$0 FP_Caller$0 FP$0)))))))

(assert (forall ((y Loc) (x Loc))
        (or (and (= x y) (in$1 x (setenum$0 y)))
            (and (not (= x y)) (not (in$1 x (setenum$0 y)))))))

(assert (= (read$1 next$0 null$0) null$0))

(assert (forall ((x Loc)) (not (in$1 x emptyset$1))))

(assert (forall ((x Int)) (not (in$0 x emptyset$0))))

(assert (or (and (Btwn$0 next$0 lst2$0 null$0 null$0) Axiom_57$0)
    (not
         (sorted_set_struct$0 sk_?X_63$0 data$0 next$0 lst2$0 null$0
           content2$0))))

(assert (or (and (Btwn$0 next$0 n_2$0 null$0 null$0) Axiom_59$0)
    (not
         (sorted_set_struct$0 sk_?X_67$0 data$0 next$0 n_2$0 null$0
           sk_content1_2$0))))

(assert (= FP_1$0 (setminus$0 FP$0 (setenum$0 lst1$0))))

(assert (= n_2$0 (read$1 next$0 lst1$0)))

(assert (= emptyset$1 (intersection$0 sk_?X_64$0 sk_?X_63$0)))

(assert (= content2$0 (sorted_set_c$0 data$0 next$0 lst2$0 null$0)))

(assert (= sk_?X_62$0 FP$0))

(assert (= sk_?X_64$0 (sorted_set_domain$0 data$0 next$0 lst1$0 null$0)))

(assert (sorted_set_struct$0 sk_?X_63$0 data$0 next$0 lst2$0 null$0 content2$0))

(assert (= sk_?X_65$0 (union$0 sk_?X_67$0 sk_?X_66$0)))

(assert (= sk_?X_67$0 (sorted_set_domain$0 data$0 next$0 n_2$0 null$0)))

(assert (= sk_content1_2$0 (sorted_set_c$0 data$0 next$0 n_2$0 null$0)))

(assert (or (in$1 sk_l2_6$0 (intersection$0 sk_?X_67$0 sk_?X_66$0))
    (and (in$1 sk_l1_6$0 sk_FP_2$0) (not (in$1 sk_l1_6$0 FP_1$0)))
    (not (Btwn$0 next$0 lst2$0 null$0 null$0))
    (not (Btwn$0 next$0 n_2$0 null$0 null$0))
    (and (Btwn$0 next$0 sk_l1_6$0 sk_l2_6$0 null$0)
         (in$1 sk_l1_6$0 sk_?X_66$0) (in$1 sk_l2_6$0 sk_?X_66$0)
         (not (= sk_l1_6$0 sk_l2_6$0))
         (not (< (read$0 data$0 sk_l1_6$0) (read$0 data$0 sk_l2_6$0))))
    (and (Btwn$0 next$0 sk_l1_6$0 sk_l2_6$0 null$0)
         (in$1 sk_l1_6$0 sk_?X_67$0) (in$1 sk_l2_6$0 sk_?X_67$0)
         (not (= sk_l1_6$0 sk_l2_6$0))
         (not (< (read$0 data$0 sk_l1_6$0) (read$0 data$0 sk_l2_6$0))))))

(assert (not (= lst2$0 null$0)))

(assert (not (> (read$0 data$0 lst1$0) (read$0 data$0 lst2$0))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 lst1$0 l1 null$0)
                 (in$1 l1 (sorted_set_domain$0 data$0 next$0 lst1$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 lst1$0 l1 null$0)))
                 (not
                      (in$1 l1
                        (sorted_set_domain$0 data$0 next$0 lst1$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 n_2$0 l1 null$0)
                 (in$1 l1 (sorted_set_domain$0 data$0 next$0 n_2$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 n_2$0 l1 null$0)))
                 (not
                      (in$1 l1
                        (sorted_set_domain$0 data$0 next$0 n_2$0 null$0)))))))

(assert (or (and (Btwn$0 next$0 lst1$0 null$0 null$0) Axiom_56$0)
    (not
         (sorted_set_struct$0 sk_?X_64$0 data$0 next$0 lst1$0 null$0
           content1$0))))

(assert (or (and (Btwn$0 next$0 lst2$0 null$0 null$0) Axiom_58$0)
    (not
         (sorted_set_struct$0 sk_?X_66$0 data$0 next$0 lst2$0 null$0
           sk_content2_2$0))))

(assert (= Alloc_1$0 (setminus$0 Alloc$0 (setenum$0 lst1$0))))

(assert (= FP_Caller_1$0 (setminus$0 FP_Caller$0 FP$0)))

(assert (= Alloc$0 (union$0 FP_Caller$0 Alloc$0)))

(assert (= content1$0 (sorted_set_c$0 data$0 next$0 lst1$0 null$0)))

(assert (= sk_?X_62$0 (union$0 sk_?X_64$0 sk_?X_63$0)))

(assert (= sk_?X_63$0 (sorted_set_domain$0 data$0 next$0 lst2$0 null$0)))

(assert (= FP_Caller$0 (union$0 FP$0 FP_Caller$0)))

(assert (sorted_set_struct$0 sk_?X_64$0 data$0 next$0 lst1$0 null$0 content1$0))

(assert (= sk_?X_66$0 (sorted_set_domain$0 data$0 next$0 lst2$0 null$0)))

(assert (= sk_FP_2$0 sk_?X_65$0))

(assert (= sk_content2_2$0 (sorted_set_c$0 data$0 next$0 lst2$0 null$0)))

(assert (not (= lst1$0 null$0)))

(assert (not (< (read$0 data$0 lst1$0) (read$0 data$0 lst2$0))))

(assert (not (in$1 null$0 Alloc$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 lst2$0 l1 null$0)
                 (in$1 l1 (sorted_set_domain$0 data$0 next$0 lst2$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 lst2$0 l1 null$0)))
                 (not
                      (in$1 l1
                        (sorted_set_domain$0 data$0 next$0 lst2$0 null$0)))))))

(assert (forall ((?x Loc)) (Btwn$0 next$0 ?x ?x ?x)))

(assert (forall ((?x Loc) (?y Loc)) (or (not (Btwn$0 next$0 ?x ?y ?x)) (= ?x ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?y)) (not (Btwn$0 next$0 ?x ?z ?z))
            (Btwn$0 next$0 ?x ?y ?z) (Btwn$0 next$0 ?x ?z ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z))
            (and (Btwn$0 next$0 ?x ?y ?y) (Btwn$0 next$0 ?y ?z ?z)))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?y)) (not (Btwn$0 next$0 ?y ?z ?z))
            (Btwn$0 next$0 ?x ?z ?z))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z)) (not (Btwn$0 next$0 ?y ?u ?z))
            (and (Btwn$0 next$0 ?x ?y ?u) (Btwn$0 next$0 ?x ?u ?z)))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z)) (not (Btwn$0 next$0 ?x ?u ?y))
            (and (Btwn$0 next$0 ?x ?u ?z) (Btwn$0 next$0 ?u ?y ?z)))))

(check-sat)
(exit)
