(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source |
  GRASShopper benchmarks.
  Authors: Ruzica Piskac, Thomas Wies, and Damien Zufferey
  URL: http://cs.nyu.edu/wies/software/grasshopper
  See also: GRASShopper - Complete Heap Verification with Mixed Specifications. In TACAS 2014, pages 124-139.

  If this benchmark is satisfiable, GRASShopper reports the following error message:
  tests/spl/sls/sls_quicksort.spl:27:2:An invariant might not hold before entering a loop in procedure split
  tests/spl/sls/sls_quicksort.spl:28:14:Related location: This is the loop invariant that might not hold initially
  |)
(set-info :category "crafted")
(set-info :status unsat)

(declare-sort Loc 0)
(declare-sort SetLoc 0)
(declare-sort SetInt 0)
(declare-sort FldBool 0)
(declare-sort FldLoc 0)
(declare-sort FldInt 0)
(declare-fun null$0 () Loc)
(declare-fun read$0 (FldInt Loc) Int)
(declare-fun read$1 (FldLoc Loc) Loc)
(declare-fun ep$0 (FldLoc SetLoc Loc) Loc)
(declare-fun emptyset$0 () SetLoc)
(declare-fun setenum$0 (Loc) SetLoc)
(declare-fun union$0 (SetLoc SetLoc) SetLoc)
(declare-fun intersection$0 (SetLoc SetLoc) SetLoc)
(declare-fun setminus$0 (SetLoc SetLoc) SetLoc)
(declare-fun Btwn$0 (FldLoc Loc Loc Loc) Bool)
(declare-fun in$0 (Loc SetLoc) Bool)
(declare-fun Alloc$0 () SetLoc)
(declare-fun Axiom_57$0 () Bool)
(declare-fun Axiom_58$0 () Bool)
(declare-fun Axiom_59$0 () Bool)
(declare-fun Axiom_60$0 () Bool)
(declare-fun FP$0 () SetLoc)
(declare-fun FP_Caller$0 () SetLoc)
(declare-fun FP_Caller_2$0 () SetLoc)
(declare-fun blseg_domain$0 (FldInt FldLoc Loc Loc Int Int) SetLoc)
(declare-fun blseg_struct$0 (SetLoc FldInt FldLoc Loc Loc Int Int) Bool)
(declare-fun curr_2$0 () Loc)
(declare-fun data$0 () FldInt)
(declare-fun lb_1$0 () Int)
(declare-fun next$0 () FldLoc)
(declare-fun pivot_4$0 () Loc)
(declare-fun sk_?X_78$0 () SetLoc)
(declare-fun sk_?X_79$0 () SetLoc)
(declare-fun sk_?X_80$0 () SetLoc)
(declare-fun sk_?X_81$0 () SetLoc)
(declare-fun sk_?X_82$0 () SetLoc)
(declare-fun sk_?X_83$0 () SetLoc)
(declare-fun sk_?X_84$0 () SetLoc)
(declare-fun sk_?X_85$0 () SetLoc)
(declare-fun sk_?X_86$0 () SetLoc)
(declare-fun sk_?X_87$0 () SetLoc)
(declare-fun sk_?X_88$0 () SetLoc)
(declare-fun sk_?X_89$0 () SetLoc)
(declare-fun sk_FP_3$0 () SetLoc)
(declare-fun sk_l1_4$0 () Loc)
(declare-fun ub_1$0 () Int)
(declare-fun x_1$0 () Loc)
(declare-fun y_1$0 () Loc)

(assert (forall ((?f FldLoc)) (= (read$1 ?f null$0) null$0)))

(assert (forall ((x Loc) (y Loc))
        (or (and (= x y) (in$0 x (setenum$0 y)))
            (and (not (= x y)) (not (in$0 x (setenum$0 y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x X) (in$0 x (setminus$0 X Y)) (not (in$0 x Y)))
            (and (or (in$0 x Y) (not (in$0 x X)))
                 (not (in$0 x (setminus$0 X Y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x X) (in$0 x Y) (in$0 x (intersection$0 X Y)))
            (and (or (not (in$0 x X)) (not (in$0 x Y)))
                 (not (in$0 x (intersection$0 X Y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x (union$0 X Y)) (or (in$0 x X) (in$0 x Y)))
            (and (not (in$0 x X)) (not (in$0 x Y))
                 (not (in$0 x (union$0 X Y)))))))

(assert (forall ((x Loc)) (not (in$0 x emptyset$0))))

(assert (or (not Axiom_57$0)
    (forall ((l1 Loc))
            (or
                (and (<= (read$0 data$0 l1) ub_1$0)
                     (<= lb_1$0 (read$0 data$0 l1)))
                (not (in$0 l1 sk_?X_85$0))))))

(assert (or (and (Btwn$0 next$0 pivot_4$0 curr_2$0 curr_2$0) Axiom_58$0)
    (not
         (blseg_struct$0 sk_?X_88$0 data$0 next$0 pivot_4$0 curr_2$0
           (read$0 data$0 pivot_4$0) ub_1$0))))

(assert (or (not Axiom_59$0)
    (forall ((l1 Loc))
            (or
                (and (<= (read$0 data$0 l1) (read$0 data$0 pivot_4$0))
                     (<= lb_1$0 (read$0 data$0 l1)))
                (not (in$0 l1 sk_?X_89$0))))))

(assert (or (and (Btwn$0 next$0 x_1$0 y_1$0 y_1$0) Axiom_60$0)
    (not (blseg_struct$0 sk_?X_79$0 data$0 next$0 x_1$0 y_1$0 lb_1$0 ub_1$0))))

(assert (= curr_2$0 (read$1 next$0 x_1$0)))

(assert (= Alloc$0 (union$0 FP_Caller$0 Alloc$0)))

(assert (= sk_?X_78$0 sk_?X_79$0))

(assert (= sk_?X_79$0 (blseg_domain$0 data$0 next$0 x_1$0 y_1$0 lb_1$0 ub_1$0)))

(assert (blseg_struct$0 sk_?X_79$0 data$0 next$0 x_1$0 y_1$0 lb_1$0 ub_1$0))

(assert (= sk_?X_80$0 sk_?X_81$0))

(assert (= sk_?X_82$0 (union$0 sk_?X_84$0 sk_?X_83$0)))

(assert (= sk_?X_84$0 (union$0 sk_?X_86$0 sk_?X_85$0)))

(assert (= sk_?X_86$0 (union$0 sk_?X_89$0 sk_?X_87$0)))

(assert (= sk_?X_88$0
  (blseg_domain$0 data$0 next$0 pivot_4$0 curr_2$0 (read$0 data$0 pivot_4$0)
    ub_1$0)))

(assert (= sk_FP_3$0 sk_?X_80$0))

(assert (not (in$0 null$0 Alloc$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 pivot_4$0 l1 curr_2$0)
                 (in$0 l1
                   (blseg_domain$0 data$0 next$0 pivot_4$0 curr_2$0
                     (read$0 data$0 pivot_4$0) ub_1$0))
                 (not (= l1 curr_2$0)))
            (and
                 (or (= l1 curr_2$0)
                     (not (Btwn$0 next$0 pivot_4$0 l1 curr_2$0)))
                 (not
                      (in$0 l1
                        (blseg_domain$0 data$0 next$0 pivot_4$0 curr_2$0
                          (read$0 data$0 pivot_4$0) ub_1$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 x_1$0 l1 y_1$0)
                 (in$0 l1
                   (blseg_domain$0 data$0 next$0 x_1$0 y_1$0 lb_1$0 ub_1$0))
                 (not (= l1 y_1$0)))
            (and (or (= l1 y_1$0) (not (Btwn$0 next$0 x_1$0 l1 y_1$0)))
                 (not
                      (in$0 l1
                        (blseg_domain$0 data$0 next$0 x_1$0 y_1$0 lb_1$0
                          ub_1$0)))))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc))
        (or (in$0 (ep$0 ?f ?X ?x) ?X) (= ?x (ep$0 ?f ?X ?x)))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc))
        (Btwn$0 ?f ?x (ep$0 ?f ?X ?x) (ep$0 ?f ?X ?x))))

(assert (or (and (Btwn$0 next$0 curr_2$0 y_1$0 y_1$0) Axiom_57$0)
    (not
         (blseg_struct$0 sk_?X_85$0 data$0 next$0 curr_2$0 y_1$0 lb_1$0
           ub_1$0))))

(assert (or (not Axiom_58$0)
    (forall ((l1 Loc))
            (or
                (and (<= (read$0 data$0 l1) ub_1$0)
                     (<= (read$0 data$0 pivot_4$0) (read$0 data$0 l1)))
                (not (in$0 l1 sk_?X_88$0))))))

(assert (or (and (Btwn$0 next$0 x_1$0 pivot_4$0 pivot_4$0) Axiom_59$0)
    (not
         (blseg_struct$0 sk_?X_89$0 data$0 next$0 x_1$0 pivot_4$0 lb_1$0
           (read$0 data$0 pivot_4$0)))))

(assert (or (not Axiom_60$0)
    (forall ((l1 Loc))
            (or
                (and (<= (read$0 data$0 l1) ub_1$0)
                     (<= lb_1$0 (read$0 data$0 l1)))
                (not (in$0 l1 sk_?X_79$0))))))

(assert (= FP_Caller_2$0 (setminus$0 FP_Caller$0 FP$0)))

(assert (= pivot_4$0 x_1$0))

(assert (= emptyset$0 emptyset$0))

(assert (= sk_?X_78$0 FP$0))

(assert (= FP_Caller$0 (union$0 FP$0 FP_Caller$0)))

(assert (not (= x_1$0 y_1$0)))

(assert (= sk_?X_81$0 sk_?X_82$0))

(assert (= sk_?X_83$0 emptyset$0))

(assert (= sk_?X_85$0 (blseg_domain$0 data$0 next$0 curr_2$0 y_1$0 lb_1$0 ub_1$0)))

(assert (= sk_?X_87$0 sk_?X_88$0))

(assert (= sk_?X_89$0
  (blseg_domain$0 data$0 next$0 x_1$0 pivot_4$0 lb_1$0
    (read$0 data$0 pivot_4$0))))

(assert (or (= pivot_4$0 curr_2$0)
    (in$0 sk_l1_4$0 (intersection$0 sk_?X_84$0 sk_?X_83$0))
    (in$0 sk_l1_4$0 (intersection$0 sk_?X_86$0 sk_?X_85$0))
    (in$0 sk_l1_4$0 (intersection$0 sk_?X_89$0 sk_?X_87$0))
    (and (in$0 sk_l1_4$0 sk_?X_85$0)
         (or (not (<= (read$0 data$0 sk_l1_4$0) ub_1$0))
             (not (<= lb_1$0 (read$0 data$0 sk_l1_4$0)))))
    (and (in$0 sk_l1_4$0 sk_?X_88$0)
         (or (not (<= (read$0 data$0 sk_l1_4$0) ub_1$0))
             (not (<= (read$0 data$0 pivot_4$0) (read$0 data$0 sk_l1_4$0)))))
    (and (in$0 sk_l1_4$0 sk_?X_89$0)
         (or (not (<= (read$0 data$0 sk_l1_4$0) (read$0 data$0 pivot_4$0)))
             (not (<= lb_1$0 (read$0 data$0 sk_l1_4$0)))))
    (and (in$0 sk_l1_4$0 sk_FP_3$0) (not (in$0 sk_l1_4$0 FP$0)))
    (not (<= (read$0 data$0 pivot_4$0) ub_1$0))
    (not (<= lb_1$0 (read$0 data$0 pivot_4$0)))
    (not (Btwn$0 next$0 curr_2$0 y_1$0 y_1$0))
    (not (Btwn$0 next$0 pivot_4$0 curr_2$0 curr_2$0))
    (not (Btwn$0 next$0 pivot_4$0 curr_2$0 y_1$0))
    (not (Btwn$0 next$0 x_1$0 pivot_4$0 pivot_4$0))
    (not (Btwn$0 next$0 x_1$0 pivot_4$0 y_1$0))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 curr_2$0 l1 y_1$0)
                 (in$0 l1
                   (blseg_domain$0 data$0 next$0 curr_2$0 y_1$0 lb_1$0
                     ub_1$0))
                 (not (= l1 y_1$0)))
            (and (or (= l1 y_1$0) (not (Btwn$0 next$0 curr_2$0 l1 y_1$0)))
                 (not
                      (in$0 l1
                        (blseg_domain$0 data$0 next$0 curr_2$0 y_1$0 lb_1$0
                          ub_1$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 x_1$0 l1 pivot_4$0)
                 (in$0 l1
                   (blseg_domain$0 data$0 next$0 x_1$0 pivot_4$0 lb_1$0
                     (read$0 data$0 pivot_4$0)))
                 (not (= l1 pivot_4$0)))
            (and
                 (or (= l1 pivot_4$0)
                     (not (Btwn$0 next$0 x_1$0 l1 pivot_4$0)))
                 (not
                      (in$0 l1
                        (blseg_domain$0 data$0 next$0 x_1$0 pivot_4$0 lb_1$0
                          (read$0 data$0 pivot_4$0))))))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc) (?y Loc))
        (or (Btwn$0 ?f ?x (ep$0 ?f ?X ?x) ?y) (not (Btwn$0 ?f ?x ?y ?y))
            (not (in$0 ?y ?X)))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (in$0 ?y ?X))
            (in$0 (ep$0 ?f ?X ?x) ?X))))

(assert (forall ((?f FldLoc) (?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z)) (not (Btwn$0 ?f ?x ?u ?y))
            (and (Btwn$0 ?f ?x ?u ?z) (Btwn$0 ?f ?u ?y ?z)))))

(assert (forall ((?f FldLoc) (?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z)) (not (Btwn$0 ?f ?y ?u ?z))
            (and (Btwn$0 ?f ?x ?y ?u) (Btwn$0 ?f ?x ?u ?z)))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (Btwn$0 ?f ?y ?z ?z))
            (Btwn$0 ?f ?x ?z ?z))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z))
            (and (Btwn$0 ?f ?x ?y ?y) (Btwn$0 ?f ?y ?z ?z)))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (Btwn$0 ?f ?x ?z ?z))
            (Btwn$0 ?f ?x ?y ?z) (Btwn$0 ?f ?x ?z ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?x)) (= ?x ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (= ?x ?y)
            (Btwn$0 ?f ?x (read$1 ?f ?x) ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (= (read$1 ?f ?x) ?x)) (not (Btwn$0 ?f ?x ?y ?y)) (= ?x ?y))))

(assert (forall ((?f FldLoc) (?x Loc)) (Btwn$0 ?f ?x (read$1 ?f ?x) (read$1 ?f ?x))))

(assert (forall ((?f FldLoc) (?x Loc)) (Btwn$0 ?f ?x ?x ?x)))

(check-sat)
(exit)
