(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source |
  GRASShopper benchmarks.
  Authors: Ruzica Piskac, Thomas Wies, and Damien Zufferey
  URL: http://cs.nyu.edu/wies/software/grasshopper
  See also: GRASShopper - Complete Heap Verification with Mixed Specifications. In TACAS 2014, pages 124-139.

  If this benchmark is satisfiable, GRASShopper reports the following error message:
  tests/spl/sls/sls_quicksort.spl:41:6-26:Possible heap access through null or dangling reference
  |)
(set-info :category "crafted")
(set-info :status unsat)

(declare-sort Loc 0)
(declare-sort SetLoc 0)
(declare-sort SetInt 0)
(declare-sort FldBool 0)
(declare-sort FldLoc 0)
(declare-sort FldInt 0)
(declare-fun null$0 () Loc)
(declare-fun read$0 (FldLoc Loc) Loc)
(declare-fun read$1 (FldInt Loc) Int)
(declare-fun write$0 (FldInt Loc Int) FldInt)
(declare-fun ep$0 (FldLoc SetLoc Loc) Loc)
(declare-fun emptyset$0 () SetLoc)
(declare-fun setenum$0 (Loc) SetLoc)
(declare-fun union$0 (SetLoc SetLoc) SetLoc)
(declare-fun intersection$0 (SetLoc SetLoc) SetLoc)
(declare-fun setminus$0 (SetLoc SetLoc) SetLoc)
(declare-fun Btwn$0 (FldLoc Loc Loc Loc) Bool)
(declare-fun in$0 (Loc SetLoc) Bool)
(declare-fun Alloc$0 () SetLoc)
(declare-fun Axiom_92$0 () Bool)
(declare-fun Axiom_93$0 () Bool)
(declare-fun Axiom_94$0 () Bool)
(declare-fun FP$0 () SetLoc)
(declare-fun FP_Caller$0 () SetLoc)
(declare-fun FP_Caller_3$0 () SetLoc)
(declare-fun blseg_domain$0 (FldInt FldLoc Loc Loc Int Int) SetLoc)
(declare-fun blseg_struct$0 (SetLoc FldInt FldLoc Loc Loc Int Int) Bool)
(declare-fun curr_4$0 () Loc)
(declare-fun curr_init$0 () Loc)
(declare-fun data$0 () FldInt)
(declare-fun data_5$0 () FldInt)
(declare-fun data_6$0 () FldInt)
(declare-fun data_7$0 () FldInt)
(declare-fun lb_5$0 () Int)
(declare-fun lb_init$0 () Int)
(declare-fun next$0 () FldLoc)
(declare-fun pivot_6$0 () Loc)
(declare-fun pivot_init$0 () Loc)
(declare-fun sk_?X_189$0 () SetLoc)
(declare-fun sk_?X_190$0 () SetLoc)
(declare-fun sk_?X_191$0 () SetLoc)
(declare-fun sk_?X_192$0 () SetLoc)
(declare-fun sk_?X_193$0 () SetLoc)
(declare-fun sk_?X_194$0 () SetLoc)
(declare-fun sk_?X_195$0 () SetLoc)
(declare-fun sk_?X_196$0 () SetLoc)
(declare-fun sk_?X_197$0 () SetLoc)
(declare-fun sk_?X_198$0 () SetLoc)
(declare-fun t_91$0 () Int)
(declare-fun t_92$0 () Int)
(declare-fun t_93$0 () Int)
(declare-fun t_94$0 () Int)
(declare-fun t_95$0 () Int)
(declare-fun t_96$0 () Int)
(declare-fun t_97$0 () Int)
(declare-fun t_98$0 () Int)
(declare-fun t_99$0 () Int)
(declare-fun tmp_2$0 () Int)
(declare-fun tmp_4$0 () Int)
(declare-fun tmp_init$0 () Int)
(declare-fun ub_5$0 () Int)
(declare-fun ub_init$0 () Int)
(declare-fun x_5$0 () Loc)
(declare-fun x_init$0 () Loc)
(declare-fun y_5$0 () Loc)
(declare-fun y_init$0 () Loc)

(assert (= (read$1 data_6$0 pivot_6$0) t_99$0))

(assert (= (read$1 data_5$0 (read$0 next$0 pivot_6$0)) t_98$0))

(assert (= (read$1 (write$0 data_6$0 pivot_6$0 tmp_4$0) pivot_6$0) t_97$0))

(assert (=
  (read$1
    (write$0 data_5$0 (read$0 next$0 pivot_6$0) (read$1 data_5$0 pivot_6$0))
    pivot_6$0)
  t_96$0))

(assert (=
  (read$1
    (write$0 data_5$0 (read$0 next$0 pivot_6$0) (read$1 data_5$0 pivot_6$0))
    (read$0 next$0 pivot_6$0))
  t_95$0))

(assert (=
  (read$1 (write$0 data$0 curr_4$0 (read$1 data$0 (read$0 next$0 pivot_6$0)))
    pivot_init$0)
  t_94$0))

(assert (=
  (read$1 (write$0 data$0 curr_4$0 (read$1 data$0 (read$0 next$0 pivot_6$0)))
    pivot_6$0)
  t_93$0))

(assert (=
  (read$1 (write$0 data$0 curr_4$0 (read$1 data$0 (read$0 next$0 pivot_6$0)))
    curr_4$0)
  t_92$0))

(assert (=
  (read$1 (write$0 data$0 curr_4$0 (read$1 data$0 (read$0 next$0 pivot_6$0)))
    (read$0 next$0 pivot_6$0))
  t_91$0))

(assert (forall ((?d_42 Int) (?x Loc) (?y Loc))
        (or (= ?y ?x)
            (= (read$1 data_6$0 ?y) (read$1 (write$0 data_6$0 ?x ?d_42) ?y)))))

(assert (forall ((?d_42 Int) (?x Loc))
        (= (read$1 (write$0 data_6$0 ?x ?d_42) ?x) ?d_42)))

(assert (forall ((?d_41 Int) (?x Loc) (?y Loc))
        (or (= ?y ?x)
            (= (read$1 data_5$0 ?y) (read$1 (write$0 data_5$0 ?x ?d_41) ?y)))))

(assert (forall ((?d_41 Int) (?x Loc))
        (= (read$1 (write$0 data_5$0 ?x ?d_41) ?x) ?d_41)))

(assert (forall ((?d_40 Int) (?x Loc) (?y Loc))
        (or (= ?y ?x)
            (= (read$1 data$0 ?y) (read$1 (write$0 data$0 ?x ?d_40) ?y)))))

(assert (forall ((?d_40 Int) (?x Loc))
        (= (read$1 (write$0 data$0 ?x ?d_40) ?x) ?d_40)))

(assert (forall ((?f FldLoc)) (= (read$0 ?f null$0) null$0)))

(assert (forall ((x Loc) (y Loc))
        (or (and (= x y) (in$0 x (setenum$0 y)))
            (and (not (= x y)) (not (in$0 x (setenum$0 y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x X) (in$0 x (setminus$0 X Y)) (not (in$0 x Y)))
            (and (or (in$0 x Y) (not (in$0 x X)))
                 (not (in$0 x (setminus$0 X Y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x X) (in$0 x Y) (in$0 x (intersection$0 X Y)))
            (and (or (not (in$0 x X)) (not (in$0 x Y)))
                 (not (in$0 x (intersection$0 X Y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x (union$0 X Y)) (or (in$0 x X) (in$0 x Y)))
            (and (not (in$0 x X)) (not (in$0 x Y))
                 (not (in$0 x (union$0 X Y)))))))

(assert (forall ((x Loc)) (not (in$0 x emptyset$0))))

(assert (or (and (Btwn$0 next$0 curr_init$0 y_init$0 y_init$0) Axiom_92$0)
    (not
         (blseg_struct$0 sk_?X_194$0 data$0 next$0 curr_init$0 y_init$0
           lb_init$0 ub_init$0))))

(assert (or (not Axiom_93$0)
    (forall ((l1 Loc))
            (or
                (and (<= (read$1 data$0 l1) ub_init$0)
                     (<= (read$1 data$0 pivot_init$0) (read$1 data$0 l1)))
                (not (in$0 l1 sk_?X_197$0))))))

(assert (or (and (Btwn$0 next$0 x_init$0 pivot_init$0 pivot_init$0) Axiom_94$0)
    (not
         (blseg_struct$0 sk_?X_198$0 data$0 next$0 x_init$0 pivot_init$0
           lb_init$0 (read$1 data$0 pivot_init$0)))))

(assert (= curr_4$0 curr_init$0))

(assert (= data_6$0
  (write$0 data_5$0 (read$0 next$0 pivot_6$0) (read$1 data_5$0 pivot_6$0))))

(assert (= lb_5$0 lb_init$0))

(assert (= tmp_2$0 tmp_init$0))

(assert (= ub_5$0 ub_init$0))

(assert (= y_5$0 y_init$0))

(assert (= Alloc$0 (union$0 FP_Caller$0 Alloc$0)))

(assert (= emptyset$0 (intersection$0 sk_?X_193$0 sk_?X_192$0)))

(assert (= emptyset$0 (intersection$0 sk_?X_198$0 sk_?X_196$0)))

(assert (= sk_?X_189$0 FP$0))

(assert (= sk_?X_191$0 (union$0 sk_?X_193$0 sk_?X_192$0)))

(assert (= sk_?X_193$0 (union$0 sk_?X_195$0 sk_?X_194$0)))

(assert (= sk_?X_195$0 (union$0 sk_?X_198$0 sk_?X_196$0)))

(assert (= sk_?X_197$0
  (blseg_domain$0 data$0 next$0 pivot_init$0 curr_init$0
    (read$1 data$0 pivot_init$0) ub_init$0)))

(assert (<= (read$1 data$0 pivot_init$0) ub_init$0))

(assert (Btwn$0 next$0 pivot_init$0 curr_init$0 y_init$0))

(assert (= FP_Caller$0 (union$0 FP$0 FP_Caller$0)))

(assert (blseg_struct$0 sk_?X_197$0 data$0 next$0 pivot_init$0 curr_init$0
  (read$1 data$0 pivot_init$0) ub_init$0))

(assert (not (= pivot_init$0 curr_init$0)))

(assert (not (in$0 null$0 Alloc$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 curr_init$0 l1 y_init$0)
                 (in$0 l1
                   (blseg_domain$0 data$0 next$0 curr_init$0 y_init$0
                     lb_init$0 ub_init$0))
                 (not (= l1 y_init$0)))
            (and
                 (or (= l1 y_init$0)
                     (not (Btwn$0 next$0 curr_init$0 l1 y_init$0)))
                 (not
                      (in$0 l1
                        (blseg_domain$0 data$0 next$0 curr_init$0 y_init$0
                          lb_init$0 ub_init$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 x_init$0 l1 pivot_init$0)
                 (in$0 l1
                   (blseg_domain$0 data$0 next$0 x_init$0 pivot_init$0
                     lb_init$0 (read$1 data$0 pivot_init$0)))
                 (not (= l1 pivot_init$0)))
            (and
                 (or (= l1 pivot_init$0)
                     (not (Btwn$0 next$0 x_init$0 l1 pivot_init$0)))
                 (not
                      (in$0 l1
                        (blseg_domain$0 data$0 next$0 x_init$0 pivot_init$0
                          lb_init$0 (read$1 data$0 pivot_init$0))))))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc))
        (or (in$0 (ep$0 ?f ?X ?x) ?X) (= ?x (ep$0 ?f ?X ?x)))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc))
        (Btwn$0 ?f ?x (ep$0 ?f ?X ?x) (ep$0 ?f ?X ?x))))

(assert (or (not Axiom_92$0)
    (forall ((l1 Loc))
            (or
                (and (<= (read$1 data$0 l1) ub_init$0)
                     (<= lb_init$0 (read$1 data$0 l1)))
                (not (in$0 l1 sk_?X_194$0))))))

(assert (or (and (Btwn$0 next$0 pivot_init$0 curr_init$0 curr_init$0) Axiom_93$0)
    (not
         (blseg_struct$0 sk_?X_197$0 data$0 next$0 pivot_init$0 curr_init$0
           (read$1 data$0 pivot_init$0) ub_init$0))))

(assert (or (not Axiom_94$0)
    (forall ((l1 Loc))
            (or
                (and (<= (read$1 data$0 l1) (read$1 data$0 pivot_init$0))
                     (<= lb_init$0 (read$1 data$0 l1)))
                (not (in$0 l1 sk_?X_198$0))))))

(assert (= FP_Caller_3$0 (setminus$0 FP_Caller$0 FP$0)))

(assert (= data_5$0
  (write$0 data$0 curr_4$0 (read$1 data$0 (read$0 next$0 pivot_6$0)))))

(assert (= data_7$0 (write$0 data_6$0 pivot_6$0 tmp_4$0)))

(assert (= pivot_6$0 pivot_init$0))

(assert (= tmp_4$0 (read$1 data$0 curr_4$0)))

(assert (= x_5$0 x_init$0))

(assert (< (read$1 data$0 curr_4$0) (read$1 data$0 pivot_6$0)))

(assert (= emptyset$0 emptyset$0))

(assert (= emptyset$0 (intersection$0 sk_?X_195$0 sk_?X_194$0)))

(assert (= sk_?X_189$0 sk_?X_190$0))

(assert (= sk_?X_190$0 sk_?X_191$0))

(assert (= sk_?X_192$0 emptyset$0))

(assert (= sk_?X_194$0
  (blseg_domain$0 data$0 next$0 curr_init$0 y_init$0 lb_init$0 ub_init$0)))

(assert (= sk_?X_196$0 sk_?X_197$0))

(assert (= sk_?X_198$0
  (blseg_domain$0 data$0 next$0 x_init$0 pivot_init$0 lb_init$0
    (read$1 data$0 pivot_init$0))))

(assert (<= lb_init$0 (read$1 data$0 pivot_init$0)))

(assert (Btwn$0 next$0 x_init$0 pivot_init$0 y_init$0))

(assert (blseg_struct$0 sk_?X_194$0 data$0 next$0 curr_init$0 y_init$0 lb_init$0
  ub_init$0))

(assert (blseg_struct$0 sk_?X_198$0 data$0 next$0 x_init$0 pivot_init$0 lb_init$0
  (read$1 data$0 pivot_init$0)))

(assert (not (= curr_4$0 y_5$0)))

(assert (not (in$0 pivot_6$0 FP$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 pivot_init$0 l1 curr_init$0)
                 (in$0 l1
                   (blseg_domain$0 data$0 next$0 pivot_init$0 curr_init$0
                     (read$1 data$0 pivot_init$0) ub_init$0))
                 (not (= l1 curr_init$0)))
            (and
                 (or (= l1 curr_init$0)
                     (not (Btwn$0 next$0 pivot_init$0 l1 curr_init$0)))
                 (not
                      (in$0 l1
                        (blseg_domain$0 data$0 next$0 pivot_init$0
                          curr_init$0 (read$1 data$0 pivot_init$0) ub_init$0)))))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc) (?y Loc))
        (or (Btwn$0 ?f ?x (ep$0 ?f ?X ?x) ?y) (not (Btwn$0 ?f ?x ?y ?y))
            (not (in$0 ?y ?X)))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (in$0 ?y ?X))
            (in$0 (ep$0 ?f ?X ?x) ?X))))

(assert (forall ((?f FldLoc) (?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z)) (not (Btwn$0 ?f ?x ?u ?y))
            (and (Btwn$0 ?f ?x ?u ?z) (Btwn$0 ?f ?u ?y ?z)))))

(assert (forall ((?f FldLoc) (?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z)) (not (Btwn$0 ?f ?y ?u ?z))
            (and (Btwn$0 ?f ?x ?y ?u) (Btwn$0 ?f ?x ?u ?z)))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (Btwn$0 ?f ?y ?z ?z))
            (Btwn$0 ?f ?x ?z ?z))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z))
            (and (Btwn$0 ?f ?x ?y ?y) (Btwn$0 ?f ?y ?z ?z)))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (Btwn$0 ?f ?x ?z ?z))
            (Btwn$0 ?f ?x ?y ?z) (Btwn$0 ?f ?x ?z ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?x)) (= ?x ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (= ?x ?y)
            (Btwn$0 ?f ?x (read$0 ?f ?x) ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (= (read$0 ?f ?x) ?x)) (not (Btwn$0 ?f ?x ?y ?y)) (= ?x ?y))))

(assert (forall ((?f FldLoc) (?x Loc)) (Btwn$0 ?f ?x (read$0 ?f ?x) (read$0 ?f ?x))))

(assert (forall ((?f FldLoc) (?x Loc)) (Btwn$0 ?f ?x ?x ?x)))

(check-sat)
(exit)
