(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_io_FileOutputStream () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_reader_TypeReader () Int)
(declare-fun T_javafe_reader_Reader () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_java_io_FileNotFoundException () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_javafe_tc_Env () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_java_io_OutputStreamWriter () Int)
(declare-fun T_java_io_Writer () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_javafe_tc_FieldDeclVec () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_javafe_tc_OutsideEnv () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_java_util_StringTokenizer () Int)
(declare-fun T_java_util_Enumeration () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_MethodDecl () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_javafe_tc_TypeSig () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_CopyLoaded () Int)
(declare-fun T_javafe_FrontEndTool () Int)
(declare-fun T_javafe_tc_Listener () Int)
(declare-fun T_java_io_BufferedReader () Int)
(declare-fun T_java_io_Reader () Int)
(declare-fun T_javafe_ast_ASTDecoration () Int)
(declare-fun T_java_io_FileWriter () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_tc_MethodDeclVec () Int)
(declare-fun T_java_io_PrintWriter () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_java_io_InputStreamReader () Int)
(declare-fun T_javafe_Tool () Int)
(declare-fun T_javafe_tc_TypeCheck () Int)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_javafe_util_ErrorSet () Int)
(declare-fun T_java_io_File () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_javafe_ast_TypeDeclVec () Int)
(declare-fun T_java_io_FileReader () Int)
(declare-fun T_javafe_ast_TypeDeclElemVec () Int)
(declare-fun T_javafe_ast_PrettyPrint () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun out_19_83_49 () Int)
(declare-fun CHECKED_34_776_28 () Int)
(declare-fun NULL_29_60_26 () Int)
(declare-fun usageError_6_43_28 () Int)
(declare-fun argumentFileNames_39_24 () Int)
(declare-fun PARSED_34_772_28 () Int)
(declare-fun err_19_97_50 () Int)
(declare-fun progIndirectFiles_34_24 () Int)
(declare-fun PREPPED_34_775_28 () Int)
(assert (and (= (PO_LT T_java_io_FileOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FileOutputStream (asChild T_java_io_FileOutputStream T_java_io_OutputStream)) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_reader_TypeReader T_javafe_reader_Reader) true_term) (= T_javafe_reader_TypeReader (asChild T_javafe_reader_TypeReader T_javafe_reader_Reader)) (= (PO_LT T_javafe_reader_Reader T_java_lang_Object) true_term) (= T_javafe_reader_Reader (asChild T_javafe_reader_Reader T_java_lang_Object)) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_io_FileNotFoundException T_java_io_IOException) true_term) (= T_java_io_FileNotFoundException (asChild T_java_io_FileNotFoundException T_java_io_IOException)) (= (PO_LT T_javafe_tc_Env T_java_lang_Object) true_term) (= T_javafe_tc_Env (asChild T_javafe_tc_Env T_java_lang_Object)) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_io_OutputStreamWriter T_java_io_Writer) true_term) (= T_java_io_OutputStreamWriter (asChild T_java_io_OutputStreamWriter T_java_io_Writer)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_tc_FieldDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_FieldDeclVec (asChild T_javafe_tc_FieldDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_javafe_tc_OutsideEnv T_java_lang_Object) true_term) (= T_javafe_tc_OutsideEnv (asChild T_javafe_tc_OutsideEnv T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_tc_OutsideEnv) true_term) (= ?t T_javafe_tc_OutsideEnv))) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_java_util_StringTokenizer T_java_lang_Object) true_term) (= T_java_util_StringTokenizer (asChild T_java_util_StringTokenizer T_java_lang_Object)) (= (PO_LT T_java_util_StringTokenizer T_java_util_Enumeration) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_MethodDecl (asChild T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_tc_TypeSig T_javafe_ast_Type) true_term) (= T_javafe_tc_TypeSig (asChild T_javafe_tc_TypeSig T_javafe_ast_Type)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_CopyLoaded T_javafe_FrontEndTool) true_term) (= T_javafe_CopyLoaded (asChild T_javafe_CopyLoaded T_javafe_FrontEndTool)) (= (PO_LT T_javafe_CopyLoaded T_javafe_tc_Listener) true_term) (= (PO_LT T_java_io_BufferedReader T_java_io_Reader) true_term) (= T_java_io_BufferedReader (asChild T_java_io_BufferedReader T_java_io_Reader)) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_ASTDecoration T_java_lang_Object) true_term) (= T_javafe_ast_ASTDecoration (asChild T_javafe_ast_ASTDecoration T_java_lang_Object)) (= (PO_LT T_java_io_FileWriter T_java_io_OutputStreamWriter) true_term) (= T_java_io_FileWriter (asChild T_java_io_FileWriter T_java_io_OutputStreamWriter)) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_tc_MethodDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_MethodDeclVec (asChild T_javafe_tc_MethodDeclVec T_java_lang_Object)) (= (PO_LT T_java_io_PrintWriter T_java_io_Writer) true_term) (= T_java_io_PrintWriter (asChild T_java_io_PrintWriter T_java_io_Writer)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_java_io_InputStreamReader T_java_io_Reader) true_term) (= T_java_io_InputStreamReader (asChild T_java_io_InputStreamReader T_java_io_Reader)) (= (PO_LT T_javafe_Tool T_java_lang_Object) true_term) (= T_javafe_Tool (asChild T_javafe_Tool T_java_lang_Object)) (= (PO_LT T_javafe_tc_TypeCheck T_java_lang_Object) true_term) (= T_javafe_tc_TypeCheck (asChild T_javafe_tc_TypeCheck T_java_lang_Object)) (= (PO_LT T_javafe_FrontEndTool T_javafe_Tool) true_term) (= T_javafe_FrontEndTool (asChild T_javafe_FrontEndTool T_javafe_Tool)) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_java_io_Reader T_java_lang_Object) true_term) (= T_java_io_Reader (asChild T_java_io_Reader T_java_lang_Object)) (= (PO_LT T_java_io_Writer T_java_lang_Object) true_term) (= T_java_io_Writer (asChild T_java_io_Writer T_java_lang_Object)) (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_util_ErrorSet T_java_lang_Object) true_term) (= T_javafe_util_ErrorSet (asChild T_javafe_util_ErrorSet T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_lang_Object) true_term) (= T_java_io_File (asChild T_java_io_File T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_io_Serializable) true_term) (= (PO_LT T_java_io_File T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeDeclVec (asChild T_javafe_ast_TypeDeclVec T_java_lang_Object)) (= (PO_LT T_java_io_FileReader T_java_io_InputStreamReader) true_term) (= T_java_io_FileReader (asChild T_java_io_FileReader T_java_io_InputStreamReader)) (= (PO_LT T_java_util_Enumeration T_java_lang_Object) true_term) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_javafe_ast_TypeDeclElemVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeDeclElemVec (asChild T_javafe_ast_TypeDeclElemVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_PrettyPrint T_java_lang_Object) true_term) (= T_javafe_ast_PrettyPrint (asChild T_javafe_ast_PrettyPrint T_java_lang_Object)) (= (PO_LT T_javafe_tc_Listener T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_io_FileOutputStream (+ DIST_ZERO_1 10)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 11)) (= T_java_lang_Throwable (+ DIST_ZERO_1 12)) (= T_java_util_Map (+ DIST_ZERO_1 13)) (= T_javafe_reader_TypeReader (+ DIST_ZERO_1 14)) (= T_javafe_reader_Reader (+ DIST_ZERO_1 15)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 16)) (= T_java_io_FileNotFoundException (+ DIST_ZERO_1 17)) (= T_javafe_tc_Env (+ DIST_ZERO_1 18)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 19)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 20)) (= T_java_io_OutputStreamWriter (+ DIST_ZERO_1 21)) (= T_java_util_Properties (+ DIST_ZERO_1 22)) (= T_javafe_tc_FieldDeclVec (+ DIST_ZERO_1 23)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 24)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 25)) (= T_javafe_tc_OutsideEnv (+ DIST_ZERO_1 26)) (= T_java_util_Vector (+ DIST_ZERO_1 27)) (= T_java_util_StringTokenizer (+ DIST_ZERO_1 28)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 29)) (= T_javafe_util_Location (+ DIST_ZERO_1 30)) (= T_javafe_ast_MethodDecl (+ DIST_ZERO_1 31)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 32)) (= T_java_lang_Exception (+ DIST_ZERO_1 33)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 34)) (= T_javafe_tc_TypeSig (+ DIST_ZERO_1 35)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 36)) (= T_java_lang_Comparable (+ DIST_ZERO_1 37)) (= T_javafe_CopyLoaded (+ DIST_ZERO_1 38)) (= T_java_io_BufferedReader (+ DIST_ZERO_1 39)) (= T_javafe_ast_Type (+ DIST_ZERO_1 40)) (= T_javafe_ast_ASTDecoration (+ DIST_ZERO_1 41)) (= T_java_io_FileWriter (+ DIST_ZERO_1 42)) (= T_java_io_IOException (+ DIST_ZERO_1 43)) (= T_javafe_ast_Name (+ DIST_ZERO_1 44)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 45)) (= T_java_lang_Object (+ DIST_ZERO_1 46)) (= T_javafe_tc_MethodDeclVec (+ DIST_ZERO_1 47)) (= T_java_io_PrintWriter (+ DIST_ZERO_1 48)) (= T_java_util_Hashtable (+ DIST_ZERO_1 49)) (= T_java_util_AbstractList (+ DIST_ZERO_1 50)) (= T_java_io_InputStreamReader (+ DIST_ZERO_1 51)) (= T_javafe_Tool (+ DIST_ZERO_1 52)) (= T_javafe_tc_TypeCheck (+ DIST_ZERO_1 53)) (= T_javafe_FrontEndTool (+ DIST_ZERO_1 54)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 55)) (= T_java_io_Reader (+ DIST_ZERO_1 56)) (= T_java_io_Writer (+ DIST_ZERO_1 57)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 58)) (= T_javafe_util_ErrorSet (+ DIST_ZERO_1 59)) (= T_java_io_File (+ DIST_ZERO_1 60)) (= T_java_lang_String (+ DIST_ZERO_1 61)) (= T_java_io_PrintStream (+ DIST_ZERO_1 62)) (= T_java_util_Collection (+ DIST_ZERO_1 63)) (= T_javafe_util_Assert (+ DIST_ZERO_1 64)) (= T_java_lang_System (+ DIST_ZERO_1 65)) (= T_java_util_Dictionary (+ DIST_ZERO_1 66)) (= T_java_io_Serializable (+ DIST_ZERO_1 67)) (= T_java_io_OutputStream (+ DIST_ZERO_1 68)) (= T_javafe_ast_TypeDeclVec (+ DIST_ZERO_1 69)) (= T_java_io_FileReader (+ DIST_ZERO_1 70)) (= T_java_util_Enumeration (+ DIST_ZERO_1 71)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 72)) (= T_javafe_ast_TypeDeclElemVec (+ DIST_ZERO_1 73)) (= T_javafe_ast_PrettyPrint (+ DIST_ZERO_1 74)) (= T_javafe_tc_Listener (+ DIST_ZERO_1 75)) (= T_java_util_List (+ DIST_ZERO_1 76))) (= true_term (is out_19_83_49 T_java_io_PrintStream)) (= true_term (is CHECKED_34_776_28 T_int)) (= CHECKED_34_776_28 6) (= true_term (is NULL_29_60_26 T_int)) (= NULL_29_60_26 0) (= true_term (is usageError_6_43_28 T_int)) (= usageError_6_43_28 1) (forall ((?s Int)) (=> (not (= ?s null)) (= true_term (is (S_select argumentFileNames_39_24 ?s) T_java_util_Vector)))) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select argumentFileNames_39_24 ?s) null)))) (forall ((?s Int)) (=> (not (= ?s null)) (= (typeof (S_select argumentFileNames_39_24 ?s)) T_java_util_Vector))) (= true_term (is PARSED_34_772_28 T_int)) (= PARSED_34_772_28 2) (= true_term (is err_19_97_50 T_java_io_PrintStream)) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (= true_term (is (S_select progIndirectFiles_34_24 ?s_1_) T_java_util_Vector)))) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select progIndirectFiles_34_24 ?s_1_) null)))) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (= (typeof (S_select progIndirectFiles_34_24 ?s_1_)) T_java_util_Vector))) (= true_term (is PREPPED_34_775_28 T_int)) (= PREPPED_34_775_28 5)))
(declare-fun ecReturn () Int)
(declare-fun L_152_5 () Int)
(declare-fun S_146_23 () Int)
(declare-fun locType_pre_106_21_13 () Int)
(declare-fun locType_106_21_13 () Int)
(declare-fun outProgIndirect_pre_24_34 () Int)
(declare-fun outProgIndirect_24_34 () Int)
(declare-fun elems_pre_32_41_39 () Int)
(declare-fun elems_32_41_39 () Int)
(declare-fun elems_pre_26_27_35 () Int)
(declare-fun elems_26_27_35 () Int)
(declare-fun out_pre_19_83_49 () Int)
(declare-fun loc_pre_26_30_13 () Int)
(declare-fun loc_26_30_13 () Int)
(declare-fun owner_pre_7_35_28 () Int)
(declare-fun owner_7_35_28 () Int)
(declare-fun locOpenBrace_pre_112_22_13 () Int)
(declare-fun locOpenBrace_112_22_13 () Int)
(declare-fun locOpenBrace_pre_32_51_13 () Int)
(declare-fun locOpenBrace_32_51_13 () Int)
(declare-fun loc_pre_32_45_13 () Int)
(declare-fun loc_32_45_13 () Int)
(declare-fun locCloseBrace_pre_32_54_13 () Int)
(declare-fun locCloseBrace_32_54_13 () Int)
(declare-fun containsNull_pre_15_70_29 () Int)
(declare-fun containsNull_15_70_29 () Int)
(declare-fun locId_pre_32_48_13 () Int)
(declare-fun locId_32_48_13 () Int)
(declare-fun elements_pre_102_61_39 () Int)
(declare-fun elements_102_61_39 () Int)
(declare-fun state_pre_34_787_15 () Int)
(declare-fun state_34_787_15 () Int)
(declare-fun myTypeDecl_pre_34_63_40 () Int)
(declare-fun myTypeDecl_34_63_40 () Int)
(declare-fun locCloseBrace_pre_112_25_13 () Int)
(declare-fun locCloseBrace_112_25_13 () Int)
(declare-fun outLibIndirect_pre_25_34 () Int)
(declare-fun outLibIndirect_25_34 () Int)
(declare-fun count_pre_30_67_33 () Int)
(declare-fun count_30_67_33 () Int)
(declare-fun errors_pre_52_81_22 () Int)
(declare-fun errors_52_81_22 () Int)
(declare-fun CHECKED_pre_34_776_28 () Int)
(declare-fun inst_pre_31_174_26 () Int)
(declare-fun inst_31_174_26 () Int)
(declare-fun NULL_pre_29_60_26 () Int)
(declare-fun usageError_pre_6_43_28 () Int)
(declare-fun argumentFileNames_pre_39_24 () Int)
(declare-fun methods_pre_34_883_26 () Int)
(declare-fun methods_34_883_26 () Int)
(declare-fun elements_pre_101_61_38 () Int)
(declare-fun elements_101_61_38 () Int)
(declare-fun PARSED_pre_34_772_28 () Int)
(declare-fun elementCount_pre_13_90_35 () Int)
(declare-fun elementCount_13_90_35 () Int)
(declare-fun locOpenBrace_pre_107_36_13 () Int)
(declare-fun locOpenBrace_107_36_13 () Int)
(declare-fun locId_pre_105_38_13 () Int)
(declare-fun locId_105_38_13 () Int)
(declare-fun enclosingType_pre_34_32_39 () Int)
(declare-fun enclosingType_34_32_39 () Int)
(declare-fun err_pre_19_97_50 () Int)
(declare-fun elementType_pre_15_65_27 () Int)
(declare-fun elementType_15_65_27 () Int)
(declare-fun progIndirectFiles_pre_34_24 () Int)
(declare-fun progIndirectWriter_pre_28_24 () Int)
(declare-fun progIndirectWriter_28_24 () Int)
(declare-fun PREPPED_pre_34_775_28 () Int)
(declare-fun body_pre_107_34_19 () Int)
(declare-fun body_107_34_19 () Int)
(declare-fun count_pre_51_67_33 () Int)
(declare-fun count_51_67_33 () Int)
(declare-fun enclosingEnv_pre_34_52_36 () Int)
(declare-fun enclosingEnv_34_52_36 () Int)
(declare-fun loc_pre_107_40_13 () Int)
(declare-fun loc_107_40_13 () Int)
(declare-fun elements_pre_30_61_37 () Int)
(declare-fun elements_30_61_37 () Int)
(declare-fun inst_pre_44_29_44 () Int)
(declare-fun inst_44_29_44 () Int)
(declare-fun elementData_pre_13_79_35 () Int)
(declare-fun elementData_13_79_35 () Int)
(declare-fun locId_pre_107_43_13 () Int)
(declare-fun locId_107_43_13 () Int)
(declare-fun pkgName_pre_26_21_14 () Int)
(declare-fun pkgName_26_21_14 () Int)
(declare-fun count_pre_102_67_33 () Int)
(declare-fun count_102_67_33 () Int)
(declare-fun CU_pre_34_71_30 () Int)
(declare-fun CU_34_71_30 () Int)
(declare-fun outDir_pre_23_34 () Int)
(declare-fun outDir_23_34 () Int)
(declare-fun libIndirectWriter_pre_27_24 () Int)
(declare-fun libIndirectWriter_27_24 () Int)
(declare-fun specOnly_pre_32_26_17 () Int)
(declare-fun specOnly_32_26_17 () Int)
(declare-fun fields_pre_34_875_27 () Int)
(declare-fun fields_34_875_27 () Int)
(declare-fun loaded_pre_110_18 () Int)
(declare-fun loaded_110_18 () Int)
(declare-fun simpleName_pre_34_37_38 () Int)
(declare-fun simpleName_34_37_38 () Int)
(declare-fun elements_pre_51_61_41 () Int)
(declare-fun elements_51_61_41 () Int)
(declare-fun member_pre_34_44_39 () Int)
(declare-fun member_34_44_39 () Int)
(declare-fun count_pre_101_67_33 () Int)
(declare-fun count_101_67_33 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun justLoaded_141_39 () Int)
(declare-fun tmp0_loaded_142_1 () Int)
(declare-fun elementCount_142_8_13_642_17 () Int)
(declare-fun after_142_8_142_8_13_642_17 () Int)
(declare-fun EC_142_8_142_8 () Int)
(declare-fun loc_144_28_144_28_29_98_40 () Int)
(declare-fun RES_144_28_144_28 () Int)
(declare-fun EC_144_28_144_28 () Int)
(declare-fun RES_146_14_146_14 () Int)
(declare-fun EC_146_14_146_14 () Int)
(declare-fun RES_148_6_148_6 () Int)
(declare-fun EC_148_6_148_6 () Int)
(declare-fun RES_148_38_148_38 () Int)
(declare-fun EC_148_38_148_38 () Int)
(declare-fun elems_150_5 () Int)
(declare-fun EC_loopold () Int)
(declare-fun i_loopold_152_14 () Int)
(declare-fun RES_152_5_0_152_27_152_27 () Int)
(declare-fun EC_152_5_0_152_27_152_27 () Int)
(declare-fun RES_152_5_0_153_21_153_21 () Int)
(declare-fun EC_152_5_0_153_21_153_21 () Int)
(declare-fun RES_152_5_0_154_31_154_31 () Int)
(declare-fun EC_152_5_0_154_31_154_31 () Int)
(declare-fun EC () Int)
(declare-fun tmp7_cor_155_17 () Int)
(declare-fun RES () Int)
(declare-fun RES_152_5_0_155_22_155_22 () Int)
(declare-fun EC_152_5_0_155_22_155_22 () Int)
(declare-fun RES_152_5_0_156_20_156_20 () Int)
(declare-fun EC_152_5_0_156_20_156_20 () Int)
(declare-fun EC_152_5_0_156_6_156_6 () Int)
(declare-fun EC_1_ () Int)
(declare-fun RES_1_ () Int)
(declare-fun RES_152_5_0_156_6_156_6 () Int)
(declare-fun i_152_5_0_152_35 () Int)
(declare-fun newName_147_5_147_5_359_27 () Int)
(declare-fun EC_147_5_147_5 () Int)
(declare-fun EC_2_ () Int)
(declare-fun RES_152_5_1_152_27_152_27 () Int)
(declare-fun EC_152_5_1_152_27_152_27 () Int)
(declare-fun EC_3_ () Int)
(declare-fun EC_142_1 () Int)
(assert (let ((?v_8 (not (= S_146_23 null))) (?v_2 (not (= justLoaded_141_39 null))) (?v_19 (not (= inst_31_174_26 null))) (?v_42 (= tmp0_loaded_142_1 (S_select loaded_110_18 this))) (?v_0 (not (= tmp0_loaded_142_1 null))) (?v_1 (= (PO_LT (typeof justLoaded_141_39) (S_select elementType_15_65_27 tmp0_loaded_142_1)) true_term)) (?v_43 (= elementCount_142_8_13_642_17 (S_store elementCount_13_90_35 tmp0_loaded_142_1 after_142_8_142_8_13_642_17))) (?v_44 (= elementCount_142_8_13_642_17 (asField elementCount_142_8_13_642_17 T_int))) (?v_3 (= EC_142_8_142_8 ecReturn))) (let ((?v_45 (=> ?v_3 (= (S_select elementCount_142_8_13_642_17 tmp0_loaded_142_1) (+ (S_select elementCount_13_90_35 tmp0_loaded_142_1) 1)))) (?v_46 (forall ((?brokenObj_44_ Int)) (let ((?v_73 (arrayLength (S_select elementData_13_79_35 ?brokenObj_44_)))) (=> (and (= true_term (is ?brokenObj_44_ T_java_util_Vector)) (not (= ?brokenObj_44_ null)) (<= (S_select elementCount_13_90_35 ?brokenObj_44_) ?v_73)) (<= (S_select elementCount_142_8_13_642_17 ?brokenObj_44_) ?v_73))))) (?v_47 (forall ((?brokenObj_45_ Int)) (=> (and (= true_term (is ?brokenObj_45_ T_java_util_Vector)) (not (= ?brokenObj_45_ null)) (forall ((?i_13_70_31 Int)) (let ((?v_74 (S_select (S_select elems (S_select elementData_13_79_35 ?brokenObj_45_)) ?i_13_70_31))) (=> (and (<= 0 ?i_13_70_31) (< ?i_13_70_31 (S_select elementCount_13_90_35 ?brokenObj_45_))) (or (= (PO_LT (typeof ?v_74) (S_select elementType_15_65_27 ?brokenObj_45_)) true_term) (= ?v_74 null)))))) (forall ((?i_13_70_31 Int)) (let ((?v_75 (S_select (S_select elems (S_select elementData_13_79_35 ?brokenObj_45_)) ?i_13_70_31))) (=> (and (<= 0 ?i_13_70_31) (< ?i_13_70_31 (S_select elementCount_142_8_13_642_17 ?brokenObj_45_))) (or (= (PO_LT (typeof ?v_75) (S_select elementType_15_65_27 ?brokenObj_45_)) true_term) (= ?v_75 null)))))))) (?v_48 (forall ((?brokenObj_46_ Int)) (=> (and (= true_term (is ?brokenObj_46_ T_java_util_Vector)) (not (= ?brokenObj_46_ null)) (forall ((?i_13_73_31 Int)) (=> (and (<= 0 ?i_13_73_31) (< ?i_13_73_31 (S_select elementCount_13_90_35 ?brokenObj_46_)) (not (= true_term (S_select containsNull_15_70_29 ?brokenObj_46_)))) (not (= (S_select (S_select elems (S_select elementData_13_79_35 ?brokenObj_46_)) ?i_13_73_31) null))))) (forall ((?i_13_73_31 Int)) (=> (and (<= 0 ?i_13_73_31) (< ?i_13_73_31 (S_select elementCount_142_8_13_642_17 ?brokenObj_46_)) (not (= true_term (S_select containsNull_15_70_29 ?brokenObj_46_)))) (not (= (S_select (S_select elems (S_select elementData_13_79_35 ?brokenObj_46_)) ?i_13_73_31) null))))))) (?v_49 (forall ((?brokenObj_47_ Int)) (=> (and (= true_term (is ?brokenObj_47_ T_java_util_Vector)) (not (= ?brokenObj_47_ null)) (<= 0 (S_select elementCount_13_90_35 ?brokenObj_47_))) (<= 0 (S_select elementCount_142_8_13_642_17 ?brokenObj_47_))))) (?v_9 (not ?v_2)) (?v_4 (= loc_144_28_144_28_29_98_40 (S_select loc_26_30_13 justLoaded_141_39))) (?v_5 (not (= loc_144_28_144_28_29_98_40 NULL_29_60_26))) (?v_50 (= true_term (is RES_144_28_144_28 T_java_lang_String))) (?v_51 (= true_term (isAllocated RES_144_28_144_28 alloc))) (?v_6 (= EC_144_28_144_28 ecReturn)) (?v_7 (not (= RES_144_28_144_28 null)))) (let ((?v_52 (=> ?v_6 ?v_7)) (?v_10 (not ?v_7)) (?v_53 (= true_term (is RES_146_14_146_14 T_boolean))) (?v_54 (= EC_146_14_146_14 ecReturn)) (?v_12 (= true_term RES_146_14_146_14)) (?v_13 (= true_term true_term)) (?v_55 (= true_term (is RES_148_6_148_6 T_java_lang_String))) (?v_56 (= true_term (isAllocated RES_148_6_148_6 alloc))) (?v_57 (= EC_148_6_148_6 ecReturn)) (?v_58 (= true_term (is RES_148_38_148_38 T_java_lang_String))) (?v_59 (= true_term (isAllocated RES_148_38_148_38 alloc))) (?v_11 (= EC_148_38_148_38 ecReturn))) (let ((?v_60 (=> ?v_11 (not (= RES_148_38_148_38 null)))) (?v_62 (stringCat RES_148_6_148_6 RES_148_38_148_38))) (let ((?v_61 (not (= ?v_62 null))) (?v_63 (not ?v_12)) (?v_64 (= elems_150_5 (S_select elems_26_27_35 justLoaded_141_39))) (?v_65 (= EC_146_14_146_14 EC_loopold)) (?v_66 (= 0 i_loopold_152_14)) (?v_14 (not (= elems_150_5 null)))) (let ((?v_16 (not ?v_14)) (?v_28 (= true_term (is RES_152_5_0_152_27_152_27 T_int))) (?v_15 (= EC_152_5_0_152_27_152_27 ecReturn)) (?v_17 (S_select count_30_67_33 elems_150_5))) (let ((?v_29 (=> ?v_15 (= RES_152_5_0_152_27_152_27 ?v_17))) (?v_30 (< 0 RES_152_5_0_152_27_152_27)) (?v_31 (= true_term (is RES_152_5_0_153_21_153_21 T_javafe_ast_TypeDecl))) (?v_32 (= true_term (isAllocated RES_152_5_0_153_21_153_21 alloc))) (?v_18 (= EC_152_5_0_153_21_153_21 ecReturn)) (?v_20 (not (= RES_152_5_0_153_21_153_21 null)))) (let ((?v_33 (=> ?v_18 ?v_20)) (?v_22 (not ?v_20)) (?v_34 (= true_term (is RES_152_5_0_154_31_154_31 T_javafe_tc_TypeSig))) (?v_35 (= true_term (isAllocated RES_152_5_0_154_31_154_31 alloc))) (?v_21 (= EC_152_5_0_154_31_154_31 ecReturn)) (?v_25 (not (= RES_152_5_0_154_31_154_31 null)))) (let ((?v_36 (=> ?v_21 ?v_25)) (?v_23 (= true_term (S_select specOnly_32_26_17 RES_152_5_0_153_21_153_21)))) (let ((?v_24 (not ?v_23))) (let ((?v_37 (or (and ?v_23 ?v_13 (= EC EC_152_5_0_154_31_154_31) (= tmp7_cor_155_17 true_term) (= RES RES_152_5_0_154_31_154_31)) (and ?v_24 ?v_20 (= true_term (is RES_152_5_0_155_22_155_22 T_boolean)) (= EC_152_5_0_155_22_155_22 ecReturn) (= EC EC_152_5_0_155_22_155_22) (= tmp7_cor_155_17 RES_152_5_0_155_22_155_22) (= RES RES_152_5_0_155_22_155_22)))) (?v_38 (= true_term tmp7_cor_155_17)) (?v_39 (= true_term (is RES_152_5_0_156_20_156_20 T_java_lang_String))) (?v_40 (= true_term (isAllocated RES_152_5_0_156_20_156_20 alloc))) (?v_26 (= EC_152_5_0_156_20_156_20 ecReturn)) (?v_27 (not (= RES_152_5_0_156_20_156_20 null)))) (let ((?v_41 (=> ?v_26 ?v_27))) (let ((?v_67 (or (and ?v_38 ?v_13 ?v_25 ?v_39 ?v_40 ?v_26 ?v_41 ?v_27 (= EC_152_5_0_156_6_156_6 ecReturn) (= EC_1_ EC_152_5_0_156_6_156_6) (= RES_1_ RES_152_5_0_156_6_156_6)) (and (not ?v_38) ?v_13 (= EC_1_ EC) (= RES_1_ RES)))) (?v_68 (= i_152_5_0_152_35 (+ 0 1))) (?v_69 (= EC_152_5_1_152_27_152_27 ecReturn))) (let ((?v_70 (or (and ?v_13 ?v_14 ?v_28 ?v_15 ?v_29 (not ?v_30)) (and ?v_13 ?v_14 ?v_28 ?v_15 ?v_29 ?v_30 ?v_14 ?v_31 ?v_32 ?v_18 ?v_33 ?v_19 ?v_20 ?v_34 ?v_35 ?v_21 ?v_36 ?v_20 ?v_37 ?v_67 ?v_68 ?v_13 ?v_14 (= true_term (is RES_152_5_1_152_27_152_27 T_int)) ?v_69 (=> ?v_69 (= RES_152_5_1_152_27_152_27 ?v_17)) (not (< i_152_5_0_152_35 RES_152_5_1_152_27_152_27))))) (?v_71 (= L_152_5 L_152_5)) (?v_72 (= EC_142_1 ecReturn))) (not (=> (and (distinct ecReturn L_152_5) ?v_8 (= (typeof S_146_23) T_java_lang_String)) (=> (and (= locType_pre_106_21_13 locType_106_21_13) (= locType_106_21_13 (asField locType_106_21_13 T_int)) (= outProgIndirect_pre_24_34 outProgIndirect_24_34) (= outProgIndirect_24_34 (asField outProgIndirect_24_34 T_java_lang_String)) (< (fClosedTime outProgIndirect_24_34) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select outProgIndirect_24_34 ?s) null)))) (= elems_pre_32_41_39 elems_32_41_39) (= elems_32_41_39 (asField elems_32_41_39 T_javafe_ast_TypeDeclElemVec)) (< (fClosedTime elems_32_41_39) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elems_32_41_39 ?s_1_) null)))) (= elems_pre_26_27_35 elems_26_27_35) (= elems_26_27_35 (asField elems_26_27_35 T_javafe_ast_TypeDeclVec)) (< (fClosedTime elems_26_27_35) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select elems_26_27_35 ?s_2_) null)))) (= out_pre_19_83_49 out_19_83_49) (= true_term (is out_19_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_19_83_49 alloc)) (not (= out_19_83_49 null)) (= loc_pre_26_30_13 loc_26_30_13) (= loc_26_30_13 (asField loc_26_30_13 T_int)) (= owner_pre_7_35_28 owner_7_35_28) (= owner_7_35_28 (asField owner_7_35_28 T_java_lang_Object)) (< (fClosedTime owner_7_35_28) alloc) (= locOpenBrace_pre_112_22_13 locOpenBrace_112_22_13) (= locOpenBrace_112_22_13 (asField locOpenBrace_112_22_13 T_int)) (= locOpenBrace_pre_32_51_13 locOpenBrace_32_51_13) (= locOpenBrace_32_51_13 (asField locOpenBrace_32_51_13 T_int)) (= loc_pre_32_45_13 loc_32_45_13) (= loc_32_45_13 (asField loc_32_45_13 T_int)) (= locCloseBrace_pre_32_54_13 locCloseBrace_32_54_13) (= locCloseBrace_32_54_13 (asField locCloseBrace_32_54_13 T_int)) (= containsNull_pre_15_70_29 containsNull_15_70_29) (= containsNull_15_70_29 (asField containsNull_15_70_29 T_boolean)) (= locId_pre_32_48_13 locId_32_48_13) (= locId_32_48_13 (asField locId_32_48_13 T_int)) (= elements_pre_102_61_39 elements_102_61_39) (= elements_102_61_39 (asField elements_102_61_39 (array T_javafe_ast_MethodDecl))) (< (fClosedTime elements_102_61_39) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select elements_102_61_39 ?s_3_) null)))) (= state_pre_34_787_15 state_34_787_15) (= state_34_787_15 (asField state_34_787_15 T_int)) (= myTypeDecl_pre_34_63_40 myTypeDecl_34_63_40) (= myTypeDecl_34_63_40 (asField myTypeDecl_34_63_40 T_javafe_ast_TypeDecl)) (< (fClosedTime myTypeDecl_34_63_40) alloc) (= locCloseBrace_pre_112_25_13 locCloseBrace_112_25_13) (= locCloseBrace_112_25_13 (asField locCloseBrace_112_25_13 T_int)) (= outLibIndirect_pre_25_34 outLibIndirect_25_34) (= outLibIndirect_25_34 (asField outLibIndirect_25_34 T_java_lang_String)) (< (fClosedTime outLibIndirect_25_34) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select outLibIndirect_25_34 ?s_4_) null)))) (= count_pre_30_67_33 count_30_67_33) (= count_30_67_33 (asField count_30_67_33 T_int)) (= errors_pre_52_81_22 errors_52_81_22) (= true_term (is errors_52_81_22 T_int)) (= CHECKED_pre_34_776_28 CHECKED_34_776_28) (= true_term (is CHECKED_34_776_28 T_int)) (= inst_pre_31_174_26 inst_31_174_26) (= true_term (is inst_31_174_26 T_javafe_tc_TypeCheck)) (= true_term (isAllocated inst_31_174_26 alloc)) (= NULL_pre_29_60_26 NULL_29_60_26) (= true_term (is NULL_29_60_26 T_int)) (= usageError_pre_6_43_28 usageError_6_43_28) (= true_term (is usageError_6_43_28 T_int)) (= argumentFileNames_pre_39_24 argumentFileNames_39_24) (= argumentFileNames_39_24 (asField argumentFileNames_39_24 T_java_util_Vector)) (< (fClosedTime argumentFileNames_39_24) alloc) (= methods_pre_34_883_26 methods_34_883_26) (= methods_34_883_26 (asField methods_34_883_26 T_javafe_tc_MethodDeclVec)) (< (fClosedTime methods_34_883_26) alloc) (= elements_pre_101_61_38 elements_101_61_38) (= elements_101_61_38 (asField elements_101_61_38 (array T_javafe_ast_FieldDecl))) (< (fClosedTime elements_101_61_38) alloc) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (not (= (S_select elements_101_61_38 ?s_5_) null)))) (= PARSED_pre_34_772_28 PARSED_34_772_28) (= true_term (is PARSED_34_772_28 T_int)) (= elementCount_pre_13_90_35 elementCount_13_90_35) (= elementCount_13_90_35 (asField elementCount_13_90_35 T_int)) (= locOpenBrace_pre_107_36_13 locOpenBrace_107_36_13) (= locOpenBrace_107_36_13 (asField locOpenBrace_107_36_13 T_int)) (= locId_pre_105_38_13 locId_105_38_13) (= locId_105_38_13 (asField locId_105_38_13 T_int)) (= enclosingType_pre_34_32_39 enclosingType_34_32_39) (= enclosingType_34_32_39 (asField enclosingType_34_32_39 T_javafe_tc_TypeSig)) (< (fClosedTime enclosingType_34_32_39) alloc) (= err_pre_19_97_50 err_19_97_50) (= true_term (is err_19_97_50 T_java_io_PrintStream)) (= true_term (isAllocated err_19_97_50 alloc)) (not (= err_19_97_50 null)) (= elementType_pre_15_65_27 elementType_15_65_27) (= elementType_15_65_27 (asField elementType_15_65_27 T__TYPE)) (= progIndirectFiles_pre_34_24 progIndirectFiles_34_24) (= progIndirectFiles_34_24 (asField progIndirectFiles_34_24 T_java_util_Vector)) (< (fClosedTime progIndirectFiles_34_24) alloc) (= progIndirectWriter_pre_28_24 progIndirectWriter_28_24) (= progIndirectWriter_28_24 (asField progIndirectWriter_28_24 T_java_io_PrintWriter)) (< (fClosedTime progIndirectWriter_28_24) alloc) (= PREPPED_pre_34_775_28 PREPPED_34_775_28) (= true_term (is PREPPED_34_775_28 T_int)) (= body_pre_107_34_19 body_107_34_19) (= body_107_34_19 (asField body_107_34_19 T_javafe_ast_BlockStmt)) (< (fClosedTime body_107_34_19) alloc) (= count_pre_51_67_33 count_51_67_33) (= count_51_67_33 (asField count_51_67_33 T_int)) (= enclosingEnv_pre_34_52_36 enclosingEnv_34_52_36) (= enclosingEnv_34_52_36 (asField enclosingEnv_34_52_36 T_javafe_tc_Env)) (< (fClosedTime enclosingEnv_34_52_36) alloc) (= loc_pre_107_40_13 loc_107_40_13) (= loc_107_40_13 (asField loc_107_40_13 T_int)) (= elements_pre_30_61_37 elements_30_61_37) (= elements_30_61_37 (asField elements_30_61_37 (array T_javafe_ast_TypeDecl))) (< (fClosedTime elements_30_61_37) alloc) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (not (= (S_select elements_30_61_37 ?s_6_) null)))) (= inst_pre_44_29_44 inst_44_29_44) (= true_term (is inst_44_29_44 T_javafe_ast_PrettyPrint)) (= true_term (isAllocated inst_44_29_44 alloc)) (not (= inst_44_29_44 null)) (= elementData_pre_13_79_35 elementData_13_79_35) (= elementData_13_79_35 (asField elementData_13_79_35 (array T_java_lang_Object))) (< (fClosedTime elementData_13_79_35) alloc) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (not (= (S_select elementData_13_79_35 ?s_7_) null)))) (= locId_pre_107_43_13 locId_107_43_13) (= locId_107_43_13 (asField locId_107_43_13 T_int)) (= pkgName_pre_26_21_14 pkgName_26_21_14) (= pkgName_26_21_14 (asField pkgName_26_21_14 T_javafe_ast_Name)) (< (fClosedTime pkgName_26_21_14) alloc) (= count_pre_102_67_33 count_102_67_33) (= count_102_67_33 (asField count_102_67_33 T_int)) (= CU_pre_34_71_30 CU_34_71_30) (= CU_34_71_30 (asField CU_34_71_30 T_javafe_ast_CompilationUnit)) (< (fClosedTime CU_34_71_30) alloc) (= outDir_pre_23_34 outDir_23_34) (= outDir_23_34 (asField outDir_23_34 T_java_lang_String)) (< (fClosedTime outDir_23_34) alloc) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (not (= (S_select outDir_23_34 ?s_8_) null)))) (= libIndirectWriter_pre_27_24 libIndirectWriter_27_24) (= libIndirectWriter_27_24 (asField libIndirectWriter_27_24 T_java_io_PrintWriter)) (< (fClosedTime libIndirectWriter_27_24) alloc) (= specOnly_pre_32_26_17 specOnly_32_26_17) (= specOnly_32_26_17 (asField specOnly_32_26_17 T_boolean)) (= fields_pre_34_875_27 fields_34_875_27) (= fields_34_875_27 (asField fields_34_875_27 T_javafe_tc_FieldDeclVec)) (< (fClosedTime fields_34_875_27) alloc) (= loaded_pre_110_18 loaded_110_18) (= loaded_110_18 (asField loaded_110_18 T_java_util_Vector)) (< (fClosedTime loaded_110_18) alloc) (= simpleName_pre_34_37_38 simpleName_34_37_38) (= simpleName_34_37_38 (asField simpleName_34_37_38 T_java_lang_String)) (< (fClosedTime simpleName_34_37_38) alloc) (= elements_pre_51_61_41 elements_51_61_41) (= elements_51_61_41 (asField elements_51_61_41 (array T_javafe_ast_TypeDeclElem))) (< (fClosedTime elements_51_61_41) alloc) (forall ((?s_9_ Int)) (=> (not (= ?s_9_ null)) (not (= (S_select elements_51_61_41 ?s_9_) null)))) (= member_pre_34_44_39 member_34_44_39) (= member_34_44_39 (asField member_34_44_39 T_boolean)) (= count_pre_101_67_33 count_101_67_33) (= count_101_67_33 (asField count_101_67_33 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_CopyLoaded)) (= true_term (isAllocated this alloc)) (not (= this null)) (= true_term (is justLoaded_141_39 T_javafe_ast_CompilationUnit)) (= true_term (isAllocated justLoaded_141_39 alloc)) ?v_2 (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_ast_TypeDeclVec)) (not (= ?brokenObj null))) (<= (S_select count_30_67_33 ?brokenObj) (arrayLength (S_select elements_30_61_37 ?brokenObj))))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_CopyLoaded)) (not (= ?brokenObj_1_ null))) (not (= (S_select loaded_110_18 ?brokenObj_1_) null)))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_CopyLoaded)) (not (= ?brokenObj_2_ null))) (not (= true_term (S_select containsNull_15_70_29 (S_select progIndirectFiles_34_24 ?brokenObj_2_)))))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_java_util_Vector)) (not (= ?brokenObj_3_ null))) (<= (S_select elementCount_13_90_35 ?brokenObj_3_) (arrayLength (S_select elementData_13_79_35 ?brokenObj_3_))))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_4_ null))) (= (typeof (S_select elements_102_61_39 ?brokenObj_4_)) (array T_javafe_ast_MethodDecl)))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_5_ null))) (forall ((?i_101_62_31 Int)) (=> (and (<= 0 ?i_101_62_31) (< ?i_101_62_31 (S_select count_101_67_33 ?brokenObj_5_))) (not (= (S_select (S_select elems (S_select elements_101_61_38 ?brokenObj_5_)) ?i_101_62_31) null)))))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_java_util_Vector)) (not (= ?brokenObj_6_ null))) (= (typeof (S_select elementData_13_79_35 ?brokenObj_6_)) (array T_java_lang_Object)))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_CopyLoaded)) (not (= ?brokenObj_7_ null))) (= (S_select owner_7_35_28 (S_select argumentFileNames_39_24 ?brokenObj_7_)) ?brokenObj_7_))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_ast_MethodDecl)) (not (= ?brokenObj_8_ null))) (not (= (S_select locType_106_21_13 ?brokenObj_8_) NULL_29_60_26)))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_9_ null))) (<= 0 (S_select count_102_67_33 ?brokenObj_9_)))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_java_util_Vector)) (not (= ?brokenObj_10_ null))) (forall ((?i_13_70_31 Int)) (let ((?v_76 (S_select (S_select elems (S_select elementData_13_79_35 ?brokenObj_10_)) ?i_13_70_31))) (=> (and (<= 0 ?i_13_70_31) (< ?i_13_70_31 (S_select elementCount_13_90_35 ?brokenObj_10_))) (or (= (PO_LT (typeof ?v_76) (S_select elementType_15_65_27 ?brokenObj_10_)) true_term) (= ?v_76 null))))))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_CopyLoaded)) (not (= ?brokenObj_11_ null))) (not (= true_term (S_select containsNull_15_70_29 (S_select loaded_110_18 ?brokenObj_11_)))))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_12_ null))) (= (typeof (S_select elements_101_61_38 ?brokenObj_12_)) (array T_javafe_ast_FieldDecl)))) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_ast_CompilationUnit)) (not (= ?brokenObj_13_ null))) (not (= (S_select loc_26_30_13 ?brokenObj_13_) NULL_29_60_26)))) (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_ast_GenericBlockStmt)) (not (= ?brokenObj_14_ null))) (not (= (S_select locOpenBrace_112_22_13 ?brokenObj_14_) NULL_29_60_26)))) (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_15_ null))) (not (= (S_select locOpenBrace_32_51_13 ?brokenObj_15_) NULL_29_60_26)))) (forall ((?brokenObj_16_ Int)) (=> (and (= true_term (is ?brokenObj_16_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_16_ null))) (not (= (S_select loc_32_45_13 ?brokenObj_16_) NULL_29_60_26)))) (forall ((?brokenObj_17_ Int)) (=> (and (= true_term (is ?brokenObj_17_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_17_ null))) (not (= (S_select locCloseBrace_32_54_13 ?brokenObj_17_) NULL_29_60_26)))) (forall ((?brokenObj_18_ Int)) (=> (and (= true_term (is ?brokenObj_18_ T_java_util_Vector)) (not (= ?brokenObj_18_ null))) (forall ((?v_13_76_34 Int)) (let ((?v_77 (= ?v_13_76_34 null))) (=> (and (= true_term (is ?v_13_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_13_76_34 alloc)) (not ?v_77)) (or ?v_77 (= ?v_13_76_34 ?brokenObj_18_) (not (= (S_select elementData_13_79_35 ?v_13_76_34) (S_select elementData_13_79_35 ?brokenObj_18_))))))))) (forall ((?brokenObj_19_ Int)) (=> (and (= true_term (is ?brokenObj_19_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_19_ null))) (not (= (S_select locId_32_48_13 ?brokenObj_19_) NULL_29_60_26)))) (forall ((?brokenObj_20_ Int)) (=> (and (= true_term (is ?brokenObj_20_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_20_ null))) (= (S_select owner_7_35_28 (S_select elements_102_61_39 ?brokenObj_20_)) ?brokenObj_20_))) (forall ((?brokenObj_21_ Int)) (=> (and (= true_term (is ?brokenObj_21_ T_javafe_ast_TypeDeclVec)) (not (= ?brokenObj_21_ null))) (forall ((?i_30_62_31 Int)) (=> (and (<= 0 ?i_30_62_31) (< ?i_30_62_31 (S_select count_30_67_33 ?brokenObj_21_))) (not (= (S_select (S_select elems (S_select elements_30_61_37 ?brokenObj_21_)) ?i_30_62_31) null)))))) (forall ((?brokenObj_22_ Int)) (=> (and (= true_term (is ?brokenObj_22_ T_javafe_CopyLoaded)) (not (= ?brokenObj_22_ null))) (not (= (S_select loaded_110_18 ?brokenObj_22_) (S_select argumentFileNames_39_24 ?brokenObj_22_))))) (forall ((?brokenObj_23_ Int)) (=> (and (= true_term (is ?brokenObj_23_ T_javafe_ast_GenericBlockStmt)) (not (= ?brokenObj_23_ null))) (not (= (S_select locCloseBrace_112_25_13 ?brokenObj_23_) NULL_29_60_26)))) (forall ((?brokenObj_24_ Int)) (=> (and (= true_term (is ?brokenObj_24_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_24_ null))) (<= 0 (S_select count_101_67_33 ?brokenObj_24_)))) (forall ((?brokenObj_25_ Int)) (=> (and (= true_term (is ?brokenObj_25_ T_javafe_CopyLoaded)) (not (= ?brokenObj_25_ null))) (= (S_select elementType_15_65_27 (S_select progIndirectFiles_34_24 ?brokenObj_25_)) T_java_lang_String))) (forall ((?brokenObj_26_ Int)) (=> (and (= true_term (is ?brokenObj_26_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_26_ null))) (<= (S_select count_102_67_33 ?brokenObj_26_) (arrayLength (S_select elements_102_61_39 ?brokenObj_26_))))) (forall ((?brokenObj_27_ Int)) (=> (and (= true_term (is ?brokenObj_27_ T_javafe_ast_TypeDeclVec)) (not (= ?brokenObj_27_ null))) (= (typeof (S_select elements_30_61_37 ?brokenObj_27_)) (array T_javafe_ast_TypeDecl)))) (forall ((?brokenObj_28_ Int)) (=> (and (= true_term (is ?brokenObj_28_ T_javafe_CopyLoaded)) (not (= ?brokenObj_28_ null))) (= (S_select elementType_15_65_27 (S_select argumentFileNames_39_24 ?brokenObj_28_)) T_java_lang_String))) ?v_19 (forall ((?brokenObj_29_ Int)) (=> (and (= true_term (is ?brokenObj_29_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_29_ null)) (not (= (S_select body_107_34_19 ?brokenObj_29_) null))) (not (= (S_select locOpenBrace_107_36_13 ?brokenObj_29_) NULL_29_60_26)))) (forall ((?brokenObj_30_ Int)) (=> (and (= true_term (is ?brokenObj_30_ T_javafe_CopyLoaded)) (not (= ?brokenObj_30_ null))) (= (S_select owner_7_35_28 (S_select loaded_110_18 ?brokenObj_30_)) ?brokenObj_30_))) (forall ((?brokenObj_31_ Int)) (=> (and (= true_term (is ?brokenObj_31_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_31_ null))) (= (S_select owner_7_35_28 (S_select elements_101_61_38 ?brokenObj_31_)) ?brokenObj_31_))) (forall ((?brokenObj_32_ Int)) (=> (and (= true_term (is ?brokenObj_32_ T_javafe_ast_GenericVarDecl)) (not (= ?brokenObj_32_ null))) (not (= (S_select locId_105_38_13 ?brokenObj_32_) NULL_29_60_26)))) (forall ((?brokenObj_33_ Int)) (=> (and (= true_term (is ?brokenObj_33_ T_javafe_ast_TypeDeclVec)) (not (= ?brokenObj_33_ null))) (<= 0 (S_select count_30_67_33 ?brokenObj_33_)))) (forall ((?brokenObj_34_ Int)) (=> (and (= true_term (is ?brokenObj_34_ T_java_util_Vector)) (not (= ?brokenObj_34_ null))) (forall ((?i_13_73_31 Int)) (=> (and (<= 0 ?i_13_73_31) (< ?i_13_73_31 (S_select elementCount_13_90_35 ?brokenObj_34_)) (not (= true_term (S_select containsNull_15_70_29 ?brokenObj_34_)))) (not (= (S_select (S_select elems (S_select elementData_13_79_35 ?brokenObj_34_)) ?i_13_73_31) null)))))) (forall ((?brokenObj_35_ Int)) (=> (and (= true_term (is ?brokenObj_35_ T_javafe_CopyLoaded)) (not (= ?brokenObj_35_ null))) (= (S_select owner_7_35_28 (S_select progIndirectFiles_34_24 ?brokenObj_35_)) ?brokenObj_35_))) (forall ((?brokenObj_36_ Int)) (=> (and (= true_term (is ?brokenObj_36_ T_java_util_Vector)) (not (= ?brokenObj_36_ null))) (<= 0 (S_select elementCount_13_90_35 ?brokenObj_36_)))) (forall ((?brokenObj_37_ Int)) (=> (and (= true_term (is ?brokenObj_37_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_37_ null))) (<= (S_select count_101_67_33 ?brokenObj_37_) (arrayLength (S_select elements_101_61_38 ?brokenObj_37_))))) (forall ((?brokenObj_38_ Int)) (=> (and (= true_term (is ?brokenObj_38_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_38_ null))) (not (= (S_select loc_107_40_13 ?brokenObj_38_) NULL_29_60_26)))) (forall ((?brokenObj_39_ Int)) (=> (and (= true_term (is ?brokenObj_39_ T_javafe_ast_TypeDeclVec)) (not (= ?brokenObj_39_ null))) (= (S_select owner_7_35_28 (S_select elements_30_61_37 ?brokenObj_39_)) ?brokenObj_39_))) (forall ((?brokenObj_40_ Int)) (=> (and (= true_term (is ?brokenObj_40_ T_javafe_CopyLoaded)) (not (= ?brokenObj_40_ null))) (not (= true_term (S_select containsNull_15_70_29 (S_select argumentFileNames_39_24 ?brokenObj_40_)))))) (forall ((?brokenObj_41_ Int)) (=> (and (= true_term (is ?brokenObj_41_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_41_ null))) (forall ((?i_102_62_31 Int)) (=> (and (<= 0 ?i_102_62_31) (< ?i_102_62_31 (S_select count_102_67_33 ?brokenObj_41_))) (not (= (S_select (S_select elems (S_select elements_102_61_39 ?brokenObj_41_)) ?i_102_62_31) null)))))) (forall ((?brokenObj_42_ Int)) (=> (and (= true_term (is ?brokenObj_42_ T_javafe_CopyLoaded)) (not (= ?brokenObj_42_ null))) (= (S_select elementType_15_65_27 (S_select loaded_110_18 ?brokenObj_42_)) T_javafe_ast_CompilationUnit))) (forall ((?brokenObj_43_ Int)) (=> (and (= true_term (is ?brokenObj_43_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_43_ null))) (not (= (S_select locId_107_43_13 ?brokenObj_43_) NULL_29_60_26)))) (or (and ?v_42 (or (not ?v_0) (and ?v_0 (or (not ?v_1) (and ?v_1 (not (or (= true_term (S_select containsNull_15_70_29 tmp0_loaded_142_1)) ?v_2))) (and ?v_1 ?v_43 ?v_44 ?v_3 ?v_45 ?v_46 ?v_47 ?v_48 ?v_49 (or ?v_9 (and ?v_2 (or (and ?v_4 (not ?v_5)) (and ?v_4 ?v_5 ?v_50 ?v_51 ?v_6 ?v_52 (or ?v_10 (and ?v_7 (or (not ?v_8) (and ?v_8 ?v_53 ?v_54 (or (and ?v_12 ?v_13 (or ?v_9 (and ?v_2 ?v_55 ?v_56 ?v_57 (or ?v_10 (and ?v_7 ?v_58 ?v_59 ?v_11 ?v_60 (or ?v_10 (and ?v_7 (not ?v_61)))))))) (and ?v_63 ?v_13 (or ?v_9 (and ?v_2 ?v_64 ?v_65 ?v_66 (or (and ?v_13 (or ?v_16 (and ?v_14 ?v_28 ?v_15 ?v_29 ?v_30 (or ?v_16 (and ?v_14 (or (not (and (<= 0 0) (< 0 ?v_17))) (and ?v_31 ?v_32 ?v_18 ?v_33 (or (not ?v_19) (and ?v_19 (or ?v_22 (and ?v_20 ?v_34 ?v_35 ?v_21 ?v_36 (or ?v_22 (and ?v_20 (or (and ?v_24 ?v_22) (and ?v_37 ?v_38 ?v_13 (or (not ?v_25) (and ?v_25 ?v_39 ?v_40 ?v_26 ?v_41 (not ?v_27)))))))))))))))))) (and ?v_13 ?v_14 ?v_28 ?v_15 ?v_29 ?v_30 ?v_14 ?v_31 ?v_32 ?v_18 ?v_33 ?v_19 ?v_20 ?v_34 ?v_35 ?v_21 ?v_36 ?v_20 ?v_37 ?v_67 ?v_68 ?v_13 ?v_16))))))))))))))))))) (and (or (and ?v_42 ?v_0 ?v_1 ?v_43 ?v_44 ?v_3 ?v_45 ?v_46 ?v_47 ?v_48 ?v_49 ?v_2 ?v_4 ?v_5 ?v_50 ?v_51 ?v_6 ?v_52 ?v_7 ?v_8 ?v_53 ?v_54 (or (and ?v_12 ?v_13 ?v_2 ?v_55 ?v_56 ?v_57 ?v_7 ?v_58 ?v_59 ?v_11 ?v_60 ?v_7 ?v_61 (= newName_147_5_147_5_359_27 ?v_62) (= EC_147_5_147_5 ecReturn) (= EC_2_ EC_147_5_147_5)) (and ?v_63 ?v_13 ?v_2 ?v_64 ?v_65 ?v_66 ?v_70 ?v_71 (= EC_3_ L_152_5) (= EC_2_ EC_3_))) ?v_72) (and ?v_42 ?v_0 ?v_1 ?v_43 ?v_44 ?v_3 ?v_45 ?v_46 ?v_47 ?v_48 ?v_49 ?v_2 ?v_4 ?v_5 ?v_50 ?v_51 ?v_6 ?v_52 ?v_7 ?v_8 ?v_53 ?v_54 ?v_63 ?v_13 ?v_2 ?v_64 ?v_65 ?v_66 ?v_70 (not ?v_71) (= EC_142_1 L_152_5))) (not ?v_72)))))))))))))))))))))))
(check-sat)
(exit)
