(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_parser_ParseStmt () Int)
(declare-fun T_javafe_parser_ParseExpr () Int)
(declare-fun T_java_lang_Math () Int)
(declare-fun T_javafe_parser_Token () Int)
(declare-fun T_javafe_CountLines () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_javafe_parser_PunctuationPrefixTree () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_javafe_genericfile_NormalGenericFile () Int)
(declare-fun T_java_io_File () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_javafe_parser_Lex () Int)
(declare-fun T_javafe_parser_ParseType () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_util_LocationManagerCorrelatedReader () Int)
(declare-fun T_javafe_util_BufferedCorrelatedReader () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_javafe_parser_PragmaParser () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_Expr () Int)
(declare-fun T_javafe_ast_VarInit () Int)
(declare-fun T_java_io_InputStream () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_javafe_util_CorrelatedReader () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_javafe_util_FileCorrelatedReader () Int)
(declare-fun T_javafe_parser_ParseUtil () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_parser_Parse () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_util_StackVector () Int)
(declare-fun T_java_lang_Long () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun out_20_83_49 () Int)
(assert (and (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_parser_ParseStmt T_javafe_parser_ParseExpr) true_term) (= T_javafe_parser_ParseStmt (asChild T_javafe_parser_ParseStmt T_javafe_parser_ParseExpr)) (= (PO_LT T_java_lang_Math T_java_lang_Object) true_term) (= T_java_lang_Math (asChild T_java_lang_Math T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Math) true_term) (= ?t T_java_lang_Math))) (= (PO_LT T_javafe_parser_Token T_java_lang_Object) true_term) (= T_javafe_parser_Token (asChild T_javafe_parser_Token T_java_lang_Object)) (= (PO_LT T_javafe_CountLines T_java_lang_Object) true_term) (= T_javafe_CountLines (asChild T_javafe_CountLines T_java_lang_Object)) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_parser_PunctuationPrefixTree T_java_lang_Object) true_term) (= T_javafe_parser_PunctuationPrefixTree (asChild T_javafe_parser_PunctuationPrefixTree T_java_lang_Object)) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_javafe_genericfile_NormalGenericFile T_java_io_File) true_term) (= T_javafe_genericfile_NormalGenericFile (asChild T_javafe_genericfile_NormalGenericFile T_java_io_File)) (= (PO_LT T_javafe_genericfile_NormalGenericFile T_javafe_genericfile_GenericFile) true_term) (= (PO_LT T_javafe_parser_Lex T_javafe_parser_Token) true_term) (= T_javafe_parser_Lex (asChild T_javafe_parser_Lex T_javafe_parser_Token)) (= (PO_LT T_javafe_parser_ParseExpr T_javafe_parser_ParseType) true_term) (= T_javafe_parser_ParseExpr (asChild T_javafe_parser_ParseExpr T_javafe_parser_ParseType)) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_java_io_File T_java_lang_Object) true_term) (= T_java_io_File (asChild T_java_io_File T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_io_Serializable) true_term) (= (PO_LT T_java_io_File T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_util_LocationManagerCorrelatedReader T_javafe_util_BufferedCorrelatedReader) true_term) (= T_javafe_util_LocationManagerCorrelatedReader (asChild T_javafe_util_LocationManagerCorrelatedReader T_javafe_util_BufferedCorrelatedReader)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_javafe_parser_PragmaParser T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_Expr T_javafe_ast_VarInit) true_term) (= T_javafe_ast_Expr (asChild T_javafe_ast_Expr T_javafe_ast_VarInit)) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_java_io_InputStream T_java_lang_Object) true_term) (= T_java_io_InputStream (asChild T_java_io_InputStream T_java_lang_Object)) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_javafe_util_CorrelatedReader T_java_lang_Object) true_term) (= T_javafe_util_CorrelatedReader (asChild T_javafe_util_CorrelatedReader T_java_lang_Object)) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_util_FileCorrelatedReader T_javafe_util_LocationManagerCorrelatedReader) true_term) (= T_javafe_util_FileCorrelatedReader (asChild T_javafe_util_FileCorrelatedReader T_javafe_util_LocationManagerCorrelatedReader)) (= (PO_LT T_javafe_ast_VarInit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_VarInit (asChild T_javafe_ast_VarInit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_parser_ParseType T_javafe_parser_ParseUtil) true_term) (= T_javafe_parser_ParseType (asChild T_javafe_parser_ParseType T_javafe_parser_ParseUtil)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_util_BufferedCorrelatedReader T_javafe_util_CorrelatedReader) true_term) (= T_javafe_util_BufferedCorrelatedReader (asChild T_javafe_util_BufferedCorrelatedReader T_javafe_util_CorrelatedReader)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_parser_Parse T_javafe_parser_ParseStmt) true_term) (= T_javafe_parser_Parse (asChild T_javafe_parser_Parse T_javafe_parser_ParseStmt)) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_javafe_parser_ParseUtil T_java_lang_Object) true_term) (= T_javafe_parser_ParseUtil (asChild T_javafe_parser_ParseUtil T_java_lang_Object)) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_javafe_util_StackVector T_java_lang_Object) true_term) (= T_javafe_util_StackVector (asChild T_javafe_util_StackVector T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_util_StackVector) true_term) (= ?t T_javafe_util_StackVector))) (= (PO_LT T_java_lang_Long T_java_lang_Number) true_term) (= T_java_lang_Long (asChild T_java_lang_Long T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Long) true_term) (= ?t T_java_lang_Long))) (= (PO_LT T_java_lang_Long T_java_lang_Comparable) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 10)) (= T_java_util_Hashtable (+ DIST_ZERO_1 11)) (= T_javafe_parser_ParseStmt (+ DIST_ZERO_1 12)) (= T_java_lang_Math (+ DIST_ZERO_1 13)) (= T_javafe_parser_Token (+ DIST_ZERO_1 14)) (= T_javafe_CountLines (+ DIST_ZERO_1 15)) (= T_java_lang_System (+ DIST_ZERO_1 16)) (= T_java_io_Serializable (+ DIST_ZERO_1 17)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 18)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 19)) (= T_java_util_Properties (+ DIST_ZERO_1 20)) (= T_javafe_parser_PunctuationPrefixTree (+ DIST_ZERO_1 21)) (= T_java_util_Collection (+ DIST_ZERO_1 22)) (= T_java_lang_Number (+ DIST_ZERO_1 23)) (= T_java_lang_Comparable (+ DIST_ZERO_1 24)) (= T_java_io_PrintStream (+ DIST_ZERO_1 25)) (= T_javafe_genericfile_NormalGenericFile (+ DIST_ZERO_1 26)) (= T_javafe_parser_Lex (+ DIST_ZERO_1 27)) (= T_javafe_parser_ParseExpr (+ DIST_ZERO_1 28)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 29)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 30)) (= T_java_io_File (+ DIST_ZERO_1 31)) (= T_javafe_util_LocationManagerCorrelatedReader (+ DIST_ZERO_1 32)) (= T_java_util_Dictionary (+ DIST_ZERO_1 33)) (= T_java_util_Map (+ DIST_ZERO_1 34)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 35)) (= T_java_io_IOException (+ DIST_ZERO_1 36)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 37)) (= T_java_lang_Exception (+ DIST_ZERO_1 38)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 39)) (= T_javafe_parser_PragmaParser (+ DIST_ZERO_1 40)) (= T_javafe_util_Location (+ DIST_ZERO_1 41)) (= T_javafe_ast_Expr (+ DIST_ZERO_1 42)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 43)) (= T_java_io_InputStream (+ DIST_ZERO_1 44)) (= T_java_util_AbstractList (+ DIST_ZERO_1 45)) (= T_javafe_util_CorrelatedReader (+ DIST_ZERO_1 46)) (= T_java_lang_Object (+ DIST_ZERO_1 47)) (= T_java_util_Vector (+ DIST_ZERO_1 48)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 49)) (= T_java_lang_Integer (+ DIST_ZERO_1 50)) (= T_javafe_util_FileCorrelatedReader (+ DIST_ZERO_1 51)) (= T_javafe_ast_VarInit (+ DIST_ZERO_1 52)) (= T_javafe_parser_ParseType (+ DIST_ZERO_1 53)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 54)) (= T_java_lang_String (+ DIST_ZERO_1 55)) (= T_javafe_util_BufferedCorrelatedReader (+ DIST_ZERO_1 56)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 57)) (= T_java_lang_Throwable (+ DIST_ZERO_1 58)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 59)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 60)) (= T_javafe_parser_Parse (+ DIST_ZERO_1 61)) (= T_java_io_OutputStream (+ DIST_ZERO_1 62)) (= T_java_util_List (+ DIST_ZERO_1 63)) (= T_javafe_parser_ParseUtil (+ DIST_ZERO_1 64)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 65)) (= T_javafe_util_StackVector (+ DIST_ZERO_1 66)) (= T_java_lang_Long (+ DIST_ZERO_1 67))) (= true_term (is out_20_83_49 T_java_io_PrintStream))))
(declare-fun ecReturn () Int)
(declare-fun L_24_4 () Int)
(declare-fun ecThrow () Int)
(declare-fun C_32_6 () Int)
(declare-fun L_32_6 () Int)
(declare-fun S_41_13 () Int)
(declare-fun S_47_16 () Int)
(declare-fun S_21_17 () Int)
(declare-fun m_in_pre_12_212_46 () Int)
(declare-fun m_in_12_212_46 () Int)
(declare-fun out_pre_20_83_49 () Int)
(declare-fun value_pre_5_91_31 () Int)
(declare-fun value_5_91_31 () Int)
(declare-fun count_pre_5_99_33 () Int)
(declare-fun count_5_99_33 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun argv_20_35 () Int)
(declare-fun RES_22_37_22_37 () Int)
(declare-fun EC_22_37_22_37 () Int)
(declare-fun tmp0_new_String___22_22 () Int)
(declare-fun alloc_1_ () Int)
(declare-fun owner_4_35_28 () Int)
(declare-fun i_loopold_24_12 () Int)
(declare-fun elems_loopold () Int)
(declare-fun EC_loopold () Int)
(declare-fun endIndex_25_22_24_4_0_25_22_5_1512_48 () Int)
(declare-fun RES_24_4_0_25_22_25_22 () Int)
(declare-fun EC_24_4_0_25_22_25_22 () Int)
(declare-fun elems_24_4_0 () Int)
(declare-fun i_24_4_0_24_38 () Int)
(declare-fun XRES () Int)
(declare-fun XRES_22_37_22_37 () Int)
(declare-fun RES () Int)
(declare-fun elems_1_ () Int)
(declare-fun XRES_24_4_0_25_22_25_22 () Int)
(declare-fun XRES_1_ () Int)
(declare-fun RES_1_ () Int)
(declare-fun elems_2_ () Int)
(declare-fun EC () Int)
(declare-fun after_27_12_27_12 () Int)
(declare-fun RES_27_12_27_12 () Int)
(declare-fun EC_27_12_27_12 () Int)
(declare-fun after_28_14_28_14 () Int)
(declare-fun RES_28_14_28_14 () Int)
(declare-fun EC_28_14_28_14 () Int)
(declare-fun alloc_loopold () Int)
(declare-fun total_loopold_29_9 () Int)
(declare-fun m_in_loopold_12_212_46 () Int)
(declare-fun i_loopold_32_14 () Int)
(declare-fun EC_loopold_1_ () Int)
(declare-fun name_34_28_32_6_0_34_28_22_37_36 () Int)
(declare-fun after_34_28_32_6_0_34_28 () Int)
(declare-fun RES_32_6_0_34_28_34_28 () Int)
(declare-fun EC_32_6_0_34_28_34_28 () Int)
(declare-fun after_34_3_32_6_0_34_3 () Int)
(declare-fun RES_32_6_0_34_3_34_3 () Int)
(declare-fun EC_32_6_0_34_3_34_3 () Int)
(declare-fun XRES_32_6_0_34_3_34_3 () Int)
(declare-fun m_in_32_6_0_35_3_12_323_17 () Int)
(declare-fun after_35_3_32_6_0_35_3_12_323_17 () Int)
(declare-fun RES_32_6_0_35_3_35_3 () Int)
(declare-fun EC_32_6_0_35_3_35_3 () Int)
(declare-fun RES_32_6_0_36_25_36_25 () Int)
(declare-fun EC_32_6_0_36_25_36_25 () Int)
(declare-fun RES_32_6_0_36_16_36_16 () Int)
(declare-fun EC_32_6_0_36_16_36_16 () Int)
(declare-fun EC_32_6_0_37_4_37_4 () Int)
(declare-fun RES_32_6_0_39_21_39_21 () Int)
(declare-fun EC_32_6_0_39_21_39_21 () Int)
(declare-fun tmp10_32_6_0_40_36 () Int)
(declare-fun RES_32_6_0_40_56_40_56 () Int)
(declare-fun EC_32_6_0_40_56_40_56 () Int)
(declare-fun RES_32_6_0_40_32_40_32 () Int)
(declare-fun EC_32_6_0_40_32_40_32 () Int)
(declare-fun arg0_40_12_32_6_0_40_12_36__ () Int)
(declare-fun EC_32_6_0_40_12_40_12 () Int)
(declare-fun total_32_6_0_42_1 () Int)
(declare-fun total_34_54 () Int)
(declare-fun XRES_34_54 () Int)
(declare-fun XRES_32_6_0_40_12_40_12 () Int)
(declare-fun RES_34_54 () Int)
(declare-fun RES_32_6_0_40_12_40_12 () Int)
(declare-fun EC_34_54 () Int)
(declare-fun i_32_6_0_32_36 () Int)
(declare-fun alloc_2_ () Int)
(declare-fun XRES_2_ () Int)
(declare-fun XRES_28_14_28_14 () Int)
(declare-fun RES_2_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun alloc_3_ () Int)
(declare-fun total_29_9 () Int)
(declare-fun XRES_3_ () Int)
(declare-fun RES_3_ () Int)
(declare-fun EC_2_ () Int)
(declare-fun e_44_24 () Int)
(declare-fun alloc_4_ () Int)
(declare-fun total_29_9_1_ () Int)
(declare-fun XRES_4_ () Int)
(declare-fun RES_4_ () Int)
(declare-fun EC_3_ () Int)
(declare-fun alloc_32_10 () Int)
(declare-fun total_32_10 () Int)
(declare-fun XRES_32_10 () Int)
(declare-fun RES_32_10 () Int)
(declare-fun EC_32_10 () Int)
(declare-fun EC_44_31_44_31 () Int)
(declare-fun EC_44_57_44_57 () Int)
(declare-fun XRES_44_57_44_57 () Int)
(declare-fun RES_44_57_44_57 () Int)
(declare-fun RES_45_21_45_21 () Int)
(declare-fun EC_45_21_45_21 () Int)
(declare-fun tmp14_46_39 () Int)
(declare-fun RES_46_59_46_59 () Int)
(declare-fun EC_46_59_46_59 () Int)
(declare-fun RES_46_35_46_35 () Int)
(declare-fun EC_46_35_46_35 () Int)
(declare-fun arg0_46_15_46_15_36__ () Int)
(declare-fun EC_46_15_46_15 () Int)
(declare-fun XRES_21_4 () Int)
(declare-fun XRES_46_15_46_15 () Int)
(declare-fun EC_21_4 () Int)
(declare-fun XRES_21_4_1_ () Int)
(declare-fun EC_21_4_1_ () Int)
(assert (let ((?v_0 (not (= S_21_17 null))) (?v_3 (array T_java_lang_String))) (let ((?v_7 (not ?v_0)) (?v_112 (= true_term (is RES_22_37_22_37 T_int))) (?v_1 (= EC_22_37_22_37 ecReturn))) (let ((?v_113 (=> ?v_1 (>= RES_22_37_22_37 0))) (?v_114 (=> ?v_1 (= RES_22_37_22_37 (S_select count_5_99_33 S_21_17)))) (?v_2 (<= 0 RES_22_37_22_37)) (?v_115 (= true_term (arrayFresh tmp0_new_String___22_22 alloc alloc_1_ elems (arrayShapeOne RES_22_37_22_37) ?v_3 null))) (?v_116 (forall ((?o Int)) (=> (and (not (= true_term (isAllocated ?o alloc))) (= true_term (isAllocated ?o alloc_1_))) (= true_term (isNewArray ?o))))) (?v_117 (forall ((?o_1_ Int)) (=> (and (not (= true_term (isAllocated ?o_1_ alloc))) (= true_term (isAllocated ?o_1_ alloc_1_))) (= (S_select owner_4_35_28 tmp0_new_String___22_22) null)))) (?v_5 (arrayLength tmp0_new_String___22_22))) (let ((?v_118 (= ?v_5 12)) (?v_16 (= 0 i_loopold_24_12)) (?v_17 (= elems elems_loopold)) (?v_18 (= EC_22_37_22_37 EC_loopold)) (?v_11 (= true_term true_term)) (?v_4 (not (= tmp0_new_String___22_22 null)))) (let ((?v_6 (not ?v_4)) (?v_10 (< 0 ?v_5)) (?v_12 (= endIndex_25_22_24_4_0_25_22_5_1512_48 (- ?v_5 0))) (?v_13 (= true_term (is RES_24_4_0_25_22_25_22 T_java_lang_String))) (?v_14 (= true_term (isAllocated RES_24_4_0_25_22_25_22 alloc_1_))) (?v_8 (= EC_24_4_0_25_22_25_22 ecReturn))) (let ((?v_15 (=> ?v_8 (not (= RES_24_4_0_25_22_25_22 null)))) (?v_9 (<= 0 0))) (let ((?v_48 (not ?v_9)) (?v_19 (not ?v_10)) (?v_20 (= elems_24_4_0 (S_store elems tmp0_new_String___22_22 (S_store (S_select elems tmp0_new_String___22_22) 0 RES_24_4_0_25_22_25_22)))) (?v_88 (+ 0 1))) (let ((?v_21 (= i_24_4_0_24_38 ?v_88))) (let ((?v_119 (or (and ?v_11 ?v_4 ?v_19 (= XRES XRES_22_37_22_37) (= RES RES_22_37_22_37) (= elems_1_ elems)) (and ?v_11 ?v_4 ?v_10 ?v_4 ?v_0 ?v_12 ?v_13 ?v_14 ?v_8 ?v_15 ?v_4 ?v_9 ?v_10 ?v_20 ?v_21 ?v_11 ?v_4 (not (< i_24_4_0_24_38 ?v_5)) (= XRES XRES_24_4_0_25_22_25_22) (= RES RES_24_4_0_25_22_25_22) (= elems_1_ elems_24_4_0)))) (?v_120 (= L_24_4 L_24_4)) (?v_121 (= XRES_1_ XRES)) (?v_122 (= RES_1_ RES)) (?v_123 (= elems_2_ elems_1_)) (?v_124 (= EC L_24_4)) (?v_125 (< alloc_1_ after_27_12_27_12)) (?v_34 (not (= RES_27_12_27_12 null))) (?v_126 (not (= true_term (isAllocated RES_27_12_27_12 alloc_1_)))) (?v_127 (= true_term (is RES_27_12_27_12 T_javafe_parser_Lex))) (?v_128 (= true_term (isAllocated RES_27_12_27_12 after_27_12_27_12))) (?v_22 (= EC_27_12_27_12 ecReturn)) (?v_129 (= (S_select owner_4_35_28 RES_27_12_27_12) null))) (let ((?v_130 (=> ?v_22 (= (S_select m_in_12_212_46 RES_27_12_27_12) null))) (?v_131 (= (typeof RES_27_12_27_12) T_javafe_parser_Lex)) (?v_132 (< after_27_12_27_12 after_28_14_28_14)) (?v_37 (not (= RES_28_14_28_14 null))) (?v_133 (not (= true_term (isAllocated RES_28_14_28_14 after_27_12_27_12)))) (?v_134 (= true_term (is RES_28_14_28_14 T_javafe_parser_Parse))) (?v_135 (= true_term (isAllocated RES_28_14_28_14 after_28_14_28_14))) (?v_136 (= EC_28_14_28_14 ecReturn)) (?v_137 (= (S_select owner_4_35_28 RES_28_14_28_14) null)) (?v_138 (= (typeof RES_28_14_28_14) T_javafe_parser_Parse)) (?v_89 (= after_28_14_28_14 alloc_loopold)) (?v_90 (= 0 total_loopold_29_9)) (?v_91 (= m_in_12_212_46 m_in_loopold_12_212_46)) (?v_92 (= 0 i_loopold_32_14)) (?v_93 (= EC_28_14_28_14 EC_loopold_1_)) (?v_23 (not (= argv_20_35 null)))) (let ((?v_24 (not ?v_23)) (?v_26 (arrayLength argv_20_35))) (let ((?v_49 (< 0 ?v_26)) (?v_25 (<= 0 1)) (?v_27 (< 1 ?v_26)) (?v_87 (S_select elems_2_ argv_20_35))) (let ((?v_28 (= name_34_28_32_6_0_34_28_22_37_36 (S_select ?v_87 1))) (?v_29 (not (= name_34_28_32_6_0_34_28_22_37_36 null))) (?v_50 (< after_28_14_28_14 after_34_28_32_6_0_34_28)) (?v_30 (not (= RES_32_6_0_34_28_34_28 null))) (?v_51 (not (= true_term (isAllocated RES_32_6_0_34_28_34_28 after_28_14_28_14)))) (?v_52 (= true_term (is RES_32_6_0_34_28_34_28 T_javafe_genericfile_NormalGenericFile))) (?v_53 (= true_term (isAllocated RES_32_6_0_34_28_34_28 after_34_28_32_6_0_34_28))) (?v_54 (= EC_32_6_0_34_28_34_28 ecReturn)) (?v_55 (= (S_select owner_4_35_28 RES_32_6_0_34_28_34_28) null)) (?v_56 (= (typeof RES_32_6_0_34_28_34_28) T_javafe_genericfile_NormalGenericFile)) (?v_57 (< after_34_28_32_6_0_34_28 after_34_3_32_6_0_34_3)) (?v_35 (not (= RES_32_6_0_34_3_34_3 null))) (?v_58 (not (= true_term (isAllocated RES_32_6_0_34_3_34_3 after_34_28_32_6_0_34_28)))) (?v_59 (= true_term (is RES_32_6_0_34_3_34_3 T_javafe_util_FileCorrelatedReader))) (?v_60 (= true_term (isAllocated RES_32_6_0_34_3_34_3 after_34_3_32_6_0_34_3))) (?v_31 (= EC_32_6_0_34_3_34_3 ecThrow)) (?v_32 (typeof XRES_32_6_0_34_3_34_3))) (let ((?v_61 (=> ?v_31 (and (not (= XRES_32_6_0_34_3_34_3 null)) (= (PO_LT ?v_32 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_32_6_0_34_3_34_3 after_34_3_32_6_0_34_3))))) (?v_33 (= EC_32_6_0_34_3_34_3 ecReturn))) (let ((?v_62 (or ?v_33 (and ?v_31 (= (PO_LT ?v_32 T_java_io_IOException) true_term)))) (?v_63 (=> ?v_33 (= (S_select owner_4_35_28 RES_32_6_0_34_3_34_3) null))) (?v_64 (= (typeof RES_32_6_0_34_3_34_3) T_javafe_util_FileCorrelatedReader)) (?v_41 (not ?v_35)) (?v_65 (= m_in_32_6_0_35_3_12_323_17 (S_store m_in_12_212_46 RES_27_12_27_12 after_35_3_32_6_0_35_3_12_323_17))) (?v_66 (= m_in_32_6_0_35_3_12_323_17 (asField m_in_32_6_0_35_3_12_323_17 T_javafe_util_CorrelatedReader))) (?v_67 (< (fClosedTime m_in_32_6_0_35_3_12_323_17) after_34_3_32_6_0_34_3)) (?v_68 (= true_term (is RES_32_6_0_35_3_35_3 T_int))) (?v_36 (= EC_32_6_0_35_3_35_3 ecReturn)) (?v_38 (not (= (S_select m_in_32_6_0_35_3_12_323_17 RES_27_12_27_12) null)))) (let ((?v_69 (=> ?v_36 ?v_38)) (?v_70 (= true_term (is RES_32_6_0_36_25_36_25 T_javafe_ast_CompilationUnit))) (?v_71 (= true_term (isAllocated RES_32_6_0_36_25_36_25 after_34_3_32_6_0_34_3))) (?v_39 (= EC_32_6_0_36_25_36_25 ecReturn)) (?v_40 (not (= RES_32_6_0_36_25_36_25 null)))) (let ((?v_72 (=> ?v_39 ?v_40)) (?v_73 (= true_term (is RES_32_6_0_36_16_36_16 T_int))) (?v_74 (= EC_32_6_0_36_16_36_16 ecReturn)) (?v_75 (= EC_32_6_0_37_4_37_4 ecReturn)) (?v_76 (= true_term (is RES_32_6_0_39_21_39_21 T_java_lang_String))) (?v_77 (= true_term (isAllocated RES_32_6_0_39_21_39_21 after_34_3_32_6_0_34_3))) (?v_42 (= EC_32_6_0_39_21_39_21 ecReturn)) (?v_43 (not (= RES_32_6_0_39_21_39_21 null)))) (let ((?v_78 (=> ?v_42 ?v_43)) (?v_107 (- ?v_5 1))) (let ((?v_79 (= tmp10_32_6_0_40_36 ?v_107)) (?v_80 (= true_term (is RES_32_6_0_40_56_40_56 T_int))) (?v_44 (= EC_32_6_0_40_56_40_56 ecReturn))) (let ((?v_81 (=> ?v_44 (>= RES_32_6_0_40_56_40_56 0))) (?v_82 (=> ?v_44 (= RES_32_6_0_40_56_40_56 (S_select count_5_99_33 RES_32_6_0_39_21_39_21)))) (?v_83 (= true_term (is RES_32_6_0_40_32_40_32 T_int))) (?v_45 (= EC_32_6_0_40_32_40_32 ecReturn))) (let ((?v_84 (=> ?v_45 (<= RES_32_6_0_40_32_40_32 tmp10_32_6_0_40_36))) (?v_85 (=> ?v_45 (<= RES_32_6_0_40_32_40_32 RES_32_6_0_40_56_40_56))) (?v_86 (=> ?v_45 (or (= RES_32_6_0_40_32_40_32 tmp10_32_6_0_40_36) (= RES_32_6_0_40_32_40_32 RES_32_6_0_40_56_40_56)))) (?v_46 (<= 0 RES_32_6_0_40_32_40_32)) (?v_47 (< RES_32_6_0_40_32_40_32 ?v_5)) (?v_94 (not ?v_49)) (?v_152 (S_select elems_2_ tmp0_new_String___22_22)) (?v_95 (= EC_32_6_0_34_3_34_3 C_32_6))) (let ((?v_96 (or (and ?v_23 ?v_25 ?v_27 ?v_28 ?v_29 ?v_50 ?v_30 ?v_51 ?v_52 ?v_53 ?v_54 ?v_55 ?v_56 ?v_30 ?v_57 ?v_35 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_63 ?v_33 ?v_64 ?v_34 ?v_35 ?v_65 ?v_66 ?v_67 ?v_68 ?v_36 ?v_69 ?v_37 ?v_70 ?v_71 ?v_39 ?v_72 ?v_40 ?v_73 ?v_74 ?v_35 ?v_75 ?v_76 ?v_77 ?v_42 ?v_78 ?v_4 ?v_79 ?v_43 ?v_80 ?v_44 ?v_81 ?v_82 ?v_83 ?v_45 ?v_84 ?v_85 ?v_86 ?v_4 ?v_46 ?v_47 ?v_23 ?v_9 ?v_49 (= arg0_40_12_32_6_0_40_12_36__ (stringCat (stringCat (stringCat (S_select ?v_152 RES_32_6_0_40_32_40_32) RES_32_6_0_39_21_39_21) S_41_13) (S_select ?v_87 0))) (= EC_32_6_0_40_12_40_12 ecReturn) (= total_32_6_0_42_1 (+ 0 RES_32_6_0_36_16_36_16)) (= total_34_54 total_32_6_0_42_1) (= XRES_34_54 XRES_32_6_0_40_12_40_12) (= RES_34_54 RES_32_6_0_40_12_40_12) (= EC_34_54 EC_32_6_0_40_12_40_12)) (and ?v_23 ?v_25 ?v_27 ?v_28 ?v_29 ?v_50 ?v_30 ?v_51 ?v_52 ?v_53 ?v_54 ?v_55 ?v_56 ?v_30 ?v_57 ?v_35 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_63 ?v_11 ?v_31 ?v_95 (= total_34_54 0) (= XRES_34_54 XRES_32_6_0_34_3_34_3) (= RES_34_54 RES_32_6_0_34_3_34_3) (= EC_34_54 EC_32_6_0_34_3_34_3)))) (?v_97 (= i_32_6_0_32_36 ?v_88)) (?v_98 (= EC_2_ L_32_6))) (let ((?v_99 (or (and ?v_11 (or (and ?v_23 ?v_94 (= alloc_2_ after_28_14_28_14) (= XRES_2_ XRES_28_14_28_14) (= RES_2_ RES_28_14_28_14) (= EC_1_ L_32_6)) (and ?v_23 ?v_49 ?v_23 ?v_25 ?v_27 ?v_28 ?v_29 ?v_50 ?v_30 ?v_51 ?v_52 ?v_53 ?v_54 ?v_55 ?v_56 ?v_30 ?v_57 ?v_35 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_63 ?v_11 ?v_31 (not ?v_95) (= alloc_2_ after_34_3_32_6_0_34_3) (= XRES_2_ XRES_32_6_0_34_3_34_3) (= RES_2_ RES_32_6_0_34_3_34_3) (= EC_1_ EC_32_6_0_34_3_34_3))) (= alloc_3_ alloc_2_) (= total_29_9 0) (= XRES_3_ XRES_2_) (= RES_3_ RES_2_) (= EC_2_ EC_1_)) (and ?v_11 ?v_23 ?v_49 ?v_96 ?v_97 ?v_11 ?v_23 (not (< i_32_6_0_32_36 ?v_26)) (= alloc_3_ after_34_3_32_6_0_34_3) (= total_29_9 total_34_54) (= XRES_3_ XRES_34_54) (= RES_3_ RES_34_54) ?v_98))) (?v_100 (not ?v_98)) (?v_153 (not (= EC_2_ ecThrow)))) (let ((?v_101 (not ?v_153)) (?v_102 (or (= (PO_LT (typeof XRES_3_) T_java_io_IOException) true_term) (= XRES_3_ null))) (?v_103 (= e_44_24 XRES_3_)) (?v_104 (not (= e_44_24 null))) (?v_105 (= EC_44_57_44_57 ecReturn))) (let ((?v_139 (or (and ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 ?v_99 ?v_98 (= alloc_4_ alloc_3_) (= total_29_9_1_ total_29_9) (= XRES_4_ XRES_3_) (= RES_4_ RES_3_) (= EC_3_ EC_2_) (= alloc_32_10 alloc_4_) (= total_32_10 total_29_9_1_) (= XRES_32_10 XRES_4_) (= RES_32_10 RES_4_) (= EC_32_10 EC_3_)) (and ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 ?v_99 ?v_100 ?v_101 ?v_102 ?v_103 ?v_104 (= EC_44_31_44_31 ecReturn) ?v_105 (not ?v_105) (= alloc_32_10 alloc_3_) (= total_32_10 total_29_9) (= XRES_32_10 XRES_44_57_44_57) (= RES_32_10 RES_44_57_44_57) (= EC_32_10 EC_44_57_44_57)))) (?v_140 (= true_term (is RES_45_21_45_21 T_java_lang_String))) (?v_141 (= true_term (isAllocated RES_45_21_45_21 alloc_32_10))) (?v_106 (= EC_45_21_45_21 ecReturn)) (?v_108 (not (= RES_45_21_45_21 null)))) (let ((?v_142 (=> ?v_106 ?v_108)) (?v_143 (= tmp14_46_39 ?v_107)) (?v_144 (= true_term (is RES_46_59_46_59 T_int))) (?v_109 (= EC_46_59_46_59 ecReturn))) (let ((?v_145 (=> ?v_109 (>= RES_46_59_46_59 0))) (?v_146 (=> ?v_109 (= RES_46_59_46_59 (S_select count_5_99_33 RES_45_21_45_21)))) (?v_147 (= true_term (is RES_46_35_46_35 T_int))) (?v_110 (= EC_46_35_46_35 ecReturn))) (let ((?v_148 (=> ?v_110 (<= RES_46_35_46_35 tmp14_46_39))) (?v_149 (=> ?v_110 (<= RES_46_35_46_35 RES_46_59_46_59))) (?v_150 (=> ?v_110 (or (= RES_46_35_46_35 tmp14_46_39) (= RES_46_35_46_35 RES_46_59_46_59)))) (?v_111 (<= 0 RES_46_35_46_35)) (?v_151 (< RES_46_35_46_35 ?v_5)) (?v_154 (= EC_21_4 ecReturn))) (not (=> (and (distinct ecReturn L_24_4 ecThrow C_32_6 L_32_6) (not (= S_41_13 null)) (= (typeof S_41_13) T_java_lang_String) (not (= S_47_16 null)) (= (typeof S_47_16) T_java_lang_String) ?v_0 (= (typeof S_21_17) T_java_lang_String)) (=> (and (= m_in_pre_12_212_46 m_in_12_212_46) (= m_in_12_212_46 (asField m_in_12_212_46 T_javafe_util_CorrelatedReader)) (< (fClosedTime m_in_12_212_46) alloc) (= out_pre_20_83_49 out_20_83_49) (= true_term (is out_20_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_20_83_49 alloc)) (not (= out_20_83_49 null)) (= value_pre_5_91_31 value_5_91_31) (= value_5_91_31 (asField value_5_91_31 (array T_char))) (< (fClosedTime value_5_91_31) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select value_5_91_31 ?s) null)))) (= count_pre_5_99_33 count_5_99_33) (= count_5_99_33 (asField count_5_99_33 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is argv_20_35 ?v_3)) (= true_term (isAllocated argv_20_35 alloc)) (= true_term (nonnullelements argv_20_35 elems)) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_java_lang_String)) (not (= ?brokenObj null))) (<= (S_select count_5_99_33 ?brokenObj) (arrayLength (S_select value_5_91_31 ?brokenObj))))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_java_lang_String)) (not (= ?brokenObj_1_ null))) (>= (S_select count_5_99_33 ?brokenObj_1_) 0))) (or ?v_7 (and ?v_0 ?v_112 ?v_1 ?v_113 ?v_114 (or (not ?v_2) (and ?v_2 ?v_115 ?v_116 ?v_117 ?v_118 (or (and ?v_16 ?v_17 ?v_18 (or (and ?v_11 (or ?v_6 (and ?v_4 ?v_10 (or ?v_6 (and ?v_4 (or ?v_7 (and ?v_0 ?v_12 ?v_13 ?v_14 ?v_8 ?v_15 (or ?v_6 (and ?v_4 (or ?v_48 (and ?v_9 ?v_19))))))))))) (and ?v_11 ?v_4 ?v_10 ?v_4 ?v_0 ?v_12 ?v_13 ?v_14 ?v_8 ?v_15 ?v_4 ?v_9 ?v_10 ?v_20 ?v_21 ?v_11 ?v_6))) (and ?v_16 ?v_17 ?v_18 ?v_119 ?v_120 ?v_121 ?v_122 ?v_123 ?v_124 ?v_125 ?v_34 ?v_126 ?v_127 ?v_128 ?v_22 ?v_129 ?v_130 ?v_131 ?v_132 ?v_37 ?v_133 ?v_134 ?v_135 ?v_136 ?v_137 ?v_138 (or (and ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 (or (and ?v_11 (or ?v_24 (and ?v_23 ?v_49 (or ?v_24 (and ?v_23 (or (not ?v_25) (and ?v_25 (or (not ?v_27) (and ?v_27 (or (and ?v_28 (not ?v_29)) (and ?v_28 ?v_29 ?v_50 ?v_30 ?v_51 ?v_52 ?v_53 ?v_54 ?v_55 ?v_56 (or (not ?v_30) (and ?v_30 ?v_57 ?v_35 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_63 ?v_33 ?v_64 (or (not ?v_34) (and ?v_34 (or ?v_41 (and ?v_35 ?v_65 ?v_66 ?v_67 ?v_68 ?v_36 ?v_69 (or (not ?v_37) (and ?v_37 (or (not (and ?v_34 ?v_38)) (and ?v_70 ?v_71 ?v_39 ?v_72 (or (not ?v_40) (and ?v_40 ?v_73 ?v_74 (or ?v_41 (and ?v_35 ?v_75 ?v_76 ?v_77 ?v_42 ?v_78 (or ?v_6 (and ?v_4 ?v_79 (or (not ?v_43) (and ?v_43 ?v_80 ?v_44 ?v_81 ?v_82 ?v_83 ?v_45 ?v_84 ?v_85 ?v_86 (or ?v_6 (and ?v_4 (or (not ?v_46) (and ?v_46 (or (not ?v_47) (and ?v_47 (or ?v_24 (and ?v_23 (or ?v_48 (and ?v_9 ?v_94))))))))))))))))))))))))))))))))))))))) (and ?v_11 ?v_23 ?v_49 ?v_96 ?v_97 ?v_11 ?v_24))) (and ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 ?v_99 ?v_100 ?v_101 ?v_102 ?v_103 (not ?v_104)) (and ?v_139 ?v_140 ?v_141 ?v_106 ?v_142 (or ?v_6 (and ?v_4 ?v_143 (or (not ?v_108) (and ?v_108 ?v_144 ?v_109 ?v_145 ?v_146 ?v_147 ?v_110 ?v_148 ?v_149 ?v_150 (or ?v_6 (and ?v_4 (or (not ?v_111) (and ?v_111 (not ?v_151)))))))))))))))) (and (or (and ?v_0 ?v_112 ?v_1 ?v_113 ?v_114 ?v_2 ?v_115 ?v_116 ?v_117 ?v_118 ?v_16 ?v_17 ?v_18 ?v_119 ?v_120 ?v_121 ?v_122 ?v_123 ?v_124 ?v_125 ?v_34 ?v_126 ?v_127 ?v_128 ?v_22 ?v_129 ?v_130 ?v_131 ?v_132 ?v_37 ?v_133 ?v_134 ?v_135 ?v_136 ?v_137 ?v_138 ?v_139 ?v_140 ?v_141 ?v_106 ?v_142 ?v_4 ?v_143 ?v_108 ?v_144 ?v_109 ?v_145 ?v_146 ?v_147 ?v_110 ?v_148 ?v_149 ?v_150 ?v_4 ?v_111 ?v_151 (= arg0_46_15_46_15_36__ (stringCat (stringCat (S_select ?v_152 RES_46_35_46_35) RES_45_21_45_21) S_47_16)) (= EC_46_15_46_15 ecReturn) (= XRES_21_4 XRES_46_15_46_15) ?v_154) (and ?v_0 ?v_112 ?v_1 ?v_113 ?v_114 ?v_2 ?v_115 ?v_116 ?v_117 ?v_118 (or (and ?v_16 ?v_17 ?v_18 ?v_119 (not ?v_120) (= XRES_21_4_1_ XRES) (= EC_21_4_1_ L_24_4)) (and ?v_16 ?v_17 ?v_18 ?v_119 ?v_120 ?v_121 ?v_122 ?v_123 ?v_124 ?v_125 ?v_34 ?v_126 ?v_127 ?v_128 ?v_22 ?v_129 ?v_130 ?v_131 ?v_132 ?v_37 ?v_133 ?v_134 ?v_135 ?v_136 ?v_137 ?v_138 ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 ?v_99 ?v_100 (or ?v_153 (and ?v_101 (not ?v_102))) (= XRES_21_4_1_ XRES_3_) (= EC_21_4_1_ EC_2_))) (= XRES_21_4 XRES_21_4_1_) (= EC_21_4 EC_21_4_1_))) (not (or ?v_154 (and (= EC_21_4 ecThrow) (= (PO_LT (typeof XRES_21_4) T_java_io_IOException) true_term))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
