(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_PrintSpec () Int)
(declare-fun T_javafe_FrontEndTool () Int)
(declare-fun T_javafe_tc_Listener () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_java_io_BufferedReader () Int)
(declare-fun T_java_io_Reader () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_Tool () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_io_FileNotFoundException () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_javafe_ast_PrettyPrint () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_StandardPrettyPrint () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_java_io_FileOutputStream () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_javafe_reader_TypeReader () Int)
(declare-fun T_javafe_reader_Reader () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_javafe_tc_OutsideEnv () Int)
(declare-fun T_javafe_tc_Env () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_io_FileReader () Int)
(declare-fun T_java_io_InputStreamReader () Int)
(declare-fun T_javafe_tc_TypeSig () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_javafe_PrintSpec_PrintSpecPrettyPrint () Int)
(declare-fun T_java_io_File () Int)
(declare-fun T_java_util_StringTokenizer () Int)
(declare-fun T_java_util_Enumeration () Int)
(declare-fun T_javafe_ast_MethodDecl () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_javafe_tc_MethodDeclVec () Int)
(declare-fun T_javafe_tc_FieldDeclVec () Int)
(declare-fun T_javafe_ast_ASTDecoration () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun out_19_83_49 () Int)
(declare-fun usageError_6_43_28 () Int)
(declare-fun argumentClassNames_26_25 () Int)
(declare-fun err_19_97_50 () Int)
(assert (and (= (PO_LT T_javafe_PrintSpec T_javafe_FrontEndTool) true_term) (= T_javafe_PrintSpec (asChild T_javafe_PrintSpec T_javafe_FrontEndTool)) (= (PO_LT T_javafe_PrintSpec T_javafe_tc_Listener) true_term) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_java_io_BufferedReader T_java_io_Reader) true_term) (= T_java_io_BufferedReader (asChild T_java_io_BufferedReader T_java_io_Reader)) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_FrontEndTool T_javafe_Tool) true_term) (= T_javafe_FrontEndTool (asChild T_javafe_FrontEndTool T_javafe_Tool)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_io_FileNotFoundException T_java_io_IOException) true_term) (= T_java_io_FileNotFoundException (asChild T_java_io_FileNotFoundException T_java_io_IOException)) (= (PO_LT T_javafe_ast_PrettyPrint T_java_lang_Object) true_term) (= T_javafe_ast_PrettyPrint (asChild T_javafe_ast_PrettyPrint T_java_lang_Object)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_StandardPrettyPrint T_javafe_ast_PrettyPrint) true_term) (= T_javafe_ast_StandardPrettyPrint (asChild T_javafe_ast_StandardPrettyPrint T_javafe_ast_PrettyPrint)) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_java_io_FileOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FileOutputStream (asChild T_java_io_FileOutputStream T_java_io_OutputStream)) (= (PO_LT T_java_io_Reader T_java_lang_Object) true_term) (= T_java_io_Reader (asChild T_java_io_Reader T_java_lang_Object)) (= (PO_LT T_javafe_reader_TypeReader T_javafe_reader_Reader) true_term) (= T_javafe_reader_TypeReader (asChild T_javafe_reader_TypeReader T_javafe_reader_Reader)) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_tc_OutsideEnv T_java_lang_Object) true_term) (= T_javafe_tc_OutsideEnv (asChild T_javafe_tc_OutsideEnv T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_tc_OutsideEnv) true_term) (= ?t T_javafe_tc_OutsideEnv))) (= (PO_LT T_javafe_reader_Reader T_java_lang_Object) true_term) (= T_javafe_reader_Reader (asChild T_javafe_reader_Reader T_java_lang_Object)) (= (PO_LT T_javafe_tc_Env T_java_lang_Object) true_term) (= T_javafe_tc_Env (asChild T_javafe_tc_Env T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_io_FileReader T_java_io_InputStreamReader) true_term) (= T_java_io_FileReader (asChild T_java_io_FileReader T_java_io_InputStreamReader)) (= (PO_LT T_javafe_tc_TypeSig T_javafe_ast_Type) true_term) (= T_javafe_tc_TypeSig (asChild T_javafe_tc_TypeSig T_javafe_ast_Type)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_javafe_tc_Listener T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_java_io_InputStreamReader T_java_io_Reader) true_term) (= T_java_io_InputStreamReader (asChild T_java_io_InputStreamReader T_java_io_Reader)) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_PrintSpec_PrintSpecPrettyPrint T_javafe_ast_StandardPrettyPrint) true_term) (= T_javafe_PrintSpec_PrintSpecPrettyPrint (asChild T_javafe_PrintSpec_PrintSpecPrettyPrint T_javafe_ast_StandardPrettyPrint)) (= (PO_LT T_java_io_File T_java_lang_Object) true_term) (= T_java_io_File (asChild T_java_io_File T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_io_Serializable) true_term) (= (PO_LT T_java_io_File T_java_lang_Comparable) true_term) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_util_StringTokenizer T_java_lang_Object) true_term) (= T_java_util_StringTokenizer (asChild T_java_util_StringTokenizer T_java_lang_Object)) (= (PO_LT T_java_util_StringTokenizer T_java_util_Enumeration) true_term) (= (PO_LT T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_MethodDecl (asChild T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_javafe_tc_MethodDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_MethodDeclVec (asChild T_javafe_tc_MethodDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_tc_FieldDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_FieldDeclVec (asChild T_javafe_tc_FieldDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTDecoration T_java_lang_Object) true_term) (= T_javafe_ast_ASTDecoration (asChild T_javafe_ast_ASTDecoration T_java_lang_Object)) (= (PO_LT T_javafe_Tool T_java_lang_Object) true_term) (= T_javafe_Tool (asChild T_javafe_Tool T_java_lang_Object)) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_java_util_Enumeration T_java_lang_Object) true_term) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_PrintSpec (+ DIST_ZERO_1 10)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 11)) (= T_javafe_ast_Type (+ DIST_ZERO_1 12)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 13)) (= T_java_io_BufferedReader (+ DIST_ZERO_1 14)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 15)) (= T_javafe_FrontEndTool (+ DIST_ZERO_1 16)) (= T_java_util_Map (+ DIST_ZERO_1 17)) (= T_java_io_FileNotFoundException (+ DIST_ZERO_1 18)) (= T_javafe_ast_PrettyPrint (+ DIST_ZERO_1 19)) (= T_javafe_util_Location (+ DIST_ZERO_1 20)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 21)) (= T_javafe_ast_StandardPrettyPrint (+ DIST_ZERO_1 22)) (= T_java_lang_Object (+ DIST_ZERO_1 23)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 24)) (= T_java_io_FileOutputStream (+ DIST_ZERO_1 25)) (= T_java_io_Reader (+ DIST_ZERO_1 26)) (= T_javafe_reader_TypeReader (+ DIST_ZERO_1 27)) (= T_java_util_List (+ DIST_ZERO_1 28)) (= T_java_util_Dictionary (+ DIST_ZERO_1 29)) (= T_javafe_tc_OutsideEnv (+ DIST_ZERO_1 30)) (= T_javafe_reader_Reader (+ DIST_ZERO_1 31)) (= T_javafe_tc_Env (+ DIST_ZERO_1 32)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 33)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 34)) (= T_java_io_IOException (+ DIST_ZERO_1 35)) (= T_java_lang_Exception (+ DIST_ZERO_1 36)) (= T_java_lang_Throwable (+ DIST_ZERO_1 37)) (= T_java_io_FileReader (+ DIST_ZERO_1 38)) (= T_javafe_tc_TypeSig (+ DIST_ZERO_1 39)) (= T_java_lang_String (+ DIST_ZERO_1 40)) (= T_java_util_Collection (+ DIST_ZERO_1 41)) (= T_javafe_tc_Listener (+ DIST_ZERO_1 42)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 43)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 44)) (= T_java_lang_System (+ DIST_ZERO_1 45)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 46)) (= T_java_io_InputStreamReader (+ DIST_ZERO_1 47)) (= T_java_util_AbstractList (+ DIST_ZERO_1 48)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 49)) (= T_java_io_Serializable (+ DIST_ZERO_1 50)) (= T_java_util_Properties (+ DIST_ZERO_1 51)) (= T_java_util_Hashtable (+ DIST_ZERO_1 52)) (= T_javafe_PrintSpec_PrintSpecPrettyPrint (+ DIST_ZERO_1 53)) (= T_java_io_File (+ DIST_ZERO_1 54)) (= T_java_io_OutputStream (+ DIST_ZERO_1 55)) (= T_java_util_StringTokenizer (+ DIST_ZERO_1 56)) (= T_javafe_ast_MethodDecl (+ DIST_ZERO_1 57)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 58)) (= T_java_lang_Comparable (+ DIST_ZERO_1 59)) (= T_java_util_Vector (+ DIST_ZERO_1 60)) (= T_javafe_tc_MethodDeclVec (+ DIST_ZERO_1 61)) (= T_javafe_tc_FieldDeclVec (+ DIST_ZERO_1 62)) (= T_javafe_ast_ASTDecoration (+ DIST_ZERO_1 63)) (= T_javafe_Tool (+ DIST_ZERO_1 64)) (= T_java_io_PrintStream (+ DIST_ZERO_1 65)) (= T_java_util_Enumeration (+ DIST_ZERO_1 66)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 67)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 68))) (= true_term (is out_19_83_49 T_java_io_PrintStream)) (= true_term (is usageError_6_43_28 T_int)) (= usageError_6_43_28 1) (forall ((?s Int)) (=> (not (= ?s null)) (= true_term (is (S_select argumentClassNames_26_25 ?s) T_java_util_Vector)))) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select argumentClassNames_26_25 ?s) null)))) (forall ((?s Int)) (=> (not (= ?s null)) (= (typeof (S_select argumentClassNames_26_25 ?s)) T_java_util_Vector))) (= true_term (is err_19_97_50 T_java_io_PrintStream))))
(declare-fun ecReturn () Int)
(declare-fun L_152_8 () Int)
(declare-fun S_153_20 () Int)
(declare-fun S_151_19 () Int)
(declare-fun out_pre_19_83_49 () Int)
(declare-fun count_pre_106_67_33 () Int)
(declare-fun count_106_67_33 () Int)
(declare-fun elements_pre_106_61_39 () Int)
(declare-fun elements_106_61_39 () Int)
(declare-fun count_pre_105_67_33 () Int)
(declare-fun count_105_67_33 () Int)
(declare-fun usageError_pre_6_43_28 () Int)
(declare-fun elementType_pre_15_65_27 () Int)
(declare-fun elementType_15_65_27 () Int)
(declare-fun elements_pre_105_61_38 () Int)
(declare-fun elements_105_61_38 () Int)
(declare-fun loaded_pre_72_18 () Int)
(declare-fun loaded_72_18 () Int)
(declare-fun inst_pre_27_29_44 () Int)
(declare-fun inst_27_29_44 () Int)
(declare-fun owner_pre_7_35_28 () Int)
(declare-fun owner_7_35_28 () Int)
(declare-fun containsNull_pre_15_70_29 () Int)
(declare-fun containsNull_15_70_29 () Int)
(declare-fun elementCount_pre_13_90_35 () Int)
(declare-fun elementCount_13_90_35 () Int)
(declare-fun argumentClassNames_pre_26_25 () Int)
(declare-fun this_0_pre_88_4 () Int)
(declare-fun this_0_88_4 () Int)
(declare-fun err_pre_19_97_50 () Int)
(declare-fun elementData_pre_13_79_35 () Int)
(declare-fun elementData_13_79_35 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun P_150_54 () Int)
(declare-fun EC () Int)
(declare-fun EC_loopold () Int)
(declare-fun i_loopold_152_17 () Int)
(declare-fun alloc_loopold () Int)
(declare-fun s_loopold_151_15 () Int)
(declare-fun s_152_8_0_153_12 () Int)
(declare-fun after_154_29_152_8_0_154_29 () Int)
(declare-fun RES_152_8_0_154_29_154_29 () Int)
(declare-fun EC_152_8_0_154_29_154_29 () Int)
(declare-fun RES_152_8_0_155_19_155_19 () Int)
(declare-fun EC_152_8_0_155_19_155_19 () Int)
(declare-fun s_151_15 () Int)
(declare-fun RES_152_8_0_155_31_155_31 () Int)
(declare-fun EC_152_8_0_155_31_155_31 () Int)
(declare-fun EC_1_ () Int)
(declare-fun i_152_8_0_152_38 () Int)
(declare-fun EC_151_8 () Int)
(declare-fun EC_2_ () Int)
(declare-fun s_151_15_1_ () Int)
(assert (let ((?v_6 (= EC EC_loopold)) (?v_7 (= 0 i_loopold_152_17)) (?v_8 (= alloc alloc_loopold)) (?v_9 (= S_151_19 s_loopold_151_15)) (?v_4 (= true_term true_term)) (?v_23 (arrayLength P_150_54))) (let ((?v_1 (< 0 ?v_23)) (?v_0 (<= 0 0))) (let ((?v_10 (not ?v_1)) (?v_11 (= s_152_8_0_153_12 (stringCat (stringCat S_151_19 S_153_20) (S_select (S_select elems P_150_54) 0)))) (?v_2 (not (= s_152_8_0_153_12 null))) (?v_12 (< alloc after_154_29_152_8_0_154_29)) (?v_3 (not (= RES_152_8_0_154_29_154_29 null))) (?v_13 (not (= true_term (isAllocated RES_152_8_0_154_29_154_29 alloc)))) (?v_14 (= true_term (is RES_152_8_0_154_29_154_29 T_java_io_File))) (?v_15 (= true_term (isAllocated RES_152_8_0_154_29_154_29 after_154_29_152_8_0_154_29))) (?v_16 (= EC_152_8_0_154_29_154_29 ecReturn)) (?v_17 (= (S_select owner_7_35_28 RES_152_8_0_154_29_154_29) null)) (?v_18 (= (typeof RES_152_8_0_154_29_154_29) T_java_io_File))) (let ((?v_5 (not ?v_3)) (?v_19 (= true_term (is RES_152_8_0_155_19_155_19 T_boolean))) (?v_20 (= EC_152_8_0_155_19_155_19 ecReturn)) (?v_22 (= true_term RES_152_8_0_155_19_155_19))) (let ((?v_21 (not ?v_22))) (let ((?v_24 (or (and ?v_4 ?v_10 (= s_151_15 S_151_19)) (and ?v_4 ?v_1 ?v_0 ?v_1 ?v_11 ?v_2 ?v_12 ?v_3 ?v_13 ?v_14 ?v_15 ?v_16 ?v_17 ?v_18 ?v_3 ?v_19 ?v_20 (or (and ?v_21 ?v_4 ?v_3 (= true_term (is RES_152_8_0_155_31_155_31 T_boolean)) (= EC_152_8_0_155_31_155_31 ecReturn) (= EC_1_ EC_152_8_0_155_31_155_31)) (and ?v_22 ?v_4 (= EC_1_ EC_152_8_0_155_19_155_19))) (= i_152_8_0_152_38 (+ 0 1)) ?v_4 (not (< i_152_8_0_152_38 ?v_23)) (= s_151_15 s_152_8_0_153_12)))) (?v_25 (= L_152_8 L_152_8)) (?v_26 (= EC_151_8 ecReturn))) (not (=> (and (distinct ecReturn L_152_8) (not (= S_153_20 null)) (= (typeof S_153_20) T_java_lang_String) (not (= S_151_19 null)) (= (typeof S_151_19) T_java_lang_String)) (=> (and (= out_pre_19_83_49 out_19_83_49) (= true_term (is out_19_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_19_83_49 alloc)) (not (= out_19_83_49 null)) (= count_pre_106_67_33 count_106_67_33) (= count_106_67_33 (asField count_106_67_33 T_int)) (= elements_pre_106_61_39 elements_106_61_39) (= elements_106_61_39 (asField elements_106_61_39 (array T_javafe_ast_MethodDecl))) (< (fClosedTime elements_106_61_39) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select elements_106_61_39 ?s) null)))) (= count_pre_105_67_33 count_105_67_33) (= count_105_67_33 (asField count_105_67_33 T_int)) (= usageError_pre_6_43_28 usageError_6_43_28) (= true_term (is usageError_6_43_28 T_int)) (= elementType_pre_15_65_27 elementType_15_65_27) (= elementType_15_65_27 (asField elementType_15_65_27 T__TYPE)) (= elements_pre_105_61_38 elements_105_61_38) (= elements_105_61_38 (asField elements_105_61_38 (array T_javafe_ast_FieldDecl))) (< (fClosedTime elements_105_61_38) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elements_105_61_38 ?s_1_) null)))) (= loaded_pre_72_18 loaded_72_18) (= loaded_72_18 (asField loaded_72_18 T_java_util_Vector)) (< (fClosedTime loaded_72_18) alloc) (= inst_pre_27_29_44 inst_27_29_44) (= true_term (is inst_27_29_44 T_javafe_ast_PrettyPrint)) (= true_term (isAllocated inst_27_29_44 alloc)) (not (= inst_27_29_44 null)) (= owner_pre_7_35_28 owner_7_35_28) (= owner_7_35_28 (asField owner_7_35_28 T_java_lang_Object)) (< (fClosedTime owner_7_35_28) alloc) (= containsNull_pre_15_70_29 containsNull_15_70_29) (= containsNull_15_70_29 (asField containsNull_15_70_29 T_boolean)) (= elementCount_pre_13_90_35 elementCount_13_90_35) (= elementCount_13_90_35 (asField elementCount_13_90_35 T_int)) (= argumentClassNames_pre_26_25 argumentClassNames_26_25) (= argumentClassNames_26_25 (asField argumentClassNames_26_25 T_java_util_Vector)) (< (fClosedTime argumentClassNames_26_25) alloc) (= this_0_pre_88_4 this_0_88_4) (= this_0_88_4 (asField this_0_88_4 T_javafe_PrintSpec)) (< (fClosedTime this_0_88_4) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select this_0_88_4 ?s_2_) null)))) (= err_pre_19_97_50 err_19_97_50) (= true_term (is err_19_97_50 T_java_io_PrintStream)) (= true_term (isAllocated err_19_97_50 alloc)) (not (= err_19_97_50 null)) (= elementData_pre_13_79_35 elementData_13_79_35) (= elementData_13_79_35 (asField elementData_13_79_35 (array T_java_lang_Object))) (< (fClosedTime elementData_13_79_35) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select elementData_13_79_35 ?s_3_) null)))) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_PrintSpec)) (= true_term (isAllocated this alloc)) (not (= this null)) (= true_term (is P_150_54 (array T_java_lang_String))) (= true_term (isAllocated P_150_54 alloc)) (not (= P_150_54 null)) (= true_term (nonnullelements P_150_54 elems)) (or (and ?v_6 ?v_7 ?v_8 ?v_9 ?v_4 ?v_1 (or (not ?v_0) (and ?v_0 (or ?v_10 (and ?v_1 ?v_11 (or (not ?v_2) (and ?v_2 ?v_12 ?v_3 ?v_13 ?v_14 ?v_15 ?v_16 ?v_17 ?v_18 (or ?v_5 (and ?v_3 ?v_19 ?v_20 ?v_21 ?v_4 ?v_5))))))))) (and (or (and ?v_6 ?v_7 ?v_8 ?v_9 ?v_24 (not ?v_25) (= EC_151_8 L_152_8)) (and ?v_6 ?v_7 ?v_8 ?v_9 ?v_24 ?v_25 (= EC_2_ L_152_8) (= s_151_15_1_ s_151_15) ?v_4 ?v_26)) (not ?v_26)))))))))))))))
(check-sat)
(exit)
