(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_lang_Math () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun FLOATLIT_6_42_26 () Int)
(declare-fun FIRST_KEYWORD_5_51_26 () Int)
(declare-fun HC_71_19 () Int)
(declare-fun TYPEMODIFIERPRAGMA_5_28_26 () Int)
(declare-fun keywordStrings_5_181_30 () Int)
(declare-fun LONGLIT_6_40_26 () Int)
(declare-fun otherCodes_5_202_27 () Int)
(declare-fun otherStrings_5_193_30 () Int)
(declare-fun STMTPRAGMA_5_26_26 () Int)
(declare-fun noTokens_5_212_27 () Int)
(declare-fun punctuationStrings_5_134_22 () Int)
(declare-fun BOOLEANLIT_6_38_26 () Int)
(declare-fun punctuationCodes_5_164_19 () Int)
(declare-fun DOUBLELIT_6_43_26 () Int)
(declare-fun LEXICALPRAGMA_5_24_26 () Int)
(declare-fun CHARLIT_6_41_26 () Int)
(declare-fun IDENT_6_25_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_5_27_26 () Int)
(declare-fun INTLIT_6_39_26 () Int)
(declare-fun STRINGLIT_6_44_26 () Int)
(declare-fun chains_44_34 () Int)
(declare-fun TABLE_SIZE_25_27 () Int)
(declare-fun MODIFIERPRAGMA_5_25_26 () Int)
(declare-fun LAST_KEYWORD_5_103_26 () Int)
(declare-fun INITIAL_CHAIN_SIZE_48_27 () Int)
(declare-fun NULL_5_82_26 () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int)) (?v_2 (array (array T_javafe_ast_Identifier)))) (and (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Math T_java_lang_Object) true_term) (= T_java_lang_Math (asChild T_java_lang_Math T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Math) true_term) (= ?t T_java_lang_Math))) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_util_Assert (+ DIST_ZERO_1 10)) (= T_java_io_Serializable (+ DIST_ZERO_1 11)) (= T_java_lang_Integer (+ DIST_ZERO_1 12)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 13)) (= T_java_lang_Comparable (+ DIST_ZERO_1 14)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 15)) (= T_java_lang_Number (+ DIST_ZERO_1 16)) (= T_java_util_Hashtable (+ DIST_ZERO_1 17)) (= T_java_lang_Math (+ DIST_ZERO_1 18)) (= T_java_util_Dictionary (+ DIST_ZERO_1 19)) (= T_java_util_Properties (+ DIST_ZERO_1 20)) (= T_java_lang_System (+ DIST_ZERO_1 21)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 22)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 23)) (= T_java_lang_Object (+ DIST_ZERO_1 24)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 25)) (= T_java_util_Map (+ DIST_ZERO_1 26)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 27)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 28)) (= T_java_lang_String (+ DIST_ZERO_1 29))) (= true_term (is FLOATLIT_6_42_26 T_int)) (= FLOATLIT_6_42_26 108) (= true_term (is FIRST_KEYWORD_5_51_26 T_int)) (= FIRST_KEYWORD_5_51_26 133) (= true_term (is HC_71_19 T_int)) (= HC_71_19 31) (= true_term (is TYPEMODIFIERPRAGMA_5_28_26 T_int)) (= TYPEMODIFIERPRAGMA_5_28_26 118) (= true_term (is keywordStrings_5_181_30 ?v_0)) (not (= keywordStrings_5_181_30 null)) (= (typeof keywordStrings_5_181_30) ?v_0) (= (arrayLength keywordStrings_5_181_30) 51) (= true_term (is LONGLIT_6_40_26 T_int)) (= LONGLIT_6_40_26 106) (= true_term (is otherCodes_5_202_27 ?v_1)) (not (= otherCodes_5_202_27 null)) (= (typeof otherCodes_5_202_27) ?v_1) (= (arrayLength otherCodes_5_202_27) 15) (= true_term (is otherStrings_5_193_30 ?v_0)) (not (= otherStrings_5_193_30 null)) (= (typeof otherStrings_5_193_30) ?v_0) (= (arrayLength otherStrings_5_193_30) 15) (= true_term (is STMTPRAGMA_5_26_26 T_int)) (= STMTPRAGMA_5_26_26 116) (= true_term (is noTokens_5_212_27 T_int)) (= true_term (is punctuationStrings_5_134_22 ?v_0)) (not (= punctuationStrings_5_134_22 null)) (= (typeof punctuationStrings_5_134_22) ?v_0) (= (arrayLength punctuationStrings_5_134_22) 48) (= true_term (is BOOLEANLIT_6_38_26 T_int)) (= BOOLEANLIT_6_38_26 104) (= true_term (is punctuationCodes_5_164_19 ?v_1)) (not (= punctuationCodes_5_164_19 null)) (= (typeof punctuationCodes_5_164_19) ?v_1) (= (arrayLength punctuationCodes_5_164_19) 48) (= true_term (is DOUBLELIT_6_43_26 T_int)) (= DOUBLELIT_6_43_26 109) (= true_term (is LEXICALPRAGMA_5_24_26 T_int)) (= LEXICALPRAGMA_5_24_26 114) (= true_term (is CHARLIT_6_41_26 T_int)) (= CHARLIT_6_41_26 107) (= true_term (is IDENT_6_25_26 T_int)) (= IDENT_6_25_26 93) (= true_term (is TYPEDECLELEMPRAGMA_5_27_26 T_int)) (= TYPEDECLELEMPRAGMA_5_27_26 117) (= true_term (is INTLIT_6_39_26 T_int)) (= INTLIT_6_39_26 105) (= true_term (is STRINGLIT_6_44_26 T_int)) (= STRINGLIT_6_44_26 110) (= true_term (is chains_44_34 ?v_2)) (not (= chains_44_34 null)) (= (typeof chains_44_34) ?v_2) (= (arrayLength chains_44_34) 128) (= true_term (is TABLE_SIZE_25_27 T_int)) (= TABLE_SIZE_25_27 128) (= true_term (is MODIFIERPRAGMA_5_25_26 T_int)) (= MODIFIERPRAGMA_5_25_26 115) (= true_term (is LAST_KEYWORD_5_103_26 T_int)) (= LAST_KEYWORD_5_103_26 183) (= true_term (is INITIAL_CHAIN_SIZE_48_27 T_int)) (= INITIAL_CHAIN_SIZE_48_27 4) (= true_term (is NULL_5_82_26 T_int)) (= NULL_5_82_26 163))))
(declare-fun FLOATLIT_pre_6_42_26 () Int)
(declare-fun FIRST_KEYWORD_pre_5_51_26 () Int)
(declare-fun HC_pre_71_19 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_5_28_26 () Int)
(declare-fun keywordStrings_pre_5_181_30 () Int)
(declare-fun count_pre_15_99_33 () Int)
(declare-fun count_15_99_33 () Int)
(declare-fun LONGLIT_pre_6_40_26 () Int)
(declare-fun otherCodes_pre_5_202_27 () Int)
(declare-fun value_pre_15_91_31 () Int)
(declare-fun value_15_91_31 () Int)
(declare-fun otherStrings_pre_5_193_30 () Int)
(declare-fun STMTPRAGMA_pre_5_26_26 () Int)
(declare-fun noTokens_pre_5_212_27 () Int)
(declare-fun punctuationStrings_pre_5_134_22 () Int)
(declare-fun BOOLEANLIT_pre_6_38_26 () Int)
(declare-fun punctuationCodes_pre_5_164_19 () Int)
(declare-fun DOUBLELIT_pre_6_43_26 () Int)
(declare-fun tokenType_pre_90_8 () Int)
(declare-fun tokenType_90_8 () Int)
(declare-fun LEXICALPRAGMA_pre_5_24_26 () Int)
(declare-fun owner_pre_4_35_28 () Int)
(declare-fun owner_4_35_28 () Int)
(declare-fun CHARLIT_pre_6_41_26 () Int)
(declare-fun equiv_pre_61_17 () Int)
(declare-fun equiv_61_17 () Int)
(declare-fun IDENT_pre_6_25_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_5_27_26 () Int)
(declare-fun INTLIT_pre_6_39_26 () Int)
(declare-fun STRINGLIT_pre_6_44_26 () Int)
(declare-fun chains_pre_44_34 () Int)
(declare-fun chars_pre_56_17 () Int)
(declare-fun chars_56_17 () Int)
(declare-fun TABLE_SIZE_pre_25_27 () Int)
(declare-fun MODIFIERPRAGMA_pre_5_25_26 () Int)
(declare-fun LAST_KEYWORD_pre_5_103_26 () Int)
(declare-fun INITIAL_CHAIN_SIZE_pre_48_27 () Int)
(declare-fun NULL_pre_5_82_26 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun data_181_38_181_38_15_1961_52 () Int)
(declare-fun RES_181_38_181_38 () Int)
(declare-fun EC_181_38_181_38 () Int)
(declare-fun ecReturn () Int)
(declare-fun equiv_181_23 () Int)
(declare-fun equiv_61_17_1_ () Int)
(declare-fun RES () Int)
(declare-fun EC () Int)
(declare-fun RES_1_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun RES_2_ () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int)) (?v_2 (array T_char)) (?v_3 (= (S_select equiv_61_17 this) null)) (?v_4 (= true_term true_term)) (?v_6 (S_select chars_56_17 this))) (let ((?v_5 (not (= ?v_6 null))) (?v_7 (= EC_181_38_181_38 ecReturn)) (?v_8 (= ecReturn ecReturn))) (not (=> true (=> (and (= FLOATLIT_pre_6_42_26 FLOATLIT_6_42_26) (= true_term (is FLOATLIT_6_42_26 T_int)) (= FIRST_KEYWORD_pre_5_51_26 FIRST_KEYWORD_5_51_26) (= true_term (is FIRST_KEYWORD_5_51_26 T_int)) (= HC_pre_71_19 HC_71_19) (= true_term (is HC_71_19 T_int)) (= TYPEMODIFIERPRAGMA_pre_5_28_26 TYPEMODIFIERPRAGMA_5_28_26) (= true_term (is TYPEMODIFIERPRAGMA_5_28_26 T_int)) (= keywordStrings_pre_5_181_30 keywordStrings_5_181_30) (= true_term (is keywordStrings_5_181_30 ?v_0)) (= true_term (isAllocated keywordStrings_5_181_30 alloc)) (= count_pre_15_99_33 count_15_99_33) (= count_15_99_33 (asField count_15_99_33 T_int)) (= LONGLIT_pre_6_40_26 LONGLIT_6_40_26) (= true_term (is LONGLIT_6_40_26 T_int)) (= otherCodes_pre_5_202_27 otherCodes_5_202_27) (= true_term (is otherCodes_5_202_27 ?v_1)) (= true_term (isAllocated otherCodes_5_202_27 alloc)) (= value_pre_15_91_31 value_15_91_31) (= value_15_91_31 (asField value_15_91_31 ?v_2)) (< (fClosedTime value_15_91_31) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select value_15_91_31 ?s) null)))) (= otherStrings_pre_5_193_30 otherStrings_5_193_30) (= true_term (is otherStrings_5_193_30 ?v_0)) (= true_term (isAllocated otherStrings_5_193_30 alloc)) (= STMTPRAGMA_pre_5_26_26 STMTPRAGMA_5_26_26) (= true_term (is STMTPRAGMA_5_26_26 T_int)) (= noTokens_pre_5_212_27 noTokens_5_212_27) (= true_term (is noTokens_5_212_27 T_int)) (= punctuationStrings_pre_5_134_22 punctuationStrings_5_134_22) (= true_term (is punctuationStrings_5_134_22 ?v_0)) (= true_term (isAllocated punctuationStrings_5_134_22 alloc)) (= BOOLEANLIT_pre_6_38_26 BOOLEANLIT_6_38_26) (= true_term (is BOOLEANLIT_6_38_26 T_int)) (= punctuationCodes_pre_5_164_19 punctuationCodes_5_164_19) (= true_term (is punctuationCodes_5_164_19 ?v_1)) (= true_term (isAllocated punctuationCodes_5_164_19 alloc)) (= DOUBLELIT_pre_6_43_26 DOUBLELIT_6_43_26) (= true_term (is DOUBLELIT_6_43_26 T_int)) (= tokenType_pre_90_8 tokenType_90_8) (= tokenType_90_8 (asField tokenType_90_8 T_int)) (= LEXICALPRAGMA_pre_5_24_26 LEXICALPRAGMA_5_24_26) (= true_term (is LEXICALPRAGMA_5_24_26 T_int)) (= owner_pre_4_35_28 owner_4_35_28) (= owner_4_35_28 (asField owner_4_35_28 T_java_lang_Object)) (< (fClosedTime owner_4_35_28) alloc) (= CHARLIT_pre_6_41_26 CHARLIT_6_41_26) (= true_term (is CHARLIT_6_41_26 T_int)) (= equiv_pre_61_17 equiv_61_17) (= equiv_61_17 (asField equiv_61_17 T_java_lang_String)) (< (fClosedTime equiv_61_17) alloc) (= IDENT_pre_6_25_26 IDENT_6_25_26) (= true_term (is IDENT_6_25_26 T_int)) (= TYPEDECLELEMPRAGMA_pre_5_27_26 TYPEDECLELEMPRAGMA_5_27_26) (= true_term (is TYPEDECLELEMPRAGMA_5_27_26 T_int)) (= INTLIT_pre_6_39_26 INTLIT_6_39_26) (= true_term (is INTLIT_6_39_26 T_int)) (= STRINGLIT_pre_6_44_26 STRINGLIT_6_44_26) (= true_term (is STRINGLIT_6_44_26 T_int)) (= chains_pre_44_34 chains_44_34) (= true_term (is chains_44_34 (array (array T_javafe_ast_Identifier)))) (= true_term (isAllocated chains_44_34 alloc)) (= chars_pre_56_17 chars_56_17) (= chars_56_17 (asField chars_56_17 ?v_2)) (< (fClosedTime chars_56_17) alloc) (= TABLE_SIZE_pre_25_27 TABLE_SIZE_25_27) (= true_term (is TABLE_SIZE_25_27 T_int)) (= MODIFIERPRAGMA_pre_5_25_26 MODIFIERPRAGMA_5_25_26) (= true_term (is MODIFIERPRAGMA_5_25_26 T_int)) (= LAST_KEYWORD_pre_5_103_26 LAST_KEYWORD_5_103_26) (= true_term (is LAST_KEYWORD_5_103_26 T_int)) (= INITIAL_CHAIN_SIZE_pre_48_27 INITIAL_CHAIN_SIZE_48_27) (= true_term (is INITIAL_CHAIN_SIZE_48_27 T_int)) (= NULL_pre_5_82_26 NULL_5_82_26) (= true_term (is NULL_5_82_26 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_ast_Identifier)) (= true_term (isAllocated this alloc)) (not (= this null)) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_ast_Identifier)) (not (= ?brokenObj null))) (not (= (S_select chars_56_17 ?brokenObj) null)))) (or (and ?v_3 ?v_4 (not ?v_5)) (and (or (and ?v_3 ?v_4 ?v_5 (= data_181_38_181_38_15_1961_52 ?v_6) (= true_term (is RES_181_38_181_38 T_java_lang_String)) (= true_term (isAllocated RES_181_38_181_38 alloc)) ?v_7 (=> ?v_7 (not (= RES_181_38_181_38 null))) (= equiv_181_23 (S_store equiv_61_17 this RES_181_38_181_38)) (= equiv_61_17_1_ equiv_181_23) (= RES RES_181_38_181_38) (= EC EC_181_38_181_38)) (and (not ?v_3) ?v_4 (= equiv_61_17_1_ equiv_61_17) (= RES RES_1_) (= EC EC_1_))) (= RES_2_ (S_select equiv_61_17_1_ this)) ?v_4 (or (not ?v_8) (and ?v_8 (not (=> ?v_8 (not (= RES_2_ null))))))))))))))))
(check-sat)
(exit)
