(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_ast_SwitchStmt () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_javafe_ast_UnaryExpr () Int)
(declare-fun T_javafe_ast_Expr () Int)
(declare-fun T_javafe_ast_FormalParaDecl () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_javafe_ast_ReturnStmt () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_ast_VarInit () Int)
(declare-fun T_javafe_ast_ArrayType () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_ast_TypeModifierPragmaVec () Int)
(declare-fun T_javafe_ast_NewArrayExpr () Int)
(declare-fun T_javafe_tc_Env () Int)
(declare-fun T_javafe_tc_FieldDeclVec () Int)
(declare-fun T_javafe_ast_FieldAccess () Int)
(declare-fun T_javafe_ast_LocalVarDecl () Int)
(declare-fun T_javafe_ast_InterfaceDecl () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_ast_ClassDeclStmt () Int)
(declare-fun T_javafe_ast_ForStmt () Int)
(declare-fun T_javafe_ast_TypeNameVec () Int)
(declare-fun T_javafe_ast_InitBlock () Int)
(declare-fun T_javafe_ast_ImportDecl () Int)
(declare-fun T_javafe_ast_BranchStmt () Int)
(declare-fun T_javafe_ast_ExprObjectDesignator () Int)
(declare-fun T_javafe_ast_ObjectDesignator () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_ast_SimpleName () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_javafe_ast_InstanceOfExpr () Int)
(declare-fun T_javafe_tc_MethodDeclVec () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_java_lang_Boolean () Int)
(declare-fun T_javafe_ast_VisitorArgResult () Int)
(declare-fun T_javafe_ast_SwitchLabel () Int)
(declare-fun T_javafe_tc_TypeSig () Int)
(declare-fun T_javafe_ast_DoStmt () Int)
(declare-fun T_javafe_ast_TypeName () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_ast_TypeModifierPragma () Int)
(declare-fun T_javafe_ast_ContinueStmt () Int)
(declare-fun T_javafe_ast_LiteralExpr () Int)
(declare-fun T_javafe_ast_MethodDecl () Int)
(declare-fun T_javafe_ast_ExprVec () Int)
(declare-fun T_javafe_ast_BinaryExpr () Int)
(declare-fun T_javafe_ast_ClassLiteral () Int)
(declare-fun T_java_lang_RuntimeException () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_javafe_ast_TryCatchStmt () Int)
(declare-fun T_javafe_ast_CatchClause () Int)
(declare-fun T_javafe_ast_EvalStmt () Int)
(declare-fun T_javafe_ast_AmbiguousMethodInvocation () Int)
(declare-fun T_javafe_ast_ModifierPragma () Int)
(declare-fun T_javafe_ast_IdentifierVec () Int)
(declare-fun T_javafe_ast_NewInstanceExpr () Int)
(declare-fun T_javafe_ast_PrimitiveType () Int)
(declare-fun T_javafe_ast_FormalParaDeclVec () Int)
(declare-fun T_javafe_ast_ASTDecoration () Int)
(declare-fun T_javafe_ast_ClassDecl () Int)
(declare-fun T_javafe_ast_VariableAccess () Int)
(declare-fun T_javafe_ast_IfStmt () Int)
(declare-fun T_javafe_ast_VarDeclStmt () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_ast_SingleTypeImportDecl () Int)
(declare-fun T_javafe_ast_ParenExpr () Int)
(declare-fun T_javafe_ast_TypeObjectDesignator () Int)
(declare-fun T_javafe_ast_ModifierPragmaVec () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_ast_ArrayInit () Int)
(declare-fun T_javafe_ast_ConstructorDecl () Int)
(declare-fun T_javafe_ast_ThrowStmt () Int)
(declare-fun T_javafe_ast_CondExpr () Int)
(declare-fun T_java_lang_Float () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_java_lang_Double () Int)
(declare-fun T_javafe_ast_WhileStmt () Int)
(declare-fun T_javafe_ast_Visitor () Int)
(declare-fun T_javafe_ast_SkipStmt () Int)
(declare-fun T_java_lang_IndexOutOfBoundsException () Int)
(declare-fun T_javafe_ast_ThisExpr () Int)
(declare-fun T_javafe_ast_BreakStmt () Int)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_javafe_ast_CompoundName () Int)
(declare-fun T_java_lang_Long () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_ast_CastExpr () Int)
(declare-fun T_javafe_ast_MethodInvocation () Int)
(declare-fun T_javafe_ast_TryFinallyStmt () Int)
(declare-fun T_javafe_ast_SynchronizeStmt () Int)
(declare-fun T_javafe_ast_ConstructorInvocation () Int)
(declare-fun T_javafe_ast_ArrayRefExpr () Int)
(declare-fun T_javafe_ast_LabelStmt () Int)
(declare-fun T_javafe_ast_AmbiguousVariableAccess () Int)
(declare-fun T_javafe_ast_SuperObjectDesignator () Int)
(declare-fun T_javafe_tc_TagConstants () Int)
(declare-fun T_javafe_ast_OnDemandImportDecl () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun BITOR_32_21_26 () Int)
(declare-fun PARENEXPR_33_54_7 () Int)
(declare-fun NULLTYPE_31_34_26 () Int)
(declare-fun LAST_KEYWORD_44_103_26 () Int)
(declare-fun ASGBITOR_32_50_26 () Int)
(declare-fun SKIPSTMT_33_40_7 () Int)
(declare-fun SUB_32_34_26 () Int)
(declare-fun SWITCHSTMT_33_26_7 () Int)
(declare-fun COMPOUNDNAME_33_67_7 () Int)
(declare-fun FIRST_KEYWORD_44_51_26 () Int)
(declare-fun CASTEXPR_33_53_7 () Int)
(declare-fun VOIDTYPE_31_33_26 () Int)
(declare-fun ASGBITAND_32_49_26 () Int)
(declare-fun FORSTMT_33_39_7 () Int)
(declare-fun ADD_32_33_26 () Int)
(declare-fun BLOCKSTMT_33_25_7 () Int)
(declare-fun SIMPLENAME_33_66_7 () Int)
(declare-fun TYPESIG_43_6_28 () Int)
(declare-fun INSTANCEOFEXPR_33_52_7 () Int)
(declare-fun NULL_44_82_26 () Int)
(declare-fun DOUBLETYPE_31_32_26 () Int)
(declare-fun AND_32_20_26 () Int)
(declare-fun ASGURSHIFT_32_48_26 () Int)
(declare-fun IFSTMT_33_38_7 () Int)
(declare-fun URSHIFT_32_32_26 () Int)
(declare-fun FORMALPARADECL_33_24_7 () Int)
(declare-fun ARRAYTYPE_33_65_7 () Int)
(declare-fun otherCodes_44_202_27 () Int)
(declare-fun CONDEXPR_33_51_7 () Int)
(declare-fun FLOATTYPE_31_31_26 () Int)
(declare-fun OR_32_19_26 () Int)
(declare-fun LABELSTMT_33_37_7 () Int)
(declare-fun ASGRSHIFT_32_47_26 () Int)
(declare-fun RSHIFT_32_31_26 () Int)
(declare-fun FIELDDECL_33_23_7 () Int)
(declare-fun TYPENAME_33_64_7 () Int)
(declare-fun NULLLIT_31_45_26 () Int)
(declare-fun NEWARRAYEXPR_33_50_7 () Int)
(declare-fun CHARTYPE_31_30_26 () Int)
(declare-fun CONTINUESTMT_33_36_7 () Int)
(declare-fun ASGLSHIFT_32_46_26 () Int)
(declare-fun LSHIFT_32_30_26 () Int)
(declare-fun LOCALVARDECL_33_22_7 () Int)
(declare-fun SUPEROBJECTDESIGNATOR_33_63_7 () Int)
(declare-fun STRINGLIT_31_44_26 () Int)
(declare-fun POSTFIXDEC_32_63_26 () Int)
(declare-fun NEWINSTANCEEXPR_33_49_7 () Int)
(declare-fun LONGTYPE_31_29_26 () Int)
(declare-fun BREAKSTMT_33_35_7 () Int)
(declare-fun ASGSUB_32_45_26 () Int)
(declare-fun LT_32_29_26 () Int)
(declare-fun INITBLOCK_33_21_7 () Int)
(declare-fun TYPEOBJECTDESIGNATOR_33_62_7 () Int)
(declare-fun DOUBLELIT_31_43_26 () Int)
(declare-fun POSTFIXINC_32_62_26 () Int)
(declare-fun ARRAYREFEXPR_33_48_7 () Int)
(declare-fun INTTYPE_31_28_26 () Int)
(declare-fun THROWSTMT_33_34_7 () Int)
(declare-fun ASGADD_32_44_26 () Int)
(declare-fun NULL_15_60_26 () Int)
(declare-fun LE_32_28_26 () Int)
(declare-fun METHODDECL_33_20_7 () Int)
(declare-fun EXPROBJECTDESIGNATOR_33_61_7 () Int)
(declare-fun FLOATLIT_31_42_26 () Int)
(declare-fun DEC_32_59_26 () Int)
(declare-fun THISEXPR_33_47_7 () Int)
(declare-fun BOOLEANTYPE_31_27_26 () Int)
(declare-fun RETURNSTMT_33_33_7 () Int)
(declare-fun ASGREM_32_43_26 () Int)
(declare-fun GT_32_27_26 () Int)
(declare-fun CONSTRUCTORDECL_33_19_7 () Int)
(declare-fun CLASSLITERAL_33_60_7 () Int)
(declare-fun CHARLIT_31_41_26 () Int)
(declare-fun INC_32_58_26 () Int)
(declare-fun ARRAYINIT_33_46_7 () Int)
(declare-fun IDENT_31_25_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_44_28_26 () Int)
(declare-fun EVALSTMT_33_32_7 () Int)
(declare-fun ASGDIV_32_42_26 () Int)
(declare-fun GE_32_26_26 () Int)
(declare-fun INTERFACEDECL_33_18_7 () Int)
(declare-fun METHODINVOCATION_33_59_7 () Int)
(declare-fun LONGLIT_31_40_26 () Int)
(declare-fun BITNOT_32_57_26 () Int)
(declare-fun CATCHCLAUSE_33_45_7 () Int)
(declare-fun TYPEDECLELEMPRAGMA_44_27_26 () Int)
(declare-fun ASGMUL_32_41_26 () Int)
(declare-fun SYNCHRONIZESTMT_33_31_7 () Int)
(declare-fun EQ_32_25_26 () Int)
(declare-fun CLASSDECL_33_17_7 () Int)
(declare-fun AMBIGUOUSMETHODINVOCATION_33_58_7 () Int)
(declare-fun INTLIT_31_39_26 () Int)
(declare-fun NOT_32_56_26 () Int)
(declare-fun CONSTRUCTORINVOCATION_33_44_7 () Int)
(declare-fun otherStrings_44_193_30 () Int)
(declare-fun noTokens_44_212_27 () Int)
(declare-fun STMTPRAGMA_44_26_26 () Int)
(declare-fun ASSIGN_32_40_26 () Int)
(declare-fun DOSTMT_33_30_7 () Int)
(declare-fun NE_32_24_26 () Int)
(declare-fun ONDEMANDIMPORTDECL_33_16_7 () Int)
(declare-fun FIELDACCESS_33_57_7 () Int)
(declare-fun BOOLEANLIT_31_38_26 () Int)
(declare-fun UNARYSUB_32_55_26 () Int)
(declare-fun TRYCATCHSTMT_33_43_7 () Int)
(declare-fun punctuationCodes_44_164_19 () Int)
(declare-fun punctuationStrings_44_134_22 () Int)
(declare-fun MODIFIERPRAGMA_44_25_26 () Int)
(declare-fun STAR_32_37_26 () Int)
(declare-fun WHILESTMT_33_29_7 () Int)
(declare-fun BITAND_32_23_26 () Int)
(declare-fun SINGLETYPEIMPORTDECL_33_15_7 () Int)
(declare-fun VARIABLEACCESS_33_56_7 () Int)
(declare-fun SHORTTYPE_31_36_26 () Int)
(declare-fun UNARYADD_32_54_26 () Int)
(declare-fun TRYFINALLYSTMT_33_42_7 () Int)
(declare-fun LEXICALPRAGMA_44_24_26 () Int)
(declare-fun MOD_32_36_26 () Int)
(declare-fun CLASSDECLSTMT_33_28_7 () Int)
(declare-fun BITXOR_32_22_26 () Int)
(declare-fun COMPILATIONUNIT_33_14_7 () Int)
(declare-fun AMBIGUOUSVARIABLEACCESS_33_55_7 () Int)
(declare-fun BYTETYPE_31_35_26 () Int)
(declare-fun keywordStrings_44_181_30 () Int)
(declare-fun ASGBITXOR_32_51_26 () Int)
(declare-fun SWITCHLABEL_33_41_7 () Int)
(declare-fun DIV_32_35_26 () Int)
(declare-fun VARDECLSTMT_33_27_7 () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String))) (and (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_SwitchStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_SwitchStmt (asChild T_javafe_ast_SwitchStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_ast_UnaryExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_UnaryExpr (asChild T_javafe_ast_UnaryExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FormalParaDecl (asChild T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_ReturnStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ReturnStmt (asChild T_javafe_ast_ReturnStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_VarInit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_VarInit (asChild T_javafe_ast_VarInit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_ArrayType T_javafe_ast_Type) true_term) (= T_javafe_ast_ArrayType (asChild T_javafe_ast_ArrayType T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeModifierPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeModifierPragmaVec (asChild T_javafe_ast_TypeModifierPragmaVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_NewArrayExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_NewArrayExpr (asChild T_javafe_ast_NewArrayExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_tc_Env T_java_lang_Object) true_term) (= T_javafe_tc_Env (asChild T_javafe_tc_Env T_java_lang_Object)) (= (PO_LT T_javafe_tc_FieldDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_FieldDeclVec (asChild T_javafe_tc_FieldDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_FieldAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_FieldAccess (asChild T_javafe_ast_FieldAccess T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_LocalVarDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_LocalVarDecl (asChild T_javafe_ast_LocalVarDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_InterfaceDecl T_javafe_ast_TypeDecl) true_term) (= T_javafe_ast_InterfaceDecl (asChild T_javafe_ast_InterfaceDecl T_javafe_ast_TypeDecl)) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_ClassDeclStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ClassDeclStmt (asChild T_javafe_ast_ClassDeclStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ForStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ForStmt (asChild T_javafe_ast_ForStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_TypeNameVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeNameVec (asChild T_javafe_ast_TypeNameVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_InitBlock T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_InitBlock (asChild T_javafe_ast_InitBlock T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_InitBlock T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_ImportDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ImportDecl (asChild T_javafe_ast_ImportDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_BranchStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_BranchStmt (asChild T_javafe_ast_BranchStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_Expr T_javafe_ast_VarInit) true_term) (= T_javafe_ast_Expr (asChild T_javafe_ast_Expr T_javafe_ast_VarInit)) (= (PO_LT T_javafe_ast_ExprObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_ExprObjectDesignator (asChild T_javafe_ast_ExprObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_SimpleName T_javafe_ast_Name) true_term) (= T_javafe_ast_SimpleName (asChild T_javafe_ast_SimpleName T_javafe_ast_Name)) (= (PO_LT T_javafe_ast_InstanceOfExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_InstanceOfExpr (asChild T_javafe_ast_InstanceOfExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_tc_MethodDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_MethodDeclVec (asChild T_javafe_tc_MethodDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_java_lang_Boolean T_java_lang_Object) true_term) (= T_java_lang_Boolean (asChild T_java_lang_Boolean T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Boolean) true_term) (= ?t T_java_lang_Boolean))) (= (PO_LT T_java_lang_Boolean T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_VisitorArgResult T_java_lang_Object) true_term) (= T_javafe_ast_VisitorArgResult (asChild T_javafe_ast_VisitorArgResult T_java_lang_Object)) (= (PO_LT T_javafe_ast_SwitchLabel T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SwitchLabel (asChild T_javafe_ast_SwitchLabel T_javafe_ast_Stmt)) (= (PO_LT T_javafe_tc_TypeSig T_javafe_ast_Type) true_term) (= T_javafe_tc_TypeSig (asChild T_javafe_tc_TypeSig T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_DoStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_DoStmt (asChild T_javafe_ast_DoStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_TypeName T_javafe_ast_Type) true_term) (= T_javafe_ast_TypeName (asChild T_javafe_ast_TypeName T_javafe_ast_Type)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeModifierPragma (asChild T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_ContinueStmt T_javafe_ast_BranchStmt) true_term) (= T_javafe_ast_ContinueStmt (asChild T_javafe_ast_ContinueStmt T_javafe_ast_BranchStmt)) (= (PO_LT T_javafe_ast_LiteralExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_LiteralExpr (asChild T_javafe_ast_LiteralExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_MethodDecl (asChild T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_ast_ExprVec T_java_lang_Object) true_term) (= T_javafe_ast_ExprVec (asChild T_javafe_ast_ExprVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_BinaryExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_BinaryExpr (asChild T_javafe_ast_BinaryExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_ClassLiteral T_javafe_ast_Expr) true_term) (= T_javafe_ast_ClassLiteral (asChild T_javafe_ast_ClassLiteral T_javafe_ast_Expr)) (= (PO_LT T_java_lang_RuntimeException T_java_lang_Exception) true_term) (= T_java_lang_RuntimeException (asChild T_java_lang_RuntimeException T_java_lang_Exception)) (= (PO_LT T_javafe_ast_TryCatchStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_TryCatchStmt (asChild T_javafe_ast_TryCatchStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_CatchClause T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CatchClause (asChild T_javafe_ast_CatchClause T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_EvalStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_EvalStmt (asChild T_javafe_ast_EvalStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_AmbiguousMethodInvocation T_javafe_ast_Expr) true_term) (= T_javafe_ast_AmbiguousMethodInvocation (asChild T_javafe_ast_AmbiguousMethodInvocation T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ModifierPragma (asChild T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_IdentifierVec T_java_lang_Object) true_term) (= T_javafe_ast_IdentifierVec (asChild T_javafe_ast_IdentifierVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_NewInstanceExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_NewInstanceExpr (asChild T_javafe_ast_NewInstanceExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_PrimitiveType T_javafe_ast_Type) true_term) (= T_javafe_ast_PrimitiveType (asChild T_javafe_ast_PrimitiveType T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_FormalParaDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_FormalParaDeclVec (asChild T_javafe_ast_FormalParaDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTDecoration T_java_lang_Object) true_term) (= T_javafe_ast_ASTDecoration (asChild T_javafe_ast_ASTDecoration T_java_lang_Object)) (= (PO_LT T_javafe_ast_ClassDecl T_javafe_ast_TypeDecl) true_term) (= T_javafe_ast_ClassDecl (asChild T_javafe_ast_ClassDecl T_javafe_ast_TypeDecl)) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_VariableAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_VariableAccess (asChild T_javafe_ast_VariableAccess T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_IfStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_IfStmt (asChild T_javafe_ast_IfStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_VarDeclStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_VarDeclStmt (asChild T_javafe_ast_VarDeclStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_SingleTypeImportDecl (asChild T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_javafe_ast_ParenExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ParenExpr (asChild T_javafe_ast_ParenExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_TypeObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_TypeObjectDesignator (asChild T_javafe_ast_TypeObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_ast_ModifierPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_ModifierPragmaVec (asChild T_javafe_ast_ModifierPragmaVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_ArrayInit T_javafe_ast_VarInit) true_term) (= T_javafe_ast_ArrayInit (asChild T_javafe_ast_ArrayInit T_javafe_ast_VarInit)) (= (PO_LT T_javafe_ast_ConstructorDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_ConstructorDecl (asChild T_javafe_ast_ConstructorDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_ThrowStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ThrowStmt (asChild T_javafe_ast_ThrowStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_ast_CondExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_CondExpr (asChild T_javafe_ast_CondExpr T_javafe_ast_Expr)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Float T_java_lang_Number) true_term) (= T_java_lang_Float (asChild T_java_lang_Float T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Float) true_term) (= ?t T_java_lang_Float))) (= (PO_LT T_java_lang_Float T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_lang_Double T_java_lang_Number) true_term) (= T_java_lang_Double (asChild T_java_lang_Double T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Double) true_term) (= ?t T_java_lang_Double))) (= (PO_LT T_java_lang_Double T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_WhileStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_WhileStmt (asChild T_javafe_ast_WhileStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_Visitor T_java_lang_Object) true_term) (= T_javafe_ast_Visitor (asChild T_javafe_ast_Visitor T_java_lang_Object)) (= (PO_LT T_javafe_ast_SkipStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SkipStmt (asChild T_javafe_ast_SkipStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_lang_IndexOutOfBoundsException T_java_lang_RuntimeException) true_term) (= T_java_lang_IndexOutOfBoundsException (asChild T_java_lang_IndexOutOfBoundsException T_java_lang_RuntimeException)) (= (PO_LT T_javafe_ast_ThisExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ThisExpr (asChild T_javafe_ast_ThisExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_BreakStmt T_javafe_ast_BranchStmt) true_term) (= T_javafe_ast_BreakStmt (asChild T_javafe_ast_BreakStmt T_javafe_ast_BranchStmt)) (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_ast_CompoundName T_javafe_ast_Name) true_term) (= T_javafe_ast_CompoundName (asChild T_javafe_ast_CompoundName T_javafe_ast_Name)) (= (PO_LT T_java_lang_Long T_java_lang_Number) true_term) (= T_java_lang_Long (asChild T_java_lang_Long T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Long) true_term) (= ?t T_java_lang_Long))) (= (PO_LT T_java_lang_Long T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_javafe_ast_ObjectDesignator T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ObjectDesignator (asChild T_javafe_ast_ObjectDesignator T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_CastExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_CastExpr (asChild T_javafe_ast_CastExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_MethodInvocation T_javafe_ast_Expr) true_term) (= T_javafe_ast_MethodInvocation (asChild T_javafe_ast_MethodInvocation T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_TryFinallyStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_TryFinallyStmt (asChild T_javafe_ast_TryFinallyStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_SynchronizeStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SynchronizeStmt (asChild T_javafe_ast_SynchronizeStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ConstructorInvocation T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ConstructorInvocation (asChild T_javafe_ast_ConstructorInvocation T_javafe_ast_Stmt)) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_javafe_ast_ArrayRefExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ArrayRefExpr (asChild T_javafe_ast_ArrayRefExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_LabelStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_LabelStmt (asChild T_javafe_ast_LabelStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_AmbiguousVariableAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_AmbiguousVariableAccess (asChild T_javafe_ast_AmbiguousVariableAccess T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_SuperObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_SuperObjectDesignator (asChild T_javafe_ast_SuperObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_tc_TagConstants T_javafe_parser_TagConstants) true_term) (= T_javafe_tc_TagConstants (asChild T_javafe_tc_TagConstants T_javafe_parser_TagConstants)) (= (PO_LT T_javafe_ast_OnDemandImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_OnDemandImportDecl (asChild T_javafe_ast_OnDemandImportDecl T_javafe_ast_ImportDecl)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 10)) (= T_javafe_ast_SwitchStmt (+ DIST_ZERO_1 11)) (= T_javafe_ast_UnaryExpr (+ DIST_ZERO_1 12)) (= T_javafe_ast_FormalParaDecl (+ DIST_ZERO_1 13)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 14)) (= T_javafe_ast_ReturnStmt (+ DIST_ZERO_1 15)) (= T_javafe_ast_VarInit (+ DIST_ZERO_1 16)) (= T_javafe_ast_ArrayType (+ DIST_ZERO_1 17)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 18)) (= T_javafe_ast_TypeModifierPragmaVec (+ DIST_ZERO_1 19)) (= T_javafe_ast_NewArrayExpr (+ DIST_ZERO_1 20)) (= T_javafe_tc_Env (+ DIST_ZERO_1 21)) (= T_javafe_tc_FieldDeclVec (+ DIST_ZERO_1 22)) (= T_javafe_ast_FieldAccess (+ DIST_ZERO_1 23)) (= T_javafe_ast_LocalVarDecl (+ DIST_ZERO_1 24)) (= T_javafe_ast_InterfaceDecl (+ DIST_ZERO_1 25)) (= T_java_lang_Integer (+ DIST_ZERO_1 26)) (= T_java_lang_Number (+ DIST_ZERO_1 27)) (= T_javafe_ast_ClassDeclStmt (+ DIST_ZERO_1 28)) (= T_javafe_ast_ForStmt (+ DIST_ZERO_1 29)) (= T_javafe_ast_TypeNameVec (+ DIST_ZERO_1 30)) (= T_javafe_ast_InitBlock (+ DIST_ZERO_1 31)) (= T_javafe_ast_ImportDecl (+ DIST_ZERO_1 32)) (= T_javafe_ast_BranchStmt (+ DIST_ZERO_1 33)) (= T_javafe_ast_Expr (+ DIST_ZERO_1 34)) (= T_javafe_ast_ExprObjectDesignator (+ DIST_ZERO_1 35)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 36)) (= T_javafe_ast_SimpleName (+ DIST_ZERO_1 37)) (= T_javafe_ast_InstanceOfExpr (+ DIST_ZERO_1 38)) (= T_javafe_tc_MethodDeclVec (+ DIST_ZERO_1 39)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 40)) (= T_java_lang_Comparable (+ DIST_ZERO_1 41)) (= T_javafe_util_Location (+ DIST_ZERO_1 42)) (= T_java_lang_Boolean (+ DIST_ZERO_1 43)) (= T_javafe_ast_VisitorArgResult (+ DIST_ZERO_1 44)) (= T_javafe_ast_SwitchLabel (+ DIST_ZERO_1 45)) (= T_javafe_tc_TypeSig (+ DIST_ZERO_1 46)) (= T_javafe_ast_DoStmt (+ DIST_ZERO_1 47)) (= T_javafe_ast_TypeName (+ DIST_ZERO_1 48)) (= T_java_util_Hashtable (+ DIST_ZERO_1 49)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 50)) (= T_java_lang_Throwable (+ DIST_ZERO_1 51)) (= T_javafe_ast_TypeModifierPragma (+ DIST_ZERO_1 52)) (= T_javafe_ast_ContinueStmt (+ DIST_ZERO_1 53)) (= T_javafe_ast_LiteralExpr (+ DIST_ZERO_1 54)) (= T_javafe_ast_MethodDecl (+ DIST_ZERO_1 55)) (= T_javafe_ast_ExprVec (+ DIST_ZERO_1 56)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 57)) (= T_javafe_ast_BinaryExpr (+ DIST_ZERO_1 58)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 59)) (= T_javafe_ast_ClassLiteral (+ DIST_ZERO_1 60)) (= T_java_lang_RuntimeException (+ DIST_ZERO_1 61)) (= T_javafe_ast_TryCatchStmt (+ DIST_ZERO_1 62)) (= T_javafe_ast_CatchClause (+ DIST_ZERO_1 63)) (= T_javafe_ast_EvalStmt (+ DIST_ZERO_1 64)) (= T_javafe_ast_AmbiguousMethodInvocation (+ DIST_ZERO_1 65)) (= T_javafe_ast_ModifierPragma (+ DIST_ZERO_1 66)) (= T_javafe_ast_IdentifierVec (+ DIST_ZERO_1 67)) (= T_javafe_ast_Type (+ DIST_ZERO_1 68)) (= T_java_util_Dictionary (+ DIST_ZERO_1 69)) (= T_javafe_ast_NewInstanceExpr (+ DIST_ZERO_1 70)) (= T_javafe_ast_PrimitiveType (+ DIST_ZERO_1 71)) (= T_javafe_ast_FormalParaDeclVec (+ DIST_ZERO_1 72)) (= T_javafe_ast_ASTDecoration (+ DIST_ZERO_1 73)) (= T_javafe_ast_ClassDecl (+ DIST_ZERO_1 74)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 75)) (= T_java_util_Map (+ DIST_ZERO_1 76)) (= T_javafe_ast_VariableAccess (+ DIST_ZERO_1 77)) (= T_javafe_ast_IfStmt (+ DIST_ZERO_1 78)) (= T_javafe_ast_VarDeclStmt (+ DIST_ZERO_1 79)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 80)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 81)) (= T_javafe_ast_SingleTypeImportDecl (+ DIST_ZERO_1 82)) (= T_javafe_ast_ParenExpr (+ DIST_ZERO_1 83)) (= T_javafe_ast_TypeObjectDesignator (+ DIST_ZERO_1 84)) (= T_javafe_ast_ModifierPragmaVec (+ DIST_ZERO_1 85)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 86)) (= T_javafe_ast_ArrayInit (+ DIST_ZERO_1 87)) (= T_javafe_ast_ConstructorDecl (+ DIST_ZERO_1 88)) (= T_java_io_Serializable (+ DIST_ZERO_1 89)) (= T_javafe_ast_ThrowStmt (+ DIST_ZERO_1 90)) (= T_javafe_ast_Name (+ DIST_ZERO_1 91)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 92)) (= T_javafe_ast_CondExpr (+ DIST_ZERO_1 93)) (= T_java_lang_String (+ DIST_ZERO_1 94)) (= T_java_lang_Float (+ DIST_ZERO_1 95)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 96)) (= T_java_lang_Double (+ DIST_ZERO_1 97)) (= T_javafe_ast_WhileStmt (+ DIST_ZERO_1 98)) (= T_javafe_ast_Visitor (+ DIST_ZERO_1 99)) (= T_javafe_ast_SkipStmt (+ DIST_ZERO_1 100)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 101)) (= T_java_lang_IndexOutOfBoundsException (+ DIST_ZERO_1 102)) (= T_javafe_ast_ThisExpr (+ DIST_ZERO_1 103)) (= T_javafe_ast_BreakStmt (+ DIST_ZERO_1 104)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 105)) (= T_javafe_ast_CompoundName (+ DIST_ZERO_1 106)) (= T_java_lang_Long (+ DIST_ZERO_1 107)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 108)) (= T_javafe_ast_ObjectDesignator (+ DIST_ZERO_1 109)) (= T_javafe_ast_CastExpr (+ DIST_ZERO_1 110)) (= T_javafe_ast_MethodInvocation (+ DIST_ZERO_1 111)) (= T_javafe_ast_TryFinallyStmt (+ DIST_ZERO_1 112)) (= T_javafe_ast_SynchronizeStmt (+ DIST_ZERO_1 113)) (= T_javafe_ast_ConstructorInvocation (+ DIST_ZERO_1 114)) (= T_java_lang_Exception (+ DIST_ZERO_1 115)) (= T_javafe_ast_ArrayRefExpr (+ DIST_ZERO_1 116)) (= T_javafe_ast_LabelStmt (+ DIST_ZERO_1 117)) (= T_java_lang_Object (+ DIST_ZERO_1 118)) (= T_javafe_ast_AmbiguousVariableAccess (+ DIST_ZERO_1 119)) (= T_javafe_ast_SuperObjectDesignator (+ DIST_ZERO_1 120)) (= T_javafe_tc_TagConstants (+ DIST_ZERO_1 121)) (= T_javafe_ast_OnDemandImportDecl (+ DIST_ZERO_1 122))) (= true_term (is BITOR_32_21_26 T_int)) (= BITOR_32_21_26 56) (= true_term (is PARENEXPR_33_54_7 T_int)) (= PARENEXPR_33_54_7 40) (= true_term (is NULLTYPE_31_34_26 T_int)) (= NULLTYPE_31_34_26 101) (= true_term (is LAST_KEYWORD_44_103_26 T_int)) (= LAST_KEYWORD_44_103_26 183) (= true_term (is ASGBITOR_32_50_26 T_int)) (= ASGBITOR_32_50_26 83) (= true_term (is SKIPSTMT_33_40_7 T_int)) (= SKIPSTMT_33_40_7 26) (= true_term (is SUB_32_34_26 T_int)) (= SUB_32_34_26 69) (= true_term (is SWITCHSTMT_33_26_7 T_int)) (= SWITCHSTMT_33_26_7 12) (= true_term (is COMPOUNDNAME_33_67_7 T_int)) (= COMPOUNDNAME_33_67_7 53) (= true_term (is FIRST_KEYWORD_44_51_26 T_int)) (= FIRST_KEYWORD_44_51_26 133) (= true_term (is CASTEXPR_33_53_7 T_int)) (= CASTEXPR_33_53_7 39) (= true_term (is VOIDTYPE_31_33_26 T_int)) (= VOIDTYPE_31_33_26 100) (= true_term (is ASGBITAND_32_49_26 T_int)) (= ASGBITAND_32_49_26 82) (= true_term (is FORSTMT_33_39_7 T_int)) (= FORSTMT_33_39_7 25) (= true_term (is ADD_32_33_26 T_int)) (= ADD_32_33_26 68) (= true_term (is BLOCKSTMT_33_25_7 T_int)) (= BLOCKSTMT_33_25_7 11) (= true_term (is SIMPLENAME_33_66_7 T_int)) (= SIMPLENAME_33_66_7 52) (= true_term (is TYPESIG_43_6_28 T_int)) (= TYPESIG_43_6_28 184) (= true_term (is INSTANCEOFEXPR_33_52_7 T_int)) (= INSTANCEOFEXPR_33_52_7 38) (= true_term (is NULL_44_82_26 T_int)) (= NULL_44_82_26 163) (= true_term (is DOUBLETYPE_31_32_26 T_int)) (= DOUBLETYPE_31_32_26 99) (= true_term (is AND_32_20_26 T_int)) (= AND_32_20_26 55) (= true_term (is ASGURSHIFT_32_48_26 T_int)) (= ASGURSHIFT_32_48_26 81) (= true_term (is IFSTMT_33_38_7 T_int)) (= IFSTMT_33_38_7 24) (= true_term (is URSHIFT_32_32_26 T_int)) (= URSHIFT_32_32_26 67) (= true_term (is FORMALPARADECL_33_24_7 T_int)) (= FORMALPARADECL_33_24_7 10) (= true_term (is ARRAYTYPE_33_65_7 T_int)) (= ARRAYTYPE_33_65_7 51) (= true_term (is otherCodes_44_202_27 ?v_0)) (not (= otherCodes_44_202_27 null)) (= (typeof otherCodes_44_202_27) ?v_0) (= (arrayLength otherCodes_44_202_27) 15) (= true_term (is CONDEXPR_33_51_7 T_int)) (= CONDEXPR_33_51_7 37) (= true_term (is FLOATTYPE_31_31_26 T_int)) (= FLOATTYPE_31_31_26 98) (= true_term (is OR_32_19_26 T_int)) (= OR_32_19_26 54) (= true_term (is LABELSTMT_33_37_7 T_int)) (= LABELSTMT_33_37_7 23) (= true_term (is ASGRSHIFT_32_47_26 T_int)) (= ASGRSHIFT_32_47_26 80) (= true_term (is RSHIFT_32_31_26 T_int)) (= RSHIFT_32_31_26 66) (= true_term (is FIELDDECL_33_23_7 T_int)) (= FIELDDECL_33_23_7 9) (= true_term (is TYPENAME_33_64_7 T_int)) (= TYPENAME_33_64_7 50) (= true_term (is NULLLIT_31_45_26 T_int)) (= NULLLIT_31_45_26 111) (= true_term (is NEWARRAYEXPR_33_50_7 T_int)) (= NEWARRAYEXPR_33_50_7 36) (= true_term (is CHARTYPE_31_30_26 T_int)) (= CHARTYPE_31_30_26 97) (= true_term (is CONTINUESTMT_33_36_7 T_int)) (= CONTINUESTMT_33_36_7 22) (= true_term (is ASGLSHIFT_32_46_26 T_int)) (= ASGLSHIFT_32_46_26 79) (= true_term (is LSHIFT_32_30_26 T_int)) (= LSHIFT_32_30_26 65) (= true_term (is LOCALVARDECL_33_22_7 T_int)) (= LOCALVARDECL_33_22_7 8) (= true_term (is SUPEROBJECTDESIGNATOR_33_63_7 T_int)) (= SUPEROBJECTDESIGNATOR_33_63_7 49) (= true_term (is STRINGLIT_31_44_26 T_int)) (= STRINGLIT_31_44_26 110) (= true_term (is POSTFIXDEC_32_63_26 T_int)) (= POSTFIXDEC_32_63_26 92) (= true_term (is NEWINSTANCEEXPR_33_49_7 T_int)) (= NEWINSTANCEEXPR_33_49_7 35) (= true_term (is LONGTYPE_31_29_26 T_int)) (= LONGTYPE_31_29_26 96) (= true_term (is BREAKSTMT_33_35_7 T_int)) (= BREAKSTMT_33_35_7 21) (= true_term (is ASGSUB_32_45_26 T_int)) (= ASGSUB_32_45_26 78) (= true_term (is LT_32_29_26 T_int)) (= LT_32_29_26 64) (= true_term (is INITBLOCK_33_21_7 T_int)) (= INITBLOCK_33_21_7 7) (= true_term (is TYPEOBJECTDESIGNATOR_33_62_7 T_int)) (= TYPEOBJECTDESIGNATOR_33_62_7 48) (= true_term (is DOUBLELIT_31_43_26 T_int)) (= DOUBLELIT_31_43_26 109) (= true_term (is POSTFIXINC_32_62_26 T_int)) (= POSTFIXINC_32_62_26 91) (= true_term (is ARRAYREFEXPR_33_48_7 T_int)) (= ARRAYREFEXPR_33_48_7 34) (= true_term (is INTTYPE_31_28_26 T_int)) (= INTTYPE_31_28_26 95) (= true_term (is THROWSTMT_33_34_7 T_int)) (= THROWSTMT_33_34_7 20) (= true_term (is ASGADD_32_44_26 T_int)) (= ASGADD_32_44_26 77) (= true_term (is NULL_15_60_26 T_int)) (= NULL_15_60_26 0) (= true_term (is LE_32_28_26 T_int)) (= LE_32_28_26 63) (= true_term (is METHODDECL_33_20_7 T_int)) (= METHODDECL_33_20_7 6) (= true_term (is EXPROBJECTDESIGNATOR_33_61_7 T_int)) (= EXPROBJECTDESIGNATOR_33_61_7 47) (= true_term (is FLOATLIT_31_42_26 T_int)) (= FLOATLIT_31_42_26 108) (= true_term (is DEC_32_59_26 T_int)) (= DEC_32_59_26 90) (= true_term (is THISEXPR_33_47_7 T_int)) (= THISEXPR_33_47_7 33) (= true_term (is BOOLEANTYPE_31_27_26 T_int)) (= BOOLEANTYPE_31_27_26 94) (= true_term (is RETURNSTMT_33_33_7 T_int)) (= RETURNSTMT_33_33_7 19) (= true_term (is ASGREM_32_43_26 T_int)) (= ASGREM_32_43_26 76) (= true_term (is GT_32_27_26 T_int)) (= GT_32_27_26 62) (= true_term (is CONSTRUCTORDECL_33_19_7 T_int)) (= CONSTRUCTORDECL_33_19_7 5) (= true_term (is CLASSLITERAL_33_60_7 T_int)) (= CLASSLITERAL_33_60_7 46) (= true_term (is CHARLIT_31_41_26 T_int)) (= CHARLIT_31_41_26 107) (= true_term (is INC_32_58_26 T_int)) (= INC_32_58_26 89) (= true_term (is ARRAYINIT_33_46_7 T_int)) (= ARRAYINIT_33_46_7 32) (= true_term (is IDENT_31_25_26 T_int)) (= IDENT_31_25_26 93) (= true_term (is TYPEMODIFIERPRAGMA_44_28_26 T_int)) (= TYPEMODIFIERPRAGMA_44_28_26 118) (= true_term (is EVALSTMT_33_32_7 T_int)) (= EVALSTMT_33_32_7 18) (= true_term (is ASGDIV_32_42_26 T_int)) (= ASGDIV_32_42_26 75) (= true_term (is GE_32_26_26 T_int)) (= GE_32_26_26 61) (= true_term (is INTERFACEDECL_33_18_7 T_int)) (= INTERFACEDECL_33_18_7 4) (= true_term (is METHODINVOCATION_33_59_7 T_int)) (= METHODINVOCATION_33_59_7 45) (= true_term (is LONGLIT_31_40_26 T_int)) (= LONGLIT_31_40_26 106) (= true_term (is BITNOT_32_57_26 T_int)) (= BITNOT_32_57_26 88) (= true_term (is CATCHCLAUSE_33_45_7 T_int)) (= CATCHCLAUSE_33_45_7 31) (= true_term (is TYPEDECLELEMPRAGMA_44_27_26 T_int)) (= TYPEDECLELEMPRAGMA_44_27_26 117) (= true_term (is ASGMUL_32_41_26 T_int)) (= ASGMUL_32_41_26 74) (= true_term (is SYNCHRONIZESTMT_33_31_7 T_int)) (= SYNCHRONIZESTMT_33_31_7 17) (= true_term (is EQ_32_25_26 T_int)) (= EQ_32_25_26 60) (= true_term (is CLASSDECL_33_17_7 T_int)) (= CLASSDECL_33_17_7 3) (= true_term (is AMBIGUOUSMETHODINVOCATION_33_58_7 T_int)) (= AMBIGUOUSMETHODINVOCATION_33_58_7 44) (= true_term (is INTLIT_31_39_26 T_int)) (= INTLIT_31_39_26 105) (= true_term (is NOT_32_56_26 T_int)) (= NOT_32_56_26 87) (= true_term (is CONSTRUCTORINVOCATION_33_44_7 T_int)) (= CONSTRUCTORINVOCATION_33_44_7 30) (= true_term (is otherStrings_44_193_30 ?v_1)) (not (= otherStrings_44_193_30 null)) (= (typeof otherStrings_44_193_30) ?v_1) (= (arrayLength otherStrings_44_193_30) 15) (= true_term (is noTokens_44_212_27 T_int)) (= true_term (is STMTPRAGMA_44_26_26 T_int)) (= STMTPRAGMA_44_26_26 116) (= true_term (is ASSIGN_32_40_26 T_int)) (= ASSIGN_32_40_26 73) (= true_term (is DOSTMT_33_30_7 T_int)) (= DOSTMT_33_30_7 16) (= true_term (is NE_32_24_26 T_int)) (= NE_32_24_26 59) (= true_term (is ONDEMANDIMPORTDECL_33_16_7 T_int)) (= ONDEMANDIMPORTDECL_33_16_7 2) (= true_term (is FIELDACCESS_33_57_7 T_int)) (= FIELDACCESS_33_57_7 43) (= true_term (is BOOLEANLIT_31_38_26 T_int)) (= BOOLEANLIT_31_38_26 104) (= true_term (is UNARYSUB_32_55_26 T_int)) (= UNARYSUB_32_55_26 86) (= true_term (is TRYCATCHSTMT_33_43_7 T_int)) (= TRYCATCHSTMT_33_43_7 29) (= true_term (is punctuationCodes_44_164_19 ?v_0)) (not (= punctuationCodes_44_164_19 null)) (= (typeof punctuationCodes_44_164_19) ?v_0) (= (arrayLength punctuationCodes_44_164_19) 48) (= true_term (is punctuationStrings_44_134_22 ?v_1)) (not (= punctuationStrings_44_134_22 null)) (= (typeof punctuationStrings_44_134_22) ?v_1) (= (arrayLength punctuationStrings_44_134_22) 48) (= true_term (is MODIFIERPRAGMA_44_25_26 T_int)) (= MODIFIERPRAGMA_44_25_26 115) (= true_term (is STAR_32_37_26 T_int)) (= STAR_32_37_26 72) (= true_term (is WHILESTMT_33_29_7 T_int)) (= WHILESTMT_33_29_7 15) (= true_term (is BITAND_32_23_26 T_int)) (= BITAND_32_23_26 58) (= true_term (is SINGLETYPEIMPORTDECL_33_15_7 T_int)) (= SINGLETYPEIMPORTDECL_33_15_7 1) (= true_term (is VARIABLEACCESS_33_56_7 T_int)) (= VARIABLEACCESS_33_56_7 42) (= true_term (is SHORTTYPE_31_36_26 T_int)) (= SHORTTYPE_31_36_26 103) (= true_term (is UNARYADD_32_54_26 T_int)) (= UNARYADD_32_54_26 85) (= true_term (is TRYFINALLYSTMT_33_42_7 T_int)) (= TRYFINALLYSTMT_33_42_7 28) (= true_term (is LEXICALPRAGMA_44_24_26 T_int)) (= LEXICALPRAGMA_44_24_26 114) (= true_term (is MOD_32_36_26 T_int)) (= MOD_32_36_26 71) (= true_term (is CLASSDECLSTMT_33_28_7 T_int)) (= CLASSDECLSTMT_33_28_7 14) (= true_term (is BITXOR_32_22_26 T_int)) (= BITXOR_32_22_26 57) (= true_term (is COMPILATIONUNIT_33_14_7 T_int)) (= COMPILATIONUNIT_33_14_7 0) (= true_term (is AMBIGUOUSVARIABLEACCESS_33_55_7 T_int)) (= AMBIGUOUSVARIABLEACCESS_33_55_7 41) (= true_term (is BYTETYPE_31_35_26 T_int)) (= BYTETYPE_31_35_26 102) (= true_term (is keywordStrings_44_181_30 ?v_1)) (not (= keywordStrings_44_181_30 null)) (= (typeof keywordStrings_44_181_30) ?v_1) (= (arrayLength keywordStrings_44_181_30) 51) (= true_term (is ASGBITXOR_32_51_26 T_int)) (= ASGBITXOR_32_51_26 84) (= true_term (is SWITCHLABEL_33_41_7 T_int)) (= SWITCHLABEL_33_41_7 27) (= true_term (is DIV_32_35_26 T_int)) (= DIV_32_35_26 70) (= true_term (is VARDECLSTMT_33_27_7 T_int)) (= VARDECLSTMT_33_27_7 13))))
(declare-fun S_52_44 () Int)
(declare-fun S_86_41 () Int)
(declare-fun tmodifiers_pre_4_28_31 () Int)
(declare-fun tmodifiers_4_28_31 () Int)
(declare-fun loc_pre_122_22_13 () Int)
(declare-fun loc_122_22_13 () Int)
(declare-fun BITOR_pre_32_21_26 () Int)
(declare-fun elemType_pre_143_18_28 () Int)
(declare-fun elemType_143_18_28 () Int)
(declare-fun PARENEXPR_pre_33_54_7 () Int)
(declare-fun id_pre_15_34 () Int)
(declare-fun id_15_34 () Int)
(declare-fun NULLTYPE_pre_31_34_26 () Int)
(declare-fun LAST_KEYWORD_pre_44_103_26 () Int)
(declare-fun ASGBITOR_pre_32_50_26 () Int)
(declare-fun elements_pre_130_61_33 () Int)
(declare-fun elements_130_61_33 () Int)
(declare-fun enclosingInstance_pre_128_25_14 () Int)
(declare-fun enclosingInstance_128_25_14 () Int)
(declare-fun loc_pre_128_49_13 () Int)
(declare-fun loc_128_49_13 () Int)
(declare-fun value_pre_37_45_16 () Int)
(declare-fun value_37_45_16 () Int)
(declare-fun SKIPSTMT_pre_33_40_7 () Int)
(declare-fun loc_pre_115_18_13 () Int)
(declare-fun loc_115_18_13 () Int)
(declare-fun op_pre_40_35_13 () Int)
(declare-fun op_40_35_13 () Int)
(declare-fun locColon_pre_131_25_13 () Int)
(declare-fun locColon_131_25_13 () Int)
(declare-fun tag_pre_42_30_13 () Int)
(declare-fun tag_42_30_13 () Int)
(declare-fun loc_pre_125_22_13 () Int)
(declare-fun loc_125_22_13 () Int)
(declare-fun elements_pre_86_61_38 () Int)
(declare-fun elements_86_61_38 () Int)
(declare-fun pmodifiers_pre_4_26_27 () Int)
(declare-fun pmodifiers_4_26_27 () Int)
(declare-fun SUB_pre_32_34_26 () Int)
(declare-fun SWITCHSTMT_pre_33_26_7 () Int)
(declare-fun COMPOUNDNAME_pre_33_67_7 () Int)
(declare-fun FIRST_KEYWORD_pre_44_51_26 () Int)
(declare-fun loc_pre_121_29_13 () Int)
(declare-fun loc_121_29_13 () Int)
(declare-fun loc_pre_144_20_13 () Int)
(declare-fun loc_144_20_13 () Int)
(declare-fun CASTEXPR_pre_33_53_7 () Int)
(declare-fun locCloseBrace_pre_126_24_13 () Int)
(declare-fun locCloseBrace_126_24_13 () Int)
(declare-fun loc_pre_113_18_13 () Int)
(declare-fun loc_113_18_13 () Int)
(declare-fun loc_pre_132_21_13 () Int)
(declare-fun loc_132_21_13 () Int)
(declare-fun modifiers_pre_4_24_13 () Int)
(declare-fun modifiers_4_24_13 () Int)
(declare-fun VOIDTYPE_pre_31_33_26 () Int)
(declare-fun locIds_pre_146_25_29 () Int)
(declare-fun locIds_146_25_29 () Int)
(declare-fun locDot_pre_139_23_13 () Int)
(declare-fun locDot_139_23_13 () Int)
(declare-fun ASGBITAND_pre_32_49_26 () Int)
(declare-fun elements_pre_145_61_39 () Int)
(declare-fun elements_145_61_39 () Int)
(declare-fun locId_pre_136_24_13 () Int)
(declare-fun locId_136_24_13 () Int)
(declare-fun init_pre_129_35_19 () Int)
(declare-fun init_129_35_19 () Int)
(declare-fun FORSTMT_pre_33_39_7 () Int)
(declare-fun locKeyword_pre_124_45_13 () Int)
(declare-fun locKeyword_124_45_13 () Int)
(declare-fun ADD_pre_32_33_26 () Int)
(declare-fun BLOCKSTMT_pre_33_25_7 () Int)
(declare-fun SIMPLENAME_pre_33_66_7 () Int)
(declare-fun locSuper_pre_142_20_13 () Int)
(declare-fun locSuper_142_20_13 () Int)
(declare-fun TYPESIG_pre_43_6_28 () Int)
(declare-fun tokenType_pre_30_90_8 () Int)
(declare-fun tokenType_30_90_8 () Int)
(declare-fun INSTANCEOFEXPR_pre_33_52_7 () Int)
(declare-fun NULL_pre_44_82_26 () Int)
(declare-fun DOUBLETYPE_pre_31_32_26 () Int)
(declare-fun count_pre_130_67_33 () Int)
(declare-fun count_130_67_33 () Int)
(declare-fun AND_pre_32_20_26 () Int)
(declare-fun ASGURSHIFT_pre_32_48_26 () Int)
(declare-fun locCloseBrace_pre_28_25_13 () Int)
(declare-fun locCloseBrace_28_25_13 () Int)
(declare-fun loc_pre_4_40_13 () Int)
(declare-fun loc_4_40_13 () Int)
(declare-fun IFSTMT_pre_33_38_7 () Int)
(declare-fun locCloseBracket_pre_127_23_13 () Int)
(declare-fun locCloseBracket_127_23_13 () Int)
(declare-fun count_pre_86_67_33 () Int)
(declare-fun count_86_67_33 () Int)
(declare-fun URSHIFT_pre_32_32_26 () Int)
(declare-fun FORMALPARADECL_pre_33_24_7 () Int)
(declare-fun ARRAYTYPE_pre_33_65_7 () Int)
(declare-fun locId_pre_117_20_13 () Int)
(declare-fun locId_117_20_13 () Int)
(declare-fun loc_pre_112_18_13 () Int)
(declare-fun loc_112_18_13 () Int)
(declare-fun I_will_establish_invariants_afterwards_pre_6_236_34 () Int)
(declare-fun I_will_establish_invariants_afterwards_6_236_34 () Int)
(declare-fun owner_pre_9_35_28 () Int)
(declare-fun owner_9_35_28 () Int)
(declare-fun otherCodes_pre_44_202_27 () Int)
(declare-fun CONDEXPR_pre_33_51_7 () Int)
(declare-fun locType_pre_21_13 () Int)
(declare-fun locType_21_13 () Int)
(declare-fun FLOATTYPE_pre_31_31_26 () Int)
(declare-fun superCall_pre_124_24_17 () Int)
(declare-fun superCall_124_24_17 () Int)
(declare-fun loc_pre_120_16_13 () Int)
(declare-fun loc_120_16_13 () Int)
(declare-fun locOpenParen_pre_138_28_13 () Int)
(declare-fun locOpenParen_138_28_13 () Int)
(declare-fun OR_pre_32_19_26 () Int)
(declare-fun locDots_pre_146_31_29 () Int)
(declare-fun locDots_146_31_29 () Int)
(declare-fun count_pre_145_67_33 () Int)
(declare-fun count_145_67_33 () Int)
(declare-fun LABELSTMT_pre_33_37_7 () Int)
(declare-fun elements_pre_17_61_47 () Int)
(declare-fun elements_17_61_47 () Int)
(declare-fun ASGRSHIFT_pre_32_47_26 () Int)
(declare-fun locCloseBrace_pre_36_54_13 () Int)
(declare-fun locCloseBrace_36_54_13 () Int)
(declare-fun locCloseParen_pre_133_24_13 () Int)
(declare-fun locCloseParen_133_24_13 () Int)
(declare-fun RSHIFT_pre_32_31_26 () Int)
(declare-fun FIELDDECL_pre_33_23_7 () Int)
(declare-fun TYPENAME_pre_33_64_7 () Int)
(declare-fun locQuestion_pre_131_22_13 () Int)
(declare-fun locQuestion_131_22_13 () Int)
(declare-fun elements_pre_16_61_43 () Int)
(declare-fun elements_16_61_43 () Int)
(declare-fun NULLLIT_pre_31_45_26 () Int)
(declare-fun NEWARRAYEXPR_pre_33_50_7 () Int)
(declare-fun loc_pre_118_22_13 () Int)
(declare-fun loc_118_22_13 () Int)
(declare-fun locOpenParen_pre_134_18_13 () Int)
(declare-fun locOpenParen_134_18_13 () Int)
(declare-fun CHARTYPE_pre_31_30_26 () Int)
(declare-fun type_pre_132_18_28 () Int)
(declare-fun type_132_18_28 () Int)
(declare-fun locOpenBrace_pre_126_21_13 () Int)
(declare-fun locOpenBrace_126_21_13 () Int)
(declare-fun op_pre_41_26_13 () Int)
(declare-fun op_41_26_13 () Int)
(declare-fun CONTINUESTMT_pre_33_36_7 () Int)
(declare-fun ASGLSHIFT_pre_32_46_26 () Int)
(declare-fun length_pre_90_50_25 () Int)
(declare-fun length_90_50_25 () Int)
(declare-fun LSHIFT_pre_32_30_26 () Int)
(declare-fun LOCALVARDECL_pre_33_22_7 () Int)
(declare-fun SUPEROBJECTDESIGNATOR_pre_33_63_7 () Int)
(declare-fun locDot_pre_124_41_13 () Int)
(declare-fun locDot_124_41_13 () Int)
(declare-fun STRINGLIT_pre_31_44_26 () Int)
(declare-fun POSTFIXDEC_pre_32_63_26 () Int)
(declare-fun NEWINSTANCEEXPR_pre_33_49_7 () Int)
(declare-fun LONGTYPE_pre_31_29_26 () Int)
(declare-fun locOpenParen_pre_110_23_13 () Int)
(declare-fun locOpenParen_110_23_13 () Int)
(declare-fun count_pre_17_67_33 () Int)
(declare-fun count_17_67_33 () Int)
(declare-fun BREAKSTMT_pre_33_35_7 () Int)
(declare-fun ASGSUB_pre_32_45_26 () Int)
(declare-fun locOpenBrace_pre_28_22_13 () Int)
(declare-fun locOpenBrace_28_22_13 () Int)
(declare-fun count_pre_16_67_33 () Int)
(declare-fun count_16_67_33 () Int)
(declare-fun LT_pre_32_29_26 () Int)
(declare-fun INITBLOCK_pre_33_21_7 () Int)
(declare-fun TYPEOBJECTDESIGNATOR_pre_33_62_7 () Int)
(declare-fun type_pre_139_20_28 () Int)
(declare-fun type_139_20_28 () Int)
(declare-fun DOUBLELIT_pre_31_43_26 () Int)
(declare-fun locFirstSemi_pre_119_36_13 () Int)
(declare-fun locFirstSemi_119_36_13 () Int)
(declare-fun POSTFIXINC_pre_32_62_26 () Int)
(declare-fun locOpenBracket_pre_127_20_13 () Int)
(declare-fun locOpenBracket_127_20_13 () Int)
(declare-fun ARRAYREFEXPR_pre_33_48_7 () Int)
(declare-fun INTTYPE_pre_31_28_26 () Int)
(declare-fun locId_pre_25_38_13 () Int)
(declare-fun locId_25_38_13 () Int)
(declare-fun locOp_pre_40_43_13 () Int)
(declare-fun locOp_40_43_13 () Int)
(declare-fun locId_pre_138_25_13 () Int)
(declare-fun locId_138_25_13 () Int)
(declare-fun loc_pre_129_49_13 () Int)
(declare-fun loc_129_49_13 () Int)
(declare-fun THROWSTMT_pre_33_34_7 () Int)
(declare-fun loc_pre_99_18_13 () Int)
(declare-fun loc_99_18_13 () Int)
(declare-fun ASGADD_pre_32_44_26 () Int)
(declare-fun type_pre_129_24_28 () Int)
(declare-fun type_129_24_28 () Int)
(declare-fun locOpenBrace_pre_36_51_13 () Int)
(declare-fun locOpenBrace_36_51_13 () Int)
(declare-fun loc_pre_105_18_13 () Int)
(declare-fun loc_105_18_13 () Int)
(declare-fun loc_pre_92_29_13 () Int)
(declare-fun loc_92_29_13 () Int)
(declare-fun NULL_pre_15_60_26 () Int)
(declare-fun LE_pre_32_28_26 () Int)
(declare-fun METHODDECL_pre_33_20_7 () Int)
(declare-fun EXPROBJECTDESIGNATOR_pre_33_61_7 () Int)
(declare-fun FLOATLIT_pre_31_42_26 () Int)
(declare-fun locOpenParen_pre_133_21_13 () Int)
(declare-fun locOpenParen_133_21_13 () Int)
(declare-fun elements_pre_18_61_43 () Int)
(declare-fun elements_18_61_43 () Int)
(declare-fun DEC_pre_32_59_26 () Int)
(declare-fun THISEXPR_pre_33_47_7 () Int)
(declare-fun BOOLEANTYPE_pre_31_27_26 () Int)
(declare-fun RETURNSTMT_pre_33_33_7 () Int)
(declare-fun ASGREM_pre_32_43_26 () Int)
(declare-fun locOpenBrackets_pre_129_65_29 () Int)
(declare-fun locOpenBrackets_129_65_29 () Int)
(declare-fun GT_pre_32_27_26 () Int)
(declare-fun CONSTRUCTORDECL_pre_33_19_7 () Int)
(declare-fun CLASSLITERAL_pre_33_60_7 () Int)
(declare-fun CHARLIT_pre_31_41_26 () Int)
(declare-fun INC_pre_32_58_26 () Int)
(declare-fun ARRAYINIT_pre_33_46_7 () Int)
(declare-fun locDot_pre_93_21_13 () Int)
(declare-fun locDot_93_21_13 () Int)
(declare-fun IDENT_pre_31_25_26 () Int)
(declare-fun returnType_pre_18_28 () Int)
(declare-fun returnType_18_28 () Int)
(declare-fun locGuardOpenParen_pre_108_23_13 () Int)
(declare-fun locGuardOpenParen_108_23_13 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_44_28_26 () Int)
(declare-fun locOpenParen_pre_137_30_13 () Int)
(declare-fun locOpenParen_137_30_13 () Int)
(declare-fun EVALSTMT_pre_33_32_7 () Int)
(declare-fun ASGDIV_pre_32_42_26 () Int)
(declare-fun loc_pre_123_23_13 () Int)
(declare-fun loc_123_23_13 () Int)
(declare-fun locOpenBrace_pre_4_36_13 () Int)
(declare-fun locOpenBrace_4_36_13 () Int)
(declare-fun loc_pre_109_20_13 () Int)
(declare-fun loc_109_20_13 () Int)
(declare-fun enclosingInstance_pre_124_37_14 () Int)
(declare-fun enclosingInstance_124_37_14 () Int)
(declare-fun GE_pre_32_26_26 () Int)
(declare-fun INTERFACEDECL_pre_33_18_7 () Int)
(declare-fun METHODINVOCATION_pre_33_59_7 () Int)
(declare-fun LONGLIT_pre_31_40_26 () Int)
(declare-fun BITNOT_pre_32_57_26 () Int)
(declare-fun syntax_pre_14_28_29 () Int)
(declare-fun syntax_14_28_29 () Int)
(declare-fun count_pre_18_67_33 () Int)
(declare-fun count_18_67_33 () Int)
(declare-fun CATCHCLAUSE_pre_33_45_7 () Int)
(declare-fun body_pre_4_34_19 () Int)
(declare-fun body_4_34_19 () Int)
(declare-fun type_pre_25_35_28 () Int)
(declare-fun type_25_35_28 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_44_27_26 () Int)
(declare-fun locOpenBracket_pre_143_21_13 () Int)
(declare-fun locOpenBracket_143_21_13 () Int)
(declare-fun dims_pre_129_45_31 () Int)
(declare-fun dims_129_45_31 () Int)
(declare-fun ASGMUL_pre_32_41_26 () Int)
(declare-fun SYNCHRONIZESTMT_pre_33_31_7 () Int)
(declare-fun loc_pre_135_22_13 () Int)
(declare-fun loc_135_22_13 () Int)
(declare-fun elements_pre_87_61_39 () Int)
(declare-fun elements_87_61_39 () Int)
(declare-fun locId_pre_36_48_13 () Int)
(declare-fun locId_36_48_13 () Int)
(declare-fun raises_pre_4_32_35 () Int)
(declare-fun raises_4_32_35 () Int)
(declare-fun loc_pre_110_20_13 () Int)
(declare-fun loc_110_20_13 () Int)
(declare-fun EQ_pre_32_25_26 () Int)
(declare-fun CLASSDECL_pre_33_17_7 () Int)
(declare-fun AMBIGUOUSMETHODINVOCATION_pre_33_58_7 () Int)
(declare-fun INTLIT_pre_31_39_26 () Int)
(declare-fun loc_pre_119_33_13 () Int)
(declare-fun loc_119_33_13 () Int)
(declare-fun id_pre_138_20_34 () Int)
(declare-fun id_138_20_34 () Int)
(declare-fun NOT_pre_32_56_26 () Int)
(declare-fun type_pre_133_18_28 () Int)
(declare-fun type_133_18_28 () Int)
(declare-fun CONSTRUCTORINVOCATION_pre_33_44_7 () Int)
(declare-fun otherStrings_pre_44_193_30 () Int)
(declare-fun locDot_pre_128_29_13 () Int)
(declare-fun locDot_128_29_13 () Int)
(declare-fun noTokens_pre_44_212_27 () Int)
(declare-fun STMTPRAGMA_pre_44_26_26 () Int)
(declare-fun locFinally_pre_122_25_13 () Int)
(declare-fun locFinally_122_25_13 () Int)
(declare-fun ASSIGN_pre_32_40_26 () Int)
(declare-fun DOSTMT_pre_33_30_7 () Int)
(declare-fun elements_pre_19_61_37 () Int)
(declare-fun elements_19_61_37 () Int)
(declare-fun NE_pre_32_24_26 () Int)
(declare-fun ONDEMANDIMPORTDECL_pre_33_16_7 () Int)
(declare-fun FIELDACCESS_pre_33_57_7 () Int)
(declare-fun BOOLEANLIT_pre_31_38_26 () Int)
(declare-fun loc_pre_42_35_13 () Int)
(declare-fun loc_42_35_13 () Int)
(declare-fun locOpenParen_pre_128_52_13 () Int)
(declare-fun locOpenParen_128_52_13 () Int)
(declare-fun UNARYSUB_pre_32_55_26 () Int)
(declare-fun loc_pre_37_50_13 () Int)
(declare-fun loc_37_50_13 () Int)
(declare-fun loc_pre_77_30_13 () Int)
(declare-fun loc_77_30_13 () Int)
(declare-fun TRYCATCHSTMT_pre_33_43_7 () Int)
(declare-fun punctuationCodes_pre_44_164_19 () Int)
(declare-fun punctuationStrings_pre_44_134_22 () Int)
(declare-fun tag_pre_37_32_13 () Int)
(declare-fun tag_37_32_13 () Int)
(declare-fun MODIFIERPRAGMA_pre_44_25_26 () Int)
(declare-fun decl_pre_138_34_20 () Int)
(declare-fun decl_138_34_20 () Int)
(declare-fun STAR_pre_32_37_26 () Int)
(declare-fun WHILESTMT_pre_33_29_7 () Int)
(declare-fun args_pre_4_30_41 () Int)
(declare-fun args_4_30_41 () Int)
(declare-fun count_pre_87_67_33 () Int)
(declare-fun count_87_67_33 () Int)
(declare-fun BITAND_pre_32_23_26 () Int)
(declare-fun SINGLETYPEIMPORTDECL_pre_33_15_7 () Int)
(declare-fun VARIABLEACCESS_pre_33_56_7 () Int)
(declare-fun SHORTTYPE_pre_31_36_26 () Int)
(declare-fun UNARYADD_pre_32_54_26 () Int)
(declare-fun locOpenParen_pre_124_48_13 () Int)
(declare-fun locOpenParen_124_48_13 () Int)
(declare-fun TRYFINALLYSTMT_pre_33_42_7 () Int)
(declare-fun LEXICALPRAGMA_pre_44_24_26 () Int)
(declare-fun ids_pre_146_19_37 () Int)
(declare-fun ids_146_19_37 () Int)
(declare-fun MOD_pre_32_36_26 () Int)
(declare-fun CLASSDECLSTMT_pre_33_28_7 () Int)
(declare-fun locThrowsKeyword_pre_4_48_13 () Int)
(declare-fun locThrowsKeyword_4_48_13 () Int)
(declare-fun locOp_pre_41_32_13 () Int)
(declare-fun locOp_41_32_13 () Int)
(declare-fun BITXOR_pre_32_22_26 () Int)
(declare-fun COMPILATIONUNIT_pre_33_14_7 () Int)
(declare-fun AMBIGUOUSVARIABLEACCESS_pre_33_55_7 () Int)
(declare-fun loc_pre_36_45_13 () Int)
(declare-fun loc_36_45_13 () Int)
(declare-fun count_pre_19_67_33 () Int)
(declare-fun count_19_67_33 () Int)
(declare-fun BYTETYPE_pre_31_35_26 () Int)
(declare-fun keywordStrings_pre_44_181_30 () Int)
(declare-fun ASGBITXOR_pre_32_51_26 () Int)
(declare-fun locId_pre_4_43_13 () Int)
(declare-fun locId_4_43_13 () Int)
(declare-fun loc_pre_108_20_13 () Int)
(declare-fun loc_108_20_13 () Int)
(declare-fun SWITCHLABEL_pre_33_41_7 () Int)
(declare-fun locCloseParen_pre_134_21_13 () Int)
(declare-fun locCloseParen_134_21_13 () Int)
(declare-fun DIV_pre_32_35_26 () Int)
(declare-fun VARDECLSTMT_pre_33_27_7 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun index_49_34 () Int)
(declare-fun arg0_52_14_52_14_20__ () Int)
(declare-fun after_52_14_52_14 () Int)
(declare-fun RES_52_14_52_14 () Int)
(declare-fun EC_52_14_52_14 () Int)
(declare-fun ecReturn () Int)
(declare-fun tmp0_cond_57_35 () Int)
(declare-fun XRES () Int)
(declare-fun XRES_1_ () Int)
(declare-fun RES () Int)
(declare-fun RES_1_ () Int)
(declare-fun EC () Int)
(declare-fun EC_1_ () Int)
(declare-fun this_57_57_57_57 () Int)
(declare-fun RES_57_57_57_57 () Int)
(declare-fun EC_57_57_57_57 () Int)
(declare-fun XRES_57_57_57_57 () Int)
(declare-fun tmp1_cand_58_9 () Int)
(declare-fun tmp1_cand_58_20 () Int)
(declare-fun tmp2_pmodifiers_59_15 () Int)
(declare-fun index_60_10 () Int)
(declare-fun XRES_2_ () Int)
(declare-fun RES_2_ () Int)
(declare-fun tmp3_cond_62_35 () Int)
(declare-fun EC_2_ () Int)
(declare-fun this_62_57_62_57 () Int)
(declare-fun RES_62_57_62_57 () Int)
(declare-fun EC_62_57_62_57 () Int)
(declare-fun XRES_62_57_62_57 () Int)
(declare-fun tmp4_cand_63_9 () Int)
(declare-fun tmp4_cand_63_20 () Int)
(declare-fun tmp5_tmodifiers_64_15 () Int)
(declare-fun index_65_10 () Int)
(declare-fun XRES_3_ () Int)
(declare-fun tmp6_cond_67_29 () Int)
(declare-fun RES_3_ () Int)
(declare-fun EC_3_ () Int)
(declare-fun this_67_45_67_45 () Int)
(declare-fun RES_67_45_67_45 () Int)
(declare-fun EC_67_45_67_45 () Int)
(declare-fun XRES_67_45_67_45 () Int)
(declare-fun tmp7_cand_68_9 () Int)
(declare-fun tmp7_cand_68_20 () Int)
(declare-fun tmp8_args_69_15 () Int)
(declare-fun index_70_10 () Int)
(declare-fun tmp9_cond_72_31 () Int)
(declare-fun XRES_4_ () Int)
(declare-fun RES_4_ () Int)
(declare-fun EC_4_ () Int)
(declare-fun this_72_49_72_49 () Int)
(declare-fun RES_72_49_72_49 () Int)
(declare-fun EC_72_49_72_49 () Int)
(declare-fun XRES_72_49_72_49 () Int)
(declare-fun tmp10_cand_73_9 () Int)
(declare-fun tmp10_cand_73_20 () Int)
(declare-fun tmp11_raises_74_15 () Int)
(declare-fun index_75_10 () Int)
(declare-fun index_78_10 () Int)
(declare-fun index_81_10 () Int)
(declare-fun index_84_10 () Int)
(declare-fun arg0_86_11_86_11_20__ () Int)
(declare-fun after_86_11_86_11 () Int)
(declare-fun RES_86_11_86_11 () Int)
(declare-fun EC_86_11_86_11 () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String)) (?v_5 (arrayLength otherStrings_44_193_30)) (?v_4 (arrayLength punctuationStrings_44_134_22)) (?v_3 (arrayLength keywordStrings_44_181_30)) (?v_13 (<= 0 index_49_34)) (?v_2 (S_select owner_9_35_28 punctuationCodes_44_164_19)) (?v_7 (< index_49_34 0)) (?v_8 (= true_term true_term)) (?v_6 (not (= RES_52_14_52_14 null))) (?v_11 (S_select pmodifiers_4_26_27 this))) (let ((?v_10 (= ?v_11 null))) (let ((?v_9 (not ?v_10)) (?v_12 (= EC_57_57_57_57 ecReturn)) (?v_15 (= true_term tmp1_cand_58_20)) (?v_14 (not (= tmp2_pmodifiers_59_15 null))) (?v_18 (S_select tmodifiers_4_28_31 this))) (let ((?v_17 (= ?v_18 null))) (let ((?v_16 (not ?v_17)) (?v_19 (= EC_62_57_62_57 ecReturn)) (?v_20 (<= 0 index_60_10)) (?v_22 (= true_term tmp4_cand_63_20)) (?v_21 (not (= tmp5_tmodifiers_64_15 null))) (?v_24 (S_select args_4_30_41 this))) (let ((?v_23 (= ?v_24 null)) (?v_25 (= EC_67_45_67_45 ecReturn)) (?v_26 (<= 0 index_65_10)) (?v_27 (= true_term tmp7_cand_68_20)) (?v_29 (S_select raises_4_32_35 this))) (let ((?v_28 (= ?v_29 null)) (?v_30 (= EC_72_49_72_49 ecReturn)) (?v_31 (<= 0 index_70_10)) (?v_32 (= true_term tmp10_cand_73_20)) (?v_33 (not (= RES_86_11_86_11 null)))) (not (=> (and true (not (= S_52_44 null)) (= (typeof S_52_44) T_java_lang_String) (not (= S_86_41 null)) (= (typeof S_86_41) T_java_lang_String)) (=> (and (= tmodifiers_pre_4_28_31 tmodifiers_4_28_31) (= tmodifiers_4_28_31 (asField tmodifiers_4_28_31 T_javafe_ast_TypeModifierPragmaVec)) (< (fClosedTime tmodifiers_4_28_31) alloc) (= loc_pre_122_22_13 loc_122_22_13) (= loc_122_22_13 (asField loc_122_22_13 T_int)) (= BITOR_pre_32_21_26 BITOR_32_21_26) (= true_term (is BITOR_32_21_26 T_int)) (= elemType_pre_143_18_28 elemType_143_18_28) (= elemType_143_18_28 (asField elemType_143_18_28 T_javafe_ast_Type)) (< (fClosedTime elemType_143_18_28) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select elemType_143_18_28 ?s) null)))) (= PARENEXPR_pre_33_54_7 PARENEXPR_33_54_7) (= true_term (is PARENEXPR_33_54_7 T_int)) (= id_pre_15_34 id_15_34) (= id_15_34 (asField id_15_34 T_javafe_ast_Identifier)) (< (fClosedTime id_15_34) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select id_15_34 ?s_1_) null)))) (= NULLTYPE_pre_31_34_26 NULLTYPE_31_34_26) (= true_term (is NULLTYPE_31_34_26 T_int)) (= LAST_KEYWORD_pre_44_103_26 LAST_KEYWORD_44_103_26) (= true_term (is LAST_KEYWORD_44_103_26 T_int)) (= ASGBITOR_pre_32_50_26 ASGBITOR_32_50_26) (= true_term (is ASGBITOR_32_50_26 T_int)) (= elements_pre_130_61_33 elements_130_61_33) (= elements_130_61_33 (asField elements_130_61_33 (array T_javafe_ast_Expr))) (< (fClosedTime elements_130_61_33) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select elements_130_61_33 ?s_2_) null)))) (= enclosingInstance_pre_128_25_14 enclosingInstance_128_25_14) (= enclosingInstance_128_25_14 (asField enclosingInstance_128_25_14 T_javafe_ast_Expr)) (< (fClosedTime enclosingInstance_128_25_14) alloc) (= loc_pre_128_49_13 loc_128_49_13) (= loc_128_49_13 (asField loc_128_49_13 T_int)) (= value_pre_37_45_16 value_37_45_16) (= value_37_45_16 (asField value_37_45_16 T_java_lang_Object)) (< (fClosedTime value_37_45_16) alloc) (= SKIPSTMT_pre_33_40_7 SKIPSTMT_33_40_7) (= true_term (is SKIPSTMT_33_40_7 T_int)) (= loc_pre_115_18_13 loc_115_18_13) (= loc_115_18_13 (asField loc_115_18_13 T_int)) (= op_pre_40_35_13 op_40_35_13) (= op_40_35_13 (asField op_40_35_13 T_int)) (= locColon_pre_131_25_13 locColon_131_25_13) (= locColon_131_25_13 (asField locColon_131_25_13 T_int)) (= tag_pre_42_30_13 tag_42_30_13) (= tag_42_30_13 (asField tag_42_30_13 T_int)) (= loc_pre_125_22_13 loc_125_22_13) (= loc_125_22_13 (asField loc_125_22_13 T_int)) (= elements_pre_86_61_38 elements_86_61_38) (= elements_86_61_38 (asField elements_86_61_38 (array T_javafe_ast_FieldDecl))) (< (fClosedTime elements_86_61_38) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select elements_86_61_38 ?s_3_) null)))) (= pmodifiers_pre_4_26_27 pmodifiers_4_26_27) (= pmodifiers_4_26_27 (asField pmodifiers_4_26_27 T_javafe_ast_ModifierPragmaVec)) (< (fClosedTime pmodifiers_4_26_27) alloc) (= SUB_pre_32_34_26 SUB_32_34_26) (= true_term (is SUB_32_34_26 T_int)) (= SWITCHSTMT_pre_33_26_7 SWITCHSTMT_33_26_7) (= true_term (is SWITCHSTMT_33_26_7 T_int)) (= COMPOUNDNAME_pre_33_67_7 COMPOUNDNAME_33_67_7) (= true_term (is COMPOUNDNAME_33_67_7 T_int)) (= FIRST_KEYWORD_pre_44_51_26 FIRST_KEYWORD_44_51_26) (= true_term (is FIRST_KEYWORD_44_51_26 T_int)) (= loc_pre_121_29_13 loc_121_29_13) (= loc_121_29_13 (asField loc_121_29_13 T_int)) (= loc_pre_144_20_13 loc_144_20_13) (= loc_144_20_13 (asField loc_144_20_13 T_int)) (= CASTEXPR_pre_33_53_7 CASTEXPR_33_53_7) (= true_term (is CASTEXPR_33_53_7 T_int)) (= locCloseBrace_pre_126_24_13 locCloseBrace_126_24_13) (= locCloseBrace_126_24_13 (asField locCloseBrace_126_24_13 T_int)) (= loc_pre_113_18_13 loc_113_18_13) (= loc_113_18_13 (asField loc_113_18_13 T_int)) (= loc_pre_132_21_13 loc_132_21_13) (= loc_132_21_13 (asField loc_132_21_13 T_int)) (= modifiers_pre_4_24_13 modifiers_4_24_13) (= modifiers_4_24_13 (asField modifiers_4_24_13 T_int)) (= VOIDTYPE_pre_31_33_26 VOIDTYPE_31_33_26) (= true_term (is VOIDTYPE_31_33_26 T_int)) (= locIds_pre_146_25_29 locIds_146_25_29) (= locIds_146_25_29 (asField locIds_146_25_29 ?v_0)) (< (fClosedTime locIds_146_25_29) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select locIds_146_25_29 ?s_4_) null)))) (= locDot_pre_139_23_13 locDot_139_23_13) (= locDot_139_23_13 (asField locDot_139_23_13 T_int)) (= ASGBITAND_pre_32_49_26 ASGBITAND_32_49_26) (= true_term (is ASGBITAND_32_49_26 T_int)) (= elements_pre_145_61_39 elements_145_61_39) (= elements_145_61_39 (asField elements_145_61_39 (array T_javafe_ast_Identifier))) (< (fClosedTime elements_145_61_39) alloc) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (not (= (S_select elements_145_61_39 ?s_5_) null)))) (= locId_pre_136_24_13 locId_136_24_13) (= locId_136_24_13 (asField locId_136_24_13 T_int)) (= init_pre_129_35_19 init_129_35_19) (= init_129_35_19 (asField init_129_35_19 T_javafe_ast_ArrayInit)) (< (fClosedTime init_129_35_19) alloc) (= FORSTMT_pre_33_39_7 FORSTMT_33_39_7) (= true_term (is FORSTMT_33_39_7 T_int)) (= locKeyword_pre_124_45_13 locKeyword_124_45_13) (= locKeyword_124_45_13 (asField locKeyword_124_45_13 T_int)) (= ADD_pre_32_33_26 ADD_32_33_26) (= true_term (is ADD_32_33_26 T_int)) (= BLOCKSTMT_pre_33_25_7 BLOCKSTMT_33_25_7) (= true_term (is BLOCKSTMT_33_25_7 T_int)) (= SIMPLENAME_pre_33_66_7 SIMPLENAME_33_66_7) (= true_term (is SIMPLENAME_33_66_7 T_int)) (= locSuper_pre_142_20_13 locSuper_142_20_13) (= locSuper_142_20_13 (asField locSuper_142_20_13 T_int)) (= TYPESIG_pre_43_6_28 TYPESIG_43_6_28) (= true_term (is TYPESIG_43_6_28 T_int)) (= tokenType_pre_30_90_8 tokenType_30_90_8) (= tokenType_30_90_8 (asField tokenType_30_90_8 T_int)) (= INSTANCEOFEXPR_pre_33_52_7 INSTANCEOFEXPR_33_52_7) (= true_term (is INSTANCEOFEXPR_33_52_7 T_int)) (= NULL_pre_44_82_26 NULL_44_82_26) (= true_term (is NULL_44_82_26 T_int)) (= DOUBLETYPE_pre_31_32_26 DOUBLETYPE_31_32_26) (= true_term (is DOUBLETYPE_31_32_26 T_int)) (= count_pre_130_67_33 count_130_67_33) (= count_130_67_33 (asField count_130_67_33 T_int)) (= AND_pre_32_20_26 AND_32_20_26) (= true_term (is AND_32_20_26 T_int)) (= ASGURSHIFT_pre_32_48_26 ASGURSHIFT_32_48_26) (= true_term (is ASGURSHIFT_32_48_26 T_int)) (= locCloseBrace_pre_28_25_13 locCloseBrace_28_25_13) (= locCloseBrace_28_25_13 (asField locCloseBrace_28_25_13 T_int)) (= loc_pre_4_40_13 loc_4_40_13) (= loc_4_40_13 (asField loc_4_40_13 T_int)) (= IFSTMT_pre_33_38_7 IFSTMT_33_38_7) (= true_term (is IFSTMT_33_38_7 T_int)) (= locCloseBracket_pre_127_23_13 locCloseBracket_127_23_13) (= locCloseBracket_127_23_13 (asField locCloseBracket_127_23_13 T_int)) (= count_pre_86_67_33 count_86_67_33) (= count_86_67_33 (asField count_86_67_33 T_int)) (= URSHIFT_pre_32_32_26 URSHIFT_32_32_26) (= true_term (is URSHIFT_32_32_26 T_int)) (= FORMALPARADECL_pre_33_24_7 FORMALPARADECL_33_24_7) (= true_term (is FORMALPARADECL_33_24_7 T_int)) (= ARRAYTYPE_pre_33_65_7 ARRAYTYPE_33_65_7) (= true_term (is ARRAYTYPE_33_65_7 T_int)) (= locId_pre_117_20_13 locId_117_20_13) (= locId_117_20_13 (asField locId_117_20_13 T_int)) (= loc_pre_112_18_13 loc_112_18_13) (= loc_112_18_13 (asField loc_112_18_13 T_int)) (= I_will_establish_invariants_afterwards_pre_6_236_34 I_will_establish_invariants_afterwards_6_236_34) (= true_term (is I_will_establish_invariants_afterwards_6_236_34 T_boolean)) (= owner_pre_9_35_28 owner_9_35_28) (= owner_9_35_28 (asField owner_9_35_28 T_java_lang_Object)) (< (fClosedTime owner_9_35_28) alloc) (= otherCodes_pre_44_202_27 otherCodes_44_202_27) (= true_term (is otherCodes_44_202_27 ?v_0)) (= true_term (isAllocated otherCodes_44_202_27 alloc)) (= CONDEXPR_pre_33_51_7 CONDEXPR_33_51_7) (= true_term (is CONDEXPR_33_51_7 T_int)) (= locType_pre_21_13 locType_21_13) (= locType_21_13 (asField locType_21_13 T_int)) (= FLOATTYPE_pre_31_31_26 FLOATTYPE_31_31_26) (= true_term (is FLOATTYPE_31_31_26 T_int)) (= superCall_pre_124_24_17 superCall_124_24_17) (= superCall_124_24_17 (asField superCall_124_24_17 T_boolean)) (= loc_pre_120_16_13 loc_120_16_13) (= loc_120_16_13 (asField loc_120_16_13 T_int)) (= locOpenParen_pre_138_28_13 locOpenParen_138_28_13) (= locOpenParen_138_28_13 (asField locOpenParen_138_28_13 T_int)) (= OR_pre_32_19_26 OR_32_19_26) (= true_term (is OR_32_19_26 T_int)) (= locDots_pre_146_31_29 locDots_146_31_29) (= locDots_146_31_29 (asField locDots_146_31_29 ?v_0)) (< (fClosedTime locDots_146_31_29) alloc) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (not (= (S_select locDots_146_31_29 ?s_6_) null)))) (= count_pre_145_67_33 count_145_67_33) (= count_145_67_33 (asField count_145_67_33 T_int)) (= LABELSTMT_pre_33_37_7 LABELSTMT_33_37_7) (= true_term (is LABELSTMT_33_37_7 T_int)) (= elements_pre_17_61_47 elements_17_61_47) (= elements_17_61_47 (asField elements_17_61_47 (array T_javafe_ast_TypeModifierPragma))) (< (fClosedTime elements_17_61_47) alloc) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (not (= (S_select elements_17_61_47 ?s_7_) null)))) (= ASGRSHIFT_pre_32_47_26 ASGRSHIFT_32_47_26) (= true_term (is ASGRSHIFT_32_47_26 T_int)) (= locCloseBrace_pre_36_54_13 locCloseBrace_36_54_13) (= locCloseBrace_36_54_13 (asField locCloseBrace_36_54_13 T_int)) (= locCloseParen_pre_133_24_13 locCloseParen_133_24_13) (= locCloseParen_133_24_13 (asField locCloseParen_133_24_13 T_int)) (= RSHIFT_pre_32_31_26 RSHIFT_32_31_26) (= true_term (is RSHIFT_32_31_26 T_int)) (= FIELDDECL_pre_33_23_7 FIELDDECL_33_23_7) (= true_term (is FIELDDECL_33_23_7 T_int)) (= TYPENAME_pre_33_64_7 TYPENAME_33_64_7) (= true_term (is TYPENAME_33_64_7 T_int)) (= locQuestion_pre_131_22_13 locQuestion_131_22_13) (= locQuestion_131_22_13 (asField locQuestion_131_22_13 T_int)) (= elements_pre_16_61_43 elements_16_61_43) (= elements_16_61_43 (asField elements_16_61_43 (array T_javafe_ast_ModifierPragma))) (< (fClosedTime elements_16_61_43) alloc) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (not (= (S_select elements_16_61_43 ?s_8_) null)))) (= NULLLIT_pre_31_45_26 NULLLIT_31_45_26) (= true_term (is NULLLIT_31_45_26 T_int)) (= NEWARRAYEXPR_pre_33_50_7 NEWARRAYEXPR_33_50_7) (= true_term (is NEWARRAYEXPR_33_50_7 T_int)) (= loc_pre_118_22_13 loc_118_22_13) (= loc_118_22_13 (asField loc_118_22_13 T_int)) (= locOpenParen_pre_134_18_13 locOpenParen_134_18_13) (= locOpenParen_134_18_13 (asField locOpenParen_134_18_13 T_int)) (= CHARTYPE_pre_31_30_26 CHARTYPE_31_30_26) (= true_term (is CHARTYPE_31_30_26 T_int)) (= type_pre_132_18_28 type_132_18_28) (= type_132_18_28 (asField type_132_18_28 T_javafe_ast_Type)) (< (fClosedTime type_132_18_28) alloc) (forall ((?s_9_ Int)) (=> (not (= ?s_9_ null)) (not (= (S_select type_132_18_28 ?s_9_) null)))) (= locOpenBrace_pre_126_21_13 locOpenBrace_126_21_13) (= locOpenBrace_126_21_13 (asField locOpenBrace_126_21_13 T_int)) (= op_pre_41_26_13 op_41_26_13) (= op_41_26_13 (asField op_41_26_13 T_int)) (= CONTINUESTMT_pre_33_36_7 CONTINUESTMT_33_36_7) (= true_term (is CONTINUESTMT_33_36_7 T_int)) (= ASGLSHIFT_pre_32_46_26 ASGLSHIFT_32_46_26) (= true_term (is ASGLSHIFT_32_46_26 T_int)) (= length_pre_90_50_25 length_90_50_25) (= length_90_50_25 (asField length_90_50_25 T_int)) (= LSHIFT_pre_32_30_26 LSHIFT_32_30_26) (= true_term (is LSHIFT_32_30_26 T_int)) (= LOCALVARDECL_pre_33_22_7 LOCALVARDECL_33_22_7) (= true_term (is LOCALVARDECL_33_22_7 T_int)) (= SUPEROBJECTDESIGNATOR_pre_33_63_7 SUPEROBJECTDESIGNATOR_33_63_7) (= true_term (is SUPEROBJECTDESIGNATOR_33_63_7 T_int)) (= locDot_pre_124_41_13 locDot_124_41_13) (= locDot_124_41_13 (asField locDot_124_41_13 T_int)) (= STRINGLIT_pre_31_44_26 STRINGLIT_31_44_26) (= true_term (is STRINGLIT_31_44_26 T_int)) (= POSTFIXDEC_pre_32_63_26 POSTFIXDEC_32_63_26) (= true_term (is POSTFIXDEC_32_63_26 T_int)) (= NEWINSTANCEEXPR_pre_33_49_7 NEWINSTANCEEXPR_33_49_7) (= true_term (is NEWINSTANCEEXPR_33_49_7 T_int)) (= LONGTYPE_pre_31_29_26 LONGTYPE_31_29_26) (= true_term (is LONGTYPE_31_29_26 T_int)) (= locOpenParen_pre_110_23_13 locOpenParen_110_23_13) (= locOpenParen_110_23_13 (asField locOpenParen_110_23_13 T_int)) (= count_pre_17_67_33 count_17_67_33) (= count_17_67_33 (asField count_17_67_33 T_int)) (= BREAKSTMT_pre_33_35_7 BREAKSTMT_33_35_7) (= true_term (is BREAKSTMT_33_35_7 T_int)) (= ASGSUB_pre_32_45_26 ASGSUB_32_45_26) (= true_term (is ASGSUB_32_45_26 T_int)) (= locOpenBrace_pre_28_22_13 locOpenBrace_28_22_13) (= locOpenBrace_28_22_13 (asField locOpenBrace_28_22_13 T_int)) (= count_pre_16_67_33 count_16_67_33) (= count_16_67_33 (asField count_16_67_33 T_int)) (= LT_pre_32_29_26 LT_32_29_26) (= true_term (is LT_32_29_26 T_int)) (= INITBLOCK_pre_33_21_7 INITBLOCK_33_21_7) (= true_term (is INITBLOCK_33_21_7 T_int)) (= TYPEOBJECTDESIGNATOR_pre_33_62_7 TYPEOBJECTDESIGNATOR_33_62_7) (= true_term (is TYPEOBJECTDESIGNATOR_33_62_7 T_int)) (= type_pre_139_20_28 type_139_20_28) (= type_139_20_28 (asField type_139_20_28 T_javafe_ast_Type)) (< (fClosedTime type_139_20_28) alloc) (forall ((?s_10_ Int)) (=> (not (= ?s_10_ null)) (not (= (S_select type_139_20_28 ?s_10_) null)))) (= DOUBLELIT_pre_31_43_26 DOUBLELIT_31_43_26) (= true_term (is DOUBLELIT_31_43_26 T_int)) (= locFirstSemi_pre_119_36_13 locFirstSemi_119_36_13) (= locFirstSemi_119_36_13 (asField locFirstSemi_119_36_13 T_int)) (= POSTFIXINC_pre_32_62_26 POSTFIXINC_32_62_26) (= true_term (is POSTFIXINC_32_62_26 T_int)) (= locOpenBracket_pre_127_20_13 locOpenBracket_127_20_13) (= locOpenBracket_127_20_13 (asField locOpenBracket_127_20_13 T_int)) (= ARRAYREFEXPR_pre_33_48_7 ARRAYREFEXPR_33_48_7) (= true_term (is ARRAYREFEXPR_33_48_7 T_int)) (= INTTYPE_pre_31_28_26 INTTYPE_31_28_26) (= true_term (is INTTYPE_31_28_26 T_int)) (= locId_pre_25_38_13 locId_25_38_13) (= locId_25_38_13 (asField locId_25_38_13 T_int)) (= locOp_pre_40_43_13 locOp_40_43_13) (= locOp_40_43_13 (asField locOp_40_43_13 T_int)) (= locId_pre_138_25_13 locId_138_25_13) (= locId_138_25_13 (asField locId_138_25_13 T_int)) (= loc_pre_129_49_13 loc_129_49_13) (= loc_129_49_13 (asField loc_129_49_13 T_int)) (= THROWSTMT_pre_33_34_7 THROWSTMT_33_34_7) (= true_term (is THROWSTMT_33_34_7 T_int)) (= loc_pre_99_18_13 loc_99_18_13) (= loc_99_18_13 (asField loc_99_18_13 T_int)) (= ASGADD_pre_32_44_26 ASGADD_32_44_26) (= true_term (is ASGADD_32_44_26 T_int)) (= type_pre_129_24_28 type_129_24_28) (= type_129_24_28 (asField type_129_24_28 T_javafe_ast_Type)) (< (fClosedTime type_129_24_28) alloc) (forall ((?s_11_ Int)) (=> (not (= ?s_11_ null)) (not (= (S_select type_129_24_28 ?s_11_) null)))) (= locOpenBrace_pre_36_51_13 locOpenBrace_36_51_13) (= locOpenBrace_36_51_13 (asField locOpenBrace_36_51_13 T_int)) (= loc_pre_105_18_13 loc_105_18_13) (= loc_105_18_13 (asField loc_105_18_13 T_int)) (= loc_pre_92_29_13 loc_92_29_13) (= loc_92_29_13 (asField loc_92_29_13 T_int)) (= NULL_pre_15_60_26 NULL_15_60_26) (= true_term (is NULL_15_60_26 T_int)) (= LE_pre_32_28_26 LE_32_28_26) (= true_term (is LE_32_28_26 T_int)) (= METHODDECL_pre_33_20_7 METHODDECL_33_20_7) (= true_term (is METHODDECL_33_20_7 T_int)) (= EXPROBJECTDESIGNATOR_pre_33_61_7 EXPROBJECTDESIGNATOR_33_61_7) (= true_term (is EXPROBJECTDESIGNATOR_33_61_7 T_int)) (= FLOATLIT_pre_31_42_26 FLOATLIT_31_42_26) (= true_term (is FLOATLIT_31_42_26 T_int)) (= locOpenParen_pre_133_21_13 locOpenParen_133_21_13) (= locOpenParen_133_21_13 (asField locOpenParen_133_21_13 T_int)) (= elements_pre_18_61_43 elements_18_61_43) (= elements_18_61_43 (asField elements_18_61_43 (array T_javafe_ast_FormalParaDecl))) (< (fClosedTime elements_18_61_43) alloc) (forall ((?s_12_ Int)) (=> (not (= ?s_12_ null)) (not (= (S_select elements_18_61_43 ?s_12_) null)))) (= DEC_pre_32_59_26 DEC_32_59_26) (= true_term (is DEC_32_59_26 T_int)) (= THISEXPR_pre_33_47_7 THISEXPR_33_47_7) (= true_term (is THISEXPR_33_47_7 T_int)) (= BOOLEANTYPE_pre_31_27_26 BOOLEANTYPE_31_27_26) (= true_term (is BOOLEANTYPE_31_27_26 T_int)) (= RETURNSTMT_pre_33_33_7 RETURNSTMT_33_33_7) (= true_term (is RETURNSTMT_33_33_7 T_int)) (= ASGREM_pre_32_43_26 ASGREM_32_43_26) (= true_term (is ASGREM_32_43_26 T_int)) (= locOpenBrackets_pre_129_65_29 locOpenBrackets_129_65_29) (= locOpenBrackets_129_65_29 (asField locOpenBrackets_129_65_29 ?v_0)) (< (fClosedTime locOpenBrackets_129_65_29) alloc) (forall ((?s_13_ Int)) (=> (not (= ?s_13_ null)) (not (= (S_select locOpenBrackets_129_65_29 ?s_13_) null)))) (= GT_pre_32_27_26 GT_32_27_26) (= true_term (is GT_32_27_26 T_int)) (= CONSTRUCTORDECL_pre_33_19_7 CONSTRUCTORDECL_33_19_7) (= true_term (is CONSTRUCTORDECL_33_19_7 T_int)) (= CLASSLITERAL_pre_33_60_7 CLASSLITERAL_33_60_7) (= true_term (is CLASSLITERAL_33_60_7 T_int)) (= CHARLIT_pre_31_41_26 CHARLIT_31_41_26) (= true_term (is CHARLIT_31_41_26 T_int)) (= INC_pre_32_58_26 INC_32_58_26) (= true_term (is INC_32_58_26 T_int)) (= ARRAYINIT_pre_33_46_7 ARRAYINIT_33_46_7) (= true_term (is ARRAYINIT_33_46_7 T_int)) (= locDot_pre_93_21_13 locDot_93_21_13) (= locDot_93_21_13 (asField locDot_93_21_13 T_int)) (= IDENT_pre_31_25_26 IDENT_31_25_26) (= true_term (is IDENT_31_25_26 T_int)) (= returnType_pre_18_28 returnType_18_28) (= returnType_18_28 (asField returnType_18_28 T_javafe_ast_Type)) (< (fClosedTime returnType_18_28) alloc) (forall ((?s_14_ Int)) (=> (not (= ?s_14_ null)) (not (= (S_select returnType_18_28 ?s_14_) null)))) (= locGuardOpenParen_pre_108_23_13 locGuardOpenParen_108_23_13) (= locGuardOpenParen_108_23_13 (asField locGuardOpenParen_108_23_13 T_int)) (= TYPEMODIFIERPRAGMA_pre_44_28_26 TYPEMODIFIERPRAGMA_44_28_26) (= true_term (is TYPEMODIFIERPRAGMA_44_28_26 T_int)) (= locOpenParen_pre_137_30_13 locOpenParen_137_30_13) (= locOpenParen_137_30_13 (asField locOpenParen_137_30_13 T_int)) (= EVALSTMT_pre_33_32_7 EVALSTMT_33_32_7) (= true_term (is EVALSTMT_33_32_7 T_int)) (= ASGDIV_pre_32_42_26 ASGDIV_32_42_26) (= true_term (is ASGDIV_32_42_26 T_int)) (= loc_pre_123_23_13 loc_123_23_13) (= loc_123_23_13 (asField loc_123_23_13 T_int)) (= locOpenBrace_pre_4_36_13 locOpenBrace_4_36_13) (= locOpenBrace_4_36_13 (asField locOpenBrace_4_36_13 T_int)) (= loc_pre_109_20_13 loc_109_20_13) (= loc_109_20_13 (asField loc_109_20_13 T_int)) (= enclosingInstance_pre_124_37_14 enclosingInstance_124_37_14) (= enclosingInstance_124_37_14 (asField enclosingInstance_124_37_14 T_javafe_ast_Expr)) (< (fClosedTime enclosingInstance_124_37_14) alloc) (= GE_pre_32_26_26 GE_32_26_26) (= true_term (is GE_32_26_26 T_int)) (= INTERFACEDECL_pre_33_18_7 INTERFACEDECL_33_18_7) (= true_term (is INTERFACEDECL_33_18_7 T_int)) (= METHODINVOCATION_pre_33_59_7 METHODINVOCATION_33_59_7) (= true_term (is METHODINVOCATION_33_59_7 T_int)) (= LONGLIT_pre_31_40_26 LONGLIT_31_40_26) (= true_term (is LONGLIT_31_40_26 T_int)) (= BITNOT_pre_32_57_26 BITNOT_32_57_26) (= true_term (is BITNOT_32_57_26 T_int)) (= syntax_pre_14_28_29 syntax_14_28_29) (= syntax_14_28_29 (asField syntax_14_28_29 T_boolean)) (= count_pre_18_67_33 count_18_67_33) (= count_18_67_33 (asField count_18_67_33 T_int)) (= CATCHCLAUSE_pre_33_45_7 CATCHCLAUSE_33_45_7) (= true_term (is CATCHCLAUSE_33_45_7 T_int)) (= body_pre_4_34_19 body_4_34_19) (= body_4_34_19 (asField body_4_34_19 T_javafe_ast_BlockStmt)) (< (fClosedTime body_4_34_19) alloc) (= type_pre_25_35_28 type_25_35_28) (= type_25_35_28 (asField type_25_35_28 T_javafe_ast_Type)) (< (fClosedTime type_25_35_28) alloc) (forall ((?s_15_ Int)) (=> (not (= ?s_15_ null)) (not (= (S_select type_25_35_28 ?s_15_) null)))) (= TYPEDECLELEMPRAGMA_pre_44_27_26 TYPEDECLELEMPRAGMA_44_27_26) (= true_term (is TYPEDECLELEMPRAGMA_44_27_26 T_int)) (= locOpenBracket_pre_143_21_13 locOpenBracket_143_21_13) (= locOpenBracket_143_21_13 (asField locOpenBracket_143_21_13 T_int)) (= dims_pre_129_45_31 dims_129_45_31) (= dims_129_45_31 (asField dims_129_45_31 T_javafe_ast_ExprVec)) (< (fClosedTime dims_129_45_31) alloc) (forall ((?s_16_ Int)) (=> (not (= ?s_16_ null)) (not (= (S_select dims_129_45_31 ?s_16_) null)))) (= ASGMUL_pre_32_41_26 ASGMUL_32_41_26) (= true_term (is ASGMUL_32_41_26 T_int)) (= SYNCHRONIZESTMT_pre_33_31_7 SYNCHRONIZESTMT_33_31_7) (= true_term (is SYNCHRONIZESTMT_33_31_7 T_int)) (= loc_pre_135_22_13 loc_135_22_13) (= loc_135_22_13 (asField loc_135_22_13 T_int)) (= elements_pre_87_61_39 elements_87_61_39) (= elements_87_61_39 (asField elements_87_61_39 (array T_javafe_ast_MethodDecl))) (< (fClosedTime elements_87_61_39) alloc) (forall ((?s_17_ Int)) (=> (not (= ?s_17_ null)) (not (= (S_select elements_87_61_39 ?s_17_) null)))) (= locId_pre_36_48_13 locId_36_48_13) (= locId_36_48_13 (asField locId_36_48_13 T_int)) (= raises_pre_4_32_35 raises_4_32_35) (= raises_4_32_35 (asField raises_4_32_35 T_javafe_ast_TypeNameVec)) (< (fClosedTime raises_4_32_35) alloc) (forall ((?s_18_ Int)) (=> (not (= ?s_18_ null)) (not (= (S_select raises_4_32_35 ?s_18_) null)))) (= loc_pre_110_20_13 loc_110_20_13) (= loc_110_20_13 (asField loc_110_20_13 T_int)) (= EQ_pre_32_25_26 EQ_32_25_26) (= true_term (is EQ_32_25_26 T_int)) (= CLASSDECL_pre_33_17_7 CLASSDECL_33_17_7) (= true_term (is CLASSDECL_33_17_7 T_int)) (= AMBIGUOUSMETHODINVOCATION_pre_33_58_7 AMBIGUOUSMETHODINVOCATION_33_58_7) (= true_term (is AMBIGUOUSMETHODINVOCATION_33_58_7 T_int)) (= INTLIT_pre_31_39_26 INTLIT_31_39_26) (= true_term (is INTLIT_31_39_26 T_int)) (= loc_pre_119_33_13 loc_119_33_13) (= loc_119_33_13 (asField loc_119_33_13 T_int)) (= id_pre_138_20_34 id_138_20_34) (= id_138_20_34 (asField id_138_20_34 T_javafe_ast_Identifier)) (< (fClosedTime id_138_20_34) alloc) (forall ((?s_19_ Int)) (=> (not (= ?s_19_ null)) (not (= (S_select id_138_20_34 ?s_19_) null)))) (= NOT_pre_32_56_26 NOT_32_56_26) (= true_term (is NOT_32_56_26 T_int)) (= type_pre_133_18_28 type_133_18_28) (= type_133_18_28 (asField type_133_18_28 T_javafe_ast_Type)) (< (fClosedTime type_133_18_28) alloc) (forall ((?s_20_ Int)) (=> (not (= ?s_20_ null)) (not (= (S_select type_133_18_28 ?s_20_) null)))) (= CONSTRUCTORINVOCATION_pre_33_44_7 CONSTRUCTORINVOCATION_33_44_7) (= true_term (is CONSTRUCTORINVOCATION_33_44_7 T_int)) (= otherStrings_pre_44_193_30 otherStrings_44_193_30) (= true_term (is otherStrings_44_193_30 ?v_1)) (= true_term (isAllocated otherStrings_44_193_30 alloc)) (= locDot_pre_128_29_13 locDot_128_29_13) (= locDot_128_29_13 (asField locDot_128_29_13 T_int)) (= noTokens_pre_44_212_27 noTokens_44_212_27) (= true_term (is noTokens_44_212_27 T_int)) (= STMTPRAGMA_pre_44_26_26 STMTPRAGMA_44_26_26) (= true_term (is STMTPRAGMA_44_26_26 T_int)) (= locFinally_pre_122_25_13 locFinally_122_25_13) (= locFinally_122_25_13 (asField locFinally_122_25_13 T_int)) (= ASSIGN_pre_32_40_26 ASSIGN_32_40_26) (= true_term (is ASSIGN_32_40_26 T_int)) (= DOSTMT_pre_33_30_7 DOSTMT_33_30_7) (= true_term (is DOSTMT_33_30_7 T_int)) (= elements_pre_19_61_37 elements_19_61_37) (= elements_19_61_37 (asField elements_19_61_37 (array T_javafe_ast_TypeName))) (< (fClosedTime elements_19_61_37) alloc) (forall ((?s_21_ Int)) (=> (not (= ?s_21_ null)) (not (= (S_select elements_19_61_37 ?s_21_) null)))) (= NE_pre_32_24_26 NE_32_24_26) (= true_term (is NE_32_24_26 T_int)) (= ONDEMANDIMPORTDECL_pre_33_16_7 ONDEMANDIMPORTDECL_33_16_7) (= true_term (is ONDEMANDIMPORTDECL_33_16_7 T_int)) (= FIELDACCESS_pre_33_57_7 FIELDACCESS_33_57_7) (= true_term (is FIELDACCESS_33_57_7 T_int)) (= BOOLEANLIT_pre_31_38_26 BOOLEANLIT_31_38_26) (= true_term (is BOOLEANLIT_31_38_26 T_int)) (= loc_pre_42_35_13 loc_42_35_13) (= loc_42_35_13 (asField loc_42_35_13 T_int)) (= locOpenParen_pre_128_52_13 locOpenParen_128_52_13) (= locOpenParen_128_52_13 (asField locOpenParen_128_52_13 T_int)) (= UNARYSUB_pre_32_55_26 UNARYSUB_32_55_26) (= true_term (is UNARYSUB_32_55_26 T_int)) (= loc_pre_37_50_13 loc_37_50_13) (= loc_37_50_13 (asField loc_37_50_13 T_int)) (= loc_pre_77_30_13 loc_77_30_13) (= loc_77_30_13 (asField loc_77_30_13 T_int)) (= TRYCATCHSTMT_pre_33_43_7 TRYCATCHSTMT_33_43_7) (= true_term (is TRYCATCHSTMT_33_43_7 T_int)) (= punctuationCodes_pre_44_164_19 punctuationCodes_44_164_19) (= true_term (is punctuationCodes_44_164_19 ?v_0)) (= true_term (isAllocated punctuationCodes_44_164_19 alloc)) (= punctuationStrings_pre_44_134_22 punctuationStrings_44_134_22) (= true_term (is punctuationStrings_44_134_22 ?v_1)) (= true_term (isAllocated punctuationStrings_44_134_22 alloc)) (= tag_pre_37_32_13 tag_37_32_13) (= tag_37_32_13 (asField tag_37_32_13 T_int)) (= MODIFIERPRAGMA_pre_44_25_26 MODIFIERPRAGMA_44_25_26) (= true_term (is MODIFIERPRAGMA_44_25_26 T_int)) (= decl_pre_138_34_20 decl_138_34_20) (= decl_138_34_20 (asField decl_138_34_20 T_javafe_ast_MethodDecl)) (< (fClosedTime decl_138_34_20) alloc) (= STAR_pre_32_37_26 STAR_32_37_26) (= true_term (is STAR_32_37_26 T_int)) (= WHILESTMT_pre_33_29_7 WHILESTMT_33_29_7) (= true_term (is WHILESTMT_33_29_7 T_int)) (= args_pre_4_30_41 args_4_30_41) (= args_4_30_41 (asField args_4_30_41 T_javafe_ast_FormalParaDeclVec)) (< (fClosedTime args_4_30_41) alloc) (forall ((?s_22_ Int)) (=> (not (= ?s_22_ null)) (not (= (S_select args_4_30_41 ?s_22_) null)))) (= count_pre_87_67_33 count_87_67_33) (= count_87_67_33 (asField count_87_67_33 T_int)) (= BITAND_pre_32_23_26 BITAND_32_23_26) (= true_term (is BITAND_32_23_26 T_int)) (= SINGLETYPEIMPORTDECL_pre_33_15_7 SINGLETYPEIMPORTDECL_33_15_7) (= true_term (is SINGLETYPEIMPORTDECL_33_15_7 T_int)) (= VARIABLEACCESS_pre_33_56_7 VARIABLEACCESS_33_56_7) (= true_term (is VARIABLEACCESS_33_56_7 T_int)) (= SHORTTYPE_pre_31_36_26 SHORTTYPE_31_36_26) (= true_term (is SHORTTYPE_31_36_26 T_int)) (= UNARYADD_pre_32_54_26 UNARYADD_32_54_26) (= true_term (is UNARYADD_32_54_26 T_int)) (= locOpenParen_pre_124_48_13 locOpenParen_124_48_13) (= locOpenParen_124_48_13 (asField locOpenParen_124_48_13 T_int)) (= TRYFINALLYSTMT_pre_33_42_7 TRYFINALLYSTMT_33_42_7) (= true_term (is TRYFINALLYSTMT_33_42_7 T_int)) (= LEXICALPRAGMA_pre_44_24_26 LEXICALPRAGMA_44_24_26) (= true_term (is LEXICALPRAGMA_44_24_26 T_int)) (= ids_pre_146_19_37 ids_146_19_37) (= ids_146_19_37 (asField ids_146_19_37 T_javafe_ast_IdentifierVec)) (< (fClosedTime ids_146_19_37) alloc) (forall ((?s_23_ Int)) (=> (not (= ?s_23_ null)) (not (= (S_select ids_146_19_37 ?s_23_) null)))) (= MOD_pre_32_36_26 MOD_32_36_26) (= true_term (is MOD_32_36_26 T_int)) (= CLASSDECLSTMT_pre_33_28_7 CLASSDECLSTMT_33_28_7) (= true_term (is CLASSDECLSTMT_33_28_7 T_int)) (= locThrowsKeyword_pre_4_48_13 locThrowsKeyword_4_48_13) (= locThrowsKeyword_4_48_13 (asField locThrowsKeyword_4_48_13 T_int)) (= locOp_pre_41_32_13 locOp_41_32_13) (= locOp_41_32_13 (asField locOp_41_32_13 T_int)) (= BITXOR_pre_32_22_26 BITXOR_32_22_26) (= true_term (is BITXOR_32_22_26 T_int)) (= COMPILATIONUNIT_pre_33_14_7 COMPILATIONUNIT_33_14_7) (= true_term (is COMPILATIONUNIT_33_14_7 T_int)) (= AMBIGUOUSVARIABLEACCESS_pre_33_55_7 AMBIGUOUSVARIABLEACCESS_33_55_7) (= true_term (is AMBIGUOUSVARIABLEACCESS_33_55_7 T_int)) (= loc_pre_36_45_13 loc_36_45_13) (= loc_36_45_13 (asField loc_36_45_13 T_int)) (= count_pre_19_67_33 count_19_67_33) (= count_19_67_33 (asField count_19_67_33 T_int)) (= BYTETYPE_pre_31_35_26 BYTETYPE_31_35_26) (= true_term (is BYTETYPE_31_35_26 T_int)) (= keywordStrings_pre_44_181_30 keywordStrings_44_181_30) (= true_term (is keywordStrings_44_181_30 ?v_1)) (= true_term (isAllocated keywordStrings_44_181_30 alloc)) (= ASGBITXOR_pre_32_51_26 ASGBITXOR_32_51_26) (= true_term (is ASGBITXOR_32_51_26 T_int)) (= locId_pre_4_43_13 locId_4_43_13) (= locId_4_43_13 (asField locId_4_43_13 T_int)) (= loc_pre_108_20_13 loc_108_20_13) (= loc_108_20_13 (asField loc_108_20_13 T_int)) (= SWITCHLABEL_pre_33_41_7 SWITCHLABEL_33_41_7) (= true_term (is SWITCHLABEL_33_41_7 T_int)) (= locCloseParen_pre_134_21_13 locCloseParen_134_21_13) (= locCloseParen_134_21_13 (asField locCloseParen_134_21_13 T_int)) (= DIV_pre_32_35_26 DIV_32_35_26) (= true_term (is DIV_32_35_26 T_int)) (= VARDECLSTMT_pre_33_27_7 VARDECLSTMT_33_27_7) (= true_term (is VARDECLSTMT_33_27_7 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_ast_MethodDecl)) (= true_term (isAllocated this alloc)) (not (= this null)) (= true_term (is index_49_34 T_int)) ?v_13 (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_ast_TypeNameVec)) (not (= ?brokenObj null))) (= (S_select owner_9_35_28 (S_select elements_19_61_37 ?brokenObj)) ?brokenObj))) (forall ((?i_44_147_29 Int)) (=> (and (<= 0 ?i_44_147_29) (<= ?i_44_147_29 (arrayLength punctuationCodes_44_164_19))) (not (= (S_select (S_select elems punctuationCodes_44_164_19) ?i_44_147_29) NULL_44_82_26)))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_ast_ModifierPragmaVec)) (not (= ?brokenObj_1_ null))) (= (S_select owner_9_35_28 (S_select elements_16_61_43 ?brokenObj_1_)) ?brokenObj_1_))) (forall ((?brokenObj_2_ Int)) (let ((?v_34 (S_select tokenType_30_90_8 ?brokenObj_2_))) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_ast_Identifier)) (not (= ?brokenObj_2_ null))) (and (not (= ?v_34 BOOLEANLIT_31_38_26)) (not (= ?v_34 INTLIT_31_39_26)) (not (= ?v_34 LONGLIT_31_40_26)) (not (= ?v_34 FLOATLIT_31_42_26)) (not (= ?v_34 DOUBLELIT_31_43_26)) (not (= ?v_34 STRINGLIT_31_44_26)) (not (= ?v_34 CHARLIT_31_41_26)) (not (= ?v_34 LEXICALPRAGMA_44_24_26)) (not (= ?v_34 MODIFIERPRAGMA_44_25_26)) (not (= ?v_34 STMTPRAGMA_44_26_26)) (not (= ?v_34 TYPEDECLELEMPRAGMA_44_27_26)) (not (= ?v_34 TYPEMODIFIERPRAGMA_44_28_26)))))) (= (arrayLength otherCodes_44_202_27) ?v_5) (= ?v_3 (- (+ 1 LAST_KEYWORD_44_103_26) FIRST_KEYWORD_44_51_26)) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_3_ null))) (<= (S_select count_19_67_33 ?brokenObj_3_) (arrayLength (S_select elements_19_61_37 ?brokenObj_3_))))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_ast_TypeModifierPragmaVec)) (not (= ?brokenObj_4_ null))) (forall ((?i_17_62_31 Int)) (=> (and (<= 0 ?i_17_62_31) (< ?i_17_62_31 (S_select count_17_67_33 ?brokenObj_4_))) (not (= (S_select (S_select elems (S_select elements_17_61_47 ?brokenObj_4_)) ?i_17_62_31) null)))))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_ast_GenericVarDecl)) (not (= ?brokenObj_5_ null))) (not (= (S_select locId_25_38_13 ?brokenObj_5_) NULL_15_60_26)))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_ast_ModifierPragmaVec)) (not (= ?brokenObj_6_ null))) (<= (S_select count_16_67_33 ?brokenObj_6_) (arrayLength (S_select elements_16_61_43 ?brokenObj_6_))))) (= true_term (nonnullelements otherStrings_44_193_30 elems)) (forall ((?i_44_149_29 Int)) (let ((?v_35 (S_select (S_select elems punctuationCodes_44_164_19) ?i_44_149_29))) (=> (and (<= 0 ?i_44_149_29) (<= ?i_44_149_29 (arrayLength punctuationCodes_44_164_19))) (and (not (= ?v_35 IDENT_31_25_26)) (not (= ?v_35 BOOLEANLIT_31_38_26)) (not (= ?v_35 INTLIT_31_39_26)) (not (= ?v_35 LONGLIT_31_40_26)) (not (= ?v_35 FLOATLIT_31_42_26)) (not (= ?v_35 DOUBLELIT_31_43_26)) (not (= ?v_35 STRINGLIT_31_44_26)) (not (= ?v_35 CHARLIT_31_41_26)) (not (= ?v_35 LEXICALPRAGMA_44_24_26)) (not (= ?v_35 MODIFIERPRAGMA_44_25_26)) (not (= ?v_35 STMTPRAGMA_44_26_26)) (not (= ?v_35 TYPEDECLELEMPRAGMA_44_27_26)) (not (= ?v_35 TYPEMODIFIERPRAGMA_44_28_26)))))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_ast_TypeModifierPragmaVec)) (not (= ?brokenObj_7_ null))) (= (typeof (S_select elements_17_61_47 ?brokenObj_7_)) (array T_javafe_ast_TypeModifierPragma)))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_8_ null)) (not (= (S_select body_4_34_19 ?brokenObj_8_) null))) (not (= (S_select locOpenBrace_4_36_13 ?brokenObj_8_) NULL_15_60_26)))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_ast_FormalParaDeclVec)) (not (= ?brokenObj_9_ null))) (forall ((?i_18_62_31 Int)) (=> (and (<= 0 ?i_18_62_31) (< ?i_18_62_31 (S_select count_18_67_33 ?brokenObj_9_))) (not (= (S_select (S_select elems (S_select elements_18_61_43 ?brokenObj_9_)) ?i_18_62_31) null)))))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_ast_TypeName)) (not (= ?brokenObj_10_ null))) (= true_term (S_select syntax_14_28_29 ?brokenObj_10_)))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_ast_GenericBlockStmt)) (not (= ?brokenObj_11_ null))) (not (= (S_select locOpenBrace_28_22_13 ?brokenObj_11_) NULL_15_60_26)))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_ast_TypeModifierPragmaVec)) (not (= ?brokenObj_12_ null))) (<= 0 (S_select count_17_67_33 ?brokenObj_12_)))) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_ast_GenericBlockStmt)) (not (= ?brokenObj_13_ null))) (not (= (S_select locCloseBrace_28_25_13 ?brokenObj_13_) NULL_15_60_26)))) (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_ast_FormalParaDeclVec)) (not (= ?brokenObj_14_ null))) (= (typeof (S_select elements_18_61_43 ?brokenObj_14_)) (array T_javafe_ast_FormalParaDecl)))) (= true_term (nonnullelements keywordStrings_44_181_30 elems)) (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_ast_MethodDecl)) (not (= ?brokenObj_15_ null))) (= true_term (S_select syntax_14_28_29 (S_select returnType_18_28 ?brokenObj_15_))))) (forall ((?brokenObj_16_ Int)) (=> (and (= true_term (is ?brokenObj_16_ T_javafe_ast_MethodDecl)) (not (= ?brokenObj_16_ null))) (not (= (S_select locType_21_13 ?brokenObj_16_) NULL_15_60_26)))) (forall ((?brokenObj_17_ Int)) (=> (and (= true_term (is ?brokenObj_17_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_17_ null))) (forall ((?i_19_62_31 Int)) (=> (and (<= 0 ?i_19_62_31) (< ?i_19_62_31 (S_select count_19_67_33 ?brokenObj_17_))) (not (= (S_select (S_select elems (S_select elements_19_61_37 ?brokenObj_17_)) ?i_19_62_31) null)))))) (forall ((?brokenObj_18_ Int)) (=> (and (= true_term (is ?brokenObj_18_ T_javafe_ast_GenericVarDecl)) (not (= ?brokenObj_18_ null))) (= true_term (S_select syntax_14_28_29 (S_select type_25_35_28 ?brokenObj_18_))))) (= true_term (is ?v_2 T_javafe_parser_TagConstants)) (not (= ?v_2 null)) (forall ((?brokenObj_19_ Int)) (=> (and (= true_term (is ?brokenObj_19_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_19_ null))) (not (= (S_select loc_4_40_13 ?brokenObj_19_) NULL_15_60_26)))) (forall ((?brokenObj_20_ Int)) (=> (and (= true_term (is ?brokenObj_20_ T_javafe_ast_TypeModifierPragmaVec)) (not (= ?brokenObj_20_ null))) (= (S_select owner_9_35_28 (S_select elements_17_61_47 ?brokenObj_20_)) ?brokenObj_20_))) (forall ((?brokenObj_21_ Int)) (=> (and (= true_term (is ?brokenObj_21_ T_javafe_ast_ModifierPragmaVec)) (not (= ?brokenObj_21_ null))) (forall ((?i_16_62_31 Int)) (=> (and (<= 0 ?i_16_62_31) (< ?i_16_62_31 (S_select count_16_67_33 ?brokenObj_21_))) (not (= (S_select (S_select elems (S_select elements_16_61_43 ?brokenObj_21_)) ?i_16_62_31) null)))))) (forall ((?brokenObj_22_ Int)) (=> (and (= true_term (is ?brokenObj_22_ T_javafe_ast_FormalParaDeclVec)) (not (= ?brokenObj_22_ null))) (<= 0 (S_select count_18_67_33 ?brokenObj_22_)))) (= (arrayLength punctuationCodes_44_164_19) ?v_4) (forall ((?brokenObj_23_ Int)) (=> (and (= true_term (is ?brokenObj_23_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_23_ null))) (not (= (S_select locId_4_43_13 ?brokenObj_23_) NULL_15_60_26)))) (forall ((?brokenObj_24_ Int)) (=> (and (= true_term (is ?brokenObj_24_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_24_ null))) (not (= (S_select loc_36_45_13 ?brokenObj_24_) NULL_15_60_26)))) (forall ((?brokenObj_25_ Int)) (=> (and (= true_term (is ?brokenObj_25_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_25_ null))) (= (typeof (S_select elements_19_61_37 ?brokenObj_25_)) (array T_javafe_ast_TypeName)))) (forall ((?brokenObj_26_ Int)) (=> (and (= true_term (is ?brokenObj_26_ T_javafe_ast_TypeModifierPragmaVec)) (not (= ?brokenObj_26_ null))) (<= (S_select count_17_67_33 ?brokenObj_26_) (arrayLength (S_select elements_17_61_47 ?brokenObj_26_))))) (forall ((?brokenObj_27_ Int)) (=> (and (= true_term (is ?brokenObj_27_ T_javafe_ast_FormalParaDeclVec)) (not (= ?brokenObj_27_ null))) (= (S_select owner_9_35_28 (S_select elements_18_61_43 ?brokenObj_27_)) ?brokenObj_27_))) (forall ((?brokenObj_28_ Int)) (=> (and (= true_term (is ?brokenObj_28_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_28_ null))) (not (= (S_select locId_36_48_13 ?brokenObj_28_) NULL_15_60_26)))) (forall ((?brokenObj_29_ Int)) (=> (and (= true_term (is ?brokenObj_29_ T_javafe_ast_ModifierPragmaVec)) (not (= ?brokenObj_29_ null))) (= (typeof (S_select elements_16_61_43 ?brokenObj_29_)) (array T_javafe_ast_ModifierPragma)))) (= noTokens_44_212_27 (+ (+ ?v_3 ?v_4) ?v_5)) (= true_term (nonnullelements punctuationStrings_44_134_22 elems)) (forall ((?brokenObj_30_ Int)) (=> (and (= true_term (is ?brokenObj_30_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_30_ null))) (not (= (S_select locOpenBrace_36_51_13 ?brokenObj_30_) NULL_15_60_26)))) (forall ((?brokenObj_31_ Int)) (=> (and (= true_term (is ?brokenObj_31_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_31_ null))) (<= 0 (S_select count_19_67_33 ?brokenObj_31_)))) (forall ((?brokenObj_32_ Int)) (=> (and (= true_term (is ?brokenObj_32_ T_javafe_ast_FormalParaDeclVec)) (not (= ?brokenObj_32_ null))) (<= (S_select count_18_67_33 ?brokenObj_32_) (arrayLength (S_select elements_18_61_43 ?brokenObj_32_))))) (forall ((?brokenObj_33_ Int)) (=> (and (= true_term (is ?brokenObj_33_ T_javafe_ast_ModifierPragmaVec)) (not (= ?brokenObj_33_ null))) (<= 0 (S_select count_16_67_33 ?brokenObj_33_)))) (forall ((?brokenObj_34_ Int)) (=> (and (= true_term (is ?brokenObj_34_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_34_ null))) (not (= (S_select locCloseBrace_36_54_13 ?brokenObj_34_) NULL_15_60_26)))) (or (and ?v_7 ?v_8 (= arg0_52_14_52_14_20__ (stringCat S_52_44 index_49_34)) (< alloc after_52_14_52_14) ?v_6 (not (= true_term (isAllocated RES_52_14_52_14 alloc))) (= true_term (is RES_52_14_52_14 T_java_lang_IndexOutOfBoundsException)) (= true_term (isAllocated RES_52_14_52_14 after_52_14_52_14)) (= EC_52_14_52_14 ecReturn) (= (S_select owner_9_35_28 RES_52_14_52_14) null) (= (typeof RES_52_14_52_14) T_java_lang_IndexOutOfBoundsException) (not ?v_6)) (and (not ?v_7) ?v_8 (or (and ?v_9 ?v_8 (not ?v_9)) (and (or (and ?v_10 ?v_8 (= tmp0_cond_57_35 0) (= XRES XRES_1_) (= RES RES_1_) (= EC EC_1_)) (and ?v_9 ?v_8 ?v_9 (= this_57_57_57_57 ?v_11) (= true_term (is RES_57_57_57_57 T_int)) ?v_12 (=> ?v_12 (= RES_57_57_57_57 (S_select count_16_67_33 this_57_57_57_57))) (= tmp0_cond_57_35 RES_57_57_57_57) (= XRES XRES_57_57_57_57) (= RES RES_57_57_57_57) (= EC EC_57_57_57_57))) (or (and ?v_13 (= tmp1_cand_58_9 (integralLT index_49_34 tmp0_cond_57_35)) (= tmp1_cand_58_20 tmp1_cand_58_9)) (and (not ?v_13) ?v_8 (= tmp1_cand_58_20 false_term))) (or (and ?v_15 ?v_8 (= tmp2_pmodifiers_59_15 ?v_11) (or (not ?v_14) (and ?v_14 (not (and ?v_13 (< index_49_34 (S_select count_16_67_33 tmp2_pmodifiers_59_15))))))) (and (not ?v_15) ?v_8 (= index_60_10 (- index_49_34 tmp0_cond_57_35)) (or (and ?v_16 ?v_8 (not ?v_16)) (and (or (and ?v_17 ?v_8 (= XRES_2_ XRES) (= RES_2_ RES) (= tmp3_cond_62_35 0) (= EC_2_ EC)) (and ?v_16 ?v_8 ?v_16 (= this_62_57_62_57 ?v_18) (= true_term (is RES_62_57_62_57 T_int)) ?v_19 (=> ?v_19 (= RES_62_57_62_57 (S_select count_17_67_33 this_62_57_62_57))) (= XRES_2_ XRES_62_57_62_57) (= RES_2_ RES_62_57_62_57) (= tmp3_cond_62_35 RES_62_57_62_57) (= EC_2_ EC_62_57_62_57))) (or (and ?v_20 (= tmp4_cand_63_9 (integralLT index_60_10 tmp3_cond_62_35)) (= tmp4_cand_63_20 tmp4_cand_63_9)) (and (not ?v_20) ?v_8 (= tmp4_cand_63_20 false_term))) (or (and ?v_22 ?v_8 (= tmp5_tmodifiers_64_15 ?v_18) (or (not ?v_21) (and ?v_21 (not (and ?v_20 (< index_60_10 (S_select count_17_67_33 tmp5_tmodifiers_64_15))))))) (and (not ?v_22) ?v_8 (= index_65_10 (- index_60_10 tmp3_cond_62_35)) (or (and ?v_23 ?v_8 (= XRES_3_ XRES_2_) (= tmp6_cond_67_29 0) (= RES_3_ RES_2_) (= EC_3_ EC_2_)) (and (not ?v_23) ?v_8 (= this_67_45_67_45 ?v_24) (= true_term (is RES_67_45_67_45 T_int)) ?v_25 (=> ?v_25 (= RES_67_45_67_45 (S_select count_18_67_33 this_67_45_67_45))) (= XRES_3_ XRES_67_45_67_45) (= tmp6_cond_67_29 RES_67_45_67_45) (= RES_3_ RES_67_45_67_45) (= EC_3_ EC_67_45_67_45))) (or (and ?v_26 (= tmp7_cand_68_9 (integralLT index_65_10 tmp6_cond_67_29)) (= tmp7_cand_68_20 tmp7_cand_68_9)) (and (not ?v_26) ?v_8 (= tmp7_cand_68_20 false_term))) (or (and ?v_27 ?v_8 (= tmp8_args_69_15 ?v_24) (not (and ?v_26 (< index_65_10 (S_select count_18_67_33 tmp8_args_69_15))))) (and (not ?v_27) ?v_8 (= index_70_10 (- index_65_10 tmp6_cond_67_29)) (or (and ?v_28 ?v_8 (= tmp9_cond_72_31 0) (= XRES_4_ XRES_3_) (= RES_4_ RES_3_) (= EC_4_ EC_3_)) (and (not ?v_28) ?v_8 (= this_72_49_72_49 ?v_29) (= true_term (is RES_72_49_72_49 T_int)) ?v_30 (=> ?v_30 (= RES_72_49_72_49 (S_select count_19_67_33 this_72_49_72_49))) (= tmp9_cond_72_31 RES_72_49_72_49) (= XRES_4_ XRES_72_49_72_49) (= RES_4_ RES_72_49_72_49) (= EC_4_ EC_72_49_72_49))) (or (and ?v_31 (= tmp10_cand_73_9 (integralLT index_70_10 tmp9_cond_72_31)) (= tmp10_cand_73_20 tmp10_cand_73_9)) (and (not ?v_31) ?v_8 (= tmp10_cand_73_20 false_term))) (or (and ?v_32 ?v_8 (= tmp11_raises_74_15 ?v_29) (not (and ?v_31 (< index_70_10 (S_select count_19_67_33 tmp11_raises_74_15))))) (and (not ?v_32) ?v_8 (= index_75_10 (- index_70_10 tmp9_cond_72_31)) (not (= index_75_10 0)) ?v_8 (= index_78_10 (- index_75_10 1)) (not (= index_78_10 0)) ?v_8 (= index_81_10 (- index_78_10 1)) (not (= index_81_10 0)) ?v_8 (= index_84_10 (- index_81_10 1)) (= arg0_86_11_86_11_20__ (stringCat S_86_41 index_49_34)) (< alloc after_86_11_86_11) ?v_33 (not (= true_term (isAllocated RES_86_11_86_11 alloc))) (= true_term (is RES_86_11_86_11 T_java_lang_IndexOutOfBoundsException)) (= true_term (isAllocated RES_86_11_86_11 after_86_11_86_11)) (= EC_86_11_86_11 ecReturn) (= (S_select owner_9_35_28 RES_86_11_86_11) null) (= (typeof RES_86_11_86_11) T_java_lang_IndexOutOfBoundsException) (not ?v_33))))))))))))))))))))))))))))
(check-sat)
(exit)
