(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun UNARYADD_54_26 () Int)
(declare-fun AND_20_26 () Int)
(declare-fun GT_27_26 () Int)
(declare-fun URSHIFT_32_26 () Int)
(declare-fun ASGADD_44_26 () Int)
(declare-fun ASGBITAND_49_26 () Int)
(declare-fun DEC_59_26 () Int)
(declare-fun NE_24_26 () Int)
(declare-fun LT_29_26 () Int)
(declare-fun STAR_37_26 () Int)
(declare-fun NOT_56_26 () Int)
(declare-fun BITOR_21_26 () Int)
(declare-fun ASGMUL_41_26 () Int)
(declare-fun SUB_34_26 () Int)
(declare-fun ASGLSHIFT_46_26 () Int)
(declare-fun ASGBITXOR_51_26 () Int)
(declare-fun POSTFIXDEC_63_26 () Int)
(declare-fun OR_19_26 () Int)
(declare-fun GE_26_26 () Int)
(declare-fun opStrings_93_32 () Int)
(declare-fun RSHIFT_31_26 () Int)
(declare-fun INC_58_26 () Int)
(declare-fun BITAND_23_26 () Int)
(declare-fun ASGREM_43_26 () Int)
(declare-fun LAST_TAG_4_68_7 () Int)
(declare-fun LE_28_26 () Int)
(declare-fun ASGURSHIFT_48_26 () Int)
(declare-fun MOD_36_26 () Int)
(declare-fun ASSIGN_40_26 () Int)
(declare-fun UNARYSUB_55_26 () Int)
(declare-fun FIRST_TAG_18_26 () Int)
(declare-fun ADD_33_26 () Int)
(declare-fun ASGSUB_45_26 () Int)
(declare-fun LAST_TAG_65_26 () Int)
(declare-fun ASGBITOR_50_26 () Int)
(declare-fun POSTFIXINC_62_26 () Int)
(declare-fun EQ_25_26 () Int)
(declare-fun LSHIFT_30_26 () Int)
(declare-fun BITNOT_57_26 () Int)
(declare-fun BITXOR_22_26 () Int)
(declare-fun ASGDIV_42_26 () Int)
(declare-fun DIV_35_26 () Int)
(declare-fun ASGRSHIFT_47_26 () Int)
(assert (let ((?v_0 (array T_java_lang_String))) (and (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_io_Serializable (+ DIST_ZERO_1 10)) (= T_java_lang_Object (+ DIST_ZERO_1 11)) (= T_java_lang_Comparable (+ DIST_ZERO_1 12)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 13)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 14)) (= T_java_lang_String (+ DIST_ZERO_1 15))) (= true_term (is UNARYADD_54_26 T_int)) (= UNARYADD_54_26 85) (= true_term (is AND_20_26 T_int)) (= AND_20_26 55) (= true_term (is GT_27_26 T_int)) (= GT_27_26 62) (= true_term (is URSHIFT_32_26 T_int)) (= URSHIFT_32_26 67) (= true_term (is ASGADD_44_26 T_int)) (= ASGADD_44_26 77) (= true_term (is ASGBITAND_49_26 T_int)) (= ASGBITAND_49_26 82) (= true_term (is DEC_59_26 T_int)) (= DEC_59_26 90) (= true_term (is NE_24_26 T_int)) (= NE_24_26 59) (= true_term (is LT_29_26 T_int)) (= LT_29_26 64) (= true_term (is STAR_37_26 T_int)) (= STAR_37_26 72) (= true_term (is NOT_56_26 T_int)) (= NOT_56_26 87) (= true_term (is BITOR_21_26 T_int)) (= BITOR_21_26 56) (= true_term (is ASGMUL_41_26 T_int)) (= ASGMUL_41_26 74) (= true_term (is SUB_34_26 T_int)) (= SUB_34_26 69) (= true_term (is ASGLSHIFT_46_26 T_int)) (= ASGLSHIFT_46_26 79) (= true_term (is ASGBITXOR_51_26 T_int)) (= ASGBITXOR_51_26 84) (= true_term (is POSTFIXDEC_63_26 T_int)) (= POSTFIXDEC_63_26 92) (= true_term (is OR_19_26 T_int)) (= OR_19_26 54) (= true_term (is GE_26_26 T_int)) (= GE_26_26 61) (= true_term (is opStrings_93_32 ?v_0)) (not (= opStrings_93_32 null)) (= (typeof opStrings_93_32) ?v_0) (= (arrayLength opStrings_93_32) 39) (= true_term (is RSHIFT_31_26 T_int)) (= RSHIFT_31_26 66) (= true_term (is INC_58_26 T_int)) (= INC_58_26 89) (= true_term (is BITAND_23_26 T_int)) (= BITAND_23_26 58) (= true_term (is ASGREM_43_26 T_int)) (= ASGREM_43_26 76) (= true_term (is LAST_TAG_4_68_7 T_int)) (= LAST_TAG_4_68_7 53) (= true_term (is LE_28_26 T_int)) (= LE_28_26 63) (= true_term (is ASGURSHIFT_48_26 T_int)) (= ASGURSHIFT_48_26 81) (= true_term (is MOD_36_26 T_int)) (= MOD_36_26 71) (= true_term (is ASSIGN_40_26 T_int)) (= ASSIGN_40_26 73) (= true_term (is UNARYSUB_55_26 T_int)) (= UNARYSUB_55_26 86) (= true_term (is FIRST_TAG_18_26 T_int)) (= FIRST_TAG_18_26 54) (= true_term (is ADD_33_26 T_int)) (= ADD_33_26 68) (= true_term (is ASGSUB_45_26 T_int)) (= ASGSUB_45_26 78) (= true_term (is LAST_TAG_65_26 T_int)) (= LAST_TAG_65_26 92) (= true_term (is ASGBITOR_50_26 T_int)) (= ASGBITOR_50_26 83) (= true_term (is POSTFIXINC_62_26 T_int)) (= POSTFIXINC_62_26 91) (= true_term (is EQ_25_26 T_int)) (= EQ_25_26 60) (= true_term (is LSHIFT_30_26 T_int)) (= LSHIFT_30_26 65) (= true_term (is BITNOT_57_26 T_int)) (= BITNOT_57_26 88) (= true_term (is BITXOR_22_26 T_int)) (= BITXOR_22_26 57) (= true_term (is ASGDIV_42_26 T_int)) (= ASGDIV_42_26 75) (= true_term (is DIV_35_26 T_int)) (= DIV_35_26 70) (= true_term (is ASGRSHIFT_47_26 T_int)) (= ASGRSHIFT_47_26 80))))
(declare-fun S_77_65 () Int)
(declare-fun S_79_12 () Int)
(declare-fun S_77_14 () Int)
(declare-fun S_79_38 () Int)
(declare-fun UNARYADD_pre_54_26 () Int)
(declare-fun AND_pre_20_26 () Int)
(declare-fun GT_pre_27_26 () Int)
(declare-fun URSHIFT_pre_32_26 () Int)
(declare-fun ASGADD_pre_44_26 () Int)
(declare-fun ASGBITAND_pre_49_26 () Int)
(declare-fun DEC_pre_59_26 () Int)
(declare-fun NE_pre_24_26 () Int)
(declare-fun LT_pre_29_26 () Int)
(declare-fun STAR_pre_37_26 () Int)
(declare-fun NOT_pre_56_26 () Int)
(declare-fun BITOR_pre_21_26 () Int)
(declare-fun ASGMUL_pre_41_26 () Int)
(declare-fun SUB_pre_34_26 () Int)
(declare-fun ASGLSHIFT_pre_46_26 () Int)
(declare-fun ASGBITXOR_pre_51_26 () Int)
(declare-fun POSTFIXDEC_pre_63_26 () Int)
(declare-fun OR_pre_19_26 () Int)
(declare-fun GE_pre_26_26 () Int)
(declare-fun opStrings_pre_93_32 () Int)
(declare-fun RSHIFT_pre_31_26 () Int)
(declare-fun INC_pre_58_26 () Int)
(declare-fun BITAND_pre_23_26 () Int)
(declare-fun ASGREM_pre_43_26 () Int)
(declare-fun LAST_TAG_pre_4_68_7 () Int)
(declare-fun LE_pre_28_26 () Int)
(declare-fun ASGURSHIFT_pre_48_26 () Int)
(declare-fun MOD_pre_36_26 () Int)
(declare-fun ASSIGN_pre_40_26 () Int)
(declare-fun UNARYSUB_pre_55_26 () Int)
(declare-fun FIRST_TAG_pre_18_26 () Int)
(declare-fun ADD_pre_33_26 () Int)
(declare-fun ASGSUB_pre_45_26 () Int)
(declare-fun LAST_TAG_pre_65_26 () Int)
(declare-fun ASGBITOR_pre_50_26 () Int)
(declare-fun POSTFIXINC_pre_62_26 () Int)
(declare-fun EQ_pre_25_26 () Int)
(declare-fun LSHIFT_pre_30_26 () Int)
(declare-fun BITNOT_pre_57_26 () Int)
(declare-fun BITXOR_pre_22_26 () Int)
(declare-fun ASGDIV_pre_42_26 () Int)
(declare-fun DIV_pre_35_26 () Int)
(declare-fun ASGRSHIFT_pre_47_26 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun opTag_72_36 () Int)
(declare-fun tmp0_cand_73_9 () Int)
(declare-fun tmp0_cand_73_28 () Int)
(declare-fun RES () Int)
(declare-fun RES_1_ () Int)
(declare-fun RES_2_ () Int)
(declare-fun RES_3_ () Int)
(declare-fun ecReturn () Int)
(assert (let ((?v_2 (not (= opStrings_93_32 null))) (?v_0 (<= FIRST_TAG_18_26 opTag_72_36)) (?v_1 (= true_term true_term))) (let ((?v_5 (or (and ?v_0 (= tmp0_cand_73_9 (integralLE opTag_72_36 LAST_TAG_65_26)) (= tmp0_cand_73_28 tmp0_cand_73_9)) (and (not ?v_0) ?v_1 (= tmp0_cand_73_28 false_term)))) (?v_6 (= true_term tmp0_cand_73_28)) (?v_4 (- opTag_72_36 FIRST_TAG_18_26))) (let ((?v_3 (<= 0 ?v_4)) (?v_7 (< ?v_4 (arrayLength opStrings_93_32))) (?v_8 (< opTag_72_36 FIRST_TAG_18_26)) (?v_9 (= ecReturn ecReturn))) (not (=> (and true (not (= S_77_65 null)) (= (typeof S_77_65) T_java_lang_String) (not (= S_79_12 null)) (= (typeof S_79_12) T_java_lang_String) (not (= S_77_14 null)) (= (typeof S_77_14) T_java_lang_String) (not (= S_79_38 null)) (= (typeof S_79_38) T_java_lang_String)) (=> (and (= UNARYADD_pre_54_26 UNARYADD_54_26) (= true_term (is UNARYADD_54_26 T_int)) (= AND_pre_20_26 AND_20_26) (= true_term (is AND_20_26 T_int)) (= GT_pre_27_26 GT_27_26) (= true_term (is GT_27_26 T_int)) (= URSHIFT_pre_32_26 URSHIFT_32_26) (= true_term (is URSHIFT_32_26 T_int)) (= ASGADD_pre_44_26 ASGADD_44_26) (= true_term (is ASGADD_44_26 T_int)) (= ASGBITAND_pre_49_26 ASGBITAND_49_26) (= true_term (is ASGBITAND_49_26 T_int)) (= DEC_pre_59_26 DEC_59_26) (= true_term (is DEC_59_26 T_int)) (= NE_pre_24_26 NE_24_26) (= true_term (is NE_24_26 T_int)) (= LT_pre_29_26 LT_29_26) (= true_term (is LT_29_26 T_int)) (= STAR_pre_37_26 STAR_37_26) (= true_term (is STAR_37_26 T_int)) (= NOT_pre_56_26 NOT_56_26) (= true_term (is NOT_56_26 T_int)) (= BITOR_pre_21_26 BITOR_21_26) (= true_term (is BITOR_21_26 T_int)) (= ASGMUL_pre_41_26 ASGMUL_41_26) (= true_term (is ASGMUL_41_26 T_int)) (= SUB_pre_34_26 SUB_34_26) (= true_term (is SUB_34_26 T_int)) (= ASGLSHIFT_pre_46_26 ASGLSHIFT_46_26) (= true_term (is ASGLSHIFT_46_26 T_int)) (= ASGBITXOR_pre_51_26 ASGBITXOR_51_26) (= true_term (is ASGBITXOR_51_26 T_int)) (= POSTFIXDEC_pre_63_26 POSTFIXDEC_63_26) (= true_term (is POSTFIXDEC_63_26 T_int)) (= OR_pre_19_26 OR_19_26) (= true_term (is OR_19_26 T_int)) (= GE_pre_26_26 GE_26_26) (= true_term (is GE_26_26 T_int)) (= opStrings_pre_93_32 opStrings_93_32) (= true_term (is opStrings_93_32 (array T_java_lang_String))) (= true_term (isAllocated opStrings_93_32 alloc)) (= RSHIFT_pre_31_26 RSHIFT_31_26) (= true_term (is RSHIFT_31_26 T_int)) (= INC_pre_58_26 INC_58_26) (= true_term (is INC_58_26 T_int)) (= BITAND_pre_23_26 BITAND_23_26) (= true_term (is BITAND_23_26 T_int)) (= ASGREM_pre_43_26 ASGREM_43_26) (= true_term (is ASGREM_43_26 T_int)) (= LAST_TAG_pre_4_68_7 LAST_TAG_4_68_7) (= true_term (is LAST_TAG_4_68_7 T_int)) (= LE_pre_28_26 LE_28_26) (= true_term (is LE_28_26 T_int)) (= ASGURSHIFT_pre_48_26 ASGURSHIFT_48_26) (= true_term (is ASGURSHIFT_48_26 T_int)) (= MOD_pre_36_26 MOD_36_26) (= true_term (is MOD_36_26 T_int)) (= ASSIGN_pre_40_26 ASSIGN_40_26) (= true_term (is ASSIGN_40_26 T_int)) (= UNARYSUB_pre_55_26 UNARYSUB_55_26) (= true_term (is UNARYSUB_55_26 T_int)) (= FIRST_TAG_pre_18_26 FIRST_TAG_18_26) (= true_term (is FIRST_TAG_18_26 T_int)) (= ADD_pre_33_26 ADD_33_26) (= true_term (is ADD_33_26 T_int)) (= ASGSUB_pre_45_26 ASGSUB_45_26) (= true_term (is ASGSUB_45_26 T_int)) (= LAST_TAG_pre_65_26 LAST_TAG_65_26) (= true_term (is LAST_TAG_65_26 T_int)) (= ASGBITOR_pre_50_26 ASGBITOR_50_26) (= true_term (is ASGBITOR_50_26 T_int)) (= POSTFIXINC_pre_62_26 POSTFIXINC_62_26) (= true_term (is POSTFIXINC_62_26 T_int)) (= EQ_pre_25_26 EQ_25_26) (= true_term (is EQ_25_26 T_int)) (= LSHIFT_pre_30_26 LSHIFT_30_26) (= true_term (is LSHIFT_30_26 T_int)) (= BITNOT_pre_57_26 BITNOT_57_26) (= true_term (is BITNOT_57_26 T_int)) (= BITXOR_pre_22_26 BITXOR_22_26) (= true_term (is BITXOR_22_26 T_int)) (= ASGDIV_pre_42_26 ASGDIV_42_26) (= true_term (is ASGDIV_42_26 T_int)) (= DIV_pre_35_26 DIV_35_26) (= true_term (is DIV_35_26 T_int)) (= ASGRSHIFT_pre_47_26 ASGRSHIFT_47_26) (= true_term (is ASGRSHIFT_47_26 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is opTag_72_36 T_int)) (forall ((?i_90_29 Int)) (=> (and (<= 0 ?i_90_29) (< ?i_90_29 (arrayLength opStrings_93_32))) (not (= (S_select (S_select elems opStrings_93_32) ?i_90_29) null)))) ?v_2 (or (and ?v_5 ?v_6 ?v_1 (or (not ?v_2) (and ?v_2 (or (not ?v_3) (and ?v_3 (not ?v_7)))))) (and ?v_5 (or (and ?v_6 ?v_1 ?v_2 ?v_3 ?v_7 (= RES (S_select (S_select elems opStrings_93_32) ?v_4)) ?v_1 (= RES_1_ RES)) (and (not ?v_6) ?v_1 (or (and ?v_8 ?v_1 (= RES_2_ (stringCat (stringCat S_77_14 opTag_72_36) S_77_65)) ?v_1 (= RES_1_ RES_2_)) (and (not ?v_8) ?v_1 (= RES_3_ (stringCat (stringCat S_79_12 opTag_72_36) S_79_38)) ?v_1 (= RES_1_ RES_3_))))) (or (not ?v_9) (and ?v_9 (not (=> ?v_9 (not (= RES_1_ null)))))))))))))))))
(check-sat)
(exit)
