(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_javafe_ast_TypeDeclElemPragma () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_java_lang_StringBuffer () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_ast_Expr () Int)
(declare-fun T_javafe_ast_VarInit () Int)
(declare-fun T_javafe_ast_FormalParaDeclVec () Int)
(declare-fun T_javafe_ast_LexicalPragma () Int)
(declare-fun T_javafe_ast_TypeNameVec () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_java_lang_Long () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_ModifierPragma () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_javafe_tc_TagConstants () Int)
(declare-fun T_javafe_ast_ExprVec () Int)
(declare-fun T_javafe_ast_PrettyPrint () Int)
(declare-fun T_javafe_ast_StandardPrettyPrint () Int)
(declare-fun T_javafe_ast_TypeModifierPragma () Int)
(declare-fun T_java_lang_Math () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_java_lang_Double () Int)
(declare-fun T_javafe_ast_StmtPragma () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_ast_ObjectDesignator () Int)
(declare-fun T_java_lang_Character () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_javafe_ast_FormalParaDecl () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_java_lang_Boolean () Int)
(declare-fun T_javafe_ast_TypeName () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_io_ByteArrayOutputStream () Int)
(declare-fun T_javafe_ast_LocalVarDecl () Int)
(declare-fun T_java_lang_Float () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun STMTPRAGMA_36_26_26 () Int)
(declare-fun BOOLEANLIT_14_38_26 () Int)
(declare-fun CHARLIT_14_41_26 () Int)
(declare-fun MODIFIERPRAGMA_36_25_26 () Int)
(declare-fun MIN_VALUE_23_39_30 () Int)
(declare-fun neg2147483648 () Int)
(declare-fun punctuationCodes_36_164_19 () Int)
(declare-fun STRINGLIT_14_44_26 () Int)
(declare-fun IDENT_14_25_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_36_28_26 () Int)
(declare-fun punctuationStrings_36_134_22 () Int)
(declare-fun LONGLIT_14_40_26 () Int)
(declare-fun LEXICALPRAGMA_36_24_26 () Int)
(declare-fun DOUBLELIT_14_43_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_36_27_26 () Int)
(declare-fun otherCodes_36_202_27 () Int)
(declare-fun FIRST_KEYWORD_36_51_26 () Int)
(declare-fun keywordStrings_36_181_30 () Int)
(declare-fun noTokens_36_212_27 () Int)
(declare-fun otherStrings_36_193_30 () Int)
(declare-fun INTLIT_14_39_26 () Int)
(declare-fun LAST_KEYWORD_36_103_26 () Int)
(declare-fun NULL_36_82_26 () Int)
(declare-fun MIN_VALUE_26_38_29 () Int)
(declare-fun neg9223372036854775808 () Int)
(declare-fun FLOATLIT_14_42_26 () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String))) (and (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeDeclElemPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDeclElemPragma (asChild T_javafe_ast_TypeDeclElemPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDeclElemPragma T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_lang_StringBuffer T_java_lang_Object) true_term) (= T_java_lang_StringBuffer (asChild T_java_lang_StringBuffer T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_StringBuffer) true_term) (= ?t T_java_lang_StringBuffer))) (= (PO_LT T_java_lang_StringBuffer T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_Expr T_javafe_ast_VarInit) true_term) (= T_javafe_ast_Expr (asChild T_javafe_ast_Expr T_javafe_ast_VarInit)) (= (PO_LT T_javafe_ast_FormalParaDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_FormalParaDeclVec (asChild T_javafe_ast_FormalParaDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_LexicalPragma (asChild T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeNameVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeNameVec (asChild T_javafe_ast_TypeNameVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_lang_Long T_java_lang_Number) true_term) (= T_java_lang_Long (asChild T_java_lang_Long T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Long) true_term) (= ?t T_java_lang_Long))) (= (PO_LT T_java_lang_Long T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ModifierPragma (asChild T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_javafe_tc_TagConstants T_javafe_parser_TagConstants) true_term) (= T_javafe_tc_TagConstants (asChild T_javafe_tc_TagConstants T_javafe_parser_TagConstants)) (= (PO_LT T_javafe_ast_ExprVec T_java_lang_Object) true_term) (= T_javafe_ast_ExprVec (asChild T_javafe_ast_ExprVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_PrettyPrint T_java_lang_Object) true_term) (= T_javafe_ast_PrettyPrint (asChild T_javafe_ast_PrettyPrint T_java_lang_Object)) (= (PO_LT T_javafe_ast_StandardPrettyPrint T_javafe_ast_PrettyPrint) true_term) (= T_javafe_ast_StandardPrettyPrint (asChild T_javafe_ast_StandardPrettyPrint T_javafe_ast_PrettyPrint)) (= (PO_LT T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeModifierPragma (asChild T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Math T_java_lang_Object) true_term) (= T_java_lang_Math (asChild T_java_lang_Math T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Math) true_term) (= ?t T_java_lang_Math))) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_java_lang_Double T_java_lang_Number) true_term) (= T_java_lang_Double (asChild T_java_lang_Double T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Double) true_term) (= ?t T_java_lang_Double))) (= (PO_LT T_java_lang_Double T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_StmtPragma T_javafe_ast_Stmt) true_term) (= T_javafe_ast_StmtPragma (asChild T_javafe_ast_StmtPragma T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_ObjectDesignator T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ObjectDesignator (asChild T_javafe_ast_ObjectDesignator T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Character T_java_lang_Object) true_term) (= T_java_lang_Character (asChild T_java_lang_Character T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Character) true_term) (= ?t T_java_lang_Character))) (= (PO_LT T_java_lang_Character T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Character T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FormalParaDecl (asChild T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Boolean T_java_lang_Object) true_term) (= T_java_lang_Boolean (asChild T_java_lang_Boolean T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Boolean) true_term) (= ?t T_java_lang_Boolean))) (= (PO_LT T_java_lang_Boolean T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_VarInit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_VarInit (asChild T_javafe_ast_VarInit T_javafe_ast_ASTNode)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_TypeName T_javafe_ast_Type) true_term) (= T_javafe_ast_TypeName (asChild T_javafe_ast_TypeName T_javafe_ast_Type)) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_io_ByteArrayOutputStream T_java_io_OutputStream) true_term) (= T_java_io_ByteArrayOutputStream (asChild T_java_io_ByteArrayOutputStream T_java_io_OutputStream)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_LocalVarDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_LocalVarDecl (asChild T_javafe_ast_LocalVarDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_java_lang_Float T_java_lang_Number) true_term) (= T_java_lang_Float (asChild T_java_lang_Float T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Float) true_term) (= ?t T_java_lang_Float))) (= (PO_LT T_java_lang_Float T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_util_Assert (+ DIST_ZERO_1 10)) (= T_javafe_ast_TypeDeclElemPragma (+ DIST_ZERO_1 11)) (= T_java_lang_StringBuffer (+ DIST_ZERO_1 12)) (= T_java_lang_Comparable (+ DIST_ZERO_1 13)) (= T_javafe_ast_Expr (+ DIST_ZERO_1 14)) (= T_javafe_ast_FormalParaDeclVec (+ DIST_ZERO_1 15)) (= T_javafe_ast_LexicalPragma (+ DIST_ZERO_1 16)) (= T_javafe_ast_TypeNameVec (+ DIST_ZERO_1 17)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 18)) (= T_java_lang_Exception (+ DIST_ZERO_1 19)) (= T_java_lang_Long (+ DIST_ZERO_1 20)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 21)) (= T_javafe_ast_ModifierPragma (+ DIST_ZERO_1 22)) (= T_javafe_ast_Type (+ DIST_ZERO_1 23)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 24)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 25)) (= T_java_io_IOException (+ DIST_ZERO_1 26)) (= T_javafe_tc_TagConstants (+ DIST_ZERO_1 27)) (= T_javafe_ast_ExprVec (+ DIST_ZERO_1 28)) (= T_javafe_ast_PrettyPrint (+ DIST_ZERO_1 29)) (= T_javafe_ast_StandardPrettyPrint (+ DIST_ZERO_1 30)) (= T_javafe_ast_TypeModifierPragma (+ DIST_ZERO_1 31)) (= T_java_lang_Object (+ DIST_ZERO_1 32)) (= T_java_lang_Math (+ DIST_ZERO_1 33)) (= T_java_lang_String (+ DIST_ZERO_1 34)) (= T_javafe_util_Location (+ DIST_ZERO_1 35)) (= T_java_lang_Double (+ DIST_ZERO_1 36)) (= T_javafe_ast_StmtPragma (+ DIST_ZERO_1 37)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 38)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 39)) (= T_javafe_ast_ObjectDesignator (+ DIST_ZERO_1 40)) (= T_java_lang_Number (+ DIST_ZERO_1 41)) (= T_java_lang_Character (+ DIST_ZERO_1 42)) (= T_java_lang_Throwable (+ DIST_ZERO_1 43)) (= T_java_lang_Integer (+ DIST_ZERO_1 44)) (= T_javafe_ast_FormalParaDecl (+ DIST_ZERO_1 45)) (= T_javafe_ast_Name (+ DIST_ZERO_1 46)) (= T_java_lang_Boolean (+ DIST_ZERO_1 47)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 48)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 49)) (= T_javafe_ast_VarInit (+ DIST_ZERO_1 50)) (= T_java_io_Serializable (+ DIST_ZERO_1 51)) (= T_javafe_ast_TypeName (+ DIST_ZERO_1 52)) (= T_java_io_OutputStream (+ DIST_ZERO_1 53)) (= T_java_io_ByteArrayOutputStream (+ DIST_ZERO_1 54)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 55)) (= T_javafe_ast_LocalVarDecl (+ DIST_ZERO_1 56)) (= T_java_lang_Float (+ DIST_ZERO_1 57)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 58)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 59)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 60)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 61))) (= true_term (is STMTPRAGMA_36_26_26 T_int)) (= STMTPRAGMA_36_26_26 116) (= true_term (is BOOLEANLIT_14_38_26 T_int)) (= BOOLEANLIT_14_38_26 104) (= true_term (is CHARLIT_14_41_26 T_int)) (= CHARLIT_14_41_26 107) (= true_term (is MODIFIERPRAGMA_36_25_26 T_int)) (= MODIFIERPRAGMA_36_25_26 115) (= true_term (is MIN_VALUE_23_39_30 T_int)) (= MIN_VALUE_23_39_30 neg2147483648) (= true_term (is punctuationCodes_36_164_19 ?v_0)) (not (= punctuationCodes_36_164_19 null)) (= (typeof punctuationCodes_36_164_19) ?v_0) (= (arrayLength punctuationCodes_36_164_19) 48) (= true_term (is STRINGLIT_14_44_26 T_int)) (= STRINGLIT_14_44_26 110) (= true_term (is IDENT_14_25_26 T_int)) (= IDENT_14_25_26 93) (= true_term (is TYPEMODIFIERPRAGMA_36_28_26 T_int)) (= TYPEMODIFIERPRAGMA_36_28_26 118) (= true_term (is punctuationStrings_36_134_22 ?v_1)) (not (= punctuationStrings_36_134_22 null)) (= (typeof punctuationStrings_36_134_22) ?v_1) (= (arrayLength punctuationStrings_36_134_22) 48) (= true_term (is LONGLIT_14_40_26 T_int)) (= LONGLIT_14_40_26 106) (= true_term (is LEXICALPRAGMA_36_24_26 T_int)) (= LEXICALPRAGMA_36_24_26 114) (= true_term (is DOUBLELIT_14_43_26 T_int)) (= DOUBLELIT_14_43_26 109) (= true_term (is TYPEDECLELEMPRAGMA_36_27_26 T_int)) (= TYPEDECLELEMPRAGMA_36_27_26 117) (= true_term (is otherCodes_36_202_27 ?v_0)) (not (= otherCodes_36_202_27 null)) (= (typeof otherCodes_36_202_27) ?v_0) (= (arrayLength otherCodes_36_202_27) 15) (= true_term (is FIRST_KEYWORD_36_51_26 T_int)) (= FIRST_KEYWORD_36_51_26 133) (= true_term (is keywordStrings_36_181_30 ?v_1)) (not (= keywordStrings_36_181_30 null)) (= (typeof keywordStrings_36_181_30) ?v_1) (= (arrayLength keywordStrings_36_181_30) 51) (= true_term (is noTokens_36_212_27 T_int)) (= true_term (is otherStrings_36_193_30 ?v_1)) (not (= otherStrings_36_193_30 null)) (= (typeof otherStrings_36_193_30) ?v_1) (= (arrayLength otherStrings_36_193_30) 15) (= true_term (is INTLIT_14_39_26 T_int)) (= INTLIT_14_39_26 105) (= true_term (is LAST_KEYWORD_36_103_26 T_int)) (= LAST_KEYWORD_36_103_26 183) (= true_term (is NULL_36_82_26 T_int)) (= NULL_36_82_26 163) (= true_term (is MIN_VALUE_26_38_29 T_long)) (= MIN_VALUE_26_38_29 neg9223372036854775808) (= true_term (is FLOATLIT_14_42_26 T_int)) (= FLOATLIT_14_42_26 108))))
(declare-fun STMTPRAGMA_pre_36_26_26 () Int)
(declare-fun count_pre_29_99_33 () Int)
(declare-fun count_29_99_33 () Int)
(declare-fun S_spaces_pre_409_26 () Int)
(declare-fun S_spaces_409_26 () Int)
(declare-fun BOOLEANLIT_pre_14_38_26 () Int)
(declare-fun elements_pre_39_61_37 () Int)
(declare-fun elements_39_61_37 () Int)
(declare-fun parent_pre_46_18_18 () Int)
(declare-fun parent_46_18_18 () Int)
(declare-fun CHARLIT_pre_14_41_26 () Int)
(declare-fun MODIFIERPRAGMA_pre_36_25_26 () Int)
(declare-fun MIN_VALUE_pre_23_39_30 () Int)
(declare-fun hasParent_pre_8_149_30 () Int)
(declare-fun hasParent_8_149_30 () Int)
(declare-fun punctuationCodes_pre_36_164_19 () Int)
(declare-fun elements_pre_41_61_33 () Int)
(declare-fun elements_41_61_33 () Int)
(declare-fun STRINGLIT_pre_14_44_26 () Int)
(declare-fun count_pre_40_67_33 () Int)
(declare-fun count_40_67_33 () Int)
(declare-fun IDENT_pre_14_25_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_36_28_26 () Int)
(declare-fun outBuf_pre_395_24 () Int)
(declare-fun outBuf_395_24 () Int)
(declare-fun punctuationStrings_pre_36_134_22 () Int)
(declare-fun tokenType_pre_7_90_8 () Int)
(declare-fun tokenType_7_90_8 () Int)
(declare-fun LONGLIT_pre_14_40_26 () Int)
(declare-fun LEXICALPRAGMA_pre_36_24_26 () Int)
(declare-fun value_pre_29_91_31 () Int)
(declare-fun value_29_91_31 () Int)
(declare-fun parent_pre_73_59_18 () Int)
(declare-fun parent_73_59_18 () Int)
(declare-fun DOUBLELIT_pre_14_43_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_36_27_26 () Int)
(declare-fun self_pre_41_37 () Int)
(declare-fun self_41_37 () Int)
(declare-fun otherCodes_pre_36_202_27 () Int)
(declare-fun parent_pre_10_18_18 () Int)
(declare-fun parent_10_18_18 () Int)
(declare-fun FIRST_KEYWORD_pre_36_51_26 () Int)
(declare-fun elements_pre_40_61_43 () Int)
(declare-fun elements_40_61_43 () Int)
(declare-fun keywordStrings_pre_36_181_30 () Int)
(declare-fun noTokens_pre_36_212_27 () Int)
(declare-fun otherStrings_pre_36_193_30 () Int)
(declare-fun INTLIT_pre_14_39_26 () Int)
(declare-fun count_pre_39_67_33 () Int)
(declare-fun count_39_67_33 () Int)
(declare-fun LAST_KEYWORD_pre_36_103_26 () Int)
(declare-fun owner_pre_4_35_28 () Int)
(declare-fun owner_4_35_28 () Int)
(declare-fun NULL_pre_36_82_26 () Int)
(declare-fun MIN_VALUE_pre_26_38_29 () Int)
(declare-fun count_pre_41_67_33 () Int)
(declare-fun count_41_67_33 () Int)
(declare-fun FLOATLIT_pre_14_42_26 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun self_56_52 () Int)
(declare-fun objectToBeConstructed () Int)
(declare-fun after_56_58_56_58 () Int)
(declare-fun RES_56_58_56_58 () Int)
(declare-fun EC_56_58_56_58 () Int)
(declare-fun ecReturn () Int)
(declare-fun self_41_37_1_ () Int)
(declare-fun self_zero () Int)
(declare-fun self_56_65 () Int)
(assert (let ((?v_1 (array T_int)) (?v_2 (array T_java_lang_String)) (?v_0 (array T_byte)) (?v_4 (= (S_select owner_4_35_28 RES_56_58_56_58) null)) (?v_3 (= ecReturn ecReturn))) (not (=> (and true (< neg9223372036854775808 neg2147483648) (< neg2147483648 (- 1000000))) (=> (and (= STMTPRAGMA_pre_36_26_26 STMTPRAGMA_36_26_26) (= true_term (is STMTPRAGMA_36_26_26 T_int)) (= count_pre_29_99_33 count_29_99_33) (= count_29_99_33 (asField count_29_99_33 T_int)) (= S_spaces_pre_409_26 S_spaces_409_26) (= true_term (is S_spaces_409_26 ?v_0)) (= true_term (isAllocated S_spaces_409_26 alloc)) (= BOOLEANLIT_pre_14_38_26 BOOLEANLIT_14_38_26) (= true_term (is BOOLEANLIT_14_38_26 T_int)) (= elements_pre_39_61_37 elements_39_61_37) (= elements_39_61_37 (asField elements_39_61_37 (array T_javafe_ast_TypeName))) (< (fClosedTime elements_39_61_37) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select elements_39_61_37 ?s) null)))) (= parent_pre_46_18_18 parent_46_18_18) (= parent_46_18_18 (asField parent_46_18_18 T_javafe_ast_TypeDecl)) (< (fClosedTime parent_46_18_18) alloc) (= CHARLIT_pre_14_41_26 CHARLIT_14_41_26) (= true_term (is CHARLIT_14_41_26 T_int)) (= MODIFIERPRAGMA_pre_36_25_26 MODIFIERPRAGMA_36_25_26) (= true_term (is MODIFIERPRAGMA_36_25_26 T_int)) (= MIN_VALUE_pre_23_39_30 MIN_VALUE_23_39_30) (= true_term (is MIN_VALUE_23_39_30 T_int)) (= hasParent_pre_8_149_30 hasParent_8_149_30) (= hasParent_8_149_30 (asField hasParent_8_149_30 T_boolean)) (= punctuationCodes_pre_36_164_19 punctuationCodes_36_164_19) (= true_term (is punctuationCodes_36_164_19 ?v_1)) (= true_term (isAllocated punctuationCodes_36_164_19 alloc)) (= elements_pre_41_61_33 elements_41_61_33) (= elements_41_61_33 (asField elements_41_61_33 (array T_javafe_ast_Expr))) (< (fClosedTime elements_41_61_33) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elements_41_61_33 ?s_1_) null)))) (= STRINGLIT_pre_14_44_26 STRINGLIT_14_44_26) (= true_term (is STRINGLIT_14_44_26 T_int)) (= count_pre_40_67_33 count_40_67_33) (= count_40_67_33 (asField count_40_67_33 T_int)) (= IDENT_pre_14_25_26 IDENT_14_25_26) (= true_term (is IDENT_14_25_26 T_int)) (= TYPEMODIFIERPRAGMA_pre_36_28_26 TYPEMODIFIERPRAGMA_36_28_26) (= true_term (is TYPEMODIFIERPRAGMA_36_28_26 T_int)) (= outBuf_pre_395_24 outBuf_395_24) (= true_term (is outBuf_395_24 ?v_0)) (= true_term (isAllocated outBuf_395_24 alloc)) (= punctuationStrings_pre_36_134_22 punctuationStrings_36_134_22) (= true_term (is punctuationStrings_36_134_22 ?v_2)) (= true_term (isAllocated punctuationStrings_36_134_22 alloc)) (= tokenType_pre_7_90_8 tokenType_7_90_8) (= tokenType_7_90_8 (asField tokenType_7_90_8 T_int)) (= LONGLIT_pre_14_40_26 LONGLIT_14_40_26) (= true_term (is LONGLIT_14_40_26 T_int)) (= LEXICALPRAGMA_pre_36_24_26 LEXICALPRAGMA_36_24_26) (= true_term (is LEXICALPRAGMA_36_24_26 T_int)) (= value_pre_29_91_31 value_29_91_31) (= value_29_91_31 (asField value_29_91_31 (array T_char))) (< (fClosedTime value_29_91_31) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select value_29_91_31 ?s_2_) null)))) (= parent_pre_73_59_18 parent_73_59_18) (= parent_73_59_18 (asField parent_73_59_18 T_javafe_ast_TypeDecl)) (< (fClosedTime parent_73_59_18) alloc) (= DOUBLELIT_pre_14_43_26 DOUBLELIT_14_43_26) (= true_term (is DOUBLELIT_14_43_26 T_int)) (= TYPEDECLELEMPRAGMA_pre_36_27_26 TYPEDECLELEMPRAGMA_36_27_26) (= true_term (is TYPEDECLELEMPRAGMA_36_27_26 T_int)) (= self_pre_41_37 self_41_37) (= self_41_37 (asField self_41_37 T_javafe_ast_PrettyPrint)) (< (fClosedTime self_41_37) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select self_41_37 ?s_3_) null)))) (= otherCodes_pre_36_202_27 otherCodes_36_202_27) (= true_term (is otherCodes_36_202_27 ?v_1)) (= true_term (isAllocated otherCodes_36_202_27 alloc)) (= parent_pre_10_18_18 parent_10_18_18) (= parent_10_18_18 (asField parent_10_18_18 T_javafe_ast_TypeDecl)) (< (fClosedTime parent_10_18_18) alloc) (= FIRST_KEYWORD_pre_36_51_26 FIRST_KEYWORD_36_51_26) (= true_term (is FIRST_KEYWORD_36_51_26 T_int)) (= elements_pre_40_61_43 elements_40_61_43) (= elements_40_61_43 (asField elements_40_61_43 (array T_javafe_ast_FormalParaDecl))) (< (fClosedTime elements_40_61_43) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select elements_40_61_43 ?s_4_) null)))) (= keywordStrings_pre_36_181_30 keywordStrings_36_181_30) (= true_term (is keywordStrings_36_181_30 ?v_2)) (= true_term (isAllocated keywordStrings_36_181_30 alloc)) (= noTokens_pre_36_212_27 noTokens_36_212_27) (= true_term (is noTokens_36_212_27 T_int)) (= otherStrings_pre_36_193_30 otherStrings_36_193_30) (= true_term (is otherStrings_36_193_30 ?v_2)) (= true_term (isAllocated otherStrings_36_193_30 alloc)) (= INTLIT_pre_14_39_26 INTLIT_14_39_26) (= true_term (is INTLIT_14_39_26 T_int)) (= count_pre_39_67_33 count_39_67_33) (= count_39_67_33 (asField count_39_67_33 T_int)) (= LAST_KEYWORD_pre_36_103_26 LAST_KEYWORD_36_103_26) (= true_term (is LAST_KEYWORD_36_103_26 T_int)) (= owner_pre_4_35_28 owner_4_35_28) (= owner_4_35_28 (asField owner_4_35_28 T_java_lang_Object)) (< (fClosedTime owner_4_35_28) alloc) (= NULL_pre_36_82_26 NULL_36_82_26) (= true_term (is NULL_36_82_26 T_int)) (= MIN_VALUE_pre_26_38_29 MIN_VALUE_26_38_29) (= true_term (is MIN_VALUE_26_38_29 T_long)) (= count_pre_41_67_33 count_41_67_33) (= count_41_67_33 (asField count_41_67_33 T_int)) (= FLOATLIT_pre_14_42_26 FLOATLIT_14_42_26) (= true_term (is FLOATLIT_14_42_26 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is self_56_52 T_javafe_ast_PrettyPrint)) (= true_term (isAllocated self_56_52 alloc)) (not (= self_56_52 null)) (not (= S_spaces_409_26 null)) (not (= outBuf_395_24 null)) (not (= true_term (isAllocated objectToBeConstructed alloc))) (< alloc after_56_58_56_58) (not (= RES_56_58_56_58 null)) (not (= true_term (isAllocated RES_56_58_56_58 alloc))) (= true_term (is RES_56_58_56_58 T_java_lang_Object)) (= true_term (isAllocated RES_56_58_56_58 after_56_58_56_58)) (= EC_56_58_56_58 ecReturn) ?v_4 (= (PO_LT (typeof RES_56_58_56_58) T_javafe_ast_PrettyPrint) true_term) (= objectToBeConstructed RES_56_58_56_58) (= self_41_37_1_ (S_store self_41_37 RES_56_58_56_58 self_zero)) (= self_56_65 (S_store self_41_37_1_ RES_56_58_56_58 self_56_52)) (or (not ?v_3) (and ?v_3 (or (not ?v_4) (and ?v_4 (not (=> ?v_3 (not (= (S_select self_56_65 RES_56_58_56_58) null)))))))))))))))
(check-sat)
(exit)
