(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_javafe_ast_TypeDeclElemPragma () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_java_lang_StringBuffer () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_ast_Expr () Int)
(declare-fun T_javafe_ast_VarInit () Int)
(declare-fun T_javafe_ast_FormalParaDeclVec () Int)
(declare-fun T_javafe_ast_LexicalPragma () Int)
(declare-fun T_javafe_ast_TypeNameVec () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_java_lang_Long () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_ModifierPragma () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_javafe_tc_TagConstants () Int)
(declare-fun T_javafe_ast_ExprVec () Int)
(declare-fun T_javafe_ast_PrettyPrint () Int)
(declare-fun T_javafe_ast_StandardPrettyPrint () Int)
(declare-fun T_javafe_ast_TypeModifierPragma () Int)
(declare-fun T_java_lang_Math () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_java_lang_Double () Int)
(declare-fun T_javafe_ast_StmtPragma () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_ast_ObjectDesignator () Int)
(declare-fun T_java_lang_Character () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_javafe_ast_FormalParaDecl () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_java_lang_Boolean () Int)
(declare-fun T_javafe_ast_TypeName () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_io_ByteArrayOutputStream () Int)
(declare-fun T_javafe_ast_LocalVarDecl () Int)
(declare-fun T_java_lang_Float () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun STMTPRAGMA_36_26_26 () Int)
(declare-fun BOOLEANLIT_14_38_26 () Int)
(declare-fun CHARLIT_14_41_26 () Int)
(declare-fun MODIFIERPRAGMA_36_25_26 () Int)
(declare-fun MIN_VALUE_23_39_30 () Int)
(declare-fun neg2147483648 () Int)
(declare-fun punctuationCodes_36_164_19 () Int)
(declare-fun STRINGLIT_14_44_26 () Int)
(declare-fun IDENT_14_25_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_36_28_26 () Int)
(declare-fun punctuationStrings_36_134_22 () Int)
(declare-fun LONGLIT_14_40_26 () Int)
(declare-fun LEXICALPRAGMA_36_24_26 () Int)
(declare-fun DOUBLELIT_14_43_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_36_27_26 () Int)
(declare-fun otherCodes_36_202_27 () Int)
(declare-fun FIRST_KEYWORD_36_51_26 () Int)
(declare-fun keywordStrings_36_181_30 () Int)
(declare-fun noTokens_36_212_27 () Int)
(declare-fun otherStrings_36_193_30 () Int)
(declare-fun INTLIT_14_39_26 () Int)
(declare-fun LAST_KEYWORD_36_103_26 () Int)
(declare-fun NULL_36_82_26 () Int)
(declare-fun MIN_VALUE_26_38_29 () Int)
(declare-fun neg9223372036854775808 () Int)
(declare-fun FLOATLIT_14_42_26 () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String))) (and (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeDeclElemPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDeclElemPragma (asChild T_javafe_ast_TypeDeclElemPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDeclElemPragma T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_lang_StringBuffer T_java_lang_Object) true_term) (= T_java_lang_StringBuffer (asChild T_java_lang_StringBuffer T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_StringBuffer) true_term) (= ?t T_java_lang_StringBuffer))) (= (PO_LT T_java_lang_StringBuffer T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_Expr T_javafe_ast_VarInit) true_term) (= T_javafe_ast_Expr (asChild T_javafe_ast_Expr T_javafe_ast_VarInit)) (= (PO_LT T_javafe_ast_FormalParaDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_FormalParaDeclVec (asChild T_javafe_ast_FormalParaDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_LexicalPragma (asChild T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeNameVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeNameVec (asChild T_javafe_ast_TypeNameVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_lang_Long T_java_lang_Number) true_term) (= T_java_lang_Long (asChild T_java_lang_Long T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Long) true_term) (= ?t T_java_lang_Long))) (= (PO_LT T_java_lang_Long T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ModifierPragma (asChild T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_javafe_tc_TagConstants T_javafe_parser_TagConstants) true_term) (= T_javafe_tc_TagConstants (asChild T_javafe_tc_TagConstants T_javafe_parser_TagConstants)) (= (PO_LT T_javafe_ast_ExprVec T_java_lang_Object) true_term) (= T_javafe_ast_ExprVec (asChild T_javafe_ast_ExprVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_PrettyPrint T_java_lang_Object) true_term) (= T_javafe_ast_PrettyPrint (asChild T_javafe_ast_PrettyPrint T_java_lang_Object)) (= (PO_LT T_javafe_ast_StandardPrettyPrint T_javafe_ast_PrettyPrint) true_term) (= T_javafe_ast_StandardPrettyPrint (asChild T_javafe_ast_StandardPrettyPrint T_javafe_ast_PrettyPrint)) (= (PO_LT T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeModifierPragma (asChild T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Math T_java_lang_Object) true_term) (= T_java_lang_Math (asChild T_java_lang_Math T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Math) true_term) (= ?t T_java_lang_Math))) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_java_lang_Double T_java_lang_Number) true_term) (= T_java_lang_Double (asChild T_java_lang_Double T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Double) true_term) (= ?t T_java_lang_Double))) (= (PO_LT T_java_lang_Double T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_StmtPragma T_javafe_ast_Stmt) true_term) (= T_javafe_ast_StmtPragma (asChild T_javafe_ast_StmtPragma T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_ObjectDesignator T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ObjectDesignator (asChild T_javafe_ast_ObjectDesignator T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Character T_java_lang_Object) true_term) (= T_java_lang_Character (asChild T_java_lang_Character T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Character) true_term) (= ?t T_java_lang_Character))) (= (PO_LT T_java_lang_Character T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Character T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FormalParaDecl (asChild T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Boolean T_java_lang_Object) true_term) (= T_java_lang_Boolean (asChild T_java_lang_Boolean T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Boolean) true_term) (= ?t T_java_lang_Boolean))) (= (PO_LT T_java_lang_Boolean T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_VarInit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_VarInit (asChild T_javafe_ast_VarInit T_javafe_ast_ASTNode)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_TypeName T_javafe_ast_Type) true_term) (= T_javafe_ast_TypeName (asChild T_javafe_ast_TypeName T_javafe_ast_Type)) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_io_ByteArrayOutputStream T_java_io_OutputStream) true_term) (= T_java_io_ByteArrayOutputStream (asChild T_java_io_ByteArrayOutputStream T_java_io_OutputStream)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_LocalVarDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_LocalVarDecl (asChild T_javafe_ast_LocalVarDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_java_lang_Float T_java_lang_Number) true_term) (= T_java_lang_Float (asChild T_java_lang_Float T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Float) true_term) (= ?t T_java_lang_Float))) (= (PO_LT T_java_lang_Float T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_util_Assert (+ DIST_ZERO_1 10)) (= T_javafe_ast_TypeDeclElemPragma (+ DIST_ZERO_1 11)) (= T_java_lang_StringBuffer (+ DIST_ZERO_1 12)) (= T_java_lang_Comparable (+ DIST_ZERO_1 13)) (= T_javafe_ast_Expr (+ DIST_ZERO_1 14)) (= T_javafe_ast_FormalParaDeclVec (+ DIST_ZERO_1 15)) (= T_javafe_ast_LexicalPragma (+ DIST_ZERO_1 16)) (= T_javafe_ast_TypeNameVec (+ DIST_ZERO_1 17)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 18)) (= T_java_lang_Exception (+ DIST_ZERO_1 19)) (= T_java_lang_Long (+ DIST_ZERO_1 20)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 21)) (= T_javafe_ast_ModifierPragma (+ DIST_ZERO_1 22)) (= T_javafe_ast_Type (+ DIST_ZERO_1 23)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 24)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 25)) (= T_java_io_IOException (+ DIST_ZERO_1 26)) (= T_javafe_tc_TagConstants (+ DIST_ZERO_1 27)) (= T_javafe_ast_ExprVec (+ DIST_ZERO_1 28)) (= T_javafe_ast_PrettyPrint (+ DIST_ZERO_1 29)) (= T_javafe_ast_StandardPrettyPrint (+ DIST_ZERO_1 30)) (= T_javafe_ast_TypeModifierPragma (+ DIST_ZERO_1 31)) (= T_java_lang_Object (+ DIST_ZERO_1 32)) (= T_java_lang_Math (+ DIST_ZERO_1 33)) (= T_java_lang_String (+ DIST_ZERO_1 34)) (= T_javafe_util_Location (+ DIST_ZERO_1 35)) (= T_java_lang_Double (+ DIST_ZERO_1 36)) (= T_javafe_ast_StmtPragma (+ DIST_ZERO_1 37)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 38)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 39)) (= T_javafe_ast_ObjectDesignator (+ DIST_ZERO_1 40)) (= T_java_lang_Number (+ DIST_ZERO_1 41)) (= T_java_lang_Character (+ DIST_ZERO_1 42)) (= T_java_lang_Throwable (+ DIST_ZERO_1 43)) (= T_java_lang_Integer (+ DIST_ZERO_1 44)) (= T_javafe_ast_FormalParaDecl (+ DIST_ZERO_1 45)) (= T_javafe_ast_Name (+ DIST_ZERO_1 46)) (= T_java_lang_Boolean (+ DIST_ZERO_1 47)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 48)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 49)) (= T_javafe_ast_VarInit (+ DIST_ZERO_1 50)) (= T_java_io_Serializable (+ DIST_ZERO_1 51)) (= T_javafe_ast_TypeName (+ DIST_ZERO_1 52)) (= T_java_io_OutputStream (+ DIST_ZERO_1 53)) (= T_java_io_ByteArrayOutputStream (+ DIST_ZERO_1 54)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 55)) (= T_javafe_ast_LocalVarDecl (+ DIST_ZERO_1 56)) (= T_java_lang_Float (+ DIST_ZERO_1 57)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 58)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 59)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 60)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 61))) (= true_term (is STMTPRAGMA_36_26_26 T_int)) (= STMTPRAGMA_36_26_26 116) (= true_term (is BOOLEANLIT_14_38_26 T_int)) (= BOOLEANLIT_14_38_26 104) (= true_term (is CHARLIT_14_41_26 T_int)) (= CHARLIT_14_41_26 107) (= true_term (is MODIFIERPRAGMA_36_25_26 T_int)) (= MODIFIERPRAGMA_36_25_26 115) (= true_term (is MIN_VALUE_23_39_30 T_int)) (= MIN_VALUE_23_39_30 neg2147483648) (= true_term (is punctuationCodes_36_164_19 ?v_0)) (not (= punctuationCodes_36_164_19 null)) (= (typeof punctuationCodes_36_164_19) ?v_0) (= (arrayLength punctuationCodes_36_164_19) 48) (= true_term (is STRINGLIT_14_44_26 T_int)) (= STRINGLIT_14_44_26 110) (= true_term (is IDENT_14_25_26 T_int)) (= IDENT_14_25_26 93) (= true_term (is TYPEMODIFIERPRAGMA_36_28_26 T_int)) (= TYPEMODIFIERPRAGMA_36_28_26 118) (= true_term (is punctuationStrings_36_134_22 ?v_1)) (not (= punctuationStrings_36_134_22 null)) (= (typeof punctuationStrings_36_134_22) ?v_1) (= (arrayLength punctuationStrings_36_134_22) 48) (= true_term (is LONGLIT_14_40_26 T_int)) (= LONGLIT_14_40_26 106) (= true_term (is LEXICALPRAGMA_36_24_26 T_int)) (= LEXICALPRAGMA_36_24_26 114) (= true_term (is DOUBLELIT_14_43_26 T_int)) (= DOUBLELIT_14_43_26 109) (= true_term (is TYPEDECLELEMPRAGMA_36_27_26 T_int)) (= TYPEDECLELEMPRAGMA_36_27_26 117) (= true_term (is otherCodes_36_202_27 ?v_0)) (not (= otherCodes_36_202_27 null)) (= (typeof otherCodes_36_202_27) ?v_0) (= (arrayLength otherCodes_36_202_27) 15) (= true_term (is FIRST_KEYWORD_36_51_26 T_int)) (= FIRST_KEYWORD_36_51_26 133) (= true_term (is keywordStrings_36_181_30 ?v_1)) (not (= keywordStrings_36_181_30 null)) (= (typeof keywordStrings_36_181_30) ?v_1) (= (arrayLength keywordStrings_36_181_30) 51) (= true_term (is noTokens_36_212_27 T_int)) (= true_term (is otherStrings_36_193_30 ?v_1)) (not (= otherStrings_36_193_30 null)) (= (typeof otherStrings_36_193_30) ?v_1) (= (arrayLength otherStrings_36_193_30) 15) (= true_term (is INTLIT_14_39_26 T_int)) (= INTLIT_14_39_26 105) (= true_term (is LAST_KEYWORD_36_103_26 T_int)) (= LAST_KEYWORD_36_103_26 183) (= true_term (is NULL_36_82_26 T_int)) (= NULL_36_82_26 163) (= true_term (is MIN_VALUE_26_38_29 T_long)) (= MIN_VALUE_26_38_29 neg9223372036854775808) (= true_term (is FLOATLIT_14_42_26 T_int)) (= FLOATLIT_14_42_26 108))))
(declare-fun ecReturn () Int)
(declare-fun L_268_5 () Int)
(declare-fun L_253_6 () Int)
(declare-fun C_253_6 () Int)
(declare-fun L_255_1 () Int)
(declare-fun S_240_58 () Int)
(declare-fun S_233_29 () Int)
(declare-fun S_241_37 () Int)
(declare-fun S_226_63 () Int)
(declare-fun S_240_29 () Int)
(declare-fun S_232_41 () Int)
(declare-fun S_227_62 () Int)
(declare-fun S_239_38 () Int)
(declare-fun STMTPRAGMA_pre_36_26_26 () Int)
(declare-fun count_pre_29_99_33 () Int)
(declare-fun count_29_99_33 () Int)
(declare-fun S_spaces_pre_409_26 () Int)
(declare-fun S_spaces_409_26 () Int)
(declare-fun BOOLEANLIT_pre_14_38_26 () Int)
(declare-fun elements_pre_39_61_37 () Int)
(declare-fun elements_39_61_37 () Int)
(declare-fun parent_pre_46_18_18 () Int)
(declare-fun parent_46_18_18 () Int)
(declare-fun CHARLIT_pre_14_41_26 () Int)
(declare-fun MODIFIERPRAGMA_pre_36_25_26 () Int)
(declare-fun MIN_VALUE_pre_23_39_30 () Int)
(declare-fun hasParent_pre_8_149_30 () Int)
(declare-fun hasParent_8_149_30 () Int)
(declare-fun punctuationCodes_pre_36_164_19 () Int)
(declare-fun elements_pre_41_61_33 () Int)
(declare-fun elements_41_61_33 () Int)
(declare-fun STRINGLIT_pre_14_44_26 () Int)
(declare-fun count_pre_40_67_33 () Int)
(declare-fun count_40_67_33 () Int)
(declare-fun IDENT_pre_14_25_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_36_28_26 () Int)
(declare-fun outBuf_pre_395_24 () Int)
(declare-fun outBuf_395_24 () Int)
(declare-fun punctuationStrings_pre_36_134_22 () Int)
(declare-fun tokenType_pre_7_90_8 () Int)
(declare-fun tokenType_7_90_8 () Int)
(declare-fun LONGLIT_pre_14_40_26 () Int)
(declare-fun LEXICALPRAGMA_pre_36_24_26 () Int)
(declare-fun value_pre_29_91_31 () Int)
(declare-fun value_29_91_31 () Int)
(declare-fun parent_pre_73_59_18 () Int)
(declare-fun parent_73_59_18 () Int)
(declare-fun DOUBLELIT_pre_14_43_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_36_27_26 () Int)
(declare-fun self_pre_41_37 () Int)
(declare-fun self_41_37 () Int)
(declare-fun otherCodes_pre_36_202_27 () Int)
(declare-fun parent_pre_10_18_18 () Int)
(declare-fun parent_10_18_18 () Int)
(declare-fun FIRST_KEYWORD_pre_36_51_26 () Int)
(declare-fun elements_pre_40_61_43 () Int)
(declare-fun elements_40_61_43 () Int)
(declare-fun keywordStrings_pre_36_181_30 () Int)
(declare-fun noTokens_pre_36_212_27 () Int)
(declare-fun otherStrings_pre_36_193_30 () Int)
(declare-fun INTLIT_pre_14_39_26 () Int)
(declare-fun count_pre_39_67_33 () Int)
(declare-fun count_39_67_33 () Int)
(declare-fun LAST_KEYWORD_pre_36_103_26 () Int)
(declare-fun owner_pre_4_35_28 () Int)
(declare-fun owner_4_35_28 () Int)
(declare-fun NULL_pre_36_82_26 () Int)
(declare-fun MIN_VALUE_pre_26_38_29 () Int)
(declare-fun count_pre_41_67_33 () Int)
(declare-fun count_41_67_33 () Int)
(declare-fun FLOATLIT_pre_14_42_26 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun tag_224_45 () Int)
(declare-fun val_224_57 () Int)
(declare-fun tmp0_cor_244_36 () Int)
(declare-fun tmp0_cor_244_8 () Int)
(declare-fun this_248_42_248_42 () Int)
(declare-fun RES_248_42_248_42 () Int)
(declare-fun EC_248_42_248_42 () Int)
(declare-fun arg0_248_7_248_7_30__ () Int)
(declare-fun after_248_7_248_7 () Int)
(declare-fun RES_248_7_248_7 () Int)
(declare-fun EC_248_7_248_7 () Int)
(declare-fun alloc_1_ () Int)
(declare-fun quote_245_11 () Int)
(declare-fun RES () Int)
(declare-fun EC () Int)
(declare-fun val_224_57_1_ () Int)
(declare-fun RES_1_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun RES_250_21_250_21 () Int)
(declare-fun EC_250_21_250_21 () Int)
(declare-fun RES_251_47_251_47 () Int)
(declare-fun EC_251_47_251_47 () Int)
(declare-fun arg0_251_28_251_28_33__ () Int)
(declare-fun after_251_28_251_28 () Int)
(declare-fun RES_251_28_251_28 () Int)
(declare-fun EC_251_28_251_28 () Int)
(declare-fun RES_252_13_252_13 () Int)
(declare-fun EC_252_13_252_13 () Int)
(declare-fun RES_253_29_253_29 () Int)
(declare-fun EC_253_29_253_29 () Int)
(declare-fun EC_loopold () Int)
(declare-fun i_loopold_253_14 () Int)
(declare-fun RES_253_6_0_254_12_254_12 () Int)
(declare-fun EC_253_6_0_254_12_254_12 () Int)
(declare-fun tmp12_cand_253_6_0_265_14 () Int)
(declare-fun tmp12_cand_265_22 () Int)
(declare-fun RES_253_6_0_267_12_267_12 () Int)
(declare-fun EC_253_6_0_267_12_267_12 () Int)
(declare-fun j_loopold_253_6_0_268_13 () Int)
(declare-fun EC_loopold_253_6_0 () Int)
(declare-fun tmp16_253_6_0_268_5_0_269_40 () Int)
(declare-fun intShiftAR (Int Int) Int)
(declare-fun RES_253_6_0_268_5_0_269_31_269_31 () Int)
(declare-fun EC_253_6_0_268_5_0_269_31_269_31 () Int)
(declare-fun RES_2_ () Int)
(declare-fun EC_2_ () Int)
(declare-fun RES_253_6_0_256_19_256_19 () Int)
(declare-fun EC_253_6_0_256_19_256_19 () Int)
(declare-fun RES_3_ () Int)
(declare-fun EC_3_ () Int)
(declare-fun RES_253_6_0_257_19_257_19 () Int)
(declare-fun EC_253_6_0_257_19_257_19 () Int)
(declare-fun RES_4_ () Int)
(declare-fun EC_4_ () Int)
(declare-fun RES_253_6_0_258_19_258_19 () Int)
(declare-fun EC_253_6_0_258_19_258_19 () Int)
(declare-fun RES_5_ () Int)
(declare-fun EC_5_ () Int)
(declare-fun RES_253_6_0_259_26_259_26 () Int)
(declare-fun EC_253_6_0_259_26_259_26 () Int)
(declare-fun RES_6_ () Int)
(declare-fun EC_6_ () Int)
(declare-fun RES_253_6_0_260_26_260_26 () Int)
(declare-fun EC_253_6_0_260_26_260_26 () Int)
(declare-fun RES_7_ () Int)
(declare-fun EC_7_ () Int)
(declare-fun RES_253_6_0_261_26_261_26 () Int)
(declare-fun EC_253_6_0_261_26_261_26 () Int)
(declare-fun RES_8_ () Int)
(declare-fun EC_8_ () Int)
(declare-fun RES_253_6_0_262_26_262_26 () Int)
(declare-fun EC_253_6_0_262_26_262_26 () Int)
(declare-fun RES_9_ () Int)
(declare-fun EC_9_ () Int)
(declare-fun RES_253_6_0_263_26_263_26 () Int)
(declare-fun EC_253_6_0_263_26_263_26 () Int)
(declare-fun RES_10_ () Int)
(declare-fun EC_10_ () Int)
(declare-fun RES_11_ () Int)
(declare-fun RES_253_6_0_268_5_0_269_14_269_14 () Int)
(declare-fun EC_253_6_0_268_5_0_269_14_269_14 () Int)
(declare-fun j_253_6_0_268_5_0_268_25 () Int)
(declare-fun RES_12_ () Int)
(declare-fun EC_11_ () Int)
(declare-fun RES_253_6_0_265_41_265_41 () Int)
(declare-fun EC_253_6_0_265_41_265_41 () Int)
(declare-fun RES_13_ () Int)
(declare-fun EC_12_ () Int)
(declare-fun RES_14_ () Int)
(declare-fun EC_13_ () Int)
(declare-fun RES_15_ () Int)
(declare-fun EC_14_ () Int)
(declare-fun RES_254_10 () Int)
(declare-fun EC_254_10 () Int)
(declare-fun i_253_6_0_253_48 () Int)
(declare-fun RES_16_ () Int)
(declare-fun EC_15_ () Int)
(declare-fun RES_273_13_273_13 () Int)
(declare-fun EC_273_13_273_13 () Int)
(declare-fun RES_225_51_225_51 () Int)
(declare-fun EC_225_51_225_51 () Int)
(declare-fun RES_17_ () Int)
(declare-fun EC_16_ () Int)
(declare-fun RES_226_50_226_50 () Int)
(declare-fun EC_226_50_226_50 () Int)
(declare-fun RES_18_ () Int)
(declare-fun RES_227_49_227_49 () Int)
(declare-fun EC_227_49_227_49 () Int)
(declare-fun RES_19_ () Int)
(declare-fun this_231_30_231_30 () Int)
(declare-fun RES_231_30_231_30 () Int)
(declare-fun EC_231_30_231_30 () Int)
(declare-fun RES_20_ () Int)
(declare-fun RES_233_44_233_44 () Int)
(declare-fun EC_233_44_233_44 () Int)
(declare-fun RES_21_ () Int)
(declare-fun RES_22_ () Int)
(declare-fun RES_234_26_234_26 () Int)
(declare-fun EC_234_26_234_26 () Int)
(declare-fun this_238_28_238_28 () Int)
(declare-fun RES_238_28_238_28 () Int)
(declare-fun EC_238_28_238_28 () Int)
(declare-fun RES_23_ () Int)
(declare-fun RES_240_41_240_41 () Int)
(declare-fun EC_240_41_240_41 () Int)
(declare-fun RES_24_ () Int)
(declare-fun RES_25_ () Int)
(declare-fun RES_241_23_241_23 () Int)
(declare-fun EC_241_23_241_23 () Int)
(declare-fun RES_26_ () Int)
(declare-fun RES_27_ () Int)
(declare-fun EC_17_ () Int)
(declare-fun RES_274_20_274_20 () Int)
(declare-fun EC_274_20_274_20 () Int)
(assert (let ((?v_1 (array T_int)) (?v_2 (array T_java_lang_String)) (?v_0 (array T_byte)) (?v_3 (= tag_224_45 BOOLEANLIT_14_38_26)) (?v_4 (= tag_224_45 INTLIT_14_39_26)) (?v_6 (= tag_224_45 LONGLIT_14_40_26)) (?v_7 (= tag_224_45 FLOATLIT_14_42_26)) (?v_8 (= tag_224_45 DOUBLELIT_14_43_26)) (?v_9 (= tag_224_45 STRINGLIT_14_44_26)) (?v_10 (= tag_224_45 CHARLIT_14_41_26)) (?v_5 (not (= val_224_57 null))) (?v_14 (= true_term (is val_224_57 T_java_lang_Integer)))) (let ((?v_11 (and ?v_14 ?v_5)) (?v_15 (= true_term (is val_224_57 T_java_lang_Long))) (?v_12 (= true_term true_term)) (?v_13 (not ?v_5)) (?v_76 (not ?v_3)) (?v_77 (not ?v_8)) (?v_78 (not ?v_7)) (?v_16 (not ?v_14)) (?v_19 (cast val_224_57 T_java_lang_Integer))) (let ((?v_18 (not (= ?v_19 null)))) (let ((?v_17 (and ?v_14 (not ?v_18))) (?v_79 (not ?v_4)) (?v_93 (cast val_224_57 T_java_lang_Long))) (let ((?v_92 (not (= ?v_93 null))) (?v_80 (not ?v_6)) (?v_20 (not ?v_10))) (let ((?v_81 (or (and ?v_10 ?v_12 (= tmp0_cor_244_36 true_term)) (and ?v_20 (= tmp0_cor_244_8 (integralEQ tag_224_45 STRINGLIT_14_44_26)) (= tmp0_cor_244_36 tmp0_cor_244_8)))) (?v_75 (= true_term tmp0_cor_244_36)) (?v_98 (or (and ?v_10 ?v_12 ?v_14 ?v_18 (= this_248_42_248_42 ?v_19) (= true_term (is RES_248_42_248_42 T_int)) (= EC_248_42_248_42 ecReturn) (= arg0_248_7_248_7_30__ (cast RES_248_42_248_42 T_char)) (< alloc after_248_7_248_7) (not (= RES_248_7_248_7 null)) (not (= true_term (isAllocated RES_248_7_248_7 alloc))) (= true_term (is RES_248_7_248_7 T_java_lang_Character)) (= true_term (isAllocated RES_248_7_248_7 after_248_7_248_7)) (= EC_248_7_248_7 ecReturn) (= (S_select owner_4_35_28 RES_248_7_248_7) null) (= (typeof RES_248_7_248_7) T_java_lang_Character) (= alloc_1_ after_248_7_248_7) (= quote_245_11 39) (= RES RES_248_7_248_7) (= EC EC_248_7_248_7) (= val_224_57_1_ RES_248_7_248_7)) (and ?v_20 ?v_12 (= alloc_1_ alloc) (= quote_245_11 34) (= RES RES_1_) (= EC EC_1_) (= val_224_57_1_ val_224_57)))) (?v_21 (not (= val_224_57_1_ null))) (?v_99 (= true_term (is RES_250_21_250_21 T_java_lang_String))) (?v_100 (= true_term (isAllocated RES_250_21_250_21 alloc_1_))) (?v_22 (= EC_250_21_250_21 ecReturn)) (?v_23 (not (= RES_250_21_250_21 null)))) (let ((?v_101 (=> ?v_22 ?v_23)) (?v_26 (not ?v_23)) (?v_102 (= true_term (is RES_251_47_251_47 T_int))) (?v_24 (= EC_251_47_251_47 ecReturn))) (let ((?v_103 (=> ?v_24 (>= RES_251_47_251_47 0))) (?v_28 (S_select count_29_99_33 RES_250_21_250_21))) (let ((?v_104 (=> ?v_24 (= RES_251_47_251_47 ?v_28))) (?v_105 (= arg0_251_28_251_28_33__ (+ RES_251_47_251_47 2))) (?v_106 (< alloc_1_ after_251_28_251_28)) (?v_25 (not (= RES_251_28_251_28 null))) (?v_107 (not (= true_term (isAllocated RES_251_28_251_28 alloc_1_)))) (?v_108 (= true_term (is RES_251_28_251_28 T_java_lang_StringBuffer))) (?v_109 (= true_term (isAllocated RES_251_28_251_28 after_251_28_251_28))) (?v_110 (= EC_251_28_251_28 ecReturn)) (?v_111 (= (S_select owner_4_35_28 RES_251_28_251_28) null)) (?v_112 (= (typeof RES_251_28_251_28) T_java_lang_StringBuffer))) (let ((?v_29 (not ?v_25)) (?v_113 (= true_term (is RES_252_13_252_13 T_java_lang_StringBuffer))) (?v_114 (= true_term (isAllocated RES_252_13_252_13 after_251_28_251_28))) (?v_115 (= EC_252_13_252_13 ecReturn)) (?v_40 (= true_term (is RES_253_29_253_29 T_int))) (?v_27 (= EC_253_29_253_29 ecReturn))) (let ((?v_41 (=> ?v_27 (>= RES_253_29_253_29 0))) (?v_42 (=> ?v_27 (= RES_253_29_253_29 ?v_28))) (?v_43 (= EC_253_29_253_29 EC_loopold)) (?v_44 (= 0 i_loopold_253_14)) (?v_45 (< 0 RES_253_29_253_29)) (?v_46 (= true_term (is RES_253_6_0_254_12_254_12 T_char))) (?v_47 (= EC_253_6_0_254_12_254_12 ecReturn)) (?v_30 (= RES_253_6_0_254_12_254_12 8)) (?v_31 (= RES_253_6_0_254_12_254_12 9)) (?v_32 (= RES_253_6_0_254_12_254_12 10)) (?v_33 (= RES_253_6_0_254_12_254_12 12)) (?v_34 (= RES_253_6_0_254_12_254_12 13)) (?v_35 (= RES_253_6_0_254_12_254_12 34)) (?v_36 (= RES_253_6_0_254_12_254_12 39)) (?v_37 (= RES_253_6_0_254_12_254_12 92))) (let ((?v_49 (not ?v_30)) (?v_50 (not ?v_31)) (?v_51 (not ?v_32)) (?v_52 (not ?v_33)) (?v_53 (not ?v_34)) (?v_54 (not ?v_35)) (?v_55 (not ?v_36)) (?v_56 (not ?v_37)) (?v_38 (<= 32 RES_253_6_0_254_12_254_12))) (let ((?v_57 (or (and ?v_38 (= tmp12_cand_253_6_0_265_14 (integralLT RES_253_6_0_254_12_254_12 128)) (= tmp12_cand_265_22 tmp12_cand_253_6_0_265_14)) (and (not ?v_38) ?v_12 (= tmp12_cand_265_22 false_term)))) (?v_39 (= true_term tmp12_cand_265_22))) (let ((?v_58 (not ?v_39)) (?v_59 (= true_term (is RES_253_6_0_267_12_267_12 T_java_lang_StringBuffer))) (?v_60 (= true_term (isAllocated RES_253_6_0_267_12_267_12 after_251_28_251_28))) (?v_61 (= EC_253_6_0_267_12_267_12 ecReturn)) (?v_62 (= 12 j_loopold_253_6_0_268_13)) (?v_63 (= EC_253_6_0_267_12_267_12 EC_loopold_253_6_0)) (?v_64 (>= 12 0)) (?v_65 (= tmp16_253_6_0_268_5_0_269_40 (integralAnd (intShiftAR RES_253_6_0_254_12_254_12 12) 15))) (?v_66 (= true_term (is RES_253_6_0_268_5_0_269_31_269_31 T_char))) (?v_67 (= EC_253_6_0_268_5_0_269_31_269_31 ecReturn)) (?v_48 (= EC_3_ L_255_1))) (let ((?v_68 (or (and ?v_12 (not ?v_64) (= RES_11_ RES_253_6_0_267_12_267_12)) (and ?v_12 ?v_64 ?v_65 ?v_66 ?v_67 ?v_25 (= true_term (is RES_253_6_0_268_5_0_269_14_269_14 T_java_lang_StringBuffer)) (= true_term (isAllocated RES_253_6_0_268_5_0_269_14_269_14 after_251_28_251_28)) (= EC_253_6_0_268_5_0_269_14_269_14 ecReturn) (= j_253_6_0_268_5_0_268_25 (- 12 4)) ?v_12 (not (>= j_253_6_0_268_5_0_268_25 0)) (= RES_11_ RES_253_6_0_268_5_0_269_14_269_14)))) (?v_69 (= L_268_5 L_268_5))) (let ((?v_70 (or (and (or (and (or (and (or (and (or (and (or (and (or (and (or (and ?v_12 ?v_30 ?v_25 (= true_term (is RES_253_6_0_256_19_256_19 T_java_lang_StringBuffer)) (= true_term (isAllocated RES_253_6_0_256_19_256_19 after_251_28_251_28)) (= EC_253_6_0_256_19_256_19 ecReturn) ?v_12 (= RES_3_ RES_253_6_0_256_19_256_19) ?v_48) (and ?v_12 ?v_31 ?v_25 (= true_term (is RES_253_6_0_257_19_257_19 T_java_lang_StringBuffer)) (= true_term (isAllocated RES_253_6_0_257_19_257_19 after_251_28_251_28)) (= EC_253_6_0_257_19_257_19 ecReturn) ?v_12 (= RES_3_ RES_253_6_0_257_19_257_19) ?v_48)) (= RES_4_ RES_3_) (= EC_4_ EC_3_)) (and ?v_12 ?v_32 ?v_25 (= true_term (is RES_253_6_0_258_19_258_19 T_java_lang_StringBuffer)) (= true_term (isAllocated RES_253_6_0_258_19_258_19 after_251_28_251_28)) (= EC_253_6_0_258_19_258_19 ecReturn) ?v_12 (= RES_4_ RES_253_6_0_258_19_258_19) (= EC_4_ L_255_1))) (= RES_5_ RES_4_) (= EC_5_ EC_4_)) (and ?v_12 ?v_33 ?v_25 (= true_term (is RES_253_6_0_259_26_259_26 T_java_lang_StringBuffer)) (= true_term (isAllocated RES_253_6_0_259_26_259_26 after_251_28_251_28)) (= EC_253_6_0_259_26_259_26 ecReturn) ?v_12 (= RES_5_ RES_253_6_0_259_26_259_26) (= EC_5_ L_255_1))) (= RES_6_ RES_5_) (= EC_6_ EC_5_)) (and ?v_12 ?v_34 ?v_25 (= true_term (is RES_253_6_0_260_26_260_26 T_java_lang_StringBuffer)) (= true_term (isAllocated RES_253_6_0_260_26_260_26 after_251_28_251_28)) (= EC_253_6_0_260_26_260_26 ecReturn) ?v_12 (= RES_6_ RES_253_6_0_260_26_260_26) (= EC_6_ L_255_1))) (= RES_7_ RES_6_) (= EC_7_ EC_6_)) (and ?v_12 ?v_35 ?v_25 (= true_term (is RES_253_6_0_261_26_261_26 T_java_lang_StringBuffer)) (= true_term (isAllocated RES_253_6_0_261_26_261_26 after_251_28_251_28)) (= EC_253_6_0_261_26_261_26 ecReturn) ?v_12 (= RES_7_ RES_253_6_0_261_26_261_26) (= EC_7_ L_255_1))) (= RES_8_ RES_7_) (= EC_8_ EC_7_)) (and ?v_12 ?v_36 ?v_25 (= true_term (is RES_253_6_0_262_26_262_26 T_java_lang_StringBuffer)) (= true_term (isAllocated RES_253_6_0_262_26_262_26 after_251_28_251_28)) (= EC_253_6_0_262_26_262_26 ecReturn) ?v_12 (= RES_8_ RES_253_6_0_262_26_262_26) (= EC_8_ L_255_1))) (= RES_9_ RES_8_) (= EC_9_ EC_8_)) (and ?v_12 ?v_37 ?v_25 (= true_term (is RES_253_6_0_263_26_263_26 T_java_lang_StringBuffer)) (= true_term (isAllocated RES_253_6_0_263_26_263_26 after_251_28_251_28)) (= EC_253_6_0_263_26_263_26 ecReturn) ?v_12 (= RES_9_ RES_253_6_0_263_26_263_26) (= EC_9_ L_255_1))) (= RES_10_ RES_9_) (= EC_10_ EC_9_)) (and ?v_12 ?v_49 ?v_50 ?v_51 ?v_52 ?v_53 ?v_54 ?v_55 ?v_56 ?v_57 ?v_58 ?v_12 ?v_25 ?v_59 ?v_60 ?v_61 ?v_62 ?v_63 ?v_68 (not ?v_69) (= RES_10_ RES_11_) (= EC_10_ L_268_5)))) (?v_71 (= EC_10_ L_255_1))) (let ((?v_72 (not ?v_71)) (?v_73 (= EC_10_ C_253_6)) (?v_74 (= EC_11_ L_253_6))) (let ((?v_116 (or (and ?v_12 (or (and (not ?v_45) (= RES_2_ RES_253_29_253_29) (= EC_2_ L_253_6)) (and ?v_45 ?v_23 ?v_46 ?v_47 ?v_70 ?v_72 (not ?v_73) (= RES_2_ RES_10_) (= EC_2_ EC_10_))) (= RES_12_ RES_2_) (= EC_11_ EC_2_)) (and ?v_12 ?v_45 (or (and ?v_23 ?v_46 ?v_47 (or (and ?v_12 ?v_49 ?v_50 ?v_51 ?v_52 ?v_53 ?v_54 ?v_55 ?v_56 ?v_57 (or (and ?v_39 ?v_12 ?v_25 (= true_term (is RES_253_6_0_265_41_265_41 T_java_lang_StringBuffer)) (= true_term (isAllocated RES_253_6_0_265_41_265_41 after_251_28_251_28)) (= EC_253_6_0_265_41_265_41 ecReturn) (= RES_13_ RES_253_6_0_265_41_265_41) (= EC_12_ EC_253_6_0_265_41_265_41)) (and ?v_58 ?v_12 ?v_25 ?v_59 ?v_60 ?v_61 ?v_62 ?v_63 ?v_68 ?v_69 (= RES_14_ RES_11_) (= EC_13_ L_268_5) (= RES_13_ RES_14_) (= EC_12_ EC_13_))) (= RES_15_ RES_13_) (= EC_14_ EC_12_)) (and ?v_70 ?v_71 (= RES_15_ RES_10_) (= EC_14_ EC_10_))) (= RES_254_10 RES_15_) (= EC_254_10 EC_14_)) (and ?v_23 ?v_46 ?v_47 ?v_70 ?v_72 ?v_73 (= RES_254_10 RES_10_) (= EC_254_10 EC_10_))) (= i_253_6_0_253_48 (+ 0 1)) ?v_12 (not (< i_253_6_0_253_48 RES_253_29_253_29)) (= RES_12_ RES_254_10) ?v_74))) (?v_117 (= RES_16_ RES_12_)) (?v_118 (= EC_15_ EC_11_)) (?v_119 (= true_term (is RES_273_13_273_13 T_java_lang_StringBuffer))) (?v_120 (= true_term (isAllocated RES_273_13_273_13 after_251_28_251_28))) (?v_121 (= EC_273_13_273_13 ecReturn)) (?v_82 (not ?v_75)) (?v_83 (= true_term false_term)) (?v_84 (= EC_225_51_225_51 ecReturn)) (?v_86 (= EC_16_ ecReturn)) (?v_85 (= EC_226_50_226_50 ecReturn)) (?v_87 (= EC_227_49_227_49 ecReturn)) (?v_88 (= RES_231_30_231_30 MIN_VALUE_23_39_30)) (?v_90 (< RES_231_30_231_30 0)) (?v_89 (= EC_233_44_233_44 ecReturn)) (?v_91 (= EC_234_26_234_26 ecReturn)) (?v_94 (= RES_238_28_238_28 MIN_VALUE_26_38_29)) (?v_96 (< RES_238_28_238_28 0)) (?v_95 (= EC_240_41_240_41 ecReturn)) (?v_97 (= EC_241_23_241_23 ecReturn)) (?v_122 (= EC_274_20_274_20 ecReturn))) (not (=> (and (distinct ecReturn L_268_5 L_253_6 C_253_6 L_255_1) (not (= S_240_58 null)) (= (typeof S_240_58) T_java_lang_String) (not (= S_233_29 null)) (= (typeof S_233_29) T_java_lang_String) (not (= S_241_37 null)) (= (typeof S_241_37) T_java_lang_String) (not (= S_226_63 null)) (= (typeof S_226_63) T_java_lang_String) (not (= S_240_29 null)) (= (typeof S_240_29) T_java_lang_String) (not (= S_232_41 null)) (= (typeof S_232_41) T_java_lang_String) (not (= S_227_62 null)) (= (typeof S_227_62) T_java_lang_String) (not (= S_239_38 null)) (= (typeof S_239_38) T_java_lang_String) (< neg9223372036854775808 neg2147483648) (< neg2147483648 (- 1000000))) (=> (and (= STMTPRAGMA_pre_36_26_26 STMTPRAGMA_36_26_26) (= true_term (is STMTPRAGMA_36_26_26 T_int)) (= count_pre_29_99_33 count_29_99_33) (= count_29_99_33 (asField count_29_99_33 T_int)) (= S_spaces_pre_409_26 S_spaces_409_26) (= true_term (is S_spaces_409_26 ?v_0)) (= true_term (isAllocated S_spaces_409_26 alloc)) (= BOOLEANLIT_pre_14_38_26 BOOLEANLIT_14_38_26) (= true_term (is BOOLEANLIT_14_38_26 T_int)) (= elements_pre_39_61_37 elements_39_61_37) (= elements_39_61_37 (asField elements_39_61_37 (array T_javafe_ast_TypeName))) (< (fClosedTime elements_39_61_37) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select elements_39_61_37 ?s) null)))) (= parent_pre_46_18_18 parent_46_18_18) (= parent_46_18_18 (asField parent_46_18_18 T_javafe_ast_TypeDecl)) (< (fClosedTime parent_46_18_18) alloc) (= CHARLIT_pre_14_41_26 CHARLIT_14_41_26) (= true_term (is CHARLIT_14_41_26 T_int)) (= MODIFIERPRAGMA_pre_36_25_26 MODIFIERPRAGMA_36_25_26) (= true_term (is MODIFIERPRAGMA_36_25_26 T_int)) (= MIN_VALUE_pre_23_39_30 MIN_VALUE_23_39_30) (= true_term (is MIN_VALUE_23_39_30 T_int)) (= hasParent_pre_8_149_30 hasParent_8_149_30) (= hasParent_8_149_30 (asField hasParent_8_149_30 T_boolean)) (= punctuationCodes_pre_36_164_19 punctuationCodes_36_164_19) (= true_term (is punctuationCodes_36_164_19 ?v_1)) (= true_term (isAllocated punctuationCodes_36_164_19 alloc)) (= elements_pre_41_61_33 elements_41_61_33) (= elements_41_61_33 (asField elements_41_61_33 (array T_javafe_ast_Expr))) (< (fClosedTime elements_41_61_33) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elements_41_61_33 ?s_1_) null)))) (= STRINGLIT_pre_14_44_26 STRINGLIT_14_44_26) (= true_term (is STRINGLIT_14_44_26 T_int)) (= count_pre_40_67_33 count_40_67_33) (= count_40_67_33 (asField count_40_67_33 T_int)) (= IDENT_pre_14_25_26 IDENT_14_25_26) (= true_term (is IDENT_14_25_26 T_int)) (= TYPEMODIFIERPRAGMA_pre_36_28_26 TYPEMODIFIERPRAGMA_36_28_26) (= true_term (is TYPEMODIFIERPRAGMA_36_28_26 T_int)) (= outBuf_pre_395_24 outBuf_395_24) (= true_term (is outBuf_395_24 ?v_0)) (= true_term (isAllocated outBuf_395_24 alloc)) (= punctuationStrings_pre_36_134_22 punctuationStrings_36_134_22) (= true_term (is punctuationStrings_36_134_22 ?v_2)) (= true_term (isAllocated punctuationStrings_36_134_22 alloc)) (= tokenType_pre_7_90_8 tokenType_7_90_8) (= tokenType_7_90_8 (asField tokenType_7_90_8 T_int)) (= LONGLIT_pre_14_40_26 LONGLIT_14_40_26) (= true_term (is LONGLIT_14_40_26 T_int)) (= LEXICALPRAGMA_pre_36_24_26 LEXICALPRAGMA_36_24_26) (= true_term (is LEXICALPRAGMA_36_24_26 T_int)) (= value_pre_29_91_31 value_29_91_31) (= value_29_91_31 (asField value_29_91_31 (array T_char))) (< (fClosedTime value_29_91_31) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select value_29_91_31 ?s_2_) null)))) (= parent_pre_73_59_18 parent_73_59_18) (= parent_73_59_18 (asField parent_73_59_18 T_javafe_ast_TypeDecl)) (< (fClosedTime parent_73_59_18) alloc) (= DOUBLELIT_pre_14_43_26 DOUBLELIT_14_43_26) (= true_term (is DOUBLELIT_14_43_26 T_int)) (= TYPEDECLELEMPRAGMA_pre_36_27_26 TYPEDECLELEMPRAGMA_36_27_26) (= true_term (is TYPEDECLELEMPRAGMA_36_27_26 T_int)) (= self_pre_41_37 self_41_37) (= self_41_37 (asField self_41_37 T_javafe_ast_PrettyPrint)) (< (fClosedTime self_41_37) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select self_41_37 ?s_3_) null)))) (= otherCodes_pre_36_202_27 otherCodes_36_202_27) (= true_term (is otherCodes_36_202_27 ?v_1)) (= true_term (isAllocated otherCodes_36_202_27 alloc)) (= parent_pre_10_18_18 parent_10_18_18) (= parent_10_18_18 (asField parent_10_18_18 T_javafe_ast_TypeDecl)) (< (fClosedTime parent_10_18_18) alloc) (= FIRST_KEYWORD_pre_36_51_26 FIRST_KEYWORD_36_51_26) (= true_term (is FIRST_KEYWORD_36_51_26 T_int)) (= elements_pre_40_61_43 elements_40_61_43) (= elements_40_61_43 (asField elements_40_61_43 (array T_javafe_ast_FormalParaDecl))) (< (fClosedTime elements_40_61_43) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select elements_40_61_43 ?s_4_) null)))) (= keywordStrings_pre_36_181_30 keywordStrings_36_181_30) (= true_term (is keywordStrings_36_181_30 ?v_2)) (= true_term (isAllocated keywordStrings_36_181_30 alloc)) (= noTokens_pre_36_212_27 noTokens_36_212_27) (= true_term (is noTokens_36_212_27 T_int)) (= otherStrings_pre_36_193_30 otherStrings_36_193_30) (= true_term (is otherStrings_36_193_30 ?v_2)) (= true_term (isAllocated otherStrings_36_193_30 alloc)) (= INTLIT_pre_14_39_26 INTLIT_14_39_26) (= true_term (is INTLIT_14_39_26 T_int)) (= count_pre_39_67_33 count_39_67_33) (= count_39_67_33 (asField count_39_67_33 T_int)) (= LAST_KEYWORD_pre_36_103_26 LAST_KEYWORD_36_103_26) (= true_term (is LAST_KEYWORD_36_103_26 T_int)) (= owner_pre_4_35_28 owner_4_35_28) (= owner_4_35_28 (asField owner_4_35_28 T_java_lang_Object)) (< (fClosedTime owner_4_35_28) alloc) (= NULL_pre_36_82_26 NULL_36_82_26) (= true_term (is NULL_36_82_26 T_int)) (= MIN_VALUE_pre_26_38_29 MIN_VALUE_26_38_29) (= true_term (is MIN_VALUE_26_38_29 T_long)) (= count_pre_41_67_33 count_41_67_33) (= count_41_67_33 (asField count_41_67_33 T_int)) (= FLOATLIT_pre_14_42_26 FLOATLIT_14_42_26) (= true_term (is FLOATLIT_14_42_26 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is tag_224_45 T_int)) (= true_term (is val_224_57 T_java_lang_Object)) (= true_term (isAllocated val_224_57 alloc)) (or ?v_3 ?v_4 ?v_6 ?v_7 ?v_8 ?v_9 ?v_10) (=> ?v_3 (and (= true_term (is val_224_57 T_java_lang_Boolean)) ?v_5)) (=> ?v_4 ?v_11) (=> ?v_6 (and ?v_15 ?v_5)) (=> ?v_7 (and (= true_term (is val_224_57 T_java_lang_Float)) ?v_5)) (=> ?v_8 (and (= true_term (is val_224_57 T_java_lang_Double)) ?v_5)) (=> ?v_9 (and (= true_term (is val_224_57 T_java_lang_String)) ?v_5)) (=> ?v_10 ?v_11) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_java_lang_String)) (not (= ?brokenObj null))) (<= (S_select count_29_99_33 ?brokenObj) (arrayLength (S_select value_29_91_31 ?brokenObj))))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_java_lang_String)) (not (= ?brokenObj_1_ null))) (>= (S_select count_29_99_33 ?brokenObj_1_) 0))) (or (and ?v_3 ?v_12 ?v_13) (and ?v_76 ?v_12 (or (and ?v_8 ?v_12 ?v_13) (and ?v_77 ?v_12 (or (and ?v_7 ?v_12 ?v_13) (and ?v_78 ?v_12 (or (and ?v_4 ?v_12 (or (not ?v_11) ?v_16 ?v_17)) (and ?v_79 ?v_12 (or (and ?v_6 ?v_12 (or (not ?v_15) (and ?v_15 (not ?v_92)))) (and ?v_80 ?v_12 ?v_81 (or (and ?v_75 ?v_12 (or (and ?v_10 ?v_12 (or ?v_16 ?v_17)) (and ?v_98 (or (not ?v_21) (and ?v_21 ?v_99 ?v_100 ?v_22 ?v_101 (or ?v_26 (and ?v_23 ?v_102 ?v_24 ?v_103 ?v_104 ?v_105 ?v_106 ?v_25 ?v_107 ?v_108 ?v_109 ?v_110 ?v_111 ?v_112 (or ?v_29 (and ?v_25 ?v_113 ?v_114 ?v_115 (or ?v_26 (and ?v_23 ?v_40 ?v_27 ?v_41 ?v_42 ?v_43 ?v_44 ?v_12 ?v_45 (or ?v_26 (and ?v_23 ?v_46 ?v_47 (or (and ?v_12 ?v_30 ?v_29) (and ?v_12 ?v_31 ?v_29) (and ?v_12 ?v_32 ?v_29) (and ?v_12 ?v_33 ?v_29) (and ?v_12 ?v_34 ?v_29) (and ?v_12 ?v_35 ?v_29) (and ?v_12 ?v_36 ?v_29) (and ?v_12 ?v_37 ?v_29) (and ?v_12 ?v_49 ?v_50 ?v_51 ?v_52 ?v_53 ?v_54 ?v_55 ?v_56 ?v_57 (or (and ?v_39 ?v_12 ?v_29) (and ?v_58 ?v_12 (or ?v_29 (and ?v_25 ?v_59 ?v_60 ?v_61 ?v_62 ?v_63 ?v_12 ?v_64 ?v_65 ?v_66 ?v_67 ?v_29))))))))) (and ?v_23 ?v_40 ?v_27 ?v_41 ?v_42 ?v_43 ?v_44 ?v_116 ?v_74 ?v_117 ?v_118 (or ?v_29 (and ?v_25 ?v_119 ?v_120 ?v_121 ?v_29))))))))))))) (and ?v_82 ?v_12 (not ?v_83)))))))))))) (and (or (and ?v_76 ?v_12 ?v_77 ?v_12 ?v_78 ?v_12 ?v_79 ?v_12 ?v_80 ?v_12 ?v_81 ?v_82 ?v_12 ?v_83) (and ?v_3 ?v_12 ?v_5 (= true_term (is RES_225_51_225_51 T_java_lang_String)) (= true_term (isAllocated RES_225_51_225_51 alloc)) ?v_84 (=> ?v_84 (not (= RES_225_51_225_51 null))) ?v_12 (= RES_17_ RES_225_51_225_51) ?v_86) (and ?v_76 ?v_12 (or (and ?v_8 ?v_12 ?v_5 (= true_term (is RES_226_50_226_50 T_java_lang_String)) (= true_term (isAllocated RES_226_50_226_50 alloc)) ?v_85 (=> ?v_85 (not (= RES_226_50_226_50 null))) (= RES_18_ (stringCat RES_226_50_226_50 S_226_63)) ?v_12 (= RES_17_ RES_18_) ?v_86) (and ?v_77 ?v_12 (or (and ?v_7 ?v_12 ?v_5 (= true_term (is RES_227_49_227_49 T_java_lang_String)) (= true_term (isAllocated RES_227_49_227_49 alloc)) ?v_87 (=> ?v_87 (not (= RES_227_49_227_49 null))) (= RES_19_ (stringCat RES_227_49_227_49 S_227_62)) ?v_12 (= RES_17_ RES_19_) ?v_86) (and ?v_78 ?v_12 (or (and ?v_4 ?v_12 ?v_14 ?v_18 (= this_231_30_231_30 ?v_19) (= true_term (is RES_231_30_231_30 T_int)) (= EC_231_30_231_30 ecReturn) (or (and ?v_88 ?v_12 ?v_12 (= RES_20_ S_232_41)) (and (not ?v_88) ?v_12 (or (and ?v_90 ?v_12 (= true_term (is RES_233_44_233_44 T_java_lang_String)) (= true_term (isAllocated RES_233_44_233_44 alloc)) ?v_89 (=> ?v_89 (not (= RES_233_44_233_44 null))) (= RES_21_ (stringCat S_233_29 RES_233_44_233_44)) ?v_12 (= RES_22_ RES_21_)) (and (not ?v_90) ?v_12 (= true_term (is RES_234_26_234_26 T_java_lang_String)) (= true_term (isAllocated RES_234_26_234_26 alloc)) ?v_91 (=> ?v_91 (not (= RES_234_26_234_26 null))) ?v_12 (= RES_22_ RES_234_26_234_26))) (= RES_20_ RES_22_))) (= RES_17_ RES_20_) ?v_86) (and ?v_79 ?v_12 (or (and ?v_6 ?v_12 ?v_15 ?v_92 (= this_238_28_238_28 ?v_93) (= true_term (is RES_238_28_238_28 T_long)) (= EC_238_28_238_28 ecReturn) (or (and ?v_94 ?v_12 ?v_12 (= RES_23_ S_239_38)) (and (not ?v_94) ?v_12 (or (and ?v_96 ?v_12 (= true_term (is RES_240_41_240_41 T_java_lang_String)) (= true_term (isAllocated RES_240_41_240_41 alloc)) ?v_95 (=> ?v_95 (not (= RES_240_41_240_41 null))) (= RES_24_ (stringCat (stringCat S_240_29 RES_240_41_240_41) S_240_58)) ?v_12 (= RES_25_ RES_24_)) (and (not ?v_96) ?v_12 (= true_term (is RES_241_23_241_23 T_java_lang_String)) (= true_term (isAllocated RES_241_23_241_23 alloc)) ?v_97 (=> ?v_97 (not (= RES_241_23_241_23 null))) (= RES_26_ (stringCat RES_241_23_241_23 S_241_37)) ?v_12 (= RES_25_ RES_26_))) (= RES_23_ RES_25_))) (= RES_17_ RES_23_) ?v_86) (and ?v_80 ?v_12 ?v_81 ?v_75 ?v_12 ?v_98 ?v_21 ?v_99 ?v_100 ?v_22 ?v_101 ?v_23 ?v_102 ?v_24 ?v_103 ?v_104 ?v_105 ?v_106 ?v_25 ?v_107 ?v_108 ?v_109 ?v_110 ?v_111 ?v_112 ?v_25 ?v_113 ?v_114 ?v_115 (or (and ?v_23 ?v_40 ?v_27 ?v_41 ?v_42 ?v_43 ?v_44 ?v_116 (not ?v_74) (= RES_27_ RES_12_) (= EC_17_ EC_11_)) (and ?v_23 ?v_40 ?v_27 ?v_41 ?v_42 ?v_43 ?v_44 ?v_116 ?v_74 ?v_117 ?v_118 ?v_25 ?v_119 ?v_120 ?v_121 ?v_25 (= true_term (is RES_274_20_274_20 T_java_lang_String)) (= true_term (isAllocated RES_274_20_274_20 after_251_28_251_28)) ?v_122 (=> ?v_122 (not (= RES_274_20_274_20 null))) ?v_12 (= RES_27_ RES_274_20_274_20) (= EC_17_ ecReturn))) (= RES_17_ RES_27_) (= EC_16_ EC_17_))))))))))) (or (not ?v_86) (and ?v_86 (not (=> ?v_86 (not (= RES_17_ null))))))))))))))))))))))))))))))))
(check-sat)
(exit)
