(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_filespace_Tree () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_filespace_ClassPath () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_filespace_UnionTree () Int)
(declare-fun T_javafe_filespace_PreloadedTree () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_javafe_filespace_PathComponent () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_io_InputStream () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_java_lang_IllegalArgumentException () Int)
(declare-fun T_java_lang_RuntimeException () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_java_util_Enumeration () Int)
(declare-fun T_javafe_filespace_PkgTree () Int)
(declare-fun T_java_lang_NumberFormatException () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_javafe_filespace_HashTree () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_java_io_File () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_javafe_filespace_StringUtil () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun pathSeparatorChar_18_155_29 () Int)
(declare-fun out_6_83_49 () Int)
(assert (and (= (PO_LT T_javafe_filespace_Tree T_java_lang_Object) true_term) (= T_javafe_filespace_Tree (asChild T_javafe_filespace_Tree T_java_lang_Object)) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_ClassPath T_java_lang_Object) true_term) (= T_javafe_filespace_ClassPath (asChild T_javafe_filespace_ClassPath T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_filespace_UnionTree T_javafe_filespace_PreloadedTree) true_term) (= T_javafe_filespace_UnionTree (asChild T_javafe_filespace_UnionTree T_javafe_filespace_PreloadedTree)) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_javafe_filespace_PathComponent T_java_lang_Object) true_term) (= T_javafe_filespace_PathComponent (asChild T_javafe_filespace_PathComponent T_java_lang_Object)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_io_InputStream T_java_lang_Object) true_term) (= T_java_io_InputStream (asChild T_java_io_InputStream T_java_lang_Object)) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_lang_IllegalArgumentException T_java_lang_RuntimeException) true_term) (= T_java_lang_IllegalArgumentException (asChild T_java_lang_IllegalArgumentException T_java_lang_RuntimeException)) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_util_Enumeration T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_PkgTree T_javafe_filespace_PreloadedTree) true_term) (= T_javafe_filespace_PkgTree (asChild T_javafe_filespace_PkgTree T_javafe_filespace_PreloadedTree)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_NumberFormatException T_java_lang_IllegalArgumentException) true_term) (= T_java_lang_NumberFormatException (asChild T_java_lang_NumberFormatException T_java_lang_IllegalArgumentException)) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_javafe_filespace_HashTree T_javafe_filespace_Tree) true_term) (= T_javafe_filespace_HashTree (asChild T_javafe_filespace_HashTree T_javafe_filespace_Tree)) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_java_io_File T_java_lang_Object) true_term) (= T_java_io_File (asChild T_java_io_File T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_io_Serializable) true_term) (= (PO_LT T_java_io_File T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_lang_RuntimeException T_java_lang_Exception) true_term) (= T_java_lang_RuntimeException (asChild T_java_lang_RuntimeException T_java_lang_Exception)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_filespace_PreloadedTree T_javafe_filespace_HashTree) true_term) (= T_javafe_filespace_PreloadedTree (asChild T_javafe_filespace_PreloadedTree T_javafe_filespace_HashTree)) (= (PO_LT T_javafe_filespace_StringUtil T_java_lang_Object) true_term) (= T_javafe_filespace_StringUtil (asChild T_javafe_filespace_StringUtil T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_filespace_StringUtil) true_term) (= ?t T_javafe_filespace_StringUtil))) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_filespace_Tree (+ DIST_ZERO_1 10)) (= T_java_io_OutputStream (+ DIST_ZERO_1 11)) (= T_java_lang_String (+ DIST_ZERO_1 12)) (= T_java_lang_Object (+ DIST_ZERO_1 13)) (= T_java_lang_Comparable (+ DIST_ZERO_1 14)) (= T_javafe_filespace_ClassPath (+ DIST_ZERO_1 15)) (= T_java_util_Dictionary (+ DIST_ZERO_1 16)) (= T_java_lang_Throwable (+ DIST_ZERO_1 17)) (= T_javafe_filespace_UnionTree (+ DIST_ZERO_1 18)) (= T_java_lang_Number (+ DIST_ZERO_1 19)) (= T_javafe_filespace_PathComponent (+ DIST_ZERO_1 20)) (= T_java_util_Hashtable (+ DIST_ZERO_1 21)) (= T_java_io_InputStream (+ DIST_ZERO_1 22)) (= T_java_lang_Integer (+ DIST_ZERO_1 23)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 24)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 25)) (= T_java_lang_IllegalArgumentException (+ DIST_ZERO_1 26)) (= T_java_lang_System (+ DIST_ZERO_1 27)) (= T_java_util_Enumeration (+ DIST_ZERO_1 28)) (= T_javafe_filespace_PkgTree (+ DIST_ZERO_1 29)) (= T_java_util_Map (+ DIST_ZERO_1 30)) (= T_java_lang_NumberFormatException (+ DIST_ZERO_1 31)) (= T_java_io_IOException (+ DIST_ZERO_1 32)) (= T_javafe_filespace_HashTree (+ DIST_ZERO_1 33)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 34)) (= T_java_io_File (+ DIST_ZERO_1 35)) (= T_java_lang_Exception (+ DIST_ZERO_1 36)) (= T_java_lang_RuntimeException (+ DIST_ZERO_1 37)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 38)) (= T_java_io_PrintStream (+ DIST_ZERO_1 39)) (= T_java_util_Properties (+ DIST_ZERO_1 40)) (= T_javafe_filespace_PreloadedTree (+ DIST_ZERO_1 41)) (= T_javafe_filespace_StringUtil (+ DIST_ZERO_1 42)) (= T_java_io_Serializable (+ DIST_ZERO_1 43))) (= true_term (is pathSeparatorChar_18_155_29 T_char)) (= true_term (is out_6_83_49 T_java_io_PrintStream))))
(declare-fun S_65_7 () Int)
(declare-fun keyType_pre_22_16_25 () Int)
(declare-fun keyType_22_16_25 () Int)
(declare-fun props_pre_6_396_44 () Int)
(declare-fun props_6_396_44 () Int)
(declare-fun returnsNull_pre_33_79_29 () Int)
(declare-fun returnsNull_33_79_29 () Int)
(declare-fun pathSeparatorChar_pre_18_155_29 () Int)
(declare-fun edges_pre_31_37_24 () Int)
(declare-fun edges_31_37_24 () Int)
(declare-fun permitsNullValue_pre_22_31_27 () Int)
(declare-fun permitsNullValue_22_31_27 () Int)
(declare-fun out_pre_6_83_49 () Int)
(declare-fun data_pre_25_41_18 () Int)
(declare-fun data_25_41_18 () Int)
(declare-fun moreElements_pre_33_58_29 () Int)
(declare-fun moreElements_33_58_29 () Int)
(declare-fun elementType_pre_33_74_27 () Int)
(declare-fun elementType_33_74_27 () Int)
(declare-fun elementType_pre_22_26_25 () Int)
(declare-fun elementType_22_26_25 () Int)
(declare-fun permitsNullKey_pre_22_21_27 () Int)
(declare-fun permitsNullKey_22_21_27 () Int)
(declare-fun count_pre_5_99_33 () Int)
(declare-fun count_5_99_33 () Int)
(declare-fun value_pre_5_91_31 () Int)
(declare-fun value_5_91_31 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun newClassPath_63_34 () Int)
(declare-fun RES_64_23_64_23 () Int)
(declare-fun EC_64_23_64_23 () Int)
(declare-fun ecReturn () Int)
(declare-fun RES_65_3_65_3 () Int)
(declare-fun EC_65_3_65_3 () Int)
(declare-fun EC_66_8_66_8 () Int)
(assert (let ((?v_2 (not (= S_65_7 null))) (?v_4 (typeof S_65_7)) (?v_3 (not (= newClassPath_63_34 null))) (?v_14 (= true_term (is RES_64_23_64_23 T_java_util_Properties))) (?v_15 (= true_term (isAllocated RES_64_23_64_23 alloc))) (?v_0 (= EC_64_23_64_23 ecReturn)) (?v_1 (not (= RES_64_23_64_23 null)))) (let ((?v_16 (=> ?v_0 ?v_1)) (?v_11 (not ?v_1)) (?v_12 (S_select keyType_22_16_25 RES_64_23_64_23))) (let ((?v_5 (= (PO_LT ?v_4 ?v_12) true_term)) (?v_10 (S_select elementType_22_26_25 RES_64_23_64_23))) (let ((?v_6 (= (PO_LT (typeof newClassPath_63_34) ?v_10) true_term)) (?v_7 (=> ?v_2 ?v_5))) (let ((?v_8 (=> ?v_3 ?v_6)) (?v_17 (= true_term (is RES_65_3_65_3 T_java_lang_Object))) (?v_18 (= true_term (isAllocated RES_65_3_65_3 alloc))) (?v_9 (= EC_65_3_65_3 ecReturn))) (let ((?v_19 (=> ?v_9 (or (= RES_65_3_65_3 null) (= (PO_LT (typeof RES_65_3_65_3) ?v_10) true_term)))) (?v_13 (= ?v_12 T_java_lang_String)) (?v_20 (= ?v_10 T_java_lang_String))) (not (=> (and true ?v_2 (= ?v_4 T_java_lang_String)) (=> (and (= keyType_pre_22_16_25 keyType_22_16_25) (= keyType_22_16_25 (asField keyType_22_16_25 T__TYPE)) (= props_pre_6_396_44 props_6_396_44) (= true_term (is props_6_396_44 T_java_util_Properties)) (= true_term (isAllocated props_6_396_44 alloc)) (not (= props_6_396_44 null)) (= returnsNull_pre_33_79_29 returnsNull_33_79_29) (= returnsNull_33_79_29 (asField returnsNull_33_79_29 T_boolean)) (= pathSeparatorChar_pre_18_155_29 pathSeparatorChar_18_155_29) (= true_term (is pathSeparatorChar_18_155_29 T_char)) (= edges_pre_31_37_24 edges_31_37_24) (= edges_31_37_24 (asField edges_31_37_24 T_java_util_Hashtable)) (< (fClosedTime edges_31_37_24) alloc) (= permitsNullValue_pre_22_31_27 permitsNullValue_22_31_27) (= permitsNullValue_22_31_27 (asField permitsNullValue_22_31_27 T_boolean)) (= out_pre_6_83_49 out_6_83_49) (= true_term (is out_6_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_6_83_49 alloc)) (not (= out_6_83_49 null)) (= data_pre_25_41_18 data_25_41_18) (= data_25_41_18 (asField data_25_41_18 T_java_lang_Object)) (< (fClosedTime data_25_41_18) alloc) (= moreElements_pre_33_58_29 moreElements_33_58_29) (= moreElements_33_58_29 (asField moreElements_33_58_29 T_boolean)) (= elementType_pre_33_74_27 elementType_33_74_27) (= elementType_33_74_27 (asField elementType_33_74_27 T__TYPE)) (= elementType_pre_22_26_25 elementType_22_26_25) (= elementType_22_26_25 (asField elementType_22_26_25 T__TYPE)) (= permitsNullKey_pre_22_21_27 permitsNullKey_22_21_27) (= permitsNullKey_22_21_27 (asField permitsNullKey_22_21_27 T_boolean)) (= count_pre_5_99_33 count_5_99_33) (= count_5_99_33 (asField count_5_99_33 T_int)) (= value_pre_5_91_31 value_5_91_31) (= value_5_91_31 (asField value_5_91_31 (array T_char))) (< (fClosedTime value_5_91_31) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select value_5_91_31 ?s) null)))) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is newClassPath_63_34 T_java_lang_String)) (= true_term (isAllocated newClassPath_63_34 alloc)) ?v_3 (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_java_util_Dictionary)) (not (= ?brokenObj null))) (and (not (= true_term (S_select permitsNullKey_22_21_27 ?brokenObj))) (not (= true_term (S_select permitsNullValue_22_31_27 ?brokenObj)))))) (= (S_select elementType_22_26_25 props_6_396_44) T_java_lang_String) (= (S_select keyType_22_16_25 props_6_396_44) T_java_lang_String) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_java_util_Properties)) (not (= ?brokenObj_1_ null))) (= (S_select keyType_22_16_25 ?brokenObj_1_) T_java_lang_String))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_java_util_Properties)) (not (= ?brokenObj_2_ null))) (= (S_select elementType_22_26_25 ?brokenObj_2_) T_java_lang_String))) (or (and ?v_14 ?v_15 ?v_0 ?v_16 (or ?v_11 (and ?v_1 (or (not ?v_2) (and ?v_2 (or (not ?v_3) (and ?v_3 (or (not ?v_5) (and ?v_5 (or (not ?v_6) (and ?v_6 (or (not (or (= true_term (S_select permitsNullKey_22_21_27 RES_64_23_64_23)) ?v_2)) (not ?v_7) (and ?v_7 (or (not (or (= true_term (S_select permitsNullValue_22_31_27 RES_64_23_64_23)) ?v_3)) (not ?v_8))))))))))) (and ?v_2 ?v_3 ?v_5 ?v_6 ?v_7 ?v_8 ?v_17 ?v_18 ?v_9 ?v_19 (or ?v_11 (and ?v_1 (or (not ?v_13) (and ?v_13 (not ?v_20)))))))))) (and ?v_14 ?v_15 ?v_0 ?v_16 ?v_1 ?v_2 ?v_3 ?v_5 ?v_6 ?v_7 ?v_8 ?v_17 ?v_18 ?v_9 ?v_19 ?v_1 ?v_13 ?v_20 (= EC_66_8_66_8 ecReturn) (not (= ecReturn ecReturn))))))))))))))))
(check-sat)
(exit)
