(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_io_File () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_javafe_filespace_HashTree () Int)
(declare-fun T_javafe_filespace_Tree () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_javafe_filespace_PreloadedTree () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_javafe_genericfile_NormalGenericFile () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_javafe_filespace_LeafTree () Int)
(declare-fun T_javafe_filespace_FileTree () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun out_25_83_49 () Int)
(assert (and (= (PO_LT T_java_io_File T_java_lang_Object) true_term) (= T_java_io_File (asChild T_java_io_File T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_io_Serializable) true_term) (= (PO_LT T_java_io_File T_java_lang_Comparable) true_term) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_filespace_HashTree T_javafe_filespace_Tree) true_term) (= T_javafe_filespace_HashTree (asChild T_javafe_filespace_HashTree T_javafe_filespace_Tree)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_filespace_PreloadedTree T_javafe_filespace_HashTree) true_term) (= T_javafe_filespace_PreloadedTree (asChild T_javafe_filespace_PreloadedTree T_javafe_filespace_HashTree)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_genericfile_NormalGenericFile T_java_io_File) true_term) (= T_javafe_genericfile_NormalGenericFile (asChild T_javafe_genericfile_NormalGenericFile T_java_io_File)) (= (PO_LT T_javafe_genericfile_NormalGenericFile T_javafe_genericfile_GenericFile) true_term) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_javafe_filespace_Tree T_java_lang_Object) true_term) (= T_javafe_filespace_Tree (asChild T_javafe_filespace_Tree T_java_lang_Object)) (= (PO_LT T_javafe_filespace_LeafTree T_javafe_filespace_Tree) true_term) (= T_javafe_filespace_LeafTree (asChild T_javafe_filespace_LeafTree T_javafe_filespace_Tree)) (= (PO_LT T_javafe_filespace_FileTree T_javafe_filespace_PreloadedTree) true_term) (= T_javafe_filespace_FileTree (asChild T_javafe_filespace_FileTree T_javafe_filespace_PreloadedTree)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_io_File (+ DIST_ZERO_1 10)) (= T_java_util_Properties (+ DIST_ZERO_1 11)) (= T_java_lang_String (+ DIST_ZERO_1 12)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 13)) (= T_java_io_PrintStream (+ DIST_ZERO_1 14)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 15)) (= T_java_util_Map (+ DIST_ZERO_1 16)) (= T_javafe_filespace_HashTree (+ DIST_ZERO_1 17)) (= T_java_io_Serializable (+ DIST_ZERO_1 18)) (= T_java_lang_Object (+ DIST_ZERO_1 19)) (= T_java_util_Hashtable (+ DIST_ZERO_1 20)) (= T_javafe_filespace_PreloadedTree (+ DIST_ZERO_1 21)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 22)) (= T_java_lang_System (+ DIST_ZERO_1 23)) (= T_java_lang_Comparable (+ DIST_ZERO_1 24)) (= T_java_util_Dictionary (+ DIST_ZERO_1 25)) (= T_javafe_genericfile_NormalGenericFile (+ DIST_ZERO_1 26)) (= T_java_io_OutputStream (+ DIST_ZERO_1 27)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 28)) (= T_javafe_filespace_Tree (+ DIST_ZERO_1 29)) (= T_javafe_filespace_LeafTree (+ DIST_ZERO_1 30)) (= T_javafe_filespace_FileTree (+ DIST_ZERO_1 31))) (= true_term (is out_25_83_49 T_java_io_PrintStream))))
(declare-fun ecReturn () Int)
(declare-fun C_80_1 () Int)
(declare-fun L_80_1 () Int)
(declare-fun dir_pre_28_19 () Int)
(declare-fun dir_28_19 () Int)
(declare-fun out_pre_25_83_49 () Int)
(declare-fun edges_pre_5_37_24 () Int)
(declare-fun edges_5_37_24 () Int)
(declare-fun props_pre_25_396_44 () Int)
(declare-fun props_25_396_44 () Int)
(declare-fun elementType_pre_22_26_25 () Int)
(declare-fun elementType_22_26_25 () Int)
(declare-fun keyType_pre_22_16_25 () Int)
(declare-fun keyType_22_16_25 () Int)
(declare-fun permitsNullValue_pre_22_31_27 () Int)
(declare-fun permitsNullValue_22_31_27 () Int)
(declare-fun permitsNullKey_pre_22_21_27 () Int)
(declare-fun permitsNullKey_22_21_27 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun RES () Int)
(declare-fun RES_1_ () Int)
(declare-fun EC () Int)
(declare-fun EC_1_ () Int)
(declare-fun tmp0_cor_65_17 () Int)
(declare-fun this_65_25_65_25 () Int)
(declare-fun RES_65_25_65_25 () Int)
(declare-fun EC_65_25_65_25 () Int)
(declare-fun tmp0_cor_65_5 () Int)
(declare-fun this_72_26_72_26 () Int)
(declare-fun RES_72_26_72_26 () Int)
(declare-fun EC_72_26_72_26 () Int)
(declare-fun EC_loopold () Int)
(declare-fun i_loopold_80_10 () Int)
(declare-fun alloc_loopold () Int)
(declare-fun tmp1_dir_80_1_0_84_26 () Int)
(declare-fun child_84_17_80_1_0_84_17_8_267_50 () Int)
(declare-fun after_84_17_80_1_0_84_17 () Int)
(declare-fun RES_80_1_0_84_17_84_17 () Int)
(declare-fun EC_80_1_0_84_17_84_17 () Int)
(declare-fun owner_7_35_28 () Int)
(declare-fun RES_80_1_0_87_14_87_14 () Int)
(declare-fun EC_80_1_0_87_14_87_14 () Int)
(declare-fun tmp2_80_1_0_88_40 () Int)
(declare-fun tmp3_80_1_0_90_40 () Int)
(declare-fun after_91_5_80_1_0_91_5 () Int)
(declare-fun RES_80_1_0_91_5_91_5 () Int)
(declare-fun EC_80_1_0_91_5_91_5 () Int)
(declare-fun after_88_12_80_1_0_88_12 () Int)
(declare-fun RES_80_1_0_88_12_88_12 () Int)
(declare-fun EC_80_1_0_88_12_88_12 () Int)
(declare-fun RES_2_ () Int)
(declare-fun EC_2_ () Int)
(declare-fun alloc_1_ () Int)
(declare-fun subtree_86_10 () Int)
(declare-fun after_90_12_80_1_0_90_12 () Int)
(declare-fun RES_80_1_0_90_12_90_12 () Int)
(declare-fun EC_80_1_0_90_12_90_12 () Int)
(declare-fun tmp4_edges_80_1_0_93_5 () Int)
(declare-fun tmp5_80_1_0_93_24 () Int)
(declare-fun RES_80_1_0_93_11_93_11 () Int)
(declare-fun EC_80_1_0_93_11_93_11 () Int)
(declare-fun EC_81_17 () Int)
(declare-fun i_80_1_0_80_35 () Int)
(declare-fun EC_3_ () Int)
(declare-fun EC_4_ () Int)
(declare-fun EC_5_ () Int)
(declare-fun EC_6_ () Int)
(declare-fun EC_7_ () Int)
(assert (let ((?v_15 (not (= this null))) (?v_2 (S_select dir_28_19 this))) (let ((?v_1 (= ?v_2 null))) (let ((?v_0 (not ?v_1))) (let ((?v_4 (not ?v_0)) (?v_3 (= true_term true_term))) (let ((?v_52 (or (and ?v_1 ?v_3 (= RES RES_1_) (= EC EC_1_) (= tmp0_cor_65_17 true_term)) (and ?v_0 ?v_0 (= this_65_25_65_25 ?v_2) (= true_term (is RES_65_25_65_25 T_boolean)) (= EC_65_25_65_25 ecReturn) (= tmp0_cor_65_5 (boolNot RES_65_25_65_25)) (= RES RES_65_25_65_25) (= EC EC_65_25_65_25) (= tmp0_cor_65_17 tmp0_cor_65_5)))) (?v_66 (= true_term tmp0_cor_65_17))) (let ((?v_53 (not ?v_66)) (?v_54 (= this_72_26_72_26 ?v_2)) (?v_55 (= true_term (is RES_72_26_72_26 (array T_java_lang_String)))) (?v_56 (= true_term (isAllocated RES_72_26_72_26 alloc))) (?v_57 (= EC_72_26_72_26 ecReturn)) (?v_67 (= RES_72_26_72_26 null))) (let ((?v_5 (not ?v_67)) (?v_58 (= EC_72_26_72_26 EC_loopold)) (?v_59 (= 0 i_loopold_80_10)) (?v_60 (= alloc alloc_loopold))) (let ((?v_6 (not ?v_5)) (?v_64 (arrayLength RES_72_26_72_26))) (let ((?v_8 (< 0 ?v_64)) (?v_7 (<= 0 0))) (let ((?v_9 (not ?v_7)) (?v_10 (not ?v_8)) (?v_12 (S_select (S_select elems RES_72_26_72_26) 0))) (let ((?v_51 (= ?v_12 null))) (let ((?v_11 (not ?v_51)) (?v_35 (= tmp1_dir_80_1_0_84_26 ?v_2)) (?v_36 (= child_84_17_80_1_0_84_17_8_267_50 ?v_12)) (?v_37 (< alloc after_84_17_80_1_0_84_17)) (?v_13 (not (= RES_80_1_0_84_17_84_17 null))) (?v_38 (not (= true_term (isAllocated RES_80_1_0_84_17_84_17 alloc)))) (?v_39 (= true_term (is RES_80_1_0_84_17_84_17 T_java_io_File))) (?v_40 (= true_term (isAllocated RES_80_1_0_84_17_84_17 after_84_17_80_1_0_84_17))) (?v_41 (= EC_80_1_0_84_17_84_17 ecReturn)) (?v_42 (= (S_select owner_7_35_28 RES_80_1_0_84_17_84_17) null)) (?v_43 (= (typeof RES_80_1_0_84_17_84_17) T_java_io_File))) (let ((?v_14 (not ?v_13)) (?v_44 (= true_term (is RES_80_1_0_87_14_87_14 T_boolean))) (?v_45 (= EC_80_1_0_87_14_87_14 ecReturn)) (?v_16 (= true_term RES_80_1_0_87_14_87_14)) (?v_17 (= tmp2_80_1_0_88_40 ?v_12))) (let ((?v_18 (not ?v_16)) (?v_19 (= tmp3_80_1_0_90_40 ?v_12)) (?v_20 (< after_84_17_80_1_0_84_17 after_91_5_80_1_0_91_5)) (?v_21 (not (= RES_80_1_0_91_5_91_5 null))) (?v_22 (not (= true_term (isAllocated RES_80_1_0_91_5_91_5 after_84_17_80_1_0_84_17)))) (?v_23 (= true_term (is RES_80_1_0_91_5_91_5 T_javafe_genericfile_NormalGenericFile))) (?v_24 (= true_term (isAllocated RES_80_1_0_91_5_91_5 after_91_5_80_1_0_91_5))) (?v_25 (= EC_80_1_0_91_5_91_5 ecReturn)) (?v_26 (= (S_select owner_7_35_28 RES_80_1_0_91_5_91_5) null)) (?v_27 (= (typeof RES_80_1_0_91_5_91_5) T_javafe_genericfile_NormalGenericFile))) (let ((?v_46 (or (and ?v_16 ?v_3 ?v_5 ?v_7 ?v_8 ?v_17 ?v_13 (< after_84_17_80_1_0_84_17 after_88_12_80_1_0_88_12) (not (= RES_80_1_0_88_12_88_12 null)) (not (= true_term (isAllocated RES_80_1_0_88_12_88_12 after_84_17_80_1_0_84_17))) (= true_term (is RES_80_1_0_88_12_88_12 T_javafe_filespace_FileTree)) (= true_term (isAllocated RES_80_1_0_88_12_88_12 after_88_12_80_1_0_88_12)) (= EC_80_1_0_88_12_88_12 ecReturn) (= (S_select owner_7_35_28 RES_80_1_0_88_12_88_12) null) (= (typeof RES_80_1_0_88_12_88_12) T_javafe_filespace_FileTree) (= RES_2_ RES_80_1_0_88_12_88_12) (= EC_2_ EC_80_1_0_88_12_88_12) (= alloc_1_ after_88_12_80_1_0_88_12) (= subtree_86_10 RES_80_1_0_88_12_88_12)) (and ?v_18 ?v_3 ?v_5 ?v_7 ?v_8 ?v_19 ?v_13 ?v_20 ?v_21 ?v_22 ?v_23 ?v_24 ?v_25 ?v_26 ?v_27 (< after_91_5_80_1_0_91_5 after_90_12_80_1_0_90_12) (not (= RES_80_1_0_90_12_90_12 null)) (not (= true_term (isAllocated RES_80_1_0_90_12_90_12 after_91_5_80_1_0_91_5))) (= true_term (is RES_80_1_0_90_12_90_12 T_javafe_filespace_LeafTree)) (= true_term (isAllocated RES_80_1_0_90_12_90_12 after_90_12_80_1_0_90_12)) (= EC_80_1_0_90_12_90_12 ecReturn) (= (S_select owner_7_35_28 RES_80_1_0_90_12_90_12) null) (= (typeof RES_80_1_0_90_12_90_12) T_javafe_filespace_LeafTree) (= RES_2_ RES_80_1_0_90_12_90_12) (= EC_2_ EC_80_1_0_90_12_90_12) (= alloc_1_ after_90_12_80_1_0_90_12) (= subtree_86_10 RES_80_1_0_90_12_90_12)))) (?v_47 (= tmp4_edges_80_1_0_93_5 (S_select edges_5_37_24 this))) (?v_48 (= tmp5_80_1_0_93_24 ?v_12)) (?v_28 (not (= tmp4_edges_80_1_0_93_5 null))) (?v_29 (not (= tmp5_80_1_0_93_24 null))) (?v_30 (not (= subtree_86_10 null))) (?v_33 (= (PO_LT (typeof tmp5_80_1_0_93_24) (S_select keyType_22_16_25 tmp4_edges_80_1_0_93_5)) true_term))) (let ((?v_31 (=> ?v_29 ?v_33)) (?v_50 (S_select elementType_22_26_25 tmp4_edges_80_1_0_93_5))) (let ((?v_34 (= (PO_LT (typeof subtree_86_10) ?v_50) true_term))) (let ((?v_32 (=> ?v_30 ?v_34)) (?v_49 (= EC_80_1_0_93_11_93_11 ecReturn)) (?v_61 (= C_80_1 C_80_1))) (let ((?v_62 (or (and ?v_5 ?v_7 ?v_8 ?v_11 ?v_3 ?v_35 ?v_5 ?v_7 ?v_8 ?v_11 ?v_36 ?v_37 ?v_13 ?v_38 ?v_39 ?v_40 ?v_41 ?v_42 ?v_43 ?v_13 ?v_44 ?v_45 ?v_46 ?v_47 ?v_5 ?v_7 ?v_8 ?v_48 ?v_28 ?v_29 ?v_30 ?v_31 ?v_32 ?v_33 ?v_34 (= true_term (is RES_80_1_0_93_11_93_11 T_java_lang_Object)) (= true_term (isAllocated RES_80_1_0_93_11_93_11 alloc_1_)) ?v_49 (=> ?v_49 (or (= RES_80_1_0_93_11_93_11 null) (= (PO_LT (typeof RES_80_1_0_93_11_93_11) ?v_50) true_term))) (= EC_81_17 EC_80_1_0_93_11_93_11)) (and ?v_5 ?v_7 ?v_8 ?v_51 ?v_3 ?v_3 ?v_61 (= EC_81_17 C_80_1)))) (?v_63 (= i_80_1_0_80_35 (+ 0 1))) (?v_65 (= EC_4_ L_80_1))) (let ((?v_69 (or (and ?v_3 (or (and ?v_5 ?v_10 (= EC_3_ L_80_1)) (and ?v_5 ?v_8 ?v_5 ?v_7 ?v_8 ?v_51 ?v_3 ?v_3 (not ?v_61) (= EC_3_ C_80_1))) (= EC_4_ EC_3_)) (and ?v_3 ?v_5 ?v_8 ?v_62 ?v_63 ?v_3 ?v_5 (not (< i_80_1_0_80_35 ?v_64)) ?v_65))) (?v_70 (= EC_6_ ecReturn)) (?v_68 (= EC_7_ ecReturn))) (not (=> (distinct ecReturn C_80_1 L_80_1) (=> (and (= dir_pre_28_19 dir_28_19) (= dir_28_19 (asField dir_28_19 T_java_io_File)) (< (fClosedTime dir_28_19) alloc) (= out_pre_25_83_49 out_25_83_49) (= true_term (is out_25_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_25_83_49 alloc)) (not (= out_25_83_49 null)) (= edges_pre_5_37_24 edges_5_37_24) (= edges_5_37_24 (asField edges_5_37_24 T_java_util_Hashtable)) (< (fClosedTime edges_5_37_24) alloc) (= props_pre_25_396_44 props_25_396_44) (= true_term (is props_25_396_44 T_java_util_Properties)) (= true_term (isAllocated props_25_396_44 alloc)) (not (= props_25_396_44 null)) (= elementType_pre_22_26_25 elementType_22_26_25) (= elementType_22_26_25 (asField elementType_22_26_25 T__TYPE)) (= keyType_pre_22_16_25 keyType_22_16_25) (= keyType_22_16_25 (asField keyType_22_16_25 T__TYPE)) (= permitsNullValue_pre_22_31_27 permitsNullValue_22_31_27) (= permitsNullValue_22_31_27 (asField permitsNullValue_22_31_27 T_boolean)) (= permitsNullKey_pre_22_21_27 permitsNullKey_22_21_27) (= permitsNullKey_22_21_27 (asField permitsNullKey_22_21_27 T_boolean)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_filespace_FileTree)) (= true_term (isAllocated this alloc)) ?v_15 (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_filespace_HashTree)) (not (= ?brokenObj null))) (= (S_select elementType_22_26_25 (S_select edges_5_37_24 ?brokenObj)) T_javafe_filespace_Tree))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_java_util_Dictionary)) (not (= ?brokenObj_1_ null))) (and (not (= true_term (S_select permitsNullKey_22_21_27 ?brokenObj_1_))) (not (= true_term (S_select permitsNullValue_22_31_27 ?brokenObj_1_)))))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_filespace_HashTree)) (not (= ?brokenObj_2_ null))) (not (= (S_select edges_5_37_24 ?brokenObj_2_) null)))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_filespace_HashTree)) (not (= ?brokenObj_3_ null))) (= (S_select keyType_22_16_25 (S_select edges_5_37_24 ?brokenObj_3_)) T_java_lang_String))) (or (and ?v_0 ?v_4) (and ?v_52 ?v_53 ?v_3 (or ?v_4 (and ?v_0 ?v_54 ?v_55 ?v_56 ?v_57 ?v_5 ?v_3 ?v_58 ?v_59 ?v_60 (or (and ?v_3 (or ?v_6 (and ?v_5 ?v_8 (or ?v_6 (and ?v_5 (or ?v_9 (and ?v_7 (or ?v_10 (and ?v_8 ?v_11 ?v_3 ?v_35 (or ?v_6 (and ?v_5 (or ?v_9 (and ?v_7 (or ?v_10 (and ?v_8 (or (not ?v_11) (and ?v_11 ?v_36 ?v_37 ?v_13 ?v_38 ?v_39 ?v_40 ?v_41 ?v_42 ?v_43 (or ?v_14 (and ?v_13 ?v_44 ?v_45 (or (and ?v_16 ?v_3 (or ?v_6 (and ?v_5 (or ?v_9 (and ?v_7 (or ?v_10 (and ?v_8 ?v_17 (or ?v_14 (and ?v_13 (not (and ?v_15 (not (= tmp2_80_1_0_88_40 null))))))))))))) (and ?v_18 ?v_3 (or ?v_6 (and ?v_5 (or ?v_9 (and ?v_7 (or ?v_10 (and ?v_8 ?v_19 (or ?v_14 (and ?v_13 ?v_20 ?v_21 ?v_22 ?v_23 ?v_24 ?v_25 ?v_26 ?v_27 (not (and ?v_15 (not (= tmp3_80_1_0_90_40 null))))))))))))) (and ?v_46 ?v_47 (or ?v_6 (and ?v_5 (or ?v_9 (and ?v_7 (or ?v_10 (and ?v_8 ?v_48 (or (not ?v_28) (and ?v_28 (or (not ?v_29) (and ?v_29 (or (not ?v_30) (and ?v_30 (or (not (or (= true_term (S_select permitsNullKey_22_21_27 tmp4_edges_80_1_0_93_5)) ?v_29)) (not ?v_31) (and ?v_31 (or (not (or (= true_term (S_select permitsNullValue_22_31_27 tmp4_edges_80_1_0_93_5)) ?v_30)) (not ?v_32) (and ?v_32 (or (not ?v_33) (and ?v_33 (not ?v_34)))))))))))))))))))))))))))))))))))))))) (and ?v_3 ?v_5 ?v_8 ?v_62 ?v_63 ?v_3 ?v_6))))) (and (or (and ?v_52 ?v_53 ?v_3 ?v_0 ?v_54 ?v_55 ?v_56 ?v_57 ?v_5 ?v_3 ?v_58 ?v_59 ?v_60 ?v_69 ?v_65 (= EC_5_ EC_4_) ?v_70) (and ?v_52 (or (and ?v_66 ?v_3 ?v_3 ?v_68) (and ?v_53 ?v_3 ?v_0 ?v_54 ?v_55 ?v_56 ?v_57 (or (and ?v_67 ?v_3 ?v_3 ?v_68) (and ?v_5 ?v_3 ?v_58 ?v_59 ?v_60 ?v_69 (not ?v_65) (= EC_7_ EC_4_))))) (= EC_6_ EC_7_))) (not ?v_70)))))))))))))))))))))))))))))
(check-sat)
(exit)
