(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_filespace_PreloadedTree () Int)
(declare-fun T_javafe_filespace_HashTree () Int)
(declare-fun T_javafe_filespace_TreeWalker () Int)
(declare-fun T_javafe_filespace_LookAheadEnum () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_javafe_filespace_ZipTree () Int)
(declare-fun T_javafe_filespace_ExtTree () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_io_File () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_filespace_Tree () Int)
(declare-fun T_javafe_filespace_FileTree () Int)
(declare-fun T_javafe_genericfile_UnopenableFile () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_java_util_Enumeration () Int)
(declare-fun T_javafe_filespace_PathComponent () Int)
(declare-fun T_java_util_zip_ZipException () Int)
(declare-fun T_java_util_zip_ZipFile () Int)
(declare-fun T_java_util_zip_ZipConstants () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_java_io_InputStream () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_javafe_filespace_LeafTree () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun out_24_83_49 () Int)
(assert (and (= (PO_LT T_javafe_filespace_PreloadedTree T_javafe_filespace_HashTree) true_term) (= T_javafe_filespace_PreloadedTree (asChild T_javafe_filespace_PreloadedTree T_javafe_filespace_HashTree)) (= (PO_LT T_javafe_filespace_TreeWalker T_javafe_filespace_LookAheadEnum) true_term) (= T_javafe_filespace_TreeWalker (asChild T_javafe_filespace_TreeWalker T_javafe_filespace_LookAheadEnum)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_filespace_TreeWalker) true_term) (= ?t T_javafe_filespace_TreeWalker))) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_filespace_ZipTree T_javafe_filespace_ExtTree) true_term) (= T_javafe_filespace_ZipTree (asChild T_javafe_filespace_ZipTree T_javafe_filespace_ExtTree)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_java_io_File T_java_lang_Object) true_term) (= T_java_io_File (asChild T_java_io_File T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_io_Serializable) true_term) (= (PO_LT T_java_io_File T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_filespace_HashTree T_javafe_filespace_Tree) true_term) (= T_javafe_filespace_HashTree (asChild T_javafe_filespace_HashTree T_javafe_filespace_Tree)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_FileTree T_javafe_filespace_PreloadedTree) true_term) (= T_javafe_filespace_FileTree (asChild T_javafe_filespace_FileTree T_javafe_filespace_PreloadedTree)) (= (PO_LT T_javafe_genericfile_UnopenableFile T_java_lang_Object) true_term) (= T_javafe_genericfile_UnopenableFile (asChild T_javafe_genericfile_UnopenableFile T_java_lang_Object)) (= (PO_LT T_javafe_genericfile_UnopenableFile T_javafe_genericfile_GenericFile) true_term) (= (PO_LT T_java_util_Enumeration T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_PathComponent T_java_lang_Object) true_term) (= T_javafe_filespace_PathComponent (asChild T_javafe_filespace_PathComponent T_java_lang_Object)) (= (PO_LT T_javafe_filespace_ExtTree T_javafe_filespace_HashTree) true_term) (= T_javafe_filespace_ExtTree (asChild T_javafe_filespace_ExtTree T_javafe_filespace_HashTree)) (= (PO_LT T_java_util_zip_ZipException T_java_io_IOException) true_term) (= T_java_util_zip_ZipException (asChild T_java_util_zip_ZipException T_java_io_IOException)) (= (PO_LT T_java_util_zip_ZipFile T_java_lang_Object) true_term) (= T_java_util_zip_ZipFile (asChild T_java_util_zip_ZipFile T_java_lang_Object)) (= (PO_LT T_java_util_zip_ZipFile T_java_util_zip_ZipConstants) true_term) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_java_io_InputStream T_java_lang_Object) true_term) (= T_java_io_InputStream (asChild T_java_io_InputStream T_java_lang_Object)) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_filespace_LookAheadEnum T_java_lang_Object) true_term) (= T_javafe_filespace_LookAheadEnum (asChild T_javafe_filespace_LookAheadEnum T_java_lang_Object)) (= (PO_LT T_javafe_filespace_LookAheadEnum T_java_util_Enumeration) true_term) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_util_zip_ZipConstants T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_LeafTree T_javafe_filespace_Tree) true_term) (= T_javafe_filespace_LeafTree (asChild T_javafe_filespace_LeafTree T_javafe_filespace_Tree)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_javafe_filespace_Tree T_java_lang_Object) true_term) (= T_javafe_filespace_Tree (asChild T_javafe_filespace_Tree T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_filespace_PreloadedTree (+ DIST_ZERO_1 10)) (= T_javafe_filespace_TreeWalker (+ DIST_ZERO_1 11)) (= T_java_util_Properties (+ DIST_ZERO_1 12)) (= T_javafe_filespace_ZipTree (+ DIST_ZERO_1 13)) (= T_java_util_Map (+ DIST_ZERO_1 14)) (= T_java_lang_Object (+ DIST_ZERO_1 15)) (= T_java_lang_Comparable (+ DIST_ZERO_1 16)) (= T_java_lang_System (+ DIST_ZERO_1 17)) (= T_java_io_IOException (+ DIST_ZERO_1 18)) (= T_java_io_File (+ DIST_ZERO_1 19)) (= T_javafe_filespace_HashTree (+ DIST_ZERO_1 20)) (= T_java_io_Serializable (+ DIST_ZERO_1 21)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 22)) (= T_javafe_filespace_FileTree (+ DIST_ZERO_1 23)) (= T_javafe_genericfile_UnopenableFile (+ DIST_ZERO_1 24)) (= T_java_util_Enumeration (+ DIST_ZERO_1 25)) (= T_javafe_filespace_PathComponent (+ DIST_ZERO_1 26)) (= T_javafe_filespace_ExtTree (+ DIST_ZERO_1 27)) (= T_java_util_zip_ZipException (+ DIST_ZERO_1 28)) (= T_java_util_zip_ZipFile (+ DIST_ZERO_1 29)) (= T_java_util_Vector (+ DIST_ZERO_1 30)) (= T_java_io_InputStream (+ DIST_ZERO_1 31)) (= T_java_lang_Exception (+ DIST_ZERO_1 32)) (= T_java_util_List (+ DIST_ZERO_1 33)) (= T_java_util_Hashtable (+ DIST_ZERO_1 34)) (= T_javafe_filespace_LookAheadEnum (+ DIST_ZERO_1 35)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 36)) (= T_java_io_OutputStream (+ DIST_ZERO_1 37)) (= T_java_util_AbstractList (+ DIST_ZERO_1 38)) (= T_java_util_Dictionary (+ DIST_ZERO_1 39)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 40)) (= T_java_lang_String (+ DIST_ZERO_1 41)) (= T_java_util_zip_ZipConstants (+ DIST_ZERO_1 42)) (= T_javafe_filespace_LeafTree (+ DIST_ZERO_1 43)) (= T_java_lang_Throwable (+ DIST_ZERO_1 44)) (= T_java_util_Collection (+ DIST_ZERO_1 45)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 46)) (= T_java_io_PrintStream (+ DIST_ZERO_1 47)) (= T_javafe_filespace_Tree (+ DIST_ZERO_1 48)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 49))) (= true_term (is out_24_83_49 T_java_io_PrintStream))))
(declare-fun ecReturn () Int)
(declare-fun ecThrow () Int)
(declare-fun S_95_24 () Int)
(declare-fun S_88_28 () Int)
(declare-fun S_72_24 () Int)
(declare-fun S_85_40 () Int)
(declare-fun value_pre_15_91_31 () Int)
(declare-fun value_15_91_31 () Int)
(declare-fun remainingChildren_pre_29_39_26 () Int)
(declare-fun remainingChildren_29_39_26 () Int)
(declare-fun out_pre_24_83_49 () Int)
(declare-fun count_pre_15_99_33 () Int)
(declare-fun count_15_99_33 () Int)
(declare-fun lookAheadValid_pre_30_40_20 () Int)
(declare-fun lookAheadValid_30_40_20 () Int)
(declare-fun moreElements_pre_31_58_29 () Int)
(declare-fun moreElements_31_58_29 () Int)
(declare-fun lookAhead_pre_30_43_19 () Int)
(declare-fun lookAhead_30_43_19 () Int)
(declare-fun elementType_pre_31_74_27 () Int)
(declare-fun elementType_31_74_27 () Int)
(declare-fun remainingNodes_pre_29_48_26 () Int)
(declare-fun remainingNodes_29_48_26 () Int)
(declare-fun returnsNull_pre_31_79_29 () Int)
(declare-fun returnsNull_31_79_29 () Int)
(declare-fun data_pre_5_41_18 () Int)
(declare-fun data_5_41_18 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun component_66_35 () Int)
(declare-fun complain_66_54 () Int)
(declare-fun after_69_13_69_13 () Int)
(declare-fun RES_69_13_69_13 () Int)
(declare-fun EC_69_13_69_13 () Int)
(declare-fun owner_4_35_28 () Int)
(declare-fun RES_70_11_70_11 () Int)
(declare-fun EC_70_11_70_11 () Int)
(declare-fun arg0_72_8_72_8_9__ () Int)
(declare-fun after_72_8_72_8 () Int)
(declare-fun RES_72_8_72_8 () Int)
(declare-fun EC_72_8_72_8 () Int)
(declare-fun RES_80_9_80_9 () Int)
(declare-fun EC_80_9_80_9 () Int)
(declare-fun RES_82_19_82_19 () Int)
(declare-fun EC_82_19_82_19 () Int)
(declare-fun after_81_14_81_14 () Int)
(declare-fun RES_81_14_81_14 () Int)
(declare-fun EC_81_14_81_14 () Int)
(declare-fun XRES_81_14_81_14 () Int)
(declare-fun E_84_23 () Int)
(declare-fun tmp0_85_28 () Int)
(declare-fun RES_86_6_86_6 () Int)
(declare-fun EC_86_6_86_6 () Int)
(declare-fun arg0_85_12_85_12_9__ () Int)
(declare-fun after_85_12_85_12 () Int)
(declare-fun RES_85_12_85_12 () Int)
(declare-fun EC_85_12_85_12 () Int)
(declare-fun E_87_29 () Int)
(declare-fun RES_89_6_89_6 () Int)
(declare-fun EC_89_6_89_6 () Int)
(declare-fun arg0_88_12_88_12_9__ () Int)
(declare-fun after_88_12_88_12 () Int)
(declare-fun RES_88_12_88_12 () Int)
(declare-fun EC_88_12_88_12 () Int)
(declare-fun XRES () Int)
(declare-fun RES () Int)
(declare-fun filespace_78_6 () Int)
(declare-fun EC () Int)
(declare-fun alloc_1_ () Int)
(declare-fun after_83_14_83_14 () Int)
(declare-fun RES_83_14_83_14 () Int)
(declare-fun EC_83_14_83_14 () Int)
(declare-fun XRES_1_ () Int)
(declare-fun XRES_83_14_83_14 () Int)
(declare-fun RES_1_ () Int)
(declare-fun filespace_78_6_1_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun alloc_2_ () Int)
(declare-fun XRES_82_19_82_19 () Int)
(declare-fun arg0_95_8_95_8_9__ () Int)
(declare-fun after_95_8_95_8 () Int)
(declare-fun RES_95_8_95_8 () Int)
(declare-fun EC_95_8_95_8 () Int)
(declare-fun XRES_2_ () Int)
(declare-fun RES_2_ () Int)
(declare-fun EC_2_ () Int)
(declare-fun alloc_3_ () Int)
(declare-fun RES_74_9_74_9 () Int)
(declare-fun EC_74_9_74_9 () Int)
(declare-fun XRES_74_9_74_9 () Int)
(declare-fun XRES_69_13 () Int)
(declare-fun RES_69_13 () Int)
(declare-fun EC_69_13 () Int)
(declare-fun XRES_3_ () Int)
(declare-fun RES_3_ () Int)
(declare-fun EC_3_ () Int)
(declare-fun alloc_4_ () Int)
(declare-fun XRES_4_ () Int)
(declare-fun RES_4_ () Int)
(declare-fun EC_4_ () Int)
(declare-fun alloc_5_ () Int)
(declare-fun XRES_5_ () Int)
(declare-fun RES_5_ () Int)
(declare-fun EC_5_ () Int)
(declare-fun alloc_6_ () Int)
(declare-fun XRES_6_ () Int)
(declare-fun RES_6_ () Int)
(declare-fun EC_6_ () Int)
(declare-fun RES_98_9_98_9 () Int)
(declare-fun EC_98_9_98_9 () Int)
(declare-fun XRES_98_9_98_9 () Int)
(assert (let ((?v_0 (not (= component_66_35 null)))) (let ((?v_5 (not ?v_0)) (?v_35 (< alloc after_69_13_69_13)) (?v_1 (not (= RES_69_13_69_13 null))) (?v_36 (not (= true_term (isAllocated RES_69_13_69_13 alloc)))) (?v_37 (= true_term (is RES_69_13_69_13 T_java_io_File))) (?v_38 (= true_term (isAllocated RES_69_13_69_13 after_69_13_69_13))) (?v_39 (= EC_69_13_69_13 ecReturn)) (?v_40 (= (S_select owner_4_35_28 RES_69_13_69_13) null)) (?v_41 (= (typeof RES_69_13_69_13) T_java_io_File))) (let ((?v_6 (not ?v_1)) (?v_42 (= true_term (is RES_70_11_70_11 T_boolean))) (?v_43 (= EC_70_11_70_11 ecReturn)) (?v_4 (= true_term RES_70_11_70_11))) (let ((?v_44 (not ?v_4)) (?v_2 (= true_term true_term)) (?v_33 (= true_term complain_66_54)) (?v_45 (= arg0_72_8_72_8_9__ (stringCat S_72_24 component_66_35))) (?v_46 (< after_69_13_69_13 after_72_8_72_8)) (?v_3 (not (= RES_72_8_72_8 null))) (?v_47 (not (= true_term (isAllocated RES_72_8_72_8 after_69_13_69_13)))) (?v_48 (= true_term (is RES_72_8_72_8 T_java_io_IOException))) (?v_49 (= true_term (isAllocated RES_72_8_72_8 after_72_8_72_8))) (?v_50 (= EC_72_8_72_8 ecReturn)) (?v_51 (= (S_select owner_4_35_28 RES_72_8_72_8) null)) (?v_52 (= (typeof RES_72_8_72_8) T_java_io_IOException)) (?v_8 (= true_term (is RES_80_9_80_9 T_boolean))) (?v_9 (= EC_80_9_80_9 ecReturn)) (?v_7 (= true_term RES_80_9_80_9))) (let ((?v_29 (not ?v_7)) (?v_30 (= true_term (is RES_82_19_82_19 T_boolean))) (?v_31 (= EC_82_19_82_19 ecReturn)) (?v_32 (= true_term RES_82_19_82_19)) (?v_21 (< after_69_13_69_13 after_81_14_81_14)) (?v_22 (not (= RES_81_14_81_14 null))) (?v_23 (not (= true_term (isAllocated RES_81_14_81_14 after_69_13_69_13)))) (?v_24 (= true_term (is RES_81_14_81_14 T_javafe_filespace_ZipTree))) (?v_25 (= true_term (isAllocated RES_81_14_81_14 after_81_14_81_14))) (?v_10 (= EC_81_14_81_14 ecThrow)) (?v_14 (= XRES_81_14_81_14 null)) (?v_11 (typeof XRES_81_14_81_14))) (let ((?v_26 (=> ?v_10 (and (not ?v_14) (= (PO_LT ?v_11 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_81_14_81_14 after_81_14_81_14))))) (?v_12 (= EC_81_14_81_14 ecReturn)) (?v_18 (= (PO_LT ?v_11 T_java_io_IOException) true_term)) (?v_13 (= (PO_LT ?v_11 T_java_util_zip_ZipException) true_term))) (let ((?v_27 (or ?v_12 (and ?v_10 (or ?v_18 ?v_13)))) (?v_28 (=> ?v_12 (= (S_select owner_4_35_28 RES_81_14_81_14) null))) (?v_54 (not ?v_10))) (let ((?v_55 (not ?v_54)) (?v_17 (or ?v_13 ?v_14)) (?v_56 (= E_84_23 XRES_81_14_81_14)) (?v_57 (= tmp0_85_28 (stringCat component_66_35 S_85_40))) (?v_15 (not (= E_84_23 null))) (?v_58 (= true_term (is RES_86_6_86_6 T_java_lang_String))) (?v_59 (= true_term (isAllocated RES_86_6_86_6 after_81_14_81_14))) (?v_60 (= EC_86_6_86_6 ecReturn)) (?v_61 (= arg0_85_12_85_12_9__ (stringCat tmp0_85_28 RES_86_6_86_6))) (?v_62 (< after_81_14_81_14 after_85_12_85_12)) (?v_16 (not (= RES_85_12_85_12 null))) (?v_63 (not (= true_term (isAllocated RES_85_12_85_12 after_81_14_81_14)))) (?v_64 (= true_term (is RES_85_12_85_12 T_java_io_IOException))) (?v_65 (= true_term (isAllocated RES_85_12_85_12 after_85_12_85_12))) (?v_66 (= EC_85_12_85_12 ecReturn)) (?v_67 (= (S_select owner_4_35_28 RES_85_12_85_12) null)) (?v_68 (= (typeof RES_85_12_85_12) T_java_io_IOException))) (let ((?v_69 (not ?v_17)) (?v_70 (= E_87_29 XRES_81_14_81_14)) (?v_19 (not (= E_87_29 null))) (?v_71 (= true_term (is RES_89_6_89_6 T_java_lang_String))) (?v_72 (= true_term (isAllocated RES_89_6_89_6 after_81_14_81_14))) (?v_73 (= EC_89_6_89_6 ecReturn)) (?v_74 (= arg0_88_12_88_12_9__ (stringCat S_88_28 RES_89_6_89_6))) (?v_75 (< after_81_14_81_14 after_88_12_88_12)) (?v_20 (not (= RES_88_12_88_12 null))) (?v_76 (not (= true_term (isAllocated RES_88_12_88_12 after_81_14_81_14)))) (?v_77 (= true_term (is RES_88_12_88_12 T_java_io_IOException))) (?v_78 (= true_term (isAllocated RES_88_12_88_12 after_88_12_88_12))) (?v_79 (= EC_88_12_88_12 ecReturn)) (?v_80 (= (S_select owner_4_35_28 RES_88_12_88_12) null)) (?v_81 (= (typeof RES_88_12_88_12) T_java_io_IOException)) (?v_82 (or (and ?v_7 ?v_2 ?v_1 ?v_21 ?v_22 ?v_23 ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_12 (= (typeof RES_81_14_81_14) T_javafe_filespace_ZipTree) (= XRES XRES_81_14_81_14) (= RES RES_81_14_81_14) (= filespace_78_6 RES_81_14_81_14) (= EC EC_81_14_81_14) (= alloc_1_ after_81_14_81_14)) (and ?v_29 ?v_2 ?v_1 ?v_30 ?v_31 (or (and ?v_32 ?v_2 ?v_1 (< after_69_13_69_13 after_83_14_83_14) (not (= RES_83_14_83_14 null)) (not (= true_term (isAllocated RES_83_14_83_14 after_69_13_69_13))) (= true_term (is RES_83_14_83_14 T_javafe_filespace_FileTree)) (= true_term (isAllocated RES_83_14_83_14 after_83_14_83_14)) (= EC_83_14_83_14 ecReturn) (= (S_select owner_4_35_28 RES_83_14_83_14) null) (= (typeof RES_83_14_83_14) T_javafe_filespace_FileTree) (= XRES_1_ XRES_83_14_83_14) (= RES_1_ RES_83_14_83_14) (= filespace_78_6_1_ RES_83_14_83_14) (= EC_1_ EC_83_14_83_14) (= alloc_2_ after_83_14_83_14)) (and (not ?v_32) ?v_2 (= XRES_1_ XRES_82_19_82_19) (= RES_1_ RES_82_19_82_19) (= filespace_78_6_1_ null) (= EC_1_ EC_82_19_82_19) (= alloc_2_ after_69_13_69_13))) (= XRES XRES_1_) (= RES RES_1_) (= filespace_78_6 filespace_78_6_1_) (= EC EC_1_) (= alloc_1_ alloc_2_)))) (?v_83 (= filespace_78_6 null)) (?v_84 (= arg0_95_8_95_8_9__ (stringCat S_95_24 component_66_35))) (?v_85 (< alloc_1_ after_95_8_95_8)) (?v_34 (not (= RES_95_8_95_8 null))) (?v_86 (not (= true_term (isAllocated RES_95_8_95_8 alloc_1_)))) (?v_87 (= true_term (is RES_95_8_95_8 T_java_io_IOException))) (?v_88 (= true_term (isAllocated RES_95_8_95_8 after_95_8_95_8))) (?v_89 (= EC_95_8_95_8 ecReturn)) (?v_90 (= (S_select owner_4_35_28 RES_95_8_95_8) null)) (?v_91 (= (typeof RES_95_8_95_8) T_java_io_IOException)) (?v_92 (not ?v_33)) (?v_53 (= EC_74_9_74_9 ecReturn)) (?v_93 (= EC_98_9_98_9 ecReturn)) (?v_94 (= EC_69_13 ecReturn))) (not (=> (and (distinct ecReturn ecThrow) (not (= S_95_24 null)) (= (typeof S_95_24) T_java_lang_String) (not (= S_88_28 null)) (= (typeof S_88_28) T_java_lang_String) (not (= S_72_24 null)) (= (typeof S_72_24) T_java_lang_String) (not (= S_85_40 null)) (= (typeof S_85_40) T_java_lang_String)) (=> (and (= value_pre_15_91_31 value_15_91_31) (= value_15_91_31 (asField value_15_91_31 (array T_char))) (< (fClosedTime value_15_91_31) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select value_15_91_31 ?s) null)))) (= remainingChildren_pre_29_39_26 remainingChildren_29_39_26) (= remainingChildren_29_39_26 (asField remainingChildren_29_39_26 T_java_util_Enumeration)) (< (fClosedTime remainingChildren_29_39_26) alloc) (= out_pre_24_83_49 out_24_83_49) (= true_term (is out_24_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_24_83_49 alloc)) (not (= out_24_83_49 null)) (= count_pre_15_99_33 count_15_99_33) (= count_15_99_33 (asField count_15_99_33 T_int)) (= lookAheadValid_pre_30_40_20 lookAheadValid_30_40_20) (= lookAheadValid_30_40_20 (asField lookAheadValid_30_40_20 T_boolean)) (= moreElements_pre_31_58_29 moreElements_31_58_29) (= moreElements_31_58_29 (asField moreElements_31_58_29 T_boolean)) (= lookAhead_pre_30_43_19 lookAhead_30_43_19) (= lookAhead_30_43_19 (asField lookAhead_30_43_19 T_java_lang_Object)) (< (fClosedTime lookAhead_30_43_19) alloc) (= elementType_pre_31_74_27 elementType_31_74_27) (= elementType_31_74_27 (asField elementType_31_74_27 T__TYPE)) (= remainingNodes_pre_29_48_26 remainingNodes_29_48_26) (= remainingNodes_29_48_26 (asField remainingNodes_29_48_26 T_java_util_Enumeration)) (< (fClosedTime remainingNodes_29_48_26) alloc) (= returnsNull_pre_31_79_29 returnsNull_31_79_29) (= returnsNull_31_79_29 (asField returnsNull_31_79_29 T_boolean)) (= data_pre_5_41_18 data_5_41_18) (= data_5_41_18 (asField data_5_41_18 T_java_lang_Object)) (< (fClosedTime data_5_41_18) alloc) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is component_66_35 T_java_lang_String)) (= true_term (isAllocated component_66_35 alloc)) (= true_term (is complain_66_54 T_boolean)) ?v_0 (or ?v_5 (and ?v_0 ?v_35 ?v_1 ?v_36 ?v_37 ?v_38 ?v_39 ?v_40 ?v_41 (or ?v_6 (and ?v_1 ?v_42 ?v_43 (or (and ?v_44 ?v_2 ?v_33 ?v_2 ?v_45 ?v_46 ?v_3 ?v_47 ?v_48 ?v_49 ?v_50 ?v_51 ?v_52 (not ?v_3)) (and ?v_4 ?v_2 (or ?v_5 (and ?v_0 ?v_8 ?v_9 (or (and ?v_7 ?v_2 ?v_6) (and ?v_29 ?v_2 (or ?v_6 (and ?v_1 ?v_30 ?v_31 ?v_32 ?v_2 ?v_6))))) (and ?v_0 ?v_8 ?v_9 ?v_7 ?v_2 ?v_1 ?v_21 ?v_22 ?v_23 ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_2 ?v_10 ?v_55 (or (and ?v_17 ?v_56 ?v_57 (or (not ?v_15) (and ?v_15 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_16 ?v_63 ?v_64 ?v_65 ?v_66 ?v_67 ?v_68 (not ?v_16)))) (and ?v_69 ?v_18 ?v_70 (or (not ?v_19) (and ?v_19 ?v_71 ?v_72 ?v_73 ?v_74 ?v_75 ?v_20 ?v_76 ?v_77 ?v_78 ?v_79 ?v_80 ?v_81 (not ?v_20)))))) (and ?v_0 ?v_8 ?v_9 ?v_82 ?v_83 ?v_2 ?v_33 ?v_2 ?v_84 ?v_85 ?v_34 ?v_86 ?v_87 ?v_88 ?v_89 ?v_90 ?v_91 (not ?v_34)))))))) (and ?v_0 ?v_35 ?v_1 ?v_36 ?v_37 ?v_38 ?v_39 ?v_40 ?v_41 ?v_1 ?v_42 ?v_43 (or (and ?v_44 ?v_2 (or (and ?v_33 ?v_2 ?v_45 ?v_46 ?v_3 ?v_47 ?v_48 ?v_49 ?v_50 ?v_51 ?v_52 ?v_3 ?v_2 (= XRES_2_ RES_72_8_72_8) (= RES_2_ RES_72_8_72_8) (= EC_2_ ecThrow) (= alloc_3_ after_72_8_72_8)) (and ?v_92 ?v_2 (= true_term (is RES_74_9_74_9 T_javafe_filespace_Tree)) (= true_term (isAllocated RES_74_9_74_9 after_69_13_69_13)) ?v_53 (=> ?v_53 (not (= RES_74_9_74_9 null))) ?v_2 (= XRES_2_ XRES_74_9_74_9) (= RES_2_ RES_74_9_74_9) (= EC_2_ ecReturn) (= alloc_3_ after_69_13_69_13))) (= XRES_69_13 XRES_2_) (= RES_69_13 RES_2_) (= EC_69_13 EC_2_)) (and ?v_4 ?v_2 (or (and ?v_0 ?v_8 ?v_9 ?v_7 ?v_2 ?v_1 ?v_21 ?v_22 ?v_23 ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_2 ?v_10 (or (and ?v_54 (= XRES_3_ XRES_81_14_81_14) (= RES_3_ RES_81_14_81_14) (= EC_3_ EC_81_14_81_14) (= alloc_4_ after_81_14_81_14)) (and ?v_55 (or (and ?v_17 ?v_56 ?v_57 ?v_15 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_16 ?v_63 ?v_64 ?v_65 ?v_66 ?v_67 ?v_68 ?v_16 ?v_2 (= XRES_4_ RES_85_12_85_12) (= RES_4_ RES_85_12_85_12) (= EC_4_ ecThrow) (= alloc_5_ after_85_12_85_12)) (and ?v_69 (or (and ?v_18 ?v_70 ?v_19 ?v_71 ?v_72 ?v_73 ?v_74 ?v_75 ?v_20 ?v_76 ?v_77 ?v_78 ?v_79 ?v_80 ?v_81 ?v_20 ?v_2 (= XRES_5_ RES_88_12_88_12) (= RES_5_ RES_88_12_88_12) (= EC_5_ ecThrow) (= alloc_6_ after_88_12_88_12)) (and (not ?v_18) (= XRES_5_ XRES_81_14_81_14) (= RES_5_ RES_81_14_81_14) (= EC_5_ EC_81_14_81_14) (= alloc_6_ after_81_14_81_14))) (= XRES_4_ XRES_5_) (= RES_4_ RES_5_) (= EC_4_ EC_5_) (= alloc_5_ alloc_6_))) (= XRES_3_ XRES_4_) (= RES_3_ RES_4_) (= EC_3_ EC_4_) (= alloc_4_ alloc_5_))) (= XRES_69_13 XRES_3_) (= RES_69_13 RES_3_) (= EC_69_13 EC_3_)) (and ?v_0 ?v_8 ?v_9 ?v_82 (or (and ?v_83 ?v_2 (or (and ?v_33 ?v_2 ?v_84 ?v_85 ?v_34 ?v_86 ?v_87 ?v_88 ?v_89 ?v_90 ?v_91 ?v_34 ?v_2 (= XRES_6_ RES_95_8_95_8) (= RES_6_ RES_95_8_95_8) (= EC_6_ ecThrow)) (and ?v_92 ?v_2 (= true_term (is RES_98_9_98_9 T_javafe_filespace_Tree)) (= true_term (isAllocated RES_98_9_98_9 alloc_1_)) ?v_93 (=> ?v_93 (not (= RES_98_9_98_9 null))) ?v_2 (= XRES_6_ XRES_98_9_98_9) (= RES_6_ RES_98_9_98_9) (= EC_6_ ecReturn))) (= XRES_69_13 XRES_6_) (= RES_69_13 RES_6_) (= EC_69_13 EC_6_)) (and (not ?v_83) ?v_2 ?v_2 (= XRES_69_13 XRES) (= RES_69_13 filespace_78_6) ?v_94)))))) (or (not (or ?v_94 (and (= EC_69_13 ecThrow) (= (PO_LT (typeof XRES_69_13) T_java_io_IOException) true_term)))) (not (=> ?v_94 (not (= RES_69_13 null))))))))))))))))))))))
(check-sat)
(exit)
