(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_filespace_PkgTree_PackagesOnly () Int)
(declare-fun T_javafe_filespace_Filter () Int)
(declare-fun T_java_util_Enumeration () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_javafe_filespace_PathComponent () Int)
(declare-fun T_javafe_filespace_PkgTree_MatchesExtension () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_javafe_filespace_Tree () Int)
(declare-fun T_javafe_filespace_TreeWalker () Int)
(declare-fun T_javafe_filespace_LookAheadEnum () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_javafe_filespace_HashTree () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_javafe_filespace_FilterEnum () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_javafe_filespace_Extension () Int)
(declare-fun T_javafe_filespace_PreloadedTree () Int)
(declare-fun T_javafe_filespace_PkgTree () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun IGNORE_84_31 () Int)
(declare-fun INCLUDE_NODE_87_31 () Int)
(declare-fun INCLUDE_TREE_90_31 () Int)
(declare-fun out_27_83_49 () Int)
(assert (and (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_PkgTree_PackagesOnly T_java_lang_Object) true_term) (= T_javafe_filespace_PkgTree_PackagesOnly (asChild T_javafe_filespace_PkgTree_PackagesOnly T_java_lang_Object)) (= (PO_LT T_javafe_filespace_PkgTree_PackagesOnly T_javafe_filespace_Filter) true_term) (= (PO_LT T_java_util_Enumeration T_java_lang_Object) true_term) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_filespace_PathComponent T_java_lang_Object) true_term) (= T_javafe_filespace_PathComponent (asChild T_javafe_filespace_PathComponent T_java_lang_Object)) (= (PO_LT T_javafe_filespace_PkgTree_MatchesExtension T_java_lang_Object) true_term) (= T_javafe_filespace_PkgTree_MatchesExtension (asChild T_javafe_filespace_PkgTree_MatchesExtension T_java_lang_Object)) (= (PO_LT T_javafe_filespace_PkgTree_MatchesExtension T_javafe_filespace_Filter) true_term) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_javafe_filespace_Tree T_java_lang_Object) true_term) (= T_javafe_filespace_Tree (asChild T_javafe_filespace_Tree T_java_lang_Object)) (= (PO_LT T_javafe_filespace_TreeWalker T_javafe_filespace_LookAheadEnum) true_term) (= T_javafe_filespace_TreeWalker (asChild T_javafe_filespace_TreeWalker T_javafe_filespace_LookAheadEnum)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_filespace_TreeWalker) true_term) (= ?t T_javafe_filespace_TreeWalker))) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_filespace_HashTree T_javafe_filespace_Tree) true_term) (= T_javafe_filespace_HashTree (asChild T_javafe_filespace_HashTree T_javafe_filespace_Tree)) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_javafe_filespace_FilterEnum T_javafe_filespace_LookAheadEnum) true_term) (= T_javafe_filespace_FilterEnum (asChild T_javafe_filespace_FilterEnum T_javafe_filespace_LookAheadEnum)) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_javafe_filespace_Filter T_java_lang_Object) true_term) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_javafe_filespace_Extension T_java_lang_Object) true_term) (= T_javafe_filespace_Extension (asChild T_javafe_filespace_Extension T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_filespace_PreloadedTree T_javafe_filespace_HashTree) true_term) (= T_javafe_filespace_PreloadedTree (asChild T_javafe_filespace_PreloadedTree T_javafe_filespace_HashTree)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_filespace_PkgTree T_javafe_filespace_PreloadedTree) true_term) (= T_javafe_filespace_PkgTree (asChild T_javafe_filespace_PkgTree T_javafe_filespace_PreloadedTree)) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_javafe_filespace_LookAheadEnum T_java_lang_Object) true_term) (= T_javafe_filespace_LookAheadEnum (asChild T_javafe_filespace_LookAheadEnum T_java_lang_Object)) (= (PO_LT T_javafe_filespace_LookAheadEnum T_java_util_Enumeration) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_io_Serializable (+ DIST_ZERO_1 10)) (= T_javafe_filespace_PkgTree_PackagesOnly (+ DIST_ZERO_1 11)) (= T_java_util_Enumeration (+ DIST_ZERO_1 12)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 13)) (= T_java_lang_Comparable (+ DIST_ZERO_1 14)) (= T_java_util_Map (+ DIST_ZERO_1 15)) (= T_javafe_filespace_PathComponent (+ DIST_ZERO_1 16)) (= T_javafe_filespace_PkgTree_MatchesExtension (+ DIST_ZERO_1 17)) (= T_java_io_PrintStream (+ DIST_ZERO_1 18)) (= T_javafe_filespace_Tree (+ DIST_ZERO_1 19)) (= T_javafe_filespace_TreeWalker (+ DIST_ZERO_1 20)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 21)) (= T_java_util_Properties (+ DIST_ZERO_1 22)) (= T_javafe_filespace_HashTree (+ DIST_ZERO_1 23)) (= T_java_lang_System (+ DIST_ZERO_1 24)) (= T_javafe_filespace_FilterEnum (+ DIST_ZERO_1 25)) (= T_java_io_OutputStream (+ DIST_ZERO_1 26)) (= T_java_lang_Exception (+ DIST_ZERO_1 27)) (= T_javafe_filespace_Filter (+ DIST_ZERO_1 28)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 29)) (= T_java_lang_Object (+ DIST_ZERO_1 30)) (= T_java_util_Hashtable (+ DIST_ZERO_1 31)) (= T_java_io_IOException (+ DIST_ZERO_1 32)) (= T_javafe_filespace_Extension (+ DIST_ZERO_1 33)) (= T_java_lang_Throwable (+ DIST_ZERO_1 34)) (= T_javafe_filespace_PreloadedTree (+ DIST_ZERO_1 35)) (= T_java_util_Dictionary (+ DIST_ZERO_1 36)) (= T_javafe_filespace_PkgTree (+ DIST_ZERO_1 37)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 38)) (= T_javafe_filespace_LookAheadEnum (+ DIST_ZERO_1 39)) (= T_java_lang_String (+ DIST_ZERO_1 40))) (= true_term (is IGNORE_84_31 T_int)) (= IGNORE_84_31 0) (= true_term (is INCLUDE_NODE_87_31 T_int)) (= INCLUDE_NODE_87_31 1) (= true_term (is INCLUDE_TREE_90_31 T_int)) (= INCLUDE_TREE_90_31 2) (= true_term (is out_27_83_49 T_java_io_PrintStream))))
(declare-fun L_274_5 () Int)
(declare-fun ecReturn () Int)
(declare-fun ecThrow () Int)
(declare-fun L_286_1 () Int)
(declare-fun S_251_24 () Int)
(declare-fun S_268_21 () Int)
(declare-fun S_272_44 () Int)
(declare-fun S_252_4 () Int)
(declare-fun remainingChildren_pre_23_39_26 () Int)
(declare-fun remainingChildren_23_39_26 () Int)
(declare-fun acceptedType_pre_26_16_27 () Int)
(declare-fun acceptedType_26_16_27 () Int)
(declare-fun filter_pre_25_29_18 () Int)
(declare-fun filter_25_29_18 () Int)
(declare-fun data_pre_6_41_18 () Int)
(declare-fun data_6_41_18 () Int)
(declare-fun IGNORE_pre_84_31 () Int)
(declare-fun rootPackageName_pre_172_25 () Int)
(declare-fun rootPackageName_172_25 () Int)
(declare-fun INCLUDE_NODE_pre_87_31 () Int)
(declare-fun elementType_pre_20_26_25 () Int)
(declare-fun elementType_20_26_25 () Int)
(declare-fun moreElements_pre_17_58_29 () Int)
(declare-fun moreElements_17_58_29 () Int)
(declare-fun underlyingTree_pre_48_19 () Int)
(declare-fun underlyingTree_48_19 () Int)
(declare-fun INCLUDE_TREE_pre_90_31 () Int)
(declare-fun keyType_pre_20_16_25 () Int)
(declare-fun keyType_20_16_25 () Int)
(declare-fun elementType_pre_17_74_27 () Int)
(declare-fun elementType_17_74_27 () Int)
(declare-fun out_pre_27_83_49 () Int)
(declare-fun lookAhead_pre_24_43_19 () Int)
(declare-fun lookAhead_24_43_19 () Int)
(declare-fun edges_pre_5_37_24 () Int)
(declare-fun edges_5_37_24 () Int)
(declare-fun permitsNullValue_pre_20_31_27 () Int)
(declare-fun permitsNullValue_20_31_27 () Int)
(declare-fun returnsNull_pre_17_79_29 () Int)
(declare-fun returnsNull_17_79_29 () Int)
(declare-fun props_pre_27_396_44 () Int)
(declare-fun props_27_396_44 () Int)
(declare-fun permitsNullKey_pre_20_21_27 () Int)
(declare-fun permitsNullKey_20_21_27 () Int)
(declare-fun underlyingEnum_pre_25_20_26 () Int)
(declare-fun underlyingEnum_25_20_26 () Int)
(declare-fun owner_pre_7_35_28 () Int)
(declare-fun owner_7_35_28 () Int)
(declare-fun remainingNodes_pre_23_48_26 () Int)
(declare-fun remainingNodes_23_48_26 () Int)
(declare-fun lookAheadValid_pre_24_40_20 () Int)
(declare-fun lookAheadValid_24_40_20 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun args_249_37 () Int)
(declare-fun tmp0_cand_250_5 () Int)
(declare-fun tmp0_cand_250_20 () Int)
(declare-fun tmp2_260_33 () Int)
(declare-fun RES_260_24_260_24 () Int)
(declare-fun EC_260_24_260_24 () Int)
(declare-fun XRES_260_24_260_24 () Int)
(declare-fun after_261_5_261_5 () Int)
(declare-fun RES_261_5_261_5 () Int)
(declare-fun EC_261_5_261_5 () Int)
(declare-fun tmp4_266_38 () Int)
(declare-fun RES_266_16_266_16 () Int)
(declare-fun EC_266_16_266_16 () Int)
(declare-fun RES_272_24_272_24 () Int)
(declare-fun EC_272_24_272_24 () Int)
(declare-fun arg0_272_16_272_16_28__ () Int)
(declare-fun EC_272_16_272_16 () Int)
(declare-fun E_273_21_273_21_224_56 () Int)
(declare-fun RES_273_21_273_21 () Int)
(declare-fun EC_273_21_273_21 () Int)
(declare-fun EC_loopold () Int)
(declare-fun moreElements_loopold_17_58_29 () Int)
(declare-fun RES_274_5_0_274_14_274_14 () Int)
(declare-fun EC_274_5_0_274_14_274_14 () Int)
(declare-fun moreElements_274_5_0_275_22_17_89_17 () Int)
(declare-fun after_275_22_274_5_0_275_22_17_89_17 () Int)
(declare-fun RES_274_5_0_275_22_275_22 () Int)
(declare-fun EC_274_5_0_275_22_275_22 () Int)
(declare-fun next_274_5_0_275_2 () Int)
(declare-fun RES_274_5_0_276_26_276_26 () Int)
(declare-fun EC_274_5_0_276_26_276_26 () Int)
(declare-fun EC_274_5_0_276_13_276_13 () Int)
(declare-fun EC_281_3_281_3 () Int)
(declare-fun EC_282_12_282_12 () Int)
(declare-fun RES_285_17_285_17 () Int)
(declare-fun EC_285_17_285_17 () Int)
(declare-fun EC_loopold_1_ () Int)
(declare-fun moreElements_loopold_17_58_29_1_ () Int)
(declare-fun RES_286_1_0_286_10_286_10 () Int)
(declare-fun EC_286_1_0_286_10_286_10 () Int)
(declare-fun moreElements_286_1_0_287_25_17_89_17 () Int)
(declare-fun after_287_25_286_1_0_287_25_17_89_17 () Int)
(declare-fun RES_286_1_0_287_25_287_25 () Int)
(declare-fun EC_286_1_0_287_25_287_25 () Int)
(declare-fun next_286_1_0_287_5 () Int)
(declare-fun RES_286_1_0_288_24_288_24 () Int)
(declare-fun EC_286_1_0_288_24_288_24 () Int)
(declare-fun EC_286_1_0_288_16_288_16 () Int)
(declare-fun XRES () Int)
(declare-fun XRES_286_1_0_286_10_286_10 () Int)
(declare-fun RES_286_1_1_286_10_286_10 () Int)
(declare-fun EC_286_1_1_286_10_286_10 () Int)
(declare-fun XRES_286_1_1_286_10_286_10 () Int)
(declare-fun EC () Int)
(declare-fun XRES_1_ () Int)
(declare-fun EC_250_9 () Int)
(declare-fun XRES_250_9 () Int)
(declare-fun arg0_251_16_251_16_28__ () Int)
(declare-fun EC_251_16_251_16 () Int)
(declare-fun EC_250_9_1_ () Int)
(declare-fun XRES_250_9_1_ () Int)
(declare-fun XRES_251_16_251_16 () Int)
(declare-fun arg0_268_13_268_13_28__ () Int)
(declare-fun EC_268_13_268_13 () Int)
(declare-fun EC_266_14 () Int)
(declare-fun XRES_266_14 () Int)
(declare-fun XRES_268_13_268_13 () Int)
(declare-fun RES_266_14 () Int)
(declare-fun RES_268_13_268_13 () Int)
(declare-fun moreElements_266_14 () Int)
(declare-fun XRES_2_ () Int)
(declare-fun XRES_274_5_0_274_14_274_14 () Int)
(declare-fun RES () Int)
(declare-fun moreElements_17_58_29_1_ () Int)
(declare-fun RES_274_5_1_274_14_274_14 () Int)
(declare-fun EC_274_5_1_274_14_274_14 () Int)
(declare-fun XRES_274_5_1_274_14_274_14 () Int)
(declare-fun EC_1_ () Int)
(declare-fun XRES_3_ () Int)
(declare-fun RES_1_ () Int)
(declare-fun moreElements_17_58_29_2_ () Int)
(assert (let ((?v_0 (not (= args_249_37 null))) (?v_3 (arrayLength args_249_37)) (?v_14 (S_select elems args_249_37))) (let ((?v_1 (not ?v_0)) (?v_2 (not (= ?v_3 1))) (?v_4 (= true_term true_term))) (let ((?v_69 (or (and ?v_2 ?v_0 (= tmp0_cand_250_5 (integralNE ?v_3 3)) (= tmp0_cand_250_20 tmp0_cand_250_5)) (and (not ?v_2) ?v_4 (= tmp0_cand_250_20 false_term)))) (?v_100 (= true_term tmp0_cand_250_20))) (let ((?v_70 (not ?v_100)) (?v_5 (<= 0 0)) (?v_6 (< 0 ?v_3)) (?v_71 (= tmp2_260_33 (S_select ?v_14 0))) (?v_7 (not (= tmp2_260_33 null))) (?v_72 (= true_term (is RES_260_24_260_24 T_javafe_filespace_Tree))) (?v_73 (= true_term (isAllocated RES_260_24_260_24 alloc))) (?v_8 (= EC_260_24_260_24 ecThrow)) (?v_9 (typeof XRES_260_24_260_24))) (let ((?v_74 (=> ?v_8 (and (not (= XRES_260_24_260_24 null)) (= (PO_LT ?v_9 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_260_24_260_24 alloc))))) (?v_10 (= EC_260_24_260_24 ecReturn))) (let ((?v_75 (or ?v_10 (and ?v_8 (= (PO_LT ?v_9 T_java_io_IOException) true_term)))) (?v_11 (not (= RES_260_24_260_24 null)))) (let ((?v_76 (=> ?v_10 ?v_11)) (?v_77 (< alloc after_261_5_261_5)) (?v_15 (not (= RES_261_5_261_5 null))) (?v_78 (not (= true_term (isAllocated RES_261_5_261_5 alloc)))) (?v_79 (= true_term (is RES_261_5_261_5 T_javafe_filespace_PkgTree))) (?v_80 (= true_term (isAllocated RES_261_5_261_5 after_261_5_261_5))) (?v_81 (= EC_261_5_261_5 ecReturn)) (?v_82 (= (S_select owner_7_35_28 RES_261_5_261_5) null)) (?v_83 (= (typeof RES_261_5_261_5) T_javafe_filespace_PkgTree)) (?v_46 (= ?v_3 3)) (?v_12 (<= 0 1))) (let ((?v_17 (not ?v_12)) (?v_13 (< 1 ?v_3))) (let ((?v_18 (not ?v_13)) (?v_105 (S_select ?v_14 1))) (let ((?v_101 (= tmp4_266_38 ?v_105)) (?v_47 (not ?v_15)) (?v_16 (not (= tmp4_266_38 null))) (?v_102 (= true_term (is RES_266_16_266_16 T_javafe_filespace_Tree))) (?v_103 (= true_term (isAllocated RES_266_16_266_16 after_261_5_261_5))) (?v_104 (= EC_266_16_266_16 ecReturn)) (?v_19 (= RES_266_16_266_16 null))) (let ((?v_20 (not ?v_19)) (?v_106 (= true_term (is RES_272_24_272_24 T_java_lang_String))) (?v_107 (= true_term (isAllocated RES_272_24_272_24 after_261_5_261_5))) (?v_108 (= EC_272_24_272_24 ecReturn)) (?v_109 (= arg0_272_16_272_16_28__ (stringCat RES_272_24_272_24 S_272_44))) (?v_110 (= EC_272_16_272_16 ecReturn)) (?v_21 (<= 0 2)) (?v_22 (< 2 ?v_3)) (?v_23 (= E_273_21_273_21_224_56 (S_select ?v_14 2))) (?v_111 (= true_term (is RES_273_21_273_21 T_java_util_Enumeration))) (?v_112 (= true_term (isAllocated RES_273_21_273_21 after_261_5_261_5))) (?v_24 (= EC_273_21_273_21 ecReturn)) (?v_25 (not (= RES_273_21_273_21 null)))) (let ((?v_113 (=> ?v_24 ?v_25)) (?v_32 (not (= true_term (S_select returnsNull_17_79_29 RES_273_21_273_21))))) (let ((?v_114 (=> ?v_24 ?v_32)) (?v_31 (S_select elementType_17_74_27 RES_273_21_273_21))) (let ((?v_115 (=> ?v_24 (= ?v_31 T_javafe_filespace_Tree))) (?v_116 (= EC_273_21_273_21 EC_loopold)) (?v_117 (= moreElements_17_58_29 moreElements_loopold_17_58_29)) (?v_28 (not ?v_25)) (?v_35 (= true_term (is RES_274_5_0_274_14_274_14 T_boolean))) (?v_26 (= EC_274_5_0_274_14_274_14 ecReturn)) (?v_27 (= true_term RES_274_5_0_274_14_274_14)) (?v_29 (= true_term (S_select moreElements_17_58_29 RES_273_21_273_21)))) (let ((?v_36 (=> ?v_26 (= ?v_27 ?v_29))) (?v_37 (= moreElements_274_5_0_275_22_17_89_17 (S_store moreElements_17_58_29 RES_273_21_273_21 after_275_22_274_5_0_275_22_17_89_17))) (?v_38 (= moreElements_274_5_0_275_22_17_89_17 (asField moreElements_274_5_0_275_22_17_89_17 T_boolean))) (?v_39 (= true_term (is RES_274_5_0_275_22_275_22 T_java_lang_Object))) (?v_40 (= true_term (isAllocated RES_274_5_0_275_22_275_22 after_261_5_261_5))) (?v_30 (= EC_274_5_0_275_22_275_22 ecReturn)) (?v_33 (= RES_274_5_0_275_22_275_22 null))) (let ((?v_41 (=> ?v_30 (or (= (PO_LT (typeof RES_274_5_0_275_22_275_22) ?v_31) true_term) ?v_33))) (?v_42 (=> (and ?v_30 ?v_32) (not ?v_33))) (?v_34 (= true_term (is RES_274_5_0_275_22_275_22 T_javafe_filespace_Tree))) (?v_43 (= next_274_5_0_275_2 (cast RES_274_5_0_275_22_275_22 T_javafe_filespace_Tree))) (?v_44 (not (= next_274_5_0_275_2 null))) (?v_118 (= true_term (is RES_274_5_0_276_26_276_26 T_java_lang_String))) (?v_119 (= true_term (isAllocated RES_274_5_0_276_26_276_26 after_261_5_261_5))) (?v_45 (= EC_274_5_0_276_26_276_26 ecReturn))) (let ((?v_120 (=> ?v_45 (not (= RES_274_5_0_276_26_276_26 null)))) (?v_121 (= EC_274_5_0_276_13_276_13 ecReturn)) (?v_84 (not ?v_46)) (?v_85 (= EC_281_3_281_3 ecReturn)) (?v_86 (= EC_282_12_282_12 ecReturn)) (?v_87 (= true_term (is RES_285_17_285_17 T_java_util_Enumeration))) (?v_88 (= true_term (isAllocated RES_285_17_285_17 after_261_5_261_5))) (?v_48 (= EC_285_17_285_17 ecReturn)) (?v_49 (not (= RES_285_17_285_17 null)))) (let ((?v_89 (=> ?v_48 ?v_49)) (?v_56 (not (= true_term (S_select returnsNull_17_79_29 RES_285_17_285_17))))) (let ((?v_90 (=> ?v_48 ?v_56)) (?v_55 (S_select elementType_17_74_27 RES_285_17_285_17))) (let ((?v_91 (=> ?v_48 (= ?v_55 T_javafe_filespace_Tree))) (?v_92 (= EC_285_17_285_17 EC_loopold_1_)) (?v_93 (= moreElements_17_58_29 moreElements_loopold_17_58_29_1_)) (?v_52 (not ?v_49)) (?v_59 (= true_term (is RES_286_1_0_286_10_286_10 T_boolean))) (?v_50 (= EC_286_1_0_286_10_286_10 ecReturn)) (?v_51 (= true_term RES_286_1_0_286_10_286_10)) (?v_53 (= true_term (S_select moreElements_17_58_29 RES_285_17_285_17)))) (let ((?v_60 (=> ?v_50 (= ?v_51 ?v_53))) (?v_61 (= moreElements_286_1_0_287_25_17_89_17 (S_store moreElements_17_58_29 RES_285_17_285_17 after_287_25_286_1_0_287_25_17_89_17))) (?v_62 (= moreElements_286_1_0_287_25_17_89_17 (asField moreElements_286_1_0_287_25_17_89_17 T_boolean))) (?v_63 (= true_term (is RES_286_1_0_287_25_287_25 T_java_lang_Object))) (?v_64 (= true_term (isAllocated RES_286_1_0_287_25_287_25 after_261_5_261_5))) (?v_54 (= EC_286_1_0_287_25_287_25 ecReturn)) (?v_57 (= RES_286_1_0_287_25_287_25 null))) (let ((?v_65 (=> ?v_54 (or (= (PO_LT (typeof RES_286_1_0_287_25_287_25) ?v_55) true_term) ?v_57))) (?v_66 (=> (and ?v_54 ?v_56) (not ?v_57))) (?v_58 (= true_term (is RES_286_1_0_287_25_287_25 T_javafe_filespace_Tree))) (?v_67 (= next_286_1_0_287_5 (cast RES_286_1_0_287_25_287_25 T_javafe_filespace_Tree))) (?v_68 (not (= next_286_1_0_287_5 null))) (?v_94 (= true_term (is RES_286_1_0_288_24_288_24 T_java_lang_String))) (?v_95 (= true_term (isAllocated RES_286_1_0_288_24_288_24 after_261_5_261_5))) (?v_96 (= EC_286_1_0_288_24_288_24 ecReturn)) (?v_97 (= EC_286_1_0_288_16_288_16 ecReturn)) (?v_98 (= EC_286_1_1_286_10_286_10 ecReturn)) (?v_99 (= true_term RES_286_1_1_286_10_286_10))) (let ((?v_127 (or (and ?v_4 ?v_49 ?v_59 ?v_50 ?v_60 (not ?v_51) (= XRES XRES_286_1_0_286_10_286_10)) (and ?v_4 ?v_49 ?v_59 ?v_50 ?v_60 ?v_51 ?v_49 ?v_53 ?v_61 ?v_62 ?v_63 ?v_64 ?v_54 ?v_65 ?v_66 ?v_58 ?v_67 ?v_68 ?v_94 ?v_95 ?v_96 ?v_97 ?v_4 ?v_49 (= true_term (is RES_286_1_1_286_10_286_10 T_boolean)) ?v_98 (=> ?v_98 (= ?v_99 (= true_term (S_select moreElements_286_1_0_287_25_17_89_17 RES_285_17_285_17)))) (not ?v_99) (= XRES XRES_286_1_1_286_10_286_10)))) (?v_128 (= L_286_1 L_286_1)) (?v_129 (= EC_250_9 ecReturn)) (?v_126 (= EC_266_14 ecReturn)) (?v_122 (= EC_274_5_1_274_14_274_14 ecReturn)) (?v_123 (= true_term RES_274_5_1_274_14_274_14))) (let ((?v_124 (or (and ?v_4 ?v_25 ?v_35 ?v_26 ?v_36 (not ?v_27) (= XRES_2_ XRES_274_5_0_274_14_274_14) (= RES RES_274_5_0_274_14_274_14) (= moreElements_17_58_29_1_ moreElements_17_58_29)) (and ?v_4 ?v_25 ?v_35 ?v_26 ?v_36 ?v_27 ?v_25 ?v_29 ?v_37 ?v_38 ?v_39 ?v_40 ?v_30 ?v_41 ?v_42 ?v_34 ?v_43 ?v_44 ?v_118 ?v_119 ?v_45 ?v_120 ?v_121 ?v_4 ?v_25 (= true_term (is RES_274_5_1_274_14_274_14 T_boolean)) ?v_122 (=> ?v_122 (= ?v_123 (= true_term (S_select moreElements_274_5_0_275_22_17_89_17 RES_273_21_273_21)))) (not ?v_123) (= XRES_2_ XRES_274_5_1_274_14_274_14) (= RES RES_274_5_1_274_14_274_14) (= moreElements_17_58_29_1_ moreElements_274_5_0_275_22_17_89_17)))) (?v_125 (= L_274_5 L_274_5))) (not (=> (and (distinct L_274_5 ecReturn ecThrow L_286_1) (not (= S_251_24 null)) (= (typeof S_251_24) T_java_lang_String) (not (= S_268_21 null)) (= (typeof S_268_21) T_java_lang_String) (not (= S_272_44 null)) (= (typeof S_272_44) T_java_lang_String) (not (= S_252_4 null)) (= (typeof S_252_4) T_java_lang_String)) (=> (and (= remainingChildren_pre_23_39_26 remainingChildren_23_39_26) (= remainingChildren_23_39_26 (asField remainingChildren_23_39_26 T_java_util_Enumeration)) (< (fClosedTime remainingChildren_23_39_26) alloc) (= acceptedType_pre_26_16_27 acceptedType_26_16_27) (= acceptedType_26_16_27 (asField acceptedType_26_16_27 T__TYPE)) (= filter_pre_25_29_18 filter_25_29_18) (= filter_25_29_18 (asField filter_25_29_18 T_javafe_filespace_Filter)) (< (fClosedTime filter_25_29_18) alloc) (= data_pre_6_41_18 data_6_41_18) (= data_6_41_18 (asField data_6_41_18 T_java_lang_Object)) (< (fClosedTime data_6_41_18) alloc) (= IGNORE_pre_84_31 IGNORE_84_31) (= true_term (is IGNORE_84_31 T_int)) (= rootPackageName_pre_172_25 rootPackageName_172_25) (= true_term (is rootPackageName_172_25 T_java_lang_String)) (= true_term (isAllocated rootPackageName_172_25 alloc)) (= INCLUDE_NODE_pre_87_31 INCLUDE_NODE_87_31) (= true_term (is INCLUDE_NODE_87_31 T_int)) (= elementType_pre_20_26_25 elementType_20_26_25) (= elementType_20_26_25 (asField elementType_20_26_25 T__TYPE)) (= moreElements_pre_17_58_29 moreElements_17_58_29) (= moreElements_17_58_29 (asField moreElements_17_58_29 T_boolean)) (= underlyingTree_pre_48_19 underlyingTree_48_19) (= underlyingTree_48_19 (asField underlyingTree_48_19 T_javafe_filespace_Tree)) (< (fClosedTime underlyingTree_48_19) alloc) (= INCLUDE_TREE_pre_90_31 INCLUDE_TREE_90_31) (= true_term (is INCLUDE_TREE_90_31 T_int)) (= keyType_pre_20_16_25 keyType_20_16_25) (= keyType_20_16_25 (asField keyType_20_16_25 T__TYPE)) (= elementType_pre_17_74_27 elementType_17_74_27) (= elementType_17_74_27 (asField elementType_17_74_27 T__TYPE)) (= out_pre_27_83_49 out_27_83_49) (= true_term (is out_27_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_27_83_49 alloc)) (not (= out_27_83_49 null)) (= lookAhead_pre_24_43_19 lookAhead_24_43_19) (= lookAhead_24_43_19 (asField lookAhead_24_43_19 T_java_lang_Object)) (< (fClosedTime lookAhead_24_43_19) alloc) (= edges_pre_5_37_24 edges_5_37_24) (= edges_5_37_24 (asField edges_5_37_24 T_java_util_Hashtable)) (< (fClosedTime edges_5_37_24) alloc) (= permitsNullValue_pre_20_31_27 permitsNullValue_20_31_27) (= permitsNullValue_20_31_27 (asField permitsNullValue_20_31_27 T_boolean)) (= returnsNull_pre_17_79_29 returnsNull_17_79_29) (= returnsNull_17_79_29 (asField returnsNull_17_79_29 T_boolean)) (= props_pre_27_396_44 props_27_396_44) (= true_term (is props_27_396_44 T_java_util_Properties)) (= true_term (isAllocated props_27_396_44 alloc)) (not (= props_27_396_44 null)) (= permitsNullKey_pre_20_21_27 permitsNullKey_20_21_27) (= permitsNullKey_20_21_27 (asField permitsNullKey_20_21_27 T_boolean)) (= underlyingEnum_pre_25_20_26 underlyingEnum_25_20_26) (= underlyingEnum_25_20_26 (asField underlyingEnum_25_20_26 T_java_util_Enumeration)) (< (fClosedTime underlyingEnum_25_20_26) alloc) (= owner_pre_7_35_28 owner_7_35_28) (= owner_7_35_28 (asField owner_7_35_28 T_java_lang_Object)) (< (fClosedTime owner_7_35_28) alloc) (= remainingNodes_pre_23_48_26 remainingNodes_23_48_26) (= remainingNodes_23_48_26 (asField remainingNodes_23_48_26 T_java_util_Enumeration)) (< (fClosedTime remainingNodes_23_48_26) alloc) (= lookAheadValid_pre_24_40_20 lookAheadValid_24_40_20) (= lookAheadValid_24_40_20 (asField lookAheadValid_24_40_20 T_boolean)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is args_249_37 (array T_java_lang_String))) (= true_term (isAllocated args_249_37 alloc)) ?v_0 (forall ((?i_247_30 Int)) (=> (and (<= 0 ?i_247_30) (< ?i_247_30 ?v_3)) (not (= (S_select ?v_14 ?i_247_30) null)))) (or ?v_1 (and ?v_0 (or (and ?v_2 ?v_1) (and ?v_69 ?v_70 ?v_4 (or ?v_1 (and ?v_0 (or (not ?v_5) (and ?v_5 (or (not ?v_6) (and ?v_6 ?v_71 (or (not ?v_7) (and ?v_7 ?v_72 ?v_73 ?v_74 ?v_75 ?v_76 ?v_10 (or (not ?v_11) (and ?v_11 ?v_77 ?v_15 ?v_78 ?v_79 ?v_80 ?v_81 ?v_82 ?v_83 (or ?v_1 (and ?v_0 (or (and ?v_46 ?v_4 (or ?v_1 (and ?v_0 (or ?v_17 (and ?v_12 (or ?v_18 (and ?v_13 ?v_101 (or ?v_47 (and ?v_15 (or (not ?v_16) (and ?v_16 ?v_102 ?v_103 ?v_104 (or (and ?v_19 ?v_4 (or ?v_1 (and ?v_0 (or ?v_17 (and ?v_12 ?v_18))))) (and ?v_20 ?v_4 (or (not ?v_20) (and ?v_20 ?v_106 ?v_107 ?v_108 ?v_109 ?v_110 (or ?v_1 (and ?v_0 (or (not ?v_21) (and ?v_21 (or (not ?v_22) (and ?v_22 (or (and ?v_23 (not (and ?v_20 (not (= E_273_21_273_21_224_56 null))))) (and ?v_23 ?v_111 ?v_112 ?v_24 ?v_113 ?v_114 ?v_115 ?v_116 ?v_117 (or (and ?v_4 (or ?v_28 (and ?v_25 ?v_35 ?v_26 ?v_36 ?v_27 (or ?v_28 (and ?v_25 (or (not ?v_29) (and ?v_29 ?v_37 ?v_38 ?v_39 ?v_40 ?v_30 ?v_41 ?v_42 (or (not ?v_34) (and ?v_34 ?v_43 (not ?v_44)))))))))) (and ?v_4 ?v_25 ?v_35 ?v_26 ?v_36 ?v_27 ?v_25 ?v_29 ?v_37 ?v_38 ?v_39 ?v_40 ?v_30 ?v_41 ?v_42 ?v_34 ?v_43 ?v_44 ?v_118 ?v_119 ?v_45 ?v_120 ?v_121 ?v_4 ?v_28))))))))))))))))))))))))) (and ?v_84 ?v_4 (or ?v_47 (and ?v_15 ?v_85 ?v_86 (or ?v_47 (and ?v_15 ?v_87 ?v_88 ?v_48 ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 (or (and ?v_4 (or ?v_52 (and ?v_49 ?v_59 ?v_50 ?v_60 ?v_51 (or ?v_52 (and ?v_49 (or (not ?v_53) (and ?v_53 ?v_61 ?v_62 ?v_63 ?v_64 ?v_54 ?v_65 ?v_66 (or (not ?v_58) (and ?v_58 ?v_67 (not ?v_68)))))))))) (and ?v_4 ?v_49 ?v_59 ?v_50 ?v_60 ?v_51 ?v_49 ?v_53 ?v_61 ?v_62 ?v_63 ?v_64 ?v_54 ?v_65 ?v_66 ?v_58 ?v_67 ?v_68 ?v_94 ?v_95 ?v_96 ?v_97 ?v_4 ?v_52))))))))))))))))))))))) (and (or (and ?v_0 ?v_69 ?v_70 ?v_4 ?v_0 ?v_5 ?v_6 ?v_71 ?v_7 ?v_72 ?v_73 ?v_74 ?v_75 ?v_76 ?v_10 ?v_11 ?v_77 ?v_15 ?v_78 ?v_79 ?v_80 ?v_81 ?v_82 ?v_83 ?v_0 ?v_84 ?v_4 ?v_15 ?v_85 ?v_86 ?v_15 ?v_87 ?v_88 ?v_48 ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 ?v_127 ?v_128 (= EC L_286_1) (= XRES_1_ XRES) ?v_129 (= XRES_250_9 XRES_1_)) (and ?v_0 ?v_69 (or (and ?v_100 ?v_4 (= arg0_251_16_251_16_28__ (stringCat S_251_24 S_252_4)) (= EC_251_16_251_16 ecReturn) ?v_4 (= EC_250_9_1_ ecReturn) (= XRES_250_9_1_ XRES_251_16_251_16)) (and ?v_70 ?v_4 ?v_0 ?v_5 ?v_6 ?v_71 (or (and ?v_7 ?v_72 ?v_73 ?v_74 ?v_75 ?v_76 ?v_4 ?v_8 (= EC_250_9_1_ EC_260_24_260_24) (= XRES_250_9_1_ XRES_260_24_260_24)) (and ?v_7 ?v_72 ?v_73 ?v_74 ?v_75 ?v_76 ?v_10 ?v_11 ?v_77 ?v_15 ?v_78 ?v_79 ?v_80 ?v_81 ?v_82 ?v_83 ?v_0 (or (and ?v_46 ?v_4 ?v_0 ?v_12 ?v_13 ?v_101 ?v_15 ?v_16 ?v_102 ?v_103 ?v_104 (or (and ?v_19 ?v_4 ?v_0 ?v_12 ?v_13 (= arg0_268_13_268_13_28__ (stringCat S_268_21 ?v_105)) (= EC_268_13_268_13 ecReturn) ?v_4 ?v_126 (= XRES_266_14 XRES_268_13_268_13) (= RES_266_14 RES_268_13_268_13) (= moreElements_266_14 moreElements_17_58_29)) (and ?v_20 ?v_4 ?v_20 ?v_106 ?v_107 ?v_108 ?v_109 ?v_110 ?v_0 ?v_21 ?v_22 ?v_23 ?v_111 ?v_112 ?v_24 ?v_113 ?v_114 ?v_115 (or (and ?v_116 ?v_117 ?v_124 (not ?v_125) (= EC_266_14 L_274_5) (= XRES_266_14 XRES_2_) (= RES_266_14 RES) (= moreElements_266_14 moreElements_17_58_29_1_)) (and ?v_116 ?v_117 ?v_124 ?v_125 (= EC_1_ L_274_5) (= XRES_3_ XRES_2_) (= RES_1_ RES) (= moreElements_17_58_29_2_ moreElements_17_58_29_1_) ?v_4 ?v_126 (= XRES_266_14 XRES_3_) (= RES_266_14 RES_1_) (= moreElements_266_14 moreElements_17_58_29_2_))))) (= EC_250_9_1_ EC_266_14) (= XRES_250_9_1_ XRES_266_14)) (and ?v_84 ?v_4 ?v_15 ?v_85 ?v_86 ?v_15 ?v_87 ?v_88 ?v_48 ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 ?v_127 (not ?v_128) (= EC_250_9_1_ L_286_1) (= XRES_250_9_1_ XRES))))))) (= EC_250_9 EC_250_9_1_) (= XRES_250_9 XRES_250_9_1_))) (not (or ?v_129 (and (= EC_250_9 ecThrow) (= (PO_LT (typeof XRES_250_9) T_java_io_IOException) true_term))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
