(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_filespace_StringUtil () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_util_zip_ZipFile () Int)
(declare-fun T_java_util_zip_ZipConstants () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_filespace_Tree () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_javafe_genericfile_ZipGenericFile () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_java_util_zip_ZipEntry () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_java_util_Enumeration () Int)
(declare-fun T_javafe_filespace_ExtTree () Int)
(declare-fun T_javafe_filespace_HashTree () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_javafe_filespace_ZipTree () Int)
(declare-fun T_java_io_File () Int)
(declare-fun T_javafe_filespace_LookAheadEnum () Int)
(declare-fun T_java_util_zip_ZipException () Int)
(declare-fun T_javafe_filespace_TreeWalker () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun out_25_83_49 () Int)
(assert (and (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_javafe_filespace_StringUtil T_java_lang_Object) true_term) (= T_javafe_filespace_StringUtil (asChild T_javafe_filespace_StringUtil T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_filespace_StringUtil) true_term) (= ?t T_javafe_filespace_StringUtil))) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_zip_ZipFile T_java_lang_Object) true_term) (= T_java_util_zip_ZipFile (asChild T_java_util_zip_ZipFile T_java_lang_Object)) (= (PO_LT T_java_util_zip_ZipFile T_java_util_zip_ZipConstants) true_term) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_filespace_Tree T_java_lang_Object) true_term) (= T_javafe_filespace_Tree (asChild T_javafe_filespace_Tree T_java_lang_Object)) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_javafe_genericfile_ZipGenericFile T_java_lang_Object) true_term) (= T_javafe_genericfile_ZipGenericFile (asChild T_javafe_genericfile_ZipGenericFile T_java_lang_Object)) (= (PO_LT T_javafe_genericfile_ZipGenericFile T_javafe_genericfile_GenericFile) true_term) (= (PO_LT T_java_util_zip_ZipEntry T_java_lang_Object) true_term) (= T_java_util_zip_ZipEntry (asChild T_java_util_zip_ZipEntry T_java_lang_Object)) (= (PO_LT T_java_util_zip_ZipEntry T_java_util_zip_ZipConstants) true_term) (= (PO_LT T_java_util_zip_ZipEntry T_java_lang_Cloneable) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_java_util_Enumeration T_java_lang_Object) true_term) (= (PO_LT T_java_util_zip_ZipConstants T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_ExtTree T_javafe_filespace_HashTree) true_term) (= T_javafe_filespace_ExtTree (asChild T_javafe_filespace_ExtTree T_javafe_filespace_HashTree)) (= (PO_LT T_javafe_filespace_HashTree T_javafe_filespace_Tree) true_term) (= T_javafe_filespace_HashTree (asChild T_javafe_filespace_HashTree T_javafe_filespace_Tree)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_ZipTree T_javafe_filespace_ExtTree) true_term) (= T_javafe_filespace_ZipTree (asChild T_javafe_filespace_ZipTree T_javafe_filespace_ExtTree)) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_io_File T_java_lang_Object) true_term) (= T_java_io_File (asChild T_java_io_File T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_io_Serializable) true_term) (= (PO_LT T_java_io_File T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_filespace_LookAheadEnum T_java_lang_Object) true_term) (= T_javafe_filespace_LookAheadEnum (asChild T_javafe_filespace_LookAheadEnum T_java_lang_Object)) (= (PO_LT T_javafe_filespace_LookAheadEnum T_java_util_Enumeration) true_term) (= (PO_LT T_java_util_zip_ZipException T_java_io_IOException) true_term) (= T_java_util_zip_ZipException (asChild T_java_util_zip_ZipException T_java_io_IOException)) (= (PO_LT T_javafe_filespace_TreeWalker T_javafe_filespace_LookAheadEnum) true_term) (= T_javafe_filespace_TreeWalker (asChild T_javafe_filespace_TreeWalker T_javafe_filespace_LookAheadEnum)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_filespace_TreeWalker) true_term) (= ?t T_javafe_filespace_TreeWalker))) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_lang_Exception (+ DIST_ZERO_1 10)) (= T_javafe_filespace_StringUtil (+ DIST_ZERO_1 11)) (= T_java_lang_Object (+ DIST_ZERO_1 12)) (= T_java_util_Hashtable (+ DIST_ZERO_1 13)) (= T_java_util_Map (+ DIST_ZERO_1 14)) (= T_java_lang_Throwable (+ DIST_ZERO_1 15)) (= T_java_util_zip_ZipFile (+ DIST_ZERO_1 16)) (= T_java_io_OutputStream (+ DIST_ZERO_1 17)) (= T_java_lang_String (+ DIST_ZERO_1 18)) (= T_javafe_filespace_Tree (+ DIST_ZERO_1 19)) (= T_java_util_Vector (+ DIST_ZERO_1 20)) (= T_java_io_IOException (+ DIST_ZERO_1 21)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 22)) (= T_javafe_genericfile_ZipGenericFile (+ DIST_ZERO_1 23)) (= T_java_util_zip_ZipEntry (+ DIST_ZERO_1 24)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 25)) (= T_java_lang_System (+ DIST_ZERO_1 26)) (= T_java_util_Dictionary (+ DIST_ZERO_1 27)) (= T_java_util_Collection (+ DIST_ZERO_1 28)) (= T_java_util_Enumeration (+ DIST_ZERO_1 29)) (= T_java_util_zip_ZipConstants (+ DIST_ZERO_1 30)) (= T_javafe_filespace_ExtTree (+ DIST_ZERO_1 31)) (= T_javafe_filespace_HashTree (+ DIST_ZERO_1 32)) (= T_java_util_Properties (+ DIST_ZERO_1 33)) (= T_java_util_List (+ DIST_ZERO_1 34)) (= T_java_io_PrintStream (+ DIST_ZERO_1 35)) (= T_java_io_Serializable (+ DIST_ZERO_1 36)) (= T_java_util_AbstractList (+ DIST_ZERO_1 37)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 38)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 39)) (= T_javafe_filespace_ZipTree (+ DIST_ZERO_1 40)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 41)) (= T_java_lang_Comparable (+ DIST_ZERO_1 42)) (= T_java_io_File (+ DIST_ZERO_1 43)) (= T_javafe_filespace_LookAheadEnum (+ DIST_ZERO_1 44)) (= T_java_util_zip_ZipException (+ DIST_ZERO_1 45)) (= T_javafe_filespace_TreeWalker (+ DIST_ZERO_1 46))) (= true_term (is out_25_83_49 T_java_io_PrintStream))))
(declare-fun ecReturn () Int)
(declare-fun ecThrow () Int)
(declare-fun elementType_pre_23_74_27 () Int)
(declare-fun elementType_23_74_27 () Int)
(declare-fun remainingChildren_pre_29_39_26 () Int)
(declare-fun remainingChildren_29_39_26 () Int)
(declare-fun lookAhead_pre_30_43_19 () Int)
(declare-fun lookAhead_30_43_19 () Int)
(declare-fun data_pre_6_41_18 () Int)
(declare-fun data_6_41_18 () Int)
(declare-fun out_pre_25_83_49 () Int)
(declare-fun returnsNull_pre_23_79_29 () Int)
(declare-fun returnsNull_23_79_29 () Int)
(declare-fun count_pre_9_99_33 () Int)
(declare-fun count_9_99_33 () Int)
(declare-fun value_pre_9_91_31 () Int)
(declare-fun value_9_91_31 () Int)
(declare-fun zip_pre_55_22 () Int)
(declare-fun zip_55_22 () Int)
(declare-fun remainingNodes_pre_29_48_26 () Int)
(declare-fun remainingNodes_29_48_26 () Int)
(declare-fun lookAheadValid_pre_30_40_20 () Int)
(declare-fun lookAheadValid_30_40_20 () Int)
(declare-fun moreElements_pre_23_58_29 () Int)
(declare-fun moreElements_23_58_29 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun zipfile_87_24 () Int)
(declare-fun objectToBeConstructed () Int)
(declare-fun after_88_1_88_1 () Int)
(declare-fun RES_88_1_88_1 () Int)
(declare-fun EC_88_1_88_1 () Int)
(declare-fun owner_7_35_28 () Int)
(declare-fun zip_55_22_1_ () Int)
(declare-fun after_91_7_91_7 () Int)
(declare-fun RES_91_7_91_7 () Int)
(declare-fun EC_91_7_91_7 () Int)
(declare-fun XRES_91_7_91_7 () Int)
(declare-fun zip_91_1 () Int)
(declare-fun EC_94_1_94_1 () Int)
(declare-fun zip_55_22_2_ () Int)
(declare-fun XRES () Int)
(declare-fun XRES_94_1_94_1 () Int)
(declare-fun RES () Int)
(declare-fun RES_94_1_94_1 () Int)
(declare-fun EC () Int)
(assert (let ((?v_0 (not (= zipfile_87_24 null))) (?v_4 (not (= true_term (isAllocated objectToBeConstructed alloc)))) (?v_5 (< alloc after_88_1_88_1)) (?v_6 (not (= RES_88_1_88_1 null))) (?v_7 (not (= true_term (isAllocated RES_88_1_88_1 alloc)))) (?v_8 (= true_term (is RES_88_1_88_1 T_javafe_filespace_ExtTree))) (?v_9 (= true_term (isAllocated RES_88_1_88_1 after_88_1_88_1))) (?v_10 (= EC_88_1_88_1 ecReturn)) (?v_11 (= (S_select owner_7_35_28 RES_88_1_88_1) null)) (?v_12 (= (PO_LT (typeof RES_88_1_88_1) T_javafe_filespace_ZipTree) true_term)) (?v_13 (= objectToBeConstructed RES_88_1_88_1)) (?v_14 (= zip_55_22_1_ (S_store zip_55_22 RES_88_1_88_1 null))) (?v_15 (< after_88_1_88_1 after_91_7_91_7)) (?v_16 (not (= RES_91_7_91_7 null))) (?v_17 (not (= true_term (isAllocated RES_91_7_91_7 after_88_1_88_1)))) (?v_18 (= true_term (is RES_91_7_91_7 T_java_util_zip_ZipFile))) (?v_19 (= true_term (isAllocated RES_91_7_91_7 after_91_7_91_7))) (?v_1 (= EC_91_7_91_7 ecThrow)) (?v_2 (typeof XRES_91_7_91_7))) (let ((?v_20 (=> ?v_1 (and (not (= XRES_91_7_91_7 null)) (= (PO_LT ?v_2 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_91_7_91_7 after_91_7_91_7))))) (?v_3 (= EC_91_7_91_7 ecReturn))) (let ((?v_21 (or ?v_3 (and ?v_1 (or (= (PO_LT ?v_2 T_java_util_zip_ZipException) true_term) (= (PO_LT ?v_2 T_java_io_IOException) true_term))))) (?v_22 (=> ?v_3 (= (S_select owner_7_35_28 RES_91_7_91_7) null))) (?v_23 (= (typeof RES_91_7_91_7) T_java_util_zip_ZipFile)) (?v_24 (= zip_91_1 (S_store zip_55_22_1_ RES_88_1_88_1 RES_91_7_91_7))) (?v_25 (not (= (S_select zip_91_1 RES_88_1_88_1) null))) (?v_26 (= EC ecReturn)) (?v_27 (typeof XRES))) (let ((?v_28 (=> ?v_26 ?v_11))) (not (=> (distinct ecReturn ecThrow) (=> (and (= elementType_pre_23_74_27 elementType_23_74_27) (= elementType_23_74_27 (asField elementType_23_74_27 T__TYPE)) (= remainingChildren_pre_29_39_26 remainingChildren_29_39_26) (= remainingChildren_29_39_26 (asField remainingChildren_29_39_26 T_java_util_Enumeration)) (< (fClosedTime remainingChildren_29_39_26) alloc) (= lookAhead_pre_30_43_19 lookAhead_30_43_19) (= lookAhead_30_43_19 (asField lookAhead_30_43_19 T_java_lang_Object)) (< (fClosedTime lookAhead_30_43_19) alloc) (= data_pre_6_41_18 data_6_41_18) (= data_6_41_18 (asField data_6_41_18 T_java_lang_Object)) (< (fClosedTime data_6_41_18) alloc) (= out_pre_25_83_49 out_25_83_49) (= true_term (is out_25_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_25_83_49 alloc)) (not (= out_25_83_49 null)) (= returnsNull_pre_23_79_29 returnsNull_23_79_29) (= returnsNull_23_79_29 (asField returnsNull_23_79_29 T_boolean)) (= count_pre_9_99_33 count_9_99_33) (= count_9_99_33 (asField count_9_99_33 T_int)) (= value_pre_9_91_31 value_9_91_31) (= value_9_91_31 (asField value_9_91_31 (array T_char))) (< (fClosedTime value_9_91_31) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select value_9_91_31 ?s) null)))) (= zip_pre_55_22 zip_55_22) (= zip_55_22 (asField zip_55_22 T_java_util_zip_ZipFile)) (< (fClosedTime zip_55_22) alloc) (= remainingNodes_pre_29_48_26 remainingNodes_29_48_26) (= remainingNodes_29_48_26 (asField remainingNodes_29_48_26 T_java_util_Enumeration)) (< (fClosedTime remainingNodes_29_48_26) alloc) (= lookAheadValid_pre_30_40_20 lookAheadValid_30_40_20) (= lookAheadValid_30_40_20 (asField lookAheadValid_30_40_20 T_boolean)) (= moreElements_pre_23_58_29 moreElements_23_58_29) (= moreElements_23_58_29 (asField moreElements_23_58_29 T_boolean)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is zipfile_87_24 T_java_io_File)) (= true_term (isAllocated zipfile_87_24 alloc)) ?v_0 (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_filespace_ZipTree)) (not (= ?brokenObj null)) (not (= ?brokenObj objectToBeConstructed))) (not (= (S_select zip_55_22 ?brokenObj) null)))) (or (and ?v_4 (or (not (or (= null null) (not (= true_term (is null T_javafe_filespace_ZipTree))) (not (= (S_select zip_55_22 null) null)))) (and ?v_5 ?v_6 ?v_7 ?v_8 ?v_9 ?v_10 ?v_11 ?v_12 ?v_13 ?v_14 (or (not ?v_0) (and ?v_0 ?v_15 ?v_16 ?v_17 ?v_18 ?v_19 ?v_20 ?v_21 ?v_22 ?v_3 ?v_23 ?v_24 (not ?v_25)))))) (and (or (and ?v_4 ?v_5 ?v_6 ?v_7 ?v_8 ?v_9 ?v_10 ?v_11 ?v_12 ?v_13 ?v_14 ?v_0 ?v_15 ?v_16 ?v_17 ?v_18 ?v_19 ?v_20 ?v_21 ?v_22 ?v_3 ?v_23 ?v_24 ?v_25 (= EC_94_1_94_1 ecReturn) (= zip_55_22_2_ zip_91_1) (= XRES XRES_94_1_94_1) (= RES RES_94_1_94_1) ?v_26) (and ?v_4 ?v_5 ?v_6 ?v_7 ?v_8 ?v_9 ?v_10 ?v_11 ?v_12 ?v_13 ?v_14 ?v_0 ?v_15 ?v_16 ?v_17 ?v_18 ?v_19 ?v_20 ?v_21 ?v_22 (= true_term true_term) ?v_1 (= zip_55_22_2_ zip_55_22_1_) (= XRES XRES_91_7_91_7) (= RES RES_91_7_91_7) (= EC EC_91_7_91_7))) (or (not (or ?v_26 (and (= EC ecThrow) (or (= (PO_LT ?v_27 T_java_io_IOException) true_term) (= (PO_LT ?v_27 T_java_util_zip_ZipException) true_term))))) (not ?v_28) (and ?v_28 (not (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_filespace_ZipTree)) (= true_term (isAllocated ?brokenObj after_91_7_91_7)) (not (= ?brokenObj null)) (or ?v_26 (not (= ?brokenObj RES_88_1_88_1)))) (not (= (S_select zip_55_22_2_ ?brokenObj) null)))))))))))))))))))
(check-sat)
(exit)
