(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_lang_Boolean () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_ast_LexicalPragma () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_java_lang_IllegalArgumentException () Int)
(declare-fun T_java_lang_RuntimeException () Int)
(declare-fun T_javafe_util_ErrorSet () Int)
(declare-fun T_java_lang_NumberFormatException () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_ast_LexicalPragmaVec () Int)
(declare-fun T_javafe_ast_StmtPragma () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_parser_Lex () Int)
(declare-fun T_javafe_parser_Token () Int)
(declare-fun T_javafe_ast__SpecialParserInterface () Int)
(declare-fun T_javafe_parser_PragmaParser () Int)
(declare-fun T_java_lang_IndexOutOfBoundsException () Int)
(declare-fun T_javafe_util_CorrelatedReader () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_javafe_ast_TypeDeclElemPragma () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_java_lang_Float () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_javafe_parser_PunctuationPrefixTree () Int)
(declare-fun T_javafe_ast_TypeModifierPragma () Int)
(declare-fun T_javafe_parser_TokenQueue () Int)
(declare-fun T_java_lang_Double () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_lang_Long () Int)
(declare-fun T_java_lang_ArrayIndexOutOfBoundsException () Int)
(declare-fun T_java_lang_Character () Int)
(declare-fun T_javafe_ast_PrettyPrint () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_javafe_ast_ModifierPragma () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun IDENT_19_25_26 () Int)
(declare-fun STRINGLIT_19_44_26 () Int)
(declare-fun punctuationCodes_18_164_19 () Int)
(declare-fun MODIFIERPRAGMA_18_25_26 () Int)
(declare-fun CLEAR_4_55_28 () Int)
(declare-fun DOUBLELIT_19_43_26 () Int)
(declare-fun CHILDLEN_1279_28 () Int)
(declare-fun punctuationStrings_18_134_22 () Int)
(declare-fun MIN_VALUE_38_39_30 () Int)
(declare-fun neg2147483648 () Int)
(declare-fun LEXICALPRAGMA_18_24_26 () Int)
(declare-fun HC_32_117_26 () Int)
(declare-fun lookaheadq_270_29 () Int)
(declare-fun keywordStrings_18_181_30 () Int)
(declare-fun FLOATLIT_19_42_26 () Int)
(declare-fun MAX_LONG_PLUS_ONE_18_21_26 () Int)
(declare-fun MIN_VALUE_43_38_29 () Int)
(declare-fun neg9223372036854775808 () Int)
(declare-fun CHARLIT_19_41_26 () Int)
(declare-fun FIRST_KEYWORD_18_51_26 () Int)
(declare-fun MAX_INT_PLUS_ONE_18_20_26 () Int)
(declare-fun LONGLIT_19_40_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_18_28_26 () Int)
(declare-fun EOL_COMMENT_18_48_26 () Int)
(declare-fun EOF_18_17_26 () Int)
(declare-fun LAST_KEYWORD_18_103_26 () Int)
(declare-fun INTLIT_19_39_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_18_27_26 () Int)
(declare-fun C_COMMENT_18_47_26 () Int)
(declare-fun NULL_18_82_26 () Int)
(declare-fun otherCodes_18_202_27 () Int)
(declare-fun otherStrings_18_193_30 () Int)
(declare-fun noTokens_18_212_27 () Int)
(declare-fun BOOLEANLIT_19_38_26 () Int)
(declare-fun STMTPRAGMA_18_26_26 () Int)
(declare-fun NULL_46_60_26 () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String))) (and (= (PO_LT T_java_lang_Boolean T_java_lang_Object) true_term) (= T_java_lang_Boolean (asChild T_java_lang_Boolean T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Boolean) true_term) (= ?t T_java_lang_Boolean))) (= (PO_LT T_java_lang_Boolean T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_LexicalPragma (asChild T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_IllegalArgumentException T_java_lang_RuntimeException) true_term) (= T_java_lang_IllegalArgumentException (asChild T_java_lang_IllegalArgumentException T_java_lang_RuntimeException)) (= (PO_LT T_javafe_util_ErrorSet T_java_lang_Object) true_term) (= T_javafe_util_ErrorSet (asChild T_javafe_util_ErrorSet T_java_lang_Object)) (= (PO_LT T_java_lang_NumberFormatException T_java_lang_IllegalArgumentException) true_term) (= T_java_lang_NumberFormatException (asChild T_java_lang_NumberFormatException T_java_lang_IllegalArgumentException)) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_java_lang_RuntimeException T_java_lang_Exception) true_term) (= T_java_lang_RuntimeException (asChild T_java_lang_RuntimeException T_java_lang_Exception)) (= (PO_LT T_javafe_ast_LexicalPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_LexicalPragmaVec (asChild T_javafe_ast_LexicalPragmaVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_StmtPragma T_javafe_ast_Stmt) true_term) (= T_javafe_ast_StmtPragma (asChild T_javafe_ast_StmtPragma T_javafe_ast_Stmt)) (= (PO_LT T_javafe_parser_Lex T_javafe_parser_Token) true_term) (= T_javafe_parser_Lex (asChild T_javafe_parser_Lex T_javafe_parser_Token)) (= (PO_LT T_javafe_ast__SpecialParserInterface T_java_lang_Object) true_term) (= T_javafe_ast__SpecialParserInterface (asChild T_javafe_ast__SpecialParserInterface T_java_lang_Object)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_parser_PragmaParser T_java_lang_Object) true_term) (= (PO_LT T_java_lang_IndexOutOfBoundsException T_java_lang_RuntimeException) true_term) (= T_java_lang_IndexOutOfBoundsException (asChild T_java_lang_IndexOutOfBoundsException T_java_lang_RuntimeException)) (= (PO_LT T_javafe_util_CorrelatedReader T_java_lang_Object) true_term) (= T_javafe_util_CorrelatedReader (asChild T_javafe_util_CorrelatedReader T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_TypeDeclElemPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDeclElemPragma (asChild T_javafe_ast_TypeDeclElemPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDeclElemPragma T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_lang_Float T_java_lang_Number) true_term) (= T_java_lang_Float (asChild T_java_lang_Float T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Float) true_term) (= ?t T_java_lang_Float))) (= (PO_LT T_java_lang_Float T_java_lang_Comparable) true_term) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_javafe_parser_PunctuationPrefixTree T_java_lang_Object) true_term) (= T_javafe_parser_PunctuationPrefixTree (asChild T_javafe_parser_PunctuationPrefixTree T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeModifierPragma (asChild T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_parser_TokenQueue T_java_lang_Object) true_term) (= T_javafe_parser_TokenQueue (asChild T_javafe_parser_TokenQueue T_java_lang_Object)) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Double T_java_lang_Number) true_term) (= T_java_lang_Double (asChild T_java_lang_Double T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Double) true_term) (= ?t T_java_lang_Double))) (= (PO_LT T_java_lang_Double T_java_lang_Comparable) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_Long T_java_lang_Number) true_term) (= T_java_lang_Long (asChild T_java_lang_Long T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Long) true_term) (= ?t T_java_lang_Long))) (= (PO_LT T_java_lang_Long T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_ArrayIndexOutOfBoundsException T_java_lang_IndexOutOfBoundsException) true_term) (= T_java_lang_ArrayIndexOutOfBoundsException (asChild T_java_lang_ArrayIndexOutOfBoundsException T_java_lang_IndexOutOfBoundsException)) (= (PO_LT T_javafe_parser_Token T_java_lang_Object) true_term) (= T_javafe_parser_Token (asChild T_javafe_parser_Token T_java_lang_Object)) (= (PO_LT T_java_lang_Character T_java_lang_Object) true_term) (= T_java_lang_Character (asChild T_java_lang_Character T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Character) true_term) (= ?t T_java_lang_Character))) (= (PO_LT T_java_lang_Character T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Character T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_PrettyPrint T_java_lang_Object) true_term) (= T_javafe_ast_PrettyPrint (asChild T_javafe_ast_PrettyPrint T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ModifierPragma (asChild T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_lang_Boolean (+ DIST_ZERO_1 10)) (= T_java_lang_Exception (+ DIST_ZERO_1 11)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 12)) (= T_javafe_ast_LexicalPragma (+ DIST_ZERO_1 13)) (= T_java_lang_IllegalArgumentException (+ DIST_ZERO_1 14)) (= T_javafe_util_ErrorSet (+ DIST_ZERO_1 15)) (= T_java_lang_NumberFormatException (+ DIST_ZERO_1 16)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 17)) (= T_java_lang_RuntimeException (+ DIST_ZERO_1 18)) (= T_javafe_ast_LexicalPragmaVec (+ DIST_ZERO_1 19)) (= T_javafe_ast_StmtPragma (+ DIST_ZERO_1 20)) (= T_javafe_parser_Lex (+ DIST_ZERO_1 21)) (= T_javafe_ast__SpecialParserInterface (+ DIST_ZERO_1 22)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 23)) (= T_javafe_parser_PragmaParser (+ DIST_ZERO_1 24)) (= T_java_lang_IndexOutOfBoundsException (+ DIST_ZERO_1 25)) (= T_javafe_util_CorrelatedReader (+ DIST_ZERO_1 26)) (= T_java_lang_Number (+ DIST_ZERO_1 27)) (= T_javafe_ast_TypeDeclElemPragma (+ DIST_ZERO_1 28)) (= T_java_lang_Throwable (+ DIST_ZERO_1 29)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 30)) (= T_java_lang_Float (+ DIST_ZERO_1 31)) (= T_java_io_IOException (+ DIST_ZERO_1 32)) (= T_javafe_parser_PunctuationPrefixTree (+ DIST_ZERO_1 33)) (= T_javafe_ast_TypeModifierPragma (+ DIST_ZERO_1 34)) (= T_javafe_parser_TokenQueue (+ DIST_ZERO_1 35)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 36)) (= T_java_lang_Double (+ DIST_ZERO_1 37)) (= T_java_util_Map (+ DIST_ZERO_1 38)) (= T_java_lang_Long (+ DIST_ZERO_1 39)) (= T_java_lang_ArrayIndexOutOfBoundsException (+ DIST_ZERO_1 40)) (= T_javafe_parser_Token (+ DIST_ZERO_1 41)) (= T_java_lang_Character (+ DIST_ZERO_1 42)) (= T_javafe_ast_PrettyPrint (+ DIST_ZERO_1 43)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 44)) (= T_java_io_Serializable (+ DIST_ZERO_1 45)) (= T_javafe_util_Assert (+ DIST_ZERO_1 46)) (= T_javafe_ast_ModifierPragma (+ DIST_ZERO_1 47)) (= T_javafe_util_Location (+ DIST_ZERO_1 48)) (= T_java_util_Properties (+ DIST_ZERO_1 49)) (= T_java_lang_Comparable (+ DIST_ZERO_1 50)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 51)) (= T_java_lang_System (+ DIST_ZERO_1 52)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 53)) (= T_java_lang_Integer (+ DIST_ZERO_1 54)) (= T_java_lang_String (+ DIST_ZERO_1 55)) (= T_java_util_Dictionary (+ DIST_ZERO_1 56)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 57)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 58)) (= T_java_lang_Object (+ DIST_ZERO_1 59)) (= T_java_util_Hashtable (+ DIST_ZERO_1 60)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 61))) (= true_term (is IDENT_19_25_26 T_int)) (= IDENT_19_25_26 93) (= true_term (is STRINGLIT_19_44_26 T_int)) (= STRINGLIT_19_44_26 110) (= true_term (is punctuationCodes_18_164_19 ?v_0)) (not (= punctuationCodes_18_164_19 null)) (= (typeof punctuationCodes_18_164_19) ?v_0) (= (arrayLength punctuationCodes_18_164_19) 48) (= true_term (is MODIFIERPRAGMA_18_25_26 T_int)) (= MODIFIERPRAGMA_18_25_26 115) (= true_term (is CLEAR_4_55_28 T_int)) (= CLEAR_4_55_28 111) (= true_term (is DOUBLELIT_19_43_26 T_int)) (= DOUBLELIT_19_43_26 109) (= true_term (is CHILDLEN_1279_28 T_int)) (= CHILDLEN_1279_28 94) (= true_term (is punctuationStrings_18_134_22 ?v_1)) (not (= punctuationStrings_18_134_22 null)) (= (typeof punctuationStrings_18_134_22) ?v_1) (= (arrayLength punctuationStrings_18_134_22) 48) (= true_term (is MIN_VALUE_38_39_30 T_int)) (= MIN_VALUE_38_39_30 neg2147483648) (= true_term (is LEXICALPRAGMA_18_24_26 T_int)) (= LEXICALPRAGMA_18_24_26 114) (= true_term (is HC_32_117_26 T_int)) (= HC_32_117_26 31) (forall ((?s Int)) (=> (not (= ?s null)) (= true_term (is (S_select lookaheadq_270_29 ?s) T_javafe_parser_TokenQueue)))) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select lookaheadq_270_29 ?s) null)))) (forall ((?s Int)) (=> (not (= ?s null)) (= (typeof (S_select lookaheadq_270_29 ?s)) T_javafe_parser_TokenQueue))) (= true_term (is keywordStrings_18_181_30 ?v_1)) (not (= keywordStrings_18_181_30 null)) (= (typeof keywordStrings_18_181_30) ?v_1) (= (arrayLength keywordStrings_18_181_30) 51) (= true_term (is FLOATLIT_19_42_26 T_int)) (= FLOATLIT_19_42_26 108) (= true_term (is MAX_LONG_PLUS_ONE_18_21_26 T_int)) (= MAX_LONG_PLUS_ONE_18_21_26 113) (= true_term (is MIN_VALUE_43_38_29 T_long)) (= MIN_VALUE_43_38_29 neg9223372036854775808) (= true_term (is CHARLIT_19_41_26 T_int)) (= CHARLIT_19_41_26 107) (= true_term (is FIRST_KEYWORD_18_51_26 T_int)) (= FIRST_KEYWORD_18_51_26 133) (= true_term (is MAX_INT_PLUS_ONE_18_20_26 T_int)) (= MAX_INT_PLUS_ONE_18_20_26 112) (= true_term (is LONGLIT_19_40_26 T_int)) (= LONGLIT_19_40_26 106) (= true_term (is TYPEMODIFIERPRAGMA_18_28_26 T_int)) (= TYPEMODIFIERPRAGMA_18_28_26 118) (= true_term (is EOL_COMMENT_18_48_26 T_int)) (= EOL_COMMENT_18_48_26 132) (= true_term (is EOF_18_17_26 T_int)) (= EOF_18_17_26 111) (= true_term (is LAST_KEYWORD_18_103_26 T_int)) (= LAST_KEYWORD_18_103_26 183) (= true_term (is INTLIT_19_39_26 T_int)) (= INTLIT_19_39_26 105) (= true_term (is TYPEDECLELEMPRAGMA_18_27_26 T_int)) (= TYPEDECLELEMPRAGMA_18_27_26 117) (= true_term (is C_COMMENT_18_47_26 T_int)) (= C_COMMENT_18_47_26 131) (= true_term (is NULL_18_82_26 T_int)) (= NULL_18_82_26 163) (= true_term (is otherCodes_18_202_27 ?v_0)) (not (= otherCodes_18_202_27 null)) (= (typeof otherCodes_18_202_27) ?v_0) (= (arrayLength otherCodes_18_202_27) 15) (= true_term (is otherStrings_18_193_30 ?v_1)) (not (= otherStrings_18_193_30 null)) (= (typeof otherStrings_18_193_30) ?v_1) (= (arrayLength otherStrings_18_193_30) 15) (= true_term (is noTokens_18_212_27 T_int)) (= true_term (is BOOLEANLIT_19_38_26 T_int)) (= BOOLEANLIT_19_38_26 104) (= true_term (is STMTPRAGMA_18_26_26 T_int)) (= STMTPRAGMA_18_26_26 116) (= true_term (is NULL_46_60_26 T_int)) (= NULL_46_60_26 0))))
(declare-fun S_306_20 () Int)
(declare-fun S_305_20 () Int)
(declare-fun IDENT_pre_19_25_26 () Int)
(declare-fun punctuationTable_pre_1135_32 () Int)
(declare-fun punctuationTable_1135_32 () Int)
(declare-fun STRINGLIT_pre_19_44_26 () Int)
(declare-fun punctuationCodes_pre_18_164_19 () Int)
(declare-fun start_pre_14_23_14 () Int)
(declare-fun start_14_23_14 () Int)
(declare-fun MODIFIERPRAGMA_pre_18_25_26 () Int)
(declare-fun count_pre_42_99_33 () Int)
(declare-fun count_42_99_33 () Int)
(declare-fun savedState_pre_440_18 () Int)
(declare-fun savedState_440_18 () Int)
(declare-fun permitsNullValue_pre_35_31_27 () Int)
(declare-fun permitsNullValue_35_31_27 () Int)
(declare-fun stringLitLen_pre_1117_14 () Int)
(declare-fun stringLitLen_1117_14 () Int)
(declare-fun marked_pre_16_92_41 () Int)
(declare-fun marked_16_92_41 () Int)
(declare-fun CLEAR_pre_4_55_28 () Int)
(declare-fun DOUBLELIT_pre_19_43_26 () Int)
(declare-fun CHILDLEN_pre_1279_28 () Int)
(declare-fun inPragma_pre_276_20 () Int)
(declare-fun inPragma_276_20 () Int)
(declare-fun punctuationStrings_pre_18_134_22 () Int)
(declare-fun MIN_VALUE_pre_38_39_30 () Int)
(declare-fun LEXICALPRAGMA_pre_18_24_26 () Int)
(declare-fun identifierVal_pre_4_80_22 () Int)
(declare-fun identifierVal_4_80_22 () Int)
(declare-fun HC_pre_32_117_26 () Int)
(declare-fun locId_pre_86_48_13 () Int)
(declare-fun locId_86_48_13 () Int)
(declare-fun keyType_pre_35_16_25 () Int)
(declare-fun keyType_35_16_25 () Int)
(declare-fun lookaheadq_pre_270_29 () Int)
(declare-fun m_in_pre_212_46 () Int)
(declare-fun m_in_212_46 () Int)
(declare-fun locCloseBrace_pre_86_54_13 () Int)
(declare-fun locCloseBrace_86_54_13 () Int)
(declare-fun pragmaParser_pre_275_25 () Int)
(declare-fun pragmaParser_275_25 () Int)
(declare-fun props_pre_13_396_44 () Int)
(declare-fun props_13_396_44 () Int)
(declare-fun keywordStrings_pre_18_181_30 () Int)
(declare-fun FLOATLIT_pre_19_42_26 () Int)
(declare-fun MAX_LONG_PLUS_ONE_pre_18_21_26 () Int)
(declare-fun elements_pre_17_61_42 () Int)
(declare-fun elements_17_61_42 () Int)
(declare-fun ttype_pre_4_52_15 () Int)
(declare-fun ttype_4_52_15 () Int)
(declare-fun MIN_VALUE_pre_43_38_29 () Int)
(declare-fun onlyjavakeywords_pre_1145_42 () Int)
(declare-fun onlyjavakeywords_1145_42 () Int)
(declare-fun CHARLIT_pre_19_41_26 () Int)
(declare-fun startingLoc_pre_4_65_15 () Int)
(declare-fun startingLoc_4_65_15 () Int)
(declare-fun elementType_pre_35_26_25 () Int)
(declare-fun elementType_35_26_25 () Int)
(declare-fun end_pre_14_26_14 () Int)
(declare-fun end_14_26_14 () Int)
(declare-fun FIRST_KEYWORD_pre_18_51_26 () Int)
(declare-fun stringLit_pre_1114_17 () Int)
(declare-fun stringLit_1114_17 () Int)
(declare-fun notempty_pre_14_40_17 () Int)
(declare-fun notempty_14_40_17 () Int)
(declare-fun MAX_INT_PLUS_ONE_pre_18_20_26 () Int)
(declare-fun tokenType_pre_37_90_8 () Int)
(declare-fun tokenType_37_90_8 () Int)
(declare-fun text_pre_240_19 () Int)
(declare-fun text_240_19 () Int)
(declare-fun owner_pre_5_35_28 () Int)
(declare-fun owner_5_35_28 () Int)
(declare-fun auxVal_pre_4_127_18 () Int)
(declare-fun auxVal_4_127_18 () Int)
(declare-fun LONGLIT_pre_19_40_26 () Int)
(declare-fun toks_pre_14_20_18 () Int)
(declare-fun toks_14_20_18 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_18_28_26 () Int)
(declare-fun children_pre_1299_35 () Int)
(declare-fun children_1299_35 () Int)
(declare-fun value_pre_42_91_31 () Int)
(declare-fun value_42_91_31 () Int)
(declare-fun EOL_COMMENT_pre_18_48_26 () Int)
(declare-fun count_pre_17_67_33 () Int)
(declare-fun count_17_67_33 () Int)
(declare-fun EOF_pre_18_17_26 () Int)
(declare-fun LAST_KEYWORD_pre_18_103_26 () Int)
(declare-fun javakeywords_pre_1145_20 () Int)
(declare-fun javakeywords_1145_20 () Int)
(declare-fun textlen_pre_249_16 () Int)
(declare-fun textlen_249_16 () Int)
(declare-fun locOpenBrace_pre_86_51_13 () Int)
(declare-fun locOpenBrace_86_51_13 () Int)
(declare-fun INTLIT_pre_19_39_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_18_27_26 () Int)
(declare-fun C_COMMENT_pre_18_47_26 () Int)
(declare-fun loc_pre_86_45_13 () Int)
(declare-fun loc_86_45_13 () Int)
(declare-fun NULL_pre_18_82_26 () Int)
(declare-fun otherCodes_pre_18_202_27 () Int)
(declare-fun keywords_pre_1143_22 () Int)
(declare-fun keywords_1143_22 () Int)
(declare-fun otherStrings_pre_18_193_30 () Int)
(declare-fun permitsNullKey_pre_35_21_27 () Int)
(declare-fun permitsNullKey_35_21_27 () Int)
(declare-fun m_nextchr_pre_221_16 () Int)
(declare-fun m_nextchr_221_16 () Int)
(declare-fun noTokens_pre_18_212_27 () Int)
(declare-fun BOOLEANLIT_pre_19_38_26 () Int)
(declare-fun lexicalPragmas_pre_272_43 () Int)
(declare-fun lexicalPragmas_272_43 () Int)
(declare-fun STMTPRAGMA_pre_18_26_26 () Int)
(declare-fun NULL_pre_46_60_26 () Int)
(declare-fun endingLoc_pre_4_72_15 () Int)
(declare-fun endingLoc_4_72_15 () Int)
(declare-fun code_pre_1294_15 () Int)
(declare-fun code_1294_15 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun pragmaParser_296_28 () Int)
(declare-fun isJava_296_50 () Int)
(declare-fun objectToBeConstructed () Int)
(declare-fun after_296_58_296_58 () Int)
(declare-fun RES_296_58_296_58 () Int)
(declare-fun EC_296_58_296_58 () Int)
(declare-fun ecReturn () Int)
(declare-fun m_in_212_46_1_ () Int)
(declare-fun m_nextchr_221_16_1_ () Int)
(declare-fun text_240_19_1_ () Int)
(declare-fun textlen_249_16_1_ () Int)
(declare-fun lookaheadq_270_29_1_ () Int)
(declare-fun lexicalPragmas_272_43_1_ () Int)
(declare-fun lexicalPragmas_zero () Int)
(declare-fun pragmaParser_275_25_1_ () Int)
(declare-fun inPragma_276_20_1_ () Int)
(declare-fun savedState_440_18_1_ () Int)
(declare-fun stringLit_1114_17_1_ () Int)
(declare-fun stringLitLen_1117_14_1_ () Int)
(declare-fun punctuationTable_1135_32_1_ () Int)
(declare-fun keywords_1143_22_1_ () Int)
(declare-fun javakeywords_1145_20_1_ () Int)
(declare-fun onlyjavakeywords_1145_42_1_ () Int)
(declare-fun m_in_212_46_2_ () Int)
(declare-fun tmp0_new_char___240_26 () Int)
(declare-fun alloc_1_ () Int)
(declare-fun text_240_19_2_ () Int)
(declare-fun textlen_249_16_2_ () Int)
(declare-fun after_270_42_270_42 () Int)
(declare-fun RES_270_42_270_42 () Int)
(declare-fun EC_270_42_270_42 () Int)
(declare-fun lookaheadq_270_29_2_ () Int)
(declare-fun after_440_31_440_31 () Int)
(declare-fun RES_440_31_440_31 () Int)
(declare-fun EC_440_31_440_31 () Int)
(declare-fun savedState_440_18_2_ () Int)
(declare-fun tmp1_new_char___1114_29 () Int)
(declare-fun alloc_2_ () Int)
(declare-fun stringLit_1114_17_2_ () Int)
(declare-fun stringLitLen_1117_14_2_ () Int)
(declare-fun after_1135_51_1135_51 () Int)
(declare-fun RES_1135_51_1135_51 () Int)
(declare-fun EC_1135_51_1135_51 () Int)
(declare-fun punctuationTable_1135_32_2_ () Int)
(declare-fun keywords_1143_22_2_ () Int)
(declare-fun javakeywords_1145_20_2_ () Int)
(declare-fun onlyjavakeywords_1145_42_2_ () Int)
(declare-fun pragmaParser_297_6 () Int)
(declare-fun RES_298_35_298_35 () Int)
(declare-fun EC_298_35_298_35 () Int)
(declare-fun lexicalPragmas_298_1 () Int)
(declare-fun inPragma_300_1 () Int)
(declare-fun EC_302_5_302_5 () Int)
(declare-fun EC_305_5_305_5 () Int)
(declare-fun EC_303_5_303_5 () Int)
(declare-fun RES () Int)
(declare-fun RES_303_5_303_5 () Int)
(declare-fun EC () Int)
(declare-fun EC_306_5_306_5 () Int)
(declare-fun RES_306_5_306_5 () Int)
(assert (let ((?v_2 (array T_int)) (?v_0 (array T_java_lang_String)) (?v_4 (arrayLength punctuationStrings_18_134_22)) (?v_6 (arrayLength keywordStrings_18_181_30)) (?v_5 (arrayLength otherStrings_18_193_30)) (?v_50 (not (= S_306_20 null))) (?v_35 (not (= S_305_20 null))) (?v_1 (array T_char)) (?v_3 (S_select owner_5_35_28 punctuationCodes_18_164_19)) (?v_65 (not (= true_term (isAllocated objectToBeConstructed alloc)))) (?v_66 (< alloc after_296_58_296_58)) (?v_67 (not (= RES_296_58_296_58 null))) (?v_68 (not (= true_term (isAllocated RES_296_58_296_58 alloc)))) (?v_69 (= true_term (is RES_296_58_296_58 T_javafe_parser_Token))) (?v_70 (= true_term (isAllocated RES_296_58_296_58 after_296_58_296_58))) (?v_71 (= EC_296_58_296_58 ecReturn)) (?v_72 (= (S_select owner_5_35_28 RES_296_58_296_58) null)) (?v_73 (= (PO_LT (typeof RES_296_58_296_58) T_javafe_parser_Lex) true_term)) (?v_74 (= objectToBeConstructed RES_296_58_296_58)) (?v_75 (= m_in_212_46_1_ (S_store m_in_212_46 RES_296_58_296_58 null))) (?v_76 (= m_nextchr_221_16_1_ (S_store m_nextchr_221_16 RES_296_58_296_58 0))) (?v_77 (= text_240_19_1_ (S_store text_240_19 RES_296_58_296_58 null))) (?v_78 (= textlen_249_16_1_ (S_store textlen_249_16 RES_296_58_296_58 0))) (?v_79 (= lookaheadq_270_29_1_ (S_store lookaheadq_270_29 RES_296_58_296_58 null))) (?v_80 (= lexicalPragmas_272_43_1_ (S_store lexicalPragmas_272_43 RES_296_58_296_58 lexicalPragmas_zero))) (?v_81 (= pragmaParser_275_25_1_ (S_store pragmaParser_275_25 RES_296_58_296_58 null))) (?v_82 (= inPragma_276_20_1_ (S_store inPragma_276_20 RES_296_58_296_58 false_term))) (?v_83 (= savedState_440_18_1_ (S_store savedState_440_18 RES_296_58_296_58 null))) (?v_84 (= stringLit_1114_17_1_ (S_store stringLit_1114_17 RES_296_58_296_58 null))) (?v_85 (= stringLitLen_1117_14_1_ (S_store stringLitLen_1117_14 RES_296_58_296_58 0))) (?v_86 (= punctuationTable_1135_32_1_ (S_store punctuationTable_1135_32 RES_296_58_296_58 null))) (?v_87 (= keywords_1143_22_1_ (S_store keywords_1143_22 RES_296_58_296_58 null))) (?v_88 (= javakeywords_1145_20_1_ (S_store javakeywords_1145_20 RES_296_58_296_58 false_term))) (?v_89 (= onlyjavakeywords_1145_42_1_ (S_store onlyjavakeywords_1145_42 RES_296_58_296_58 false_term))) (?v_90 (= m_in_212_46_2_ (S_store m_in_212_46_1_ RES_296_58_296_58 null))) (?v_7 (<= 0 64))) (let ((?v_9 (not ?v_7)) (?v_10 (arrayShapeOne 64))) (let ((?v_91 (= true_term (arrayFresh tmp0_new_char___240_26 after_296_58_296_58 alloc_1_ elems ?v_10 ?v_1 0))) (?v_92 (forall ((?o Int)) (=> (and (not (= true_term (isAllocated ?o after_296_58_296_58))) (= true_term (isAllocated ?o alloc_1_))) (= true_term (isNewArray ?o))))) (?v_93 (forall ((?o_1_ Int)) (=> (and (not (= true_term (isAllocated ?o_1_ after_296_58_296_58))) (= true_term (isAllocated ?o_1_ alloc_1_))) (= (S_select owner_5_35_28 tmp0_new_char___240_26) null)))) (?v_94 (= text_240_19_2_ (S_store text_240_19_1_ RES_296_58_296_58 tmp0_new_char___240_26))) (?v_95 (= textlen_249_16_2_ (S_store textlen_249_16_1_ RES_296_58_296_58 0))) (?v_96 (< alloc_1_ after_270_42_270_42)) (?v_97 (not (= RES_270_42_270_42 null))) (?v_98 (not (= true_term (isAllocated RES_270_42_270_42 alloc_1_)))) (?v_99 (= true_term (is RES_270_42_270_42 T_javafe_parser_TokenQueue))) (?v_100 (= true_term (isAllocated RES_270_42_270_42 after_270_42_270_42))) (?v_8 (= EC_270_42_270_42 ecReturn)) (?v_101 (= (S_select owner_5_35_28 RES_270_42_270_42) null))) (let ((?v_102 (=> ?v_8 (not (= true_term (S_select notempty_14_40_17 RES_270_42_270_42))))) (?v_103 (= (typeof RES_270_42_270_42) T_javafe_parser_TokenQueue)) (?v_104 (= lookaheadq_270_29_2_ (S_store lookaheadq_270_29_1_ RES_296_58_296_58 RES_270_42_270_42))) (?v_105 (< after_270_42_270_42 after_440_31_440_31)) (?v_106 (not (= RES_440_31_440_31 null))) (?v_107 (not (= true_term (isAllocated RES_440_31_440_31 after_270_42_270_42)))) (?v_108 (= true_term (is RES_440_31_440_31 T_javafe_parser_Token))) (?v_109 (= true_term (isAllocated RES_440_31_440_31 after_440_31_440_31))) (?v_110 (= EC_440_31_440_31 ecReturn)) (?v_111 (= (S_select owner_5_35_28 RES_440_31_440_31) null)) (?v_112 (= (typeof RES_440_31_440_31) T_javafe_parser_Token)) (?v_113 (= savedState_440_18_2_ (S_store savedState_440_18_1_ RES_296_58_296_58 RES_440_31_440_31))) (?v_114 (= true_term (arrayFresh tmp1_new_char___1114_29 after_440_31_440_31 alloc_2_ elems ?v_10 ?v_1 0))) (?v_115 (forall ((?o_2_ Int)) (=> (and (not (= true_term (isAllocated ?o_2_ after_440_31_440_31))) (= true_term (isAllocated ?o_2_ alloc_2_))) (= true_term (isNewArray ?o_2_))))) (?v_116 (forall ((?o_3_ Int)) (=> (and (not (= true_term (isAllocated ?o_3_ after_440_31_440_31))) (= true_term (isAllocated ?o_3_ alloc_2_))) (= (S_select owner_5_35_28 tmp1_new_char___1114_29) null)))) (?v_117 (= stringLit_1114_17_2_ (S_store stringLit_1114_17_1_ RES_296_58_296_58 tmp1_new_char___1114_29))) (?v_118 (= stringLitLen_1117_14_2_ (S_store stringLitLen_1117_14_1_ RES_296_58_296_58 0))) (?v_119 (< alloc_2_ after_1135_51_1135_51)) (?v_120 (not (= RES_1135_51_1135_51 null))) (?v_121 (not (= true_term (isAllocated RES_1135_51_1135_51 alloc_2_)))) (?v_122 (= true_term (is RES_1135_51_1135_51 T_javafe_parser_PunctuationPrefixTree))) (?v_123 (= true_term (isAllocated RES_1135_51_1135_51 after_1135_51_1135_51))) (?v_124 (= EC_1135_51_1135_51 ecReturn)) (?v_125 (= (S_select owner_5_35_28 RES_1135_51_1135_51) null)) (?v_126 (= (typeof RES_1135_51_1135_51) T_javafe_parser_PunctuationPrefixTree)) (?v_127 (= punctuationTable_1135_32_2_ (S_store punctuationTable_1135_32_1_ RES_296_58_296_58 RES_1135_51_1135_51))) (?v_128 (= keywords_1143_22_2_ (S_store keywords_1143_22_1_ RES_296_58_296_58 null))) (?v_129 (= javakeywords_1145_20_2_ (S_store javakeywords_1145_20_1_ RES_296_58_296_58 false_term))) (?v_130 (= onlyjavakeywords_1145_42_2_ (S_store onlyjavakeywords_1145_42_1_ RES_296_58_296_58 false_term))) (?v_131 (= pragmaParser_297_6 (S_store pragmaParser_275_25_1_ RES_296_58_296_58 pragmaParser_296_28))) (?v_132 (= true_term (is RES_298_35_298_35 T_javafe_ast_LexicalPragmaVec))) (?v_133 (= true_term (isAllocated RES_298_35_298_35 after_1135_51_1135_51))) (?v_11 (= EC_298_35_298_35 ecReturn)) (?v_12 (not (= RES_298_35_298_35 null)))) (let ((?v_134 (=> ?v_11 ?v_12)) (?v_135 (= lexicalPragmas_298_1 (S_store lexicalPragmas_272_43_1_ RES_296_58_296_58 RES_298_35_298_35))) (?v_136 (= inPragma_300_1 (S_store inPragma_276_20_1_ RES_296_58_296_58 false_term))) (?v_33 (= true_term isJava_296_50)) (?v_34 (= true_term true_term)) (?v_15 (S_select stringLit_1114_17_2_ RES_296_58_296_58))) (let ((?v_13 (not (= ?v_15 null)))) (let ((?v_24 (not ?v_13)) (?v_22 (S_select text_240_19_2_ RES_296_58_296_58))) (let ((?v_21 (arrayLength ?v_22))) (let ((?v_14 (> ?v_21 4))) (let ((?v_25 (not ?v_14)) (?v_16 (>= (arrayLength ?v_15) 64))) (let ((?v_26 (not ?v_16)) (?v_17 (>= (S_select stringLitLen_1117_14_2_ RES_296_58_296_58) 0))) (let ((?v_27 (not ?v_17)) (?v_18 (not (= (S_select punctuationTable_1135_32_2_ RES_296_58_296_58) null)))) (let ((?v_28 (not ?v_18)) (?v_29 (not (= (= true_term (S_select onlyjavakeywords_1145_42_2_ RES_296_58_296_58)) (and (= true_term (S_select javakeywords_1145_20_2_ RES_296_58_296_58)) (= (S_select keywords_1143_22_2_ RES_296_58_296_58) null))))) (?v_19 (not (= (S_select savedState_440_18_2_ RES_296_58_296_58) null)))) (let ((?v_30 (not ?v_19)) (?v_20 (S_select textlen_249_16_2_ RES_296_58_296_58))) (let ((?v_31 (not (and (<= 0 ?v_20) (<= ?v_20 ?v_21)))) (?v_23 (not (= ?v_22 null)))) (let ((?v_32 (not ?v_23)) (?v_137 (= EC_302_5_302_5 ecReturn)) (?v_138 (not ?v_33)) (?v_36 (not (= C_COMMENT_18_47_26 NULL_18_82_26))) (?v_37 (not (= C_COMMENT_18_47_26 IDENT_19_25_26))) (?v_38 (not (= C_COMMENT_18_47_26 BOOLEANLIT_19_38_26))) (?v_39 (not (= C_COMMENT_18_47_26 INTLIT_19_39_26))) (?v_40 (not (= C_COMMENT_18_47_26 LONGLIT_19_40_26))) (?v_41 (not (= C_COMMENT_18_47_26 FLOATLIT_19_42_26))) (?v_42 (not (= C_COMMENT_18_47_26 DOUBLELIT_19_43_26))) (?v_43 (not (= C_COMMENT_18_47_26 STRINGLIT_19_44_26))) (?v_44 (not (= C_COMMENT_18_47_26 CHARLIT_19_41_26))) (?v_45 (not (= C_COMMENT_18_47_26 LEXICALPRAGMA_18_24_26))) (?v_46 (not (= C_COMMENT_18_47_26 MODIFIERPRAGMA_18_25_26))) (?v_47 (not (= C_COMMENT_18_47_26 STMTPRAGMA_18_26_26))) (?v_48 (not (= C_COMMENT_18_47_26 TYPEDECLELEMPRAGMA_18_27_26))) (?v_49 (not (= C_COMMENT_18_47_26 TYPEMODIFIERPRAGMA_18_28_26))) (?v_139 (= EC_305_5_305_5 ecReturn)) (?v_51 (not (= EOL_COMMENT_18_48_26 NULL_18_82_26))) (?v_52 (not (= EOL_COMMENT_18_48_26 IDENT_19_25_26))) (?v_53 (not (= EOL_COMMENT_18_48_26 BOOLEANLIT_19_38_26))) (?v_54 (not (= EOL_COMMENT_18_48_26 INTLIT_19_39_26))) (?v_55 (not (= EOL_COMMENT_18_48_26 LONGLIT_19_40_26))) (?v_56 (not (= EOL_COMMENT_18_48_26 FLOATLIT_19_42_26))) (?v_57 (not (= EOL_COMMENT_18_48_26 DOUBLELIT_19_43_26))) (?v_58 (not (= EOL_COMMENT_18_48_26 STRINGLIT_19_44_26))) (?v_59 (not (= EOL_COMMENT_18_48_26 CHARLIT_19_41_26))) (?v_60 (not (= EOL_COMMENT_18_48_26 LEXICALPRAGMA_18_24_26))) (?v_61 (not (= EOL_COMMENT_18_48_26 MODIFIERPRAGMA_18_25_26))) (?v_62 (not (= EOL_COMMENT_18_48_26 STMTPRAGMA_18_26_26))) (?v_63 (not (= EOL_COMMENT_18_48_26 TYPEDECLELEMPRAGMA_18_27_26))) (?v_64 (not (= EOL_COMMENT_18_48_26 TYPEMODIFIERPRAGMA_18_28_26))) (?v_140 (= ecReturn ecReturn))) (let ((?v_141 (=> ?v_140 (= (S_select m_in_212_46_2_ RES_296_58_296_58) null))) (?v_142 (=> ?v_140 (not (= (S_select lexicalPragmas_298_1 RES_296_58_296_58) null))))) (not (=> (and true ?v_50 (= (typeof S_306_20) T_java_lang_String) ?v_35 (= (typeof S_305_20) T_java_lang_String) (< neg9223372036854775808 neg2147483648) (< neg2147483648 (- 1000000))) (=> (and (= IDENT_pre_19_25_26 IDENT_19_25_26) (= true_term (is IDENT_19_25_26 T_int)) (= punctuationTable_pre_1135_32 punctuationTable_1135_32) (= punctuationTable_1135_32 (asField punctuationTable_1135_32 T_javafe_parser_PunctuationPrefixTree)) (< (fClosedTime punctuationTable_1135_32) alloc) (= STRINGLIT_pre_19_44_26 STRINGLIT_19_44_26) (= true_term (is STRINGLIT_19_44_26 T_int)) (= punctuationCodes_pre_18_164_19 punctuationCodes_18_164_19) (= true_term (is punctuationCodes_18_164_19 ?v_2)) (= true_term (isAllocated punctuationCodes_18_164_19 alloc)) (= start_pre_14_23_14 start_14_23_14) (= start_14_23_14 (asField start_14_23_14 T_int)) (= MODIFIERPRAGMA_pre_18_25_26 MODIFIERPRAGMA_18_25_26) (= true_term (is MODIFIERPRAGMA_18_25_26 T_int)) (= count_pre_42_99_33 count_42_99_33) (= count_42_99_33 (asField count_42_99_33 T_int)) (= savedState_pre_440_18 savedState_440_18) (= savedState_440_18 (asField savedState_440_18 T_javafe_parser_Token)) (< (fClosedTime savedState_440_18) alloc) (= permitsNullValue_pre_35_31_27 permitsNullValue_35_31_27) (= permitsNullValue_35_31_27 (asField permitsNullValue_35_31_27 T_boolean)) (= stringLitLen_pre_1117_14 stringLitLen_1117_14) (= stringLitLen_1117_14 (asField stringLitLen_1117_14 T_int)) (= marked_pre_16_92_41 marked_16_92_41) (= marked_16_92_41 (asField marked_16_92_41 T_boolean)) (= CLEAR_pre_4_55_28 CLEAR_4_55_28) (= true_term (is CLEAR_4_55_28 T_int)) (= DOUBLELIT_pre_19_43_26 DOUBLELIT_19_43_26) (= true_term (is DOUBLELIT_19_43_26 T_int)) (= CHILDLEN_pre_1279_28 CHILDLEN_1279_28) (= true_term (is CHILDLEN_1279_28 T_int)) (= inPragma_pre_276_20 inPragma_276_20) (= inPragma_276_20 (asField inPragma_276_20 T_boolean)) (= punctuationStrings_pre_18_134_22 punctuationStrings_18_134_22) (= true_term (is punctuationStrings_18_134_22 ?v_0)) (= true_term (isAllocated punctuationStrings_18_134_22 alloc)) (= MIN_VALUE_pre_38_39_30 MIN_VALUE_38_39_30) (= true_term (is MIN_VALUE_38_39_30 T_int)) (= LEXICALPRAGMA_pre_18_24_26 LEXICALPRAGMA_18_24_26) (= true_term (is LEXICALPRAGMA_18_24_26 T_int)) (= identifierVal_pre_4_80_22 identifierVal_4_80_22) (= identifierVal_4_80_22 (asField identifierVal_4_80_22 T_javafe_ast_Identifier)) (< (fClosedTime identifierVal_4_80_22) alloc) (= HC_pre_32_117_26 HC_32_117_26) (= true_term (is HC_32_117_26 T_int)) (= locId_pre_86_48_13 locId_86_48_13) (= locId_86_48_13 (asField locId_86_48_13 T_int)) (= keyType_pre_35_16_25 keyType_35_16_25) (= keyType_35_16_25 (asField keyType_35_16_25 T__TYPE)) (= lookaheadq_pre_270_29 lookaheadq_270_29) (= lookaheadq_270_29 (asField lookaheadq_270_29 T_javafe_parser_TokenQueue)) (< (fClosedTime lookaheadq_270_29) alloc) (= m_in_pre_212_46 m_in_212_46) (= m_in_212_46 (asField m_in_212_46 T_javafe_util_CorrelatedReader)) (< (fClosedTime m_in_212_46) alloc) (= locCloseBrace_pre_86_54_13 locCloseBrace_86_54_13) (= locCloseBrace_86_54_13 (asField locCloseBrace_86_54_13 T_int)) (= pragmaParser_pre_275_25 pragmaParser_275_25) (= pragmaParser_275_25 (asField pragmaParser_275_25 T_javafe_parser_PragmaParser)) (< (fClosedTime pragmaParser_275_25) alloc) (= props_pre_13_396_44 props_13_396_44) (= true_term (is props_13_396_44 T_java_util_Properties)) (= true_term (isAllocated props_13_396_44 alloc)) (not (= props_13_396_44 null)) (= keywordStrings_pre_18_181_30 keywordStrings_18_181_30) (= true_term (is keywordStrings_18_181_30 ?v_0)) (= true_term (isAllocated keywordStrings_18_181_30 alloc)) (= FLOATLIT_pre_19_42_26 FLOATLIT_19_42_26) (= true_term (is FLOATLIT_19_42_26 T_int)) (= MAX_LONG_PLUS_ONE_pre_18_21_26 MAX_LONG_PLUS_ONE_18_21_26) (= true_term (is MAX_LONG_PLUS_ONE_18_21_26 T_int)) (= elements_pre_17_61_42 elements_17_61_42) (= elements_17_61_42 (asField elements_17_61_42 (array T_javafe_ast_LexicalPragma))) (< (fClosedTime elements_17_61_42) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select elements_17_61_42 ?s) null)))) (= ttype_pre_4_52_15 ttype_4_52_15) (= ttype_4_52_15 (asField ttype_4_52_15 T_int)) (= MIN_VALUE_pre_43_38_29 MIN_VALUE_43_38_29) (= true_term (is MIN_VALUE_43_38_29 T_long)) (= onlyjavakeywords_pre_1145_42 onlyjavakeywords_1145_42) (= onlyjavakeywords_1145_42 (asField onlyjavakeywords_1145_42 T_boolean)) (= CHARLIT_pre_19_41_26 CHARLIT_19_41_26) (= true_term (is CHARLIT_19_41_26 T_int)) (= startingLoc_pre_4_65_15 startingLoc_4_65_15) (= startingLoc_4_65_15 (asField startingLoc_4_65_15 T_int)) (= elementType_pre_35_26_25 elementType_35_26_25) (= elementType_35_26_25 (asField elementType_35_26_25 T__TYPE)) (= end_pre_14_26_14 end_14_26_14) (= end_14_26_14 (asField end_14_26_14 T_int)) (= FIRST_KEYWORD_pre_18_51_26 FIRST_KEYWORD_18_51_26) (= true_term (is FIRST_KEYWORD_18_51_26 T_int)) (= stringLit_pre_1114_17 stringLit_1114_17) (= stringLit_1114_17 (asField stringLit_1114_17 ?v_1)) (< (fClosedTime stringLit_1114_17) alloc) (= notempty_pre_14_40_17 notempty_14_40_17) (= notempty_14_40_17 (asField notempty_14_40_17 T_boolean)) (= MAX_INT_PLUS_ONE_pre_18_20_26 MAX_INT_PLUS_ONE_18_20_26) (= true_term (is MAX_INT_PLUS_ONE_18_20_26 T_int)) (= tokenType_pre_37_90_8 tokenType_37_90_8) (= tokenType_37_90_8 (asField tokenType_37_90_8 T_int)) (= text_pre_240_19 text_240_19) (= text_240_19 (asField text_240_19 ?v_1)) (< (fClosedTime text_240_19) alloc) (= owner_pre_5_35_28 owner_5_35_28) (= owner_5_35_28 (asField owner_5_35_28 T_java_lang_Object)) (< (fClosedTime owner_5_35_28) alloc) (= auxVal_pre_4_127_18 auxVal_4_127_18) (= auxVal_4_127_18 (asField auxVal_4_127_18 T_java_lang_Object)) (< (fClosedTime auxVal_4_127_18) alloc) (= LONGLIT_pre_19_40_26 LONGLIT_19_40_26) (= true_term (is LONGLIT_19_40_26 T_int)) (= toks_pre_14_20_18 toks_14_20_18) (= toks_14_20_18 (asField toks_14_20_18 (array T_javafe_parser_Token))) (< (fClosedTime toks_14_20_18) alloc) (= TYPEMODIFIERPRAGMA_pre_18_28_26 TYPEMODIFIERPRAGMA_18_28_26) (= true_term (is TYPEMODIFIERPRAGMA_18_28_26 T_int)) (= children_pre_1299_35 children_1299_35) (= children_1299_35 (asField children_1299_35 (array T_javafe_parser_PunctuationPrefixTree))) (< (fClosedTime children_1299_35) alloc) (= value_pre_42_91_31 value_42_91_31) (= value_42_91_31 (asField value_42_91_31 ?v_1)) (< (fClosedTime value_42_91_31) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select value_42_91_31 ?s_1_) null)))) (= EOL_COMMENT_pre_18_48_26 EOL_COMMENT_18_48_26) (= true_term (is EOL_COMMENT_18_48_26 T_int)) (= count_pre_17_67_33 count_17_67_33) (= count_17_67_33 (asField count_17_67_33 T_int)) (= EOF_pre_18_17_26 EOF_18_17_26) (= true_term (is EOF_18_17_26 T_int)) (= LAST_KEYWORD_pre_18_103_26 LAST_KEYWORD_18_103_26) (= true_term (is LAST_KEYWORD_18_103_26 T_int)) (= javakeywords_pre_1145_20 javakeywords_1145_20) (= javakeywords_1145_20 (asField javakeywords_1145_20 T_boolean)) (= textlen_pre_249_16 textlen_249_16) (= textlen_249_16 (asField textlen_249_16 T_int)) (= locOpenBrace_pre_86_51_13 locOpenBrace_86_51_13) (= locOpenBrace_86_51_13 (asField locOpenBrace_86_51_13 T_int)) (= INTLIT_pre_19_39_26 INTLIT_19_39_26) (= true_term (is INTLIT_19_39_26 T_int)) (= TYPEDECLELEMPRAGMA_pre_18_27_26 TYPEDECLELEMPRAGMA_18_27_26) (= true_term (is TYPEDECLELEMPRAGMA_18_27_26 T_int)) (= C_COMMENT_pre_18_47_26 C_COMMENT_18_47_26) (= true_term (is C_COMMENT_18_47_26 T_int)) (= loc_pre_86_45_13 loc_86_45_13) (= loc_86_45_13 (asField loc_86_45_13 T_int)) (= NULL_pre_18_82_26 NULL_18_82_26) (= true_term (is NULL_18_82_26 T_int)) (= otherCodes_pre_18_202_27 otherCodes_18_202_27) (= true_term (is otherCodes_18_202_27 ?v_2)) (= true_term (isAllocated otherCodes_18_202_27 alloc)) (= keywords_pre_1143_22 keywords_1143_22) (= keywords_1143_22 (asField keywords_1143_22 T_java_util_Hashtable)) (< (fClosedTime keywords_1143_22) alloc) (= otherStrings_pre_18_193_30 otherStrings_18_193_30) (= true_term (is otherStrings_18_193_30 ?v_0)) (= true_term (isAllocated otherStrings_18_193_30 alloc)) (= permitsNullKey_pre_35_21_27 permitsNullKey_35_21_27) (= permitsNullKey_35_21_27 (asField permitsNullKey_35_21_27 T_boolean)) (= m_nextchr_pre_221_16 m_nextchr_221_16) (= m_nextchr_221_16 (asField m_nextchr_221_16 T_int)) (= noTokens_pre_18_212_27 noTokens_18_212_27) (= true_term (is noTokens_18_212_27 T_int)) (= BOOLEANLIT_pre_19_38_26 BOOLEANLIT_19_38_26) (= true_term (is BOOLEANLIT_19_38_26 T_int)) (= lexicalPragmas_pre_272_43 lexicalPragmas_272_43) (= lexicalPragmas_272_43 (asField lexicalPragmas_272_43 T_javafe_ast_LexicalPragmaVec)) (< (fClosedTime lexicalPragmas_272_43) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select lexicalPragmas_272_43 ?s_2_) null)))) (= STMTPRAGMA_pre_18_26_26 STMTPRAGMA_18_26_26) (= true_term (is STMTPRAGMA_18_26_26 T_int)) (= NULL_pre_46_60_26 NULL_46_60_26) (= true_term (is NULL_46_60_26 T_int)) (= endingLoc_pre_4_72_15 endingLoc_4_72_15) (= endingLoc_4_72_15 (asField endingLoc_4_72_15 T_int)) (= code_pre_1294_15 code_1294_15) (= code_1294_15 (asField code_1294_15 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is pragmaParser_296_28 T_javafe_parser_PragmaParser)) (= true_term (isAllocated pragmaParser_296_28 alloc)) (= true_term (is isJava_296_50 T_boolean)) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_ast_LexicalPragmaVec)) (not (= ?brokenObj null))) (forall ((?i_17_62_31 Int)) (=> (and (<= 0 ?i_17_62_31) (< ?i_17_62_31 (S_select count_17_67_33 ?brokenObj))) (not (= (S_select (S_select elems (S_select elements_17_61_42 ?brokenObj)) ?i_17_62_31) null)))))) (= true_term (is ?v_3 T_javafe_parser_TagConstants)) (not (= ?v_3 null)) (= (arrayLength punctuationCodes_18_164_19) ?v_4) (= true_term (nonnullelements otherStrings_18_193_30 elems)) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_ast_LexicalPragmaVec)) (not (= ?brokenObj_1_ null))) (<= (S_select count_17_67_33 ?brokenObj_1_) (arrayLength (S_select elements_17_61_42 ?brokenObj_1_))))) (= noTokens_18_212_27 (+ (+ ?v_6 ?v_4) ?v_5)) (forall ((?brokenObj_2_ Int)) (let ((?v_143 (S_select start_14_23_14 ?brokenObj_2_))) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_parser_TokenQueue)) (not (= ?brokenObj_2_ null))) (and (<= 0 ?v_143) (< ?v_143 (arrayLength (S_select toks_14_20_18 ?brokenObj_2_))))))) (= true_term (nonnullelements punctuationStrings_18_134_22 elems)) (forall ((?brokenObj_3_ Int)) (let ((?v_144 (S_select keywords_1143_22 ?brokenObj_3_))) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_parser_Lex)) (not (= ?brokenObj_3_ null)) (not (= ?brokenObj_3_ objectToBeConstructed)) (not (= ?v_144 null))) (and (= (S_select keyType_35_16_25 ?v_144) T_javafe_ast_Identifier) (= (S_select elementType_35_26_25 ?v_144) T_java_lang_Integer))))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_parser_Lex)) (not (= ?brokenObj_4_ null)) (not (= ?brokenObj_4_ objectToBeConstructed))) (not (= (S_select stringLit_1114_17 ?brokenObj_4_) null)))) (forall ((?brokenObj_5_ Int)) (let ((?v_145 (S_select code_1294_15 ?brokenObj_5_))) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_parser_PunctuationPrefixTree)) (not (= ?brokenObj_5_ null))) (and (not (= ?v_145 IDENT_19_25_26)) (not (= ?v_145 BOOLEANLIT_19_38_26)) (not (= ?v_145 INTLIT_19_39_26)) (not (= ?v_145 LONGLIT_19_40_26)) (not (= ?v_145 FLOATLIT_19_42_26)) (not (= ?v_145 DOUBLELIT_19_43_26)) (not (= ?v_145 STRINGLIT_19_44_26)) (not (= ?v_145 CHARLIT_19_41_26)) (not (= ?v_145 LEXICALPRAGMA_18_24_26)) (not (= ?v_145 MODIFIERPRAGMA_18_25_26)) (not (= ?v_145 STMTPRAGMA_18_26_26)) (not (= ?v_145 TYPEDECLELEMPRAGMA_18_27_26)) (not (= ?v_145 TYPEMODIFIERPRAGMA_18_28_26)))))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_parser_TokenQueue)) (not (= ?brokenObj_6_ null))) (= (= true_term (S_select notempty_14_40_17 ?brokenObj_6_)) (not (= (S_select end_14_26_14 ?brokenObj_6_) (S_select start_14_23_14 ?brokenObj_6_)))))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_ast_LexicalPragmaVec)) (not (= ?brokenObj_7_ null))) (= (typeof (S_select elements_17_61_42 ?brokenObj_7_)) (array T_javafe_ast_LexicalPragma)))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_parser_Lex)) (not (= ?brokenObj_8_ null)) (not (= ?brokenObj_8_ objectToBeConstructed))) (> (arrayLength (S_select text_240_19 ?brokenObj_8_)) 4))) (forall ((?brokenObj_9_ Int)) (let ((?v_146 (S_select ttype_4_52_15 ?brokenObj_9_)) (?v_147 (S_select auxVal_4_127_18 ?brokenObj_9_))) (let ((?v_148 (not (= ?v_147 null)))) (let ((?v_149 (and (= true_term (is ?v_147 T_java_lang_Integer)) ?v_148))) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_parser_Token)) (not (= ?brokenObj_9_ null))) (and (not (= ?v_146 BOOLEANLIT_19_38_26)) (=> (= ?v_146 INTLIT_19_39_26) ?v_149) (=> (= ?v_146 LONGLIT_19_40_26) (and (= true_term (is ?v_147 T_java_lang_Long)) ?v_148)) (=> (= ?v_146 FLOATLIT_19_42_26) (and (= true_term (is ?v_147 T_java_lang_Float)) ?v_148)) (=> (= ?v_146 DOUBLELIT_19_43_26) (and (= true_term (is ?v_147 T_java_lang_Double)) ?v_148)) (=> (= ?v_146 STRINGLIT_19_44_26) (and (= true_term (is ?v_147 T_java_lang_String)) ?v_148)) (=> (= ?v_146 CHARLIT_19_41_26) ?v_149) (=> (= ?v_146 LEXICALPRAGMA_18_24_26) (and (= true_term (is ?v_147 T_javafe_ast_LexicalPragma)) ?v_148)) (=> (= ?v_146 MODIFIERPRAGMA_18_25_26) (and (= true_term (is ?v_147 T_javafe_ast_ModifierPragma)) ?v_148)) (=> (= ?v_146 STMTPRAGMA_18_26_26) (and (= true_term (is ?v_147 T_javafe_ast_StmtPragma)) ?v_148)) (=> (= ?v_146 TYPEDECLELEMPRAGMA_18_27_26) (and (= true_term (is ?v_147 T_javafe_ast_TypeDeclElemPragma)) ?v_148)) (=> (= ?v_146 TYPEMODIFIERPRAGMA_18_28_26) (and (= true_term (is ?v_147 T_javafe_ast_TypeModifierPragma)) ?v_148)))))))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_parser_Token)) (not (= ?brokenObj_10_ null)) (= (S_select ttype_4_52_15 ?brokenObj_10_) IDENT_19_25_26)) (not (= (S_select identifierVal_4_80_22 ?brokenObj_10_) null)))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_parser_Lex)) (not (= ?brokenObj_11_ null)) (not (= ?brokenObj_11_ objectToBeConstructed))) (>= (arrayLength (S_select stringLit_1114_17 ?brokenObj_11_)) 64))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_parser_Lex)) (not (= ?brokenObj_12_ null)) (not (= ?brokenObj_12_ objectToBeConstructed))) (>= (S_select stringLitLen_1117_14 ?brokenObj_12_) 0))) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_parser_Lex)) (not (= ?brokenObj_13_ null)) (not (= ?brokenObj_13_ objectToBeConstructed))) (not (= (S_select punctuationTable_1135_32 ?brokenObj_13_) null)))) (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_parser_Lex)) (not (= ?brokenObj_14_ null)) (not (= ?brokenObj_14_ objectToBeConstructed))) (= (= true_term (S_select onlyjavakeywords_1145_42 ?brokenObj_14_)) (and (= true_term (S_select javakeywords_1145_20 ?brokenObj_14_)) (= (S_select keywords_1143_22 ?brokenObj_14_) null))))) (forall ((?i_18_149_29 Int)) (let ((?v_150 (S_select (S_select elems punctuationCodes_18_164_19) ?i_18_149_29))) (=> (and (<= 0 ?i_18_149_29) (<= ?i_18_149_29 (arrayLength punctuationCodes_18_164_19))) (and (not (= ?v_150 IDENT_19_25_26)) (not (= ?v_150 BOOLEANLIT_19_38_26)) (not (= ?v_150 INTLIT_19_39_26)) (not (= ?v_150 LONGLIT_19_40_26)) (not (= ?v_150 FLOATLIT_19_42_26)) (not (= ?v_150 DOUBLELIT_19_43_26)) (not (= ?v_150 STRINGLIT_19_44_26)) (not (= ?v_150 CHARLIT_19_41_26)) (not (= ?v_150 LEXICALPRAGMA_18_24_26)) (not (= ?v_150 MODIFIERPRAGMA_18_25_26)) (not (= ?v_150 STMTPRAGMA_18_26_26)) (not (= ?v_150 TYPEDECLELEMPRAGMA_18_27_26)) (not (= ?v_150 TYPEMODIFIERPRAGMA_18_28_26)))))) (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_parser_Lex)) (not (= ?brokenObj_15_ null)) (not (= ?brokenObj_15_ objectToBeConstructed))) (not (= (S_select savedState_440_18 ?brokenObj_15_) null)))) (forall ((?brokenObj_16_ Int)) (=> (and (= true_term (is ?brokenObj_16_ T_javafe_parser_TokenQueue)) (not (= ?brokenObj_16_ null))) (= true_term (nonnullelements (S_select toks_14_20_18 ?brokenObj_16_) elems)))) (forall ((?brokenObj_17_ Int)) (=> (and (= true_term (is ?brokenObj_17_ T_javafe_ast_LexicalPragmaVec)) (not (= ?brokenObj_17_ null))) (<= 0 (S_select count_17_67_33 ?brokenObj_17_)))) (= true_term (nonnullelements keywordStrings_18_181_30 elems)) (forall ((?brokenObj_18_ Int)) (let ((?v_151 (S_select tokenType_37_90_8 ?brokenObj_18_))) (=> (and (= true_term (is ?brokenObj_18_ T_javafe_ast_Identifier)) (not (= ?brokenObj_18_ null))) (and (not (= ?v_151 BOOLEANLIT_19_38_26)) (not (= ?v_151 INTLIT_19_39_26)) (not (= ?v_151 LONGLIT_19_40_26)) (not (= ?v_151 FLOATLIT_19_42_26)) (not (= ?v_151 DOUBLELIT_19_43_26)) (not (= ?v_151 STRINGLIT_19_44_26)) (not (= ?v_151 CHARLIT_19_41_26)) (not (= ?v_151 LEXICALPRAGMA_18_24_26)) (not (= ?v_151 MODIFIERPRAGMA_18_25_26)) (not (= ?v_151 STMTPRAGMA_18_26_26)) (not (= ?v_151 TYPEDECLELEMPRAGMA_18_27_26)) (not (= ?v_151 TYPEMODIFIERPRAGMA_18_28_26)))))) (= (arrayLength otherCodes_18_202_27) ?v_5) (forall ((?brokenObj_19_ Int)) (=> (and (= true_term (is ?brokenObj_19_ T_javafe_parser_Lex)) (not (= ?brokenObj_19_ null)) (not (= ?brokenObj_19_ objectToBeConstructed)) (= true_term (S_select inPragma_276_20 ?brokenObj_19_))) (not (= (S_select pragmaParser_275_25 ?brokenObj_19_) null)))) (forall ((?i_18_147_29 Int)) (=> (and (<= 0 ?i_18_147_29) (<= ?i_18_147_29 (arrayLength punctuationCodes_18_164_19))) (not (= (S_select (S_select elems punctuationCodes_18_164_19) ?i_18_147_29) NULL_18_82_26)))) (forall ((?brokenObj_20_ Int)) (=> (and (= true_term (is ?brokenObj_20_ T_javafe_ast_LexicalPragmaVec)) (not (= ?brokenObj_20_ null))) (= (S_select owner_5_35_28 (S_select elements_17_61_42 ?brokenObj_20_)) ?brokenObj_20_))) (forall ((?brokenObj_21_ Int)) (let ((?v_152 (S_select end_14_26_14 ?brokenObj_21_))) (=> (and (= true_term (is ?brokenObj_21_ T_javafe_parser_TokenQueue)) (not (= ?brokenObj_21_ null))) (and (<= 0 ?v_152) (< ?v_152 (arrayLength (S_select toks_14_20_18 ?brokenObj_21_))))))) (forall ((?brokenObj_22_ Int)) (let ((?v_153 (S_select textlen_249_16 ?brokenObj_22_))) (=> (and (= true_term (is ?brokenObj_22_ T_javafe_parser_Lex)) (not (= ?brokenObj_22_ null)) (not (= ?brokenObj_22_ objectToBeConstructed))) (and (<= 0 ?v_153) (<= ?v_153 (arrayLength (S_select text_240_19 ?brokenObj_22_))))))) (= ?v_6 (- (+ 1 LAST_KEYWORD_18_103_26) FIRST_KEYWORD_18_51_26)) (forall ((?brokenObj_23_ Int)) (=> (and (= true_term (is ?brokenObj_23_ T_javafe_parser_Lex)) (not (= ?brokenObj_23_ null)) (not (= ?brokenObj_23_ objectToBeConstructed))) (not (= (S_select text_240_19 ?brokenObj_23_) null)))) (or (and ?v_65 ?v_66 ?v_67 ?v_68 ?v_69 ?v_70 ?v_71 ?v_72 ?v_73 ?v_74 ?v_75 ?v_76 ?v_77 ?v_78 ?v_79 ?v_80 ?v_81 ?v_82 ?v_83 ?v_84 ?v_85 ?v_86 ?v_87 ?v_88 ?v_89 ?v_90 (or ?v_9 (and ?v_7 ?v_91 ?v_92 ?v_93 ?v_94 ?v_95 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_8 ?v_101 ?v_102 ?v_103 ?v_104 ?v_105 ?v_106 ?v_107 ?v_108 ?v_109 ?v_110 ?v_111 ?v_112 ?v_113 (or ?v_9 (and ?v_7 ?v_114 ?v_115 ?v_116 ?v_117 ?v_118 ?v_119 ?v_120 ?v_121 ?v_122 ?v_123 ?v_124 ?v_125 ?v_126 ?v_127 ?v_128 ?v_129 ?v_130 ?v_131 ?v_132 ?v_133 ?v_11 ?v_134 (or (not ?v_12) (and ?v_12 ?v_135 ?v_136 (or (and ?v_33 ?v_34 (or (not (forall ((?brokenObj_24_ Int)) (let ((?v_154 (S_select keywords_1143_22_2_ ?brokenObj_24_))) (=> (and (= ?brokenObj_24_ RES_296_58_296_58) (not (= ?v_154 null))) (and (= (S_select keyType_35_16_25 ?v_154) T_javafe_ast_Identifier) (= (S_select elementType_35_26_25 ?v_154) T_java_lang_Integer)))))) ?v_24 (and ?v_13 (or ?v_25 (and ?v_14 (or ?v_26 (and ?v_16 (or ?v_27 (and ?v_17 (or ?v_28 (and ?v_18 (or ?v_29 ?v_30 (and ?v_19 (or (not (forall ((?brokenObj_25_ Int)) (=> (and (= ?brokenObj_25_ RES_296_58_296_58) (= true_term (S_select inPragma_300_1 ?brokenObj_25_))) (not (= (S_select pragmaParser_297_6 ?brokenObj_25_) null))))) ?v_31 ?v_32)))))))))))) (and ?v_13 ?v_14 ?v_16 ?v_17 ?v_18 ?v_19 ?v_23 ?v_137 (or (not (forall ((?brokenObj_26_ Int)) (let ((?v_155 (S_select keywords_1143_22_2_ ?brokenObj_26_))) (=> (and (= ?brokenObj_26_ RES_296_58_296_58) (not (= ?v_155 null))) (and (= (S_select keyType_35_16_25 ?v_155) T_javafe_ast_Identifier) (= (S_select elementType_35_26_25 ?v_155) T_java_lang_Integer)))))) ?v_24 (and ?v_13 (or ?v_25 (and ?v_14 (or ?v_26 (and ?v_16 (or ?v_27 (and ?v_17 (or ?v_28 (and ?v_18 (or ?v_29 ?v_30 (and ?v_19 (or (not (forall ((?brokenObj_27_ Int)) (=> (and (= ?brokenObj_27_ RES_296_58_296_58) (= true_term (S_select inPragma_300_1 ?brokenObj_27_))) (not (= (S_select pragmaParser_297_6 ?brokenObj_27_) null))))) ?v_31 ?v_32)))))))))))))))) (and ?v_138 ?v_34 (or (not ?v_35) (and ?v_35 (or (not ?v_36) (and ?v_36 (or (not ?v_37) (and ?v_37 (or (not ?v_38) (and ?v_38 (or (not ?v_39) (and ?v_39 (or (not ?v_40) (and ?v_40 (or (not ?v_41) (and ?v_41 (or (not ?v_42) (and ?v_42 (or (not ?v_43) (and ?v_43 (or (not ?v_44) (and ?v_44 (or (not ?v_45) (and ?v_45 (or (not ?v_46) (and ?v_46 (or (not ?v_47) (and ?v_47 (or (not ?v_48) (and ?v_48 (or (not ?v_49) (and ?v_49 (or (not (forall ((?brokenObj_28_ Int)) (let ((?v_156 (S_select keywords_1143_22_2_ ?brokenObj_28_))) (=> (and (= ?brokenObj_28_ RES_296_58_296_58) (not (= ?v_156 null))) (and (= (S_select keyType_35_16_25 ?v_156) T_javafe_ast_Identifier) (= (S_select elementType_35_26_25 ?v_156) T_java_lang_Integer)))))) ?v_24 (and ?v_13 (or ?v_25 (and ?v_14 (or ?v_26 (and ?v_16 (or ?v_27 (and ?v_17 (or ?v_28 (and ?v_18 (or ?v_29 ?v_30 (and ?v_19 (or (not (forall ((?brokenObj_29_ Int)) (=> (and (= ?brokenObj_29_ RES_296_58_296_58) (= true_term (S_select inPragma_300_1 ?brokenObj_29_))) (not (= (S_select pragmaParser_297_6 ?brokenObj_29_) null))))) ?v_31 ?v_32)))))))))))))))))))))))))))))))))))))))))) (and ?v_35 ?v_36 ?v_37 ?v_38 ?v_39 ?v_40 ?v_41 ?v_42 ?v_43 ?v_44 ?v_45 ?v_46 ?v_47 ?v_48 ?v_49 ?v_13 ?v_14 ?v_16 ?v_17 ?v_18 ?v_19 ?v_23 ?v_139 (or (not ?v_50) (and ?v_50 (or (not ?v_51) (and ?v_51 (or (not ?v_52) (and ?v_52 (or (not ?v_53) (and ?v_53 (or (not ?v_54) (and ?v_54 (or (not ?v_55) (and ?v_55 (or (not ?v_56) (and ?v_56 (or (not ?v_57) (and ?v_57 (or (not ?v_58) (and ?v_58 (or (not ?v_59) (and ?v_59 (or (not ?v_60) (and ?v_60 (or (not ?v_61) (and ?v_61 (or (not ?v_62) (and ?v_62 (or (not ?v_63) (and ?v_63 (or (not ?v_64) (and ?v_64 (or (not (forall ((?brokenObj_30_ Int)) (let ((?v_157 (S_select keywords_1143_22_2_ ?brokenObj_30_))) (=> (and (= ?brokenObj_30_ RES_296_58_296_58) (not (= ?v_157 null))) (and (= (S_select keyType_35_16_25 ?v_157) T_javafe_ast_Identifier) (= (S_select elementType_35_26_25 ?v_157) T_java_lang_Integer)))))) ?v_24 (and ?v_13 (or ?v_25 (and ?v_14 (or ?v_26 (and ?v_16 (or ?v_27 (and ?v_17 (or ?v_28 (and ?v_18 (or ?v_29 ?v_30 (and ?v_19 (or (not (forall ((?brokenObj_31_ Int)) (=> (and (= ?brokenObj_31_ RES_296_58_296_58) (= true_term (S_select inPragma_300_1 ?brokenObj_31_))) (not (= (S_select pragmaParser_297_6 ?brokenObj_31_) null))))) ?v_31 ?v_32)))))))))))))))))))))))))))))))))))))))))))))))))))))) (and ?v_65 ?v_66 ?v_67 ?v_68 ?v_69 ?v_70 ?v_71 ?v_72 ?v_73 ?v_74 ?v_75 ?v_76 ?v_77 ?v_78 ?v_79 ?v_80 ?v_81 ?v_82 ?v_83 ?v_84 ?v_85 ?v_86 ?v_87 ?v_88 ?v_89 ?v_90 ?v_7 ?v_91 ?v_92 ?v_93 ?v_94 ?v_95 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_8 ?v_101 ?v_102 ?v_103 ?v_104 ?v_105 ?v_106 ?v_107 ?v_108 ?v_109 ?v_110 ?v_111 ?v_112 ?v_113 ?v_7 ?v_114 ?v_115 ?v_116 ?v_117 ?v_118 ?v_119 ?v_120 ?v_121 ?v_122 ?v_123 ?v_124 ?v_125 ?v_126 ?v_127 ?v_128 ?v_129 ?v_130 ?v_131 ?v_132 ?v_133 ?v_11 ?v_134 ?v_12 ?v_135 ?v_136 (or (and ?v_33 ?v_34 ?v_13 ?v_14 ?v_16 ?v_17 ?v_18 ?v_19 ?v_23 ?v_137 ?v_13 ?v_14 ?v_16 ?v_17 ?v_18 ?v_19 ?v_23 (= EC_303_5_303_5 ecReturn) (= RES RES_303_5_303_5) (= EC EC_303_5_303_5)) (and ?v_138 ?v_34 ?v_35 ?v_36 ?v_37 ?v_38 ?v_39 ?v_40 ?v_41 ?v_42 ?v_43 ?v_44 ?v_45 ?v_46 ?v_47 ?v_48 ?v_49 ?v_13 ?v_14 ?v_16 ?v_17 ?v_18 ?v_19 ?v_23 ?v_139 ?v_50 ?v_51 ?v_52 ?v_53 ?v_54 ?v_55 ?v_56 ?v_57 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_63 ?v_64 ?v_13 ?v_14 ?v_16 ?v_17 ?v_18 ?v_19 ?v_23 (= EC_306_5_306_5 ecReturn) (= RES RES_306_5_306_5) (= EC EC_306_5_306_5))) (or (not ?v_140) (and ?v_140 (or (not ?v_72) (and ?v_72 (or (not ?v_141) (and ?v_141 (or (not ?v_142) (and ?v_142 (or (not (forall ((?brokenObj_3_ Int)) (let ((?v_158 (S_select keywords_1143_22_2_ ?brokenObj_3_))) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_parser_Lex)) (= true_term (isAllocated ?brokenObj_3_ after_1135_51_1135_51)) (not (= ?brokenObj_3_ null)) (not (= ?v_158 null))) (and (= (S_select keyType_35_16_25 ?v_158) T_javafe_ast_Identifier) (= (S_select elementType_35_26_25 ?v_158) T_java_lang_Integer)))))) (not (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_parser_Lex)) (= true_term (isAllocated ?brokenObj_4_ after_1135_51_1135_51)) (not (= ?brokenObj_4_ null))) (not (= (S_select stringLit_1114_17_2_ ?brokenObj_4_) null))))) (not (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_parser_Lex)) (= true_term (isAllocated ?brokenObj_8_ after_1135_51_1135_51)) (not (= ?brokenObj_8_ null))) (> (arrayLength (S_select text_240_19_2_ ?brokenObj_8_)) 4)))) (not (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_parser_Lex)) (= true_term (isAllocated ?brokenObj_11_ after_1135_51_1135_51)) (not (= ?brokenObj_11_ null))) (>= (arrayLength (S_select stringLit_1114_17_2_ ?brokenObj_11_)) 64)))) (not (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_parser_Lex)) (= true_term (isAllocated ?brokenObj_12_ after_1135_51_1135_51)) (not (= ?brokenObj_12_ null))) (>= (S_select stringLitLen_1117_14_2_ ?brokenObj_12_) 0)))) (not (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_parser_Lex)) (= true_term (isAllocated ?brokenObj_13_ after_1135_51_1135_51)) (not (= ?brokenObj_13_ null))) (not (= (S_select punctuationTable_1135_32_2_ ?brokenObj_13_) null))))) (not (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_parser_Lex)) (= true_term (isAllocated ?brokenObj_14_ after_1135_51_1135_51)) (not (= ?brokenObj_14_ null))) (= (= true_term (S_select onlyjavakeywords_1145_42_2_ ?brokenObj_14_)) (and (= true_term (S_select javakeywords_1145_20_2_ ?brokenObj_14_)) (= (S_select keywords_1143_22_2_ ?brokenObj_14_) null)))))) (not (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_parser_Lex)) (= true_term (isAllocated ?brokenObj_15_ after_1135_51_1135_51)) (not (= ?brokenObj_15_ null))) (not (= (S_select savedState_440_18_2_ ?brokenObj_15_) null))))) (not (forall ((?brokenObj_19_ Int)) (=> (and (= true_term (is ?brokenObj_19_ T_javafe_parser_Lex)) (= true_term (isAllocated ?brokenObj_19_ after_1135_51_1135_51)) (not (= ?brokenObj_19_ null)) (= true_term (S_select inPragma_300_1 ?brokenObj_19_))) (not (= (S_select pragmaParser_297_6 ?brokenObj_19_) null))))) (not (forall ((?brokenObj_22_ Int)) (let ((?v_159 (S_select textlen_249_16_2_ ?brokenObj_22_))) (=> (and (= true_term (is ?brokenObj_22_ T_javafe_parser_Lex)) (= true_term (isAllocated ?brokenObj_22_ after_1135_51_1135_51)) (not (= ?brokenObj_22_ null))) (and (<= 0 ?v_159) (<= ?v_159 (arrayLength (S_select text_240_19_2_ ?brokenObj_22_)))))))) (not (forall ((?brokenObj_23_ Int)) (=> (and (= true_term (is ?brokenObj_23_ T_javafe_parser_Lex)) (= true_term (isAllocated ?brokenObj_23_ after_1135_51_1135_51)) (not (= ?brokenObj_23_ null))) (not (= (S_select text_240_19_2_ ?brokenObj_23_) null)))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
