(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_lang_Character () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_javafe_util_FileCorrelatedReader () Int)
(declare-fun T_javafe_util_LocationManagerCorrelatedReader () Int)
(declare-fun T_javafe_ast_StmtPragma () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_parser_test_TestLex () Int)
(declare-fun T_javafe_parser_PragmaParser () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_parser_Lex () Int)
(declare-fun T_javafe_parser_Token () Int)
(declare-fun T_javafe_ast_PrettyPrint () Int)
(declare-fun T_javafe_ast_TypeDeclElemPragma () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_util_BufferedCorrelatedReader () Int)
(declare-fun T_javafe_util_CorrelatedReader () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_util_Random () Int)
(declare-fun T_javafe_parser_test_LexTestLexPrag () Int)
(declare-fun T_javafe_ast_LexicalPragma () Int)
(declare-fun T_javafe_ast_TypeModifierPragma () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_lang_Double () Int)
(declare-fun T_javafe_parser_test_LexTestModPrag () Int)
(declare-fun T_javafe_ast_ModifierPragma () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_lang_Long () Int)
(declare-fun T_javafe_parser_test_LexTestStmtPrag () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_java_lang_Float () Int)
(declare-fun T_java_io_InputStream () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_javafe_parser_test_LexTestTDEPrag () Int)
(declare-fun T_javafe_util_ErrorSet () Int)
(declare-fun T_javafe_ast_LexicalPragmaVec () Int)
(declare-fun T_javafe_parser_PunctuationPrefixTree () Int)
(declare-fun T_java_lang_Math () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun LEXICAL_96_34 () Int)
(declare-fun STRINGLIT_29_44_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_28_27_26 () Int)
(declare-fun IMPLIES_94_27 () Int)
(declare-fun NULL_28_82_26 () Int)
(declare-fun LONGLIT_29_40_26 () Int)
(declare-fun out_11_83_49 () Int)
(declare-fun TDE_99_34 () Int)
(declare-fun SEMICOLON_28_34_26 () Int)
(declare-fun DOUBLELIT_29_43_26 () Int)
(declare-fun STMTPRAGMA_28_26_26 () Int)
(declare-fun keywordStrings_28_181_30 () Int)
(declare-fun err_11_97_50 () Int)
(declare-fun otherCodes_28_202_27 () Int)
(declare-fun otherStrings_28_193_30 () Int)
(declare-fun MODIFIER_97_34 () Int)
(declare-fun INTLIT_29_39_26 () Int)
(declare-fun noTokens_28_212_27 () Int)
(declare-fun FLOATLIT_29_42_26 () Int)
(declare-fun in_11_56_50 () Int)
(declare-fun NULL_48_60_26 () Int)
(declare-fun MODIFIERPRAGMA_28_25_26 () Int)
(declare-fun punctuationStrings_28_134_22 () Int)
(declare-fun SUBTYPE_95_27 () Int)
(declare-fun FIRST_KEYWORD_28_51_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_28_28_26 () Int)
(declare-fun BOOLEANLIT_29_38_26 () Int)
(declare-fun EOF_28_17_26 () Int)
(declare-fun STATEMENT_98_34 () Int)
(declare-fun LAST_KEYWORD_28_103_26 () Int)
(declare-fun CHARLIT_29_41_26 () Int)
(declare-fun IDENT_29_25_26 () Int)
(declare-fun punctuationCodes_28_164_19 () Int)
(declare-fun LEXICALPRAGMA_28_24_26 () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int))) (and (= (PO_LT T_java_lang_Character T_java_lang_Object) true_term) (= T_java_lang_Character (asChild T_java_lang_Character T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Character) true_term) (= ?t T_java_lang_Character))) (= (PO_LT T_java_lang_Character T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Character T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_util_FileCorrelatedReader T_javafe_util_LocationManagerCorrelatedReader) true_term) (= T_javafe_util_FileCorrelatedReader (asChild T_javafe_util_FileCorrelatedReader T_javafe_util_LocationManagerCorrelatedReader)) (= (PO_LT T_javafe_ast_StmtPragma T_javafe_ast_Stmt) true_term) (= T_javafe_ast_StmtPragma (asChild T_javafe_ast_StmtPragma T_javafe_ast_Stmt)) (= (PO_LT T_javafe_parser_test_TestLex T_java_lang_Object) true_term) (= T_javafe_parser_test_TestLex (asChild T_javafe_parser_test_TestLex T_java_lang_Object)) (= (PO_LT T_javafe_parser_test_TestLex T_javafe_parser_PragmaParser) true_term) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_parser_Lex T_javafe_parser_Token) true_term) (= T_javafe_parser_Lex (asChild T_javafe_parser_Lex T_javafe_parser_Token)) (= (PO_LT T_javafe_ast_PrettyPrint T_java_lang_Object) true_term) (= T_javafe_ast_PrettyPrint (asChild T_javafe_ast_PrettyPrint T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeDeclElemPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDeclElemPragma (asChild T_javafe_ast_TypeDeclElemPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDeclElemPragma T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_util_BufferedCorrelatedReader T_javafe_util_CorrelatedReader) true_term) (= T_javafe_util_BufferedCorrelatedReader (asChild T_javafe_util_BufferedCorrelatedReader T_javafe_util_CorrelatedReader)) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_util_Random T_java_lang_Object) true_term) (= T_java_util_Random (asChild T_java_util_Random T_java_lang_Object)) (= (PO_LT T_java_util_Random T_java_io_Serializable) true_term) (= (PO_LT T_javafe_parser_test_LexTestLexPrag T_javafe_ast_LexicalPragma) true_term) (= T_javafe_parser_test_LexTestLexPrag (asChild T_javafe_parser_test_LexTestLexPrag T_javafe_ast_LexicalPragma)) (= (PO_LT T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeModifierPragma (asChild T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Double T_java_lang_Number) true_term) (= T_java_lang_Double (asChild T_java_lang_Double T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Double) true_term) (= ?t T_java_lang_Double))) (= (PO_LT T_java_lang_Double T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_parser_Token T_java_lang_Object) true_term) (= T_javafe_parser_Token (asChild T_javafe_parser_Token T_java_lang_Object)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_parser_test_LexTestModPrag T_javafe_ast_ModifierPragma) true_term) (= T_javafe_parser_test_LexTestModPrag (asChild T_javafe_parser_test_LexTestModPrag T_javafe_ast_ModifierPragma)) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_lang_Long T_java_lang_Number) true_term) (= T_java_lang_Long (asChild T_java_lang_Long T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Long) true_term) (= ?t T_java_lang_Long))) (= (PO_LT T_java_lang_Long T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_javafe_parser_PragmaParser T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_javafe_parser_test_LexTestStmtPrag T_javafe_ast_StmtPragma) true_term) (= T_javafe_parser_test_LexTestStmtPrag (asChild T_javafe_parser_test_LexTestStmtPrag T_javafe_ast_StmtPragma)) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ModifierPragma (asChild T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_LexicalPragma (asChild T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode)) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Float T_java_lang_Number) true_term) (= T_java_lang_Float (asChild T_java_lang_Float T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Float) true_term) (= ?t T_java_lang_Float))) (= (PO_LT T_java_lang_Float T_java_lang_Comparable) true_term) (= (PO_LT T_java_io_InputStream T_java_lang_Object) true_term) (= T_java_io_InputStream (asChild T_java_io_InputStream T_java_lang_Object)) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_CorrelatedReader T_java_lang_Object) true_term) (= T_javafe_util_CorrelatedReader (asChild T_javafe_util_CorrelatedReader T_java_lang_Object)) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_javafe_parser_test_LexTestTDEPrag T_javafe_ast_TypeDeclElemPragma) true_term) (= T_javafe_parser_test_LexTestTDEPrag (asChild T_javafe_parser_test_LexTestTDEPrag T_javafe_ast_TypeDeclElemPragma)) (= (PO_LT T_javafe_util_ErrorSet T_java_lang_Object) true_term) (= T_javafe_util_ErrorSet (asChild T_javafe_util_ErrorSet T_java_lang_Object)) (= (PO_LT T_javafe_ast_LexicalPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_LexicalPragmaVec (asChild T_javafe_ast_LexicalPragmaVec T_java_lang_Object)) (= (PO_LT T_javafe_util_LocationManagerCorrelatedReader T_javafe_util_BufferedCorrelatedReader) true_term) (= T_javafe_util_LocationManagerCorrelatedReader (asChild T_javafe_util_LocationManagerCorrelatedReader T_javafe_util_BufferedCorrelatedReader)) (= (PO_LT T_javafe_parser_PunctuationPrefixTree T_java_lang_Object) true_term) (= T_javafe_parser_PunctuationPrefixTree (asChild T_javafe_parser_PunctuationPrefixTree T_java_lang_Object)) (= (PO_LT T_java_lang_Math T_java_lang_Object) true_term) (= T_java_lang_Math (asChild T_java_lang_Math T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Math) true_term) (= ?t T_java_lang_Math))) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_lang_Character (+ DIST_ZERO_1 10)) (= T_java_lang_Integer (+ DIST_ZERO_1 11)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 12)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 13)) (= T_java_lang_String (+ DIST_ZERO_1 14)) (= T_java_util_Vector (+ DIST_ZERO_1 15)) (= T_java_util_Properties (+ DIST_ZERO_1 16)) (= T_javafe_util_FileCorrelatedReader (+ DIST_ZERO_1 17)) (= T_javafe_ast_StmtPragma (+ DIST_ZERO_1 18)) (= T_javafe_parser_test_TestLex (+ DIST_ZERO_1 19)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 20)) (= T_javafe_parser_Lex (+ DIST_ZERO_1 21)) (= T_javafe_ast_PrettyPrint (+ DIST_ZERO_1 22)) (= T_javafe_ast_TypeDeclElemPragma (+ DIST_ZERO_1 23)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 24)) (= T_java_lang_Object (+ DIST_ZERO_1 25)) (= T_java_lang_Exception (+ DIST_ZERO_1 26)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 27)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 28)) (= T_javafe_util_BufferedCorrelatedReader (+ DIST_ZERO_1 29)) (= T_javafe_util_Assert (+ DIST_ZERO_1 30)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 31)) (= T_java_util_Map (+ DIST_ZERO_1 32)) (= T_java_util_Random (+ DIST_ZERO_1 33)) (= T_javafe_parser_test_LexTestLexPrag (+ DIST_ZERO_1 34)) (= T_javafe_ast_TypeModifierPragma (+ DIST_ZERO_1 35)) (= T_javafe_util_Location (+ DIST_ZERO_1 36)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 37)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 38)) (= T_java_util_Dictionary (+ DIST_ZERO_1 39)) (= T_java_lang_Throwable (+ DIST_ZERO_1 40)) (= T_java_lang_Double (+ DIST_ZERO_1 41)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 42)) (= T_java_util_Hashtable (+ DIST_ZERO_1 43)) (= T_javafe_parser_Token (+ DIST_ZERO_1 44)) (= T_java_lang_Comparable (+ DIST_ZERO_1 45)) (= T_javafe_parser_test_LexTestModPrag (+ DIST_ZERO_1 46)) (= T_java_io_OutputStream (+ DIST_ZERO_1 47)) (= T_java_lang_Long (+ DIST_ZERO_1 48)) (= T_java_lang_Number (+ DIST_ZERO_1 49)) (= T_javafe_parser_PragmaParser (+ DIST_ZERO_1 50)) (= T_java_util_List (+ DIST_ZERO_1 51)) (= T_javafe_parser_test_LexTestStmtPrag (+ DIST_ZERO_1 52)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 53)) (= T_javafe_ast_ModifierPragma (+ DIST_ZERO_1 54)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 55)) (= T_java_io_IOException (+ DIST_ZERO_1 56)) (= T_javafe_ast_LexicalPragma (+ DIST_ZERO_1 57)) (= T_java_util_AbstractList (+ DIST_ZERO_1 58)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 59)) (= T_java_io_Serializable (+ DIST_ZERO_1 60)) (= T_java_lang_Float (+ DIST_ZERO_1 61)) (= T_java_io_InputStream (+ DIST_ZERO_1 62)) (= T_java_util_Collection (+ DIST_ZERO_1 63)) (= T_javafe_util_CorrelatedReader (+ DIST_ZERO_1 64)) (= T_java_lang_System (+ DIST_ZERO_1 65)) (= T_javafe_parser_test_LexTestTDEPrag (+ DIST_ZERO_1 66)) (= T_javafe_util_ErrorSet (+ DIST_ZERO_1 67)) (= T_javafe_ast_LexicalPragmaVec (+ DIST_ZERO_1 68)) (= T_javafe_util_LocationManagerCorrelatedReader (+ DIST_ZERO_1 69)) (= T_javafe_parser_PunctuationPrefixTree (+ DIST_ZERO_1 70)) (= T_java_lang_Math (+ DIST_ZERO_1 71)) (= T_java_io_PrintStream (+ DIST_ZERO_1 72))) (= true_term (is LEXICAL_96_34 T_javafe_ast_Identifier)) (= true_term (is STRINGLIT_29_44_26 T_int)) (= STRINGLIT_29_44_26 110) (= true_term (is TYPEDECLELEMPRAGMA_28_27_26 T_int)) (= TYPEDECLELEMPRAGMA_28_27_26 117) (= true_term (is IMPLIES_94_27 T_int)) (= IMPLIES_94_27 49152) (= true_term (is NULL_28_82_26 T_int)) (= NULL_28_82_26 163) (= true_term (is LONGLIT_29_40_26 T_int)) (= LONGLIT_29_40_26 106) (= true_term (is out_11_83_49 T_java_io_PrintStream)) (= true_term (is TDE_99_34 T_javafe_ast_Identifier)) (= true_term (is SEMICOLON_28_34_26 T_int)) (= SEMICOLON_28_34_26 121) (= true_term (is DOUBLELIT_29_43_26 T_int)) (= DOUBLELIT_29_43_26 109) (= true_term (is STMTPRAGMA_28_26_26 T_int)) (= STMTPRAGMA_28_26_26 116) (= true_term (is keywordStrings_28_181_30 ?v_0)) (not (= keywordStrings_28_181_30 null)) (= (typeof keywordStrings_28_181_30) ?v_0) (= (arrayLength keywordStrings_28_181_30) 51) (= true_term (is err_11_97_50 T_java_io_PrintStream)) (= true_term (is otherCodes_28_202_27 ?v_1)) (not (= otherCodes_28_202_27 null)) (= (typeof otherCodes_28_202_27) ?v_1) (= (arrayLength otherCodes_28_202_27) 15) (= true_term (is otherStrings_28_193_30 ?v_0)) (not (= otherStrings_28_193_30 null)) (= (typeof otherStrings_28_193_30) ?v_0) (= (arrayLength otherStrings_28_193_30) 15) (= true_term (is MODIFIER_97_34 T_javafe_ast_Identifier)) (= true_term (is INTLIT_29_39_26 T_int)) (= INTLIT_29_39_26 105) (= true_term (is noTokens_28_212_27 T_int)) (= true_term (is FLOATLIT_29_42_26 T_int)) (= FLOATLIT_29_42_26 108) (= true_term (is in_11_56_50 T_java_io_InputStream)) (= true_term (is NULL_48_60_26 T_int)) (= NULL_48_60_26 0) (= true_term (is MODIFIERPRAGMA_28_25_26 T_int)) (= MODIFIERPRAGMA_28_25_26 115) (= true_term (is punctuationStrings_28_134_22 ?v_0)) (not (= punctuationStrings_28_134_22 null)) (= (typeof punctuationStrings_28_134_22) ?v_0) (= (arrayLength punctuationStrings_28_134_22) 48) (= true_term (is SUBTYPE_95_27 T_int)) (= SUBTYPE_95_27 49153) (= true_term (is FIRST_KEYWORD_28_51_26 T_int)) (= FIRST_KEYWORD_28_51_26 133) (= true_term (is TYPEMODIFIERPRAGMA_28_28_26 T_int)) (= TYPEMODIFIERPRAGMA_28_28_26 118) (= true_term (is BOOLEANLIT_29_38_26 T_int)) (= BOOLEANLIT_29_38_26 104) (= true_term (is EOF_28_17_26 T_int)) (= EOF_28_17_26 111) (= true_term (is STATEMENT_98_34 T_javafe_ast_Identifier)) (= true_term (is LAST_KEYWORD_28_103_26 T_int)) (= LAST_KEYWORD_28_103_26 183) (= true_term (is CHARLIT_29_41_26 T_int)) (= CHARLIT_29_41_26 107) (= true_term (is IDENT_29_25_26 T_int)) (= IDENT_29_25_26 93) (= true_term (is punctuationCodes_28_164_19 ?v_1)) (not (= punctuationCodes_28_164_19 null)) (= (typeof punctuationCodes_28_164_19) ?v_1) (= (arrayLength punctuationCodes_28_164_19) 48) (= true_term (is LEXICALPRAGMA_28_24_26 T_int)) (= LEXICALPRAGMA_28_24_26 114))))
(declare-fun S_104_21 () Int)
(declare-fun S_103_21 () Int)
(declare-fun startingLoc_pre_19_65_15 () Int)
(declare-fun startingLoc_19_65_15 () Int)
(declare-fun LEXICAL_pre_96_34 () Int)
(declare-fun STRINGLIT_pre_29_44_26 () Int)
(declare-fun loc_pre_92_45_13 () Int)
(declare-fun loc_92_45_13 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_28_27_26 () Int)
(declare-fun IMPLIES_pre_94_27 () Int)
(declare-fun NULL_pre_28_82_26 () Int)
(declare-fun locId_pre_92_48_13 () Int)
(declare-fun locId_92_48_13 () Int)
(declare-fun locOpenBrace_pre_92_51_13 () Int)
(declare-fun locOpenBrace_92_51_13 () Int)
(declare-fun locCloseBrace_pre_92_54_13 () Int)
(declare-fun locCloseBrace_92_54_13 () Int)
(declare-fun fakeLoc_pre_170_20 () Int)
(declare-fun fakeLoc_170_20 () Int)
(declare-fun elements_pre_34_61_42 () Int)
(declare-fun elements_34_61_42 () Int)
(declare-fun m_in_pre_18_212_46 () Int)
(declare-fun m_in_18_212_46 () Int)
(declare-fun LONGLIT_pre_29_40_26 () Int)
(declare-fun errors_pre_39_81_22 () Int)
(declare-fun errors_39_81_22 () Int)
(declare-fun out_pre_11_83_49 () Int)
(declare-fun TDE_pre_99_34 () Int)
(declare-fun SEMICOLON_pre_28_34_26 () Int)
(declare-fun auxVal_pre_19_127_18 () Int)
(declare-fun auxVal_19_127_18 () Int)
(declare-fun DOUBLELIT_pre_29_43_26 () Int)
(declare-fun STMTPRAGMA_pre_28_26_26 () Int)
(declare-fun keywordStrings_pre_28_181_30 () Int)
(declare-fun err_pre_11_97_50 () Int)
(declare-fun inst_pre_32_29_44 () Int)
(declare-fun inst_32_29_44 () Int)
(declare-fun otherCodes_pre_28_202_27 () Int)
(declare-fun otherStrings_pre_28_193_30 () Int)
(declare-fun MODIFIER_pre_97_34 () Int)
(declare-fun l_pre_92_45 () Int)
(declare-fun l_92_45 () Int)
(declare-fun owner_pre_5_35_28 () Int)
(declare-fun owner_5_35_28 () Int)
(declare-fun identifierVal_pre_19_80_22 () Int)
(declare-fun identifierVal_19_80_22 () Int)
(declare-fun INTLIT_pre_29_39_26 () Int)
(declare-fun noTokens_pre_28_212_27 () Int)
(declare-fun FLOATLIT_pre_29_42_26 () Int)
(declare-fun in_pre_11_56_50 () Int)
(declare-fun NULL_pre_48_60_26 () Int)
(declare-fun MODIFIERPRAGMA_pre_28_25_26 () Int)
(declare-fun punctuationStrings_pre_28_134_22 () Int)
(declare-fun SUBTYPE_pre_95_27 () Int)
(declare-fun FIRST_KEYWORD_pre_28_51_26 () Int)
(declare-fun count_pre_34_67_33 () Int)
(declare-fun count_34_67_33 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_28_28_26 () Int)
(declare-fun BOOLEANLIT_pre_29_38_26 () Int)
(declare-fun ttype_pre_19_52_15 () Int)
(declare-fun ttype_19_52_15 () Int)
(declare-fun EOF_pre_28_17_26 () Int)
(declare-fun code_pre_18_1294_15 () Int)
(declare-fun code_18_1294_15 () Int)
(declare-fun tokenType_pre_35_90_8 () Int)
(declare-fun tokenType_35_90_8 () Int)
(declare-fun STATEMENT_pre_98_34 () Int)
(declare-fun LAST_KEYWORD_pre_28_103_26 () Int)
(declare-fun endingLoc_pre_19_72_15 () Int)
(declare-fun endingLoc_19_72_15 () Int)
(declare-fun CHARLIT_pre_29_41_26 () Int)
(declare-fun IDENT_pre_29_25_26 () Int)
(declare-fun punctuationCodes_pre_28_164_19 () Int)
(declare-fun LEXICALPRAGMA_pre_28_24_26 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun objectToBeConstructed () Int)
(declare-fun after_101_19_101_19 () Int)
(declare-fun RES_101_19_101_19 () Int)
(declare-fun EC_101_19_101_19 () Int)
(declare-fun ecReturn () Int)
(declare-fun l_92_45_1_ () Int)
(declare-fun l_zero () Int)
(declare-fun after_102_8_102_8 () Int)
(declare-fun RES_102_8_102_8 () Int)
(declare-fun EC_102_8_102_8 () Int)
(declare-fun l_102_4 () Int)
(declare-fun tmp0_l_103_4 () Int)
(declare-fun EC_103_6_103_6 () Int)
(declare-fun tmp1_l_104_4 () Int)
(declare-fun EC_104_6_104_6 () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int)) (?v_3 (arrayLength keywordStrings_28_181_30)) (?v_5 (arrayLength otherStrings_28_193_30)) (?v_4 (arrayLength punctuationStrings_28_134_22)) (?v_26 (not (= S_104_21 null))) (?v_9 (not (= S_103_21 null))) (?v_2 (S_select owner_5_35_28 punctuationCodes_28_164_19)) (?v_40 (not (= true_term (isAllocated objectToBeConstructed alloc)))) (?v_41 (< alloc after_101_19_101_19)) (?v_42 (not (= RES_101_19_101_19 null))) (?v_43 (not (= true_term (isAllocated RES_101_19_101_19 alloc)))) (?v_44 (= true_term (is RES_101_19_101_19 T_java_lang_Object))) (?v_45 (= true_term (isAllocated RES_101_19_101_19 after_101_19_101_19))) (?v_46 (= EC_101_19_101_19 ecReturn)) (?v_47 (= (S_select owner_5_35_28 RES_101_19_101_19) null)) (?v_48 (= (PO_LT (typeof RES_101_19_101_19) T_javafe_parser_test_TestLex) true_term)) (?v_49 (= objectToBeConstructed RES_101_19_101_19)) (?v_50 (= l_92_45_1_ (S_store l_92_45 RES_101_19_101_19 l_zero))) (?v_51 (< after_101_19_101_19 after_102_8_102_8)) (?v_7 (not (= RES_102_8_102_8 null))) (?v_52 (not (= true_term (isAllocated RES_102_8_102_8 after_101_19_101_19)))) (?v_53 (= true_term (is RES_102_8_102_8 T_javafe_parser_Lex))) (?v_54 (= true_term (isAllocated RES_102_8_102_8 after_102_8_102_8))) (?v_6 (= EC_102_8_102_8 ecReturn)) (?v_55 (= (S_select owner_5_35_28 RES_102_8_102_8) null))) (let ((?v_56 (=> ?v_6 (= (S_select m_in_18_212_46 RES_102_8_102_8) null))) (?v_57 (= (typeof RES_102_8_102_8) T_javafe_parser_Lex)) (?v_58 (= l_102_4 (S_store l_92_45_1_ RES_101_19_101_19 RES_102_8_102_8))) (?v_24 (S_select l_102_4 RES_101_19_101_19))) (let ((?v_59 (= tmp0_l_103_4 ?v_24)) (?v_8 (not (= tmp0_l_103_4 null))) (?v_10 (not (= IMPLIES_94_27 NULL_28_82_26))) (?v_11 (not (= IMPLIES_94_27 IDENT_29_25_26))) (?v_12 (not (= IMPLIES_94_27 BOOLEANLIT_29_38_26))) (?v_13 (not (= IMPLIES_94_27 INTLIT_29_39_26))) (?v_14 (not (= IMPLIES_94_27 LONGLIT_29_40_26))) (?v_15 (not (= IMPLIES_94_27 FLOATLIT_29_42_26))) (?v_16 (not (= IMPLIES_94_27 DOUBLELIT_29_43_26))) (?v_17 (not (= IMPLIES_94_27 STRINGLIT_29_44_26))) (?v_18 (not (= IMPLIES_94_27 CHARLIT_29_41_26))) (?v_19 (not (= IMPLIES_94_27 LEXICALPRAGMA_28_24_26))) (?v_20 (not (= IMPLIES_94_27 MODIFIERPRAGMA_28_25_26))) (?v_21 (not (= IMPLIES_94_27 STMTPRAGMA_28_26_26))) (?v_22 (not (= IMPLIES_94_27 TYPEDECLELEMPRAGMA_28_27_26))) (?v_23 (not (= IMPLIES_94_27 TYPEMODIFIERPRAGMA_28_28_26))) (?v_60 (= EC_103_6_103_6 ecReturn)) (?v_61 (= tmp1_l_104_4 ?v_24)) (?v_25 (not (= tmp1_l_104_4 null))) (?v_27 (not (= SUBTYPE_95_27 NULL_28_82_26))) (?v_28 (not (= SUBTYPE_95_27 IDENT_29_25_26))) (?v_29 (not (= SUBTYPE_95_27 BOOLEANLIT_29_38_26))) (?v_30 (not (= SUBTYPE_95_27 INTLIT_29_39_26))) (?v_31 (not (= SUBTYPE_95_27 LONGLIT_29_40_26))) (?v_32 (not (= SUBTYPE_95_27 FLOATLIT_29_42_26))) (?v_33 (not (= SUBTYPE_95_27 DOUBLELIT_29_43_26))) (?v_34 (not (= SUBTYPE_95_27 STRINGLIT_29_44_26))) (?v_35 (not (= SUBTYPE_95_27 CHARLIT_29_41_26))) (?v_36 (not (= SUBTYPE_95_27 LEXICALPRAGMA_28_24_26))) (?v_37 (not (= SUBTYPE_95_27 MODIFIERPRAGMA_28_25_26))) (?v_38 (not (= SUBTYPE_95_27 STMTPRAGMA_28_26_26))) (?v_39 (not (= SUBTYPE_95_27 TYPEDECLELEMPRAGMA_28_27_26))) (?v_62 (not (= SUBTYPE_95_27 TYPEMODIFIERPRAGMA_28_28_26))) (?v_63 (= ecReturn ecReturn))) (not (=> (and true ?v_26 (= (typeof S_104_21) T_java_lang_String) ?v_9 (= (typeof S_103_21) T_java_lang_String)) (=> (and (= startingLoc_pre_19_65_15 startingLoc_19_65_15) (= startingLoc_19_65_15 (asField startingLoc_19_65_15 T_int)) (= LEXICAL_pre_96_34 LEXICAL_96_34) (= true_term (is LEXICAL_96_34 T_javafe_ast_Identifier)) (= true_term (isAllocated LEXICAL_96_34 alloc)) (= STRINGLIT_pre_29_44_26 STRINGLIT_29_44_26) (= true_term (is STRINGLIT_29_44_26 T_int)) (= loc_pre_92_45_13 loc_92_45_13) (= loc_92_45_13 (asField loc_92_45_13 T_int)) (= TYPEDECLELEMPRAGMA_pre_28_27_26 TYPEDECLELEMPRAGMA_28_27_26) (= true_term (is TYPEDECLELEMPRAGMA_28_27_26 T_int)) (= IMPLIES_pre_94_27 IMPLIES_94_27) (= true_term (is IMPLIES_94_27 T_int)) (= NULL_pre_28_82_26 NULL_28_82_26) (= true_term (is NULL_28_82_26 T_int)) (= locId_pre_92_48_13 locId_92_48_13) (= locId_92_48_13 (asField locId_92_48_13 T_int)) (= locOpenBrace_pre_92_51_13 locOpenBrace_92_51_13) (= locOpenBrace_92_51_13 (asField locOpenBrace_92_51_13 T_int)) (= locCloseBrace_pre_92_54_13 locCloseBrace_92_54_13) (= locCloseBrace_92_54_13 (asField locCloseBrace_92_54_13 T_int)) (= fakeLoc_pre_170_20 fakeLoc_170_20) (= true_term (is fakeLoc_170_20 T_int)) (= elements_pre_34_61_42 elements_34_61_42) (= elements_34_61_42 (asField elements_34_61_42 (array T_javafe_ast_LexicalPragma))) (< (fClosedTime elements_34_61_42) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select elements_34_61_42 ?s) null)))) (= m_in_pre_18_212_46 m_in_18_212_46) (= m_in_18_212_46 (asField m_in_18_212_46 T_javafe_util_CorrelatedReader)) (< (fClosedTime m_in_18_212_46) alloc) (= LONGLIT_pre_29_40_26 LONGLIT_29_40_26) (= true_term (is LONGLIT_29_40_26 T_int)) (= errors_pre_39_81_22 errors_39_81_22) (= true_term (is errors_39_81_22 T_int)) (= out_pre_11_83_49 out_11_83_49) (= true_term (is out_11_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_11_83_49 alloc)) (not (= out_11_83_49 null)) (= TDE_pre_99_34 TDE_99_34) (= true_term (is TDE_99_34 T_javafe_ast_Identifier)) (= true_term (isAllocated TDE_99_34 alloc)) (= SEMICOLON_pre_28_34_26 SEMICOLON_28_34_26) (= true_term (is SEMICOLON_28_34_26 T_int)) (= auxVal_pre_19_127_18 auxVal_19_127_18) (= auxVal_19_127_18 (asField auxVal_19_127_18 T_java_lang_Object)) (< (fClosedTime auxVal_19_127_18) alloc) (= DOUBLELIT_pre_29_43_26 DOUBLELIT_29_43_26) (= true_term (is DOUBLELIT_29_43_26 T_int)) (= STMTPRAGMA_pre_28_26_26 STMTPRAGMA_28_26_26) (= true_term (is STMTPRAGMA_28_26_26 T_int)) (= keywordStrings_pre_28_181_30 keywordStrings_28_181_30) (= true_term (is keywordStrings_28_181_30 ?v_0)) (= true_term (isAllocated keywordStrings_28_181_30 alloc)) (= err_pre_11_97_50 err_11_97_50) (= true_term (is err_11_97_50 T_java_io_PrintStream)) (= true_term (isAllocated err_11_97_50 alloc)) (not (= err_11_97_50 null)) (= inst_pre_32_29_44 inst_32_29_44) (= true_term (is inst_32_29_44 T_javafe_ast_PrettyPrint)) (= true_term (isAllocated inst_32_29_44 alloc)) (not (= inst_32_29_44 null)) (= otherCodes_pre_28_202_27 otherCodes_28_202_27) (= true_term (is otherCodes_28_202_27 ?v_1)) (= true_term (isAllocated otherCodes_28_202_27 alloc)) (= otherStrings_pre_28_193_30 otherStrings_28_193_30) (= true_term (is otherStrings_28_193_30 ?v_0)) (= true_term (isAllocated otherStrings_28_193_30 alloc)) (= MODIFIER_pre_97_34 MODIFIER_97_34) (= true_term (is MODIFIER_97_34 T_javafe_ast_Identifier)) (= true_term (isAllocated MODIFIER_97_34 alloc)) (= l_pre_92_45 l_92_45) (= l_92_45 (asField l_92_45 T_javafe_parser_Lex)) (< (fClosedTime l_92_45) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select l_92_45 ?s_1_) null)))) (= owner_pre_5_35_28 owner_5_35_28) (= owner_5_35_28 (asField owner_5_35_28 T_java_lang_Object)) (< (fClosedTime owner_5_35_28) alloc) (= identifierVal_pre_19_80_22 identifierVal_19_80_22) (= identifierVal_19_80_22 (asField identifierVal_19_80_22 T_javafe_ast_Identifier)) (< (fClosedTime identifierVal_19_80_22) alloc) (= INTLIT_pre_29_39_26 INTLIT_29_39_26) (= true_term (is INTLIT_29_39_26 T_int)) (= noTokens_pre_28_212_27 noTokens_28_212_27) (= true_term (is noTokens_28_212_27 T_int)) (= FLOATLIT_pre_29_42_26 FLOATLIT_29_42_26) (= true_term (is FLOATLIT_29_42_26 T_int)) (= in_pre_11_56_50 in_11_56_50) (= true_term (is in_11_56_50 T_java_io_InputStream)) (= true_term (isAllocated in_11_56_50 alloc)) (not (= in_11_56_50 null)) (= NULL_pre_48_60_26 NULL_48_60_26) (= true_term (is NULL_48_60_26 T_int)) (= MODIFIERPRAGMA_pre_28_25_26 MODIFIERPRAGMA_28_25_26) (= true_term (is MODIFIERPRAGMA_28_25_26 T_int)) (= punctuationStrings_pre_28_134_22 punctuationStrings_28_134_22) (= true_term (is punctuationStrings_28_134_22 ?v_0)) (= true_term (isAllocated punctuationStrings_28_134_22 alloc)) (= SUBTYPE_pre_95_27 SUBTYPE_95_27) (= true_term (is SUBTYPE_95_27 T_int)) (= FIRST_KEYWORD_pre_28_51_26 FIRST_KEYWORD_28_51_26) (= true_term (is FIRST_KEYWORD_28_51_26 T_int)) (= count_pre_34_67_33 count_34_67_33) (= count_34_67_33 (asField count_34_67_33 T_int)) (= TYPEMODIFIERPRAGMA_pre_28_28_26 TYPEMODIFIERPRAGMA_28_28_26) (= true_term (is TYPEMODIFIERPRAGMA_28_28_26 T_int)) (= BOOLEANLIT_pre_29_38_26 BOOLEANLIT_29_38_26) (= true_term (is BOOLEANLIT_29_38_26 T_int)) (= ttype_pre_19_52_15 ttype_19_52_15) (= ttype_19_52_15 (asField ttype_19_52_15 T_int)) (= EOF_pre_28_17_26 EOF_28_17_26) (= true_term (is EOF_28_17_26 T_int)) (= code_pre_18_1294_15 code_18_1294_15) (= code_18_1294_15 (asField code_18_1294_15 T_int)) (= tokenType_pre_35_90_8 tokenType_35_90_8) (= tokenType_35_90_8 (asField tokenType_35_90_8 T_int)) (= STATEMENT_pre_98_34 STATEMENT_98_34) (= true_term (is STATEMENT_98_34 T_javafe_ast_Identifier)) (= true_term (isAllocated STATEMENT_98_34 alloc)) (= LAST_KEYWORD_pre_28_103_26 LAST_KEYWORD_28_103_26) (= true_term (is LAST_KEYWORD_28_103_26 T_int)) (= endingLoc_pre_19_72_15 endingLoc_19_72_15) (= endingLoc_19_72_15 (asField endingLoc_19_72_15 T_int)) (= CHARLIT_pre_29_41_26 CHARLIT_29_41_26) (= true_term (is CHARLIT_29_41_26 T_int)) (= IDENT_pre_29_25_26 IDENT_29_25_26) (= true_term (is IDENT_29_25_26 T_int)) (= punctuationCodes_pre_28_164_19 punctuationCodes_28_164_19) (= true_term (is punctuationCodes_28_164_19 ?v_1)) (= true_term (isAllocated punctuationCodes_28_164_19 alloc)) (= LEXICALPRAGMA_pre_28_24_26 LEXICALPRAGMA_28_24_26) (= true_term (is LEXICALPRAGMA_28_24_26 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_parser_Token)) (not (= ?brokenObj null))) (not (= (S_select startingLoc_19_65_15 ?brokenObj) NULL_48_60_26)))) (forall ((?i_28_149_29 Int)) (let ((?v_64 (S_select (S_select elems punctuationCodes_28_164_19) ?i_28_149_29))) (=> (and (<= 0 ?i_28_149_29) (<= ?i_28_149_29 (arrayLength punctuationCodes_28_164_19))) (and (not (= ?v_64 IDENT_29_25_26)) (not (= ?v_64 BOOLEANLIT_29_38_26)) (not (= ?v_64 INTLIT_29_39_26)) (not (= ?v_64 LONGLIT_29_40_26)) (not (= ?v_64 FLOATLIT_29_42_26)) (not (= ?v_64 DOUBLELIT_29_43_26)) (not (= ?v_64 STRINGLIT_29_44_26)) (not (= ?v_64 CHARLIT_29_41_26)) (not (= ?v_64 LEXICALPRAGMA_28_24_26)) (not (= ?v_64 MODIFIERPRAGMA_28_25_26)) (not (= ?v_64 STMTPRAGMA_28_26_26)) (not (= ?v_64 TYPEDECLELEMPRAGMA_28_27_26)) (not (= ?v_64 TYPEMODIFIERPRAGMA_28_28_26)))))) (forall ((?brokenObj_1_ Int)) (let ((?v_65 (S_select ttype_19_52_15 ?brokenObj_1_)) (?v_66 (S_select auxVal_19_127_18 ?brokenObj_1_))) (let ((?v_67 (not (= ?v_66 null)))) (let ((?v_68 (and (= true_term (is ?v_66 T_java_lang_Integer)) ?v_67))) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_parser_Token)) (not (= ?brokenObj_1_ null))) (and (not (= ?v_65 BOOLEANLIT_29_38_26)) (=> (= ?v_65 INTLIT_29_39_26) ?v_68) (=> (= ?v_65 LONGLIT_29_40_26) (and (= true_term (is ?v_66 T_java_lang_Long)) ?v_67)) (=> (= ?v_65 FLOATLIT_29_42_26) (and (= true_term (is ?v_66 T_java_lang_Float)) ?v_67)) (=> (= ?v_65 DOUBLELIT_29_43_26) (and (= true_term (is ?v_66 T_java_lang_Double)) ?v_67)) (=> (= ?v_65 STRINGLIT_29_44_26) (and (= true_term (is ?v_66 T_java_lang_String)) ?v_67)) (=> (= ?v_65 CHARLIT_29_41_26) ?v_68) (=> (= ?v_65 LEXICALPRAGMA_28_24_26) (and (= true_term (is ?v_66 T_javafe_ast_LexicalPragma)) ?v_67)) (=> (= ?v_65 MODIFIERPRAGMA_28_25_26) (and (= true_term (is ?v_66 T_javafe_ast_ModifierPragma)) ?v_67)) (=> (= ?v_65 STMTPRAGMA_28_26_26) (and (= true_term (is ?v_66 T_javafe_ast_StmtPragma)) ?v_67)) (=> (= ?v_65 TYPEDECLELEMPRAGMA_28_27_26) (and (= true_term (is ?v_66 T_javafe_ast_TypeDeclElemPragma)) ?v_67)) (=> (= ?v_65 TYPEMODIFIERPRAGMA_28_28_26) (and (= true_term (is ?v_66 T_javafe_ast_TypeModifierPragma)) ?v_67)))))))) (forall ((?i_28_147_29 Int)) (=> (and (<= 0 ?i_28_147_29) (<= ?i_28_147_29 (arrayLength punctuationCodes_28_164_19))) (not (= (S_select (S_select elems punctuationCodes_28_164_19) ?i_28_147_29) NULL_28_82_26)))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_2_ null))) (not (= (S_select loc_92_45_13 ?brokenObj_2_) NULL_48_60_26)))) (forall ((?brokenObj_3_ Int)) (let ((?v_69 (S_select tokenType_35_90_8 ?brokenObj_3_))) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_ast_Identifier)) (not (= ?brokenObj_3_ null))) (and (not (= ?v_69 BOOLEANLIT_29_38_26)) (not (= ?v_69 INTLIT_29_39_26)) (not (= ?v_69 LONGLIT_29_40_26)) (not (= ?v_69 FLOATLIT_29_42_26)) (not (= ?v_69 DOUBLELIT_29_43_26)) (not (= ?v_69 STRINGLIT_29_44_26)) (not (= ?v_69 CHARLIT_29_41_26)) (not (= ?v_69 LEXICALPRAGMA_28_24_26)) (not (= ?v_69 MODIFIERPRAGMA_28_25_26)) (not (= ?v_69 STMTPRAGMA_28_26_26)) (not (= ?v_69 TYPEDECLELEMPRAGMA_28_27_26)) (not (= ?v_69 TYPEMODIFIERPRAGMA_28_28_26)))))) (= (arrayLength otherCodes_28_202_27) ?v_5) (= true_term (nonnullelements keywordStrings_28_181_30 elems)) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_4_ null))) (not (= (S_select locCloseBrace_92_54_13 ?brokenObj_4_) NULL_48_60_26)))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_5_ null))) (not (= (S_select locOpenBrace_92_51_13 ?brokenObj_5_) NULL_48_60_26)))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_6_ null))) (not (= (S_select locId_92_48_13 ?brokenObj_6_) NULL_48_60_26)))) (= (arrayLength punctuationCodes_28_164_19) ?v_4) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_parser_Token)) (not (= ?brokenObj_7_ null))) (not (= (S_select endingLoc_19_72_15 ?brokenObj_7_) NULL_48_60_26)))) (= true_term (nonnullelements otherStrings_28_193_30 elems)) (= true_term (is ?v_2 T_javafe_parser_TagConstants)) (not (= ?v_2 null)) (= true_term (nonnullelements punctuationStrings_28_134_22 elems)) (= ?v_3 (- (+ 1 LAST_KEYWORD_28_103_26) FIRST_KEYWORD_28_51_26)) (= noTokens_28_212_27 (+ (+ ?v_3 ?v_4) ?v_5)) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_parser_Token)) (not (= ?brokenObj_8_ null)) (= (S_select ttype_19_52_15 ?brokenObj_8_) IDENT_29_25_26)) (not (= (S_select identifierVal_19_80_22 ?brokenObj_8_) null)))) (not (= fakeLoc_170_20 NULL_48_60_26)) (forall ((?brokenObj_9_ Int)) (let ((?v_70 (S_select code_18_1294_15 ?brokenObj_9_))) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_parser_PunctuationPrefixTree)) (not (= ?brokenObj_9_ null))) (and (not (= ?v_70 IDENT_29_25_26)) (not (= ?v_70 BOOLEANLIT_29_38_26)) (not (= ?v_70 INTLIT_29_39_26)) (not (= ?v_70 LONGLIT_29_40_26)) (not (= ?v_70 FLOATLIT_29_42_26)) (not (= ?v_70 DOUBLELIT_29_43_26)) (not (= ?v_70 STRINGLIT_29_44_26)) (not (= ?v_70 CHARLIT_29_41_26)) (not (= ?v_70 LEXICALPRAGMA_28_24_26)) (not (= ?v_70 MODIFIERPRAGMA_28_25_26)) (not (= ?v_70 STMTPRAGMA_28_26_26)) (not (= ?v_70 TYPEDECLELEMPRAGMA_28_27_26)) (not (= ?v_70 TYPEMODIFIERPRAGMA_28_28_26)))))) (or (and ?v_40 ?v_41 ?v_42 ?v_43 ?v_44 ?v_45 ?v_46 ?v_47 ?v_48 ?v_49 ?v_50 ?v_51 ?v_7 ?v_52 ?v_53 ?v_54 ?v_6 ?v_55 ?v_56 ?v_57 (or (not ?v_7) (and ?v_7 ?v_58 ?v_59 (or (not ?v_8) (and ?v_8 (or (not ?v_9) (and ?v_9 (or (not ?v_10) (and ?v_10 (or (not ?v_11) (and ?v_11 (or (not ?v_12) (and ?v_12 (or (not ?v_13) (and ?v_13 (or (not ?v_14) (and ?v_14 (or (not ?v_15) (and ?v_15 (or (not ?v_16) (and ?v_16 (or (not ?v_17) (and ?v_17 (or (not ?v_18) (and ?v_18 (or (not ?v_19) (and ?v_19 (or (not ?v_20) (and ?v_20 (or (not ?v_21) (and ?v_21 (or (not ?v_22) (and ?v_22 (not ?v_23)))))))))))))))))))))))))))) (and ?v_9 ?v_10 ?v_11 ?v_12 ?v_13 ?v_14 ?v_15 ?v_16 ?v_17 ?v_18 ?v_19 ?v_20 ?v_21 ?v_22 ?v_23 ?v_60 ?v_61 (or (not ?v_25) (and ?v_25 (or (not ?v_26) (and ?v_26 (or (not ?v_27) (and ?v_27 (or (not ?v_28) (and ?v_28 (or (not ?v_29) (and ?v_29 (or (not ?v_30) (and ?v_30 (or (not ?v_31) (and ?v_31 (or (not ?v_32) (and ?v_32 (or (not ?v_33) (and ?v_33 (or (not ?v_34) (and ?v_34 (or (not ?v_35) (and ?v_35 (or (not ?v_36) (and ?v_36 (or (not ?v_37) (and ?v_37 (or (not ?v_38) (and ?v_38 (or (not ?v_39) (and ?v_39 (not ?v_62)))))))))))))))))))))))))))))))))))))) (and ?v_40 ?v_41 ?v_42 ?v_43 ?v_44 ?v_45 ?v_46 ?v_47 ?v_48 ?v_49 ?v_50 ?v_51 ?v_7 ?v_52 ?v_53 ?v_54 ?v_6 ?v_55 ?v_56 ?v_57 ?v_7 ?v_58 ?v_59 ?v_8 ?v_9 ?v_10 ?v_11 ?v_12 ?v_13 ?v_14 ?v_15 ?v_16 ?v_17 ?v_18 ?v_19 ?v_20 ?v_21 ?v_22 ?v_23 ?v_60 ?v_61 ?v_25 ?v_26 ?v_27 ?v_28 ?v_29 ?v_30 ?v_31 ?v_32 ?v_33 ?v_34 ?v_35 ?v_36 ?v_37 ?v_38 ?v_39 ?v_62 (= EC_104_6_104_6 ecReturn) (or (not ?v_63) (and ?v_63 (or (not ?v_47) (and ?v_47 (not (=> ?v_63 (not (= ?v_24 null)))))))))))))))))))
(check-sat)
(exit)
