(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_parser_Token () Int)
(declare-fun T_javafe_parser_ParseType () Int)
(declare-fun T_javafe_parser_ParseUtil () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_util_BufferedCorrelatedReader () Int)
(declare-fun T_javafe_util_CorrelatedReader () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_javafe_parser_PragmaParser () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_javafe_parser_Parse () Int)
(declare-fun T_javafe_parser_ParseStmt () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_javafe_util_ErrorSet () Int)
(declare-fun T_javafe_util_FileCorrelatedReader () Int)
(declare-fun T_javafe_util_LocationManagerCorrelatedReader () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_io_FileNotFoundException () Int)
(declare-fun T_javafe_ast_Expr () Int)
(declare-fun T_javafe_ast_VarInit () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_PrettyPrint () Int)
(declare-fun T_javafe_parser_ParseExpr () Int)
(declare-fun T_java_io_FileInputStream () Int)
(declare-fun T_java_io_InputStream () Int)
(declare-fun T_javafe_parser_PunctuationPrefixTree () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_parser_test_MemoryPipeInputStream () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_parser_Lex () Int)
(declare-fun T_javafe_parser_test_MemoryPipeOutputStream () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_parser_test_TestParse () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_javafe_util_StackVector () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun out_13_83_49 () Int)
(declare-fun err_13_97_50 () Int)
(assert (and (= (PO_LT T_javafe_parser_Token T_java_lang_Object) true_term) (= T_javafe_parser_Token (asChild T_javafe_parser_Token T_java_lang_Object)) (= (PO_LT T_javafe_parser_ParseType T_javafe_parser_ParseUtil) true_term) (= T_javafe_parser_ParseType (asChild T_javafe_parser_ParseType T_javafe_parser_ParseUtil)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_util_BufferedCorrelatedReader T_javafe_util_CorrelatedReader) true_term) (= T_javafe_util_BufferedCorrelatedReader (asChild T_javafe_util_BufferedCorrelatedReader T_javafe_util_CorrelatedReader)) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_javafe_parser_PragmaParser T_java_lang_Object) true_term) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_javafe_util_CorrelatedReader T_java_lang_Object) true_term) (= T_javafe_util_CorrelatedReader (asChild T_javafe_util_CorrelatedReader T_java_lang_Object)) (= (PO_LT T_javafe_parser_Parse T_javafe_parser_ParseStmt) true_term) (= T_javafe_parser_Parse (asChild T_javafe_parser_Parse T_javafe_parser_ParseStmt)) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_javafe_util_ErrorSet T_java_lang_Object) true_term) (= T_javafe_util_ErrorSet (asChild T_javafe_util_ErrorSet T_java_lang_Object)) (= (PO_LT T_javafe_util_FileCorrelatedReader T_javafe_util_LocationManagerCorrelatedReader) true_term) (= T_javafe_util_FileCorrelatedReader (asChild T_javafe_util_FileCorrelatedReader T_javafe_util_LocationManagerCorrelatedReader)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_java_io_FileNotFoundException T_java_io_IOException) true_term) (= T_java_io_FileNotFoundException (asChild T_java_io_FileNotFoundException T_java_io_IOException)) (= (PO_LT T_javafe_ast_Expr T_javafe_ast_VarInit) true_term) (= T_javafe_ast_Expr (asChild T_javafe_ast_Expr T_javafe_ast_VarInit)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_PrettyPrint T_java_lang_Object) true_term) (= T_javafe_ast_PrettyPrint (asChild T_javafe_ast_PrettyPrint T_java_lang_Object)) (= (PO_LT T_javafe_parser_ParseStmt T_javafe_parser_ParseExpr) true_term) (= T_javafe_parser_ParseStmt (asChild T_javafe_parser_ParseStmt T_javafe_parser_ParseExpr)) (= (PO_LT T_java_io_FileInputStream T_java_io_InputStream) true_term) (= T_java_io_FileInputStream (asChild T_java_io_FileInputStream T_java_io_InputStream)) (= (PO_LT T_javafe_parser_PunctuationPrefixTree T_java_lang_Object) true_term) (= T_javafe_parser_PunctuationPrefixTree (asChild T_javafe_parser_PunctuationPrefixTree T_java_lang_Object)) (= (PO_LT T_javafe_parser_ParseExpr T_javafe_parser_ParseType) true_term) (= T_javafe_parser_ParseExpr (asChild T_javafe_parser_ParseExpr T_javafe_parser_ParseType)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_parser_ParseUtil T_java_lang_Object) true_term) (= T_javafe_parser_ParseUtil (asChild T_javafe_parser_ParseUtil T_java_lang_Object)) (= (PO_LT T_javafe_parser_test_MemoryPipeInputStream T_java_io_InputStream) true_term) (= T_javafe_parser_test_MemoryPipeInputStream (asChild T_javafe_parser_test_MemoryPipeInputStream T_java_io_InputStream)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_parser_test_MemoryPipeInputStream) true_term) (= ?t T_javafe_parser_test_MemoryPipeInputStream))) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_parser_Lex T_javafe_parser_Token) true_term) (= T_javafe_parser_Lex (asChild T_javafe_parser_Lex T_javafe_parser_Token)) (= (PO_LT T_javafe_parser_test_MemoryPipeOutputStream T_java_io_OutputStream) true_term) (= T_javafe_parser_test_MemoryPipeOutputStream (asChild T_javafe_parser_test_MemoryPipeOutputStream T_java_io_OutputStream)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_parser_test_MemoryPipeOutputStream) true_term) (= ?t T_javafe_parser_test_MemoryPipeOutputStream))) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_javafe_ast_VarInit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_VarInit (asChild T_javafe_ast_VarInit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_util_LocationManagerCorrelatedReader T_javafe_util_BufferedCorrelatedReader) true_term) (= T_javafe_util_LocationManagerCorrelatedReader (asChild T_javafe_util_LocationManagerCorrelatedReader T_javafe_util_BufferedCorrelatedReader)) (= (PO_LT T_java_io_InputStream T_java_lang_Object) true_term) (= T_java_io_InputStream (asChild T_java_io_InputStream T_java_lang_Object)) (= (PO_LT T_javafe_parser_test_TestParse T_java_lang_Object) true_term) (= T_javafe_parser_test_TestParse (asChild T_javafe_parser_test_TestParse T_java_lang_Object)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_javafe_util_StackVector T_java_lang_Object) true_term) (= T_javafe_util_StackVector (asChild T_javafe_util_StackVector T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_util_StackVector) true_term) (= ?t T_javafe_util_StackVector))) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_parser_Token (+ DIST_ZERO_1 10)) (= T_javafe_parser_ParseType (+ DIST_ZERO_1 11)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 12)) (= T_java_util_Dictionary (+ DIST_ZERO_1 13)) (= T_javafe_util_BufferedCorrelatedReader (+ DIST_ZERO_1 14)) (= T_java_util_Collection (+ DIST_ZERO_1 15)) (= T_javafe_parser_PragmaParser (+ DIST_ZERO_1 16)) (= T_java_lang_Object (+ DIST_ZERO_1 17)) (= T_java_io_OutputStream (+ DIST_ZERO_1 18)) (= T_javafe_util_CorrelatedReader (+ DIST_ZERO_1 19)) (= T_javafe_parser_Parse (+ DIST_ZERO_1 20)) (= T_java_lang_System (+ DIST_ZERO_1 21)) (= T_java_util_Hashtable (+ DIST_ZERO_1 22)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 23)) (= T_javafe_util_ErrorSet (+ DIST_ZERO_1 24)) (= T_javafe_util_FileCorrelatedReader (+ DIST_ZERO_1 25)) (= T_java_lang_Throwable (+ DIST_ZERO_1 26)) (= T_java_util_Map (+ DIST_ZERO_1 27)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 28)) (= T_java_io_IOException (+ DIST_ZERO_1 29)) (= T_java_io_FileNotFoundException (+ DIST_ZERO_1 30)) (= T_javafe_ast_Expr (+ DIST_ZERO_1 31)) (= T_javafe_util_Location (+ DIST_ZERO_1 32)) (= T_javafe_ast_PrettyPrint (+ DIST_ZERO_1 33)) (= T_javafe_parser_ParseStmt (+ DIST_ZERO_1 34)) (= T_java_io_FileInputStream (+ DIST_ZERO_1 35)) (= T_javafe_parser_PunctuationPrefixTree (+ DIST_ZERO_1 36)) (= T_javafe_parser_ParseExpr (+ DIST_ZERO_1 37)) (= T_java_lang_String (+ DIST_ZERO_1 38)) (= T_java_lang_Comparable (+ DIST_ZERO_1 39)) (= T_java_io_Serializable (+ DIST_ZERO_1 40)) (= T_javafe_parser_ParseUtil (+ DIST_ZERO_1 41)) (= T_javafe_parser_test_MemoryPipeInputStream (+ DIST_ZERO_1 42)) (= T_java_util_Properties (+ DIST_ZERO_1 43)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 44)) (= T_javafe_parser_Lex (+ DIST_ZERO_1 45)) (= T_javafe_parser_test_MemoryPipeOutputStream (+ DIST_ZERO_1 46)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 47)) (= T_javafe_ast_VarInit (+ DIST_ZERO_1 48)) (= T_javafe_util_LocationManagerCorrelatedReader (+ DIST_ZERO_1 49)) (= T_java_io_InputStream (+ DIST_ZERO_1 50)) (= T_javafe_parser_test_TestParse (+ DIST_ZERO_1 51)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 52)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 53)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 54)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 55)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 56)) (= T_java_util_Vector (+ DIST_ZERO_1 57)) (= T_java_io_PrintStream (+ DIST_ZERO_1 58)) (= T_java_util_List (+ DIST_ZERO_1 59)) (= T_javafe_util_StackVector (+ DIST_ZERO_1 60)) (= T_java_util_AbstractList (+ DIST_ZERO_1 61)) (= T_java_lang_Exception (+ DIST_ZERO_1 62)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 63))) (= true_term (is out_13_83_49 T_java_io_PrintStream)) (= true_term (is err_13_97_50 T_java_io_PrintStream))))
(declare-fun ecReturn () Int)
(declare-fun ecThrow () Int)
(declare-fun L_115_6 () Int)
(declare-fun C_115_6 () Int)
(declare-fun S_126_8 () Int)
(declare-fun S_126_27 () Int)
(declare-fun S_125_8 () Int)
(declare-fun S_123_19 () Int)
(declare-fun S_124_24 () Int)
(declare-fun S_124_43 () Int)
(declare-fun S_126_44 () Int)
(declare-fun gag_pre_26_90_26 () Int)
(declare-fun gag_26_90_26 () Int)
(declare-fun m_in_pre_5_212_46 () Int)
(declare-fun m_in_5_212_46 () Int)
(declare-fun verboseprogress_pre_34_24 () Int)
(declare-fun verboseprogress_34_24 () Int)
(declare-fun out2_pre_40_39 () Int)
(declare-fun out2_40_39 () Int)
(declare-fun progress_pre_33_24 () Int)
(declare-fun progress_33_24 () Int)
(declare-fun inst_pre_36_29_44 () Int)
(declare-fun inst_36_29_44 () Int)
(declare-fun lexer_pre_25_20 () Int)
(declare-fun lexer_25_20 () Int)
(declare-fun out_pre_13_83_49 () Int)
(declare-fun print_pre_32_24 () Int)
(declare-fun print_32_24 () Int)
(declare-fun parser_pre_28_22 () Int)
(declare-fun parser_28_22 () Int)
(declare-fun err_pre_13_97_50 () Int)
(declare-fun out1_pre_39_39 () Int)
(declare-fun out1_39_39 () Int)
(declare-fun check_pre_31_24 () Int)
(declare-fun check_31_24 () Int)
(declare-fun idempotence_pre_35_24 () Int)
(declare-fun idempotence_35_24 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun n_111_36 () Int)
(declare-fun in1_111_51 () Int)
(declare-fun in2_111_68 () Int)
(declare-fun RES_113_19_113_19 () Int)
(declare-fun EC_113_19_113_19 () Int)
(declare-fun XRES_113_19_113_19 () Int)
(declare-fun RES_113_36_113_36 () Int)
(declare-fun EC_113_36_113_36 () Int)
(declare-fun XRES_113_36_113_36 () Int)
(declare-fun line_loopold_114_10 () Int)
(declare-fun EC_loopold () Int)
(declare-fun c2_loopold_113_27 () Int)
(declare-fun offset_loopold_114_29 () Int)
(declare-fun c1_loopold_113_10 () Int)
(declare-fun col_loopold_114_20 () Int)
(declare-fun tmp1_cand_115_6_0_115_13 () Int)
(declare-fun tmp1_cand_115_22 () Int)
(declare-fun tmp0_cand_115_6_0_115_13 () Int)
(declare-fun tmp0_cand_115_34 () Int)
(declare-fun line_115_6_0_116_19 () Int)
(declare-fun line_114_10 () Int)
(declare-fun col_114_20 () Int)
(declare-fun col_115_6_0_117_6 () Int)
(declare-fun offset_115_6_0_118_1 () Int)
(declare-fun RES_115_6_0_119_10_119_10 () Int)
(declare-fun EC_115_6_0_119_10_119_10 () Int)
(declare-fun XRES_115_6_0_119_10_119_10 () Int)
(declare-fun EC_113_18 () Int)
(declare-fun XRES_113_18 () Int)
(declare-fun line_114_10_1_ () Int)
(declare-fun EC () Int)
(declare-fun offset_114_29 () Int)
(declare-fun c1_113_10 () Int)
(declare-fun col_114_20_1_ () Int)
(declare-fun XRES () Int)
(declare-fun EC_1_ () Int)
(declare-fun c1_113_10_1_ () Int)
(declare-fun XRES_1_ () Int)
(declare-fun RES_115_6_0_120_10_120_10 () Int)
(declare-fun EC_115_6_0_120_10_120_10 () Int)
(declare-fun XRES_115_6_0_120_10_120_10 () Int)
(declare-fun line_114_10_2_ () Int)
(declare-fun EC_2_ () Int)
(declare-fun c2_113_27 () Int)
(declare-fun offset_114_29_1_ () Int)
(declare-fun c1_113_10_2_ () Int)
(declare-fun col_114_20_2_ () Int)
(declare-fun XRES_2_ () Int)
(declare-fun EC_3_ () Int)
(declare-fun c2_113_27_1_ () Int)
(declare-fun c1_113_10_3_ () Int)
(declare-fun XRES_3_ () Int)
(declare-fun tmp1_cand_115_6_1_115_13 () Int)
(declare-fun tmp1_cand_115_22_1_ () Int)
(declare-fun tmp0_cand_115_6_1_115_13 () Int)
(declare-fun tmp0_cand_115_34_1_ () Int)
(declare-fun line_114_10_3_ () Int)
(declare-fun EC_4_ () Int)
(declare-fun c2_113_27_2_ () Int)
(declare-fun offset_114_29_2_ () Int)
(declare-fun c1_113_10_4_ () Int)
(declare-fun col_114_20_3_ () Int)
(declare-fun XRES_4_ () Int)
(declare-fun n_123_15 () Int)
(declare-fun n_111_36_1_ () Int)
(declare-fun arg0_124_12_124_12_14__ () Int)
(declare-fun EC_124_12_124_12 () Int)
(declare-fun XRES_5_ () Int)
(declare-fun XRES_124_12_124_12 () Int)
(declare-fun e_129_24 () Int)
(declare-fun EC_5_ () Int)
(declare-fun EC_130_8_130_8 () Int)
(declare-fun EC_131_13_131_13 () Int)
(declare-fun EC_6_ () Int)
(assert (let ((?v_0 (not (= in1_111_51 null))) (?v_4 (not (= in2_111_68 null)))) (let ((?v_14 (not ?v_0)) (?v_19 (= true_term (is RES_113_19_113_19 T_int))) (?v_1 (= EC_113_19_113_19 ecThrow)) (?v_2 (typeof XRES_113_19_113_19))) (let ((?v_20 (=> ?v_1 (and (not (= XRES_113_19_113_19 null)) (= (PO_LT ?v_2 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_113_19_113_19 alloc))))) (?v_3 (= EC_113_19_113_19 ecReturn))) (let ((?v_21 (or ?v_3 (and ?v_1 (= (PO_LT ?v_2 T_java_io_IOException) true_term)))) (?v_18 (not ?v_4)) (?v_22 (= true_term (is RES_113_36_113_36 T_int))) (?v_5 (= EC_113_36_113_36 ecThrow)) (?v_6 (typeof XRES_113_36_113_36))) (let ((?v_23 (=> ?v_5 (and (not (= XRES_113_36_113_36 null)) (= (PO_LT ?v_6 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_113_36_113_36 alloc))))) (?v_7 (= EC_113_36_113_36 ecReturn))) (let ((?v_24 (or ?v_7 (and ?v_5 (= (PO_LT ?v_6 T_java_io_IOException) true_term)))) (?v_25 (= 1 line_loopold_114_10)) (?v_26 (= EC_113_36_113_36 EC_loopold)) (?v_27 (= RES_113_36_113_36 c2_loopold_113_27)) (?v_28 (= 1 offset_loopold_114_29)) (?v_29 (= RES_113_19_113_19 c1_loopold_113_10)) (?v_30 (= 1 col_loopold_114_20)) (?v_9 (= true_term true_term)) (?v_8 (= RES_113_19_113_19 RES_113_36_113_36)) (?v_10 (- 0 1))) (let ((?v_31 (or (and ?v_8 (= tmp1_cand_115_6_0_115_13 (integralNE RES_113_19_113_19 ?v_10)) (= tmp1_cand_115_22 tmp1_cand_115_6_0_115_13)) (and (not ?v_8) ?v_9 (= tmp1_cand_115_22 false_term)))) (?v_11 (= true_term tmp1_cand_115_22))) (let ((?v_32 (or (and ?v_11 (= tmp0_cand_115_6_0_115_13 (integralNE RES_113_36_113_36 ?v_10)) (= tmp0_cand_115_34 tmp0_cand_115_6_0_115_13)) (and (not ?v_11) ?v_9 (= tmp0_cand_115_34 false_term)))) (?v_33 (= true_term tmp0_cand_115_34)) (?v_12 (= RES_113_19_113_19 10)) (?v_13 (+ 1 1))) (let ((?v_34 (or (and ?v_12 ?v_9 (= line_115_6_0_116_19 ?v_13) (= line_114_10 line_115_6_0_116_19) (= col_114_20 1)) (and (not ?v_12) ?v_9 (= col_115_6_0_117_6 ?v_13) (= line_114_10 1) (= col_114_20 col_115_6_0_117_6)))) (?v_35 (= offset_115_6_0_118_1 ?v_13)) (?v_36 (= true_term (is RES_115_6_0_119_10_119_10 T_int))) (?v_15 (= EC_115_6_0_119_10_119_10 ecThrow)) (?v_16 (typeof XRES_115_6_0_119_10_119_10))) (let ((?v_37 (=> ?v_15 (and (not (= XRES_115_6_0_119_10_119_10 null)) (= (PO_LT ?v_16 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_115_6_0_119_10_119_10 alloc))))) (?v_17 (= EC_115_6_0_119_10_119_10 ecReturn))) (let ((?v_38 (or ?v_17 (and ?v_15 (= (PO_LT ?v_16 T_java_io_IOException) true_term)))) (?v_41 (= true_term (is RES_115_6_0_120_10_120_10 T_int))) (?v_39 (= EC_115_6_0_120_10_120_10 ecThrow)) (?v_40 (typeof XRES_115_6_0_120_10_120_10))) (let ((?v_42 (=> ?v_39 (and (not (= XRES_115_6_0_120_10_120_10 null)) (= (PO_LT ?v_40 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_115_6_0_120_10_120_10 alloc))))) (?v_44 (= EC_115_6_0_120_10_120_10 ecReturn))) (let ((?v_43 (or ?v_44 (and ?v_39 (= (PO_LT ?v_40 T_java_io_IOException) true_term))))) (let ((?v_45 (or (and ?v_36 ?v_37 ?v_38 ?v_9 ?v_15 (= EC_1_ EC_115_6_0_119_10_119_10) (= c1_113_10_1_ RES_113_19_113_19) (= XRES_1_ XRES_115_6_0_119_10_119_10)) (and ?v_36 ?v_37 ?v_38 ?v_17 ?v_4 ?v_41 ?v_42 ?v_43 ?v_9 ?v_39 (= EC_1_ EC_115_6_0_120_10_120_10) (= c1_113_10_1_ RES_115_6_0_119_10_119_10) (= XRES_1_ XRES_115_6_0_120_10_120_10)))) (?v_46 (= EC_1_ C_115_6)) (?v_47 (= c1_113_10_3_ c2_113_27_1_)) (?v_48 (= true_term tmp1_cand_115_22_1_)) (?v_49 (= EC_2_ L_115_6))) (let ((?v_50 (or (and ?v_9 (or (and ?v_31 ?v_32 (not ?v_33) (= line_114_10_1_ 1) (= EC L_115_6) (= offset_114_29 1) (= c1_113_10 RES_113_19_113_19) (= col_114_20_1_ 1) (= XRES XRES_113_36_113_36)) (and ?v_31 ?v_32 ?v_33 ?v_34 ?v_35 ?v_0 ?v_45 (not ?v_46) (= line_114_10_1_ line_114_10) (= EC EC_1_) (= offset_114_29 offset_115_6_0_118_1) (= c1_113_10 c1_113_10_1_) (= col_114_20_1_ col_114_20) (= XRES XRES_1_))) (= line_114_10_2_ line_114_10_1_) (= EC_2_ EC) (= c2_113_27 RES_113_36_113_36) (= offset_114_29_1_ offset_114_29) (= c1_113_10_2_ c1_113_10) (= col_114_20_2_ col_114_20_1_) (= XRES_2_ XRES)) (and ?v_9 ?v_31 ?v_32 ?v_33 (or (and ?v_34 ?v_35 ?v_0 ?v_36 ?v_37 ?v_38 ?v_17 ?v_4 ?v_41 ?v_42 ?v_43 ?v_44 (= EC_3_ EC_115_6_0_120_10_120_10) (= c2_113_27_1_ RES_115_6_0_120_10_120_10) (= c1_113_10_3_ RES_115_6_0_119_10_119_10) (= XRES_3_ XRES_115_6_0_120_10_120_10)) (and ?v_34 ?v_35 ?v_0 ?v_45 ?v_46 (= EC_3_ EC_1_) (= c2_113_27_1_ RES_113_36_113_36) (= c1_113_10_3_ c1_113_10_1_) (= XRES_3_ XRES_1_))) ?v_9 (or (and ?v_47 (= tmp1_cand_115_6_1_115_13 (integralNE c1_113_10_3_ ?v_10)) (= tmp1_cand_115_22_1_ tmp1_cand_115_6_1_115_13)) (and (not ?v_47) ?v_9 (= tmp1_cand_115_22_1_ false_term))) (or (and ?v_48 (= tmp0_cand_115_6_1_115_13 (integralNE c2_113_27_1_ ?v_10)) (= tmp0_cand_115_34_1_ tmp0_cand_115_6_1_115_13)) (and (not ?v_48) ?v_9 (= tmp0_cand_115_34_1_ false_term))) (not (= true_term tmp0_cand_115_34_1_)) (= line_114_10_2_ line_114_10) ?v_49 (= c2_113_27 c2_113_27_1_) (= offset_114_29_1_ offset_115_6_0_118_1) (= c1_113_10_2_ c1_113_10_3_) (= col_114_20_2_ col_114_20) (= XRES_2_ XRES_3_)))) (?v_52 (not (= c1_113_10_4_ c2_113_27_2_))) (?v_51 (= true_term progress_33_24))) (let ((?v_53 (or (and ?v_19 ?v_20 ?v_21 ?v_9 ?v_1 (= EC_113_18 EC_113_19_113_19) (= XRES_113_18 XRES_113_19_113_19)) (and ?v_19 ?v_20 ?v_21 ?v_3 ?v_4 (or (and ?v_22 ?v_23 ?v_24 ?v_9 ?v_5 (= EC_113_18 EC_113_36_113_36) (= XRES_113_18 XRES_113_36_113_36)) (and ?v_22 ?v_23 ?v_24 ?v_7 (or (and ?v_25 ?v_26 ?v_27 ?v_28 ?v_29 ?v_30 ?v_50 (not ?v_49) (= EC_113_18 EC_2_) (= XRES_113_18 XRES_2_)) (and ?v_25 ?v_26 ?v_27 ?v_28 ?v_29 ?v_30 ?v_50 ?v_49 (= line_114_10_3_ line_114_10_2_) (= EC_4_ EC_2_) (= c2_113_27_2_ c2_113_27) (= offset_114_29_2_ offset_114_29_1_) (= c1_113_10_4_ c1_113_10_2_) (= col_114_20_3_ col_114_20_2_) (= XRES_4_ XRES_2_) (or (and ?v_52 ?v_9 (or (and ?v_51 ?v_9 (= n_123_15 (stringCat S_123_19 n_111_36)) (= n_111_36_1_ n_123_15)) (and (not ?v_51) ?v_9 (= n_111_36_1_ n_111_36))) (= arg0_124_12_124_12_14__ (stringCat (stringCat (stringCat (stringCat (stringCat (stringCat (stringCat (stringCat (stringCat (stringCat (stringCat n_111_36_1_ S_124_24) c1_113_10_4_) S_124_43) c2_113_27_2_) S_125_8) offset_114_29_2_) S_126_8) line_114_10_3_) S_126_27) col_114_20_3_) S_126_44)) (= EC_124_12_124_12 ecReturn) ?v_9 (= XRES_5_ XRES_124_12_124_12)) (and (not ?v_52) ?v_9 ?v_9 (= XRES_5_ XRES_4_))) (= EC_113_18 ecReturn) (= XRES_113_18 XRES_5_)))))))) (?v_54 (not (= EC_113_18 ecThrow)))) (let ((?v_55 (not ?v_54)) (?v_56 (or (= (PO_LT (typeof XRES_113_18) T_java_io_IOException) true_term) (= XRES_113_18 null))) (?v_57 (= e_129_24 XRES_113_18)) (?v_58 (not (= e_129_24 null))) (?v_59 (= EC_131_13_131_13 ecReturn))) (not (=> (and (distinct ecReturn ecThrow L_115_6 C_115_6) (not (= S_126_8 null)) (= (typeof S_126_8) T_java_lang_String) (not (= S_126_27 null)) (= (typeof S_126_27) T_java_lang_String) (not (= S_125_8 null)) (= (typeof S_125_8) T_java_lang_String) (not (= S_123_19 null)) (= (typeof S_123_19) T_java_lang_String) (not (= S_124_24 null)) (= (typeof S_124_24) T_java_lang_String) (not (= S_124_43 null)) (= (typeof S_124_43) T_java_lang_String) (not (= S_126_44 null)) (= (typeof S_126_44) T_java_lang_String)) (=> (and (= gag_pre_26_90_26 gag_26_90_26) (= true_term (is gag_26_90_26 T_boolean)) (= m_in_pre_5_212_46 m_in_5_212_46) (= m_in_5_212_46 (asField m_in_5_212_46 T_javafe_util_CorrelatedReader)) (< (fClosedTime m_in_5_212_46) alloc) (= verboseprogress_pre_34_24 verboseprogress_34_24) (= true_term (is verboseprogress_34_24 T_boolean)) (= out2_pre_40_39 out2_40_39) (= true_term (is out2_40_39 T_javafe_parser_test_MemoryPipeOutputStream)) (= true_term (isAllocated out2_40_39 alloc)) (= progress_pre_33_24 progress_33_24) (= true_term (is progress_33_24 T_boolean)) (= inst_pre_36_29_44 inst_36_29_44) (= true_term (is inst_36_29_44 T_javafe_ast_PrettyPrint)) (= true_term (isAllocated inst_36_29_44 alloc)) (not (= inst_36_29_44 null)) (= lexer_pre_25_20 lexer_25_20) (= true_term (is lexer_25_20 T_javafe_parser_Lex)) (= true_term (isAllocated lexer_25_20 alloc)) (= out_pre_13_83_49 out_13_83_49) (= true_term (is out_13_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_13_83_49 alloc)) (not (= out_13_83_49 null)) (= print_pre_32_24 print_32_24) (= true_term (is print_32_24 T_boolean)) (= parser_pre_28_22 parser_28_22) (= true_term (is parser_28_22 T_javafe_parser_Parse)) (= true_term (isAllocated parser_28_22 alloc)) (= err_pre_13_97_50 err_13_97_50) (= true_term (is err_13_97_50 T_java_io_PrintStream)) (= true_term (isAllocated err_13_97_50 alloc)) (not (= err_13_97_50 null)) (= out1_pre_39_39 out1_39_39) (= true_term (is out1_39_39 T_javafe_parser_test_MemoryPipeOutputStream)) (= true_term (isAllocated out1_39_39 alloc)) (= check_pre_31_24 check_31_24) (= true_term (is check_31_24 T_boolean)) (= idempotence_pre_35_24 idempotence_35_24) (= true_term (is idempotence_35_24 T_boolean)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is n_111_36 T_java_lang_String)) (= true_term (isAllocated n_111_36 alloc)) (= true_term (is in1_111_51 T_java_io_InputStream)) (= true_term (isAllocated in1_111_51 alloc)) (= true_term (is in2_111_68 T_java_io_InputStream)) (= true_term (isAllocated in2_111_68 alloc)) ?v_0 ?v_4 (or ?v_14 (and ?v_0 ?v_19 ?v_20 ?v_21 ?v_3 (or ?v_18 (and ?v_4 ?v_22 ?v_23 ?v_24 ?v_7 ?v_25 ?v_26 ?v_27 ?v_28 ?v_29 ?v_30 ?v_9 ?v_31 ?v_32 ?v_33 ?v_34 ?v_35 (or ?v_14 (and ?v_0 ?v_36 ?v_37 ?v_38 ?v_17 ?v_18))))) (and ?v_0 ?v_53 ?v_55 ?v_56 ?v_57 (not ?v_58)) (and ?v_0 ?v_53 (or (and ?v_54 (= EC_5_ EC_113_18)) (and ?v_55 (or (and ?v_56 ?v_57 ?v_58 (= EC_130_8_130_8 ecReturn) ?v_59 (not ?v_59) ?v_9 (= EC_6_ ecReturn)) (and (not ?v_56) (= EC_6_ EC_113_18))) (= EC_5_ EC_6_))) (not (= EC_5_ ecReturn)))))))))))))))))))))))))))
(check-sat)
(exit)
