(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_ast_TypeDeclVec () Int)
(declare-fun T_javafe_reader_BinReader () Int)
(declare-fun T_javafe_reader_Reader () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_TypeDeclElemVec () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_io_File () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_javafe_ast_TypeNameVec () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_java_lang_Error () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_ast_LexicalPragma () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_javafe_reader_ASTClassFileParser () Int)
(declare-fun T_decsrc_util_ClassFileParser () Int)
(declare-fun T_javafe_ast_LexicalPragmaVec () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_javafe_ast_ImportDeclVec () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_javafe_genericfile_NormalGenericFile () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_decsrc_util_ClassFileConstants () Int)
(declare-fun T_javafe_util_ErrorSet () Int)
(declare-fun T_javafe_ast_TypeName () Int)
(declare-fun T_javafe_util_Info () Int)
(declare-fun T_java_lang_ClassFormatError () Int)
(declare-fun T_java_lang_LinkageError () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_javafe_ast_PrettyPrint () Int)
(declare-fun T_javafe_ast_ImportDecl () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun TYPEMODIFIERPRAGMA_46_28_26 () Int)
(declare-fun NULL_37_60_26 () Int)
(declare-fun CHARLIT_47_41_26 () Int)
(declare-fun keywordStrings_46_181_30 () Int)
(declare-fun otherCodes_46_202_27 () Int)
(declare-fun punctuationStrings_46_134_22 () Int)
(declare-fun STRINGLIT_47_44_26 () Int)
(declare-fun MODIFIERPRAGMA_46_25_26 () Int)
(declare-fun IDENT_47_25_26 () Int)
(declare-fun noTokens_46_212_27 () Int)
(declare-fun otherStrings_46_193_30 () Int)
(declare-fun LONGLIT_47_40_26 () Int)
(declare-fun err_28_97_50 () Int)
(declare-fun TYPEDECLELEMPRAGMA_46_27_26 () Int)
(declare-fun DOUBLELIT_47_43_26 () Int)
(declare-fun LEXICALPRAGMA_46_24_26 () Int)
(declare-fun FIRST_KEYWORD_46_51_26 () Int)
(declare-fun punctuationCodes_46_164_19 () Int)
(declare-fun INTLIT_47_39_26 () Int)
(declare-fun FLOATLIT_47_42_26 () Int)
(declare-fun STMTPRAGMA_46_26_26 () Int)
(declare-fun NULL_46_82_26 () Int)
(declare-fun BOOLEANLIT_47_38_26 () Int)
(declare-fun out_28_83_49 () Int)
(declare-fun LAST_KEYWORD_46_103_26 () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int))) (and (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_TypeDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeDeclVec (asChild T_javafe_ast_TypeDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_reader_BinReader T_javafe_reader_Reader) true_term) (= T_javafe_reader_BinReader (asChild T_javafe_reader_BinReader T_javafe_reader_Reader)) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeDeclElemVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeDeclElemVec (asChild T_javafe_ast_TypeDeclElemVec T_java_lang_Object)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_javafe_reader_Reader T_java_lang_Object) true_term) (= T_javafe_reader_Reader (asChild T_javafe_reader_Reader T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_lang_Object) true_term) (= T_java_io_File (asChild T_java_io_File T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_io_Serializable) true_term) (= (PO_LT T_java_io_File T_java_lang_Comparable) true_term) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_TypeNameVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeNameVec (asChild T_javafe_ast_TypeNameVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Error T_java_lang_Throwable) true_term) (= T_java_lang_Error (asChild T_java_lang_Error T_java_lang_Throwable)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_LexicalPragma (asChild T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_javafe_reader_ASTClassFileParser T_decsrc_util_ClassFileParser) true_term) (= T_javafe_reader_ASTClassFileParser (asChild T_javafe_reader_ASTClassFileParser T_decsrc_util_ClassFileParser)) (= (PO_LT T_javafe_ast_LexicalPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_LexicalPragmaVec (asChild T_javafe_ast_LexicalPragmaVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_ImportDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_ImportDeclVec (asChild T_javafe_ast_ImportDeclVec T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_genericfile_NormalGenericFile T_java_io_File) true_term) (= T_javafe_genericfile_NormalGenericFile (asChild T_javafe_genericfile_NormalGenericFile T_java_io_File)) (= (PO_LT T_javafe_genericfile_NormalGenericFile T_javafe_genericfile_GenericFile) true_term) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_decsrc_util_ClassFileParser T_java_lang_Object) true_term) (= T_decsrc_util_ClassFileParser (asChild T_decsrc_util_ClassFileParser T_java_lang_Object)) (= (PO_LT T_decsrc_util_ClassFileParser T_decsrc_util_ClassFileConstants) true_term) (= (PO_LT T_javafe_util_ErrorSet T_java_lang_Object) true_term) (= T_javafe_util_ErrorSet (asChild T_javafe_util_ErrorSet T_java_lang_Object)) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_TypeName T_javafe_ast_Type) true_term) (= T_javafe_ast_TypeName (asChild T_javafe_ast_TypeName T_javafe_ast_Type)) (= (PO_LT T_javafe_util_Info T_java_lang_Object) true_term) (= T_javafe_util_Info (asChild T_javafe_util_Info T_java_lang_Object)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_ClassFormatError T_java_lang_LinkageError) true_term) (= T_java_lang_ClassFormatError (asChild T_java_lang_ClassFormatError T_java_lang_LinkageError)) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_PrettyPrint T_java_lang_Object) true_term) (= T_javafe_ast_PrettyPrint (asChild T_javafe_ast_PrettyPrint T_java_lang_Object)) (= (PO_LT T_decsrc_util_ClassFileConstants T_java_lang_Object) true_term) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_javafe_ast_ImportDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ImportDecl (asChild T_javafe_ast_ImportDecl T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_LinkageError T_java_lang_Error) true_term) (= T_java_lang_LinkageError (asChild T_java_lang_LinkageError T_java_lang_Error)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_util_Map (+ DIST_ZERO_1 10)) (= T_javafe_ast_TypeDeclVec (+ DIST_ZERO_1 11)) (= T_javafe_reader_BinReader (+ DIST_ZERO_1 12)) (= T_javafe_ast_Type (+ DIST_ZERO_1 13)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 14)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 15)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 16)) (= T_javafe_ast_Name (+ DIST_ZERO_1 17)) (= T_javafe_util_Location (+ DIST_ZERO_1 18)) (= T_javafe_ast_TypeDeclElemVec (+ DIST_ZERO_1 19)) (= T_java_lang_String (+ DIST_ZERO_1 20)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 21)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 22)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 23)) (= T_javafe_reader_Reader (+ DIST_ZERO_1 24)) (= T_java_io_File (+ DIST_ZERO_1 25)) (= T_java_util_Hashtable (+ DIST_ZERO_1 26)) (= T_javafe_ast_TypeNameVec (+ DIST_ZERO_1 27)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 28)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 29)) (= T_java_lang_Error (+ DIST_ZERO_1 30)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 31)) (= T_javafe_ast_LexicalPragma (+ DIST_ZERO_1 32)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 33)) (= T_java_util_Properties (+ DIST_ZERO_1 34)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 35)) (= T_javafe_reader_ASTClassFileParser (+ DIST_ZERO_1 36)) (= T_javafe_ast_LexicalPragmaVec (+ DIST_ZERO_1 37)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 38)) (= T_javafe_ast_ImportDeclVec (+ DIST_ZERO_1 39)) (= T_java_util_Dictionary (+ DIST_ZERO_1 40)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 41)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 42)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 43)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 44)) (= T_java_io_PrintStream (+ DIST_ZERO_1 45)) (= T_java_lang_Throwable (+ DIST_ZERO_1 46)) (= T_java_lang_Object (+ DIST_ZERO_1 47)) (= T_javafe_genericfile_NormalGenericFile (+ DIST_ZERO_1 48)) (= T_java_lang_System (+ DIST_ZERO_1 49)) (= T_decsrc_util_ClassFileParser (+ DIST_ZERO_1 50)) (= T_javafe_util_ErrorSet (+ DIST_ZERO_1 51)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 52)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 53)) (= T_javafe_ast_TypeName (+ DIST_ZERO_1 54)) (= T_javafe_util_Info (+ DIST_ZERO_1 55)) (= T_java_lang_Comparable (+ DIST_ZERO_1 56)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 57)) (= T_java_lang_ClassFormatError (+ DIST_ZERO_1 58)) (= T_java_lang_Exception (+ DIST_ZERO_1 59)) (= T_java_io_IOException (+ DIST_ZERO_1 60)) (= T_java_io_Serializable (+ DIST_ZERO_1 61)) (= T_javafe_ast_PrettyPrint (+ DIST_ZERO_1 62)) (= T_decsrc_util_ClassFileConstants (+ DIST_ZERO_1 63)) (= T_java_io_OutputStream (+ DIST_ZERO_1 64)) (= T_javafe_ast_ImportDecl (+ DIST_ZERO_1 65)) (= T_java_lang_LinkageError (+ DIST_ZERO_1 66))) (= true_term (is TYPEMODIFIERPRAGMA_46_28_26 T_int)) (= TYPEMODIFIERPRAGMA_46_28_26 118) (= true_term (is NULL_37_60_26 T_int)) (= NULL_37_60_26 0) (= true_term (is CHARLIT_47_41_26 T_int)) (= CHARLIT_47_41_26 107) (= true_term (is keywordStrings_46_181_30 ?v_0)) (not (= keywordStrings_46_181_30 null)) (= (typeof keywordStrings_46_181_30) ?v_0) (= (arrayLength keywordStrings_46_181_30) 51) (= true_term (is otherCodes_46_202_27 ?v_1)) (not (= otherCodes_46_202_27 null)) (= (typeof otherCodes_46_202_27) ?v_1) (= (arrayLength otherCodes_46_202_27) 15) (= true_term (is punctuationStrings_46_134_22 ?v_0)) (not (= punctuationStrings_46_134_22 null)) (= (typeof punctuationStrings_46_134_22) ?v_0) (= (arrayLength punctuationStrings_46_134_22) 48) (= true_term (is STRINGLIT_47_44_26 T_int)) (= STRINGLIT_47_44_26 110) (= true_term (is MODIFIERPRAGMA_46_25_26 T_int)) (= MODIFIERPRAGMA_46_25_26 115) (= true_term (is IDENT_47_25_26 T_int)) (= IDENT_47_25_26 93) (= true_term (is noTokens_46_212_27 T_int)) (= true_term (is otherStrings_46_193_30 ?v_0)) (not (= otherStrings_46_193_30 null)) (= (typeof otherStrings_46_193_30) ?v_0) (= (arrayLength otherStrings_46_193_30) 15) (= true_term (is LONGLIT_47_40_26 T_int)) (= LONGLIT_47_40_26 106) (= true_term (is err_28_97_50 T_java_io_PrintStream)) (= true_term (is TYPEDECLELEMPRAGMA_46_27_26 T_int)) (= TYPEDECLELEMPRAGMA_46_27_26 117) (= true_term (is DOUBLELIT_47_43_26 T_int)) (= DOUBLELIT_47_43_26 109) (= true_term (is LEXICALPRAGMA_46_24_26 T_int)) (= LEXICALPRAGMA_46_24_26 114) (= true_term (is FIRST_KEYWORD_46_51_26 T_int)) (= FIRST_KEYWORD_46_51_26 133) (= true_term (is punctuationCodes_46_164_19 ?v_1)) (not (= punctuationCodes_46_164_19 null)) (= (typeof punctuationCodes_46_164_19) ?v_1) (= (arrayLength punctuationCodes_46_164_19) 48) (= true_term (is INTLIT_47_39_26 T_int)) (= INTLIT_47_39_26 105) (= true_term (is FLOATLIT_47_42_26 T_int)) (= FLOATLIT_47_42_26 108) (= true_term (is STMTPRAGMA_46_26_26 T_int)) (= STMTPRAGMA_46_26_26 116) (= true_term (is NULL_46_82_26 T_int)) (= NULL_46_82_26 163) (= true_term (is BOOLEANLIT_47_38_26 T_int)) (= BOOLEANLIT_47_38_26 104) (= true_term (is out_28_83_49 T_java_io_PrintStream)) (= true_term (is LAST_KEYWORD_46_103_26 T_int)) (= LAST_KEYWORD_46_103_26 183))))
(declare-fun locId_pre_87_43_13 () Int)
(declare-fun locId_87_43_13 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_46_28_26 () Int)
(declare-fun NULL_pre_37_60_26 () Int)
(declare-fun tokenType_pre_83_90_8 () Int)
(declare-fun tokenType_83_90_8 () Int)
(declare-fun CHARLIT_pre_47_41_26 () Int)
(declare-fun elements_pre_21_61_37 () Int)
(declare-fun elements_21_61_37 () Int)
(declare-fun locOpenBrace_pre_73_51_13 () Int)
(declare-fun locOpenBrace_73_51_13 () Int)
(declare-fun keywordStrings_pre_46_181_30 () Int)
(declare-fun locCloseBrace_pre_73_54_13 () Int)
(declare-fun locCloseBrace_73_54_13 () Int)
(declare-fun otherCodes_pre_46_202_27 () Int)
(declare-fun punctuationStrings_pre_46_134_22 () Int)
(declare-fun STRINGLIT_pre_47_44_26 () Int)
(declare-fun elements_pre_75_61_41 () Int)
(declare-fun elements_75_61_41 () Int)
(declare-fun MODIFIERPRAGMA_pre_46_25_26 () Int)
(declare-fun IDENT_pre_47_25_26 () Int)
(declare-fun locOpenBrace_pre_89_22_13 () Int)
(declare-fun locOpenBrace_89_22_13 () Int)
(declare-fun noTokens_pre_46_212_27 () Int)
(declare-fun otherStrings_pre_46_193_30 () Int)
(declare-fun count_pre_82_67_33 () Int)
(declare-fun count_82_67_33 () Int)
(declare-fun locCloseBrace_pre_89_25_13 () Int)
(declare-fun locCloseBrace_89_25_13 () Int)
(declare-fun elements_pre_93_61_42 () Int)
(declare-fun elements_93_61_42 () Int)
(declare-fun LONGLIT_pre_47_40_26 () Int)
(declare-fun classPackage_pre_18_39_16 () Int)
(declare-fun classPackage_18_39_16 () Int)
(declare-fun err_pre_28_97_50 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_46_27_26 () Int)
(declare-fun DOUBLELIT_pre_47_43_26 () Int)
(declare-fun owner_pre_5_35_28 () Int)
(declare-fun owner_5_35_28 () Int)
(declare-fun specOnly_pre_73_26_17 () Int)
(declare-fun specOnly_73_26_17 () Int)
(declare-fun count_pre_22_67_33 () Int)
(declare-fun count_22_67_33 () Int)
(declare-fun classLocation_pre_18_54_15 () Int)
(declare-fun classLocation_18_54_15 () Int)
(declare-fun loc_pre_23_30_13 () Int)
(declare-fun loc_23_30_13 () Int)
(declare-fun LEXICALPRAGMA_pre_46_24_26 () Int)
(declare-fun FIRST_KEYWORD_pre_46_51_26 () Int)
(declare-fun punctuationCodes_pre_46_164_19 () Int)
(declare-fun INTLIT_pre_47_39_26 () Int)
(declare-fun typeDecl_pre_18_47_20 () Int)
(declare-fun typeDecl_18_47_20 () Int)
(declare-fun inst_pre_34_29_44 () Int)
(declare-fun inst_34_29_44 () Int)
(declare-fun count_pre_21_67_33 () Int)
(declare-fun count_21_67_33 () Int)
(declare-fun elements_pre_82_61_37 () Int)
(declare-fun elements_82_61_37 () Int)
(declare-fun locOpenBrace_pre_87_36_13 () Int)
(declare-fun locOpenBrace_87_36_13 () Int)
(declare-fun count_pre_75_67_33 () Int)
(declare-fun count_75_67_33 () Int)
(declare-fun FLOATLIT_pre_47_42_26 () Int)
(declare-fun STMTPRAGMA_pre_46_26_26 () Int)
(declare-fun loc_pre_91_18_13 () Int)
(declare-fun loc_91_18_13 () Int)
(declare-fun body_pre_87_34_19 () Int)
(declare-fun body_87_34_19 () Int)
(declare-fun count_pre_93_67_33 () Int)
(declare-fun count_93_67_33 () Int)
(declare-fun locId_pre_80_38_13 () Int)
(declare-fun locId_80_38_13 () Int)
(declare-fun NULL_pre_46_82_26 () Int)
(declare-fun elements_pre_22_61_39 () Int)
(declare-fun elements_22_61_39 () Int)
(declare-fun loc_pre_87_40_13 () Int)
(declare-fun loc_87_40_13 () Int)
(declare-fun loc_pre_73_45_13 () Int)
(declare-fun loc_73_45_13 () Int)
(declare-fun BOOLEANLIT_pre_47_38_26 () Int)
(declare-fun out_pre_28_83_49 () Int)
(declare-fun locId_pre_73_48_13 () Int)
(declare-fun locId_73_48_13 () Int)
(declare-fun LAST_KEYWORD_pre_46_103_26 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun args_94_37 () Int)
(declare-fun EC_96_16_96_16 () Int)
(declare-fun ecReturn () Int)
(declare-fun EC_97_12_97_12 () Int)
(declare-fun RES () Int)
(declare-fun RES_97_12_97_12 () Int)
(declare-fun EC () Int)
(declare-fun RES_1_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun name_100_22_100_22_32_37_36 () Int)
(declare-fun after_100_22_100_22 () Int)
(declare-fun RES_100_22_100_22 () Int)
(declare-fun EC_100_22_100_22 () Int)
(declare-fun after_101_20_101_20 () Int)
(declare-fun RES_101_20_101_20 () Int)
(declare-fun EC_101_20_101_20 () Int)
(declare-fun RES_103_29_103_29 () Int)
(declare-fun EC_103_29_103_29 () Int)
(declare-fun EC_105_22_105_22 () Int)
(declare-fun EC_2_ () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int)) (?v_14 (not (= out_28_83_49 null))) (?v_2 (not (= args_94_37 null)))) (let ((?v_6 (not ?v_2)) (?v_8 (arrayLength args_94_37))) (let ((?v_4 (not (= ?v_8 1))) (?v_5 (= true_term true_term)) (?v_3 (= EC_97_12_97_12 ecReturn))) (let ((?v_15 (or (and ?v_4 ?v_5 (= EC_96_16_96_16 ecReturn) ?v_3 (not ?v_3) (= RES RES_97_12_97_12) (= EC EC_97_12_97_12)) (and (not ?v_4) ?v_5 (= RES RES_1_) (= EC EC_1_)))) (?v_7 (<= 0 0)) (?v_9 (< 0 ?v_8)) (?v_10 (= name_100_22_100_22_32_37_36 (S_select (S_select elems args_94_37) 0))) (?v_11 (not (= name_100_22_100_22_32_37_36 null))) (?v_16 (< alloc after_100_22_100_22)) (?v_13 (not (= RES_100_22_100_22 null))) (?v_17 (not (= true_term (isAllocated RES_100_22_100_22 alloc)))) (?v_18 (= true_term (is RES_100_22_100_22 T_javafe_genericfile_NormalGenericFile))) (?v_19 (= true_term (isAllocated RES_100_22_100_22 after_100_22_100_22))) (?v_20 (= EC_100_22_100_22 ecReturn)) (?v_21 (= (S_select owner_5_35_28 RES_100_22_100_22) null)) (?v_22 (= (typeof RES_100_22_100_22) T_javafe_genericfile_NormalGenericFile)) (?v_23 (< after_100_22_100_22 after_101_20_101_20)) (?v_12 (not (= RES_101_20_101_20 null))) (?v_24 (not (= true_term (isAllocated RES_101_20_101_20 after_100_22_100_22)))) (?v_25 (= true_term (is RES_101_20_101_20 T_javafe_reader_BinReader))) (?v_26 (= true_term (isAllocated RES_101_20_101_20 after_101_20_101_20))) (?v_27 (= EC_101_20_101_20 ecReturn)) (?v_28 (= (S_select owner_5_35_28 RES_101_20_101_20) null)) (?v_29 (= (typeof RES_101_20_101_20) T_javafe_reader_BinReader)) (?v_30 (= true_term (is RES_103_29_103_29 T_javafe_ast_CompilationUnit))) (?v_31 (= true_term (isAllocated RES_103_29_103_29 after_101_20_101_20))) (?v_32 (= EC_103_29_103_29 ecReturn)) (?v_33 (not (= RES_103_29_103_29 null)))) (not (=> true (=> (and (= locId_pre_87_43_13 locId_87_43_13) (= locId_87_43_13 (asField locId_87_43_13 T_int)) (= TYPEMODIFIERPRAGMA_pre_46_28_26 TYPEMODIFIERPRAGMA_46_28_26) (= true_term (is TYPEMODIFIERPRAGMA_46_28_26 T_int)) (= NULL_pre_37_60_26 NULL_37_60_26) (= true_term (is NULL_37_60_26 T_int)) (= tokenType_pre_83_90_8 tokenType_83_90_8) (= tokenType_83_90_8 (asField tokenType_83_90_8 T_int)) (= CHARLIT_pre_47_41_26 CHARLIT_47_41_26) (= true_term (is CHARLIT_47_41_26 T_int)) (= elements_pre_21_61_37 elements_21_61_37) (= elements_21_61_37 (asField elements_21_61_37 (array T_javafe_ast_TypeDecl))) (< (fClosedTime elements_21_61_37) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select elements_21_61_37 ?s) null)))) (= locOpenBrace_pre_73_51_13 locOpenBrace_73_51_13) (= locOpenBrace_73_51_13 (asField locOpenBrace_73_51_13 T_int)) (= keywordStrings_pre_46_181_30 keywordStrings_46_181_30) (= true_term (is keywordStrings_46_181_30 ?v_0)) (= true_term (isAllocated keywordStrings_46_181_30 alloc)) (= locCloseBrace_pre_73_54_13 locCloseBrace_73_54_13) (= locCloseBrace_73_54_13 (asField locCloseBrace_73_54_13 T_int)) (= otherCodes_pre_46_202_27 otherCodes_46_202_27) (= true_term (is otherCodes_46_202_27 ?v_1)) (= true_term (isAllocated otherCodes_46_202_27 alloc)) (= punctuationStrings_pre_46_134_22 punctuationStrings_46_134_22) (= true_term (is punctuationStrings_46_134_22 ?v_0)) (= true_term (isAllocated punctuationStrings_46_134_22 alloc)) (= STRINGLIT_pre_47_44_26 STRINGLIT_47_44_26) (= true_term (is STRINGLIT_47_44_26 T_int)) (= elements_pre_75_61_41 elements_75_61_41) (= elements_75_61_41 (asField elements_75_61_41 (array T_javafe_ast_TypeDeclElem))) (< (fClosedTime elements_75_61_41) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elements_75_61_41 ?s_1_) null)))) (= MODIFIERPRAGMA_pre_46_25_26 MODIFIERPRAGMA_46_25_26) (= true_term (is MODIFIERPRAGMA_46_25_26 T_int)) (= IDENT_pre_47_25_26 IDENT_47_25_26) (= true_term (is IDENT_47_25_26 T_int)) (= locOpenBrace_pre_89_22_13 locOpenBrace_89_22_13) (= locOpenBrace_89_22_13 (asField locOpenBrace_89_22_13 T_int)) (= noTokens_pre_46_212_27 noTokens_46_212_27) (= true_term (is noTokens_46_212_27 T_int)) (= otherStrings_pre_46_193_30 otherStrings_46_193_30) (= true_term (is otherStrings_46_193_30 ?v_0)) (= true_term (isAllocated otherStrings_46_193_30 alloc)) (= count_pre_82_67_33 count_82_67_33) (= count_82_67_33 (asField count_82_67_33 T_int)) (= locCloseBrace_pre_89_25_13 locCloseBrace_89_25_13) (= locCloseBrace_89_25_13 (asField locCloseBrace_89_25_13 T_int)) (= elements_pre_93_61_42 elements_93_61_42) (= elements_93_61_42 (asField elements_93_61_42 (array T_javafe_ast_LexicalPragma))) (< (fClosedTime elements_93_61_42) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select elements_93_61_42 ?s_2_) null)))) (= LONGLIT_pre_47_40_26 LONGLIT_47_40_26) (= true_term (is LONGLIT_47_40_26 T_int)) (= classPackage_pre_18_39_16 classPackage_18_39_16) (= classPackage_18_39_16 (asField classPackage_18_39_16 T_javafe_ast_Name)) (< (fClosedTime classPackage_18_39_16) alloc) (= err_pre_28_97_50 err_28_97_50) (= true_term (is err_28_97_50 T_java_io_PrintStream)) (= true_term (isAllocated err_28_97_50 alloc)) (not (= err_28_97_50 null)) (= TYPEDECLELEMPRAGMA_pre_46_27_26 TYPEDECLELEMPRAGMA_46_27_26) (= true_term (is TYPEDECLELEMPRAGMA_46_27_26 T_int)) (= DOUBLELIT_pre_47_43_26 DOUBLELIT_47_43_26) (= true_term (is DOUBLELIT_47_43_26 T_int)) (= owner_pre_5_35_28 owner_5_35_28) (= owner_5_35_28 (asField owner_5_35_28 T_java_lang_Object)) (< (fClosedTime owner_5_35_28) alloc) (= specOnly_pre_73_26_17 specOnly_73_26_17) (= specOnly_73_26_17 (asField specOnly_73_26_17 T_boolean)) (= count_pre_22_67_33 count_22_67_33) (= count_22_67_33 (asField count_22_67_33 T_int)) (= classLocation_pre_18_54_15 classLocation_18_54_15) (= classLocation_18_54_15 (asField classLocation_18_54_15 T_int)) (= loc_pre_23_30_13 loc_23_30_13) (= loc_23_30_13 (asField loc_23_30_13 T_int)) (= LEXICALPRAGMA_pre_46_24_26 LEXICALPRAGMA_46_24_26) (= true_term (is LEXICALPRAGMA_46_24_26 T_int)) (= FIRST_KEYWORD_pre_46_51_26 FIRST_KEYWORD_46_51_26) (= true_term (is FIRST_KEYWORD_46_51_26 T_int)) (= punctuationCodes_pre_46_164_19 punctuationCodes_46_164_19) (= true_term (is punctuationCodes_46_164_19 ?v_1)) (= true_term (isAllocated punctuationCodes_46_164_19 alloc)) (= INTLIT_pre_47_39_26 INTLIT_47_39_26) (= true_term (is INTLIT_47_39_26 T_int)) (= typeDecl_pre_18_47_20 typeDecl_18_47_20) (= typeDecl_18_47_20 (asField typeDecl_18_47_20 T_javafe_ast_TypeDecl)) (< (fClosedTime typeDecl_18_47_20) alloc) (= inst_pre_34_29_44 inst_34_29_44) (= true_term (is inst_34_29_44 T_javafe_ast_PrettyPrint)) (= true_term (isAllocated inst_34_29_44 alloc)) (not (= inst_34_29_44 null)) (= count_pre_21_67_33 count_21_67_33) (= count_21_67_33 (asField count_21_67_33 T_int)) (= elements_pre_82_61_37 elements_82_61_37) (= elements_82_61_37 (asField elements_82_61_37 (array T_javafe_ast_TypeName))) (< (fClosedTime elements_82_61_37) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select elements_82_61_37 ?s_3_) null)))) (= locOpenBrace_pre_87_36_13 locOpenBrace_87_36_13) (= locOpenBrace_87_36_13 (asField locOpenBrace_87_36_13 T_int)) (= count_pre_75_67_33 count_75_67_33) (= count_75_67_33 (asField count_75_67_33 T_int)) (= FLOATLIT_pre_47_42_26 FLOATLIT_47_42_26) (= true_term (is FLOATLIT_47_42_26 T_int)) (= STMTPRAGMA_pre_46_26_26 STMTPRAGMA_46_26_26) (= true_term (is STMTPRAGMA_46_26_26 T_int)) (= loc_pre_91_18_13 loc_91_18_13) (= loc_91_18_13 (asField loc_91_18_13 T_int)) (= body_pre_87_34_19 body_87_34_19) (= body_87_34_19 (asField body_87_34_19 T_javafe_ast_BlockStmt)) (< (fClosedTime body_87_34_19) alloc) (= count_pre_93_67_33 count_93_67_33) (= count_93_67_33 (asField count_93_67_33 T_int)) (= locId_pre_80_38_13 locId_80_38_13) (= locId_80_38_13 (asField locId_80_38_13 T_int)) (= NULL_pre_46_82_26 NULL_46_82_26) (= true_term (is NULL_46_82_26 T_int)) (= elements_pre_22_61_39 elements_22_61_39) (= elements_22_61_39 (asField elements_22_61_39 (array T_javafe_ast_ImportDecl))) (< (fClosedTime elements_22_61_39) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select elements_22_61_39 ?s_4_) null)))) (= loc_pre_87_40_13 loc_87_40_13) (= loc_87_40_13 (asField loc_87_40_13 T_int)) (= loc_pre_73_45_13 loc_73_45_13) (= loc_73_45_13 (asField loc_73_45_13 T_int)) (= BOOLEANLIT_pre_47_38_26 BOOLEANLIT_47_38_26) (= true_term (is BOOLEANLIT_47_38_26 T_int)) (= out_pre_28_83_49 out_28_83_49) (= true_term (is out_28_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_28_83_49 alloc)) ?v_14 (= locId_pre_73_48_13 locId_73_48_13) (= locId_73_48_13 (asField locId_73_48_13 T_int)) (= LAST_KEYWORD_pre_46_103_26 LAST_KEYWORD_46_103_26) (= true_term (is LAST_KEYWORD_46_103_26 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is args_94_37 ?v_0)) (= true_term (isAllocated args_94_37 alloc)) (= true_term (nonnullelements args_94_37 elems)) (or ?v_6 (and ?v_2 ?v_15 (or ?v_6 (and ?v_2 (or (not ?v_7) (and ?v_7 (or (not ?v_9) (and ?v_9 (or (and ?v_10 (not ?v_11)) (and ?v_10 ?v_11 ?v_16 ?v_13 ?v_17 ?v_18 ?v_19 ?v_20 ?v_21 ?v_22 ?v_23 ?v_12 ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_29 (or (not ?v_12) (and ?v_12 (or (not ?v_13) (and ?v_13 ?v_30 ?v_31 ?v_32 ?v_33 ?v_5 (not ?v_14)))))))))))))) (and ?v_2 ?v_15 ?v_2 ?v_7 ?v_9 ?v_10 ?v_11 ?v_16 ?v_13 ?v_17 ?v_18 ?v_19 ?v_20 ?v_21 ?v_22 ?v_23 ?v_12 ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_29 ?v_12 ?v_13 ?v_30 ?v_31 ?v_32 (or (and ?v_33 ?v_5 ?v_14 (= EC_105_22_105_22 ecReturn) (= EC_2_ EC_105_22_105_22)) (and (not ?v_33) ?v_5 (= EC_2_ EC_103_29_103_29))) (not (= ecReturn ecReturn))))))))))))))
(check-sat)
(exit)
