(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_ArrayType () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_reader_DescriptorParser () Int)
(declare-fun T_java_util_Enumeration () Int)
(declare-fun T_javafe_ast_IdentifierVec () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_javafe_ast_TypeName () Int)
(declare-fun T_javafe_ast_PrimitiveType () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_java_lang_Error () Int)
(declare-fun T_java_util_StringTokenizer () Int)
(declare-fun T_java_lang_ClassFormatError () Int)
(declare-fun T_java_lang_LinkageError () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_reader_StringScanner () Int)
(declare-fun T_javafe_reader_MethodSignature () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun otherStrings_62_193_30 () Int)
(declare-fun LONGTYPE_27_29_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_62_27_26 () Int)
(declare-fun noTokens_62_212_27 () Int)
(declare-fun LONGLIT_27_40_26 () Int)
(declare-fun DOUBLETYPE_27_32_26 () Int)
(declare-fun DOUBLELIT_27_43_26 () Int)
(declare-fun FIRST_KEYWORD_62_51_26 () Int)
(declare-fun BYTETYPE_27_35_26 () Int)
(declare-fun INTTYPE_27_28_26 () Int)
(declare-fun STMTPRAGMA_62_26_26 () Int)
(declare-fun INTLIT_27_39_26 () Int)
(declare-fun FLOATTYPE_27_31_26 () Int)
(declare-fun LAST_KEYWORD_62_103_26 () Int)
(declare-fun punctuationCodes_62_164_19 () Int)
(declare-fun FLOATLIT_27_42_26 () Int)
(declare-fun NULLTYPE_27_34_26 () Int)
(declare-fun punctuationStrings_62_134_22 () Int)
(declare-fun NULL_62_82_26 () Int)
(declare-fun BOOLEANTYPE_27_27_26 () Int)
(declare-fun MODIFIERPRAGMA_62_25_26 () Int)
(declare-fun BOOLEANLIT_27_38_26 () Int)
(declare-fun CHARTYPE_27_30_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_62_28_26 () Int)
(declare-fun CHARLIT_27_41_26 () Int)
(declare-fun NULL_15_60_26 () Int)
(declare-fun keywordStrings_62_181_30 () Int)
(declare-fun VOIDTYPE_27_33_26 () Int)
(declare-fun STRINGLIT_27_44_26 () Int)
(declare-fun IDENT_27_25_26 () Int)
(declare-fun LEXICALPRAGMA_62_24_26 () Int)
(declare-fun SHORTTYPE_27_36_26 () Int)
(declare-fun otherCodes_62_202_27 () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int))) (and (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_ArrayType T_javafe_ast_Type) true_term) (= T_javafe_ast_ArrayType (asChild T_javafe_ast_ArrayType T_javafe_ast_Type)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_reader_DescriptorParser T_java_lang_Object) true_term) (= T_javafe_reader_DescriptorParser (asChild T_javafe_reader_DescriptorParser T_java_lang_Object)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Enumeration T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_IdentifierVec T_java_lang_Object) true_term) (= T_javafe_ast_IdentifierVec (asChild T_javafe_ast_IdentifierVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_javafe_ast_TypeName T_javafe_ast_Type) true_term) (= T_javafe_ast_TypeName (asChild T_javafe_ast_TypeName T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_PrimitiveType T_javafe_ast_Type) true_term) (= T_javafe_ast_PrimitiveType (asChild T_javafe_ast_PrimitiveType T_javafe_ast_Type)) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Error T_java_lang_Throwable) true_term) (= T_java_lang_Error (asChild T_java_lang_Error T_java_lang_Throwable)) (= (PO_LT T_java_util_StringTokenizer T_java_lang_Object) true_term) (= T_java_util_StringTokenizer (asChild T_java_util_StringTokenizer T_java_lang_Object)) (= (PO_LT T_java_util_StringTokenizer T_java_util_Enumeration) true_term) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_java_lang_ClassFormatError T_java_lang_LinkageError) true_term) (= T_java_lang_ClassFormatError (asChild T_java_lang_ClassFormatError T_java_lang_LinkageError)) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_reader_StringScanner T_java_lang_Object) true_term) (= T_javafe_reader_StringScanner (asChild T_javafe_reader_StringScanner T_java_lang_Object)) (= (PO_LT T_javafe_reader_MethodSignature T_java_lang_Object) true_term) (= T_javafe_reader_MethodSignature (asChild T_javafe_reader_MethodSignature T_java_lang_Object)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_LinkageError T_java_lang_Error) true_term) (= T_java_lang_LinkageError (asChild T_java_lang_LinkageError T_java_lang_Error)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_util_Vector (+ DIST_ZERO_1 10)) (= T_javafe_ast_Name (+ DIST_ZERO_1 11)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 12)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 13)) (= T_javafe_util_Location (+ DIST_ZERO_1 14)) (= T_javafe_ast_ArrayType (+ DIST_ZERO_1 15)) (= T_java_lang_Throwable (+ DIST_ZERO_1 16)) (= T_java_lang_Object (+ DIST_ZERO_1 17)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 18)) (= T_javafe_reader_DescriptorParser (+ DIST_ZERO_1 19)) (= T_java_io_Serializable (+ DIST_ZERO_1 20)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 21)) (= T_java_util_Enumeration (+ DIST_ZERO_1 22)) (= T_javafe_ast_IdentifierVec (+ DIST_ZERO_1 23)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 24)) (= T_java_lang_String (+ DIST_ZERO_1 25)) (= T_javafe_ast_Type (+ DIST_ZERO_1 26)) (= T_java_util_AbstractList (+ DIST_ZERO_1 27)) (= T_javafe_ast_TypeName (+ DIST_ZERO_1 28)) (= T_javafe_ast_PrimitiveType (+ DIST_ZERO_1 29)) (= T_java_util_Collection (+ DIST_ZERO_1 30)) (= T_java_lang_Error (+ DIST_ZERO_1 31)) (= T_java_util_StringTokenizer (+ DIST_ZERO_1 32)) (= T_java_util_List (+ DIST_ZERO_1 33)) (= T_java_lang_ClassFormatError (+ DIST_ZERO_1 34)) (= T_javafe_util_Assert (+ DIST_ZERO_1 35)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 36)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 37)) (= T_java_lang_Comparable (+ DIST_ZERO_1 38)) (= T_javafe_reader_StringScanner (+ DIST_ZERO_1 39)) (= T_javafe_reader_MethodSignature (+ DIST_ZERO_1 40)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 41)) (= T_java_lang_LinkageError (+ DIST_ZERO_1 42))) (= true_term (is otherStrings_62_193_30 ?v_0)) (not (= otherStrings_62_193_30 null)) (= (typeof otherStrings_62_193_30) ?v_0) (= (arrayLength otherStrings_62_193_30) 15) (= true_term (is LONGTYPE_27_29_26 T_int)) (= LONGTYPE_27_29_26 96) (= true_term (is TYPEDECLELEMPRAGMA_62_27_26 T_int)) (= TYPEDECLELEMPRAGMA_62_27_26 117) (= true_term (is noTokens_62_212_27 T_int)) (= true_term (is LONGLIT_27_40_26 T_int)) (= LONGLIT_27_40_26 106) (= true_term (is DOUBLETYPE_27_32_26 T_int)) (= DOUBLETYPE_27_32_26 99) (= true_term (is DOUBLELIT_27_43_26 T_int)) (= DOUBLELIT_27_43_26 109) (= true_term (is FIRST_KEYWORD_62_51_26 T_int)) (= FIRST_KEYWORD_62_51_26 133) (= true_term (is BYTETYPE_27_35_26 T_int)) (= BYTETYPE_27_35_26 102) (= true_term (is INTTYPE_27_28_26 T_int)) (= INTTYPE_27_28_26 95) (= true_term (is STMTPRAGMA_62_26_26 T_int)) (= STMTPRAGMA_62_26_26 116) (= true_term (is INTLIT_27_39_26 T_int)) (= INTLIT_27_39_26 105) (= true_term (is FLOATTYPE_27_31_26 T_int)) (= FLOATTYPE_27_31_26 98) (= true_term (is LAST_KEYWORD_62_103_26 T_int)) (= LAST_KEYWORD_62_103_26 183) (= true_term (is punctuationCodes_62_164_19 ?v_1)) (not (= punctuationCodes_62_164_19 null)) (= (typeof punctuationCodes_62_164_19) ?v_1) (= (arrayLength punctuationCodes_62_164_19) 48) (= true_term (is FLOATLIT_27_42_26 T_int)) (= FLOATLIT_27_42_26 108) (= true_term (is NULLTYPE_27_34_26 T_int)) (= NULLTYPE_27_34_26 101) (= true_term (is punctuationStrings_62_134_22 ?v_0)) (not (= punctuationStrings_62_134_22 null)) (= (typeof punctuationStrings_62_134_22) ?v_0) (= (arrayLength punctuationStrings_62_134_22) 48) (= true_term (is NULL_62_82_26 T_int)) (= NULL_62_82_26 163) (= true_term (is BOOLEANTYPE_27_27_26 T_int)) (= BOOLEANTYPE_27_27_26 94) (= true_term (is MODIFIERPRAGMA_62_25_26 T_int)) (= MODIFIERPRAGMA_62_25_26 115) (= true_term (is BOOLEANLIT_27_38_26 T_int)) (= BOOLEANLIT_27_38_26 104) (= true_term (is CHARTYPE_27_30_26 T_int)) (= CHARTYPE_27_30_26 97) (= true_term (is TYPEMODIFIERPRAGMA_62_28_26 T_int)) (= TYPEMODIFIERPRAGMA_62_28_26 118) (= true_term (is CHARLIT_27_41_26 T_int)) (= CHARLIT_27_41_26 107) (= true_term (is NULL_15_60_26 T_int)) (= NULL_15_60_26 0) (= true_term (is keywordStrings_62_181_30 ?v_0)) (not (= keywordStrings_62_181_30 null)) (= (typeof keywordStrings_62_181_30) ?v_0) (= (arrayLength keywordStrings_62_181_30) 51) (= true_term (is VOIDTYPE_27_33_26 T_int)) (= VOIDTYPE_27_33_26 100) (= true_term (is STRINGLIT_27_44_26 T_int)) (= STRINGLIT_27_44_26 110) (= true_term (is IDENT_27_25_26 T_int)) (= IDENT_27_25_26 93) (= true_term (is LEXICALPRAGMA_62_24_26 T_int)) (= LEXICALPRAGMA_62_24_26 114) (= true_term (is SHORTTYPE_27_36_26 T_int)) (= SHORTTYPE_27_36_26 103) (= true_term (is otherCodes_62_202_27 ?v_1)) (not (= otherCodes_62_202_27 null)) (= (typeof otherCodes_62_202_27) ?v_1) (= (arrayLength otherCodes_62_202_27) 15))))
(declare-fun ecReturn () Int)
(declare-fun ecThrow () Int)
(declare-fun otherStrings_pre_62_193_30 () Int)
(declare-fun LONGTYPE_pre_27_29_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_62_27_26 () Int)
(declare-fun noTokens_pre_62_212_27 () Int)
(declare-fun index_pre_298_6 () Int)
(declare-fun index_298_6 () Int)
(declare-fun LONGLIT_pre_27_40_26 () Int)
(declare-fun DOUBLETYPE_pre_27_32_26 () Int)
(declare-fun DOUBLELIT_pre_27_43_26 () Int)
(declare-fun count_pre_16_67_33 () Int)
(declare-fun count_16_67_33 () Int)
(declare-fun FIRST_KEYWORD_pre_62_51_26 () Int)
(declare-fun BYTETYPE_pre_27_35_26 () Int)
(declare-fun classLocation_pre_148_13 () Int)
(declare-fun classLocation_148_13 () Int)
(declare-fun INTTYPE_pre_27_28_26 () Int)
(declare-fun STMTPRAGMA_pre_62_26_26 () Int)
(declare-fun INTLIT_pre_27_39_26 () Int)
(declare-fun FLOATTYPE_pre_27_31_26 () Int)
(declare-fun s_pre_293_9 () Int)
(declare-fun s_293_9 () Int)
(declare-fun count_pre_21_99_33 () Int)
(declare-fun count_21_99_33 () Int)
(declare-fun LAST_KEYWORD_pre_62_103_26 () Int)
(declare-fun punctuationCodes_pre_62_164_19 () Int)
(declare-fun tag_pre_30_30_13 () Int)
(declare-fun tag_30_30_13 () Int)
(declare-fun FLOATLIT_pre_27_42_26 () Int)
(declare-fun loc_pre_30_35_13 () Int)
(declare-fun loc_30_35_13 () Int)
(declare-fun NULLTYPE_pre_27_34_26 () Int)
(declare-fun locOpenBracket_pre_31_21_13 () Int)
(declare-fun locOpenBracket_31_21_13 () Int)
(declare-fun punctuationStrings_pre_62_134_22 () Int)
(declare-fun NULL_pre_62_82_26 () Int)
(declare-fun BOOLEANTYPE_pre_27_27_26 () Int)
(declare-fun elements_pre_16_61_39 () Int)
(declare-fun elements_16_61_39 () Int)
(declare-fun MODIFIERPRAGMA_pre_62_25_26 () Int)
(declare-fun BOOLEANLIT_pre_27_38_26 () Int)
(declare-fun return__pre_26_117_15 () Int)
(declare-fun return__26_117_15 () Int)
(declare-fun syntax_pre_20_28_29 () Int)
(declare-fun syntax_20_28_29 () Int)
(declare-fun CHARTYPE_pre_27_30_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_62_28_26 () Int)
(declare-fun tokenType_pre_14_90_8 () Int)
(declare-fun tokenType_14_90_8 () Int)
(declare-fun owner_pre_4_35_28 () Int)
(declare-fun owner_4_35_28 () Int)
(declare-fun CHARLIT_pre_27_41_26 () Int)
(declare-fun NULL_pre_15_60_26 () Int)
(declare-fun keywordStrings_pre_62_181_30 () Int)
(declare-fun value_pre_21_91_31 () Int)
(declare-fun value_21_91_31 () Int)
(declare-fun VOIDTYPE_pre_27_33_26 () Int)
(declare-fun moreElements_pre_7_58_29 () Int)
(declare-fun moreElements_7_58_29 () Int)
(declare-fun STRINGLIT_pre_27_44_26 () Int)
(declare-fun IDENT_pre_27_25_26 () Int)
(declare-fun LEXICALPRAGMA_pre_62_24_26 () Int)
(declare-fun SHORTTYPE_pre_27_36_26 () Int)
(declare-fun elemType_pre_31_18_28 () Int)
(declare-fun elemType_31_18_28 () Int)
(declare-fun otherCodes_pre_62_202_27 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun scanner_242_48 () Int)
(declare-fun s_247_4 () Int)
(declare-fun index_248_4 () Int)
(declare-fun RES_250_17_250_17 () Int)
(declare-fun EC_250_17_250_17 () Int)
(declare-fun after_251_12_251_12 () Int)
(declare-fun RES_251_12_251_12 () Int)
(declare-fun EC_251_12_251_12 () Int)
(declare-fun RES_253_10_253_10 () Int)
(declare-fun EC_253_10_253_10 () Int)
(declare-fun tmp3_old_index_255_6 () Int)
(declare-fun index_255_14 () Int)
(declare-fun EC_247_26 () Int)
(declare-fun XRES_247_26 () Int)
(declare-fun RES_247_26 () Int)
(declare-fun RES_256_27_256_27 () Int)
(declare-fun EC_256_27_256_27 () Int)
(declare-fun XRES_256_27_256_27 () Int)
(declare-fun RES_259_11_259_11 () Int)
(declare-fun EC_259_11_259_11 () Int)
(declare-fun XRES_259_11_259_11 () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int)) (?v_2 (not (= scanner_242_48 null))) (?v_11 (not (= classLocation_148_13 NULL_15_60_26)))) (let ((?v_3 (not ?v_2)) (?v_13 (= s_247_4 (S_select s_293_9 scanner_242_48))) (?v_10 (S_select index_298_6 scanner_242_48))) (let ((?v_14 (= index_248_4 ?v_10)) (?v_4 (not (= s_247_4 null)))) (let ((?v_9 (not ?v_4)) (?v_15 (= true_term (is RES_250_17_250_17 T_int))) (?v_5 (= EC_250_17_250_17 ecReturn))) (let ((?v_16 (=> ?v_5 (>= RES_250_17_250_17 0))) (?v_17 (=> ?v_5 (= RES_250_17_250_17 (S_select count_21_99_33 s_247_4)))) (?v_7 (>= index_248_4 RES_250_17_250_17)) (?v_8 (= true_term true_term)) (?v_18 (< alloc after_251_12_251_12)) (?v_6 (not (= RES_251_12_251_12 null))) (?v_19 (not (= true_term (isAllocated RES_251_12_251_12 alloc)))) (?v_20 (= true_term (is RES_251_12_251_12 T_java_lang_ClassFormatError))) (?v_21 (= true_term (isAllocated RES_251_12_251_12 after_251_12_251_12))) (?v_22 (= EC_251_12_251_12 ecReturn)) (?v_23 (= (S_select owner_4_35_28 RES_251_12_251_12) null)) (?v_24 (= (typeof RES_251_12_251_12) T_java_lang_ClassFormatError))) (let ((?v_25 (not ?v_7)) (?v_26 (= true_term (is RES_253_10_253_10 T_char))) (?v_27 (= EC_253_10_253_10 ecReturn)) (?v_12 (= RES_253_10_253_10 86)) (?v_28 (= tmp3_old_index_255_6 ?v_10)) (?v_29 (= index_255_14 (S_store index_298_6 scanner_242_48 (+ tmp3_old_index_255_6 1))))) (let ((?v_31 (not ?v_12)) (?v_44 (= EC_247_26 ecThrow)) (?v_30 (= EC_256_27_256_27 ecReturn)) (?v_41 (= EC_247_26 ecReturn)) (?v_35 (= true_term (is RES_259_11_259_11 T_javafe_ast_Type))) (?v_36 (= true_term (isAllocated RES_259_11_259_11 alloc))) (?v_32 (= EC_259_11_259_11 ecThrow)) (?v_33 (typeof XRES_259_11_259_11))) (let ((?v_37 (=> ?v_32 (and (not (= XRES_259_11_259_11 null)) (= (PO_LT ?v_33 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_259_11_259_11 alloc))))) (?v_34 (= EC_259_11_259_11 ecReturn))) (let ((?v_38 (or ?v_34 (and ?v_32 (= (PO_LT ?v_33 T_java_lang_ClassFormatError) true_term)))) (?v_39 (=> ?v_34 (not (= RES_259_11_259_11 null)))) (?v_40 (=> ?v_34 (= true_term (S_select syntax_20_28_29 RES_259_11_259_11)))) (?v_42 (= XRES_247_26 XRES_259_11_259_11)) (?v_43 (= RES_247_26 RES_259_11_259_11)) (?v_45 (=> ?v_41 (not (= RES_247_26 null))))) (not (=> (distinct ecReturn ecThrow) (=> (and (= otherStrings_pre_62_193_30 otherStrings_62_193_30) (= true_term (is otherStrings_62_193_30 ?v_0)) (= true_term (isAllocated otherStrings_62_193_30 alloc)) (= LONGTYPE_pre_27_29_26 LONGTYPE_27_29_26) (= true_term (is LONGTYPE_27_29_26 T_int)) (= TYPEDECLELEMPRAGMA_pre_62_27_26 TYPEDECLELEMPRAGMA_62_27_26) (= true_term (is TYPEDECLELEMPRAGMA_62_27_26 T_int)) (= noTokens_pre_62_212_27 noTokens_62_212_27) (= true_term (is noTokens_62_212_27 T_int)) (= index_pre_298_6 index_298_6) (= index_298_6 (asField index_298_6 T_int)) (= LONGLIT_pre_27_40_26 LONGLIT_27_40_26) (= true_term (is LONGLIT_27_40_26 T_int)) (= DOUBLETYPE_pre_27_32_26 DOUBLETYPE_27_32_26) (= true_term (is DOUBLETYPE_27_32_26 T_int)) (= DOUBLELIT_pre_27_43_26 DOUBLELIT_27_43_26) (= true_term (is DOUBLELIT_27_43_26 T_int)) (= count_pre_16_67_33 count_16_67_33) (= count_16_67_33 (asField count_16_67_33 T_int)) (= FIRST_KEYWORD_pre_62_51_26 FIRST_KEYWORD_62_51_26) (= true_term (is FIRST_KEYWORD_62_51_26 T_int)) (= BYTETYPE_pre_27_35_26 BYTETYPE_27_35_26) (= true_term (is BYTETYPE_27_35_26 T_int)) (= classLocation_pre_148_13 classLocation_148_13) (= true_term (is classLocation_148_13 T_int)) (= INTTYPE_pre_27_28_26 INTTYPE_27_28_26) (= true_term (is INTTYPE_27_28_26 T_int)) (= STMTPRAGMA_pre_62_26_26 STMTPRAGMA_62_26_26) (= true_term (is STMTPRAGMA_62_26_26 T_int)) (= INTLIT_pre_27_39_26 INTLIT_27_39_26) (= true_term (is INTLIT_27_39_26 T_int)) (= FLOATTYPE_pre_27_31_26 FLOATTYPE_27_31_26) (= true_term (is FLOATTYPE_27_31_26 T_int)) (= s_pre_293_9 s_293_9) (= s_293_9 (asField s_293_9 T_java_lang_String)) (< (fClosedTime s_293_9) alloc) (= count_pre_21_99_33 count_21_99_33) (= count_21_99_33 (asField count_21_99_33 T_int)) (= LAST_KEYWORD_pre_62_103_26 LAST_KEYWORD_62_103_26) (= true_term (is LAST_KEYWORD_62_103_26 T_int)) (= punctuationCodes_pre_62_164_19 punctuationCodes_62_164_19) (= true_term (is punctuationCodes_62_164_19 ?v_1)) (= true_term (isAllocated punctuationCodes_62_164_19 alloc)) (= tag_pre_30_30_13 tag_30_30_13) (= tag_30_30_13 (asField tag_30_30_13 T_int)) (= FLOATLIT_pre_27_42_26 FLOATLIT_27_42_26) (= true_term (is FLOATLIT_27_42_26 T_int)) (= loc_pre_30_35_13 loc_30_35_13) (= loc_30_35_13 (asField loc_30_35_13 T_int)) (= NULLTYPE_pre_27_34_26 NULLTYPE_27_34_26) (= true_term (is NULLTYPE_27_34_26 T_int)) (= locOpenBracket_pre_31_21_13 locOpenBracket_31_21_13) (= locOpenBracket_31_21_13 (asField locOpenBracket_31_21_13 T_int)) (= punctuationStrings_pre_62_134_22 punctuationStrings_62_134_22) (= true_term (is punctuationStrings_62_134_22 ?v_0)) (= true_term (isAllocated punctuationStrings_62_134_22 alloc)) (= NULL_pre_62_82_26 NULL_62_82_26) (= true_term (is NULL_62_82_26 T_int)) (= BOOLEANTYPE_pre_27_27_26 BOOLEANTYPE_27_27_26) (= true_term (is BOOLEANTYPE_27_27_26 T_int)) (= elements_pre_16_61_39 elements_16_61_39) (= elements_16_61_39 (asField elements_16_61_39 (array T_javafe_ast_Identifier))) (< (fClosedTime elements_16_61_39) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select elements_16_61_39 ?s) null)))) (= MODIFIERPRAGMA_pre_62_25_26 MODIFIERPRAGMA_62_25_26) (= true_term (is MODIFIERPRAGMA_62_25_26 T_int)) (= BOOLEANLIT_pre_27_38_26 BOOLEANLIT_27_38_26) (= true_term (is BOOLEANLIT_27_38_26 T_int)) (= return__pre_26_117_15 return__26_117_15) (= return__26_117_15 (asField return__26_117_15 T_javafe_ast_Type)) (< (fClosedTime return__26_117_15) alloc) (= syntax_pre_20_28_29 syntax_20_28_29) (= syntax_20_28_29 (asField syntax_20_28_29 T_boolean)) (= CHARTYPE_pre_27_30_26 CHARTYPE_27_30_26) (= true_term (is CHARTYPE_27_30_26 T_int)) (= TYPEMODIFIERPRAGMA_pre_62_28_26 TYPEMODIFIERPRAGMA_62_28_26) (= true_term (is TYPEMODIFIERPRAGMA_62_28_26 T_int)) (= tokenType_pre_14_90_8 tokenType_14_90_8) (= tokenType_14_90_8 (asField tokenType_14_90_8 T_int)) (= owner_pre_4_35_28 owner_4_35_28) (= owner_4_35_28 (asField owner_4_35_28 T_java_lang_Object)) (< (fClosedTime owner_4_35_28) alloc) (= CHARLIT_pre_27_41_26 CHARLIT_27_41_26) (= true_term (is CHARLIT_27_41_26 T_int)) (= NULL_pre_15_60_26 NULL_15_60_26) (= true_term (is NULL_15_60_26 T_int)) (= keywordStrings_pre_62_181_30 keywordStrings_62_181_30) (= true_term (is keywordStrings_62_181_30 ?v_0)) (= true_term (isAllocated keywordStrings_62_181_30 alloc)) (= value_pre_21_91_31 value_21_91_31) (= value_21_91_31 (asField value_21_91_31 (array T_char))) (< (fClosedTime value_21_91_31) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select value_21_91_31 ?s_1_) null)))) (= VOIDTYPE_pre_27_33_26 VOIDTYPE_27_33_26) (= true_term (is VOIDTYPE_27_33_26 T_int)) (= moreElements_pre_7_58_29 moreElements_7_58_29) (= moreElements_7_58_29 (asField moreElements_7_58_29 T_boolean)) (= STRINGLIT_pre_27_44_26 STRINGLIT_27_44_26) (= true_term (is STRINGLIT_27_44_26 T_int)) (= IDENT_pre_27_25_26 IDENT_27_25_26) (= true_term (is IDENT_27_25_26 T_int)) (= LEXICALPRAGMA_pre_62_24_26 LEXICALPRAGMA_62_24_26) (= true_term (is LEXICALPRAGMA_62_24_26 T_int)) (= SHORTTYPE_pre_27_36_26 SHORTTYPE_27_36_26) (= true_term (is SHORTTYPE_27_36_26 T_int)) (= elemType_pre_31_18_28 elemType_31_18_28) (= elemType_31_18_28 (asField elemType_31_18_28 T_javafe_ast_Type)) (< (fClosedTime elemType_31_18_28) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select elemType_31_18_28 ?s_2_) null)))) (= otherCodes_pre_62_202_27 otherCodes_62_202_27) (= true_term (is otherCodes_62_202_27 ?v_1)) (= true_term (isAllocated otherCodes_62_202_27 alloc)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is scanner_242_48 T_javafe_reader_StringScanner)) (= true_term (isAllocated scanner_242_48 alloc)) ?v_2 (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_reader_StringScanner)) (not (= ?brokenObj null))) (not (= (S_select s_293_9 ?brokenObj) null)))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_java_lang_String)) (not (= ?brokenObj_1_ null))) (<= (S_select count_21_99_33 ?brokenObj_1_) (arrayLength (S_select value_21_91_31 ?brokenObj_1_))))) ?v_11 (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_java_lang_String)) (not (= ?brokenObj_2_ null))) (>= (S_select count_21_99_33 ?brokenObj_2_) 0))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_ast_PrimitiveType)) (not (= ?brokenObj_3_ null)) (= true_term (S_select syntax_20_28_29 ?brokenObj_3_))) (not (= (S_select loc_30_35_13 ?brokenObj_3_) NULL_15_60_26)))) (forall ((?brokenObj_4_ Int)) (let ((?v_46 (S_select tag_30_30_13 ?brokenObj_4_))) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_ast_PrimitiveType)) (not (= ?brokenObj_4_ null))) (or (= ?v_46 BOOLEANTYPE_27_27_26) (= ?v_46 INTTYPE_27_28_26) (= ?v_46 LONGTYPE_27_29_26) (= ?v_46 CHARTYPE_27_30_26) (= ?v_46 FLOATTYPE_27_31_26) (= ?v_46 DOUBLETYPE_27_32_26) (= ?v_46 VOIDTYPE_27_33_26) (= ?v_46 NULLTYPE_27_34_26) (= ?v_46 BYTETYPE_27_35_26) (= ?v_46 SHORTTYPE_27_36_26))))) (or ?v_3 (and ?v_2 ?v_13 (or ?v_3 (and ?v_2 ?v_14 (or ?v_9 (and ?v_4 ?v_15 ?v_5 ?v_16 ?v_17 (or (and ?v_7 ?v_8 ?v_18 ?v_6 ?v_19 ?v_20 ?v_21 ?v_22 ?v_23 ?v_24 (not ?v_6)) (and ?v_25 ?v_8 (or ?v_9 (and ?v_4 ?v_26 ?v_27 (or (and ?v_12 ?v_8 (or ?v_3 (and ?v_2 ?v_28 ?v_29 (or (not (or (= VOIDTYPE_27_33_26 BOOLEANTYPE_27_27_26) (= VOIDTYPE_27_33_26 INTTYPE_27_28_26) (= VOIDTYPE_27_33_26 LONGTYPE_27_29_26) (= VOIDTYPE_27_33_26 CHARTYPE_27_30_26) (= VOIDTYPE_27_33_26 FLOATTYPE_27_31_26) (= VOIDTYPE_27_33_26 DOUBLETYPE_27_32_26) (= VOIDTYPE_27_33_26 VOIDTYPE_27_33_26) (= VOIDTYPE_27_33_26 NULLTYPE_27_34_26) (= VOIDTYPE_27_33_26 BYTETYPE_27_35_26) (= VOIDTYPE_27_33_26 SHORTTYPE_27_36_26))) (not ?v_11))))) (and ?v_31 ?v_8 ?v_3))))))))))) (and ?v_2 ?v_13 ?v_2 ?v_14 ?v_4 ?v_15 ?v_5 ?v_16 ?v_17 (or (and ?v_7 ?v_8 ?v_18 ?v_6 ?v_19 ?v_20 ?v_21 ?v_22 ?v_23 ?v_24 ?v_6 ?v_8 ?v_44 (= XRES_247_26 RES_251_12_251_12) (= RES_247_26 RES_251_12_251_12)) (and ?v_25 ?v_8 ?v_4 ?v_26 ?v_27 (or (and ?v_12 ?v_8 ?v_2 ?v_28 ?v_29 ?v_11 (= true_term (is RES_256_27_256_27 T_javafe_ast_PrimitiveType)) (= true_term (isAllocated RES_256_27_256_27 alloc)) ?v_30 (=> ?v_30 (= true_term (S_select syntax_20_28_29 RES_256_27_256_27))) (=> ?v_30 (not (= RES_256_27_256_27 null))) ?v_8 ?v_41 (= XRES_247_26 XRES_256_27_256_27) (= RES_247_26 RES_256_27_256_27)) (and ?v_31 ?v_8 (or (and ?v_2 ?v_35 ?v_36 ?v_37 ?v_38 ?v_39 ?v_40 ?v_8 ?v_32 (= EC_247_26 EC_259_11_259_11) ?v_42 ?v_43) (and ?v_2 ?v_35 ?v_36 ?v_37 ?v_38 ?v_39 ?v_40 ?v_34 ?v_8 ?v_41 ?v_42 ?v_43)))))) (or (not (or ?v_41 (and ?v_44 (= (PO_LT (typeof XRES_247_26) T_java_lang_ClassFormatError) true_term)))) (not ?v_45) (and ?v_45 (not (=> ?v_41 (= true_term (S_select syntax_20_28_29 RES_247_26)))))))))))))))))))))))
(check-sat)
(exit)
