(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_ast_OnDemandImportDecl () Int)
(declare-fun T_javafe_ast_ImportDecl () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_javafe_reader_Reader () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_reader_TypeReader () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_javafe_ast_SingleTypeImportDecl () Int)
(declare-fun T_javafe_tc_Env () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_tc_OutsideEnv () Int)
(declare-fun T_javafe_ast_TypeName () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_ast_ASTDecoration () Int)
(declare-fun T_javafe_tc_MethodDeclVec () Int)
(declare-fun T_javafe_util_ErrorSet () Int)
(declare-fun T_javafe_tc_TypeSig () Int)
(declare-fun T_javafe_tc_EnvForCU () Int)
(declare-fun T_javafe_tc_Types () Int)
(declare-fun T_javafe_tc_FieldDeclVec () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_javafe_ast_ImportDeclVec () Int)
(declare-fun T_java_lang_RuntimeException () Int)
(declare-fun T_java_lang_ClassCastException () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_ast_PrimitiveType () Int)
(declare-fun T_javafe_ast_MethodDecl () Int)
(declare-fun T_javafe_ast_TypeDeclVec () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun out_34_83_49 () Int)
(declare-fun BOOLEANLIT_65_38_26 () Int)
(declare-fun keywordStrings_64_181_30 () Int)
(declare-fun punctuationStrings_64_134_22 () Int)
(declare-fun CHARLIT_65_41_26 () Int)
(declare-fun STMTPRAGMA_64_26_26 () Int)
(declare-fun otherCodes_64_202_27 () Int)
(declare-fun STRINGLIT_65_44_26 () Int)
(declare-fun otherStrings_64_193_30 () Int)
(declare-fun IDENT_65_25_26 () Int)
(declare-fun noTokens_64_212_27 () Int)
(declare-fun LAST_KEYWORD_64_103_26 () Int)
(declare-fun NULL_64_82_26 () Int)
(declare-fun LONGLIT_65_40_26 () Int)
(declare-fun MODIFIERPRAGMA_64_25_26 () Int)
(declare-fun DOUBLELIT_65_43_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_64_28_26 () Int)
(declare-fun punctuationCodes_64_164_19 () Int)
(declare-fun NULL_30_60_26 () Int)
(declare-fun INTLIT_65_39_26 () Int)
(declare-fun LEXICALPRAGMA_64_24_26 () Int)
(declare-fun FLOATLIT_65_42_26 () Int)
(declare-fun FIRST_KEYWORD_64_51_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_64_27_26 () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int))) (and (= (PO_LT T_javafe_ast_OnDemandImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_OnDemandImportDecl (asChild T_javafe_ast_OnDemandImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_javafe_reader_Reader T_java_lang_Object) true_term) (= T_javafe_reader_Reader (asChild T_javafe_reader_Reader T_java_lang_Object)) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_reader_TypeReader T_javafe_reader_Reader) true_term) (= T_javafe_reader_TypeReader (asChild T_javafe_reader_TypeReader T_javafe_reader_Reader)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_SingleTypeImportDecl (asChild T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_javafe_tc_Env T_java_lang_Object) true_term) (= T_javafe_tc_Env (asChild T_javafe_tc_Env T_java_lang_Object)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_javafe_tc_OutsideEnv T_java_lang_Object) true_term) (= T_javafe_tc_OutsideEnv (asChild T_javafe_tc_OutsideEnv T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_tc_OutsideEnv) true_term) (= ?t T_javafe_tc_OutsideEnv))) (= (PO_LT T_javafe_ast_TypeName T_javafe_ast_Type) true_term) (= T_javafe_ast_TypeName (asChild T_javafe_ast_TypeName T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_ASTDecoration T_java_lang_Object) true_term) (= T_javafe_ast_ASTDecoration (asChild T_javafe_ast_ASTDecoration T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_javafe_tc_MethodDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_MethodDeclVec (asChild T_javafe_tc_MethodDeclVec T_java_lang_Object)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_ErrorSet T_java_lang_Object) true_term) (= T_javafe_util_ErrorSet (asChild T_javafe_util_ErrorSet T_java_lang_Object)) (= (PO_LT T_javafe_tc_TypeSig T_javafe_ast_Type) true_term) (= T_javafe_tc_TypeSig (asChild T_javafe_tc_TypeSig T_javafe_ast_Type)) (= (PO_LT T_javafe_tc_EnvForCU T_javafe_tc_Env) true_term) (= T_javafe_tc_EnvForCU (asChild T_javafe_tc_EnvForCU T_javafe_tc_Env)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_javafe_tc_Types T_java_lang_Object) true_term) (= T_javafe_tc_Types (asChild T_javafe_tc_Types T_java_lang_Object)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_tc_FieldDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_FieldDeclVec (asChild T_javafe_tc_FieldDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_ast_ImportDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_ImportDeclVec (asChild T_javafe_ast_ImportDeclVec T_java_lang_Object)) (= (PO_LT T_java_lang_RuntimeException T_java_lang_Exception) true_term) (= T_java_lang_RuntimeException (asChild T_java_lang_RuntimeException T_java_lang_Exception)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_ClassCastException T_java_lang_RuntimeException) true_term) (= T_java_lang_ClassCastException (asChild T_java_lang_ClassCastException T_java_lang_RuntimeException)) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_PrimitiveType T_javafe_ast_Type) true_term) (= T_javafe_ast_PrimitiveType (asChild T_javafe_ast_PrimitiveType T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_ImportDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ImportDecl (asChild T_javafe_ast_ImportDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_MethodDecl (asChild T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeDeclVec (asChild T_javafe_ast_TypeDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_ast_OnDemandImportDecl (+ DIST_ZERO_1 10)) (= T_java_util_Map (+ DIST_ZERO_1 11)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 12)) (= T_java_io_PrintStream (+ DIST_ZERO_1 13)) (= T_javafe_reader_Reader (+ DIST_ZERO_1 14)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 15)) (= T_java_lang_String (+ DIST_ZERO_1 16)) (= T_javafe_reader_TypeReader (+ DIST_ZERO_1 17)) (= T_java_util_Dictionary (+ DIST_ZERO_1 18)) (= T_java_lang_Throwable (+ DIST_ZERO_1 19)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 20)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 21)) (= T_java_io_OutputStream (+ DIST_ZERO_1 22)) (= T_java_lang_Exception (+ DIST_ZERO_1 23)) (= T_java_lang_System (+ DIST_ZERO_1 24)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 25)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 26)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 27)) (= T_javafe_ast_SingleTypeImportDecl (+ DIST_ZERO_1 28)) (= T_javafe_tc_Env (+ DIST_ZERO_1 29)) (= T_java_lang_Comparable (+ DIST_ZERO_1 30)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 31)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 32)) (= T_javafe_tc_OutsideEnv (+ DIST_ZERO_1 33)) (= T_javafe_ast_TypeName (+ DIST_ZERO_1 34)) (= T_javafe_ast_ASTDecoration (+ DIST_ZERO_1 35)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 36)) (= T_javafe_tc_MethodDeclVec (+ DIST_ZERO_1 37)) (= T_java_io_Serializable (+ DIST_ZERO_1 38)) (= T_javafe_util_ErrorSet (+ DIST_ZERO_1 39)) (= T_javafe_tc_TypeSig (+ DIST_ZERO_1 40)) (= T_javafe_tc_EnvForCU (+ DIST_ZERO_1 41)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 42)) (= T_javafe_tc_Types (+ DIST_ZERO_1 43)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 44)) (= T_javafe_tc_FieldDeclVec (+ DIST_ZERO_1 45)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 46)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 47)) (= T_javafe_ast_Name (+ DIST_ZERO_1 48)) (= T_javafe_ast_Type (+ DIST_ZERO_1 49)) (= T_java_util_Properties (+ DIST_ZERO_1 50)) (= T_java_lang_Object (+ DIST_ZERO_1 51)) (= T_javafe_ast_ImportDeclVec (+ DIST_ZERO_1 52)) (= T_java_lang_RuntimeException (+ DIST_ZERO_1 53)) (= T_java_util_Hashtable (+ DIST_ZERO_1 54)) (= T_java_lang_ClassCastException (+ DIST_ZERO_1 55)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 56)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 57)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 58)) (= T_javafe_ast_PrimitiveType (+ DIST_ZERO_1 59)) (= T_javafe_ast_ImportDecl (+ DIST_ZERO_1 60)) (= T_javafe_ast_MethodDecl (+ DIST_ZERO_1 61)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 62)) (= T_javafe_ast_TypeDeclVec (+ DIST_ZERO_1 63)) (= T_javafe_util_Location (+ DIST_ZERO_1 64))) (= true_term (is out_34_83_49 T_java_io_PrintStream)) (= true_term (is BOOLEANLIT_65_38_26 T_int)) (= BOOLEANLIT_65_38_26 104) (= true_term (is keywordStrings_64_181_30 ?v_0)) (not (= keywordStrings_64_181_30 null)) (= (typeof keywordStrings_64_181_30) ?v_0) (= (arrayLength keywordStrings_64_181_30) 51) (= true_term (is punctuationStrings_64_134_22 ?v_0)) (not (= punctuationStrings_64_134_22 null)) (= (typeof punctuationStrings_64_134_22) ?v_0) (= (arrayLength punctuationStrings_64_134_22) 48) (= true_term (is CHARLIT_65_41_26 T_int)) (= CHARLIT_65_41_26 107) (= true_term (is STMTPRAGMA_64_26_26 T_int)) (= STMTPRAGMA_64_26_26 116) (= true_term (is otherCodes_64_202_27 ?v_1)) (not (= otherCodes_64_202_27 null)) (= (typeof otherCodes_64_202_27) ?v_1) (= (arrayLength otherCodes_64_202_27) 15) (= true_term (is STRINGLIT_65_44_26 T_int)) (= STRINGLIT_65_44_26 110) (= true_term (is otherStrings_64_193_30 ?v_0)) (not (= otherStrings_64_193_30 null)) (= (typeof otherStrings_64_193_30) ?v_0) (= (arrayLength otherStrings_64_193_30) 15) (= true_term (is IDENT_65_25_26 T_int)) (= IDENT_65_25_26 93) (= true_term (is noTokens_64_212_27 T_int)) (= true_term (is LAST_KEYWORD_64_103_26 T_int)) (= LAST_KEYWORD_64_103_26 183) (= true_term (is NULL_64_82_26 T_int)) (= NULL_64_82_26 163) (= true_term (is LONGLIT_65_40_26 T_int)) (= LONGLIT_65_40_26 106) (= true_term (is MODIFIERPRAGMA_64_25_26 T_int)) (= MODIFIERPRAGMA_64_25_26 115) (= true_term (is DOUBLELIT_65_43_26 T_int)) (= DOUBLELIT_65_43_26 109) (= true_term (is TYPEMODIFIERPRAGMA_64_28_26 T_int)) (= TYPEMODIFIERPRAGMA_64_28_26 118) (= true_term (is punctuationCodes_64_164_19 ?v_1)) (not (= punctuationCodes_64_164_19 null)) (= (typeof punctuationCodes_64_164_19) ?v_1) (= (arrayLength punctuationCodes_64_164_19) 48) (= true_term (is NULL_30_60_26 T_int)) (= NULL_30_60_26 0) (= true_term (is INTLIT_65_39_26 T_int)) (= INTLIT_65_39_26 105) (= true_term (is LEXICALPRAGMA_64_24_26 T_int)) (= LEXICALPRAGMA_64_24_26 114) (= true_term (is FLOATLIT_65_42_26 T_int)) (= FLOATLIT_65_42_26 108) (= true_term (is FIRST_KEYWORD_64_51_26 T_int)) (= FIRST_KEYWORD_64_51_26 133) (= true_term (is TYPEDECLELEMPRAGMA_64_27_26 T_int)) (= TYPEDECLELEMPRAGMA_64_27_26 117))))
(declare-fun out_pre_34_83_49 () Int)
(declare-fun locId_pre_15_48_13 () Int)
(declare-fun locId_15_48_13 () Int)
(declare-fun type_pre_39_35_28 () Int)
(declare-fun type_39_35_28 () Int)
(declare-fun locOpenBrace_pre_15_51_13 () Int)
(declare-fun locOpenBrace_15_51_13 () Int)
(declare-fun locCloseBrace_pre_15_54_13 () Int)
(declare-fun locCloseBrace_15_54_13 () Int)
(declare-fun loc_pre_15_45_13 () Int)
(declare-fun loc_15_45_13 () Int)
(declare-fun count_pre_86_67_33 () Int)
(declare-fun count_86_67_33 () Int)
(declare-fun syntax_pre_19_28_29 () Int)
(declare-fun syntax_19_28_29 () Int)
(declare-fun BOOLEANLIT_pre_65_38_26 () Int)
(declare-fun keywordStrings_pre_64_181_30 () Int)
(declare-fun locId_pre_39_38_13 () Int)
(declare-fun locId_39_38_13 () Int)
(declare-fun elements_pre_85_61_38 () Int)
(declare-fun elements_85_61_38 () Int)
(declare-fun elems_pre_6_27_35 () Int)
(declare-fun elems_6_27_35 () Int)
(declare-fun punctuationStrings_pre_64_134_22 () Int)
(declare-fun CHARLIT_pre_65_41_26 () Int)
(declare-fun typeName_pre_24_15_32 () Int)
(declare-fun typeName_24_15_32 () Int)
(declare-fun id_pre_39_32_34 () Int)
(declare-fun id_39_32_34 () Int)
(declare-fun loc_pre_6_30_13 () Int)
(declare-fun loc_6_30_13 () Int)
(declare-fun name_pre_25_18_28 () Int)
(declare-fun name_25_18_28 () Int)
(declare-fun STMTPRAGMA_pre_64_26_26 () Int)
(declare-fun returnType_pre_88_18_28 () Int)
(declare-fun returnType_88_18_28 () Int)
(declare-fun locOpenBrace_pre_89_36_13 () Int)
(declare-fun locOpenBrace_89_36_13 () Int)
(declare-fun otherCodes_pre_64_202_27 () Int)
(declare-fun elements_pre_20_61_39 () Int)
(declare-fun elements_20_61_39 () Int)
(declare-fun STRINGLIT_pre_65_44_26 () Int)
(declare-fun otherStrings_pre_64_193_30 () Int)
(declare-fun IDENT_pre_65_25_26 () Int)
(declare-fun noTokens_pre_64_212_27 () Int)
(declare-fun lenId_pre_27_914_30 () Int)
(declare-fun lenId_27_914_30 () Int)
(declare-fun count_pre_14_67_33 () Int)
(declare-fun count_14_67_33 () Int)
(declare-fun length_pre_26_50_25 () Int)
(declare-fun length_26_50_25 () Int)
(declare-fun LAST_KEYWORD_pre_64_103_26 () Int)
(declare-fun body_pre_89_34_19 () Int)
(declare-fun body_89_34_19 () Int)
(declare-fun NULL_pre_64_82_26 () Int)
(declare-fun elements_pre_86_61_39 () Int)
(declare-fun elements_86_61_39 () Int)
(declare-fun loc_pre_89_40_13 () Int)
(declare-fun loc_89_40_13 () Int)
(declare-fun LONGLIT_pre_65_40_26 () Int)
(declare-fun MODIFIERPRAGMA_pre_64_25_26 () Int)
(declare-fun locId_pre_89_43_13 () Int)
(declare-fun locId_89_43_13 () Int)
(declare-fun DOUBLELIT_pre_65_43_26 () Int)
(declare-fun loc_pre_62_35_13 () Int)
(declare-fun loc_62_35_13 () Int)
(declare-fun tokenType_pre_17_90_8 () Int)
(declare-fun tokenType_17_90_8 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_64_28_26 () Int)
(declare-fun lengthFieldDecl_pre_27_917_40 () Int)
(declare-fun lengthFieldDecl_27_917_40 () Int)
(declare-fun punctuationCodes_pre_64_164_19 () Int)
(declare-fun owner_pre_5_35_28 () Int)
(declare-fun owner_5_35_28 () Int)
(declare-fun CU_pre_25_44 () Int)
(declare-fun CU_25_44 () Int)
(declare-fun NULL_pre_30_60_26 () Int)
(declare-fun count_pre_85_67_33 () Int)
(declare-fun count_85_67_33 () Int)
(declare-fun locType_pre_88_21_13 () Int)
(declare-fun locType_88_21_13 () Int)
(declare-fun INTLIT_pre_65_39_26 () Int)
(declare-fun imports_pre_6_25_37 () Int)
(declare-fun imports_6_25_37 () Int)
(declare-fun LEXICALPRAGMA_pre_64_24_26 () Int)
(declare-fun loc_pre_23_18_13 () Int)
(declare-fun loc_23_18_13 () Int)
(declare-fun pkgName_pre_6_21_14 () Int)
(declare-fun pkgName_6_21_14 () Int)
(declare-fun elements_pre_14_61_37 () Int)
(declare-fun elements_14_61_37 () Int)
(declare-fun locOpenBrace_pre_96_22_13 () Int)
(declare-fun locOpenBrace_96_22_13 () Int)
(declare-fun count_pre_20_67_33 () Int)
(declare-fun count_20_67_33 () Int)
(declare-fun FLOATLIT_pre_65_42_26 () Int)
(declare-fun FIRST_KEYWORD_pre_64_51_26 () Int)
(declare-fun id_pre_15_32_34 () Int)
(declare-fun id_15_32_34 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_64_27_26 () Int)
(declare-fun locCloseBrace_pre_96_25_13 () Int)
(declare-fun locCloseBrace_96_25_13 () Int)
(declare-fun pkgName_pre_29_15_28 () Int)
(declare-fun pkgName_29_15_28 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun CU_31_50 () Int)
(declare-fun objectToBeConstructed () Int)
(declare-fun after_31_54_31_54 () Int)
(declare-fun RES_31_54_31_54 () Int)
(declare-fun EC_31_54_31_54 () Int)
(declare-fun ecReturn () Int)
(declare-fun CU_25_44_1_ () Int)
(declare-fun CU_zero () Int)
(declare-fun CU_32_6 () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int)) (?v_3 (= (S_select owner_5_35_28 RES_31_54_31_54) null)) (?v_2 (= ecReturn ecReturn))) (not (=> true (=> (and (= out_pre_34_83_49 out_34_83_49) (= true_term (is out_34_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_34_83_49 alloc)) (not (= out_34_83_49 null)) (= locId_pre_15_48_13 locId_15_48_13) (= locId_15_48_13 (asField locId_15_48_13 T_int)) (= type_pre_39_35_28 type_39_35_28) (= type_39_35_28 (asField type_39_35_28 T_javafe_ast_Type)) (< (fClosedTime type_39_35_28) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select type_39_35_28 ?s) null)))) (= locOpenBrace_pre_15_51_13 locOpenBrace_15_51_13) (= locOpenBrace_15_51_13 (asField locOpenBrace_15_51_13 T_int)) (= locCloseBrace_pre_15_54_13 locCloseBrace_15_54_13) (= locCloseBrace_15_54_13 (asField locCloseBrace_15_54_13 T_int)) (= loc_pre_15_45_13 loc_15_45_13) (= loc_15_45_13 (asField loc_15_45_13 T_int)) (= count_pre_86_67_33 count_86_67_33) (= count_86_67_33 (asField count_86_67_33 T_int)) (= syntax_pre_19_28_29 syntax_19_28_29) (= syntax_19_28_29 (asField syntax_19_28_29 T_boolean)) (= BOOLEANLIT_pre_65_38_26 BOOLEANLIT_65_38_26) (= true_term (is BOOLEANLIT_65_38_26 T_int)) (= keywordStrings_pre_64_181_30 keywordStrings_64_181_30) (= true_term (is keywordStrings_64_181_30 ?v_0)) (= true_term (isAllocated keywordStrings_64_181_30 alloc)) (= locId_pre_39_38_13 locId_39_38_13) (= locId_39_38_13 (asField locId_39_38_13 T_int)) (= elements_pre_85_61_38 elements_85_61_38) (= elements_85_61_38 (asField elements_85_61_38 (array T_javafe_ast_FieldDecl))) (< (fClosedTime elements_85_61_38) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elements_85_61_38 ?s_1_) null)))) (= elems_pre_6_27_35 elems_6_27_35) (= elems_6_27_35 (asField elems_6_27_35 T_javafe_ast_TypeDeclVec)) (< (fClosedTime elems_6_27_35) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select elems_6_27_35 ?s_2_) null)))) (= punctuationStrings_pre_64_134_22 punctuationStrings_64_134_22) (= true_term (is punctuationStrings_64_134_22 ?v_0)) (= true_term (isAllocated punctuationStrings_64_134_22 alloc)) (= CHARLIT_pre_65_41_26 CHARLIT_65_41_26) (= true_term (is CHARLIT_65_41_26 T_int)) (= typeName_pre_24_15_32 typeName_24_15_32) (= typeName_24_15_32 (asField typeName_24_15_32 T_javafe_ast_TypeName)) (< (fClosedTime typeName_24_15_32) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select typeName_24_15_32 ?s_3_) null)))) (= id_pre_39_32_34 id_39_32_34) (= id_39_32_34 (asField id_39_32_34 T_javafe_ast_Identifier)) (< (fClosedTime id_39_32_34) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select id_39_32_34 ?s_4_) null)))) (= loc_pre_6_30_13 loc_6_30_13) (= loc_6_30_13 (asField loc_6_30_13 T_int)) (= name_pre_25_18_28 name_25_18_28) (= name_25_18_28 (asField name_25_18_28 T_javafe_ast_Name)) (< (fClosedTime name_25_18_28) alloc) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (not (= (S_select name_25_18_28 ?s_5_) null)))) (= STMTPRAGMA_pre_64_26_26 STMTPRAGMA_64_26_26) (= true_term (is STMTPRAGMA_64_26_26 T_int)) (= returnType_pre_88_18_28 returnType_88_18_28) (= returnType_88_18_28 (asField returnType_88_18_28 T_javafe_ast_Type)) (< (fClosedTime returnType_88_18_28) alloc) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (not (= (S_select returnType_88_18_28 ?s_6_) null)))) (= locOpenBrace_pre_89_36_13 locOpenBrace_89_36_13) (= locOpenBrace_89_36_13 (asField locOpenBrace_89_36_13 T_int)) (= otherCodes_pre_64_202_27 otherCodes_64_202_27) (= true_term (is otherCodes_64_202_27 ?v_1)) (= true_term (isAllocated otherCodes_64_202_27 alloc)) (= elements_pre_20_61_39 elements_20_61_39) (= elements_20_61_39 (asField elements_20_61_39 (array T_javafe_ast_ImportDecl))) (< (fClosedTime elements_20_61_39) alloc) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (not (= (S_select elements_20_61_39 ?s_7_) null)))) (= STRINGLIT_pre_65_44_26 STRINGLIT_65_44_26) (= true_term (is STRINGLIT_65_44_26 T_int)) (= otherStrings_pre_64_193_30 otherStrings_64_193_30) (= true_term (is otherStrings_64_193_30 ?v_0)) (= true_term (isAllocated otherStrings_64_193_30 alloc)) (= IDENT_pre_65_25_26 IDENT_65_25_26) (= true_term (is IDENT_65_25_26 T_int)) (= noTokens_pre_64_212_27 noTokens_64_212_27) (= true_term (is noTokens_64_212_27 T_int)) (= lenId_pre_27_914_30 lenId_27_914_30) (= true_term (is lenId_27_914_30 T_javafe_ast_Identifier)) (= true_term (isAllocated lenId_27_914_30 alloc)) (= count_pre_14_67_33 count_14_67_33) (= count_14_67_33 (asField count_14_67_33 T_int)) (= length_pre_26_50_25 length_26_50_25) (= length_26_50_25 (asField length_26_50_25 T_int)) (= LAST_KEYWORD_pre_64_103_26 LAST_KEYWORD_64_103_26) (= true_term (is LAST_KEYWORD_64_103_26 T_int)) (= body_pre_89_34_19 body_89_34_19) (= body_89_34_19 (asField body_89_34_19 T_javafe_ast_BlockStmt)) (< (fClosedTime body_89_34_19) alloc) (= NULL_pre_64_82_26 NULL_64_82_26) (= true_term (is NULL_64_82_26 T_int)) (= elements_pre_86_61_39 elements_86_61_39) (= elements_86_61_39 (asField elements_86_61_39 (array T_javafe_ast_MethodDecl))) (< (fClosedTime elements_86_61_39) alloc) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (not (= (S_select elements_86_61_39 ?s_8_) null)))) (= loc_pre_89_40_13 loc_89_40_13) (= loc_89_40_13 (asField loc_89_40_13 T_int)) (= LONGLIT_pre_65_40_26 LONGLIT_65_40_26) (= true_term (is LONGLIT_65_40_26 T_int)) (= MODIFIERPRAGMA_pre_64_25_26 MODIFIERPRAGMA_64_25_26) (= true_term (is MODIFIERPRAGMA_64_25_26 T_int)) (= locId_pre_89_43_13 locId_89_43_13) (= locId_89_43_13 (asField locId_89_43_13 T_int)) (= DOUBLELIT_pre_65_43_26 DOUBLELIT_65_43_26) (= true_term (is DOUBLELIT_65_43_26 T_int)) (= loc_pre_62_35_13 loc_62_35_13) (= loc_62_35_13 (asField loc_62_35_13 T_int)) (= tokenType_pre_17_90_8 tokenType_17_90_8) (= tokenType_17_90_8 (asField tokenType_17_90_8 T_int)) (= TYPEMODIFIERPRAGMA_pre_64_28_26 TYPEMODIFIERPRAGMA_64_28_26) (= true_term (is TYPEMODIFIERPRAGMA_64_28_26 T_int)) (= lengthFieldDecl_pre_27_917_40 lengthFieldDecl_27_917_40) (= true_term (is lengthFieldDecl_27_917_40 T_javafe_ast_FieldDecl)) (= true_term (isAllocated lengthFieldDecl_27_917_40 alloc)) (not (= lengthFieldDecl_27_917_40 null)) (= punctuationCodes_pre_64_164_19 punctuationCodes_64_164_19) (= true_term (is punctuationCodes_64_164_19 ?v_1)) (= true_term (isAllocated punctuationCodes_64_164_19 alloc)) (= owner_pre_5_35_28 owner_5_35_28) (= owner_5_35_28 (asField owner_5_35_28 T_java_lang_Object)) (< (fClosedTime owner_5_35_28) alloc) (= CU_pre_25_44 CU_25_44) (= CU_25_44 (asField CU_25_44 T_javafe_ast_CompilationUnit)) (< (fClosedTime CU_25_44) alloc) (forall ((?s_9_ Int)) (=> (not (= ?s_9_ null)) (not (= (S_select CU_25_44 ?s_9_) null)))) (= NULL_pre_30_60_26 NULL_30_60_26) (= true_term (is NULL_30_60_26 T_int)) (= count_pre_85_67_33 count_85_67_33) (= count_85_67_33 (asField count_85_67_33 T_int)) (= locType_pre_88_21_13 locType_88_21_13) (= locType_88_21_13 (asField locType_88_21_13 T_int)) (= INTLIT_pre_65_39_26 INTLIT_65_39_26) (= true_term (is INTLIT_65_39_26 T_int)) (= imports_pre_6_25_37 imports_6_25_37) (= imports_6_25_37 (asField imports_6_25_37 T_javafe_ast_ImportDeclVec)) (< (fClosedTime imports_6_25_37) alloc) (forall ((?s_10_ Int)) (=> (not (= ?s_10_ null)) (not (= (S_select imports_6_25_37 ?s_10_) null)))) (= LEXICALPRAGMA_pre_64_24_26 LEXICALPRAGMA_64_24_26) (= true_term (is LEXICALPRAGMA_64_24_26 T_int)) (= loc_pre_23_18_13 loc_23_18_13) (= loc_23_18_13 (asField loc_23_18_13 T_int)) (= pkgName_pre_6_21_14 pkgName_6_21_14) (= pkgName_6_21_14 (asField pkgName_6_21_14 T_javafe_ast_Name)) (< (fClosedTime pkgName_6_21_14) alloc) (= elements_pre_14_61_37 elements_14_61_37) (= elements_14_61_37 (asField elements_14_61_37 (array T_javafe_ast_TypeDecl))) (< (fClosedTime elements_14_61_37) alloc) (forall ((?s_11_ Int)) (=> (not (= ?s_11_ null)) (not (= (S_select elements_14_61_37 ?s_11_) null)))) (= locOpenBrace_pre_96_22_13 locOpenBrace_96_22_13) (= locOpenBrace_96_22_13 (asField locOpenBrace_96_22_13 T_int)) (= count_pre_20_67_33 count_20_67_33) (= count_20_67_33 (asField count_20_67_33 T_int)) (= FLOATLIT_pre_65_42_26 FLOATLIT_65_42_26) (= true_term (is FLOATLIT_65_42_26 T_int)) (= FIRST_KEYWORD_pre_64_51_26 FIRST_KEYWORD_64_51_26) (= true_term (is FIRST_KEYWORD_64_51_26 T_int)) (= id_pre_15_32_34 id_15_32_34) (= id_15_32_34 (asField id_15_32_34 T_javafe_ast_Identifier)) (< (fClosedTime id_15_32_34) alloc) (forall ((?s_12_ Int)) (=> (not (= ?s_12_ null)) (not (= (S_select id_15_32_34 ?s_12_) null)))) (= TYPEDECLELEMPRAGMA_pre_64_27_26 TYPEDECLELEMPRAGMA_64_27_26) (= true_term (is TYPEDECLELEMPRAGMA_64_27_26 T_int)) (= locCloseBrace_pre_96_25_13 locCloseBrace_96_25_13) (= locCloseBrace_96_25_13 (asField locCloseBrace_96_25_13 T_int)) (= pkgName_pre_29_15_28 pkgName_29_15_28) (= pkgName_29_15_28 (asField pkgName_29_15_28 T_javafe_ast_Name)) (< (fClosedTime pkgName_29_15_28) alloc) (forall ((?s_13_ Int)) (=> (not (= ?s_13_ null)) (not (= (S_select pkgName_29_15_28 ?s_13_) null)))) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is CU_31_50 T_javafe_ast_CompilationUnit)) (= true_term (isAllocated CU_31_50 alloc)) (not (= CU_31_50 null)) (not (= true_term (isAllocated objectToBeConstructed alloc))) (< alloc after_31_54_31_54) (not (= RES_31_54_31_54 null)) (not (= true_term (isAllocated RES_31_54_31_54 alloc))) (= true_term (is RES_31_54_31_54 T_javafe_tc_Env)) (= true_term (isAllocated RES_31_54_31_54 after_31_54_31_54)) (= EC_31_54_31_54 ecReturn) ?v_3 (= (PO_LT (typeof RES_31_54_31_54) T_javafe_tc_EnvForCU) true_term) (= objectToBeConstructed RES_31_54_31_54) (= CU_25_44_1_ (S_store CU_25_44 RES_31_54_31_54 CU_zero)) (= CU_32_6 (S_store CU_25_44_1_ RES_31_54_31_54 CU_31_50)) (or (not ?v_2) (and ?v_2 (or (not ?v_3) (and ?v_3 (not (=> ?v_2 (not (= (S_select CU_32_6 RES_31_54_31_54) null)))))))))))))))
(check-sat)
(exit)
