(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_ast_CastExpr () Int)
(declare-fun T_javafe_ast_Expr () Int)
(declare-fun T_javafe_ast_NewArrayExpr () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_ast_BinaryExpr () Int)
(declare-fun T_javafe_ast_BranchStmt () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_java_lang_Double () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_ast_InterfaceDecl () Int)
(declare-fun T_javafe_ast_CatchClause () Int)
(declare-fun T_javafe_ast_SkipStmt () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_util_StackVector () Int)
(declare-fun T_javafe_tc_Env () Int)
(declare-fun T_javafe_ast_ParenExpr () Int)
(declare-fun T_javafe_tc_EnvForTypeSig () Int)
(declare-fun T_javafe_ast_SwitchStmt () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_javafe_ast_IfStmt () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Boolean () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_IdentifierVec () Int)
(declare-fun T_javafe_tc_TagConstants () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_MethodInvocation () Int)
(declare-fun T_javafe_ast_ModifierPragma () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_javafe_ast_TypeDeclElemVec () Int)
(declare-fun T_javafe_ast_DoStmt () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_ast_TypeDeclElemPragma () Int)
(declare-fun T_javafe_ast_VarInit () Int)
(declare-fun T_javafe_ast_ClassDecl () Int)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_javafe_ast_OnDemandImportDecl () Int)
(declare-fun T_javafe_ast_ImportDecl () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_ast_FormalParaDecl () Int)
(declare-fun T_javafe_ast_ClassDeclStmt () Int)
(declare-fun T_javafe_ast_AmbiguousVariableAccess () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_javafe_ast_SingleTypeImportDecl () Int)
(declare-fun T_javafe_ast_ThrowStmt () Int)
(declare-fun T_javafe_ast_SynchronizeStmt () Int)
(declare-fun T_javafe_util_ErrorSet () Int)
(declare-fun T_javafe_ast_CompoundName () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_javafe_ast_LabelStmt () Int)
(declare-fun T_javafe_tc_FieldDeclVec () Int)
(declare-fun T_javafe_ast_LiteralExpr () Int)
(declare-fun T_javafe_ast_TypeModifierPragmaVec () Int)
(declare-fun T_javafe_ast_ObjectDesignator () Int)
(declare-fun T_javafe_ast_TypeName () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_ast_CondExpr () Int)
(declare-fun T_javafe_ast_ClassLiteral () Int)
(declare-fun T_javafe_ast_EvalStmt () Int)
(declare-fun T_javafe_ast_VariableAccess () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_javafe_ast_SwitchLabel () Int)
(declare-fun T_javafe_ast_BreakStmt () Int)
(declare-fun T_javafe_tc_PrepTypeDeclaration () Int)
(declare-fun T_javafe_ast_ArrayType () Int)
(declare-fun T_javafe_tc_MethodDeclVec () Int)
(declare-fun T_javafe_ast_ArrayInit () Int)
(declare-fun T_javafe_ast_AmbiguousMethodInvocation () Int)
(declare-fun T_java_lang_Float () Int)
(declare-fun T_javafe_ast_TypeModifierPragma () Int)
(declare-fun T_javafe_ast_Modifiers () Int)
(declare-fun T_java_lang_Long () Int)
(declare-fun T_javafe_util_Set () Int)
(declare-fun T_javafe_parser_ParseUtil () Int)
(declare-fun T_javafe_ast_InitBlock () Int)
(declare-fun T_javafe_ast_ForStmt () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_FormalParaDeclVec () Int)
(declare-fun T_javafe_ast_TryFinallyStmt () Int)
(declare-fun T_javafe_ast_TypeNameVec () Int)
(declare-fun T_javafe_ast_ModifierPragmaVec () Int)
(declare-fun T_java_util_Enumeration () Int)
(declare-fun T_javafe_ast_TypeObjectDesignator () Int)
(declare-fun T_javafe_ast_PrimitiveType () Int)
(declare-fun T_javafe_ast_TryCatchStmt () Int)
(declare-fun T_javafe_ast_ExprObjectDesignator () Int)
(declare-fun T_javafe_ast_MethodDecl () Int)
(declare-fun T_javafe_tc_TypeSig () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_javafe_tc_Types () Int)
(declare-fun T_javafe_ast_WhileStmt () Int)
(declare-fun T_javafe_ast_ASTDecoration () Int)
(declare-fun T_javafe_ast_ConstructorDecl () Int)
(declare-fun T_javafe_ast_ArrayRefExpr () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_ast_LocalVarDecl () Int)
(declare-fun T_javafe_ast_InstanceOfExpr () Int)
(declare-fun T_javafe_ast_NewInstanceExpr () Int)
(declare-fun T_javafe_ast_VarDeclStmt () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_javafe_ast_ReturnStmt () Int)
(declare-fun T_javafe_ast_SuperObjectDesignator () Int)
(declare-fun T_javafe_ast_ExprVec () Int)
(declare-fun T_javafe_ast_FieldAccess () Int)
(declare-fun T_javafe_ast_ConstructorInvocation () Int)
(declare-fun T_javafe_ast_ContinueStmt () Int)
(declare-fun T_javafe_ast_SimpleName () Int)
(declare-fun T_javafe_ast_UnaryExpr () Int)
(declare-fun T_javafe_ast_ThisExpr () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun FORMALPARADECL_53_24_7 () Int)
(declare-fun ASGLSHIFT_52_46_26 () Int)
(declare-fun ACC_TRANSIENT_29_26_26 () Int)
(declare-fun CONDEXPR_53_51_7 () Int)
(declare-fun DOUBLELIT_51_43_26 () Int)
(declare-fun LAST_KEYWORD_50_103_26 () Int)
(declare-fun NULL_50_82_26 () Int)
(declare-fun ACC_VOLATILE_29_25_26 () Int)
(declare-fun FIELDDECL_53_23_7 () Int)
(declare-fun ASGSUB_52_45_26 () Int)
(declare-fun NEWARRAYEXPR_53_50_7 () Int)
(declare-fun ACC_SYNCHRONIZED_29_24_26 () Int)
(declare-fun FLOATLIT_51_42_26 () Int)
(declare-fun otherStrings_50_193_30 () Int)
(declare-fun NULL_40_60_26 () Int)
(declare-fun LOCALVARDECL_53_22_7 () Int)
(declare-fun ASGADD_52_44_26 () Int)
(declare-fun ACC_FINAL_29_23_26 () Int)
(declare-fun NEWINSTANCEEXPR_53_49_7 () Int)
(declare-fun CHARLIT_51_41_26 () Int)
(declare-fun ACC_STATIC_29_22_26 () Int)
(declare-fun INITBLOCK_53_21_7 () Int)
(declare-fun ASGREM_52_43_26 () Int)
(declare-fun ARRAYREFEXPR_53_48_7 () Int)
(declare-fun ACC_PROTECTED_29_21_26 () Int)
(declare-fun LONGLIT_51_40_26 () Int)
(declare-fun METHODDECL_53_20_7 () Int)
(declare-fun ASGDIV_52_42_26 () Int)
(declare-fun ACC_PRIVATE_29_20_26 () Int)
(declare-fun THISEXPR_53_47_7 () Int)
(declare-fun INTLIT_51_39_26 () Int)
(declare-fun ACC_PUBLIC_29_19_26 () Int)
(declare-fun CONSTRUCTORDECL_53_19_7 () Int)
(declare-fun ASGMUL_52_41_26 () Int)
(declare-fun map_6_301_35 () Int)
(declare-fun ARRAYINIT_53_46_7 () Int)
(declare-fun BOOLEANLIT_51_38_26 () Int)
(declare-fun PREPPED_6_775_28 () Int)
(declare-fun INTERFACEDECL_53_18_7 () Int)
(declare-fun ASSIGN_52_40_26 () Int)
(declare-fun CATCHCLAUSE_53_45_7 () Int)
(declare-fun SHORTTYPE_51_36_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_50_28_26 () Int)
(declare-fun CLASSDECL_53_17_7 () Int)
(declare-fun STAR_52_37_26 () Int)
(declare-fun CONSTRUCTORINVOCATION_53_44_7 () Int)
(declare-fun BYTETYPE_51_35_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_50_27_26 () Int)
(declare-fun ONDEMANDIMPORTDECL_53_16_7 () Int)
(declare-fun MOD_52_36_26 () Int)
(declare-fun TRYCATCHSTMT_53_43_7 () Int)
(declare-fun PARSED_6_772_28 () Int)
(declare-fun NULLTYPE_51_34_26 () Int)
(declare-fun STMTPRAGMA_50_26_26 () Int)
(declare-fun SINGLETYPEIMPORTDECL_53_15_7 () Int)
(declare-fun DIV_52_35_26 () Int)
(declare-fun TRYFINALLYSTMT_53_42_7 () Int)
(declare-fun VOIDTYPE_51_33_26 () Int)
(declare-fun MODIFIERPRAGMA_50_25_26 () Int)
(declare-fun COMPILATIONUNIT_53_14_7 () Int)
(declare-fun SUB_52_34_26 () Int)
(declare-fun SWITCHLABEL_53_41_7 () Int)
(declare-fun DOUBLETYPE_51_32_26 () Int)
(declare-fun LEXICALPRAGMA_50_24_26 () Int)
(declare-fun ADD_52_33_26 () Int)
(declare-fun SKIPSTMT_53_40_7 () Int)
(declare-fun FLOATTYPE_51_31_26 () Int)
(declare-fun COMPOUNDNAME_53_67_7 () Int)
(declare-fun URSHIFT_52_32_26 () Int)
(declare-fun modifierKeywords_99_81_28 () Int)
(declare-fun FORSTMT_53_39_7 () Int)
(declare-fun CHARTYPE_51_30_26 () Int)
(declare-fun SIMPLENAME_53_66_7 () Int)
(declare-fun FIRST_KEYWORD_50_51_26 () Int)
(declare-fun whereDecoration_46_597_41 () Int)
(declare-fun RSHIFT_52_31_26 () Int)
(declare-fun IFSTMT_53_38_7 () Int)
(declare-fun LONGTYPE_51_29_26 () Int)
(declare-fun ARRAYTYPE_53_65_7 () Int)
(declare-fun TYPESIG_49_6_28 () Int)
(declare-fun LSHIFT_52_30_26 () Int)
(declare-fun LABELSTMT_53_37_7 () Int)
(declare-fun POSTFIXDEC_52_63_26 () Int)
(declare-fun INTTYPE_51_28_26 () Int)
(declare-fun TYPENAME_53_64_7 () Int)
(declare-fun LT_52_29_26 () Int)
(declare-fun noTokens_50_212_27 () Int)
(declare-fun CONTINUESTMT_53_36_7 () Int)
(declare-fun POSTFIXINC_52_62_26 () Int)
(declare-fun BOOLEANTYPE_51_27_26 () Int)
(declare-fun SUPEROBJECTDESIGNATOR_53_63_7 () Int)
(declare-fun LE_52_28_26 () Int)
(declare-fun punctuationCodes_50_164_19 () Int)
(declare-fun BREAKSTMT_53_35_7 () Int)
(declare-fun DEC_52_59_26 () Int)
(declare-fun IDENT_51_25_26 () Int)
(declare-fun TYPEOBJECTDESIGNATOR_53_62_7 () Int)
(declare-fun GT_52_27_26 () Int)
(declare-fun THROWSTMT_53_34_7 () Int)
(declare-fun INC_52_58_26 () Int)
(declare-fun EXPROBJECTDESIGNATOR_53_61_7 () Int)
(declare-fun GE_52_26_26 () Int)
(declare-fun keywordStrings_50_181_30 () Int)
(declare-fun RETURNSTMT_53_33_7 () Int)
(declare-fun BITNOT_52_57_26 () Int)
(declare-fun CLASSLITERAL_53_60_7 () Int)
(declare-fun EQ_52_25_26 () Int)
(declare-fun EVALSTMT_53_32_7 () Int)
(declare-fun NOT_52_56_26 () Int)
(declare-fun METHODINVOCATION_53_59_7 () Int)
(declare-fun NE_52_24_26 () Int)
(declare-fun SYNCHRONIZESTMT_53_31_7 () Int)
(declare-fun UNARYSUB_52_55_26 () Int)
(declare-fun AMBIGUOUSMETHODINVOCATION_53_58_7 () Int)
(declare-fun BITAND_52_23_26 () Int)
(declare-fun DOSTMT_53_30_7 () Int)
(declare-fun UNARYADD_52_54_26 () Int)
(declare-fun FIELDACCESS_53_57_7 () Int)
(declare-fun otherCodes_50_202_27 () Int)
(declare-fun BITXOR_52_22_26 () Int)
(declare-fun seqModifierPragma_99_74_32 () Int)
(declare-fun punctuationStrings_50_134_22 () Int)
(declare-fun WHILESTMT_53_29_7 () Int)
(declare-fun ASGBITXOR_52_51_26 () Int)
(declare-fun VARIABLEACCESS_53_56_7 () Int)
(declare-fun BITOR_52_21_26 () Int)
(declare-fun sigDecoration_6_104_38 () Int)
(declare-fun CLASSDECLSTMT_53_28_7 () Int)
(declare-fun ASGBITOR_52_50_26 () Int)
(declare-fun ACCESS_MODIFIERS_29_33_26 () Int)
(declare-fun AMBIGUOUSVARIABLEACCESS_53_55_7 () Int)
(declare-fun VARDECLSTMT_53_27_7 () Int)
(declare-fun ASGBITAND_52_49_26 () Int)
(declare-fun PARENEXPR_53_54_7 () Int)
(declare-fun SIZE_MODIFIER_BITSET_29_31_26 () Int)
(declare-fun AND_52_20_26 () Int)
(declare-fun SWITCHSTMT_53_26_7 () Int)
(declare-fun ASGURSHIFT_52_48_26 () Int)
(declare-fun ACC_STRICT_29_29_26 () Int)
(declare-fun CASTEXPR_53_53_7 () Int)
(declare-fun NULLLIT_51_45_26 () Int)
(declare-fun ACC_ABSTRACT_29_28_26 () Int)
(declare-fun OR_52_19_26 () Int)
(declare-fun BLOCKSTMT_53_25_7 () Int)
(declare-fun ASGRSHIFT_52_47_26 () Int)
(declare-fun INSTANCEOFEXPR_53_52_7 () Int)
(declare-fun ACC_NATIVE_29_27_26 () Int)
(declare-fun STRINGLIT_51_44_26 () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int))) (and (= (PO_LT T_javafe_ast_CastExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_CastExpr (asChild T_javafe_ast_CastExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_NewArrayExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_NewArrayExpr (asChild T_javafe_ast_NewArrayExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_BinaryExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_BinaryExpr (asChild T_javafe_ast_BinaryExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_BranchStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_BranchStmt (asChild T_javafe_ast_BranchStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_lang_Double T_java_lang_Number) true_term) (= T_java_lang_Double (asChild T_java_lang_Double T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Double) true_term) (= ?t T_java_lang_Double))) (= (PO_LT T_java_lang_Double T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_InterfaceDecl T_javafe_ast_TypeDecl) true_term) (= T_javafe_ast_InterfaceDecl (asChild T_javafe_ast_InterfaceDecl T_javafe_ast_TypeDecl)) (= (PO_LT T_javafe_ast_CatchClause T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CatchClause (asChild T_javafe_ast_CatchClause T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_SkipStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SkipStmt (asChild T_javafe_ast_SkipStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_util_StackVector T_java_lang_Object) true_term) (= T_javafe_util_StackVector (asChild T_javafe_util_StackVector T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_util_StackVector) true_term) (= ?t T_javafe_util_StackVector))) (= (PO_LT T_javafe_tc_Env T_java_lang_Object) true_term) (= T_javafe_tc_Env (asChild T_javafe_tc_Env T_java_lang_Object)) (= (PO_LT T_javafe_ast_ParenExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ParenExpr (asChild T_javafe_ast_ParenExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_tc_EnvForTypeSig T_javafe_tc_Env) true_term) (= T_javafe_tc_EnvForTypeSig (asChild T_javafe_tc_EnvForTypeSig T_javafe_tc_Env)) (= (PO_LT T_javafe_ast_SwitchStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_SwitchStmt (asChild T_javafe_ast_SwitchStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_ast_IfStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_IfStmt (asChild T_javafe_ast_IfStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Boolean T_java_lang_Object) true_term) (= T_java_lang_Boolean (asChild T_java_lang_Boolean T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Boolean) true_term) (= ?t T_java_lang_Boolean))) (= (PO_LT T_java_lang_Boolean T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_ast_IdentifierVec T_java_lang_Object) true_term) (= T_javafe_ast_IdentifierVec (asChild T_javafe_ast_IdentifierVec T_java_lang_Object)) (= (PO_LT T_javafe_tc_TagConstants T_javafe_parser_TagConstants) true_term) (= T_javafe_tc_TagConstants (asChild T_javafe_tc_TagConstants T_javafe_parser_TagConstants)) (= (PO_LT T_javafe_ast_MethodInvocation T_javafe_ast_Expr) true_term) (= T_javafe_ast_MethodInvocation (asChild T_javafe_ast_MethodInvocation T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ModifierPragma (asChild T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_TypeDeclElemVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeDeclElemVec (asChild T_javafe_ast_TypeDeclElemVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_DoStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_DoStmt (asChild T_javafe_ast_DoStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_TypeDeclElemPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDeclElemPragma (asChild T_javafe_ast_TypeDeclElemPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDeclElemPragma T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_Expr T_javafe_ast_VarInit) true_term) (= T_javafe_ast_Expr (asChild T_javafe_ast_Expr T_javafe_ast_VarInit)) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_ClassDecl T_javafe_ast_TypeDecl) true_term) (= T_javafe_ast_ClassDecl (asChild T_javafe_ast_ClassDecl T_javafe_ast_TypeDecl)) (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_ast_OnDemandImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_OnDemandImportDecl (asChild T_javafe_ast_OnDemandImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FormalParaDecl (asChild T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_ClassDeclStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ClassDeclStmt (asChild T_javafe_ast_ClassDeclStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_javafe_ast_AmbiguousVariableAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_AmbiguousVariableAccess (asChild T_javafe_ast_AmbiguousVariableAccess T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_SingleTypeImportDecl (asChild T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_javafe_ast_ThrowStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ThrowStmt (asChild T_javafe_ast_ThrowStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_SynchronizeStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SynchronizeStmt (asChild T_javafe_ast_SynchronizeStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_util_ErrorSet T_java_lang_Object) true_term) (= T_javafe_util_ErrorSet (asChild T_javafe_util_ErrorSet T_java_lang_Object)) (= (PO_LT T_javafe_ast_CompoundName T_javafe_ast_Name) true_term) (= T_javafe_ast_CompoundName (asChild T_javafe_ast_CompoundName T_javafe_ast_Name)) (= (PO_LT T_javafe_ast_LabelStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_LabelStmt (asChild T_javafe_ast_LabelStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_tc_FieldDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_FieldDeclVec (asChild T_javafe_tc_FieldDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_LiteralExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_LiteralExpr (asChild T_javafe_ast_LiteralExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_TypeModifierPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeModifierPragmaVec (asChild T_javafe_ast_TypeModifierPragmaVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_ObjectDesignator T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ObjectDesignator (asChild T_javafe_ast_ObjectDesignator T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_VarInit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_VarInit (asChild T_javafe_ast_VarInit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeName T_javafe_ast_Type) true_term) (= T_javafe_ast_TypeName (asChild T_javafe_ast_TypeName T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_CondExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_CondExpr (asChild T_javafe_ast_CondExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ClassLiteral T_javafe_ast_Expr) true_term) (= T_javafe_ast_ClassLiteral (asChild T_javafe_ast_ClassLiteral T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_EvalStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_EvalStmt (asChild T_javafe_ast_EvalStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_VariableAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_VariableAccess (asChild T_javafe_ast_VariableAccess T_javafe_ast_Expr)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_SwitchLabel T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SwitchLabel (asChild T_javafe_ast_SwitchLabel T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_BreakStmt T_javafe_ast_BranchStmt) true_term) (= T_javafe_ast_BreakStmt (asChild T_javafe_ast_BreakStmt T_javafe_ast_BranchStmt)) (= (PO_LT T_javafe_tc_PrepTypeDeclaration T_java_lang_Object) true_term) (= T_javafe_tc_PrepTypeDeclaration (asChild T_javafe_tc_PrepTypeDeclaration T_java_lang_Object)) (= (PO_LT T_javafe_ast_ArrayType T_javafe_ast_Type) true_term) (= T_javafe_ast_ArrayType (asChild T_javafe_ast_ArrayType T_javafe_ast_Type)) (= (PO_LT T_javafe_tc_MethodDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_MethodDeclVec (asChild T_javafe_tc_MethodDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_ArrayInit T_javafe_ast_VarInit) true_term) (= T_javafe_ast_ArrayInit (asChild T_javafe_ast_ArrayInit T_javafe_ast_VarInit)) (= (PO_LT T_javafe_ast_AmbiguousMethodInvocation T_javafe_ast_Expr) true_term) (= T_javafe_ast_AmbiguousMethodInvocation (asChild T_javafe_ast_AmbiguousMethodInvocation T_javafe_ast_Expr)) (= (PO_LT T_java_lang_Float T_java_lang_Number) true_term) (= T_java_lang_Float (asChild T_java_lang_Float T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Float) true_term) (= ?t T_java_lang_Float))) (= (PO_LT T_java_lang_Float T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeModifierPragma (asChild T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_Modifiers T_java_lang_Object) true_term) (= T_javafe_ast_Modifiers (asChild T_javafe_ast_Modifiers T_java_lang_Object)) (= (PO_LT T_java_lang_Long T_java_lang_Number) true_term) (= T_java_lang_Long (asChild T_java_lang_Long T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Long) true_term) (= ?t T_java_lang_Long))) (= (PO_LT T_java_lang_Long T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_Set T_java_lang_Object) true_term) (= T_javafe_util_Set (asChild T_javafe_util_Set T_java_lang_Object)) (= (PO_LT T_javafe_util_Set T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_parser_ParseUtil T_java_lang_Object) true_term) (= T_javafe_parser_ParseUtil (asChild T_javafe_parser_ParseUtil T_java_lang_Object)) (= (PO_LT T_javafe_ast_InitBlock T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_InitBlock (asChild T_javafe_ast_InitBlock T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_InitBlock T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_ForStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ForStmt (asChild T_javafe_ast_ForStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_FormalParaDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_FormalParaDeclVec (asChild T_javafe_ast_FormalParaDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_TryFinallyStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_TryFinallyStmt (asChild T_javafe_ast_TryFinallyStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_TypeNameVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeNameVec (asChild T_javafe_ast_TypeNameVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_ModifierPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_ModifierPragmaVec (asChild T_javafe_ast_ModifierPragmaVec T_java_lang_Object)) (= (PO_LT T_java_util_Enumeration T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_TypeObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_TypeObjectDesignator (asChild T_javafe_ast_TypeObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_ast_ImportDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ImportDecl (asChild T_javafe_ast_ImportDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_PrimitiveType T_javafe_ast_Type) true_term) (= T_javafe_ast_PrimitiveType (asChild T_javafe_ast_PrimitiveType T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_TryCatchStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_TryCatchStmt (asChild T_javafe_ast_TryCatchStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ExprObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_ExprObjectDesignator (asChild T_javafe_ast_ExprObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_MethodDecl (asChild T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_javafe_tc_TypeSig T_javafe_ast_Type) true_term) (= T_javafe_tc_TypeSig (asChild T_javafe_tc_TypeSig T_javafe_ast_Type)) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_tc_Types T_java_lang_Object) true_term) (= T_javafe_tc_Types (asChild T_javafe_tc_Types T_java_lang_Object)) (= (PO_LT T_javafe_ast_WhileStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_WhileStmt (asChild T_javafe_ast_WhileStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ASTDecoration T_java_lang_Object) true_term) (= T_javafe_ast_ASTDecoration (asChild T_javafe_ast_ASTDecoration T_java_lang_Object)) (= (PO_LT T_javafe_ast_ConstructorDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_ConstructorDecl (asChild T_javafe_ast_ConstructorDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_ast_ArrayRefExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ArrayRefExpr (asChild T_javafe_ast_ArrayRefExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_LocalVarDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_LocalVarDecl (asChild T_javafe_ast_LocalVarDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_InstanceOfExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_InstanceOfExpr (asChild T_javafe_ast_InstanceOfExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_NewInstanceExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_NewInstanceExpr (asChild T_javafe_ast_NewInstanceExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_VarDeclStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_VarDeclStmt (asChild T_javafe_ast_VarDeclStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_javafe_ast_ReturnStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ReturnStmt (asChild T_javafe_ast_ReturnStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_SuperObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_SuperObjectDesignator (asChild T_javafe_ast_SuperObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_ast_ExprVec T_java_lang_Object) true_term) (= T_javafe_ast_ExprVec (asChild T_javafe_ast_ExprVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_FieldAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_FieldAccess (asChild T_javafe_ast_FieldAccess T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_ConstructorInvocation T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ConstructorInvocation (asChild T_javafe_ast_ConstructorInvocation T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ContinueStmt T_javafe_ast_BranchStmt) true_term) (= T_javafe_ast_ContinueStmt (asChild T_javafe_ast_ContinueStmt T_javafe_ast_BranchStmt)) (= (PO_LT T_javafe_ast_SimpleName T_javafe_ast_Name) true_term) (= T_javafe_ast_SimpleName (asChild T_javafe_ast_SimpleName T_javafe_ast_Name)) (= (PO_LT T_javafe_ast_UnaryExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_UnaryExpr (asChild T_javafe_ast_UnaryExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ThisExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ThisExpr (asChild T_javafe_ast_ThisExpr T_javafe_ast_Expr)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_ast_CastExpr (+ DIST_ZERO_1 10)) (= T_javafe_ast_NewArrayExpr (+ DIST_ZERO_1 11)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 12)) (= T_javafe_ast_BinaryExpr (+ DIST_ZERO_1 13)) (= T_javafe_ast_BranchStmt (+ DIST_ZERO_1 14)) (= T_java_lang_Double (+ DIST_ZERO_1 15)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 16)) (= T_javafe_ast_InterfaceDecl (+ DIST_ZERO_1 17)) (= T_javafe_ast_CatchClause (+ DIST_ZERO_1 18)) (= T_javafe_ast_SkipStmt (+ DIST_ZERO_1 19)) (= T_java_util_Map (+ DIST_ZERO_1 20)) (= T_java_lang_Object (+ DIST_ZERO_1 21)) (= T_javafe_util_StackVector (+ DIST_ZERO_1 22)) (= T_javafe_tc_Env (+ DIST_ZERO_1 23)) (= T_javafe_ast_ParenExpr (+ DIST_ZERO_1 24)) (= T_javafe_tc_EnvForTypeSig (+ DIST_ZERO_1 25)) (= T_javafe_ast_SwitchStmt (+ DIST_ZERO_1 26)) (= T_javafe_ast_IfStmt (+ DIST_ZERO_1 27)) (= T_java_io_Serializable (+ DIST_ZERO_1 28)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 29)) (= T_java_lang_Boolean (+ DIST_ZERO_1 30)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 31)) (= T_javafe_ast_IdentifierVec (+ DIST_ZERO_1 32)) (= T_javafe_tc_TagConstants (+ DIST_ZERO_1 33)) (= T_javafe_ast_MethodInvocation (+ DIST_ZERO_1 34)) (= T_javafe_ast_ModifierPragma (+ DIST_ZERO_1 35)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 36)) (= T_java_util_Hashtable (+ DIST_ZERO_1 37)) (= T_javafe_ast_TypeDeclElemVec (+ DIST_ZERO_1 38)) (= T_javafe_ast_DoStmt (+ DIST_ZERO_1 39)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 40)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 41)) (= T_javafe_ast_TypeDeclElemPragma (+ DIST_ZERO_1 42)) (= T_javafe_ast_Expr (+ DIST_ZERO_1 43)) (= T_java_lang_Number (+ DIST_ZERO_1 44)) (= T_java_util_Dictionary (+ DIST_ZERO_1 45)) (= T_javafe_ast_ClassDecl (+ DIST_ZERO_1 46)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 47)) (= T_javafe_ast_OnDemandImportDecl (+ DIST_ZERO_1 48)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 49)) (= T_javafe_ast_FormalParaDecl (+ DIST_ZERO_1 50)) (= T_java_lang_Comparable (+ DIST_ZERO_1 51)) (= T_javafe_ast_ClassDeclStmt (+ DIST_ZERO_1 52)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 53)) (= T_javafe_ast_AmbiguousVariableAccess (+ DIST_ZERO_1 54)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 55)) (= T_javafe_ast_SingleTypeImportDecl (+ DIST_ZERO_1 56)) (= T_javafe_ast_ThrowStmt (+ DIST_ZERO_1 57)) (= T_javafe_ast_SynchronizeStmt (+ DIST_ZERO_1 58)) (= T_javafe_util_ErrorSet (+ DIST_ZERO_1 59)) (= T_javafe_ast_CompoundName (+ DIST_ZERO_1 60)) (= T_javafe_ast_LabelStmt (+ DIST_ZERO_1 61)) (= T_javafe_tc_FieldDeclVec (+ DIST_ZERO_1 62)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 63)) (= T_javafe_ast_LiteralExpr (+ DIST_ZERO_1 64)) (= T_javafe_ast_TypeModifierPragmaVec (+ DIST_ZERO_1 65)) (= T_javafe_ast_ObjectDesignator (+ DIST_ZERO_1 66)) (= T_javafe_ast_VarInit (+ DIST_ZERO_1 67)) (= T_javafe_ast_TypeName (+ DIST_ZERO_1 68)) (= T_javafe_ast_CondExpr (+ DIST_ZERO_1 69)) (= T_javafe_ast_ClassLiteral (+ DIST_ZERO_1 70)) (= T_javafe_ast_EvalStmt (+ DIST_ZERO_1 71)) (= T_javafe_ast_VariableAccess (+ DIST_ZERO_1 72)) (= T_java_lang_String (+ DIST_ZERO_1 73)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 74)) (= T_javafe_ast_SwitchLabel (+ DIST_ZERO_1 75)) (= T_javafe_ast_BreakStmt (+ DIST_ZERO_1 76)) (= T_javafe_tc_PrepTypeDeclaration (+ DIST_ZERO_1 77)) (= T_javafe_ast_ArrayType (+ DIST_ZERO_1 78)) (= T_javafe_tc_MethodDeclVec (+ DIST_ZERO_1 79)) (= T_javafe_ast_ArrayInit (+ DIST_ZERO_1 80)) (= T_javafe_ast_AmbiguousMethodInvocation (+ DIST_ZERO_1 81)) (= T_java_lang_Float (+ DIST_ZERO_1 82)) (= T_javafe_ast_TypeModifierPragma (+ DIST_ZERO_1 83)) (= T_javafe_ast_Modifiers (+ DIST_ZERO_1 84)) (= T_java_lang_Long (+ DIST_ZERO_1 85)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 86)) (= T_javafe_util_Set (+ DIST_ZERO_1 87)) (= T_javafe_parser_ParseUtil (+ DIST_ZERO_1 88)) (= T_javafe_ast_InitBlock (+ DIST_ZERO_1 89)) (= T_javafe_ast_ForStmt (+ DIST_ZERO_1 90)) (= T_javafe_util_Location (+ DIST_ZERO_1 91)) (= T_javafe_ast_FormalParaDeclVec (+ DIST_ZERO_1 92)) (= T_javafe_ast_TryFinallyStmt (+ DIST_ZERO_1 93)) (= T_javafe_ast_TypeNameVec (+ DIST_ZERO_1 94)) (= T_javafe_ast_ModifierPragmaVec (+ DIST_ZERO_1 95)) (= T_java_util_Enumeration (+ DIST_ZERO_1 96)) (= T_javafe_ast_TypeObjectDesignator (+ DIST_ZERO_1 97)) (= T_javafe_ast_ImportDecl (+ DIST_ZERO_1 98)) (= T_javafe_ast_PrimitiveType (+ DIST_ZERO_1 99)) (= T_javafe_ast_TryCatchStmt (+ DIST_ZERO_1 100)) (= T_javafe_ast_ExprObjectDesignator (+ DIST_ZERO_1 101)) (= T_javafe_ast_MethodDecl (+ DIST_ZERO_1 102)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 103)) (= T_javafe_tc_TypeSig (+ DIST_ZERO_1 104)) (= T_java_lang_Integer (+ DIST_ZERO_1 105)) (= T_javafe_tc_Types (+ DIST_ZERO_1 106)) (= T_javafe_ast_WhileStmt (+ DIST_ZERO_1 107)) (= T_javafe_ast_ASTDecoration (+ DIST_ZERO_1 108)) (= T_javafe_ast_ConstructorDecl (+ DIST_ZERO_1 109)) (= T_javafe_ast_ArrayRefExpr (+ DIST_ZERO_1 110)) (= T_javafe_ast_Type (+ DIST_ZERO_1 111)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 112)) (= T_javafe_ast_LocalVarDecl (+ DIST_ZERO_1 113)) (= T_javafe_ast_InstanceOfExpr (+ DIST_ZERO_1 114)) (= T_javafe_ast_NewInstanceExpr (+ DIST_ZERO_1 115)) (= T_javafe_ast_VarDeclStmt (+ DIST_ZERO_1 116)) (= T_javafe_util_Assert (+ DIST_ZERO_1 117)) (= T_javafe_ast_ReturnStmt (+ DIST_ZERO_1 118)) (= T_javafe_ast_SuperObjectDesignator (+ DIST_ZERO_1 119)) (= T_javafe_ast_ExprVec (+ DIST_ZERO_1 120)) (= T_javafe_ast_FieldAccess (+ DIST_ZERO_1 121)) (= T_javafe_ast_Name (+ DIST_ZERO_1 122)) (= T_javafe_ast_ConstructorInvocation (+ DIST_ZERO_1 123)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 124)) (= T_javafe_ast_ContinueStmt (+ DIST_ZERO_1 125)) (= T_javafe_ast_SimpleName (+ DIST_ZERO_1 126)) (= T_javafe_ast_UnaryExpr (+ DIST_ZERO_1 127)) (= T_javafe_ast_ThisExpr (+ DIST_ZERO_1 128))) (= true_term (is FORMALPARADECL_53_24_7 T_int)) (= FORMALPARADECL_53_24_7 10) (= true_term (is ASGLSHIFT_52_46_26 T_int)) (= ASGLSHIFT_52_46_26 79) (= true_term (is ACC_TRANSIENT_29_26_26 T_int)) (= ACC_TRANSIENT_29_26_26 128) (= true_term (is CONDEXPR_53_51_7 T_int)) (= CONDEXPR_53_51_7 37) (= true_term (is DOUBLELIT_51_43_26 T_int)) (= DOUBLELIT_51_43_26 109) (= true_term (is LAST_KEYWORD_50_103_26 T_int)) (= LAST_KEYWORD_50_103_26 183) (= true_term (is NULL_50_82_26 T_int)) (= NULL_50_82_26 163) (= true_term (is ACC_VOLATILE_29_25_26 T_int)) (= ACC_VOLATILE_29_25_26 64) (= true_term (is FIELDDECL_53_23_7 T_int)) (= FIELDDECL_53_23_7 9) (= true_term (is ASGSUB_52_45_26 T_int)) (= ASGSUB_52_45_26 78) (= true_term (is NEWARRAYEXPR_53_50_7 T_int)) (= NEWARRAYEXPR_53_50_7 36) (= true_term (is ACC_SYNCHRONIZED_29_24_26 T_int)) (= ACC_SYNCHRONIZED_29_24_26 32) (= true_term (is FLOATLIT_51_42_26 T_int)) (= FLOATLIT_51_42_26 108) (= true_term (is otherStrings_50_193_30 ?v_0)) (not (= otherStrings_50_193_30 null)) (= (typeof otherStrings_50_193_30) ?v_0) (= (arrayLength otherStrings_50_193_30) 15) (= true_term (is NULL_40_60_26 T_int)) (= NULL_40_60_26 0) (= true_term (is LOCALVARDECL_53_22_7 T_int)) (= LOCALVARDECL_53_22_7 8) (= true_term (is ASGADD_52_44_26 T_int)) (= ASGADD_52_44_26 77) (= true_term (is ACC_FINAL_29_23_26 T_int)) (= ACC_FINAL_29_23_26 16) (= true_term (is NEWINSTANCEEXPR_53_49_7 T_int)) (= NEWINSTANCEEXPR_53_49_7 35) (= true_term (is CHARLIT_51_41_26 T_int)) (= CHARLIT_51_41_26 107) (= true_term (is ACC_STATIC_29_22_26 T_int)) (= ACC_STATIC_29_22_26 8) (= true_term (is INITBLOCK_53_21_7 T_int)) (= INITBLOCK_53_21_7 7) (= true_term (is ASGREM_52_43_26 T_int)) (= ASGREM_52_43_26 76) (= true_term (is ARRAYREFEXPR_53_48_7 T_int)) (= ARRAYREFEXPR_53_48_7 34) (= true_term (is ACC_PROTECTED_29_21_26 T_int)) (= ACC_PROTECTED_29_21_26 4) (= true_term (is LONGLIT_51_40_26 T_int)) (= LONGLIT_51_40_26 106) (= true_term (is METHODDECL_53_20_7 T_int)) (= METHODDECL_53_20_7 6) (= true_term (is ASGDIV_52_42_26 T_int)) (= ASGDIV_52_42_26 75) (= true_term (is ACC_PRIVATE_29_20_26 T_int)) (= ACC_PRIVATE_29_20_26 2) (= true_term (is THISEXPR_53_47_7 T_int)) (= THISEXPR_53_47_7 33) (= true_term (is INTLIT_51_39_26 T_int)) (= INTLIT_51_39_26 105) (= true_term (is ACC_PUBLIC_29_19_26 T_int)) (= ACC_PUBLIC_29_19_26 1) (= true_term (is CONSTRUCTORDECL_53_19_7 T_int)) (= CONSTRUCTORDECL_53_19_7 5) (= true_term (is ASGMUL_52_41_26 T_int)) (= ASGMUL_52_41_26 74) (= true_term (is map_6_301_35 T_java_util_Hashtable)) (not (= map_6_301_35 null)) (= (typeof map_6_301_35) T_java_util_Hashtable) (= true_term (is ARRAYINIT_53_46_7 T_int)) (= ARRAYINIT_53_46_7 32) (= true_term (is BOOLEANLIT_51_38_26 T_int)) (= BOOLEANLIT_51_38_26 104) (= true_term (is PREPPED_6_775_28 T_int)) (= PREPPED_6_775_28 5) (= true_term (is INTERFACEDECL_53_18_7 T_int)) (= INTERFACEDECL_53_18_7 4) (= true_term (is ASSIGN_52_40_26 T_int)) (= ASSIGN_52_40_26 73) (= true_term (is CATCHCLAUSE_53_45_7 T_int)) (= CATCHCLAUSE_53_45_7 31) (= true_term (is SHORTTYPE_51_36_26 T_int)) (= SHORTTYPE_51_36_26 103) (= true_term (is TYPEMODIFIERPRAGMA_50_28_26 T_int)) (= TYPEMODIFIERPRAGMA_50_28_26 118) (= true_term (is CLASSDECL_53_17_7 T_int)) (= CLASSDECL_53_17_7 3) (= true_term (is STAR_52_37_26 T_int)) (= STAR_52_37_26 72) (= true_term (is CONSTRUCTORINVOCATION_53_44_7 T_int)) (= CONSTRUCTORINVOCATION_53_44_7 30) (= true_term (is BYTETYPE_51_35_26 T_int)) (= BYTETYPE_51_35_26 102) (= true_term (is TYPEDECLELEMPRAGMA_50_27_26 T_int)) (= TYPEDECLELEMPRAGMA_50_27_26 117) (= true_term (is ONDEMANDIMPORTDECL_53_16_7 T_int)) (= ONDEMANDIMPORTDECL_53_16_7 2) (= true_term (is MOD_52_36_26 T_int)) (= MOD_52_36_26 71) (= true_term (is TRYCATCHSTMT_53_43_7 T_int)) (= TRYCATCHSTMT_53_43_7 29) (= true_term (is PARSED_6_772_28 T_int)) (= PARSED_6_772_28 2) (= true_term (is NULLTYPE_51_34_26 T_int)) (= NULLTYPE_51_34_26 101) (= true_term (is STMTPRAGMA_50_26_26 T_int)) (= STMTPRAGMA_50_26_26 116) (= true_term (is SINGLETYPEIMPORTDECL_53_15_7 T_int)) (= SINGLETYPEIMPORTDECL_53_15_7 1) (= true_term (is DIV_52_35_26 T_int)) (= DIV_52_35_26 70) (= true_term (is TRYFINALLYSTMT_53_42_7 T_int)) (= TRYFINALLYSTMT_53_42_7 28) (= true_term (is VOIDTYPE_51_33_26 T_int)) (= VOIDTYPE_51_33_26 100) (= true_term (is MODIFIERPRAGMA_50_25_26 T_int)) (= MODIFIERPRAGMA_50_25_26 115) (= true_term (is COMPILATIONUNIT_53_14_7 T_int)) (= COMPILATIONUNIT_53_14_7 0) (= true_term (is SUB_52_34_26 T_int)) (= SUB_52_34_26 69) (= true_term (is SWITCHLABEL_53_41_7 T_int)) (= SWITCHLABEL_53_41_7 27) (= true_term (is DOUBLETYPE_51_32_26 T_int)) (= DOUBLETYPE_51_32_26 99) (= true_term (is LEXICALPRAGMA_50_24_26 T_int)) (= LEXICALPRAGMA_50_24_26 114) (= true_term (is ADD_52_33_26 T_int)) (= ADD_52_33_26 68) (= true_term (is SKIPSTMT_53_40_7 T_int)) (= SKIPSTMT_53_40_7 26) (= true_term (is FLOATTYPE_51_31_26 T_int)) (= FLOATTYPE_51_31_26 98) (= true_term (is COMPOUNDNAME_53_67_7 T_int)) (= COMPOUNDNAME_53_67_7 53) (= true_term (is URSHIFT_52_32_26 T_int)) (= URSHIFT_52_32_26 67) (= true_term (is modifierKeywords_99_81_28 ?v_1)) (not (= modifierKeywords_99_81_28 null)) (= (typeof modifierKeywords_99_81_28) ?v_1) (= (arrayLength modifierKeywords_99_81_28) 12) (= true_term (is FORSTMT_53_39_7 T_int)) (= FORSTMT_53_39_7 25) (= true_term (is CHARTYPE_51_30_26 T_int)) (= CHARTYPE_51_30_26 97) (= true_term (is SIMPLENAME_53_66_7 T_int)) (= SIMPLENAME_53_66_7 52) (= true_term (is FIRST_KEYWORD_50_51_26 T_int)) (= FIRST_KEYWORD_50_51_26 133) (= true_term (is whereDecoration_46_597_41 T_javafe_ast_ASTDecoration)) (not (= whereDecoration_46_597_41 null)) (= (typeof whereDecoration_46_597_41) T_javafe_ast_ASTDecoration) (= true_term (is RSHIFT_52_31_26 T_int)) (= RSHIFT_52_31_26 66) (= true_term (is IFSTMT_53_38_7 T_int)) (= IFSTMT_53_38_7 24) (= true_term (is LONGTYPE_51_29_26 T_int)) (= LONGTYPE_51_29_26 96) (= true_term (is ARRAYTYPE_53_65_7 T_int)) (= ARRAYTYPE_53_65_7 51) (= true_term (is TYPESIG_49_6_28 T_int)) (= TYPESIG_49_6_28 184) (= true_term (is LSHIFT_52_30_26 T_int)) (= LSHIFT_52_30_26 65) (= true_term (is LABELSTMT_53_37_7 T_int)) (= LABELSTMT_53_37_7 23) (= true_term (is POSTFIXDEC_52_63_26 T_int)) (= POSTFIXDEC_52_63_26 92) (= true_term (is INTTYPE_51_28_26 T_int)) (= INTTYPE_51_28_26 95) (= true_term (is TYPENAME_53_64_7 T_int)) (= TYPENAME_53_64_7 50) (= true_term (is LT_52_29_26 T_int)) (= LT_52_29_26 64) (= true_term (is noTokens_50_212_27 T_int)) (= true_term (is CONTINUESTMT_53_36_7 T_int)) (= CONTINUESTMT_53_36_7 22) (= true_term (is POSTFIXINC_52_62_26 T_int)) (= POSTFIXINC_52_62_26 91) (= true_term (is BOOLEANTYPE_51_27_26 T_int)) (= BOOLEANTYPE_51_27_26 94) (= true_term (is SUPEROBJECTDESIGNATOR_53_63_7 T_int)) (= SUPEROBJECTDESIGNATOR_53_63_7 49) (= true_term (is LE_52_28_26 T_int)) (= LE_52_28_26 63) (= true_term (is punctuationCodes_50_164_19 ?v_1)) (not (= punctuationCodes_50_164_19 null)) (= (typeof punctuationCodes_50_164_19) ?v_1) (= (arrayLength punctuationCodes_50_164_19) 48) (= true_term (is BREAKSTMT_53_35_7 T_int)) (= BREAKSTMT_53_35_7 21) (= true_term (is DEC_52_59_26 T_int)) (= DEC_52_59_26 90) (= true_term (is IDENT_51_25_26 T_int)) (= IDENT_51_25_26 93) (= true_term (is TYPEOBJECTDESIGNATOR_53_62_7 T_int)) (= TYPEOBJECTDESIGNATOR_53_62_7 48) (= true_term (is GT_52_27_26 T_int)) (= GT_52_27_26 62) (= true_term (is THROWSTMT_53_34_7 T_int)) (= THROWSTMT_53_34_7 20) (= true_term (is INC_52_58_26 T_int)) (= INC_52_58_26 89) (= true_term (is EXPROBJECTDESIGNATOR_53_61_7 T_int)) (= EXPROBJECTDESIGNATOR_53_61_7 47) (= true_term (is GE_52_26_26 T_int)) (= GE_52_26_26 61) (= true_term (is keywordStrings_50_181_30 ?v_0)) (not (= keywordStrings_50_181_30 null)) (= (typeof keywordStrings_50_181_30) ?v_0) (= (arrayLength keywordStrings_50_181_30) 51) (= true_term (is RETURNSTMT_53_33_7 T_int)) (= RETURNSTMT_53_33_7 19) (= true_term (is BITNOT_52_57_26 T_int)) (= BITNOT_52_57_26 88) (= true_term (is CLASSLITERAL_53_60_7 T_int)) (= CLASSLITERAL_53_60_7 46) (= true_term (is EQ_52_25_26 T_int)) (= EQ_52_25_26 60) (= true_term (is EVALSTMT_53_32_7 T_int)) (= EVALSTMT_53_32_7 18) (= true_term (is NOT_52_56_26 T_int)) (= NOT_52_56_26 87) (= true_term (is METHODINVOCATION_53_59_7 T_int)) (= METHODINVOCATION_53_59_7 45) (= true_term (is NE_52_24_26 T_int)) (= NE_52_24_26 59) (= true_term (is SYNCHRONIZESTMT_53_31_7 T_int)) (= SYNCHRONIZESTMT_53_31_7 17) (= true_term (is UNARYSUB_52_55_26 T_int)) (= UNARYSUB_52_55_26 86) (= true_term (is AMBIGUOUSMETHODINVOCATION_53_58_7 T_int)) (= AMBIGUOUSMETHODINVOCATION_53_58_7 44) (= true_term (is BITAND_52_23_26 T_int)) (= BITAND_52_23_26 58) (= true_term (is DOSTMT_53_30_7 T_int)) (= DOSTMT_53_30_7 16) (= true_term (is UNARYADD_52_54_26 T_int)) (= UNARYADD_52_54_26 85) (= true_term (is FIELDACCESS_53_57_7 T_int)) (= FIELDACCESS_53_57_7 43) (= true_term (is otherCodes_50_202_27 ?v_1)) (not (= otherCodes_50_202_27 null)) (= (typeof otherCodes_50_202_27) ?v_1) (= (arrayLength otherCodes_50_202_27) 15) (= true_term (is BITXOR_52_22_26 T_int)) (= BITXOR_52_22_26 57) (forall ((?s Int)) (=> (not (= ?s null)) (= true_term (is (S_select seqModifierPragma_99_74_32 ?s) T_javafe_util_StackVector)))) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select seqModifierPragma_99_74_32 ?s) null)))) (forall ((?s Int)) (=> (not (= ?s null)) (= (typeof (S_select seqModifierPragma_99_74_32 ?s)) T_javafe_util_StackVector))) (= true_term (is punctuationStrings_50_134_22 ?v_0)) (not (= punctuationStrings_50_134_22 null)) (= (typeof punctuationStrings_50_134_22) ?v_0) (= (arrayLength punctuationStrings_50_134_22) 48) (= true_term (is WHILESTMT_53_29_7 T_int)) (= WHILESTMT_53_29_7 15) (= true_term (is ASGBITXOR_52_51_26 T_int)) (= ASGBITXOR_52_51_26 84) (= true_term (is VARIABLEACCESS_53_56_7 T_int)) (= VARIABLEACCESS_53_56_7 42) (= true_term (is BITOR_52_21_26 T_int)) (= BITOR_52_21_26 56) (= true_term (is sigDecoration_6_104_38 T_javafe_ast_ASTDecoration)) (not (= sigDecoration_6_104_38 null)) (= (typeof sigDecoration_6_104_38) T_javafe_ast_ASTDecoration) (= true_term (is CLASSDECLSTMT_53_28_7 T_int)) (= CLASSDECLSTMT_53_28_7 14) (= true_term (is ASGBITOR_52_50_26 T_int)) (= ASGBITOR_52_50_26 83) (= true_term (is ACCESS_MODIFIERS_29_33_26 T_int)) (= ACCESS_MODIFIERS_29_33_26 7) (= true_term (is AMBIGUOUSVARIABLEACCESS_53_55_7 T_int)) (= AMBIGUOUSVARIABLEACCESS_53_55_7 41) (= true_term (is VARDECLSTMT_53_27_7 T_int)) (= VARDECLSTMT_53_27_7 13) (= true_term (is ASGBITAND_52_49_26 T_int)) (= ASGBITAND_52_49_26 82) (= true_term (is PARENEXPR_53_54_7 T_int)) (= PARENEXPR_53_54_7 40) (= true_term (is SIZE_MODIFIER_BITSET_29_31_26 T_int)) (= SIZE_MODIFIER_BITSET_29_31_26 16) (= true_term (is AND_52_20_26 T_int)) (= AND_52_20_26 55) (= true_term (is SWITCHSTMT_53_26_7 T_int)) (= SWITCHSTMT_53_26_7 12) (= true_term (is ASGURSHIFT_52_48_26 T_int)) (= ASGURSHIFT_52_48_26 81) (= true_term (is ACC_STRICT_29_29_26 T_int)) (= ACC_STRICT_29_29_26 2048) (= true_term (is CASTEXPR_53_53_7 T_int)) (= CASTEXPR_53_53_7 39) (= true_term (is NULLLIT_51_45_26 T_int)) (= NULLLIT_51_45_26 111) (= true_term (is ACC_ABSTRACT_29_28_26 T_int)) (= ACC_ABSTRACT_29_28_26 1024) (= true_term (is OR_52_19_26 T_int)) (= OR_52_19_26 54) (= true_term (is BLOCKSTMT_53_25_7 T_int)) (= BLOCKSTMT_53_25_7 11) (= true_term (is ASGRSHIFT_52_47_26 T_int)) (= ASGRSHIFT_52_47_26 80) (= true_term (is INSTANCEOFEXPR_53_52_7 T_int)) (= INSTANCEOFEXPR_53_52_7 38) (= true_term (is ACC_NATIVE_29_27_26 T_int)) (= ACC_NATIVE_29_27_26 256) (= true_term (is STRINGLIT_51_44_26 T_int)) (= STRINGLIT_51_44_26 110))))
(declare-fun body_pre_25_34_19 () Int)
(declare-fun body_25_34_19 () Int)
(declare-fun type_pre_44_35_28 () Int)
(declare-fun type_44_35_28 () Int)
(declare-fun FORMALPARADECL_pre_53_24_7 () Int)
(declare-fun ASGLSHIFT_pre_52_46_26 () Int)
(declare-fun elemType_pre_149_18_28 () Int)
(declare-fun elemType_149_18_28 () Int)
(declare-fun ACC_TRANSIENT_pre_29_26_26 () Int)
(declare-fun loc_pre_74_50_13 () Int)
(declare-fun loc_74_50_13 () Int)
(declare-fun id_pre_144_20_34 () Int)
(declare-fun id_144_20_34 () Int)
(declare-fun parent_pre_17_59_18 () Int)
(declare-fun parent_17_59_18 () Int)
(declare-fun raises_pre_25_32_35 () Int)
(declare-fun raises_25_32_35 () Int)
(declare-fun CONDEXPR_pre_53_51_7 () Int)
(declare-fun loc_pre_121_18_13 () Int)
(declare-fun loc_121_18_13 () Int)
(declare-fun DOUBLELIT_pre_51_43_26 () Int)
(declare-fun LAST_KEYWORD_pre_50_103_26 () Int)
(declare-fun NULL_pre_50_82_26 () Int)
(declare-fun ACC_VOLATILE_pre_29_25_26 () Int)
(declare-fun FIELDDECL_pre_53_23_7 () Int)
(declare-fun ASGSUB_pre_52_45_26 () Int)
(declare-fun loc_pre_119_18_13 () Int)
(declare-fun loc_119_18_13 () Int)
(declare-fun NEWARRAYEXPR_pre_53_50_7 () Int)
(declare-fun loc_pre_94_30_13 () Int)
(declare-fun loc_94_30_13 () Int)
(declare-fun ACC_SYNCHRONIZED_pre_29_24_26 () Int)
(declare-fun locColon_pre_137_25_13 () Int)
(declare-fun locColon_137_25_13 () Int)
(declare-fun FLOATLIT_pre_51_42_26 () Int)
(declare-fun otherStrings_pre_50_193_30 () Int)
(declare-fun NULL_pre_40_60_26 () Int)
(declare-fun state_pre_6_787_15 () Int)
(declare-fun state_6_787_15 () Int)
(declare-fun LOCALVARDECL_pre_53_22_7 () Int)
(declare-fun ASGADD_pre_52_44_26 () Int)
(declare-fun ACC_FINAL_pre_29_23_26 () Int)
(declare-fun args_pre_25_30_41 () Int)
(declare-fun args_25_30_41 () Int)
(declare-fun NEWINSTANCEEXPR_pre_53_49_7 () Int)
(declare-fun type_pre_145_20_28 () Int)
(declare-fun type_145_20_28 () Int)
(declare-fun count_pre_156_67_33 () Int)
(declare-fun count_156_67_33 () Int)
(declare-fun overridesDecoration_pre_154_45 () Int)
(declare-fun overridesDecoration_154_45 () Int)
(declare-fun CHARLIT_pre_51_41_26 () Int)
(declare-fun name_pre_30_18_28 () Int)
(declare-fun name_30_18_28 () Int)
(declare-fun ACC_STATIC_pre_29_22_26 () Int)
(declare-fun loc_pre_116_20_13 () Int)
(declare-fun loc_116_20_13 () Int)
(declare-fun INITBLOCK_pre_53_21_7 () Int)
(declare-fun ASGREM_pre_52_43_26 () Int)
(declare-fun locOpenParen_pre_134_52_13 () Int)
(declare-fun locOpenParen_134_52_13 () Int)
(declare-fun count_pre_32_67_33 () Int)
(declare-fun count_32_67_33 () Int)
(declare-fun locCloseBrace_pre_17_54_13 () Int)
(declare-fun locCloseBrace_17_54_13 () Int)
(declare-fun value_pre_74_45_16 () Int)
(declare-fun value_74_45_16 () Int)
(declare-fun ARRAYREFEXPR_pre_53_48_7 () Int)
(declare-fun type_pre_135_24_28 () Int)
(declare-fun type_135_24_28 () Int)
(declare-fun ACC_PROTECTED_pre_29_21_26 () Int)
(declare-fun LONGLIT_pre_51_40_26 () Int)
(declare-fun id_pre_44_32_34 () Int)
(declare-fun id_44_32_34 () Int)
(declare-fun METHODDECL_pre_53_20_7 () Int)
(declare-fun ASGDIV_pre_52_42_26 () Int)
(declare-fun locOpenParen_pre_130_48_13 () Int)
(declare-fun locOpenParen_130_48_13 () Int)
(declare-fun ACC_PRIVATE_pre_29_20_26 () Int)
(declare-fun tmodifiers_pre_25_28_31 () Int)
(declare-fun tmodifiers_25_28_31 () Int)
(declare-fun THISEXPR_pre_53_47_7 () Int)
(declare-fun locOpenBrackets_pre_135_65_29 () Int)
(declare-fun locOpenBrackets_135_65_29 () Int)
(declare-fun INTLIT_pre_51_39_26 () Int)
(declare-fun modifiers_pre_41_24_13 () Int)
(declare-fun modifiers_41_24_13 () Int)
(declare-fun locQuestion_pre_137_22_13 () Int)
(declare-fun locQuestion_137_22_13 () Int)
(declare-fun pmodifiers_pre_25_26_27 () Int)
(declare-fun pmodifiers_25_26_27 () Int)
(declare-fun ACC_PUBLIC_pre_29_19_26 () Int)
(declare-fun CONSTRUCTORDECL_pre_53_19_7 () Int)
(declare-fun ASGMUL_pre_52_41_26 () Int)
(declare-fun parent_pre_41_22_18 () Int)
(declare-fun parent_41_22_18 () Int)
(declare-fun elements_pre_136_61_33 () Int)
(declare-fun elements_136_61_33 () Int)
(declare-fun map_pre_6_301_35 () Int)
(declare-fun ARRAYINIT_pre_53_46_7 () Int)
(declare-fun modifiers_pre_25_24_13 () Int)
(declare-fun modifiers_25_24_13 () Int)
(declare-fun typeEnv_pre_46_323_32 () Int)
(declare-fun typeEnv_46_323_32 () Int)
(declare-fun BOOLEANLIT_pre_51_38_26 () Int)
(declare-fun PREPPED_pre_6_775_28 () Int)
(declare-fun INTERFACEDECL_pre_53_18_7 () Int)
(declare-fun ASSIGN_pre_52_40_26 () Int)
(declare-fun loc_pre_134_49_13 () Int)
(declare-fun loc_134_49_13 () Int)
(declare-fun locOpenBrace_pre_17_51_13 () Int)
(declare-fun locOpenBrace_17_51_13 () Int)
(declare-fun constructorSeq_pre_171_38 () Int)
(declare-fun constructorSeq_171_38 () Int)
(declare-fun loc_pre_79_35_13 () Int)
(declare-fun loc_79_35_13 () Int)
(declare-fun CATCHCLAUSE_pre_53_45_7 () Int)
(declare-fun modifiers_pre_44_28_13 () Int)
(declare-fun modifiers_44_28_13 () Int)
(declare-fun elements_pre_47_61_43 () Int)
(declare-fun elements_47_61_43 () Int)
(declare-fun SHORTTYPE_pre_51_36_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_50_28_26 () Int)
(declare-fun parent_pre_25_21_18 () Int)
(declare-fun parent_25_21_18 () Int)
(declare-fun permitsNullValue_pre_35_31_27 () Int)
(declare-fun permitsNullValue_35_31_27 () Int)
(declare-fun CLASSDECL_pre_53_17_7 () Int)
(declare-fun STAR_pre_52_37_26 () Int)
(declare-fun count_pre_100_67_33 () Int)
(declare-fun count_100_67_33 () Int)
(declare-fun locKeyword_pre_130_45_13 () Int)
(declare-fun locKeyword_130_45_13 () Int)
(declare-fun locCloseBrace_pre_132_24_13 () Int)
(declare-fun locCloseBrace_132_24_13 () Int)
(declare-fun CONSTRUCTORINVOCATION_pre_53_44_7 () Int)
(declare-fun BYTETYPE_pre_51_35_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_50_27_26 () Int)
(declare-fun ONDEMANDIMPORTDECL_pre_53_16_7 () Int)
(declare-fun MOD_pre_52_36_26 () Int)
(declare-fun locOpenParen_pre_143_30_13 () Int)
(declare-fun locOpenParen_143_30_13 () Int)
(declare-fun locId_pre_123_20_13 () Int)
(declare-fun locId_123_20_13 () Int)
(declare-fun elements_pre_16_61_39 () Int)
(declare-fun elements_16_61_39 () Int)
(declare-fun TRYCATCHSTMT_pre_53_43_7 () Int)
(declare-fun PARSED_pre_6_772_28 () Int)
(declare-fun NULLTYPE_pre_51_34_26 () Int)
(declare-fun STMTPRAGMA_pre_50_26_26 () Int)
(declare-fun enclosingEnv_pre_6_52_36 () Int)
(declare-fun enclosingEnv_6_52_36 () Int)
(declare-fun count_pre_155_67_33 () Int)
(declare-fun count_155_67_33 () Int)
(declare-fun locCloseParen_pre_140_21_13 () Int)
(declare-fun locCloseParen_140_21_13 () Int)
(declare-fun SINGLETYPEIMPORTDECL_pre_53_15_7 () Int)
(declare-fun DIV_pre_52_35_26 () Int)
(declare-fun count_pre_28_67_33 () Int)
(declare-fun count_28_67_33 () Int)
(declare-fun inst_pre_25_52 () Int)
(declare-fun inst_25_52 () Int)
(declare-fun locId_pre_17_48_13 () Int)
(declare-fun locId_17_48_13 () Int)
(declare-fun TRYFINALLYSTMT_pre_53_42_7 () Int)
(declare-fun returnsNull_pre_27_79_29 () Int)
(declare-fun returnsNull_27_79_29 () Int)
(declare-fun tag_pre_79_30_13 () Int)
(declare-fun tag_79_30_13 () Int)
(declare-fun elementType_pre_35_26_25 () Int)
(declare-fun elementType_35_26_25 () Int)
(declare-fun VOIDTYPE_pre_51_33_26 () Int)
(declare-fun MODIFIERPRAGMA_pre_50_25_26 () Int)
(declare-fun ht_pre_24_33_36 () Int)
(declare-fun ht_24_33_36 () Int)
(declare-fun locIds_pre_151_25_29 () Int)
(declare-fun locIds_151_25_29 () Int)
(declare-fun COMPILATIONUNIT_pre_53_14_7 () Int)
(declare-fun SUB_pre_52_34_26 () Int)
(declare-fun loc_pre_127_29_13 () Int)
(declare-fun loc_127_29_13 () Int)
(declare-fun locOpenBrace_pre_132_21_13 () Int)
(declare-fun locOpenBrace_132_21_13 () Int)
(declare-fun locSuper_pre_148_20_13 () Int)
(declare-fun locSuper_148_20_13 () Int)
(declare-fun SWITCHLABEL_pre_53_41_7 () Int)
(declare-fun locCloseBracket_pre_133_23_13 () Int)
(declare-fun locCloseBracket_133_23_13 () Int)
(declare-fun elements_pre_5_72_21 () Int)
(declare-fun elements_5_72_21 () Int)
(declare-fun locDot_pre_130_41_13 () Int)
(declare-fun locDot_130_41_13 () Int)
(declare-fun DOUBLETYPE_pre_51_32_26 () Int)
(declare-fun LEXICALPRAGMA_pre_50_24_26 () Int)
(declare-fun tokenType_pre_19_90_8 () Int)
(declare-fun tokenType_19_90_8 () Int)
(declare-fun ADD_pre_52_33_26 () Int)
(declare-fun locType_pre_23_21_13 () Int)
(declare-fun locType_23_21_13 () Int)
(declare-fun SKIPSTMT_pre_53_40_7 () Int)
(declare-fun FLOATTYPE_pre_51_31_26 () Int)
(declare-fun COMPOUNDNAME_pre_53_67_7 () Int)
(declare-fun locFinally_pre_128_25_13 () Int)
(declare-fun locFinally_128_25_13 () Int)
(declare-fun URSHIFT_pre_52_32_26 () Int)
(declare-fun modifierKeywords_pre_99_81_28 () Int)
(declare-fun permitsNullKey_pre_35_21_27 () Int)
(declare-fun permitsNullKey_35_21_27 () Int)
(declare-fun locCloseParen_pre_139_24_13 () Int)
(declare-fun locCloseParen_139_24_13 () Int)
(declare-fun loc_pre_17_45_13 () Int)
(declare-fun loc_17_45_13 () Int)
(declare-fun elementType_pre_27_74_27 () Int)
(declare-fun elementType_27_74_27 () Int)
(declare-fun FORSTMT_pre_53_39_7 () Int)
(declare-fun member_pre_6_44_39 () Int)
(declare-fun member_6_44_39 () Int)
(declare-fun CHARTYPE_pre_51_30_26 () Int)
(declare-fun SIMPLENAME_pre_53_66_7 () Int)
(declare-fun FIRST_KEYWORD_pre_50_51_26 () Int)
(declare-fun whereDecoration_pre_46_597_41 () Int)
(declare-fun RSHIFT_pre_52_31_26 () Int)
(declare-fun IFSTMT_pre_53_38_7 () Int)
(declare-fun vectorCount_pre_5_97_33 () Int)
(declare-fun vectorCount_5_97_33 () Int)
(declare-fun locOpenParen_pre_140_18_13 () Int)
(declare-fun locOpenParen_140_18_13 () Int)
(declare-fun LONGTYPE_pre_51_29_26 () Int)
(declare-fun ARRAYTYPE_pre_53_65_7 () Int)
(declare-fun TYPESIG_pre_49_6_28 () Int)
(declare-fun locOpenBracket_pre_133_20_13 () Int)
(declare-fun locOpenBracket_133_20_13 () Int)
(declare-fun methodSeq_pre_167_38 () Int)
(declare-fun methodSeq_167_38 () Int)
(declare-fun LSHIFT_pre_52_30_26 () Int)
(declare-fun elements_pre_156_61_47 () Int)
(declare-fun elements_156_61_47 () Int)
(declare-fun LABELSTMT_pre_53_37_7 () Int)
(declare-fun POSTFIXDEC_pre_52_63_26 () Int)
(declare-fun loc_pre_129_23_13 () Int)
(declare-fun loc_129_23_13 () Int)
(declare-fun enclosingInstance_pre_130_37_14 () Int)
(declare-fun enclosingInstance_130_37_14 () Int)
(declare-fun loc_pre_124_22_13 () Int)
(declare-fun loc_124_22_13 () Int)
(declare-fun locDot_pre_98_21_13 () Int)
(declare-fun locDot_98_21_13 () Int)
(declare-fun elements_pre_32_61_37 () Int)
(declare-fun elements_32_61_37 () Int)
(declare-fun locOp_pre_77_43_13 () Int)
(declare-fun locOp_77_43_13 () Int)
(declare-fun INTTYPE_pre_51_28_26 () Int)
(declare-fun count_pre_15_67_33 () Int)
(declare-fun count_15_67_33 () Int)
(declare-fun TYPENAME_pre_53_64_7 () Int)
(declare-fun keyType_pre_35_16_25 () Int)
(declare-fun keyType_35_16_25 () Int)
(declare-fun superClass_pre_21_15_18 () Int)
(declare-fun superClass_21_15_18 () Int)
(declare-fun LT_pre_52_29_26 () Int)
(declare-fun loc_pre_111_18_13 () Int)
(declare-fun loc_111_18_13 () Int)
(declare-fun decl_pre_144_34_20 () Int)
(declare-fun decl_144_34_20 () Int)
(declare-fun noTokens_pre_50_212_27 () Int)
(declare-fun CONTINUESTMT_pre_53_36_7 () Int)
(declare-fun elems_pre_17_41_39 () Int)
(declare-fun elems_17_41_39 () Int)
(declare-fun POSTFIXINC_pre_52_62_26 () Int)
(declare-fun locGuardOpenParen_pre_114_23_13 () Int)
(declare-fun locGuardOpenParen_114_23_13 () Int)
(declare-fun simpleName_pre_6_37_38 () Int)
(declare-fun simpleName_6_37_38 () Int)
(declare-fun BOOLEANTYPE_pre_51_27_26 () Int)
(declare-fun locOpenParen_pre_139_21_13 () Int)
(declare-fun locOpenParen_139_21_13 () Int)
(declare-fun SUPEROBJECTDESIGNATOR_pre_53_63_7 () Int)
(declare-fun S_rootCache_pre_987_20 () Int)
(declare-fun S_rootCache_987_20 () Int)
(declare-fun returnType_pre_23_18_28 () Int)
(declare-fun returnType_23_18_28 () Int)
(declare-fun loc_pre_128_22_13 () Int)
(declare-fun loc_128_22_13 () Int)
(declare-fun LE_pre_52_28_26 () Int)
(declare-fun locDot_pre_134_29_13 () Int)
(declare-fun locDot_134_29_13 () Int)
(declare-fun punctuationCodes_pre_50_164_19 () Int)
(declare-fun BREAKSTMT_pre_53_35_7 () Int)
(declare-fun DEC_pre_52_59_26 () Int)
(declare-fun decl_pre_142_28_19 () Int)
(declare-fun decl_142_28_19 () Int)
(declare-fun loc_pre_135_49_13 () Int)
(declare-fun loc_135_49_13 () Int)
(declare-fun IDENT_pre_51_25_26 () Int)
(declare-fun TYPEOBJECTDESIGNATOR_pre_53_62_7 () Int)
(declare-fun locThrowsKeyword_pre_25_48_13 () Int)
(declare-fun locThrowsKeyword_25_48_13 () Int)
(declare-fun GT_pre_52_27_26 () Int)
(declare-fun enclosingType_pre_6_32_39 () Int)
(declare-fun enclosingType_6_32_39 () Int)
(declare-fun loc_pre_150_20_13 () Int)
(declare-fun loc_150_20_13 () Int)
(declare-fun methods_pre_6_883_26 () Int)
(declare-fun methods_6_883_26 () Int)
(declare-fun THROWSTMT_pre_53_34_7 () Int)
(declare-fun INC_pre_52_58_26 () Int)
(declare-fun lengthFieldDecl_pre_31_917_40 () Int)
(declare-fun lengthFieldDecl_31_917_40 () Int)
(declare-fun locId_pre_25_43_13 () Int)
(declare-fun locId_25_43_13 () Int)
(declare-fun EXPROBJECTDESIGNATOR_pre_53_61_7 () Int)
(declare-fun syntax_pre_7_28_29 () Int)
(declare-fun syntax_7_28_29 () Int)
(declare-fun decl_pre_141_26_38 () Int)
(declare-fun decl_141_26_38 () Int)
(declare-fun currentStackBottom_pre_5_87_33 () Int)
(declare-fun currentStackBottom_5_87_33 () Int)
(declare-fun GE_pre_52_26_26 () Int)
(declare-fun keywordStrings_pre_50_181_30 () Int)
(declare-fun decorationType_pre_26_48_27 () Int)
(declare-fun decorationType_26_48_27 () Int)
(declare-fun RETURNSTMT_pre_53_33_7 () Int)
(declare-fun packageName_pre_6_27_40 () Int)
(declare-fun packageName_6_27_40 () Int)
(declare-fun BITNOT_pre_52_57_26 () Int)
(declare-fun superInterfaces_pre_17_34_35 () Int)
(declare-fun superInterfaces_17_34_35 () Int)
(declare-fun CU_pre_6_71_30 () Int)
(declare-fun CU_6_71_30 () Int)
(declare-fun CLASSLITERAL_pre_53_60_7 () Int)
(declare-fun type_pre_139_18_28 () Int)
(declare-fun type_139_18_28 () Int)
(declare-fun elements_pre_100_61_39 () Int)
(declare-fun elements_100_61_39 () Int)
(declare-fun moreElements_pre_27_58_29 () Int)
(declare-fun moreElements_27_58_29 () Int)
(declare-fun EQ_pre_52_25_26 () Int)
(declare-fun loc_pre_126_16_13 () Int)
(declare-fun loc_126_16_13 () Int)
(declare-fun loc_pre_138_21_13 () Int)
(declare-fun loc_138_21_13 () Int)
(declare-fun EVALSTMT_pre_53_32_7 () Int)
(declare-fun NOT_pre_52_56_26 () Int)
(declare-fun METHODINVOCATION_pre_53_59_7 () Int)
(declare-fun dims_pre_135_45_31 () Int)
(declare-fun dims_135_45_31 () Int)
(declare-fun id_pre_23_15_34 () Int)
(declare-fun id_23_15_34 () Int)
(declare-fun enclosingInstance_pre_134_25_14 () Int)
(declare-fun enclosingInstance_134_25_14 () Int)
(declare-fun locCloseBrace_pre_92_25_13 () Int)
(declare-fun locCloseBrace_92_25_13 () Int)
(declare-fun locId_pre_142_24_13 () Int)
(declare-fun locId_142_24_13 () Int)
(declare-fun NE_pre_52_24_26 () Int)
(declare-fun loc_pre_114_20_13 () Int)
(declare-fun loc_114_20_13 () Int)
(declare-fun elements_pre_155_61_43 () Int)
(declare-fun elements_155_61_43 () Int)
(declare-fun SYNCHRONIZESTMT_pre_53_31_7 () Int)
(declare-fun UNARYSUB_pre_52_55_26 () Int)
(declare-fun id_pre_17_32_34 () Int)
(declare-fun id_17_32_34 () Int)
(declare-fun loc_pre_25_40_13 () Int)
(declare-fun loc_25_40_13 () Int)
(declare-fun AMBIGUOUSMETHODINVOCATION_pre_53_58_7 () Int)
(declare-fun elements_pre_28_61_41 () Int)
(declare-fun elements_28_61_41 () Int)
(declare-fun locOpenParen_pre_144_28_13 () Int)
(declare-fun locOpenParen_144_28_13 () Int)
(declare-fun locOp_pre_78_32_13 () Int)
(declare-fun locOp_78_32_13 () Int)
(declare-fun BITAND_pre_52_23_26 () Int)
(declare-fun count_pre_136_67_33 () Int)
(declare-fun count_136_67_33 () Int)
(declare-fun ids_pre_151_19_37 () Int)
(declare-fun ids_151_19_37 () Int)
(declare-fun loc_pre_118_18_13 () Int)
(declare-fun loc_118_18_13 () Int)
(declare-fun DOSTMT_pre_53_30_7 () Int)
(declare-fun UNARYADD_pre_52_54_26 () Int)
(declare-fun fields_pre_6_875_27 () Int)
(declare-fun fields_6_875_27 () Int)
(declare-fun fieldSeq_pre_162_38 () Int)
(declare-fun fieldSeq_162_38 () Int)
(declare-fun FIELDACCESS_pre_53_57_7 () Int)
(declare-fun otherCodes_pre_50_202_27 () Int)
(declare-fun locFirstSemi_pre_125_36_13 () Int)
(declare-fun locFirstSemi_125_36_13 () Int)
(declare-fun op_pre_77_35_13 () Int)
(declare-fun op_77_35_13 () Int)
(declare-fun loc_pre_141_22_13 () Int)
(declare-fun loc_141_22_13 () Int)
(declare-fun BITXOR_pre_52_22_26 () Int)
(declare-fun superCall_pre_130_24_17 () Int)
(declare-fun superCall_130_24_17 () Int)
(declare-fun seqModifierPragma_pre_99_74_32 () Int)
(declare-fun elementType_pre_5_43_27 () Int)
(declare-fun elementType_5_43_27 () Int)
(declare-fun elementType_pre_24_22_27 () Int)
(declare-fun elementType_24_22_27 () Int)
(declare-fun punctuationStrings_pre_50_134_22 () Int)
(declare-fun WHILESTMT_pre_53_29_7 () Int)
(declare-fun ASGBITXOR_pre_52_51_26 () Int)
(declare-fun parent_pre_38_18_18 () Int)
(declare-fun parent_38_18_18 () Int)
(declare-fun type_pre_138_18_28 () Int)
(declare-fun type_138_18_28 () Int)
(declare-fun count_pre_47_67_33 () Int)
(declare-fun count_47_67_33 () Int)
(declare-fun loc_pre_115_20_13 () Int)
(declare-fun loc_115_20_13 () Int)
(declare-fun VARIABLEACCESS_pre_53_56_7 () Int)
(declare-fun owner_pre_4_35_28 () Int)
(declare-fun owner_4_35_28 () Int)
(declare-fun locOpenBracket_pre_149_21_13 () Int)
(declare-fun locOpenBracket_149_21_13 () Int)
(declare-fun locOpenBrace_pre_92_22_13 () Int)
(declare-fun locOpenBrace_92_22_13 () Int)
(declare-fun BITOR_pre_52_21_26 () Int)
(declare-fun id_pre_142_21_34 () Int)
(declare-fun id_142_21_34 () Int)
(declare-fun sigDecoration_pre_6_104_38 () Int)
(declare-fun modifiers_pre_17_28_13 () Int)
(declare-fun modifiers_17_28_13 () Int)
(declare-fun CLASSDECLSTMT_pre_53_28_7 () Int)
(declare-fun ASGBITOR_pre_52_50_26 () Int)
(declare-fun parent_pre_42_18_18 () Int)
(declare-fun parent_42_18_18 () Int)
(declare-fun ACCESS_MODIFIERS_pre_29_33_26 () Int)
(declare-fun AMBIGUOUSVARIABLEACCESS_pre_53_55_7 () Int)
(declare-fun myTypeDecl_pre_6_63_40 () Int)
(declare-fun myTypeDecl_6_63_40 () Int)
(declare-fun locId_pre_144_25_13 () Int)
(declare-fun locId_144_25_13 () Int)
(declare-fun count_pre_16_67_33 () Int)
(declare-fun count_16_67_33 () Int)
(declare-fun locId_pre_44_38_13 () Int)
(declare-fun locId_44_38_13 () Int)
(declare-fun loc_pre_131_22_13 () Int)
(declare-fun loc_131_22_13 () Int)
(declare-fun VARDECLSTMT_pre_53_27_7 () Int)
(declare-fun ASGBITAND_pre_52_49_26 () Int)
(declare-fun PARENEXPR_pre_53_54_7 () Int)
(declare-fun SIZE_MODIFIER_BITSET_pre_29_31_26 () Int)
(declare-fun id_pre_141_19_34 () Int)
(declare-fun id_141_19_34 () Int)
(declare-fun AND_pre_52_20_26 () Int)
(declare-fun loc_pre_125_33_13 () Int)
(declare-fun loc_125_33_13 () Int)
(declare-fun locDot_pre_145_23_13 () Int)
(declare-fun locDot_145_23_13 () Int)
(declare-fun init_pre_135_35_19 () Int)
(declare-fun init_135_35_19 () Int)
(declare-fun SWITCHSTMT_pre_53_26_7 () Int)
(declare-fun ASGURSHIFT_pre_52_48_26 () Int)
(declare-fun length_pre_37_50_25 () Int)
(declare-fun length_37_50_25 () Int)
(declare-fun ACC_STRICT_pre_29_29_26 () Int)
(declare-fun CASTEXPR_pre_53_53_7 () Int)
(declare-fun locDots_pre_151_31_29 () Int)
(declare-fun locDots_151_31_29 () Int)
(declare-fun NULLLIT_pre_51_45_26 () Int)
(declare-fun locOpenParen_pre_116_23_13 () Int)
(declare-fun locOpenParen_116_23_13 () Int)
(declare-fun tag_pre_74_32_13 () Int)
(declare-fun tag_74_32_13 () Int)
(declare-fun ACC_ABSTRACT_pre_29_28_26 () Int)
(declare-fun lenId_pre_31_914_30 () Int)
(declare-fun lenId_31_914_30 () Int)
(declare-fun hasParent_pre_18_149_30 () Int)
(declare-fun hasParent_18_149_30 () Int)
(declare-fun op_pre_78_26_13 () Int)
(declare-fun op_78_26_13 () Int)
(declare-fun OR_pre_52_19_26 () Int)
(declare-fun loc_pre_108_18_13 () Int)
(declare-fun loc_108_18_13 () Int)
(declare-fun loc_pre_97_29_13 () Int)
(declare-fun loc_97_29_13 () Int)
(declare-fun BLOCKSTMT_pre_53_25_7 () Int)
(declare-fun ASGRSHIFT_pre_52_47_26 () Int)
(declare-fun elementCount_pre_5_79_33 () Int)
(declare-fun elementCount_5_79_33 () Int)
(declare-fun locOpenBrace_pre_25_36_13 () Int)
(declare-fun locOpenBrace_25_36_13 () Int)
(declare-fun INSTANCEOFEXPR_pre_53_52_7 () Int)
(declare-fun elements_pre_15_61_38 () Int)
(declare-fun elements_15_61_38 () Int)
(declare-fun ACC_NATIVE_pre_29_27_26 () Int)
(declare-fun STRINGLIT_pre_51_44_26 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun md_110_37 () Int)
(declare-fun RES_111_45_111_45 () Int)
(declare-fun EC_111_45_111_45 () Int)
(declare-fun ecReturn () Int)
(declare-fun overrides_111_4 () Int)
(declare-fun after_114_18_114_18 () Int)
(declare-fun RES_114_18_114_18 () Int)
(declare-fun EC_114_18_114_18 () Int)
(declare-fun EC_116_26_116_26 () Int)
(declare-fun EC () Int)
(declare-fun overrides_111_8 () Int)
(declare-fun RES () Int)
(declare-fun RES_116_26_116_26 () Int)
(assert (let ((?v_1 (array T_java_lang_String)) (?v_0 (array T_int)) (?v_2 (not (= md_110_37 null))) (?v_4 (S_select decorationType_26_48_27 overridesDecoration_154_45))) (let ((?v_6 (not ?v_2)) (?v_8 (= true_term (is RES_111_45_111_45 T_java_lang_Object))) (?v_9 (= true_term (isAllocated RES_111_45_111_45 alloc))) (?v_3 (= EC_111_45_111_45 ecReturn))) (let ((?v_10 (=> ?v_3 (= (PO_LT (typeof RES_111_45_111_45) ?v_4) true_term))) (?v_5 (= true_term (is RES_111_45_111_45 T_javafe_util_Set))) (?v_11 (= overrides_111_4 (cast RES_111_45_111_45 T_javafe_util_Set))) (?v_12 (= (S_select elementType_24_22_27 overrides_111_4) T_javafe_ast_MethodDecl)) (?v_13 (= overrides_111_4 null)) (?v_14 (= true_term true_term)) (?v_15 (< alloc after_114_18_114_18)) (?v_16 (not (= RES_114_18_114_18 null))) (?v_17 (not (= true_term (isAllocated RES_114_18_114_18 alloc)))) (?v_18 (= true_term (is RES_114_18_114_18 T_javafe_util_Set))) (?v_19 (= true_term (isAllocated RES_114_18_114_18 after_114_18_114_18))) (?v_20 (= EC_114_18_114_18 ecReturn)) (?v_21 (= (S_select owner_4_35_28 RES_114_18_114_18) null)) (?v_7 (typeof RES_114_18_114_18))) (let ((?v_22 (= ?v_7 T_javafe_util_Set)) (?v_23 (= (S_select elementType_24_22_27 RES_114_18_114_18) T_javafe_ast_MethodDecl)) (?v_24 (= (PO_LT ?v_7 ?v_4) true_term)) (?v_25 (= ecReturn ecReturn))) (let ((?v_26 (=> ?v_25 (not (= overrides_111_8 null))))) (not (=> true (=> (and (= body_pre_25_34_19 body_25_34_19) (= body_25_34_19 (asField body_25_34_19 T_javafe_ast_BlockStmt)) (< (fClosedTime body_25_34_19) alloc) (= type_pre_44_35_28 type_44_35_28) (= type_44_35_28 (asField type_44_35_28 T_javafe_ast_Type)) (< (fClosedTime type_44_35_28) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select type_44_35_28 ?s) null)))) (= FORMALPARADECL_pre_53_24_7 FORMALPARADECL_53_24_7) (= true_term (is FORMALPARADECL_53_24_7 T_int)) (= ASGLSHIFT_pre_52_46_26 ASGLSHIFT_52_46_26) (= true_term (is ASGLSHIFT_52_46_26 T_int)) (= elemType_pre_149_18_28 elemType_149_18_28) (= elemType_149_18_28 (asField elemType_149_18_28 T_javafe_ast_Type)) (< (fClosedTime elemType_149_18_28) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elemType_149_18_28 ?s_1_) null)))) (= ACC_TRANSIENT_pre_29_26_26 ACC_TRANSIENT_29_26_26) (= true_term (is ACC_TRANSIENT_29_26_26 T_int)) (= loc_pre_74_50_13 loc_74_50_13) (= loc_74_50_13 (asField loc_74_50_13 T_int)) (= id_pre_144_20_34 id_144_20_34) (= id_144_20_34 (asField id_144_20_34 T_javafe_ast_Identifier)) (< (fClosedTime id_144_20_34) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select id_144_20_34 ?s_2_) null)))) (= parent_pre_17_59_18 parent_17_59_18) (= parent_17_59_18 (asField parent_17_59_18 T_javafe_ast_TypeDecl)) (< (fClosedTime parent_17_59_18) alloc) (= raises_pre_25_32_35 raises_25_32_35) (= raises_25_32_35 (asField raises_25_32_35 T_javafe_ast_TypeNameVec)) (< (fClosedTime raises_25_32_35) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select raises_25_32_35 ?s_3_) null)))) (= CONDEXPR_pre_53_51_7 CONDEXPR_53_51_7) (= true_term (is CONDEXPR_53_51_7 T_int)) (= loc_pre_121_18_13 loc_121_18_13) (= loc_121_18_13 (asField loc_121_18_13 T_int)) (= DOUBLELIT_pre_51_43_26 DOUBLELIT_51_43_26) (= true_term (is DOUBLELIT_51_43_26 T_int)) (= LAST_KEYWORD_pre_50_103_26 LAST_KEYWORD_50_103_26) (= true_term (is LAST_KEYWORD_50_103_26 T_int)) (= NULL_pre_50_82_26 NULL_50_82_26) (= true_term (is NULL_50_82_26 T_int)) (= ACC_VOLATILE_pre_29_25_26 ACC_VOLATILE_29_25_26) (= true_term (is ACC_VOLATILE_29_25_26 T_int)) (= FIELDDECL_pre_53_23_7 FIELDDECL_53_23_7) (= true_term (is FIELDDECL_53_23_7 T_int)) (= ASGSUB_pre_52_45_26 ASGSUB_52_45_26) (= true_term (is ASGSUB_52_45_26 T_int)) (= loc_pre_119_18_13 loc_119_18_13) (= loc_119_18_13 (asField loc_119_18_13 T_int)) (= NEWARRAYEXPR_pre_53_50_7 NEWARRAYEXPR_53_50_7) (= true_term (is NEWARRAYEXPR_53_50_7 T_int)) (= loc_pre_94_30_13 loc_94_30_13) (= loc_94_30_13 (asField loc_94_30_13 T_int)) (= ACC_SYNCHRONIZED_pre_29_24_26 ACC_SYNCHRONIZED_29_24_26) (= true_term (is ACC_SYNCHRONIZED_29_24_26 T_int)) (= locColon_pre_137_25_13 locColon_137_25_13) (= locColon_137_25_13 (asField locColon_137_25_13 T_int)) (= FLOATLIT_pre_51_42_26 FLOATLIT_51_42_26) (= true_term (is FLOATLIT_51_42_26 T_int)) (= otherStrings_pre_50_193_30 otherStrings_50_193_30) (= true_term (is otherStrings_50_193_30 ?v_1)) (= true_term (isAllocated otherStrings_50_193_30 alloc)) (= NULL_pre_40_60_26 NULL_40_60_26) (= true_term (is NULL_40_60_26 T_int)) (= state_pre_6_787_15 state_6_787_15) (= state_6_787_15 (asField state_6_787_15 T_int)) (= LOCALVARDECL_pre_53_22_7 LOCALVARDECL_53_22_7) (= true_term (is LOCALVARDECL_53_22_7 T_int)) (= ASGADD_pre_52_44_26 ASGADD_52_44_26) (= true_term (is ASGADD_52_44_26 T_int)) (= ACC_FINAL_pre_29_23_26 ACC_FINAL_29_23_26) (= true_term (is ACC_FINAL_29_23_26 T_int)) (= args_pre_25_30_41 args_25_30_41) (= args_25_30_41 (asField args_25_30_41 T_javafe_ast_FormalParaDeclVec)) (< (fClosedTime args_25_30_41) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select args_25_30_41 ?s_4_) null)))) (= NEWINSTANCEEXPR_pre_53_49_7 NEWINSTANCEEXPR_53_49_7) (= true_term (is NEWINSTANCEEXPR_53_49_7 T_int)) (= type_pre_145_20_28 type_145_20_28) (= type_145_20_28 (asField type_145_20_28 T_javafe_ast_Type)) (< (fClosedTime type_145_20_28) alloc) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (not (= (S_select type_145_20_28 ?s_5_) null)))) (= count_pre_156_67_33 count_156_67_33) (= count_156_67_33 (asField count_156_67_33 T_int)) (= overridesDecoration_pre_154_45 overridesDecoration_154_45) (= true_term (is overridesDecoration_154_45 T_javafe_ast_ASTDecoration)) (= true_term (isAllocated overridesDecoration_154_45 alloc)) (not (= overridesDecoration_154_45 null)) (= CHARLIT_pre_51_41_26 CHARLIT_51_41_26) (= true_term (is CHARLIT_51_41_26 T_int)) (= name_pre_30_18_28 name_30_18_28) (= name_30_18_28 (asField name_30_18_28 T_javafe_ast_Name)) (< (fClosedTime name_30_18_28) alloc) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (not (= (S_select name_30_18_28 ?s_6_) null)))) (= ACC_STATIC_pre_29_22_26 ACC_STATIC_29_22_26) (= true_term (is ACC_STATIC_29_22_26 T_int)) (= loc_pre_116_20_13 loc_116_20_13) (= loc_116_20_13 (asField loc_116_20_13 T_int)) (= INITBLOCK_pre_53_21_7 INITBLOCK_53_21_7) (= true_term (is INITBLOCK_53_21_7 T_int)) (= ASGREM_pre_52_43_26 ASGREM_52_43_26) (= true_term (is ASGREM_52_43_26 T_int)) (= locOpenParen_pre_134_52_13 locOpenParen_134_52_13) (= locOpenParen_134_52_13 (asField locOpenParen_134_52_13 T_int)) (= count_pre_32_67_33 count_32_67_33) (= count_32_67_33 (asField count_32_67_33 T_int)) (= locCloseBrace_pre_17_54_13 locCloseBrace_17_54_13) (= locCloseBrace_17_54_13 (asField locCloseBrace_17_54_13 T_int)) (= value_pre_74_45_16 value_74_45_16) (= value_74_45_16 (asField value_74_45_16 T_java_lang_Object)) (< (fClosedTime value_74_45_16) alloc) (= ARRAYREFEXPR_pre_53_48_7 ARRAYREFEXPR_53_48_7) (= true_term (is ARRAYREFEXPR_53_48_7 T_int)) (= type_pre_135_24_28 type_135_24_28) (= type_135_24_28 (asField type_135_24_28 T_javafe_ast_Type)) (< (fClosedTime type_135_24_28) alloc) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (not (= (S_select type_135_24_28 ?s_7_) null)))) (= ACC_PROTECTED_pre_29_21_26 ACC_PROTECTED_29_21_26) (= true_term (is ACC_PROTECTED_29_21_26 T_int)) (= LONGLIT_pre_51_40_26 LONGLIT_51_40_26) (= true_term (is LONGLIT_51_40_26 T_int)) (= id_pre_44_32_34 id_44_32_34) (= id_44_32_34 (asField id_44_32_34 T_javafe_ast_Identifier)) (< (fClosedTime id_44_32_34) alloc) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (not (= (S_select id_44_32_34 ?s_8_) null)))) (= METHODDECL_pre_53_20_7 METHODDECL_53_20_7) (= true_term (is METHODDECL_53_20_7 T_int)) (= ASGDIV_pre_52_42_26 ASGDIV_52_42_26) (= true_term (is ASGDIV_52_42_26 T_int)) (= locOpenParen_pre_130_48_13 locOpenParen_130_48_13) (= locOpenParen_130_48_13 (asField locOpenParen_130_48_13 T_int)) (= ACC_PRIVATE_pre_29_20_26 ACC_PRIVATE_29_20_26) (= true_term (is ACC_PRIVATE_29_20_26 T_int)) (= tmodifiers_pre_25_28_31 tmodifiers_25_28_31) (= tmodifiers_25_28_31 (asField tmodifiers_25_28_31 T_javafe_ast_TypeModifierPragmaVec)) (< (fClosedTime tmodifiers_25_28_31) alloc) (= THISEXPR_pre_53_47_7 THISEXPR_53_47_7) (= true_term (is THISEXPR_53_47_7 T_int)) (= locOpenBrackets_pre_135_65_29 locOpenBrackets_135_65_29) (= locOpenBrackets_135_65_29 (asField locOpenBrackets_135_65_29 ?v_0)) (< (fClosedTime locOpenBrackets_135_65_29) alloc) (forall ((?s_9_ Int)) (=> (not (= ?s_9_ null)) (not (= (S_select locOpenBrackets_135_65_29 ?s_9_) null)))) (= INTLIT_pre_51_39_26 INTLIT_51_39_26) (= true_term (is INTLIT_51_39_26 T_int)) (= modifiers_pre_41_24_13 modifiers_41_24_13) (= modifiers_41_24_13 (asField modifiers_41_24_13 T_int)) (= locQuestion_pre_137_22_13 locQuestion_137_22_13) (= locQuestion_137_22_13 (asField locQuestion_137_22_13 T_int)) (= pmodifiers_pre_25_26_27 pmodifiers_25_26_27) (= pmodifiers_25_26_27 (asField pmodifiers_25_26_27 T_javafe_ast_ModifierPragmaVec)) (< (fClosedTime pmodifiers_25_26_27) alloc) (= ACC_PUBLIC_pre_29_19_26 ACC_PUBLIC_29_19_26) (= true_term (is ACC_PUBLIC_29_19_26 T_int)) (= CONSTRUCTORDECL_pre_53_19_7 CONSTRUCTORDECL_53_19_7) (= true_term (is CONSTRUCTORDECL_53_19_7 T_int)) (= ASGMUL_pre_52_41_26 ASGMUL_52_41_26) (= true_term (is ASGMUL_52_41_26 T_int)) (= parent_pre_41_22_18 parent_41_22_18) (= parent_41_22_18 (asField parent_41_22_18 T_javafe_ast_TypeDecl)) (< (fClosedTime parent_41_22_18) alloc) (= elements_pre_136_61_33 elements_136_61_33) (= elements_136_61_33 (asField elements_136_61_33 (array T_javafe_ast_Expr))) (< (fClosedTime elements_136_61_33) alloc) (forall ((?s_10_ Int)) (=> (not (= ?s_10_ null)) (not (= (S_select elements_136_61_33 ?s_10_) null)))) (= map_pre_6_301_35 map_6_301_35) (= true_term (is map_6_301_35 T_java_util_Hashtable)) (= true_term (isAllocated map_6_301_35 alloc)) (= ARRAYINIT_pre_53_46_7 ARRAYINIT_53_46_7) (= true_term (is ARRAYINIT_53_46_7 T_int)) (= modifiers_pre_25_24_13 modifiers_25_24_13) (= modifiers_25_24_13 (asField modifiers_25_24_13 T_int)) (= typeEnv_pre_46_323_32 typeEnv_46_323_32) (= true_term (is typeEnv_46_323_32 T_javafe_ast_ASTDecoration)) (= true_term (isAllocated typeEnv_46_323_32 alloc)) (= BOOLEANLIT_pre_51_38_26 BOOLEANLIT_51_38_26) (= true_term (is BOOLEANLIT_51_38_26 T_int)) (= PREPPED_pre_6_775_28 PREPPED_6_775_28) (= true_term (is PREPPED_6_775_28 T_int)) (= INTERFACEDECL_pre_53_18_7 INTERFACEDECL_53_18_7) (= true_term (is INTERFACEDECL_53_18_7 T_int)) (= ASSIGN_pre_52_40_26 ASSIGN_52_40_26) (= true_term (is ASSIGN_52_40_26 T_int)) (= loc_pre_134_49_13 loc_134_49_13) (= loc_134_49_13 (asField loc_134_49_13 T_int)) (= locOpenBrace_pre_17_51_13 locOpenBrace_17_51_13) (= locOpenBrace_17_51_13 (asField locOpenBrace_17_51_13 T_int)) (= constructorSeq_pre_171_38 constructorSeq_171_38) (= constructorSeq_171_38 (asField constructorSeq_171_38 T_javafe_util_StackVector)) (< (fClosedTime constructorSeq_171_38) alloc) (forall ((?s_11_ Int)) (=> (not (= ?s_11_ null)) (not (= (S_select constructorSeq_171_38 ?s_11_) null)))) (= loc_pre_79_35_13 loc_79_35_13) (= loc_79_35_13 (asField loc_79_35_13 T_int)) (= CATCHCLAUSE_pre_53_45_7 CATCHCLAUSE_53_45_7) (= true_term (is CATCHCLAUSE_53_45_7 T_int)) (= modifiers_pre_44_28_13 modifiers_44_28_13) (= modifiers_44_28_13 (asField modifiers_44_28_13 T_int)) (= elements_pre_47_61_43 elements_47_61_43) (= elements_47_61_43 (asField elements_47_61_43 (array T_javafe_ast_FormalParaDecl))) (< (fClosedTime elements_47_61_43) alloc) (forall ((?s_12_ Int)) (=> (not (= ?s_12_ null)) (not (= (S_select elements_47_61_43 ?s_12_) null)))) (= SHORTTYPE_pre_51_36_26 SHORTTYPE_51_36_26) (= true_term (is SHORTTYPE_51_36_26 T_int)) (= TYPEMODIFIERPRAGMA_pre_50_28_26 TYPEMODIFIERPRAGMA_50_28_26) (= true_term (is TYPEMODIFIERPRAGMA_50_28_26 T_int)) (= parent_pre_25_21_18 parent_25_21_18) (= parent_25_21_18 (asField parent_25_21_18 T_javafe_ast_TypeDecl)) (< (fClosedTime parent_25_21_18) alloc) (= permitsNullValue_pre_35_31_27 permitsNullValue_35_31_27) (= permitsNullValue_35_31_27 (asField permitsNullValue_35_31_27 T_boolean)) (= CLASSDECL_pre_53_17_7 CLASSDECL_53_17_7) (= true_term (is CLASSDECL_53_17_7 T_int)) (= STAR_pre_52_37_26 STAR_52_37_26) (= true_term (is STAR_52_37_26 T_int)) (= count_pre_100_67_33 count_100_67_33) (= count_100_67_33 (asField count_100_67_33 T_int)) (= locKeyword_pre_130_45_13 locKeyword_130_45_13) (= locKeyword_130_45_13 (asField locKeyword_130_45_13 T_int)) (= locCloseBrace_pre_132_24_13 locCloseBrace_132_24_13) (= locCloseBrace_132_24_13 (asField locCloseBrace_132_24_13 T_int)) (= CONSTRUCTORINVOCATION_pre_53_44_7 CONSTRUCTORINVOCATION_53_44_7) (= true_term (is CONSTRUCTORINVOCATION_53_44_7 T_int)) (= BYTETYPE_pre_51_35_26 BYTETYPE_51_35_26) (= true_term (is BYTETYPE_51_35_26 T_int)) (= TYPEDECLELEMPRAGMA_pre_50_27_26 TYPEDECLELEMPRAGMA_50_27_26) (= true_term (is TYPEDECLELEMPRAGMA_50_27_26 T_int)) (= ONDEMANDIMPORTDECL_pre_53_16_7 ONDEMANDIMPORTDECL_53_16_7) (= true_term (is ONDEMANDIMPORTDECL_53_16_7 T_int)) (= MOD_pre_52_36_26 MOD_52_36_26) (= true_term (is MOD_52_36_26 T_int)) (= locOpenParen_pre_143_30_13 locOpenParen_143_30_13) (= locOpenParen_143_30_13 (asField locOpenParen_143_30_13 T_int)) (= locId_pre_123_20_13 locId_123_20_13) (= locId_123_20_13 (asField locId_123_20_13 T_int)) (= elements_pre_16_61_39 elements_16_61_39) (= elements_16_61_39 (asField elements_16_61_39 (array T_javafe_ast_MethodDecl))) (< (fClosedTime elements_16_61_39) alloc) (forall ((?s_13_ Int)) (=> (not (= ?s_13_ null)) (not (= (S_select elements_16_61_39 ?s_13_) null)))) (= TRYCATCHSTMT_pre_53_43_7 TRYCATCHSTMT_53_43_7) (= true_term (is TRYCATCHSTMT_53_43_7 T_int)) (= PARSED_pre_6_772_28 PARSED_6_772_28) (= true_term (is PARSED_6_772_28 T_int)) (= NULLTYPE_pre_51_34_26 NULLTYPE_51_34_26) (= true_term (is NULLTYPE_51_34_26 T_int)) (= STMTPRAGMA_pre_50_26_26 STMTPRAGMA_50_26_26) (= true_term (is STMTPRAGMA_50_26_26 T_int)) (= enclosingEnv_pre_6_52_36 enclosingEnv_6_52_36) (= enclosingEnv_6_52_36 (asField enclosingEnv_6_52_36 T_javafe_tc_Env)) (< (fClosedTime enclosingEnv_6_52_36) alloc) (= count_pre_155_67_33 count_155_67_33) (= count_155_67_33 (asField count_155_67_33 T_int)) (= locCloseParen_pre_140_21_13 locCloseParen_140_21_13) (= locCloseParen_140_21_13 (asField locCloseParen_140_21_13 T_int)) (= SINGLETYPEIMPORTDECL_pre_53_15_7 SINGLETYPEIMPORTDECL_53_15_7) (= true_term (is SINGLETYPEIMPORTDECL_53_15_7 T_int)) (= DIV_pre_52_35_26 DIV_52_35_26) (= true_term (is DIV_52_35_26 T_int)) (= count_pre_28_67_33 count_28_67_33) (= count_28_67_33 (asField count_28_67_33 T_int)) (= inst_pre_25_52 inst_25_52) (= true_term (is inst_25_52 T_javafe_tc_PrepTypeDeclaration)) (= true_term (isAllocated inst_25_52 alloc)) (not (= inst_25_52 null)) (= locId_pre_17_48_13 locId_17_48_13) (= locId_17_48_13 (asField locId_17_48_13 T_int)) (= TRYFINALLYSTMT_pre_53_42_7 TRYFINALLYSTMT_53_42_7) (= true_term (is TRYFINALLYSTMT_53_42_7 T_int)) (= returnsNull_pre_27_79_29 returnsNull_27_79_29) (= returnsNull_27_79_29 (asField returnsNull_27_79_29 T_boolean)) (= tag_pre_79_30_13 tag_79_30_13) (= tag_79_30_13 (asField tag_79_30_13 T_int)) (= elementType_pre_35_26_25 elementType_35_26_25) (= elementType_35_26_25 (asField elementType_35_26_25 T__TYPE)) (= VOIDTYPE_pre_51_33_26 VOIDTYPE_51_33_26) (= true_term (is VOIDTYPE_51_33_26 T_int)) (= MODIFIERPRAGMA_pre_50_25_26 MODIFIERPRAGMA_50_25_26) (= true_term (is MODIFIERPRAGMA_50_25_26 T_int)) (= ht_pre_24_33_36 ht_24_33_36) (= ht_24_33_36 (asField ht_24_33_36 T_java_util_Hashtable)) (< (fClosedTime ht_24_33_36) alloc) (forall ((?s_14_ Int)) (=> (not (= ?s_14_ null)) (not (= (S_select ht_24_33_36 ?s_14_) null)))) (= locIds_pre_151_25_29 locIds_151_25_29) (= locIds_151_25_29 (asField locIds_151_25_29 ?v_0)) (< (fClosedTime locIds_151_25_29) alloc) (forall ((?s_15_ Int)) (=> (not (= ?s_15_ null)) (not (= (S_select locIds_151_25_29 ?s_15_) null)))) (= COMPILATIONUNIT_pre_53_14_7 COMPILATIONUNIT_53_14_7) (= true_term (is COMPILATIONUNIT_53_14_7 T_int)) (= SUB_pre_52_34_26 SUB_52_34_26) (= true_term (is SUB_52_34_26 T_int)) (= loc_pre_127_29_13 loc_127_29_13) (= loc_127_29_13 (asField loc_127_29_13 T_int)) (= locOpenBrace_pre_132_21_13 locOpenBrace_132_21_13) (= locOpenBrace_132_21_13 (asField locOpenBrace_132_21_13 T_int)) (= locSuper_pre_148_20_13 locSuper_148_20_13) (= locSuper_148_20_13 (asField locSuper_148_20_13 T_int)) (= SWITCHLABEL_pre_53_41_7 SWITCHLABEL_53_41_7) (= true_term (is SWITCHLABEL_53_41_7 T_int)) (= locCloseBracket_pre_133_23_13 locCloseBracket_133_23_13) (= locCloseBracket_133_23_13 (asField locCloseBracket_133_23_13 T_int)) (= elements_pre_5_72_21 elements_5_72_21) (= elements_5_72_21 (asField elements_5_72_21 (array T_java_lang_Object))) (< (fClosedTime elements_5_72_21) alloc) (= locDot_pre_130_41_13 locDot_130_41_13) (= locDot_130_41_13 (asField locDot_130_41_13 T_int)) (= DOUBLETYPE_pre_51_32_26 DOUBLETYPE_51_32_26) (= true_term (is DOUBLETYPE_51_32_26 T_int)) (= LEXICALPRAGMA_pre_50_24_26 LEXICALPRAGMA_50_24_26) (= true_term (is LEXICALPRAGMA_50_24_26 T_int)) (= tokenType_pre_19_90_8 tokenType_19_90_8) (= tokenType_19_90_8 (asField tokenType_19_90_8 T_int)) (= ADD_pre_52_33_26 ADD_52_33_26) (= true_term (is ADD_52_33_26 T_int)) (= locType_pre_23_21_13 locType_23_21_13) (= locType_23_21_13 (asField locType_23_21_13 T_int)) (= SKIPSTMT_pre_53_40_7 SKIPSTMT_53_40_7) (= true_term (is SKIPSTMT_53_40_7 T_int)) (= FLOATTYPE_pre_51_31_26 FLOATTYPE_51_31_26) (= true_term (is FLOATTYPE_51_31_26 T_int)) (= COMPOUNDNAME_pre_53_67_7 COMPOUNDNAME_53_67_7) (= true_term (is COMPOUNDNAME_53_67_7 T_int)) (= locFinally_pre_128_25_13 locFinally_128_25_13) (= locFinally_128_25_13 (asField locFinally_128_25_13 T_int)) (= URSHIFT_pre_52_32_26 URSHIFT_52_32_26) (= true_term (is URSHIFT_52_32_26 T_int)) (= modifierKeywords_pre_99_81_28 modifierKeywords_99_81_28) (= true_term (is modifierKeywords_99_81_28 ?v_0)) (= true_term (isAllocated modifierKeywords_99_81_28 alloc)) (= permitsNullKey_pre_35_21_27 permitsNullKey_35_21_27) (= permitsNullKey_35_21_27 (asField permitsNullKey_35_21_27 T_boolean)) (= locCloseParen_pre_139_24_13 locCloseParen_139_24_13) (= locCloseParen_139_24_13 (asField locCloseParen_139_24_13 T_int)) (= loc_pre_17_45_13 loc_17_45_13) (= loc_17_45_13 (asField loc_17_45_13 T_int)) (= elementType_pre_27_74_27 elementType_27_74_27) (= elementType_27_74_27 (asField elementType_27_74_27 T__TYPE)) (= FORSTMT_pre_53_39_7 FORSTMT_53_39_7) (= true_term (is FORSTMT_53_39_7 T_int)) (= member_pre_6_44_39 member_6_44_39) (= member_6_44_39 (asField member_6_44_39 T_boolean)) (= CHARTYPE_pre_51_30_26 CHARTYPE_51_30_26) (= true_term (is CHARTYPE_51_30_26 T_int)) (= SIMPLENAME_pre_53_66_7 SIMPLENAME_53_66_7) (= true_term (is SIMPLENAME_53_66_7 T_int)) (= FIRST_KEYWORD_pre_50_51_26 FIRST_KEYWORD_50_51_26) (= true_term (is FIRST_KEYWORD_50_51_26 T_int)) (= whereDecoration_pre_46_597_41 whereDecoration_46_597_41) (= true_term (is whereDecoration_46_597_41 T_javafe_ast_ASTDecoration)) (= true_term (isAllocated whereDecoration_46_597_41 alloc)) (= RSHIFT_pre_52_31_26 RSHIFT_52_31_26) (= true_term (is RSHIFT_52_31_26 T_int)) (= IFSTMT_pre_53_38_7 IFSTMT_53_38_7) (= true_term (is IFSTMT_53_38_7 T_int)) (= vectorCount_pre_5_97_33 vectorCount_5_97_33) (= vectorCount_5_97_33 (asField vectorCount_5_97_33 T_int)) (= locOpenParen_pre_140_18_13 locOpenParen_140_18_13) (= locOpenParen_140_18_13 (asField locOpenParen_140_18_13 T_int)) (= LONGTYPE_pre_51_29_26 LONGTYPE_51_29_26) (= true_term (is LONGTYPE_51_29_26 T_int)) (= ARRAYTYPE_pre_53_65_7 ARRAYTYPE_53_65_7) (= true_term (is ARRAYTYPE_53_65_7 T_int)) (= TYPESIG_pre_49_6_28 TYPESIG_49_6_28) (= true_term (is TYPESIG_49_6_28 T_int)) (= locOpenBracket_pre_133_20_13 locOpenBracket_133_20_13) (= locOpenBracket_133_20_13 (asField locOpenBracket_133_20_13 T_int)) (= methodSeq_pre_167_38 methodSeq_167_38) (= methodSeq_167_38 (asField methodSeq_167_38 T_javafe_util_StackVector)) (< (fClosedTime methodSeq_167_38) alloc) (forall ((?s_16_ Int)) (=> (not (= ?s_16_ null)) (not (= (S_select methodSeq_167_38 ?s_16_) null)))) (= LSHIFT_pre_52_30_26 LSHIFT_52_30_26) (= true_term (is LSHIFT_52_30_26 T_int)) (= elements_pre_156_61_47 elements_156_61_47) (= elements_156_61_47 (asField elements_156_61_47 (array T_javafe_ast_TypeModifierPragma))) (< (fClosedTime elements_156_61_47) alloc) (forall ((?s_17_ Int)) (=> (not (= ?s_17_ null)) (not (= (S_select elements_156_61_47 ?s_17_) null)))) (= LABELSTMT_pre_53_37_7 LABELSTMT_53_37_7) (= true_term (is LABELSTMT_53_37_7 T_int)) (= POSTFIXDEC_pre_52_63_26 POSTFIXDEC_52_63_26) (= true_term (is POSTFIXDEC_52_63_26 T_int)) (= loc_pre_129_23_13 loc_129_23_13) (= loc_129_23_13 (asField loc_129_23_13 T_int)) (= enclosingInstance_pre_130_37_14 enclosingInstance_130_37_14) (= enclosingInstance_130_37_14 (asField enclosingInstance_130_37_14 T_javafe_ast_Expr)) (< (fClosedTime enclosingInstance_130_37_14) alloc) (= loc_pre_124_22_13 loc_124_22_13) (= loc_124_22_13 (asField loc_124_22_13 T_int)) (= locDot_pre_98_21_13 locDot_98_21_13) (= locDot_98_21_13 (asField locDot_98_21_13 T_int)) (= elements_pre_32_61_37 elements_32_61_37) (= elements_32_61_37 (asField elements_32_61_37 (array T_javafe_ast_TypeName))) (< (fClosedTime elements_32_61_37) alloc) (forall ((?s_18_ Int)) (=> (not (= ?s_18_ null)) (not (= (S_select elements_32_61_37 ?s_18_) null)))) (= locOp_pre_77_43_13 locOp_77_43_13) (= locOp_77_43_13 (asField locOp_77_43_13 T_int)) (= INTTYPE_pre_51_28_26 INTTYPE_51_28_26) (= true_term (is INTTYPE_51_28_26 T_int)) (= count_pre_15_67_33 count_15_67_33) (= count_15_67_33 (asField count_15_67_33 T_int)) (= TYPENAME_pre_53_64_7 TYPENAME_53_64_7) (= true_term (is TYPENAME_53_64_7 T_int)) (= keyType_pre_35_16_25 keyType_35_16_25) (= keyType_35_16_25 (asField keyType_35_16_25 T__TYPE)) (= superClass_pre_21_15_18 superClass_21_15_18) (= superClass_21_15_18 (asField superClass_21_15_18 T_javafe_ast_TypeName)) (< (fClosedTime superClass_21_15_18) alloc) (= LT_pre_52_29_26 LT_52_29_26) (= true_term (is LT_52_29_26 T_int)) (= loc_pre_111_18_13 loc_111_18_13) (= loc_111_18_13 (asField loc_111_18_13 T_int)) (= decl_pre_144_34_20 decl_144_34_20) (= decl_144_34_20 (asField decl_144_34_20 T_javafe_ast_MethodDecl)) (< (fClosedTime decl_144_34_20) alloc) (= noTokens_pre_50_212_27 noTokens_50_212_27) (= true_term (is noTokens_50_212_27 T_int)) (= CONTINUESTMT_pre_53_36_7 CONTINUESTMT_53_36_7) (= true_term (is CONTINUESTMT_53_36_7 T_int)) (= elems_pre_17_41_39 elems_17_41_39) (= elems_17_41_39 (asField elems_17_41_39 T_javafe_ast_TypeDeclElemVec)) (< (fClosedTime elems_17_41_39) alloc) (forall ((?s_19_ Int)) (=> (not (= ?s_19_ null)) (not (= (S_select elems_17_41_39 ?s_19_) null)))) (= POSTFIXINC_pre_52_62_26 POSTFIXINC_52_62_26) (= true_term (is POSTFIXINC_52_62_26 T_int)) (= locGuardOpenParen_pre_114_23_13 locGuardOpenParen_114_23_13) (= locGuardOpenParen_114_23_13 (asField locGuardOpenParen_114_23_13 T_int)) (= simpleName_pre_6_37_38 simpleName_6_37_38) (= simpleName_6_37_38 (asField simpleName_6_37_38 T_java_lang_String)) (< (fClosedTime simpleName_6_37_38) alloc) (= BOOLEANTYPE_pre_51_27_26 BOOLEANTYPE_51_27_26) (= true_term (is BOOLEANTYPE_51_27_26 T_int)) (= locOpenParen_pre_139_21_13 locOpenParen_139_21_13) (= locOpenParen_139_21_13 (asField locOpenParen_139_21_13 T_int)) (= SUPEROBJECTDESIGNATOR_pre_53_63_7 SUPEROBJECTDESIGNATOR_53_63_7) (= true_term (is SUPEROBJECTDESIGNATOR_53_63_7 T_int)) (= S_rootCache_pre_987_20 S_rootCache_987_20) (= S_rootCache_987_20 (asField S_rootCache_987_20 T_javafe_tc_TypeSig)) (< (fClosedTime S_rootCache_987_20) alloc) (= returnType_pre_23_18_28 returnType_23_18_28) (= returnType_23_18_28 (asField returnType_23_18_28 T_javafe_ast_Type)) (< (fClosedTime returnType_23_18_28) alloc) (forall ((?s_20_ Int)) (=> (not (= ?s_20_ null)) (not (= (S_select returnType_23_18_28 ?s_20_) null)))) (= loc_pre_128_22_13 loc_128_22_13) (= loc_128_22_13 (asField loc_128_22_13 T_int)) (= LE_pre_52_28_26 LE_52_28_26) (= true_term (is LE_52_28_26 T_int)) (= locDot_pre_134_29_13 locDot_134_29_13) (= locDot_134_29_13 (asField locDot_134_29_13 T_int)) (= punctuationCodes_pre_50_164_19 punctuationCodes_50_164_19) (= true_term (is punctuationCodes_50_164_19 ?v_0)) (= true_term (isAllocated punctuationCodes_50_164_19 alloc)) (= BREAKSTMT_pre_53_35_7 BREAKSTMT_53_35_7) (= true_term (is BREAKSTMT_53_35_7 T_int)) (= DEC_pre_52_59_26 DEC_52_59_26) (= true_term (is DEC_52_59_26 T_int)) (= decl_pre_142_28_19 decl_142_28_19) (= decl_142_28_19 (asField decl_142_28_19 T_javafe_ast_FieldDecl)) (< (fClosedTime decl_142_28_19) alloc) (= loc_pre_135_49_13 loc_135_49_13) (= loc_135_49_13 (asField loc_135_49_13 T_int)) (= IDENT_pre_51_25_26 IDENT_51_25_26) (= true_term (is IDENT_51_25_26 T_int)) (= TYPEOBJECTDESIGNATOR_pre_53_62_7 TYPEOBJECTDESIGNATOR_53_62_7) (= true_term (is TYPEOBJECTDESIGNATOR_53_62_7 T_int)) (= locThrowsKeyword_pre_25_48_13 locThrowsKeyword_25_48_13) (= locThrowsKeyword_25_48_13 (asField locThrowsKeyword_25_48_13 T_int)) (= GT_pre_52_27_26 GT_52_27_26) (= true_term (is GT_52_27_26 T_int)) (= enclosingType_pre_6_32_39 enclosingType_6_32_39) (= enclosingType_6_32_39 (asField enclosingType_6_32_39 T_javafe_tc_TypeSig)) (< (fClosedTime enclosingType_6_32_39) alloc) (= loc_pre_150_20_13 loc_150_20_13) (= loc_150_20_13 (asField loc_150_20_13 T_int)) (= methods_pre_6_883_26 methods_6_883_26) (= methods_6_883_26 (asField methods_6_883_26 T_javafe_tc_MethodDeclVec)) (< (fClosedTime methods_6_883_26) alloc) (= THROWSTMT_pre_53_34_7 THROWSTMT_53_34_7) (= true_term (is THROWSTMT_53_34_7 T_int)) (= INC_pre_52_58_26 INC_52_58_26) (= true_term (is INC_52_58_26 T_int)) (= lengthFieldDecl_pre_31_917_40 lengthFieldDecl_31_917_40) (= true_term (is lengthFieldDecl_31_917_40 T_javafe_ast_FieldDecl)) (= true_term (isAllocated lengthFieldDecl_31_917_40 alloc)) (not (= lengthFieldDecl_31_917_40 null)) (= locId_pre_25_43_13 locId_25_43_13) (= locId_25_43_13 (asField locId_25_43_13 T_int)) (= EXPROBJECTDESIGNATOR_pre_53_61_7 EXPROBJECTDESIGNATOR_53_61_7) (= true_term (is EXPROBJECTDESIGNATOR_53_61_7 T_int)) (= syntax_pre_7_28_29 syntax_7_28_29) (= syntax_7_28_29 (asField syntax_7_28_29 T_boolean)) (= decl_pre_141_26_38 decl_141_26_38) (= decl_141_26_38 (asField decl_141_26_38 T_javafe_ast_GenericVarDecl)) (< (fClosedTime decl_141_26_38) alloc) (forall ((?s_21_ Int)) (=> (not (= ?s_21_ null)) (not (= (S_select decl_141_26_38 ?s_21_) null)))) (= currentStackBottom_pre_5_87_33 currentStackBottom_5_87_33) (= currentStackBottom_5_87_33 (asField currentStackBottom_5_87_33 T_int)) (= GE_pre_52_26_26 GE_52_26_26) (= true_term (is GE_52_26_26 T_int)) (= keywordStrings_pre_50_181_30 keywordStrings_50_181_30) (= true_term (is keywordStrings_50_181_30 ?v_1)) (= true_term (isAllocated keywordStrings_50_181_30 alloc)) (= decorationType_pre_26_48_27 decorationType_26_48_27) (= decorationType_26_48_27 (asField decorationType_26_48_27 T__TYPE)) (= RETURNSTMT_pre_53_33_7 RETURNSTMT_53_33_7) (= true_term (is RETURNSTMT_53_33_7 T_int)) (= packageName_pre_6_27_40 packageName_6_27_40) (= packageName_6_27_40 (asField packageName_6_27_40 ?v_1)) (< (fClosedTime packageName_6_27_40) alloc) (= BITNOT_pre_52_57_26 BITNOT_52_57_26) (= true_term (is BITNOT_52_57_26 T_int)) (= superInterfaces_pre_17_34_35 superInterfaces_17_34_35) (= superInterfaces_17_34_35 (asField superInterfaces_17_34_35 T_javafe_ast_TypeNameVec)) (< (fClosedTime superInterfaces_17_34_35) alloc) (forall ((?s_22_ Int)) (=> (not (= ?s_22_ null)) (not (= (S_select superInterfaces_17_34_35 ?s_22_) null)))) (= CU_pre_6_71_30 CU_6_71_30) (= CU_6_71_30 (asField CU_6_71_30 T_javafe_ast_CompilationUnit)) (< (fClosedTime CU_6_71_30) alloc) (= CLASSLITERAL_pre_53_60_7 CLASSLITERAL_53_60_7) (= true_term (is CLASSLITERAL_53_60_7 T_int)) (= type_pre_139_18_28 type_139_18_28) (= type_139_18_28 (asField type_139_18_28 T_javafe_ast_Type)) (< (fClosedTime type_139_18_28) alloc) (forall ((?s_23_ Int)) (=> (not (= ?s_23_ null)) (not (= (S_select type_139_18_28 ?s_23_) null)))) (= elements_pre_100_61_39 elements_100_61_39) (= elements_100_61_39 (asField elements_100_61_39 (array T_javafe_ast_Identifier))) (< (fClosedTime elements_100_61_39) alloc) (forall ((?s_24_ Int)) (=> (not (= ?s_24_ null)) (not (= (S_select elements_100_61_39 ?s_24_) null)))) (= moreElements_pre_27_58_29 moreElements_27_58_29) (= moreElements_27_58_29 (asField moreElements_27_58_29 T_boolean)) (= EQ_pre_52_25_26 EQ_52_25_26) (= true_term (is EQ_52_25_26 T_int)) (= loc_pre_126_16_13 loc_126_16_13) (= loc_126_16_13 (asField loc_126_16_13 T_int)) (= loc_pre_138_21_13 loc_138_21_13) (= loc_138_21_13 (asField loc_138_21_13 T_int)) (= EVALSTMT_pre_53_32_7 EVALSTMT_53_32_7) (= true_term (is EVALSTMT_53_32_7 T_int)) (= NOT_pre_52_56_26 NOT_52_56_26) (= true_term (is NOT_52_56_26 T_int)) (= METHODINVOCATION_pre_53_59_7 METHODINVOCATION_53_59_7) (= true_term (is METHODINVOCATION_53_59_7 T_int)) (= dims_pre_135_45_31 dims_135_45_31) (= dims_135_45_31 (asField dims_135_45_31 T_javafe_ast_ExprVec)) (< (fClosedTime dims_135_45_31) alloc) (forall ((?s_25_ Int)) (=> (not (= ?s_25_ null)) (not (= (S_select dims_135_45_31 ?s_25_) null)))) (= id_pre_23_15_34 id_23_15_34) (= id_23_15_34 (asField id_23_15_34 T_javafe_ast_Identifier)) (< (fClosedTime id_23_15_34) alloc) (forall ((?s_26_ Int)) (=> (not (= ?s_26_ null)) (not (= (S_select id_23_15_34 ?s_26_) null)))) (= enclosingInstance_pre_134_25_14 enclosingInstance_134_25_14) (= enclosingInstance_134_25_14 (asField enclosingInstance_134_25_14 T_javafe_ast_Expr)) (< (fClosedTime enclosingInstance_134_25_14) alloc) (= locCloseBrace_pre_92_25_13 locCloseBrace_92_25_13) (= locCloseBrace_92_25_13 (asField locCloseBrace_92_25_13 T_int)) (= locId_pre_142_24_13 locId_142_24_13) (= locId_142_24_13 (asField locId_142_24_13 T_int)) (= NE_pre_52_24_26 NE_52_24_26) (= true_term (is NE_52_24_26 T_int)) (= loc_pre_114_20_13 loc_114_20_13) (= loc_114_20_13 (asField loc_114_20_13 T_int)) (= elements_pre_155_61_43 elements_155_61_43) (= elements_155_61_43 (asField elements_155_61_43 (array T_javafe_ast_ModifierPragma))) (< (fClosedTime elements_155_61_43) alloc) (forall ((?s_27_ Int)) (=> (not (= ?s_27_ null)) (not (= (S_select elements_155_61_43 ?s_27_) null)))) (= SYNCHRONIZESTMT_pre_53_31_7 SYNCHRONIZESTMT_53_31_7) (= true_term (is SYNCHRONIZESTMT_53_31_7 T_int)) (= UNARYSUB_pre_52_55_26 UNARYSUB_52_55_26) (= true_term (is UNARYSUB_52_55_26 T_int)) (= id_pre_17_32_34 id_17_32_34) (= id_17_32_34 (asField id_17_32_34 T_javafe_ast_Identifier)) (< (fClosedTime id_17_32_34) alloc) (forall ((?s_28_ Int)) (=> (not (= ?s_28_ null)) (not (= (S_select id_17_32_34 ?s_28_) null)))) (= loc_pre_25_40_13 loc_25_40_13) (= loc_25_40_13 (asField loc_25_40_13 T_int)) (= AMBIGUOUSMETHODINVOCATION_pre_53_58_7 AMBIGUOUSMETHODINVOCATION_53_58_7) (= true_term (is AMBIGUOUSMETHODINVOCATION_53_58_7 T_int)) (= elements_pre_28_61_41 elements_28_61_41) (= elements_28_61_41 (asField elements_28_61_41 (array T_javafe_ast_TypeDeclElem))) (< (fClosedTime elements_28_61_41) alloc) (forall ((?s_29_ Int)) (=> (not (= ?s_29_ null)) (not (= (S_select elements_28_61_41 ?s_29_) null)))) (= locOpenParen_pre_144_28_13 locOpenParen_144_28_13) (= locOpenParen_144_28_13 (asField locOpenParen_144_28_13 T_int)) (= locOp_pre_78_32_13 locOp_78_32_13) (= locOp_78_32_13 (asField locOp_78_32_13 T_int)) (= BITAND_pre_52_23_26 BITAND_52_23_26) (= true_term (is BITAND_52_23_26 T_int)) (= count_pre_136_67_33 count_136_67_33) (= count_136_67_33 (asField count_136_67_33 T_int)) (= ids_pre_151_19_37 ids_151_19_37) (= ids_151_19_37 (asField ids_151_19_37 T_javafe_ast_IdentifierVec)) (< (fClosedTime ids_151_19_37) alloc) (forall ((?s_30_ Int)) (=> (not (= ?s_30_ null)) (not (= (S_select ids_151_19_37 ?s_30_) null)))) (= loc_pre_118_18_13 loc_118_18_13) (= loc_118_18_13 (asField loc_118_18_13 T_int)) (= DOSTMT_pre_53_30_7 DOSTMT_53_30_7) (= true_term (is DOSTMT_53_30_7 T_int)) (= UNARYADD_pre_52_54_26 UNARYADD_52_54_26) (= true_term (is UNARYADD_52_54_26 T_int)) (= fields_pre_6_875_27 fields_6_875_27) (= fields_6_875_27 (asField fields_6_875_27 T_javafe_tc_FieldDeclVec)) (< (fClosedTime fields_6_875_27) alloc) (= fieldSeq_pre_162_38 fieldSeq_162_38) (= fieldSeq_162_38 (asField fieldSeq_162_38 T_javafe_util_StackVector)) (< (fClosedTime fieldSeq_162_38) alloc) (forall ((?s_31_ Int)) (=> (not (= ?s_31_ null)) (not (= (S_select fieldSeq_162_38 ?s_31_) null)))) (= FIELDACCESS_pre_53_57_7 FIELDACCESS_53_57_7) (= true_term (is FIELDACCESS_53_57_7 T_int)) (= otherCodes_pre_50_202_27 otherCodes_50_202_27) (= true_term (is otherCodes_50_202_27 ?v_0)) (= true_term (isAllocated otherCodes_50_202_27 alloc)) (= locFirstSemi_pre_125_36_13 locFirstSemi_125_36_13) (= locFirstSemi_125_36_13 (asField locFirstSemi_125_36_13 T_int)) (= op_pre_77_35_13 op_77_35_13) (= op_77_35_13 (asField op_77_35_13 T_int)) (= loc_pre_141_22_13 loc_141_22_13) (= loc_141_22_13 (asField loc_141_22_13 T_int)) (= BITXOR_pre_52_22_26 BITXOR_52_22_26) (= true_term (is BITXOR_52_22_26 T_int)) (= superCall_pre_130_24_17 superCall_130_24_17) (= superCall_130_24_17 (asField superCall_130_24_17 T_boolean)) (= seqModifierPragma_pre_99_74_32 seqModifierPragma_99_74_32) (= seqModifierPragma_99_74_32 (asField seqModifierPragma_99_74_32 T_javafe_util_StackVector)) (< (fClosedTime seqModifierPragma_99_74_32) alloc) (= elementType_pre_5_43_27 elementType_5_43_27) (= elementType_5_43_27 (asField elementType_5_43_27 T__TYPE)) (= elementType_pre_24_22_27 elementType_24_22_27) (= elementType_24_22_27 (asField elementType_24_22_27 T__TYPE)) (= punctuationStrings_pre_50_134_22 punctuationStrings_50_134_22) (= true_term (is punctuationStrings_50_134_22 ?v_1)) (= true_term (isAllocated punctuationStrings_50_134_22 alloc)) (= WHILESTMT_pre_53_29_7 WHILESTMT_53_29_7) (= true_term (is WHILESTMT_53_29_7 T_int)) (= ASGBITXOR_pre_52_51_26 ASGBITXOR_52_51_26) (= true_term (is ASGBITXOR_52_51_26 T_int)) (= parent_pre_38_18_18 parent_38_18_18) (= parent_38_18_18 (asField parent_38_18_18 T_javafe_ast_TypeDecl)) (< (fClosedTime parent_38_18_18) alloc) (= type_pre_138_18_28 type_138_18_28) (= type_138_18_28 (asField type_138_18_28 T_javafe_ast_Type)) (< (fClosedTime type_138_18_28) alloc) (forall ((?s_32_ Int)) (=> (not (= ?s_32_ null)) (not (= (S_select type_138_18_28 ?s_32_) null)))) (= count_pre_47_67_33 count_47_67_33) (= count_47_67_33 (asField count_47_67_33 T_int)) (= loc_pre_115_20_13 loc_115_20_13) (= loc_115_20_13 (asField loc_115_20_13 T_int)) (= VARIABLEACCESS_pre_53_56_7 VARIABLEACCESS_53_56_7) (= true_term (is VARIABLEACCESS_53_56_7 T_int)) (= owner_pre_4_35_28 owner_4_35_28) (= owner_4_35_28 (asField owner_4_35_28 T_java_lang_Object)) (< (fClosedTime owner_4_35_28) alloc) (= locOpenBracket_pre_149_21_13 locOpenBracket_149_21_13) (= locOpenBracket_149_21_13 (asField locOpenBracket_149_21_13 T_int)) (= locOpenBrace_pre_92_22_13 locOpenBrace_92_22_13) (= locOpenBrace_92_22_13 (asField locOpenBrace_92_22_13 T_int)) (= BITOR_pre_52_21_26 BITOR_52_21_26) (= true_term (is BITOR_52_21_26 T_int)) (= id_pre_142_21_34 id_142_21_34) (= id_142_21_34 (asField id_142_21_34 T_javafe_ast_Identifier)) (< (fClosedTime id_142_21_34) alloc) (forall ((?s_33_ Int)) (=> (not (= ?s_33_ null)) (not (= (S_select id_142_21_34 ?s_33_) null)))) (= sigDecoration_pre_6_104_38 sigDecoration_6_104_38) (= true_term (is sigDecoration_6_104_38 T_javafe_ast_ASTDecoration)) (= true_term (isAllocated sigDecoration_6_104_38 alloc)) (= modifiers_pre_17_28_13 modifiers_17_28_13) (= modifiers_17_28_13 (asField modifiers_17_28_13 T_int)) (= CLASSDECLSTMT_pre_53_28_7 CLASSDECLSTMT_53_28_7) (= true_term (is CLASSDECLSTMT_53_28_7 T_int)) (= ASGBITOR_pre_52_50_26 ASGBITOR_52_50_26) (= true_term (is ASGBITOR_52_50_26 T_int)) (= parent_pre_42_18_18 parent_42_18_18) (= parent_42_18_18 (asField parent_42_18_18 T_javafe_ast_TypeDecl)) (< (fClosedTime parent_42_18_18) alloc) (= ACCESS_MODIFIERS_pre_29_33_26 ACCESS_MODIFIERS_29_33_26) (= true_term (is ACCESS_MODIFIERS_29_33_26 T_int)) (= AMBIGUOUSVARIABLEACCESS_pre_53_55_7 AMBIGUOUSVARIABLEACCESS_53_55_7) (= true_term (is AMBIGUOUSVARIABLEACCESS_53_55_7 T_int)) (= myTypeDecl_pre_6_63_40 myTypeDecl_6_63_40) (= myTypeDecl_6_63_40 (asField myTypeDecl_6_63_40 T_javafe_ast_TypeDecl)) (< (fClosedTime myTypeDecl_6_63_40) alloc) (= locId_pre_144_25_13 locId_144_25_13) (= locId_144_25_13 (asField locId_144_25_13 T_int)) (= count_pre_16_67_33 count_16_67_33) (= count_16_67_33 (asField count_16_67_33 T_int)) (= locId_pre_44_38_13 locId_44_38_13) (= locId_44_38_13 (asField locId_44_38_13 T_int)) (= loc_pre_131_22_13 loc_131_22_13) (= loc_131_22_13 (asField loc_131_22_13 T_int)) (= VARDECLSTMT_pre_53_27_7 VARDECLSTMT_53_27_7) (= true_term (is VARDECLSTMT_53_27_7 T_int)) (= ASGBITAND_pre_52_49_26 ASGBITAND_52_49_26) (= true_term (is ASGBITAND_52_49_26 T_int)) (= PARENEXPR_pre_53_54_7 PARENEXPR_53_54_7) (= true_term (is PARENEXPR_53_54_7 T_int)) (= SIZE_MODIFIER_BITSET_pre_29_31_26 SIZE_MODIFIER_BITSET_29_31_26) (= true_term (is SIZE_MODIFIER_BITSET_29_31_26 T_int)) (= id_pre_141_19_34 id_141_19_34) (= id_141_19_34 (asField id_141_19_34 T_javafe_ast_Identifier)) (< (fClosedTime id_141_19_34) alloc) (forall ((?s_34_ Int)) (=> (not (= ?s_34_ null)) (not (= (S_select id_141_19_34 ?s_34_) null)))) (= AND_pre_52_20_26 AND_52_20_26) (= true_term (is AND_52_20_26 T_int)) (= loc_pre_125_33_13 loc_125_33_13) (= loc_125_33_13 (asField loc_125_33_13 T_int)) (= locDot_pre_145_23_13 locDot_145_23_13) (= locDot_145_23_13 (asField locDot_145_23_13 T_int)) (= init_pre_135_35_19 init_135_35_19) (= init_135_35_19 (asField init_135_35_19 T_javafe_ast_ArrayInit)) (< (fClosedTime init_135_35_19) alloc) (= SWITCHSTMT_pre_53_26_7 SWITCHSTMT_53_26_7) (= true_term (is SWITCHSTMT_53_26_7 T_int)) (= ASGURSHIFT_pre_52_48_26 ASGURSHIFT_52_48_26) (= true_term (is ASGURSHIFT_52_48_26 T_int)) (= length_pre_37_50_25 length_37_50_25) (= length_37_50_25 (asField length_37_50_25 T_int)) (= ACC_STRICT_pre_29_29_26 ACC_STRICT_29_29_26) (= true_term (is ACC_STRICT_29_29_26 T_int)) (= CASTEXPR_pre_53_53_7 CASTEXPR_53_53_7) (= true_term (is CASTEXPR_53_53_7 T_int)) (= locDots_pre_151_31_29 locDots_151_31_29) (= locDots_151_31_29 (asField locDots_151_31_29 ?v_0)) (< (fClosedTime locDots_151_31_29) alloc) (forall ((?s_35_ Int)) (=> (not (= ?s_35_ null)) (not (= (S_select locDots_151_31_29 ?s_35_) null)))) (= NULLLIT_pre_51_45_26 NULLLIT_51_45_26) (= true_term (is NULLLIT_51_45_26 T_int)) (= locOpenParen_pre_116_23_13 locOpenParen_116_23_13) (= locOpenParen_116_23_13 (asField locOpenParen_116_23_13 T_int)) (= tag_pre_74_32_13 tag_74_32_13) (= tag_74_32_13 (asField tag_74_32_13 T_int)) (= ACC_ABSTRACT_pre_29_28_26 ACC_ABSTRACT_29_28_26) (= true_term (is ACC_ABSTRACT_29_28_26 T_int)) (= lenId_pre_31_914_30 lenId_31_914_30) (= true_term (is lenId_31_914_30 T_javafe_ast_Identifier)) (= true_term (isAllocated lenId_31_914_30 alloc)) (= hasParent_pre_18_149_30 hasParent_18_149_30) (= hasParent_18_149_30 (asField hasParent_18_149_30 T_boolean)) (= op_pre_78_26_13 op_78_26_13) (= op_78_26_13 (asField op_78_26_13 T_int)) (= OR_pre_52_19_26 OR_52_19_26) (= true_term (is OR_52_19_26 T_int)) (= loc_pre_108_18_13 loc_108_18_13) (= loc_108_18_13 (asField loc_108_18_13 T_int)) (= loc_pre_97_29_13 loc_97_29_13) (= loc_97_29_13 (asField loc_97_29_13 T_int)) (= BLOCKSTMT_pre_53_25_7 BLOCKSTMT_53_25_7) (= true_term (is BLOCKSTMT_53_25_7 T_int)) (= ASGRSHIFT_pre_52_47_26 ASGRSHIFT_52_47_26) (= true_term (is ASGRSHIFT_52_47_26 T_int)) (= elementCount_pre_5_79_33 elementCount_5_79_33) (= elementCount_5_79_33 (asField elementCount_5_79_33 T_int)) (= locOpenBrace_pre_25_36_13 locOpenBrace_25_36_13) (= locOpenBrace_25_36_13 (asField locOpenBrace_25_36_13 T_int)) (= INSTANCEOFEXPR_pre_53_52_7 INSTANCEOFEXPR_53_52_7) (= true_term (is INSTANCEOFEXPR_53_52_7 T_int)) (= elements_pre_15_61_38 elements_15_61_38) (= elements_15_61_38 (asField elements_15_61_38 (array T_javafe_ast_FieldDecl))) (< (fClosedTime elements_15_61_38) alloc) (forall ((?s_36_ Int)) (=> (not (= ?s_36_ null)) (not (= (S_select elements_15_61_38 ?s_36_) null)))) (= ACC_NATIVE_pre_29_27_26 ACC_NATIVE_29_27_26) (= true_term (is ACC_NATIVE_29_27_26 T_int)) (= STRINGLIT_pre_51_44_26 STRINGLIT_51_44_26) (= true_term (is STRINGLIT_51_44_26 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_tc_PrepTypeDeclaration)) (= true_term (isAllocated this alloc)) (not (= this null)) (= true_term (is md_110_37 T_javafe_ast_MethodDecl)) (= true_term (isAllocated md_110_37 alloc)) ?v_2 (= ?v_4 T_javafe_util_Set) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_tc_PrepTypeDeclaration)) (not (= ?brokenObj null))) (= (S_select elementType_5_43_27 (S_select fieldSeq_162_38 ?brokenObj)) T_javafe_ast_FieldDecl))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_tc_PrepTypeDeclaration)) (not (= ?brokenObj_1_ null))) (= (S_select elementType_5_43_27 (S_select methodSeq_167_38 ?brokenObj_1_)) T_javafe_ast_MethodDecl))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_tc_PrepTypeDeclaration)) (not (= ?brokenObj_2_ null))) (= (S_select owner_4_35_28 (S_select constructorSeq_171_38 ?brokenObj_2_)) ?brokenObj_2_))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_util_Set)) (not (= ?brokenObj_3_ null))) (= (S_select elementType_35_26_25 (S_select ht_24_33_36 ?brokenObj_3_)) (S_select elementType_24_22_27 ?brokenObj_3_)))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_util_StackVector)) (not (= ?brokenObj_4_ null))) (= (S_select owner_4_35_28 (S_select elements_5_72_21 ?brokenObj_4_)) ?brokenObj_4_))) (forall ((?brokenObj_5_ Int)) (let ((?v_27 (S_select elementCount_5_79_33 ?brokenObj_5_))) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_util_StackVector)) (not (= ?brokenObj_5_ null))) (and (<= 0 ?v_27) (<= ?v_27 (arrayLength (S_select elements_5_72_21 ?brokenObj_5_))))))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_util_StackVector)) (not (= ?brokenObj_6_ null))) (> (arrayLength (S_select elements_5_72_21 ?brokenObj_6_)) 0))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_tc_PrepTypeDeclaration)) (not (= ?brokenObj_7_ null))) (= (S_select elementType_5_43_27 (S_select constructorSeq_171_38 ?brokenObj_7_)) T_javafe_ast_ConstructorDecl))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_util_Set)) (not (= ?brokenObj_8_ null))) (= (S_select keyType_35_16_25 (S_select ht_24_33_36 ?brokenObj_8_)) (S_select elementType_24_22_27 ?brokenObj_8_)))) (forall ((?brokenObj_9_ Int)) (let ((?v_28 (S_select currentStackBottom_5_87_33 ?brokenObj_9_))) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_util_StackVector)) (not (= ?brokenObj_9_ null))) (or (= ?v_28 0) (= (S_select (S_select elems (S_select elements_5_72_21 ?brokenObj_9_)) (- ?v_28 1)) null))))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_tc_PrepTypeDeclaration)) (not (= ?brokenObj_10_ null))) (= (S_select owner_4_35_28 (S_select fieldSeq_162_38 ?brokenObj_10_)) ?brokenObj_10_))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_tc_PrepTypeDeclaration)) (not (= ?brokenObj_11_ null))) (= (S_select owner_4_35_28 (S_select methodSeq_167_38 ?brokenObj_11_)) ?brokenObj_11_))) (forall ((?brokenObj_12_ Int)) (let ((?v_29 (S_select currentStackBottom_5_87_33 ?brokenObj_12_))) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_util_StackVector)) (not (= ?brokenObj_12_ null))) (and (<= 0 ?v_29) (<= ?v_29 (S_select elementCount_5_79_33 ?brokenObj_12_)))))) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_util_StackVector)) (not (= ?brokenObj_13_ null))) (= (typeof (S_select elements_5_72_21 ?brokenObj_13_)) (array T_java_lang_Object)))) (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_util_Set)) (not (= ?brokenObj_14_ null))) (= (S_select owner_4_35_28 (S_select ht_24_33_36 ?brokenObj_14_)) ?brokenObj_14_))) (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_util_StackVector)) (not (= ?brokenObj_15_ null))) (forall ((?i_5_76_31 Int)) (let ((?v_30 (S_select (S_select elems (S_select elements_5_72_21 ?brokenObj_15_)) ?i_5_76_31))) (=> (and (<= 0 ?i_5_76_31) (< ?i_5_76_31 (S_select elementCount_5_79_33 ?brokenObj_15_))) (or (= ?v_30 null) (= (PO_LT (typeof ?v_30) (S_select elementType_5_43_27 ?brokenObj_15_)) true_term))))))) (forall ((?brokenObj_16_ Int)) (=> (and (= true_term (is ?brokenObj_16_ T_javafe_util_StackVector)) (not (= ?brokenObj_16_ null))) (not (= (S_select elements_5_72_21 ?brokenObj_16_) null)))) (or ?v_6 (and ?v_2 ?v_8 ?v_9 ?v_3 ?v_10 (or (not ?v_5) (and ?v_5 ?v_11 ?v_12 ?v_13 ?v_14 ?v_15 ?v_16 ?v_17 ?v_18 ?v_19 ?v_20 ?v_21 ?v_22 ?v_23 (or ?v_6 (and ?v_2 (not ?v_24)))))) (and ?v_2 ?v_8 ?v_9 ?v_3 ?v_10 ?v_5 ?v_11 ?v_12 (or (and ?v_13 ?v_14 ?v_15 ?v_16 ?v_17 ?v_18 ?v_19 ?v_20 ?v_21 ?v_22 ?v_23 ?v_2 ?v_24 (= EC_116_26_116_26 ecReturn) (= EC EC_116_26_116_26) (= overrides_111_8 RES_114_18_114_18) (= RES RES_116_26_116_26)) (and (not ?v_13) ?v_14 (= EC EC_111_45_111_45) (= overrides_111_8 overrides_111_4) (= RES RES_111_45_111_45))) ?v_14 (or (not ?v_25) (and ?v_25 (or (not ?v_26) (and ?v_26 (not (=> ?v_25 (= (S_select elementType_24_22_27 overrides_111_8) T_javafe_ast_MethodDecl))))))))))))))))))))
(check-sat)
(exit)
