(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_javafe_ast_PrettyPrint () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_javafe_util_ErrorSet () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_javafe_FrontEndTool () Int)
(declare-fun T_javafe_Tool () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_javafe_ast_VarInit () Int)
(declare-fun T_javafe_tc_Listener () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_test_LocTool () Int)
(declare-fun T_javafe_SrcTool () Int)
(declare-fun T_javafe_ast_Expr () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun NULL_20_60_26 () Int)
(declare-fun out_16_83_49 () Int)
(assert (and (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_javafe_ast_PrettyPrint T_java_lang_Object) true_term) (= T_javafe_ast_PrettyPrint (asChild T_javafe_ast_PrettyPrint T_java_lang_Object)) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_ErrorSet T_java_lang_Object) true_term) (= T_javafe_util_ErrorSet (asChild T_javafe_util_ErrorSet T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_FrontEndTool T_javafe_Tool) true_term) (= T_javafe_FrontEndTool (asChild T_javafe_FrontEndTool T_javafe_Tool)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_VarInit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_VarInit (asChild T_javafe_ast_VarInit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_tc_Listener T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_test_LocTool T_javafe_SrcTool) true_term) (= T_javafe_test_LocTool (asChild T_javafe_test_LocTool T_javafe_SrcTool)) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_javafe_ast_Expr T_javafe_ast_VarInit) true_term) (= T_javafe_ast_Expr (asChild T_javafe_ast_Expr T_javafe_ast_VarInit)) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_Tool T_java_lang_Object) true_term) (= T_javafe_Tool (asChild T_javafe_Tool T_java_lang_Object)) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_SrcTool T_javafe_FrontEndTool) true_term) (= T_javafe_SrcTool (asChild T_javafe_SrcTool T_javafe_FrontEndTool)) (= (PO_LT T_javafe_SrcTool T_javafe_tc_Listener) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 10)) (= T_java_util_AbstractList (+ DIST_ZERO_1 11)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 12)) (= T_java_lang_Object (+ DIST_ZERO_1 13)) (= T_javafe_ast_PrettyPrint (+ DIST_ZERO_1 14)) (= T_java_util_Collection (+ DIST_ZERO_1 15)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 16)) (= T_java_lang_String (+ DIST_ZERO_1 17)) (= T_javafe_util_Location (+ DIST_ZERO_1 18)) (= T_java_io_PrintStream (+ DIST_ZERO_1 19)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 20)) (= T_javafe_util_ErrorSet (+ DIST_ZERO_1 21)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 22)) (= T_java_lang_Comparable (+ DIST_ZERO_1 23)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 24)) (= T_java_util_Properties (+ DIST_ZERO_1 25)) (= T_java_util_Map (+ DIST_ZERO_1 26)) (= T_java_util_Hashtable (+ DIST_ZERO_1 27)) (= T_javafe_FrontEndTool (+ DIST_ZERO_1 28)) (= T_java_util_Dictionary (+ DIST_ZERO_1 29)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 30)) (= T_java_util_Vector (+ DIST_ZERO_1 31)) (= T_javafe_ast_VarInit (+ DIST_ZERO_1 32)) (= T_javafe_tc_Listener (+ DIST_ZERO_1 33)) (= T_javafe_ast_Type (+ DIST_ZERO_1 34)) (= T_javafe_test_LocTool (+ DIST_ZERO_1 35)) (= T_java_io_OutputStream (+ DIST_ZERO_1 36)) (= T_javafe_ast_Expr (+ DIST_ZERO_1 37)) (= T_java_lang_System (+ DIST_ZERO_1 38)) (= T_java_util_List (+ DIST_ZERO_1 39)) (= T_java_io_Serializable (+ DIST_ZERO_1 40)) (= T_javafe_Tool (+ DIST_ZERO_1 41)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 42)) (= T_javafe_SrcTool (+ DIST_ZERO_1 43))) (= true_term (is NULL_20_60_26 T_int)) (= NULL_20_60_26 0) (= true_term (is out_16_83_49 T_java_io_PrintStream))))
(declare-fun S_115_24 () Int)
(declare-fun syntax_pre_53_28_29 () Int)
(declare-fun syntax_53_28_29 () Int)
(declare-fun loc_pre_25_45_13 () Int)
(declare-fun loc_25_45_13 () Int)
(declare-fun locId_pre_25_48_13 () Int)
(declare-fun locId_25_48_13 () Int)
(declare-fun NULL_pre_20_60_26 () Int)
(declare-fun out_pre_16_83_49 () Int)
(declare-fun inst_pre_29_29_44 () Int)
(declare-fun inst_29_29_44 () Int)
(declare-fun locCloseBrace_pre_25_54_13 () Int)
(declare-fun locCloseBrace_25_54_13 () Int)
(declare-fun loc_pre_17_30_13 () Int)
(declare-fun loc_17_30_13 () Int)
(declare-fun locOpenBrace_pre_25_51_13 () Int)
(declare-fun locOpenBrace_25_51_13 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun n_108_35 () Int)
(declare-fun e_110_5 () Int)
(declare-fun EC_112_16_112_16 () Int)
(declare-fun ecReturn () Int)
(declare-fun EC_113_22_113_22 () Int)
(declare-fun RES_114_15_114_15 () Int)
(declare-fun EC_114_15_114_15 () Int)
(declare-fun RES_115_43_115_43 () Int)
(declare-fun EC_115_43_115_43 () Int)
(declare-fun arg0_115_16_115_16_21__ () Int)
(declare-fun EC_115_16_115_16 () Int)
(declare-fun EC_117_23_117_23 () Int)
(declare-fun EC () Int)
(declare-fun EC_118_16_118_16 () Int)
(declare-fun EC_1_ () Int)
(declare-fun EC_2_ () Int)
(assert (let ((?v_1 (not (= out_16_83_49 null))) (?v_0 (= true_term (is n_108_35 T_javafe_ast_Expr))) (?v_7 (not (= n_108_35 null))) (?v_6 (= true_term true_term)) (?v_8 (= e_110_5 (cast n_108_35 T_javafe_ast_Expr))) (?v_9 (= EC_112_16_112_16 ecReturn)) (?v_10 (= EC_113_22_113_22 ecReturn)) (?v_2 (not (= e_110_5 null))) (?v_11 (= true_term (is RES_114_15_114_15 T_int))) (?v_3 (= EC_114_15_114_15 ecReturn)) (?v_4 (= true_term (is e_110_5 T_javafe_ast_Type))) (?v_5 (not (= RES_114_15_114_15 NULL_20_60_26)))) (let ((?v_12 (=> (and ?v_3 (not (and ?v_4 ?v_2))) ?v_5)) (?v_13 (=> (and ?v_3 ?v_4 ?v_2 (= true_term (S_select syntax_53_28_29 (cast e_110_5 T_javafe_ast_Type)))) ?v_5)) (?v_14 (= true_term (is RES_115_43_115_43 T_java_lang_String))) (?v_15 (= true_term (isAllocated RES_115_43_115_43 alloc))) (?v_16 (= EC_115_43_115_43 ecReturn)) (?v_17 (= arg0_115_16_115_16_21__ (stringCat S_115_24 RES_115_43_115_43))) (?v_18 (= EC_115_16_115_16 ecReturn)) (?v_19 (not (= RES_114_15_114_15 0)))) (not (=> (and true (not (= S_115_24 null)) (= (typeof S_115_24) T_java_lang_String)) (=> (and (= syntax_pre_53_28_29 syntax_53_28_29) (= syntax_53_28_29 (asField syntax_53_28_29 T_boolean)) (= loc_pre_25_45_13 loc_25_45_13) (= loc_25_45_13 (asField loc_25_45_13 T_int)) (= locId_pre_25_48_13 locId_25_48_13) (= locId_25_48_13 (asField locId_25_48_13 T_int)) (= NULL_pre_20_60_26 NULL_20_60_26) (= true_term (is NULL_20_60_26 T_int)) (= out_pre_16_83_49 out_16_83_49) (= true_term (is out_16_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_16_83_49 alloc)) ?v_1 (= inst_pre_29_29_44 inst_29_29_44) (= true_term (is inst_29_29_44 T_javafe_ast_PrettyPrint)) (= true_term (isAllocated inst_29_29_44 alloc)) (not (= inst_29_29_44 null)) (= locCloseBrace_pre_25_54_13 locCloseBrace_25_54_13) (= locCloseBrace_25_54_13 (asField locCloseBrace_25_54_13 T_int)) (= loc_pre_17_30_13 loc_17_30_13) (= loc_17_30_13 (asField loc_17_30_13 T_int)) (= locOpenBrace_pre_25_51_13 locOpenBrace_25_51_13) (= locOpenBrace_25_51_13 (asField locOpenBrace_25_51_13 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_test_LocTool)) (= true_term (isAllocated this alloc)) (not (= this null)) (= true_term (is n_108_35 T_javafe_ast_ASTNode)) (= true_term (isAllocated n_108_35 alloc)) (or (and ?v_0 ?v_7 ?v_6 (or (not ?v_0) (and ?v_0 ?v_8 ?v_9 (or (not ?v_1) (and ?v_1 ?v_10 (or (not ?v_2) (and ?v_2 ?v_11 ?v_3 ?v_12 ?v_13 ?v_14 ?v_15 ?v_16 ?v_17 ?v_18 ?v_19 ?v_6 (not ?v_5)))))))) (and (or (and ?v_0 ?v_7 ?v_6 ?v_0 ?v_8 ?v_9 ?v_1 ?v_10 ?v_2 ?v_11 ?v_3 ?v_12 ?v_13 ?v_14 ?v_15 ?v_16 ?v_17 ?v_18 (or (and ?v_19 ?v_6 ?v_5 (= EC_117_23_117_23 ecReturn) (= EC EC_117_23_117_23)) (and (not ?v_19) ?v_6 (= EC EC_115_16_115_16))) (= EC_118_16_118_16 ecReturn) (= EC_1_ EC_118_16_118_16)) (and (not (and ?v_0 ?v_7)) ?v_6 (= EC_1_ EC_2_))) (not (= ecReturn ecReturn))))))))))))
(check-sat)
(exit)
