(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_javafe_util_BufferedCorrelatedReader () Int)
(declare-fun T_javafe_util_CorrelatedReader () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_util_ErrorSet () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_java_lang_IndexOutOfBoundsException () Int)
(declare-fun T_java_lang_RuntimeException () Int)
(declare-fun T_javafe_util_LocationManagerCorrelatedReader () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_lang_StringBuffer () Int)
(declare-fun T_java_lang_ArrayIndexOutOfBoundsException () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun NULL_28_60_26 () Int)
(declare-fun STARTFREELOC_4_18_38 () Int)
(declare-fun NLOA_DEFAULT_SIZE_70_27 () Int)
(declare-fun MAXFILESIZE_45_19 () Int)
(declare-fun pos30000000 () Int)
(assert (and (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_javafe_util_BufferedCorrelatedReader T_javafe_util_CorrelatedReader) true_term) (= T_javafe_util_BufferedCorrelatedReader (asChild T_javafe_util_BufferedCorrelatedReader T_javafe_util_CorrelatedReader)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_ErrorSet T_java_lang_Object) true_term) (= T_javafe_util_ErrorSet (asChild T_javafe_util_ErrorSet T_java_lang_Object)) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_IndexOutOfBoundsException T_java_lang_RuntimeException) true_term) (= T_java_lang_IndexOutOfBoundsException (asChild T_java_lang_IndexOutOfBoundsException T_java_lang_RuntimeException)) (= (PO_LT T_javafe_util_LocationManagerCorrelatedReader T_javafe_util_BufferedCorrelatedReader) true_term) (= T_javafe_util_LocationManagerCorrelatedReader (asChild T_javafe_util_LocationManagerCorrelatedReader T_javafe_util_BufferedCorrelatedReader)) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_RuntimeException T_java_lang_Exception) true_term) (= T_java_lang_RuntimeException (asChild T_java_lang_RuntimeException T_java_lang_Exception)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_StringBuffer T_java_lang_Object) true_term) (= T_java_lang_StringBuffer (asChild T_java_lang_StringBuffer T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_StringBuffer) true_term) (= ?t T_java_lang_StringBuffer))) (= (PO_LT T_java_lang_StringBuffer T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_ArrayIndexOutOfBoundsException T_java_lang_IndexOutOfBoundsException) true_term) (= T_java_lang_ArrayIndexOutOfBoundsException (asChild T_java_lang_ArrayIndexOutOfBoundsException T_java_lang_IndexOutOfBoundsException)) (= (PO_LT T_javafe_util_CorrelatedReader T_java_lang_Object) true_term) (= T_javafe_util_CorrelatedReader (asChild T_javafe_util_CorrelatedReader T_java_lang_Object)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_util_Hashtable (+ DIST_ZERO_1 10)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 11)) (= T_java_lang_System (+ DIST_ZERO_1 12)) (= T_javafe_util_Assert (+ DIST_ZERO_1 13)) (= T_javafe_util_BufferedCorrelatedReader (+ DIST_ZERO_1 14)) (= T_java_lang_Comparable (+ DIST_ZERO_1 15)) (= T_java_io_Serializable (+ DIST_ZERO_1 16)) (= T_javafe_util_ErrorSet (+ DIST_ZERO_1 17)) (= T_java_util_List (+ DIST_ZERO_1 18)) (= T_java_lang_String (+ DIST_ZERO_1 19)) (= T_java_lang_IndexOutOfBoundsException (+ DIST_ZERO_1 20)) (= T_javafe_util_LocationManagerCorrelatedReader (+ DIST_ZERO_1 21)) (= T_java_io_IOException (+ DIST_ZERO_1 22)) (= T_java_lang_Exception (+ DIST_ZERO_1 23)) (= T_java_lang_Throwable (+ DIST_ZERO_1 24)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 25)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 26)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 27)) (= T_java_util_AbstractList (+ DIST_ZERO_1 28)) (= T_javafe_util_Location (+ DIST_ZERO_1 29)) (= T_java_util_Collection (+ DIST_ZERO_1 30)) (= T_java_util_Vector (+ DIST_ZERO_1 31)) (= T_java_util_Properties (+ DIST_ZERO_1 32)) (= T_java_lang_Object (+ DIST_ZERO_1 33)) (= T_java_util_Map (+ DIST_ZERO_1 34)) (= T_java_lang_RuntimeException (+ DIST_ZERO_1 35)) (= T_java_util_Dictionary (+ DIST_ZERO_1 36)) (= T_java_lang_StringBuffer (+ DIST_ZERO_1 37)) (= T_java_lang_ArrayIndexOutOfBoundsException (+ DIST_ZERO_1 38)) (= T_javafe_util_CorrelatedReader (+ DIST_ZERO_1 39))) (= true_term (is NULL_28_60_26 T_int)) (= NULL_28_60_26 0) (= true_term (is STARTFREELOC_4_18_38 T_int)) (= STARTFREELOC_4_18_38 1000000) (= true_term (is NLOA_DEFAULT_SIZE_70_27 T_int)) (= NLOA_DEFAULT_SIZE_70_27 200) (= true_term (is MAXFILESIZE_45_19 T_int)) (= MAXFILESIZE_45_19 pos30000000)))
(declare-fun ecReturn () Int)
(declare-fun L_480_6 () Int)
(declare-fun S_482_15 () Int)
(declare-fun S_481_11 () Int)
(declare-fun NULL_pre_28_60_26 () Int)
(declare-fun maxLoc_pre_4_33_16 () Int)
(declare-fun maxLoc_4_33_16 () Int)
(declare-fun markNdx_pre_4_213_16 () Int)
(declare-fun markNdx_4_213_16 () Int)
(declare-fun marked_pre_5_92_41 () Int)
(declare-fun marked_5_92_41 () Int)
(declare-fun markLineNo_pre_453_14 () Int)
(declare-fun markLineNo_453_14 () Int)
(declare-fun elementData_pre_15_79_35 () Int)
(declare-fun elementData_15_79_35 () Int)
(declare-fun elementType_pre_17_65_27 () Int)
(declare-fun elementType_17_65_27 () Int)
(declare-fun endBufNdx_pre_4_60_16 () Int)
(declare-fun endBufNdx_4_60_16 () Int)
(declare-fun STARTFREELOC_pre_4_18_38 () Int)
(declare-fun buf_pre_4_42_36 () Int)
(declare-fun buf_4_42_36 () Int)
(declare-fun minLoc_pre_4_32_16 () Int)
(declare-fun minLoc_4_32_16 () Int)
(declare-fun isWholeFile_pre_410_37 () Int)
(declare-fun isWholeFile_410_37 () Int)
(declare-fun containsNull_pre_17_70_29 () Int)
(declare-fun containsNull_17_70_29 () Int)
(declare-fun NLOA_DEFAULT_SIZE_pre_70_27 () Int)
(declare-fun curLineNo_pre_439_16 () Int)
(declare-fun curLineNo_439_16 () Int)
(declare-fun freeLoc_pre_35_21 () Int)
(declare-fun freeLoc_35_21 () Int)
(declare-fun allCorrStreams_pre_142_55 () Int)
(declare-fun allCorrStreams_142_55 () Int)
(declare-fun elementCount_pre_15_90_35 () Int)
(declare-fun elementCount_15_90_35 () Int)
(declare-fun NLOA_pre_65_51 () Int)
(declare-fun NLOA_65_51 () Int)
(declare-fun MAXFILESIZE_pre_45_19 () Int)
(declare-fun lastCharNdx_pre_4_82_16 () Int)
(declare-fun lastCharNdx_4_82_16 () Int)
(declare-fun curNdx_pre_4_69_16 () Int)
(declare-fun curNdx_4_69_16 () Int)
(declare-fun beforeBufLoc_pre_4_52_16 () Int)
(declare-fun beforeBufLoc_4_52_16 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun after_472_21_472_21 () Int)
(declare-fun RES_472_21_472_21 () Int)
(declare-fun EC_472_21_472_21 () Int)
(declare-fun owner_6_35_28 () Int)
(declare-fun RES_473_13_473_13 () Int)
(declare-fun EC_473_13_473_13 () Int)
(declare-fun RES_473_23_473_23 () Int)
(declare-fun EC_473_23_473_23 () Int)
(declare-fun RES_473_6_473_6 () Int)
(declare-fun EC_473_6_473_6 () Int)
(declare-fun RES_474_6_474_6 () Int)
(declare-fun EC_474_6_474_6 () Int)
(declare-fun RES_479_8_479_8 () Int)
(declare-fun EC_479_8_479_8 () Int)
(declare-fun i_480_10 () Int)
(declare-fun i_loopold_480_14 () Int)
(declare-fun EC_loopold () Int)
(declare-fun RES () Int)
(declare-fun arg0_481_3_480_6_0_481_3_29__ () Int)
(declare-fun RES_480_6_0_481_3_481_3 () Int)
(declare-fun EC_480_6_0_481_3_481_3 () Int)
(declare-fun i_480_6_0_480_37 () Int)
(declare-fun RES_1_ () Int)
(declare-fun EC () Int)
(declare-fun RES_477_8_477_8 () Int)
(declare-fun EC_477_8_477_8 () Int)
(declare-fun RES_2_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun arg0_482_8_482_8_29__ () Int)
(declare-fun RES_482_8_482_8 () Int)
(declare-fun EC_482_8_482_8 () Int)
(declare-fun RES_472_21 () Int)
(declare-fun EC_472_21 () Int)
(declare-fun RES_485_13_485_13 () Int)
(declare-fun EC_485_13_485_13 () Int)
(assert (let ((?v_23 (< alloc after_472_21_472_21)) (?v_3 (not (= RES_472_21_472_21 null))) (?v_24 (not (= true_term (isAllocated RES_472_21_472_21 alloc)))) (?v_25 (= true_term (is RES_472_21_472_21 T_java_lang_StringBuffer))) (?v_26 (= true_term (isAllocated RES_472_21_472_21 after_472_21_472_21))) (?v_27 (= EC_472_21_472_21 ecReturn)) (?v_28 (= (S_select owner_6_35_28 RES_472_21_472_21) null)) (?v_29 (= (typeof RES_472_21_472_21) T_java_lang_StringBuffer)) (?v_30 (= true_term (is RES_473_13_473_13 T_javafe_genericfile_GenericFile))) (?v_31 (= true_term (isAllocated RES_473_13_473_13 after_472_21_472_21))) (?v_0 (= EC_473_13_473_13 ecReturn)) (?v_1 (not (= RES_473_13_473_13 null)))) (let ((?v_32 (=> ?v_0 ?v_1)) (?v_33 (= true_term (is RES_473_23_473_23 T_java_lang_String))) (?v_34 (= true_term (isAllocated RES_473_23_473_23 after_472_21_472_21))) (?v_2 (= EC_473_23_473_23 ecReturn))) (let ((?v_35 (=> ?v_2 (not (= RES_473_23_473_23 null)))) (?v_4 (not ?v_3)) (?v_36 (= true_term (is RES_473_6_473_6 T_java_lang_StringBuffer))) (?v_37 (= true_term (isAllocated RES_473_6_473_6 after_472_21_472_21))) (?v_38 (= EC_473_6_473_6 ecReturn)) (?v_39 (= true_term (is RES_474_6_474_6 T_java_lang_StringBuffer))) (?v_40 (= true_term (isAllocated RES_474_6_474_6 after_472_21_472_21))) (?v_41 (= EC_474_6_474_6 ecReturn)) (?v_9 (S_select buf_4_42_36 this))) (let ((?v_5 (= ?v_9 null)) (?v_6 (= true_term true_term))) (let ((?v_7 (not ?v_5)) (?v_16 (= true_term (is RES_479_8_479_8 T_java_lang_StringBuffer))) (?v_17 (= true_term (isAllocated RES_479_8_479_8 after_472_21_472_21))) (?v_18 (= EC_479_8_479_8 ecReturn)) (?v_11 (= i_480_10 (S_select curNdx_4_69_16 this))) (?v_12 (= i_480_10 i_loopold_480_14)) (?v_13 (= EC_479_8_479_8 EC_loopold)) (?v_15 (S_select endBufNdx_4_60_16 this))) (let ((?v_14 (< i_480_10 ?v_15)) (?v_8 (<= 0 i_480_10)) (?v_10 (< i_480_10 (arrayLength ?v_9)))) (let ((?v_19 (or (and ?v_6 (not ?v_14) (= RES RES_479_8_479_8)) (and ?v_6 ?v_14 ?v_7 ?v_8 ?v_10 ?v_3 (= arg0_481_3_480_6_0_481_3_29__ (stringCat S_481_11 (cast (S_select (S_select elems ?v_9) i_480_10) T_char))) (= true_term (is RES_480_6_0_481_3_481_3 T_java_lang_StringBuffer)) (= true_term (isAllocated RES_480_6_0_481_3_481_3 after_472_21_472_21)) (= EC_480_6_0_481_3_481_3 ecReturn) (= i_480_6_0_480_37 (+ i_480_10 1)) ?v_6 (not (< i_480_6_0_480_37 ?v_15)) (= RES RES_480_6_0_481_3_481_3)))) (?v_20 (= L_480_6 L_480_6)) (?v_21 (= RES_1_ RES)) (?v_22 (= EC L_480_6))) (let ((?v_42 (or (and ?v_5 ?v_6 ?v_3 (= true_term (is RES_477_8_477_8 T_java_lang_StringBuffer)) (= true_term (isAllocated RES_477_8_477_8 after_472_21_472_21)) (= EC_477_8_477_8 ecReturn) (= RES_2_ RES_477_8_477_8) (= EC_1_ EC_477_8_477_8)) (and ?v_7 ?v_6 ?v_3 ?v_16 ?v_17 ?v_18 ?v_11 ?v_12 ?v_13 ?v_19 ?v_20 ?v_21 ?v_22 ?v_3 (= arg0_482_8_482_8_29__ (stringCat S_482_15 (S_select marked_5_92_41 this))) (= true_term (is RES_482_8_482_8 T_java_lang_StringBuffer)) (= true_term (isAllocated RES_482_8_482_8 after_472_21_472_21)) (= EC_482_8_482_8 ecReturn) (= RES_2_ RES_482_8_482_8) (= EC_1_ EC_482_8_482_8)))) (?v_43 (= EC_485_13_485_13 ecReturn)) (?v_44 (= EC_472_21 ecReturn))) (not (=> (and (distinct ecReturn L_480_6) (not (= S_482_15 null)) (= (typeof S_482_15) T_java_lang_String) (not (= S_481_11 null)) (= (typeof S_481_11) T_java_lang_String) (< 1000000 pos30000000)) (=> (and (= NULL_pre_28_60_26 NULL_28_60_26) (= true_term (is NULL_28_60_26 T_int)) (= maxLoc_pre_4_33_16 maxLoc_4_33_16) (= maxLoc_4_33_16 (asField maxLoc_4_33_16 T_int)) (= markNdx_pre_4_213_16 markNdx_4_213_16) (= markNdx_4_213_16 (asField markNdx_4_213_16 T_int)) (= marked_pre_5_92_41 marked_5_92_41) (= marked_5_92_41 (asField marked_5_92_41 T_boolean)) (= markLineNo_pre_453_14 markLineNo_453_14) (= markLineNo_453_14 (asField markLineNo_453_14 T_int)) (= elementData_pre_15_79_35 elementData_15_79_35) (= elementData_15_79_35 (asField elementData_15_79_35 (array T_java_lang_Object))) (< (fClosedTime elementData_15_79_35) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select elementData_15_79_35 ?s) null)))) (= elementType_pre_17_65_27 elementType_17_65_27) (= elementType_17_65_27 (asField elementType_17_65_27 T__TYPE)) (= endBufNdx_pre_4_60_16 endBufNdx_4_60_16) (= endBufNdx_4_60_16 (asField endBufNdx_4_60_16 T_int)) (= STARTFREELOC_pre_4_18_38 STARTFREELOC_4_18_38) (= true_term (is STARTFREELOC_4_18_38 T_int)) (= buf_pre_4_42_36 buf_4_42_36) (= buf_4_42_36 (asField buf_4_42_36 (array T_byte))) (< (fClosedTime buf_4_42_36) alloc) (= minLoc_pre_4_32_16 minLoc_4_32_16) (= minLoc_4_32_16 (asField minLoc_4_32_16 T_int)) (= isWholeFile_pre_410_37 isWholeFile_410_37) (= isWholeFile_410_37 (asField isWholeFile_410_37 T_boolean)) (= containsNull_pre_17_70_29 containsNull_17_70_29) (= containsNull_17_70_29 (asField containsNull_17_70_29 T_boolean)) (= NLOA_DEFAULT_SIZE_pre_70_27 NLOA_DEFAULT_SIZE_70_27) (= true_term (is NLOA_DEFAULT_SIZE_70_27 T_int)) (= curLineNo_pre_439_16 curLineNo_439_16) (= curLineNo_439_16 (asField curLineNo_439_16 T_int)) (= freeLoc_pre_35_21 freeLoc_35_21) (= true_term (is freeLoc_35_21 T_int)) (= allCorrStreams_pre_142_55 allCorrStreams_142_55) (= true_term (is allCorrStreams_142_55 T_java_util_Vector)) (= true_term (isAllocated allCorrStreams_142_55 alloc)) (not (= allCorrStreams_142_55 null)) (= elementCount_pre_15_90_35 elementCount_15_90_35) (= elementCount_15_90_35 (asField elementCount_15_90_35 T_int)) (= NLOA_pre_65_51 NLOA_65_51) (= NLOA_65_51 (asField NLOA_65_51 (array T_int))) (< (fClosedTime NLOA_65_51) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select NLOA_65_51 ?s_1_) null)))) (= MAXFILESIZE_pre_45_19 MAXFILESIZE_45_19) (= true_term (is MAXFILESIZE_45_19 T_int)) (= lastCharNdx_pre_4_82_16 lastCharNdx_4_82_16) (= lastCharNdx_4_82_16 (asField lastCharNdx_4_82_16 T_int)) (= curNdx_pre_4_69_16 curNdx_4_69_16) (= curNdx_4_69_16 (asField curNdx_4_69_16 T_int)) (= beforeBufLoc_pre_4_52_16 beforeBufLoc_4_52_16) (= beforeBufLoc_4_52_16 (asField beforeBufLoc_4_52_16 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_util_LocationManagerCorrelatedReader)) (= true_term (isAllocated this alloc)) (not (= this null)) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_util_LocationManagerCorrelatedReader)) (not (= ?brokenObj null))) (<= NLOA_DEFAULT_SIZE_70_27 (arrayLength (S_select NLOA_65_51 ?brokenObj))))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_1_ null))) (<= (S_select curNdx_4_69_16 ?brokenObj_1_) (S_select endBufNdx_4_60_16 ?brokenObj_1_)))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_2_ null))) (<= 0 (S_select lastCharNdx_4_82_16 ?brokenObj_2_)))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_util_LocationManagerCorrelatedReader)) (not (= ?brokenObj_3_ null))) (<= 1 (S_select curLineNo_439_16 ?brokenObj_3_)))) (forall ((?brokenObj_4_ Int)) (let ((?v_45 (S_select markNdx_4_213_16 ?brokenObj_4_))) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_4_ null)) (= true_term (S_select marked_5_92_41 ?brokenObj_4_))) (and (<= 0 ?v_45) (<= ?v_45 (S_select curNdx_4_69_16 ?brokenObj_4_)))))) (forall ((?brokenObj_5_ Int)) (let ((?v_46 (S_select markLineNo_453_14 ?brokenObj_5_))) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_util_LocationManagerCorrelatedReader)) (not (= ?brokenObj_5_ null)) (= true_term (S_select marked_5_92_41 ?brokenObj_5_))) (and (< 0 ?v_46) (<= ?v_46 (S_select curLineNo_439_16 ?brokenObj_5_)))))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_6_ null))) (<= 0 (S_select curNdx_4_69_16 ?brokenObj_6_)))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_7_ null))) (<= (S_select lastCharNdx_4_82_16 ?brokenObj_7_) (S_select curNdx_4_69_16 ?brokenObj_7_)))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_util_LocationManagerCorrelatedReader)) (not (= ?brokenObj_8_ null)) (= true_term (S_select isWholeFile_410_37 ?brokenObj_8_))) (= (S_select buf_4_42_36 ?brokenObj_8_) null))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_util_LocationManagerCorrelatedReader)) (not (= ?brokenObj_9_ null))) (forall ((?i_63_29 Int)) (=> (and (<= 0 ?i_63_29) (< ?i_63_29 (S_select curLineNo_439_16 ?brokenObj_9_))) (<= 0 (S_select (S_select elems (S_select NLOA_65_51 ?brokenObj_9_)) ?i_63_29)))))) (forall ((?brokenObj_10_ Int)) (let ((?v_47 (S_select buf_4_42_36 ?brokenObj_10_))) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_10_ null)) (not (= ?v_47 null))) (<= (S_select endBufNdx_4_60_16 ?brokenObj_10_) (arrayLength ?v_47))))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_util_LocationManagerCorrelatedReader)) (not (= ?brokenObj_11_ null))) (<= (S_select curLineNo_439_16 ?brokenObj_11_) (arrayLength (S_select NLOA_65_51 ?brokenObj_11_))))) (or (and ?v_23 ?v_3 ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_29 ?v_30 ?v_31 ?v_0 ?v_32 (or (not ?v_1) (and ?v_1 ?v_33 ?v_34 ?v_2 ?v_35 (or ?v_4 (and ?v_3 ?v_36 ?v_37 ?v_38 (or ?v_4 (and ?v_3 ?v_39 ?v_40 ?v_41 (or (and ?v_5 ?v_6 ?v_4) (and ?v_7 ?v_6 (or ?v_4 (and ?v_3 ?v_16 ?v_17 ?v_18 (or (and ?v_11 ?v_12 ?v_13 ?v_6 ?v_14 (or (not ?v_7) (and ?v_7 (or (not ?v_8) (and ?v_8 (or (not ?v_10) (and ?v_10 ?v_4))))))) (and ?v_11 ?v_12 ?v_13 ?v_19 ?v_20 ?v_21 ?v_22 ?v_4))))) (and ?v_42 ?v_4))))))))) (and ?v_23 ?v_3 ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_29 ?v_30 ?v_31 ?v_0 ?v_32 ?v_1 ?v_33 ?v_34 ?v_2 ?v_35 ?v_3 ?v_36 ?v_37 ?v_38 ?v_3 ?v_39 ?v_40 ?v_41 (or (and ?v_7 ?v_6 ?v_3 ?v_16 ?v_17 ?v_18 ?v_11 ?v_12 ?v_13 ?v_19 (not ?v_20) (= RES_472_21 RES) (= EC_472_21 L_480_6)) (and ?v_42 ?v_3 (= true_term (is RES_485_13_485_13 T_java_lang_String)) (= true_term (isAllocated RES_485_13_485_13 after_472_21_472_21)) ?v_43 (=> ?v_43 (not (= RES_485_13_485_13 null))) ?v_6 (= RES_472_21 RES_485_13_485_13) ?v_44)) (or (not ?v_44) (and ?v_44 (not (=> ?v_44 (not (= RES_472_21 null))))))))))))))))))))))
(check-sat)
(exit)
