(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_io_Writer () Int)
(declare-fun T_java_io_OutputStreamWriter () Int)
(declare-fun T_java_lang_RuntimeException () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_io_InputStreamReader () Int)
(declare-fun T_java_io_Reader () Int)
(declare-fun T_tohtml_Package () Int)
(declare-fun T_tohtml_VectorSorter () Int)
(declare-fun T_java_io_InputStream () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_io_FileOutputStream () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_io_FileNotFoundException () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_java_lang_NumberFormatException () Int)
(declare-fun T_java_lang_IllegalArgumentException () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_io_BufferedReader () Int)
(declare-fun T_java_io_PrintWriter () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_tohtml_Java2Html () Int)
(declare-fun T_java_io_BufferedWriter () Int)
(declare-fun T_tohtml_JFile () Int)
(declare-fun T_java_io_File () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_java_lang_StringBuffer () Int)
(declare-fun T_java_io_FileInputStream () Int)
(declare-fun T_java_util_Enumeration () Int)
(declare-fun T_java_lang_Long () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun out_20_83_49 () Int)
(declare-fun separator_16_143_31 () Int)
(assert (and (= (PO_LT T_java_io_Writer T_java_lang_Object) true_term) (= T_java_io_Writer (asChild T_java_io_Writer T_java_lang_Object)) (= (PO_LT T_java_io_OutputStreamWriter T_java_io_Writer) true_term) (= T_java_io_OutputStreamWriter (asChild T_java_io_OutputStreamWriter T_java_io_Writer)) (= (PO_LT T_java_lang_RuntimeException T_java_lang_Exception) true_term) (= T_java_lang_RuntimeException (asChild T_java_lang_RuntimeException T_java_lang_Exception)) (= (PO_LT T_java_io_InputStreamReader T_java_io_Reader) true_term) (= T_java_io_InputStreamReader (asChild T_java_io_InputStreamReader T_java_io_Reader)) (= (PO_LT T_tohtml_Package T_java_lang_Object) true_term) (= T_tohtml_Package (asChild T_tohtml_Package T_java_lang_Object)) (= (PO_LT T_tohtml_VectorSorter T_java_lang_Object) true_term) (= T_tohtml_VectorSorter (asChild T_tohtml_VectorSorter T_java_lang_Object)) (= (PO_LT T_java_io_InputStream T_java_lang_Object) true_term) (= T_java_io_InputStream (asChild T_java_io_InputStream T_java_lang_Object)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_io_FileOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FileOutputStream (asChild T_java_io_FileOutputStream T_java_io_OutputStream)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_io_FileNotFoundException T_java_io_IOException) true_term) (= T_java_io_FileNotFoundException (asChild T_java_io_FileNotFoundException T_java_io_IOException)) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_java_lang_NumberFormatException T_java_lang_IllegalArgumentException) true_term) (= T_java_lang_NumberFormatException (asChild T_java_lang_NumberFormatException T_java_lang_IllegalArgumentException)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_java_io_BufferedReader T_java_io_Reader) true_term) (= T_java_io_BufferedReader (asChild T_java_io_BufferedReader T_java_io_Reader)) (= (PO_LT T_java_io_PrintWriter T_java_io_Writer) true_term) (= T_java_io_PrintWriter (asChild T_java_io_PrintWriter T_java_io_Writer)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_java_lang_IllegalArgumentException T_java_lang_RuntimeException) true_term) (= T_java_lang_IllegalArgumentException (asChild T_java_lang_IllegalArgumentException T_java_lang_RuntimeException)) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_tohtml_Java2Html T_java_lang_Object) true_term) (= T_tohtml_Java2Html (asChild T_tohtml_Java2Html T_java_lang_Object)) (= (PO_LT T_java_io_BufferedWriter T_java_io_Writer) true_term) (= T_java_io_BufferedWriter (asChild T_java_io_BufferedWriter T_java_io_Writer)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_tohtml_JFile T_java_lang_Object) true_term) (= T_tohtml_JFile (asChild T_tohtml_JFile T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_lang_Object) true_term) (= T_java_io_File (asChild T_java_io_File T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_io_Serializable) true_term) (= (PO_LT T_java_io_File T_java_lang_Comparable) true_term) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_java_lang_StringBuffer T_java_lang_Object) true_term) (= T_java_lang_StringBuffer (asChild T_java_lang_StringBuffer T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_StringBuffer) true_term) (= ?t T_java_lang_StringBuffer))) (= (PO_LT T_java_lang_StringBuffer T_java_io_Serializable) true_term) (= (PO_LT T_java_io_FileInputStream T_java_io_InputStream) true_term) (= T_java_io_FileInputStream (asChild T_java_io_FileInputStream T_java_io_InputStream)) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_util_Enumeration T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Long T_java_lang_Number) true_term) (= T_java_lang_Long (asChild T_java_lang_Long T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Long) true_term) (= ?t T_java_lang_Long))) (= (PO_LT T_java_lang_Long T_java_lang_Comparable) true_term) (= (PO_LT T_java_io_Reader T_java_lang_Object) true_term) (= T_java_io_Reader (asChild T_java_io_Reader T_java_lang_Object)) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_io_Writer (+ DIST_ZERO_1 10)) (= T_java_io_OutputStreamWriter (+ DIST_ZERO_1 11)) (= T_java_lang_RuntimeException (+ DIST_ZERO_1 12)) (= T_java_io_InputStreamReader (+ DIST_ZERO_1 13)) (= T_tohtml_Package (+ DIST_ZERO_1 14)) (= T_tohtml_VectorSorter (+ DIST_ZERO_1 15)) (= T_java_io_InputStream (+ DIST_ZERO_1 16)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 17)) (= T_java_lang_Comparable (+ DIST_ZERO_1 18)) (= T_java_io_FileOutputStream (+ DIST_ZERO_1 19)) (= T_java_lang_Throwable (+ DIST_ZERO_1 20)) (= T_java_io_FileNotFoundException (+ DIST_ZERO_1 21)) (= T_java_lang_Object (+ DIST_ZERO_1 22)) (= T_java_io_IOException (+ DIST_ZERO_1 23)) (= T_java_lang_NumberFormatException (+ DIST_ZERO_1 24)) (= T_java_util_Properties (+ DIST_ZERO_1 25)) (= T_java_io_BufferedReader (+ DIST_ZERO_1 26)) (= T_java_io_PrintWriter (+ DIST_ZERO_1 27)) (= T_java_util_Dictionary (+ DIST_ZERO_1 28)) (= T_java_lang_String (+ DIST_ZERO_1 29)) (= T_java_util_Collection (+ DIST_ZERO_1 30)) (= T_java_lang_IllegalArgumentException (+ DIST_ZERO_1 31)) (= T_java_lang_Number (+ DIST_ZERO_1 32)) (= T_java_lang_System (+ DIST_ZERO_1 33)) (= T_java_util_AbstractList (+ DIST_ZERO_1 34)) (= T_java_util_Map (+ DIST_ZERO_1 35)) (= T_java_util_List (+ DIST_ZERO_1 36)) (= T_tohtml_Java2Html (+ DIST_ZERO_1 37)) (= T_java_io_BufferedWriter (+ DIST_ZERO_1 38)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 39)) (= T_tohtml_JFile (+ DIST_ZERO_1 40)) (= T_java_io_File (+ DIST_ZERO_1 41)) (= T_java_util_Hashtable (+ DIST_ZERO_1 42)) (= T_java_util_Vector (+ DIST_ZERO_1 43)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 44)) (= T_java_lang_StringBuffer (+ DIST_ZERO_1 45)) (= T_java_io_FileInputStream (+ DIST_ZERO_1 46)) (= T_java_io_OutputStream (+ DIST_ZERO_1 47)) (= T_java_lang_Exception (+ DIST_ZERO_1 48)) (= T_java_util_Enumeration (+ DIST_ZERO_1 49)) (= T_java_lang_Long (+ DIST_ZERO_1 50)) (= T_java_io_Reader (+ DIST_ZERO_1 51)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 52)) (= T_java_io_PrintStream (+ DIST_ZERO_1 53)) (= T_java_io_Serializable (+ DIST_ZERO_1 54))) (= true_term (is out_20_83_49 T_java_io_PrintStream)) (= true_term (is separator_16_143_31 T_java_lang_String)) (not (= separator_16_143_31 null))))
(declare-fun ecReturn () Int)
(declare-fun L_145_8 () Int)
(declare-fun S_149_27 () Int)
(declare-fun S_139_22 () Int)
(declare-fun subpackages_pre_209_27 () Int)
(declare-fun subpackages_209_27 () Int)
(declare-fun out_pre_20_83_49 () Int)
(declare-fun permitsNullValue_pre_32_31_27 () Int)
(declare-fun permitsNullValue_32_31_27 () Int)
(declare-fun moreElements_pre_29_58_29 () Int)
(declare-fun moreElements_29_58_29 () Int)
(declare-fun permitsNullKey_pre_32_21_27 () Int)
(declare-fun permitsNullKey_32_21_27 () Int)
(declare-fun declLinks_pre_118_37 () Int)
(declare-fun declLinks_118_37 () Int)
(declare-fun lines_pre_46_16 () Int)
(declare-fun lines_46_16 () Int)
(declare-fun props_pre_20_396_44 () Int)
(declare-fun props_20_396_44 () Int)
(declare-fun destination_pre_42_25 () Int)
(declare-fun destination_42_25 () Int)
(declare-fun owner_pre_4_35_28 () Int)
(declare-fun owner_4_35_28 () Int)
(declare-fun separator_pre_16_143_31 () Int)
(declare-fun elementData_pre_5_79_35 () Int)
(declare-fun elementData_5_79_35 () Int)
(declare-fun containsNull_pre_7_70_29 () Int)
(declare-fun containsNull_7_70_29 () Int)
(declare-fun elementType_pre_29_74_27 () Int)
(declare-fun elementType_29_74_27 () Int)
(declare-fun packages_pre_43_34 () Int)
(declare-fun packages_43_34 () Int)
(declare-fun files_pre_204_26 () Int)
(declare-fun files_204_26 () Int)
(declare-fun name_pre_201_27 () Int)
(declare-fun name_201_27 () Int)
(declare-fun annotationChar_pre_48_16 () Int)
(declare-fun annotationChar_48_16 () Int)
(declare-fun elementType_pre_7_65_27 () Int)
(declare-fun elementType_7_65_27 () Int)
(declare-fun elementType_pre_32_26_25 () Int)
(declare-fun elementType_32_26_25 () Int)
(declare-fun keywords_pre_555_37 () Int)
(declare-fun keywords_555_37 () Int)
(declare-fun declLinks_pre_299_30 () Int)
(declare-fun declLinks_299_30 () Int)
(declare-fun returnsNull_pre_29_79_29 () Int)
(declare-fun returnsNull_29_79_29 () Int)
(declare-fun keyType_pre_32_16_25 () Int)
(declare-fun keyType_32_16_25 () Int)
(declare-fun elementCount_pre_5_90_35 () Int)
(declare-fun elementCount_5_90_35 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun args_125_37 () Int)
(declare-fun EC_128_16_128_16 () Int)
(declare-fun EC_129_12_129_12 () Int)
(declare-fun RES () Int)
(declare-fun RES_129_12_129_12 () Int)
(declare-fun EC () Int)
(declare-fun RES_1_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun filename_133_5_133_5_152_61 () Int)
(declare-fun EC_133_5_133_5 () Int)
(declare-fun RES_2_ () Int)
(declare-fun RES_133_5_133_5 () Int)
(declare-fun EC_2_ () Int)
(declare-fun tmp1_136_22 () Int)
(declare-fun RES_136_26_136_26 () Int)
(declare-fun EC_136_26_136_26 () Int)
(declare-fun destination_138_8 () Int)
(declare-fun srcdir_139_8_139_8_67_33 () Int)
(declare-fun EC_139_8_139_8 () Int)
(declare-fun EC_141_21_141_21 () Int)
(declare-fun EC_143_8_143_8 () Int)
(declare-fun RES_144_33_144_33 () Int)
(declare-fun EC_144_33_144_33 () Int)
(declare-fun EC_loopold () Int)
(declare-fun moreElements_loopold_29_58_29 () Int)
(declare-fun RES_145_8_0_145_16_145_16 () Int)
(declare-fun EC_145_8_0_145_16_145_16 () Int)
(declare-fun moreElements_145_8_0_146_35_29_89_17 () Int)
(declare-fun after_146_35_145_8_0_146_35_29_89_17 () Int)
(declare-fun RES_145_8_0_146_35_146_35 () Int)
(declare-fun EC_145_8_0_146_35_146_35 () Int)
(declare-fun P_145_8_0_146_12 () Int)
(declare-fun EC_145_8_0_147_14_147_14 () Int)
(declare-fun RES_145_8_1_145_16_145_16 () Int)
(declare-fun EC_145_8_1_145_16_145_16 () Int)
(declare-fun EC_3_ () Int)
(declare-fun arg0_149_19_149_19_21__ () Int)
(declare-fun EC_149_19_149_19 () Int)
(declare-fun EC_127_9 () Int)
(assert (let ((?v_20 (not (= S_139_22 null))) (?v_0 (= true_term (nonnullelements args_125_37 elems))) (?v_28 (= true_term (S_select containsNull_7_70_29 packages_43_34)))) (let ((?v_25 (not ?v_28)) (?v_24 (S_select elementType_7_65_27 packages_43_34))) (let ((?v_23 (= ?v_24 T_tohtml_Package)) (?v_1 (not (= args_125_37 null)))) (let ((?v_5 (not ?v_1)) (?v_6 (arrayLength args_125_37))) (let ((?v_3 (< ?v_6 3)) (?v_4 (= true_term true_term)) (?v_2 (= EC_129_12_129_12 ecReturn))) (let ((?v_49 (or (and ?v_3 ?v_4 (= EC_128_16_128_16 ecReturn) ?v_2 (not ?v_2) (= RES RES_129_12_129_12) (= EC EC_129_12_129_12)) (and (not ?v_3) ?v_4 (= RES RES_1_) (= EC EC_1_)))) (?v_9 (> ?v_6 3)) (?v_7 (<= 0 3)) (?v_8 (< 3 ?v_6)) (?v_14 (S_select elems args_125_37))) (let ((?v_11 (S_select ?v_14 3))) (let ((?v_10 (not (= ?v_11 null)))) (let ((?v_50 (or (and ?v_9 ?v_4 ?v_1 ?v_7 ?v_8 ?v_10 (= filename_133_5_133_5_152_61 ?v_11) (= EC_133_5_133_5 ecReturn) (= RES_2_ RES_133_5_133_5) (= EC_2_ EC_133_5_133_5)) (and (not ?v_9) ?v_4 (= RES_2_ RES) (= EC_2_ EC)))) (?v_12 (<= 0 2)) (?v_13 (< 2 ?v_6)) (?v_51 (= tmp1_136_22 (S_select ?v_14 2))) (?v_15 (not (= tmp1_136_22 null))) (?v_52 (= true_term (is RES_136_26_136_26 T_char))) (?v_53 (= EC_136_26_136_26 ecReturn)) (?v_16 (<= 0 1)) (?v_17 (< 1 ?v_6)) (?v_54 (= destination_138_8 (S_select ?v_14 1))) (?v_18 (<= 0 0)) (?v_19 (< 0 ?v_6)) (?v_22 (S_select ?v_14 0))) (let ((?v_21 (not (= ?v_22 null))) (?v_55 (= srcdir_139_8_139_8_67_33 ?v_22)) (?v_56 (= EC_139_8_139_8 ecReturn)) (?v_57 (= EC_141_21_141_21 ecReturn)) (?v_58 (= EC_143_8_143_8 ecReturn)) (?v_59 (= true_term (is RES_144_33_144_33 T_java_util_Enumeration))) (?v_60 (= true_term (isAllocated RES_144_33_144_33 alloc))) (?v_26 (= EC_144_33_144_33 ecReturn)) (?v_29 (not (= RES_144_33_144_33 null)))) (let ((?v_27 (=> ?v_26 ?v_29)) (?v_35 (S_select elementType_29_74_27 RES_144_33_144_33))) (let ((?v_61 (=> ?v_26 (= ?v_35 ?v_24))) (?v_36 (= true_term (S_select returnsNull_29_79_29 RES_144_33_144_33)))) (let ((?v_62 (=> ?v_26 (= ?v_36 ?v_28))) (?v_63 (= EC_144_33_144_33 EC_loopold)) (?v_64 (= moreElements_29_58_29 moreElements_loopold_29_58_29)) (?v_32 (not ?v_29)) (?v_39 (= true_term (is RES_145_8_0_145_16_145_16 T_boolean))) (?v_30 (= EC_145_8_0_145_16_145_16 ecReturn)) (?v_31 (= true_term RES_145_8_0_145_16_145_16)) (?v_33 (= true_term (S_select moreElements_29_58_29 RES_144_33_144_33)))) (let ((?v_40 (=> ?v_30 (= ?v_31 ?v_33))) (?v_41 (= moreElements_145_8_0_146_35_29_89_17 (S_store moreElements_29_58_29 RES_144_33_144_33 after_146_35_145_8_0_146_35_29_89_17))) (?v_42 (= moreElements_145_8_0_146_35_29_89_17 (asField moreElements_145_8_0_146_35_29_89_17 T_boolean))) (?v_43 (= true_term (is RES_145_8_0_146_35_146_35 T_java_lang_Object))) (?v_44 (= true_term (isAllocated RES_145_8_0_146_35_146_35 alloc))) (?v_34 (= EC_145_8_0_146_35_146_35 ecReturn)) (?v_37 (= RES_145_8_0_146_35_146_35 null))) (let ((?v_45 (=> ?v_34 (or (= (PO_LT (typeof RES_145_8_0_146_35_146_35) ?v_35) true_term) ?v_37))) (?v_46 (=> (and ?v_34 (not ?v_36)) (not ?v_37))) (?v_38 (= true_term (is RES_145_8_0_146_35_146_35 T_tohtml_Package))) (?v_47 (= P_145_8_0_146_12 (cast RES_145_8_0_146_35_146_35 T_tohtml_Package))) (?v_48 (not (= P_145_8_0_146_12 null))) (?v_65 (= EC_145_8_0_147_14_147_14 ecReturn)) (?v_66 (= EC_145_8_1_145_16_145_16 ecReturn)) (?v_67 (= true_term RES_145_8_1_145_16_145_16))) (let ((?v_68 (or (and ?v_4 ?v_29 ?v_39 ?v_30 ?v_40 (not ?v_31)) (and ?v_4 ?v_29 ?v_39 ?v_30 ?v_40 ?v_31 ?v_29 ?v_33 ?v_41 ?v_42 ?v_43 ?v_44 ?v_34 ?v_45 ?v_46 ?v_38 ?v_47 ?v_48 ?v_65 ?v_4 ?v_29 (= true_term (is RES_145_8_1_145_16_145_16 T_boolean)) ?v_66 (=> ?v_66 (= ?v_67 (= true_term (S_select moreElements_145_8_0_146_35_29_89_17 RES_144_33_144_33)))) (not ?v_67)))) (?v_69 (= L_145_8 L_145_8)) (?v_70 (= EC_127_9 ecReturn))) (not (=> (and (distinct ecReturn L_145_8) (not (= S_149_27 null)) (= (typeof S_149_27) T_java_lang_String) ?v_20 (= (typeof S_139_22) T_java_lang_String)) (=> (and (= subpackages_pre_209_27 subpackages_209_27) (= subpackages_209_27 (asField subpackages_209_27 T_java_util_Vector)) (< (fClosedTime subpackages_209_27) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select subpackages_209_27 ?s) null)))) (= out_pre_20_83_49 out_20_83_49) (= true_term (is out_20_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_20_83_49 alloc)) (not (= out_20_83_49 null)) (= permitsNullValue_pre_32_31_27 permitsNullValue_32_31_27) (= permitsNullValue_32_31_27 (asField permitsNullValue_32_31_27 T_boolean)) (= moreElements_pre_29_58_29 moreElements_29_58_29) (= moreElements_29_58_29 (asField moreElements_29_58_29 T_boolean)) (= permitsNullKey_pre_32_21_27 permitsNullKey_32_21_27) (= permitsNullKey_32_21_27 (asField permitsNullKey_32_21_27 T_boolean)) (= declLinks_pre_118_37 declLinks_118_37) (= true_term (is declLinks_118_37 T_java_util_Hashtable)) (= true_term (isAllocated declLinks_118_37 alloc)) (not (= declLinks_118_37 null)) (= lines_pre_46_16 lines_46_16) (= true_term (is lines_46_16 T_long)) (= props_pre_20_396_44 props_20_396_44) (= true_term (is props_20_396_44 T_java_util_Properties)) (= true_term (isAllocated props_20_396_44 alloc)) (not (= props_20_396_44 null)) (= destination_pre_42_25 destination_42_25) (= true_term (is destination_42_25 T_java_lang_String)) (= true_term (isAllocated destination_42_25 alloc)) (= owner_pre_4_35_28 owner_4_35_28) (= owner_4_35_28 (asField owner_4_35_28 T_java_lang_Object)) (< (fClosedTime owner_4_35_28) alloc) (= separator_pre_16_143_31 separator_16_143_31) (= true_term (is separator_16_143_31 T_java_lang_String)) (= true_term (isAllocated separator_16_143_31 alloc)) (= elementData_pre_5_79_35 elementData_5_79_35) (= elementData_5_79_35 (asField elementData_5_79_35 (array T_java_lang_Object))) (< (fClosedTime elementData_5_79_35) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elementData_5_79_35 ?s_1_) null)))) (= containsNull_pre_7_70_29 containsNull_7_70_29) (= containsNull_7_70_29 (asField containsNull_7_70_29 T_boolean)) (= elementType_pre_29_74_27 elementType_29_74_27) (= elementType_29_74_27 (asField elementType_29_74_27 T__TYPE)) (= packages_pre_43_34 packages_43_34) (= true_term (is packages_43_34 T_java_util_Vector)) (= true_term (isAllocated packages_43_34 alloc)) (not (= packages_43_34 null)) (= files_pre_204_26 files_204_26) (= files_204_26 (asField files_204_26 T_java_util_Vector)) (< (fClosedTime files_204_26) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select files_204_26 ?s_2_) null)))) (= name_pre_201_27 name_201_27) (= name_201_27 (asField name_201_27 T_java_lang_String)) (< (fClosedTime name_201_27) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select name_201_27 ?s_3_) null)))) (= annotationChar_pre_48_16 annotationChar_48_16) (= true_term (is annotationChar_48_16 T_char)) (= elementType_pre_7_65_27 elementType_7_65_27) (= elementType_7_65_27 (asField elementType_7_65_27 T__TYPE)) (= elementType_pre_32_26_25 elementType_32_26_25) (= elementType_32_26_25 (asField elementType_32_26_25 T__TYPE)) (= keywords_pre_555_37 keywords_555_37) (= true_term (is keywords_555_37 T_java_util_Hashtable)) (= true_term (isAllocated keywords_555_37 alloc)) (not (= keywords_555_37 null)) (= declLinks_pre_299_30 declLinks_299_30) (= declLinks_299_30 (asField declLinks_299_30 T_java_util_Hashtable)) (< (fClosedTime declLinks_299_30) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select declLinks_299_30 ?s_4_) null)))) (= returnsNull_pre_29_79_29 returnsNull_29_79_29) (= returnsNull_29_79_29 (asField returnsNull_29_79_29 T_boolean)) (= keyType_pre_32_16_25 keyType_32_16_25) (= keyType_32_16_25 (asField keyType_32_16_25 T__TYPE)) (= elementCount_pre_5_90_35 elementCount_5_90_35) (= elementCount_5_90_35 (asField elementCount_5_90_35 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is args_125_37 (array T_java_lang_String))) (= true_term (isAllocated args_125_37 alloc)) ?v_0 ?v_0 ?v_25 ?v_23 (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_java_util_Vector)) (not (= ?brokenObj null))) (<= 0 (S_select elementCount_5_90_35 ?brokenObj)))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_java_util_Vector)) (not (= ?brokenObj_1_ null))) (<= (S_select elementCount_5_90_35 ?brokenObj_1_) (arrayLength (S_select elementData_5_79_35 ?brokenObj_1_))))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_tohtml_Package)) (not (= ?brokenObj_2_ null))) (not (= true_term (S_select containsNull_7_70_29 (S_select files_204_26 ?brokenObj_2_)))))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_tohtml_Package)) (not (= ?brokenObj_3_ null))) (not (= (S_select files_204_26 ?brokenObj_3_) (S_select subpackages_209_27 ?brokenObj_3_))))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_java_util_Vector)) (not (= ?brokenObj_4_ null))) (= (typeof (S_select elementData_5_79_35 ?brokenObj_4_)) (array T_java_lang_Object)))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_tohtml_Package)) (not (= ?brokenObj_5_ null))) (= (S_select elementType_7_65_27 (S_select subpackages_209_27 ?brokenObj_5_)) T_tohtml_Package))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_java_util_Vector)) (not (= ?brokenObj_6_ null))) (forall ((?i_5_73_31 Int)) (=> (and (<= 0 ?i_5_73_31) (< ?i_5_73_31 (S_select elementCount_5_90_35 ?brokenObj_6_)) (not (= true_term (S_select containsNull_7_70_29 ?brokenObj_6_)))) (not (= (S_select (S_select elems (S_select elementData_5_79_35 ?brokenObj_6_)) ?i_5_73_31) null)))))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_tohtml_Package)) (not (= ?brokenObj_7_ null))) (= (S_select owner_4_35_28 (S_select files_204_26 ?brokenObj_7_)) ?brokenObj_7_))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_tohtml_Package)) (not (= ?brokenObj_8_ null))) (not (= true_term (S_select containsNull_7_70_29 (S_select subpackages_209_27 ?brokenObj_8_)))))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_tohtml_Package)) (not (= ?brokenObj_9_ null))) (= (S_select owner_4_35_28 (S_select subpackages_209_27 ?brokenObj_9_)) ?brokenObj_9_))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_java_util_Vector)) (not (= ?brokenObj_10_ null))) (forall ((?v_5_76_34 Int)) (let ((?v_71 (= ?v_5_76_34 null))) (=> (and (= true_term (is ?v_5_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_5_76_34 alloc)) (not ?v_71)) (or ?v_71 (= ?v_5_76_34 ?brokenObj_10_) (not (= (S_select elementData_5_79_35 ?v_5_76_34) (S_select elementData_5_79_35 ?brokenObj_10_))))))))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_java_util_Vector)) (not (= ?brokenObj_11_ null))) (forall ((?i_5_70_31 Int)) (let ((?v_72 (S_select (S_select elems (S_select elementData_5_79_35 ?brokenObj_11_)) ?i_5_70_31))) (=> (and (<= 0 ?i_5_70_31) (< ?i_5_70_31 (S_select elementCount_5_90_35 ?brokenObj_11_))) (or (= (PO_LT (typeof ?v_72) (S_select elementType_7_65_27 ?brokenObj_11_)) true_term) (= ?v_72 null))))))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_tohtml_Package)) (not (= ?brokenObj_12_ null))) (= (S_select elementType_7_65_27 (S_select files_204_26 ?brokenObj_12_)) T_tohtml_JFile))) (or ?v_5 (and ?v_1 ?v_49 (or ?v_5 (and ?v_1 (or (and ?v_9 ?v_4 (or ?v_5 (and ?v_1 (or (not ?v_7) (and ?v_7 (or (not ?v_8) (and ?v_8 (not ?v_10)))))))) (and ?v_50 (or ?v_5 (and ?v_1 (or (not ?v_12) (and ?v_12 (or (not ?v_13) (and ?v_13 ?v_51 (or (not ?v_15) (and ?v_15 ?v_52 ?v_53 (or ?v_5 (and ?v_1 (or (not ?v_16) (and ?v_16 (or (not ?v_17) (and ?v_17 ?v_54 (or ?v_5 (and ?v_1 (or (not ?v_18) (and ?v_18 (or (not ?v_19) (and ?v_19 (or (not ?v_20) (and ?v_20 (not ?v_21)) (and ?v_20 ?v_21 ?v_55 ?v_56 (or (not (or ?v_23 (= ?v_24 T_tohtml_JFile))) (not ?v_25) (and ?v_25 ?v_57 ?v_58 ?v_59 ?v_60 ?v_26 ?v_27 ?v_27 ?v_61 ?v_62 ?v_63 ?v_64 (or (and ?v_4 (or ?v_32 (and ?v_29 ?v_39 ?v_30 ?v_40 ?v_31 (or ?v_32 (and ?v_29 (or (not ?v_33) (and ?v_33 ?v_41 ?v_42 ?v_43 ?v_44 ?v_34 ?v_45 ?v_46 (or (not ?v_38) (and ?v_38 ?v_47 (not ?v_48)))))))))) (and ?v_4 ?v_29 ?v_39 ?v_30 ?v_40 ?v_31 ?v_29 ?v_33 ?v_41 ?v_42 ?v_43 ?v_44 ?v_34 ?v_45 ?v_46 ?v_38 ?v_47 ?v_48 ?v_65 ?v_4 ?v_32))))))))))))))))))))))))))))))) (and (or (and ?v_1 ?v_49 ?v_1 ?v_50 ?v_1 ?v_12 ?v_13 ?v_51 ?v_15 ?v_52 ?v_53 ?v_1 ?v_16 ?v_17 ?v_54 ?v_1 ?v_18 ?v_19 ?v_20 ?v_21 ?v_55 ?v_56 ?v_25 ?v_57 ?v_58 ?v_59 ?v_60 ?v_26 ?v_27 ?v_27 ?v_61 ?v_62 ?v_63 ?v_64 ?v_68 ?v_69 (= EC_3_ L_145_8) (= arg0_149_19_149_19_21__ (stringCat S_149_27 lines_46_16)) (= EC_149_19_149_19 ecReturn) ?v_70) (and ?v_1 ?v_49 ?v_1 ?v_50 ?v_1 ?v_12 ?v_13 ?v_51 ?v_15 ?v_52 ?v_53 ?v_1 ?v_16 ?v_17 ?v_54 ?v_1 ?v_18 ?v_19 ?v_20 ?v_21 ?v_55 ?v_56 ?v_25 ?v_57 ?v_58 ?v_59 ?v_60 ?v_26 ?v_27 ?v_27 ?v_61 ?v_62 ?v_63 ?v_64 ?v_68 (not ?v_69) (= EC_127_9 L_145_8))) (not ?v_70)))))))))))))))))))))))))
(check-sat)
(exit)
