(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_ast_ParenExpr () Int)
(declare-fun T_javafe_ast_Expr () Int)
(declare-fun T_java_lang_Boolean () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_ast_DoStmt () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_ast_CatchClause () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_MethodDecl () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_javafe_ast_CastExpr () Int)
(declare-fun T_javafe_ast_InterfaceDecl () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_ast_WhileStmt () Int)
(declare-fun T_javafe_ast_InstanceOfExpr () Int)
(declare-fun T_javafe_ast_ConstructorInvocation () Int)
(declare-fun T_javafe_ast_ASTDecoration () Int)
(declare-fun T_javafe_ast_ImportDecl () Int)
(declare-fun T_javafe_ast_ClassDeclStmt () Int)
(declare-fun T_javafe_util_ErrorSet () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_ast_SuperObjectDesignator () Int)
(declare-fun T_javafe_ast_ObjectDesignator () Int)
(declare-fun T_javafe_ast_AmbiguousMethodInvocation () Int)
(declare-fun T_javafe_ast_CondExpr () Int)
(declare-fun T_javafe_tc_CheckCompilationUnit () Int)
(declare-fun T_javafe_ast_VarDeclStmt () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_ast_NewArrayExpr () Int)
(declare-fun T_javafe_ast_VarInit () Int)
(declare-fun T_javafe_ast_SwitchStmt () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_javafe_tc_Types () Int)
(declare-fun T_javafe_ast_NewInstanceExpr () Int)
(declare-fun T_javafe_ast_MethodInvocation () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_ast_CompoundName () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_javafe_ast_ConstructorDecl () Int)
(declare-fun T_javafe_ast_ArrayRefExpr () Int)
(declare-fun T_javafe_ast_ClassDecl () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_javafe_ast_ExprVec () Int)
(declare-fun T_javafe_ast_SimpleName () Int)
(declare-fun T_javafe_ast_TryCatchStmt () Int)
(declare-fun T_javafe_ast_TypeObjectDesignator () Int)
(declare-fun T_javafe_tc_TagConstants () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_TryFinallyStmt () Int)
(declare-fun T_javafe_ast_ArrayType () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_ast_FieldAccess () Int)
(declare-fun T_javafe_ast_ThisExpr () Int)
(declare-fun T_javafe_ast_SwitchLabel () Int)
(declare-fun T_javafe_ast_BranchStmt () Int)
(declare-fun T_javafe_ast_VariableAccess () Int)
(declare-fun T_javafe_tc_TypeSig () Int)
(declare-fun T_javafe_ast_SkipStmt () Int)
(declare-fun T_javafe_ast_TypeName () Int)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_javafe_ast_ForStmt () Int)
(declare-fun T_javafe_tc_Env () Int)
(declare-fun T_javafe_ast_IdentifierVec () Int)
(declare-fun T_javafe_ast_ExprObjectDesignator () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_java_lang_Float () Int)
(declare-fun T_javafe_ast_LocalVarDecl () Int)
(declare-fun T_javafe_ast_AmbiguousVariableAccess () Int)
(declare-fun T_javafe_ast_IfStmt () Int)
(declare-fun T_javafe_tc_SLResolution () Int)
(declare-fun T_javafe_ast_LiteralExpr () Int)
(declare-fun T_javafe_ast_InitBlock () Int)
(declare-fun T_java_lang_Long () Int)
(declare-fun T_javafe_ast_LabelStmt () Int)
(declare-fun T_javafe_ast_OnDemandImportDecl () Int)
(declare-fun T_javafe_ast_UnaryExpr () Int)
(declare-fun T_javafe_ast_ContinueStmt () Int)
(declare-fun T_javafe_util_Info () Int)
(declare-fun T_javafe_ast_ClassLiteral () Int)
(declare-fun T_javafe_ast_BreakStmt () Int)
(declare-fun T_java_lang_Double () Int)
(declare-fun T_javafe_tc_FieldDeclVec () Int)
(declare-fun T_javafe_ast_BinaryExpr () Int)
(declare-fun T_javafe_ast_ThrowStmt () Int)
(declare-fun T_javafe_ast_FormalParaDecl () Int)
(declare-fun T_javafe_ast_ReturnStmt () Int)
(declare-fun T_javafe_ast_EvalStmt () Int)
(declare-fun T_javafe_ast_PrimitiveType () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_tc_MethodDeclVec () Int)
(declare-fun T_javafe_ast_SingleTypeImportDecl () Int)
(declare-fun T_javafe_ast_ArrayInit () Int)
(declare-fun T_javafe_ast_SynchronizeStmt () Int)
(declare-fun T_javafe_ast_TypeNameVec () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun LINKSRESOLVED_5_774_28 () Int)
(declare-fun AMBIGUOUSVARIABLEACCESS_24_55_7 () Int)
(declare-fun ASGBITAND_23_49_26 () Int)
(declare-fun COMPILATIONUNIT_24_14_7 () Int)
(declare-fun NULL_49_60_26 () Int)
(declare-fun SWITCHLABEL_24_41_7 () Int)
(declare-fun ADD_23_33_26 () Int)
(declare-fun MODIFIERPRAGMA_21_25_26 () Int)
(declare-fun FLOATTYPE_22_31_26 () Int)
(declare-fun RESOLVINGLINKS_5_773_28 () Int)
(declare-fun VARDECLSTMT_24_27_7 () Int)
(declare-fun AND_23_20_26 () Int)
(declare-fun PARENEXPR_24_54_7 () Int)
(declare-fun ASGURSHIFT_23_48_26 () Int)
(declare-fun NULLLIT_22_45_26 () Int)
(declare-fun PARSED_5_772_28 () Int)
(declare-fun SKIPSTMT_24_40_7 () Int)
(declare-fun URSHIFT_23_32_26 () Int)
(declare-fun FIRST_KEYWORD_21_51_26 () Int)
(declare-fun CHARTYPE_22_30_26 () Int)
(declare-fun COMPOUNDNAME_24_67_7 () Int)
(declare-fun LEXICALPRAGMA_21_24_26 () Int)
(declare-fun SWITCHSTMT_24_26_7 () Int)
(declare-fun LAST_KEYWORD_21_103_26 () Int)
(declare-fun OR_23_19_26 () Int)
(declare-fun CASTEXPR_24_53_7 () Int)
(declare-fun ASGRSHIFT_23_47_26 () Int)
(declare-fun STRINGLIT_22_44_26 () Int)
(declare-fun FORSTMT_24_39_7 () Int)
(declare-fun RSHIFT_23_31_26 () Int)
(declare-fun LONGTYPE_22_29_26 () Int)
(declare-fun SIMPLENAME_24_66_7 () Int)
(declare-fun BLOCKSTMT_24_25_7 () Int)
(declare-fun NULL_21_82_26 () Int)
(declare-fun INSTANCEOFEXPR_24_52_7 () Int)
(declare-fun ASGLSHIFT_23_46_26 () Int)
(declare-fun DOUBLELIT_22_43_26 () Int)
(declare-fun IFSTMT_24_38_7 () Int)
(declare-fun LSHIFT_23_30_26 () Int)
(declare-fun INTTYPE_22_28_26 () Int)
(declare-fun POSTFIXDEC_23_63_26 () Int)
(declare-fun ARRAYTYPE_24_65_7 () Int)
(declare-fun otherStrings_21_193_30 () Int)
(declare-fun FORMALPARADECL_24_24_7 () Int)
(declare-fun CONDEXPR_24_51_7 () Int)
(declare-fun ASGSUB_23_45_26 () Int)
(declare-fun noTokens_21_212_27 () Int)
(declare-fun FLOATLIT_22_42_26 () Int)
(declare-fun LABELSTMT_24_37_7 () Int)
(declare-fun LT_23_29_26 () Int)
(declare-fun BOOLEANTYPE_22_27_26 () Int)
(declare-fun POSTFIXINC_23_62_26 () Int)
(declare-fun punctuationCodes_21_164_19 () Int)
(declare-fun TYPENAME_24_64_7 () Int)
(declare-fun FIELDDECL_24_23_7 () Int)
(declare-fun NEWARRAYEXPR_24_50_7 () Int)
(declare-fun ASGADD_23_44_26 () Int)
(declare-fun CHARLIT_22_41_26 () Int)
(declare-fun CONTINUESTMT_24_36_7 () Int)
(declare-fun LE_23_28_26 () Int)
(declare-fun IDENT_22_25_26 () Int)
(declare-fun DEC_23_59_26 () Int)
(declare-fun SUPEROBJECTDESIGNATOR_24_63_7 () Int)
(declare-fun LOCALVARDECL_24_22_7 () Int)
(declare-fun NEWINSTANCEEXPR_24_49_7 () Int)
(declare-fun ASGREM_23_43_26 () Int)
(declare-fun LONGLIT_22_40_26 () Int)
(declare-fun BREAKSTMT_24_35_7 () Int)
(declare-fun GT_23_27_26 () Int)
(declare-fun keywordStrings_21_181_30 () Int)
(declare-fun INC_23_58_26 () Int)
(declare-fun TYPEOBJECTDESIGNATOR_24_62_7 () Int)
(declare-fun INITBLOCK_24_21_7 () Int)
(declare-fun ARRAYREFEXPR_24_48_7 () Int)
(declare-fun ASGDIV_23_42_26 () Int)
(declare-fun INTLIT_22_39_26 () Int)
(declare-fun THROWSTMT_24_34_7 () Int)
(declare-fun GE_23_26_26 () Int)
(declare-fun TYPESIG_20_6_28 () Int)
(declare-fun BITNOT_23_57_26 () Int)
(declare-fun EXPROBJECTDESIGNATOR_24_61_7 () Int)
(declare-fun METHODDECL_24_20_7 () Int)
(declare-fun THISEXPR_24_47_7 () Int)
(declare-fun ASGMUL_23_41_26 () Int)
(declare-fun BOOLEANLIT_22_38_26 () Int)
(declare-fun RETURNSTMT_24_33_7 () Int)
(declare-fun EQ_23_25_26 () Int)
(declare-fun NOT_23_56_26 () Int)
(declare-fun CLASSLITERAL_24_60_7 () Int)
(declare-fun CONSTRUCTORDECL_24_19_7 () Int)
(declare-fun ARRAYINIT_24_46_7 () Int)
(declare-fun ASSIGN_23_40_26 () Int)
(declare-fun SHORTTYPE_22_36_26 () Int)
(declare-fun NE_23_24_26 () Int)
(declare-fun EVALSTMT_24_32_7 () Int)
(declare-fun METHODINVOCATION_24_59_7 () Int)
(declare-fun UNARYSUB_23_55_26 () Int)
(declare-fun INTERFACEDECL_24_18_7 () Int)
(declare-fun TYPEMODIFIERPRAGMA_21_28_26 () Int)
(declare-fun CATCHCLAUSE_24_45_7 () Int)
(declare-fun STAR_23_37_26 () Int)
(declare-fun BYTETYPE_22_35_26 () Int)
(declare-fun BITAND_23_23_26 () Int)
(declare-fun SYNCHRONIZESTMT_24_31_7 () Int)
(declare-fun otherCodes_21_202_27 () Int)
(declare-fun AMBIGUOUSMETHODINVOCATION_24_58_7 () Int)
(declare-fun UNARYADD_23_54_26 () Int)
(declare-fun CLASSDECL_24_17_7 () Int)
(declare-fun CONSTRUCTORINVOCATION_24_44_7 () Int)
(declare-fun MOD_23_36_26 () Int)
(declare-fun punctuationStrings_21_134_22 () Int)
(declare-fun TYPEDECLELEMPRAGMA_21_27_26 () Int)
(declare-fun NULLTYPE_22_34_26 () Int)
(declare-fun BITXOR_23_22_26 () Int)
(declare-fun DOSTMT_24_30_7 () Int)
(declare-fun ASGBITXOR_23_51_26 () Int)
(declare-fun FIELDACCESS_24_57_7 () Int)
(declare-fun ONDEMANDIMPORTDECL_24_16_7 () Int)
(declare-fun TRYCATCHSTMT_24_43_7 () Int)
(declare-fun DIV_23_35_26 () Int)
(declare-fun VOIDTYPE_22_33_26 () Int)
(declare-fun BITOR_23_21_26 () Int)
(declare-fun WHILESTMT_24_29_7 () Int)
(declare-fun ASGBITOR_23_50_26 () Int)
(declare-fun VARIABLEACCESS_24_56_7 () Int)
(declare-fun PREPPED_5_775_28 () Int)
(declare-fun SINGLETYPEIMPORTDECL_24_15_7 () Int)
(declare-fun STMTPRAGMA_21_26_26 () Int)
(declare-fun TRYFINALLYSTMT_24_42_7 () Int)
(declare-fun SUB_23_34_26 () Int)
(declare-fun DOUBLETYPE_22_32_26 () Int)
(declare-fun CLASSDECLSTMT_24_28_7 () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int))) (and (= (PO_LT T_javafe_ast_ParenExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ParenExpr (asChild T_javafe_ast_ParenExpr T_javafe_ast_Expr)) (= (PO_LT T_java_lang_Boolean T_java_lang_Object) true_term) (= T_java_lang_Boolean (asChild T_java_lang_Boolean T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Boolean) true_term) (= ?t T_java_lang_Boolean))) (= (PO_LT T_java_lang_Boolean T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_DoStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_DoStmt (asChild T_javafe_ast_DoStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_CatchClause T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CatchClause (asChild T_javafe_ast_CatchClause T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_MethodDecl (asChild T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_ast_CastExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_CastExpr (asChild T_javafe_ast_CastExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_InterfaceDecl T_javafe_ast_TypeDecl) true_term) (= T_javafe_ast_InterfaceDecl (asChild T_javafe_ast_InterfaceDecl T_javafe_ast_TypeDecl)) (= (PO_LT T_javafe_ast_WhileStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_WhileStmt (asChild T_javafe_ast_WhileStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_InstanceOfExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_InstanceOfExpr (asChild T_javafe_ast_InstanceOfExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ConstructorInvocation T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ConstructorInvocation (asChild T_javafe_ast_ConstructorInvocation T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ASTDecoration T_java_lang_Object) true_term) (= T_javafe_ast_ASTDecoration (asChild T_javafe_ast_ASTDecoration T_java_lang_Object)) (= (PO_LT T_javafe_ast_ImportDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ImportDecl (asChild T_javafe_ast_ImportDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_ClassDeclStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ClassDeclStmt (asChild T_javafe_ast_ClassDeclStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_util_ErrorSet T_java_lang_Object) true_term) (= T_javafe_util_ErrorSet (asChild T_javafe_util_ErrorSet T_java_lang_Object)) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_SuperObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_SuperObjectDesignator (asChild T_javafe_ast_SuperObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_ast_AmbiguousMethodInvocation T_javafe_ast_Expr) true_term) (= T_javafe_ast_AmbiguousMethodInvocation (asChild T_javafe_ast_AmbiguousMethodInvocation T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_CondExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_CondExpr (asChild T_javafe_ast_CondExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_tc_CheckCompilationUnit T_java_lang_Object) true_term) (= T_javafe_tc_CheckCompilationUnit (asChild T_javafe_tc_CheckCompilationUnit T_java_lang_Object)) (= (PO_LT T_javafe_ast_VarDeclStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_VarDeclStmt (asChild T_javafe_ast_VarDeclStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_NewArrayExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_NewArrayExpr (asChild T_javafe_ast_NewArrayExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_Expr T_javafe_ast_VarInit) true_term) (= T_javafe_ast_Expr (asChild T_javafe_ast_Expr T_javafe_ast_VarInit)) (= (PO_LT T_javafe_ast_SwitchStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_SwitchStmt (asChild T_javafe_ast_SwitchStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_tc_Types T_java_lang_Object) true_term) (= T_javafe_tc_Types (asChild T_javafe_tc_Types T_java_lang_Object)) (= (PO_LT T_javafe_ast_NewInstanceExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_NewInstanceExpr (asChild T_javafe_ast_NewInstanceExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_MethodInvocation T_javafe_ast_Expr) true_term) (= T_javafe_ast_MethodInvocation (asChild T_javafe_ast_MethodInvocation T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_CompoundName T_javafe_ast_Name) true_term) (= T_javafe_ast_CompoundName (asChild T_javafe_ast_CompoundName T_javafe_ast_Name)) (= (PO_LT T_javafe_ast_ConstructorDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_ConstructorDecl (asChild T_javafe_ast_ConstructorDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_ast_ArrayRefExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ArrayRefExpr (asChild T_javafe_ast_ArrayRefExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ClassDecl T_javafe_ast_TypeDecl) true_term) (= T_javafe_ast_ClassDecl (asChild T_javafe_ast_ClassDecl T_javafe_ast_TypeDecl)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_ExprVec T_java_lang_Object) true_term) (= T_javafe_ast_ExprVec (asChild T_javafe_ast_ExprVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_SimpleName T_javafe_ast_Name) true_term) (= T_javafe_ast_SimpleName (asChild T_javafe_ast_SimpleName T_javafe_ast_Name)) (= (PO_LT T_javafe_ast_TryCatchStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_TryCatchStmt (asChild T_javafe_ast_TryCatchStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_TypeObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_TypeObjectDesignator (asChild T_javafe_ast_TypeObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_tc_TagConstants T_javafe_parser_TagConstants) true_term) (= T_javafe_tc_TagConstants (asChild T_javafe_tc_TagConstants T_javafe_parser_TagConstants)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_TryFinallyStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_TryFinallyStmt (asChild T_javafe_ast_TryFinallyStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ArrayType T_javafe_ast_Type) true_term) (= T_javafe_ast_ArrayType (asChild T_javafe_ast_ArrayType T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_FieldAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_FieldAccess (asChild T_javafe_ast_FieldAccess T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_ThisExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ThisExpr (asChild T_javafe_ast_ThisExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_SwitchLabel T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SwitchLabel (asChild T_javafe_ast_SwitchLabel T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_BranchStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_BranchStmt (asChild T_javafe_ast_BranchStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_VariableAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_VariableAccess (asChild T_javafe_ast_VariableAccess T_javafe_ast_Expr)) (= (PO_LT T_javafe_tc_TypeSig T_javafe_ast_Type) true_term) (= T_javafe_tc_TypeSig (asChild T_javafe_tc_TypeSig T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_SkipStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SkipStmt (asChild T_javafe_ast_SkipStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_TypeName T_javafe_ast_Type) true_term) (= T_javafe_ast_TypeName (asChild T_javafe_ast_TypeName T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_ast_ForStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ForStmt (asChild T_javafe_ast_ForStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_tc_Env T_java_lang_Object) true_term) (= T_javafe_tc_Env (asChild T_javafe_tc_Env T_java_lang_Object)) (= (PO_LT T_javafe_ast_IdentifierVec T_java_lang_Object) true_term) (= T_javafe_ast_IdentifierVec (asChild T_javafe_ast_IdentifierVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_ExprObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_ExprObjectDesignator (asChild T_javafe_ast_ExprObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Float T_java_lang_Number) true_term) (= T_java_lang_Float (asChild T_java_lang_Float T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Float) true_term) (= ?t T_java_lang_Float))) (= (PO_LT T_java_lang_Float T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_LocalVarDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_LocalVarDecl (asChild T_javafe_ast_LocalVarDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_AmbiguousVariableAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_AmbiguousVariableAccess (asChild T_javafe_ast_AmbiguousVariableAccess T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_IfStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_IfStmt (asChild T_javafe_ast_IfStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_tc_SLResolution T_java_lang_Object) true_term) (= T_javafe_tc_SLResolution (asChild T_javafe_tc_SLResolution T_java_lang_Object)) (= (PO_LT T_javafe_ast_LiteralExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_LiteralExpr (asChild T_javafe_ast_LiteralExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_InitBlock T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_InitBlock (asChild T_javafe_ast_InitBlock T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_InitBlock T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_lang_Long T_java_lang_Number) true_term) (= T_java_lang_Long (asChild T_java_lang_Long T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Long) true_term) (= ?t T_java_lang_Long))) (= (PO_LT T_java_lang_Long T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_LabelStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_LabelStmt (asChild T_javafe_ast_LabelStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_OnDemandImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_OnDemandImportDecl (asChild T_javafe_ast_OnDemandImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_javafe_ast_UnaryExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_UnaryExpr (asChild T_javafe_ast_UnaryExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ContinueStmt T_javafe_ast_BranchStmt) true_term) (= T_javafe_ast_ContinueStmt (asChild T_javafe_ast_ContinueStmt T_javafe_ast_BranchStmt)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_util_Info T_java_lang_Object) true_term) (= T_javafe_util_Info (asChild T_javafe_util_Info T_java_lang_Object)) (= (PO_LT T_javafe_ast_ClassLiteral T_javafe_ast_Expr) true_term) (= T_javafe_ast_ClassLiteral (asChild T_javafe_ast_ClassLiteral T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_BreakStmt T_javafe_ast_BranchStmt) true_term) (= T_javafe_ast_BreakStmt (asChild T_javafe_ast_BreakStmt T_javafe_ast_BranchStmt)) (= (PO_LT T_java_lang_Double T_java_lang_Number) true_term) (= T_java_lang_Double (asChild T_java_lang_Double T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Double) true_term) (= ?t T_java_lang_Double))) (= (PO_LT T_java_lang_Double T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_tc_FieldDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_FieldDeclVec (asChild T_javafe_tc_FieldDeclVec T_java_lang_Object)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_BinaryExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_BinaryExpr (asChild T_javafe_ast_BinaryExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ThrowStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ThrowStmt (asChild T_javafe_ast_ThrowStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_javafe_ast_VarInit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_VarInit (asChild T_javafe_ast_VarInit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FormalParaDecl (asChild T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_ReturnStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ReturnStmt (asChild T_javafe_ast_ReturnStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_EvalStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_EvalStmt (asChild T_javafe_ast_EvalStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_PrimitiveType T_javafe_ast_Type) true_term) (= T_javafe_ast_PrimitiveType (asChild T_javafe_ast_PrimitiveType T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_ObjectDesignator T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ObjectDesignator (asChild T_javafe_ast_ObjectDesignator T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_tc_MethodDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_MethodDeclVec (asChild T_javafe_tc_MethodDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_SingleTypeImportDecl (asChild T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_javafe_ast_ArrayInit T_javafe_ast_VarInit) true_term) (= T_javafe_ast_ArrayInit (asChild T_javafe_ast_ArrayInit T_javafe_ast_VarInit)) (= (PO_LT T_javafe_ast_SynchronizeStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SynchronizeStmt (asChild T_javafe_ast_SynchronizeStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_TypeNameVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeNameVec (asChild T_javafe_ast_TypeNameVec T_java_lang_Object)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_ast_ParenExpr (+ DIST_ZERO_1 10)) (= T_java_lang_Boolean (+ DIST_ZERO_1 11)) (= T_javafe_ast_DoStmt (+ DIST_ZERO_1 12)) (= T_javafe_ast_CatchClause (+ DIST_ZERO_1 13)) (= T_javafe_ast_MethodDecl (+ DIST_ZERO_1 14)) (= T_javafe_ast_CastExpr (+ DIST_ZERO_1 15)) (= T_javafe_ast_InterfaceDecl (+ DIST_ZERO_1 16)) (= T_javafe_ast_WhileStmt (+ DIST_ZERO_1 17)) (= T_javafe_ast_InstanceOfExpr (+ DIST_ZERO_1 18)) (= T_javafe_ast_ConstructorInvocation (+ DIST_ZERO_1 19)) (= T_javafe_ast_ASTDecoration (+ DIST_ZERO_1 20)) (= T_javafe_ast_ImportDecl (+ DIST_ZERO_1 21)) (= T_javafe_ast_ClassDeclStmt (+ DIST_ZERO_1 22)) (= T_javafe_util_ErrorSet (+ DIST_ZERO_1 23)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 24)) (= T_java_lang_String (+ DIST_ZERO_1 25)) (= T_javafe_ast_SuperObjectDesignator (+ DIST_ZERO_1 26)) (= T_javafe_ast_AmbiguousMethodInvocation (+ DIST_ZERO_1 27)) (= T_javafe_ast_CondExpr (+ DIST_ZERO_1 28)) (= T_javafe_tc_CheckCompilationUnit (+ DIST_ZERO_1 29)) (= T_javafe_ast_VarDeclStmt (+ DIST_ZERO_1 30)) (= T_java_util_Map (+ DIST_ZERO_1 31)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 32)) (= T_javafe_ast_NewArrayExpr (+ DIST_ZERO_1 33)) (= T_javafe_ast_Expr (+ DIST_ZERO_1 34)) (= T_javafe_ast_SwitchStmt (+ DIST_ZERO_1 35)) (= T_javafe_tc_Types (+ DIST_ZERO_1 36)) (= T_javafe_ast_NewInstanceExpr (+ DIST_ZERO_1 37)) (= T_javafe_ast_MethodInvocation (+ DIST_ZERO_1 38)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 39)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 40)) (= T_javafe_ast_CompoundName (+ DIST_ZERO_1 41)) (= T_javafe_ast_ConstructorDecl (+ DIST_ZERO_1 42)) (= T_javafe_ast_ArrayRefExpr (+ DIST_ZERO_1 43)) (= T_javafe_ast_ClassDecl (+ DIST_ZERO_1 44)) (= T_java_util_Hashtable (+ DIST_ZERO_1 45)) (= T_javafe_ast_ExprVec (+ DIST_ZERO_1 46)) (= T_javafe_ast_SimpleName (+ DIST_ZERO_1 47)) (= T_javafe_ast_TryCatchStmt (+ DIST_ZERO_1 48)) (= T_javafe_ast_TypeObjectDesignator (+ DIST_ZERO_1 49)) (= T_javafe_tc_TagConstants (+ DIST_ZERO_1 50)) (= T_javafe_util_Location (+ DIST_ZERO_1 51)) (= T_java_lang_Object (+ DIST_ZERO_1 52)) (= T_javafe_ast_TryFinallyStmt (+ DIST_ZERO_1 53)) (= T_javafe_ast_ArrayType (+ DIST_ZERO_1 54)) (= T_javafe_ast_FieldAccess (+ DIST_ZERO_1 55)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 56)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 57)) (= T_javafe_ast_ThisExpr (+ DIST_ZERO_1 58)) (= T_javafe_ast_SwitchLabel (+ DIST_ZERO_1 59)) (= T_javafe_ast_BranchStmt (+ DIST_ZERO_1 60)) (= T_javafe_ast_VariableAccess (+ DIST_ZERO_1 61)) (= T_javafe_tc_TypeSig (+ DIST_ZERO_1 62)) (= T_javafe_ast_SkipStmt (+ DIST_ZERO_1 63)) (= T_javafe_ast_TypeName (+ DIST_ZERO_1 64)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 65)) (= T_javafe_ast_ForStmt (+ DIST_ZERO_1 66)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 67)) (= T_javafe_ast_Name (+ DIST_ZERO_1 68)) (= T_javafe_tc_Env (+ DIST_ZERO_1 69)) (= T_javafe_ast_IdentifierVec (+ DIST_ZERO_1 70)) (= T_javafe_ast_ExprObjectDesignator (+ DIST_ZERO_1 71)) (= T_java_lang_Integer (+ DIST_ZERO_1 72)) (= T_java_lang_Float (+ DIST_ZERO_1 73)) (= T_javafe_ast_LocalVarDecl (+ DIST_ZERO_1 74)) (= T_javafe_ast_AmbiguousVariableAccess (+ DIST_ZERO_1 75)) (= T_javafe_ast_IfStmt (+ DIST_ZERO_1 76)) (= T_javafe_tc_SLResolution (+ DIST_ZERO_1 77)) (= T_javafe_ast_LiteralExpr (+ DIST_ZERO_1 78)) (= T_javafe_ast_InitBlock (+ DIST_ZERO_1 79)) (= T_java_lang_Long (+ DIST_ZERO_1 80)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 81)) (= T_java_io_Serializable (+ DIST_ZERO_1 82)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 83)) (= T_javafe_ast_LabelStmt (+ DIST_ZERO_1 84)) (= T_javafe_ast_OnDemandImportDecl (+ DIST_ZERO_1 85)) (= T_javafe_ast_UnaryExpr (+ DIST_ZERO_1 86)) (= T_javafe_ast_ContinueStmt (+ DIST_ZERO_1 87)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 88)) (= T_javafe_ast_Type (+ DIST_ZERO_1 89)) (= T_java_util_Dictionary (+ DIST_ZERO_1 90)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 91)) (= T_javafe_util_Info (+ DIST_ZERO_1 92)) (= T_javafe_ast_ClassLiteral (+ DIST_ZERO_1 93)) (= T_javafe_ast_BreakStmt (+ DIST_ZERO_1 94)) (= T_java_lang_Double (+ DIST_ZERO_1 95)) (= T_javafe_tc_FieldDeclVec (+ DIST_ZERO_1 96)) (= T_java_lang_Comparable (+ DIST_ZERO_1 97)) (= T_javafe_ast_BinaryExpr (+ DIST_ZERO_1 98)) (= T_javafe_ast_ThrowStmt (+ DIST_ZERO_1 99)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 100)) (= T_javafe_ast_VarInit (+ DIST_ZERO_1 101)) (= T_javafe_ast_FormalParaDecl (+ DIST_ZERO_1 102)) (= T_javafe_ast_ReturnStmt (+ DIST_ZERO_1 103)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 104)) (= T_javafe_ast_EvalStmt (+ DIST_ZERO_1 105)) (= T_javafe_ast_PrimitiveType (+ DIST_ZERO_1 106)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 107)) (= T_java_lang_Number (+ DIST_ZERO_1 108)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 109)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 110)) (= T_javafe_ast_ObjectDesignator (+ DIST_ZERO_1 111)) (= T_javafe_tc_MethodDeclVec (+ DIST_ZERO_1 112)) (= T_javafe_ast_SingleTypeImportDecl (+ DIST_ZERO_1 113)) (= T_javafe_ast_ArrayInit (+ DIST_ZERO_1 114)) (= T_javafe_ast_SynchronizeStmt (+ DIST_ZERO_1 115)) (= T_javafe_ast_TypeNameVec (+ DIST_ZERO_1 116))) (= true_term (is LINKSRESOLVED_5_774_28 T_int)) (= LINKSRESOLVED_5_774_28 4) (= true_term (is AMBIGUOUSVARIABLEACCESS_24_55_7 T_int)) (= AMBIGUOUSVARIABLEACCESS_24_55_7 41) (= true_term (is ASGBITAND_23_49_26 T_int)) (= ASGBITAND_23_49_26 82) (= true_term (is COMPILATIONUNIT_24_14_7 T_int)) (= COMPILATIONUNIT_24_14_7 0) (= true_term (is NULL_49_60_26 T_int)) (= NULL_49_60_26 0) (= true_term (is SWITCHLABEL_24_41_7 T_int)) (= SWITCHLABEL_24_41_7 27) (= true_term (is ADD_23_33_26 T_int)) (= ADD_23_33_26 68) (= true_term (is MODIFIERPRAGMA_21_25_26 T_int)) (= MODIFIERPRAGMA_21_25_26 115) (= true_term (is FLOATTYPE_22_31_26 T_int)) (= FLOATTYPE_22_31_26 98) (= true_term (is RESOLVINGLINKS_5_773_28 T_int)) (= RESOLVINGLINKS_5_773_28 3) (= true_term (is VARDECLSTMT_24_27_7 T_int)) (= VARDECLSTMT_24_27_7 13) (= true_term (is AND_23_20_26 T_int)) (= AND_23_20_26 55) (= true_term (is PARENEXPR_24_54_7 T_int)) (= PARENEXPR_24_54_7 40) (= true_term (is ASGURSHIFT_23_48_26 T_int)) (= ASGURSHIFT_23_48_26 81) (= true_term (is NULLLIT_22_45_26 T_int)) (= NULLLIT_22_45_26 111) (= true_term (is PARSED_5_772_28 T_int)) (= PARSED_5_772_28 2) (= true_term (is SKIPSTMT_24_40_7 T_int)) (= SKIPSTMT_24_40_7 26) (= true_term (is URSHIFT_23_32_26 T_int)) (= URSHIFT_23_32_26 67) (= true_term (is FIRST_KEYWORD_21_51_26 T_int)) (= FIRST_KEYWORD_21_51_26 133) (= true_term (is CHARTYPE_22_30_26 T_int)) (= CHARTYPE_22_30_26 97) (= true_term (is COMPOUNDNAME_24_67_7 T_int)) (= COMPOUNDNAME_24_67_7 53) (= true_term (is LEXICALPRAGMA_21_24_26 T_int)) (= LEXICALPRAGMA_21_24_26 114) (= true_term (is SWITCHSTMT_24_26_7 T_int)) (= SWITCHSTMT_24_26_7 12) (= true_term (is LAST_KEYWORD_21_103_26 T_int)) (= LAST_KEYWORD_21_103_26 183) (= true_term (is OR_23_19_26 T_int)) (= OR_23_19_26 54) (= true_term (is CASTEXPR_24_53_7 T_int)) (= CASTEXPR_24_53_7 39) (= true_term (is ASGRSHIFT_23_47_26 T_int)) (= ASGRSHIFT_23_47_26 80) (= true_term (is STRINGLIT_22_44_26 T_int)) (= STRINGLIT_22_44_26 110) (= true_term (is FORSTMT_24_39_7 T_int)) (= FORSTMT_24_39_7 25) (= true_term (is RSHIFT_23_31_26 T_int)) (= RSHIFT_23_31_26 66) (= true_term (is LONGTYPE_22_29_26 T_int)) (= LONGTYPE_22_29_26 96) (= true_term (is SIMPLENAME_24_66_7 T_int)) (= SIMPLENAME_24_66_7 52) (= true_term (is BLOCKSTMT_24_25_7 T_int)) (= BLOCKSTMT_24_25_7 11) (= true_term (is NULL_21_82_26 T_int)) (= NULL_21_82_26 163) (= true_term (is INSTANCEOFEXPR_24_52_7 T_int)) (= INSTANCEOFEXPR_24_52_7 38) (= true_term (is ASGLSHIFT_23_46_26 T_int)) (= ASGLSHIFT_23_46_26 79) (= true_term (is DOUBLELIT_22_43_26 T_int)) (= DOUBLELIT_22_43_26 109) (= true_term (is IFSTMT_24_38_7 T_int)) (= IFSTMT_24_38_7 24) (= true_term (is LSHIFT_23_30_26 T_int)) (= LSHIFT_23_30_26 65) (= true_term (is INTTYPE_22_28_26 T_int)) (= INTTYPE_22_28_26 95) (= true_term (is POSTFIXDEC_23_63_26 T_int)) (= POSTFIXDEC_23_63_26 92) (= true_term (is ARRAYTYPE_24_65_7 T_int)) (= ARRAYTYPE_24_65_7 51) (= true_term (is otherStrings_21_193_30 ?v_0)) (not (= otherStrings_21_193_30 null)) (= (typeof otherStrings_21_193_30) ?v_0) (= (arrayLength otherStrings_21_193_30) 15) (= true_term (is FORMALPARADECL_24_24_7 T_int)) (= FORMALPARADECL_24_24_7 10) (= true_term (is CONDEXPR_24_51_7 T_int)) (= CONDEXPR_24_51_7 37) (= true_term (is ASGSUB_23_45_26 T_int)) (= ASGSUB_23_45_26 78) (= true_term (is noTokens_21_212_27 T_int)) (= true_term (is FLOATLIT_22_42_26 T_int)) (= FLOATLIT_22_42_26 108) (= true_term (is LABELSTMT_24_37_7 T_int)) (= LABELSTMT_24_37_7 23) (= true_term (is LT_23_29_26 T_int)) (= LT_23_29_26 64) (= true_term (is BOOLEANTYPE_22_27_26 T_int)) (= BOOLEANTYPE_22_27_26 94) (= true_term (is POSTFIXINC_23_62_26 T_int)) (= POSTFIXINC_23_62_26 91) (= true_term (is punctuationCodes_21_164_19 ?v_1)) (not (= punctuationCodes_21_164_19 null)) (= (typeof punctuationCodes_21_164_19) ?v_1) (= (arrayLength punctuationCodes_21_164_19) 48) (= true_term (is TYPENAME_24_64_7 T_int)) (= TYPENAME_24_64_7 50) (= true_term (is FIELDDECL_24_23_7 T_int)) (= FIELDDECL_24_23_7 9) (= true_term (is NEWARRAYEXPR_24_50_7 T_int)) (= NEWARRAYEXPR_24_50_7 36) (= true_term (is ASGADD_23_44_26 T_int)) (= ASGADD_23_44_26 77) (= true_term (is CHARLIT_22_41_26 T_int)) (= CHARLIT_22_41_26 107) (= true_term (is CONTINUESTMT_24_36_7 T_int)) (= CONTINUESTMT_24_36_7 22) (= true_term (is LE_23_28_26 T_int)) (= LE_23_28_26 63) (= true_term (is IDENT_22_25_26 T_int)) (= IDENT_22_25_26 93) (= true_term (is DEC_23_59_26 T_int)) (= DEC_23_59_26 90) (= true_term (is SUPEROBJECTDESIGNATOR_24_63_7 T_int)) (= SUPEROBJECTDESIGNATOR_24_63_7 49) (= true_term (is LOCALVARDECL_24_22_7 T_int)) (= LOCALVARDECL_24_22_7 8) (= true_term (is NEWINSTANCEEXPR_24_49_7 T_int)) (= NEWINSTANCEEXPR_24_49_7 35) (= true_term (is ASGREM_23_43_26 T_int)) (= ASGREM_23_43_26 76) (= true_term (is LONGLIT_22_40_26 T_int)) (= LONGLIT_22_40_26 106) (= true_term (is BREAKSTMT_24_35_7 T_int)) (= BREAKSTMT_24_35_7 21) (= true_term (is GT_23_27_26 T_int)) (= GT_23_27_26 62) (= true_term (is keywordStrings_21_181_30 ?v_0)) (not (= keywordStrings_21_181_30 null)) (= (typeof keywordStrings_21_181_30) ?v_0) (= (arrayLength keywordStrings_21_181_30) 51) (= true_term (is INC_23_58_26 T_int)) (= INC_23_58_26 89) (= true_term (is TYPEOBJECTDESIGNATOR_24_62_7 T_int)) (= TYPEOBJECTDESIGNATOR_24_62_7 48) (= true_term (is INITBLOCK_24_21_7 T_int)) (= INITBLOCK_24_21_7 7) (= true_term (is ARRAYREFEXPR_24_48_7 T_int)) (= ARRAYREFEXPR_24_48_7 34) (= true_term (is ASGDIV_23_42_26 T_int)) (= ASGDIV_23_42_26 75) (= true_term (is INTLIT_22_39_26 T_int)) (= INTLIT_22_39_26 105) (= true_term (is THROWSTMT_24_34_7 T_int)) (= THROWSTMT_24_34_7 20) (= true_term (is GE_23_26_26 T_int)) (= GE_23_26_26 61) (= true_term (is TYPESIG_20_6_28 T_int)) (= TYPESIG_20_6_28 184) (= true_term (is BITNOT_23_57_26 T_int)) (= BITNOT_23_57_26 88) (= true_term (is EXPROBJECTDESIGNATOR_24_61_7 T_int)) (= EXPROBJECTDESIGNATOR_24_61_7 47) (= true_term (is METHODDECL_24_20_7 T_int)) (= METHODDECL_24_20_7 6) (= true_term (is THISEXPR_24_47_7 T_int)) (= THISEXPR_24_47_7 33) (= true_term (is ASGMUL_23_41_26 T_int)) (= ASGMUL_23_41_26 74) (= true_term (is BOOLEANLIT_22_38_26 T_int)) (= BOOLEANLIT_22_38_26 104) (= true_term (is RETURNSTMT_24_33_7 T_int)) (= RETURNSTMT_24_33_7 19) (= true_term (is EQ_23_25_26 T_int)) (= EQ_23_25_26 60) (= true_term (is NOT_23_56_26 T_int)) (= NOT_23_56_26 87) (= true_term (is CLASSLITERAL_24_60_7 T_int)) (= CLASSLITERAL_24_60_7 46) (= true_term (is CONSTRUCTORDECL_24_19_7 T_int)) (= CONSTRUCTORDECL_24_19_7 5) (= true_term (is ARRAYINIT_24_46_7 T_int)) (= ARRAYINIT_24_46_7 32) (= true_term (is ASSIGN_23_40_26 T_int)) (= ASSIGN_23_40_26 73) (= true_term (is SHORTTYPE_22_36_26 T_int)) (= SHORTTYPE_22_36_26 103) (= true_term (is NE_23_24_26 T_int)) (= NE_23_24_26 59) (= true_term (is EVALSTMT_24_32_7 T_int)) (= EVALSTMT_24_32_7 18) (= true_term (is METHODINVOCATION_24_59_7 T_int)) (= METHODINVOCATION_24_59_7 45) (= true_term (is UNARYSUB_23_55_26 T_int)) (= UNARYSUB_23_55_26 86) (= true_term (is INTERFACEDECL_24_18_7 T_int)) (= INTERFACEDECL_24_18_7 4) (= true_term (is TYPEMODIFIERPRAGMA_21_28_26 T_int)) (= TYPEMODIFIERPRAGMA_21_28_26 118) (= true_term (is CATCHCLAUSE_24_45_7 T_int)) (= CATCHCLAUSE_24_45_7 31) (= true_term (is STAR_23_37_26 T_int)) (= STAR_23_37_26 72) (= true_term (is BYTETYPE_22_35_26 T_int)) (= BYTETYPE_22_35_26 102) (= true_term (is BITAND_23_23_26 T_int)) (= BITAND_23_23_26 58) (= true_term (is SYNCHRONIZESTMT_24_31_7 T_int)) (= SYNCHRONIZESTMT_24_31_7 17) (= true_term (is otherCodes_21_202_27 ?v_1)) (not (= otherCodes_21_202_27 null)) (= (typeof otherCodes_21_202_27) ?v_1) (= (arrayLength otherCodes_21_202_27) 15) (= true_term (is AMBIGUOUSMETHODINVOCATION_24_58_7 T_int)) (= AMBIGUOUSMETHODINVOCATION_24_58_7 44) (= true_term (is UNARYADD_23_54_26 T_int)) (= UNARYADD_23_54_26 85) (= true_term (is CLASSDECL_24_17_7 T_int)) (= CLASSDECL_24_17_7 3) (= true_term (is CONSTRUCTORINVOCATION_24_44_7 T_int)) (= CONSTRUCTORINVOCATION_24_44_7 30) (= true_term (is MOD_23_36_26 T_int)) (= MOD_23_36_26 71) (= true_term (is punctuationStrings_21_134_22 ?v_0)) (not (= punctuationStrings_21_134_22 null)) (= (typeof punctuationStrings_21_134_22) ?v_0) (= (arrayLength punctuationStrings_21_134_22) 48) (= true_term (is TYPEDECLELEMPRAGMA_21_27_26 T_int)) (= TYPEDECLELEMPRAGMA_21_27_26 117) (= true_term (is NULLTYPE_22_34_26 T_int)) (= NULLTYPE_22_34_26 101) (= true_term (is BITXOR_23_22_26 T_int)) (= BITXOR_23_22_26 57) (= true_term (is DOSTMT_24_30_7 T_int)) (= DOSTMT_24_30_7 16) (= true_term (is ASGBITXOR_23_51_26 T_int)) (= ASGBITXOR_23_51_26 84) (= true_term (is FIELDACCESS_24_57_7 T_int)) (= FIELDACCESS_24_57_7 43) (= true_term (is ONDEMANDIMPORTDECL_24_16_7 T_int)) (= ONDEMANDIMPORTDECL_24_16_7 2) (= true_term (is TRYCATCHSTMT_24_43_7 T_int)) (= TRYCATCHSTMT_24_43_7 29) (= true_term (is DIV_23_35_26 T_int)) (= DIV_23_35_26 70) (= true_term (is VOIDTYPE_22_33_26 T_int)) (= VOIDTYPE_22_33_26 100) (= true_term (is BITOR_23_21_26 T_int)) (= BITOR_23_21_26 56) (= true_term (is WHILESTMT_24_29_7 T_int)) (= WHILESTMT_24_29_7 15) (= true_term (is ASGBITOR_23_50_26 T_int)) (= ASGBITOR_23_50_26 83) (= true_term (is VARIABLEACCESS_24_56_7 T_int)) (= VARIABLEACCESS_24_56_7 42) (= true_term (is PREPPED_5_775_28 T_int)) (= PREPPED_5_775_28 5) (= true_term (is SINGLETYPEIMPORTDECL_24_15_7 T_int)) (= SINGLETYPEIMPORTDECL_24_15_7 1) (= true_term (is STMTPRAGMA_21_26_26 T_int)) (= STMTPRAGMA_21_26_26 116) (= true_term (is TRYFINALLYSTMT_24_42_7 T_int)) (= TRYFINALLYSTMT_24_42_7 28) (= true_term (is SUB_23_34_26 T_int)) (= SUB_23_34_26 69) (= true_term (is DOUBLETYPE_22_32_26 T_int)) (= DOUBLETYPE_22_32_26 99) (= true_term (is CLASSDECLSTMT_24_28_7 T_int)) (= CLASSDECLSTMT_24_28_7 14))))
(declare-fun ecReturn () Int)
(declare-fun L_107_1 () Int)
(declare-fun S_90_10 () Int)
(declare-fun S_88_8 () Int)
(declare-fun S_126_9 () Int)
(declare-fun S_90_42 () Int)
(declare-fun S_115_7 () Int)
(declare-fun S_125_28 () Int)
(declare-fun S_87_6 () Int)
(declare-fun locDot_pre_139_23_13 () Int)
(declare-fun locDot_139_23_13 () Int)
(declare-fun loc_pre_128_49_13 () Int)
(declare-fun loc_128_49_13 () Int)
(declare-fun LINKSRESOLVED_pre_5_774_28 () Int)
(declare-fun count_pre_19_67_33 () Int)
(declare-fun count_19_67_33 () Int)
(declare-fun AMBIGUOUSVARIABLEACCESS_pre_24_55_7 () Int)
(declare-fun loc_pre_105_18_13 () Int)
(declare-fun loc_105_18_13 () Int)
(declare-fun ASGBITAND_pre_23_49_26 () Int)
(declare-fun COMPILATIONUNIT_pre_24_14_7 () Int)
(declare-fun NULL_pre_49_60_26 () Int)
(declare-fun superInterfaces_pre_14_34_35 () Int)
(declare-fun superInterfaces_14_34_35 () Int)
(declare-fun locId_pre_136_24_13 () Int)
(declare-fun locId_136_24_13 () Int)
(declare-fun locCloseBracket_pre_127_23_13 () Int)
(declare-fun locCloseBracket_127_23_13 () Int)
(declare-fun type_pre_133_18_28 () Int)
(declare-fun type_133_18_28 () Int)
(declare-fun member_pre_5_44_39 () Int)
(declare-fun member_5_44_39 () Int)
(declare-fun SWITCHLABEL_pre_24_41_7 () Int)
(declare-fun ADD_pre_23_33_26 () Int)
(declare-fun MODIFIERPRAGMA_pre_21_25_26 () Int)
(declare-fun locIds_pre_146_25_29 () Int)
(declare-fun locIds_146_25_29 () Int)
(declare-fun FLOATTYPE_pre_22_31_26 () Int)
(declare-fun loc_pre_110_20_13 () Int)
(declare-fun loc_110_20_13 () Int)
(declare-fun RESOLVINGLINKS_pre_5_773_28 () Int)
(declare-fun VARDECLSTMT_pre_24_27_7 () Int)
(declare-fun tag_pre_55_30_13 () Int)
(declare-fun tag_55_30_13 () Int)
(declare-fun AND_pre_23_20_26 () Int)
(declare-fun PARENEXPR_pre_24_54_7 () Int)
(declare-fun methods_pre_5_883_26 () Int)
(declare-fun methods_5_883_26 () Int)
(declare-fun ASGURSHIFT_pre_23_48_26 () Int)
(declare-fun loc_pre_129_49_13 () Int)
(declare-fun loc_129_49_13 () Int)
(declare-fun locCloseBrace_pre_90_25_13 () Int)
(declare-fun locCloseBrace_90_25_13 () Int)
(declare-fun elements_pre_42_61_39 () Int)
(declare-fun elements_42_61_39 () Int)
(declare-fun NULLLIT_pre_22_45_26 () Int)
(declare-fun PARSED_pre_5_772_28 () Int)
(declare-fun SKIPSTMT_pre_24_40_7 () Int)
(declare-fun URSHIFT_pre_23_32_26 () Int)
(declare-fun FIRST_KEYWORD_pre_21_51_26 () Int)
(declare-fun locOpenBrace_pre_14_51_13 () Int)
(declare-fun locOpenBrace_14_51_13 () Int)
(declare-fun loc_pre_144_20_13 () Int)
(declare-fun loc_144_20_13 () Int)
(declare-fun owner_pre_4_35_28 () Int)
(declare-fun owner_4_35_28 () Int)
(declare-fun CHARTYPE_pre_22_30_26 () Int)
(declare-fun type_pre_129_24_28 () Int)
(declare-fun type_129_24_28 () Int)
(declare-fun loc_pre_113_18_13 () Int)
(declare-fun loc_113_18_13 () Int)
(declare-fun COMPOUNDNAME_pre_24_67_7 () Int)
(declare-fun LEXICALPRAGMA_pre_21_24_26 () Int)
(declare-fun SWITCHSTMT_pre_24_26_7 () Int)
(declare-fun LAST_KEYWORD_pre_21_103_26 () Int)
(declare-fun OR_pre_23_19_26 () Int)
(declare-fun locOpenBrace_pre_48_36_13 () Int)
(declare-fun locOpenBrace_48_36_13 () Int)
(declare-fun CASTEXPR_pre_24_53_7 () Int)
(declare-fun ASGRSHIFT_pre_23_47_26 () Int)
(declare-fun STRINGLIT_pre_22_44_26 () Int)
(declare-fun elements_pre_41_61_38 () Int)
(declare-fun elements_41_61_38 () Int)
(declare-fun FORSTMT_pre_24_39_7 () Int)
(declare-fun RSHIFT_pre_23_31_26 () Int)
(declare-fun body_pre_48_34_19 () Int)
(declare-fun body_48_34_19 () Int)
(declare-fun loc_pre_122_22_13 () Int)
(declare-fun loc_122_22_13 () Int)
(declare-fun locQuestion_pre_131_22_13 () Int)
(declare-fun locQuestion_131_22_13 () Int)
(declare-fun locOpenParen_pre_124_48_13 () Int)
(declare-fun locOpenParen_124_48_13 () Int)
(declare-fun locDots_pre_146_31_29 () Int)
(declare-fun locDots_146_31_29 () Int)
(declare-fun LONGTYPE_pre_22_29_26 () Int)
(declare-fun locOpenBrackets_pre_129_65_29 () Int)
(declare-fun locOpenBrackets_129_65_29 () Int)
(declare-fun SIMPLENAME_pre_24_66_7 () Int)
(declare-fun BLOCKSTMT_pre_24_25_7 () Int)
(declare-fun NULL_pre_21_82_26 () Int)
(declare-fun INSTANCEOFEXPR_pre_24_52_7 () Int)
(declare-fun ASGLSHIFT_pre_23_46_26 () Int)
(declare-fun syntax_pre_6_28_29 () Int)
(declare-fun syntax_6_28_29 () Int)
(declare-fun DOUBLELIT_pre_22_43_26 () Int)
(declare-fun IFSTMT_pre_24_38_7 () Int)
(declare-fun LSHIFT_pre_23_30_26 () Int)
(declare-fun length_pre_27_50_25 () Int)
(declare-fun length_27_50_25 () Int)
(declare-fun count_pre_42_67_33 () Int)
(declare-fun count_42_67_33 () Int)
(declare-fun simpleName_pre_5_37_38 () Int)
(declare-fun simpleName_5_37_38 () Int)
(declare-fun INTTYPE_pre_22_28_26 () Int)
(declare-fun POSTFIXDEC_pre_23_63_26 () Int)
(declare-fun locOpenBracket_pre_127_20_13 () Int)
(declare-fun locOpenBracket_127_20_13 () Int)
(declare-fun ARRAYTYPE_pre_24_65_7 () Int)
(declare-fun otherStrings_pre_21_193_30 () Int)
(declare-fun FORMALPARADECL_pre_24_24_7 () Int)
(declare-fun locOpenParen_pre_137_30_13 () Int)
(declare-fun locOpenParen_137_30_13 () Int)
(declare-fun CONDEXPR_pre_24_51_7 () Int)
(declare-fun ASGSUB_pre_23_45_26 () Int)
(declare-fun noTokens_pre_21_212_27 () Int)
(declare-fun tokenType_pre_46_90_8 () Int)
(declare-fun tokenType_46_90_8 () Int)
(declare-fun dims_pre_129_45_31 () Int)
(declare-fun dims_129_45_31 () Int)
(declare-fun locOpenBrace_pre_90_22_13 () Int)
(declare-fun locOpenBrace_90_22_13 () Int)
(declare-fun FLOATLIT_pre_22_42_26 () Int)
(declare-fun LABELSTMT_pre_24_37_7 () Int)
(declare-fun LT_pre_23_29_26 () Int)
(declare-fun loc_pre_109_20_13 () Int)
(declare-fun loc_109_20_13 () Int)
(declare-fun type_pre_139_20_28 () Int)
(declare-fun type_139_20_28 () Int)
(declare-fun count_pre_41_67_33 () Int)
(declare-fun count_41_67_33 () Int)
(declare-fun locId_pre_14_48_13 () Int)
(declare-fun locId_14_48_13 () Int)
(declare-fun BOOLEANTYPE_pre_22_27_26 () Int)
(declare-fun POSTFIXINC_pre_23_62_26 () Int)
(declare-fun punctuationCodes_pre_21_164_19 () Int)
(declare-fun TYPENAME_pre_24_64_7 () Int)
(declare-fun returnType_pre_47_18_28 () Int)
(declare-fun returnType_47_18_28 () Int)
(declare-fun FIELDDECL_pre_24_23_7 () Int)
(declare-fun loc_pre_115_18_13 () Int)
(declare-fun loc_115_18_13 () Int)
(declare-fun locOpenBracket_pre_143_21_13 () Int)
(declare-fun locOpenBracket_143_21_13 () Int)
(declare-fun NEWARRAYEXPR_pre_24_50_7 () Int)
(declare-fun ASGADD_pre_23_44_26 () Int)
(declare-fun enclosingType_pre_5_32_39 () Int)
(declare-fun enclosingType_5_32_39 () Int)
(declare-fun locGuardOpenParen_pre_108_23_13 () Int)
(declare-fun locGuardOpenParen_108_23_13 () Int)
(declare-fun CHARLIT_pre_22_41_26 () Int)
(declare-fun CONTINUESTMT_pre_24_36_7 () Int)
(declare-fun LE_pre_23_28_26 () Int)
(declare-fun locKeyword_pre_124_45_13 () Int)
(declare-fun locKeyword_124_45_13 () Int)
(declare-fun IDENT_pre_22_25_26 () Int)
(declare-fun DEC_pre_23_59_26 () Int)
(declare-fun SUPEROBJECTDESIGNATOR_pre_24_63_7 () Int)
(declare-fun elements_pre_130_61_33 () Int)
(declare-fun elements_130_61_33 () Int)
(declare-fun LOCALVARDECL_pre_24_22_7 () Int)
(declare-fun NEWINSTANCEEXPR_pre_24_49_7 () Int)
(declare-fun ASGREM_pre_23_43_26 () Int)
(declare-fun fields_pre_5_875_27 () Int)
(declare-fun fields_5_875_27 () Int)
(declare-fun locFirstSemi_pre_119_36_13 () Int)
(declare-fun locFirstSemi_119_36_13 () Int)
(declare-fun LONGLIT_pre_22_40_26 () Int)
(declare-fun locOp_pre_54_32_13 () Int)
(declare-fun locOp_54_32_13 () Int)
(declare-fun value_pre_31_91_31 () Int)
(declare-fun value_31_91_31 () Int)
(declare-fun BREAKSTMT_pre_24_35_7 () Int)
(declare-fun GT_pre_23_27_26 () Int)
(declare-fun keywordStrings_pre_21_181_30 () Int)
(declare-fun locId_pre_48_43_13 () Int)
(declare-fun locId_48_43_13 () Int)
(declare-fun op_pre_53_35_13 () Int)
(declare-fun op_53_35_13 () Int)
(declare-fun INC_pre_23_58_26 () Int)
(declare-fun TYPEOBJECTDESIGNATOR_pre_24_62_7 () Int)
(declare-fun INITBLOCK_pre_24_21_7 () Int)
(declare-fun superCall_pre_124_24_17 () Int)
(declare-fun superCall_124_24_17 () Int)
(declare-fun locOpenParen_pre_138_28_13 () Int)
(declare-fun locOpenParen_138_28_13 () Int)
(declare-fun tag_pre_50_32_13 () Int)
(declare-fun tag_50_32_13 () Int)
(declare-fun locCloseBrace_pre_126_24_13 () Int)
(declare-fun locCloseBrace_126_24_13 () Int)
(declare-fun ARRAYREFEXPR_pre_24_48_7 () Int)
(declare-fun ASGDIV_pre_23_42_26 () Int)
(declare-fun CU_pre_5_71_30 () Int)
(declare-fun CU_5_71_30 () Int)
(declare-fun INTLIT_pre_22_39_26 () Int)
(declare-fun THROWSTMT_pre_24_34_7 () Int)
(declare-fun GE_pre_23_26_26 () Int)
(declare-fun locCloseParen_pre_134_21_13 () Int)
(declare-fun locCloseParen_134_21_13 () Int)
(declare-fun loc_pre_125_22_13 () Int)
(declare-fun loc_125_22_13 () Int)
(declare-fun locCloseParen_pre_133_24_13 () Int)
(declare-fun locCloseParen_133_24_13 () Int)
(declare-fun TYPESIG_pre_20_6_28 () Int)
(declare-fun loc_pre_14_45_13 () Int)
(declare-fun loc_14_45_13 () Int)
(declare-fun BITNOT_pre_23_57_26 () Int)
(declare-fun EXPROBJECTDESIGNATOR_pre_24_61_7 () Int)
(declare-fun count_pre_130_67_33 () Int)
(declare-fun count_130_67_33 () Int)
(declare-fun METHODDECL_pre_24_20_7 () Int)
(declare-fun loc_pre_121_29_13 () Int)
(declare-fun loc_121_29_13 () Int)
(declare-fun loc_pre_112_18_13 () Int)
(declare-fun loc_112_18_13 () Int)
(declare-fun locId_pre_45_38_13 () Int)
(declare-fun locId_45_38_13 () Int)
(declare-fun THISEXPR_pre_24_47_7 () Int)
(declare-fun ASGMUL_pre_23_41_26 () Int)
(declare-fun loc_pre_50_50_13 () Int)
(declare-fun loc_50_50_13 () Int)
(declare-fun BOOLEANLIT_pre_22_38_26 () Int)
(declare-fun RETURNSTMT_pre_24_33_7 () Int)
(declare-fun EQ_pre_23_25_26 () Int)
(declare-fun loc_pre_120_16_13 () Int)
(declare-fun loc_120_16_13 () Int)
(declare-fun elements_pre_145_61_39 () Int)
(declare-fun elements_145_61_39 () Int)
(declare-fun state_pre_5_787_15 () Int)
(declare-fun state_5_787_15 () Int)
(declare-fun NOT_pre_23_56_26 () Int)
(declare-fun CLASSLITERAL_pre_24_60_7 () Int)
(declare-fun CONSTRUCTORDECL_pre_24_19_7 () Int)
(declare-fun locDot_pre_124_41_13 () Int)
(declare-fun locDot_124_41_13 () Int)
(declare-fun ARRAYINIT_pre_24_46_7 () Int)
(declare-fun ASSIGN_pre_23_40_26 () Int)
(declare-fun SHORTTYPE_pre_22_36_26 () Int)
(declare-fun NE_pre_23_24_26 () Int)
(declare-fun EVALSTMT_pre_24_32_7 () Int)
(declare-fun elemType_pre_143_18_28 () Int)
(declare-fun elemType_143_18_28 () Int)
(declare-fun loc_pre_48_40_13 () Int)
(declare-fun loc_48_40_13 () Int)
(declare-fun loc_pre_119_33_13 () Int)
(declare-fun loc_119_33_13 () Int)
(declare-fun METHODINVOCATION_pre_24_59_7 () Int)
(declare-fun UNARYSUB_pre_23_55_26 () Int)
(declare-fun locDot_pre_128_29_13 () Int)
(declare-fun locDot_128_29_13 () Int)
(declare-fun INTERFACEDECL_pre_24_18_7 () Int)
(declare-fun init_pre_129_35_19 () Int)
(declare-fun init_129_35_19 () Int)
(declare-fun loc_pre_123_23_13 () Int)
(declare-fun loc_123_23_13 () Int)
(declare-fun superClass_pre_25_15_18 () Int)
(declare-fun superClass_25_15_18 () Int)
(declare-fun enclosingEnv_pre_5_52_36 () Int)
(declare-fun enclosingEnv_5_52_36 () Int)
(declare-fun loc_pre_108_20_13 () Int)
(declare-fun loc_108_20_13 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_21_28_26 () Int)
(declare-fun locId_pre_138_25_13 () Int)
(declare-fun locId_138_25_13 () Int)
(declare-fun locOpenParen_pre_110_23_13 () Int)
(declare-fun locOpenParen_110_23_13 () Int)
(declare-fun CATCHCLAUSE_pre_24_45_7 () Int)
(declare-fun STAR_pre_23_37_26 () Int)
(declare-fun locOpenBrace_pre_126_21_13 () Int)
(declare-fun locOpenBrace_126_21_13 () Int)
(declare-fun loc_pre_135_22_13 () Int)
(declare-fun loc_135_22_13 () Int)
(declare-fun loc_pre_132_21_13 () Int)
(declare-fun loc_132_21_13 () Int)
(declare-fun BYTETYPE_pre_22_35_26 () Int)
(declare-fun BITAND_pre_23_23_26 () Int)
(declare-fun SYNCHRONIZESTMT_pre_24_31_7 () Int)
(declare-fun locOpenParen_pre_128_52_13 () Int)
(declare-fun locOpenParen_128_52_13 () Int)
(declare-fun otherCodes_pre_21_202_27 () Int)
(declare-fun locId_pre_117_20_13 () Int)
(declare-fun locId_117_20_13 () Int)
(declare-fun AMBIGUOUSMETHODINVOCATION_pre_24_58_7 () Int)
(declare-fun UNARYADD_pre_23_54_26 () Int)
(declare-fun count_pre_145_67_33 () Int)
(declare-fun count_145_67_33 () Int)
(declare-fun CLASSDECL_pre_24_17_7 () Int)
(declare-fun locSuper_pre_142_20_13 () Int)
(declare-fun locSuper_142_20_13 () Int)
(declare-fun type_pre_45_35_28 () Int)
(declare-fun type_45_35_28 () Int)
(declare-fun loc_pre_33_30_13 () Int)
(declare-fun loc_33_30_13 () Int)
(declare-fun locOpenParen_pre_133_21_13 () Int)
(declare-fun locOpenParen_133_21_13 () Int)
(declare-fun CONSTRUCTORINVOCATION_pre_24_44_7 () Int)
(declare-fun MOD_pre_23_36_26 () Int)
(declare-fun loc_pre_82_29_13 () Int)
(declare-fun loc_82_29_13 () Int)
(declare-fun punctuationStrings_pre_21_134_22 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_21_27_26 () Int)
(declare-fun NULLTYPE_pre_22_34_26 () Int)
(declare-fun value_pre_50_45_16 () Int)
(declare-fun value_50_45_16 () Int)
(declare-fun loc_pre_55_35_13 () Int)
(declare-fun loc_55_35_13 () Int)
(declare-fun BITXOR_pre_23_22_26 () Int)
(declare-fun DOSTMT_pre_24_30_7 () Int)
(declare-fun loc_pre_99_18_13 () Int)
(declare-fun loc_99_18_13 () Int)
(declare-fun op_pre_54_26_13 () Int)
(declare-fun op_54_26_13 () Int)
(declare-fun ids_pre_146_19_37 () Int)
(declare-fun ids_146_19_37 () Int)
(declare-fun ASGBITXOR_pre_23_51_26 () Int)
(declare-fun FIELDACCESS_pre_24_57_7 () Int)
(declare-fun ONDEMANDIMPORTDECL_pre_24_16_7 () Int)
(declare-fun locCloseBrace_pre_14_54_13 () Int)
(declare-fun locCloseBrace_14_54_13 () Int)
(declare-fun elements_pre_19_61_37 () Int)
(declare-fun elements_19_61_37 () Int)
(declare-fun locOpenParen_pre_134_18_13 () Int)
(declare-fun locOpenParen_134_18_13 () Int)
(declare-fun count_pre_31_99_33 () Int)
(declare-fun count_31_99_33 () Int)
(declare-fun TRYCATCHSTMT_pre_24_43_7 () Int)
(declare-fun DIV_pre_23_35_26 () Int)
(declare-fun VOIDTYPE_pre_22_33_26 () Int)
(declare-fun BITOR_pre_23_21_26 () Int)
(declare-fun locDot_pre_83_21_13 () Int)
(declare-fun locDot_83_21_13 () Int)
(declare-fun myTypeDecl_pre_5_63_40 () Int)
(declare-fun myTypeDecl_5_63_40 () Int)
(declare-fun WHILESTMT_pre_24_29_7 () Int)
(declare-fun ASGBITOR_pre_23_50_26 () Int)
(declare-fun VARIABLEACCESS_pre_24_56_7 () Int)
(declare-fun PREPPED_pre_5_775_28 () Int)
(declare-fun SINGLETYPEIMPORTDECL_pre_24_15_7 () Int)
(declare-fun locFinally_pre_122_25_13 () Int)
(declare-fun locFinally_122_25_13 () Int)
(declare-fun locColon_pre_131_25_13 () Int)
(declare-fun locColon_131_25_13 () Int)
(declare-fun enclosingInstance_pre_124_37_14 () Int)
(declare-fun enclosingInstance_124_37_14 () Int)
(declare-fun STMTPRAGMA_pre_21_26_26 () Int)
(declare-fun locOp_pre_53_43_13 () Int)
(declare-fun locOp_53_43_13 () Int)
(declare-fun TRYFINALLYSTMT_pre_24_42_7 () Int)
(declare-fun SUB_pre_23_34_26 () Int)
(declare-fun loc_pre_118_22_13 () Int)
(declare-fun loc_118_22_13 () Int)
(declare-fun DOUBLETYPE_pre_22_32_26 () Int)
(declare-fun type_pre_132_18_28 () Int)
(declare-fun type_132_18_28 () Int)
(declare-fun CLASSDECLSTMT_pre_24_28_7 () Int)
(declare-fun locType_pre_47_21_13 () Int)
(declare-fun locType_47_21_13 () Int)
(declare-fun enclosingInstance_pre_128_25_14 () Int)
(declare-fun enclosingInstance_128_25_14 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun sig_80_68 () Int)
(declare-fun RES_84_18_84_18 () Int)
(declare-fun EC_84_18_84_18 () Int)
(declare-fun tmp0_locId_86_20 () Int)
(declare-fun msg_86_14_86_14_16_220_45 () Int)
(declare-fun EC_86_14_86_14 () Int)
(declare-fun RES () Int)
(declare-fun RES_86_14_86_14 () Int)
(declare-fun EC () Int)
(declare-fun msg_90_6_90_6_17_69_34 () Int)
(declare-fun EC_90_6_90_6 () Int)
(declare-fun state_91_5 () Int)
(declare-fun RES_98_54_98_54 () Int)
(declare-fun EC_98_54_98_54 () Int)
(declare-fun EC_98_29_98_29 () Int)
(declare-fun i_loopold_107_10 () Int)
(declare-fun EC_loopold () Int)
(declare-fun this_107_35_107_1_0_107_35 () Int)
(declare-fun RES_107_1_0_107_35_107_35 () Int)
(declare-fun EC_107_1_0_107_35_107_35 () Int)
(declare-fun tmp4_superInterfaces_107_1_0_108_30 () Int)
(declare-fun RES_107_1_0_108_48_108_48 () Int)
(declare-fun EC_107_1_0_108_48_108_48 () Int)
(declare-fun RES_107_1_0_108_5_108_5 () Int)
(declare-fun EC_107_1_0_108_5_108_5 () Int)
(declare-fun i_107_1_0_107_43 () Int)
(declare-fun RES_1_ () Int)
(declare-fun this_107_35_107_1_1_107_35 () Int)
(declare-fun RES_107_1_1_107_35_107_35 () Int)
(declare-fun EC_107_1_1_107_35_107_35 () Int)
(declare-fun RES_2_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun RES_110_7_110_7 () Int)
(declare-fun EC_110_7_110_7 () Int)
(declare-fun cd_111_5 () Int)
(declare-fun loc_114_37_114_37_27_137_42 () Int)
(declare-fun RES_114_37_114_37 () Int)
(declare-fun EC_114_37_114_37 () Int)
(declare-fun RES_114_27_114_27 () Int)
(declare-fun EC_114_27_114_27 () Int)
(declare-fun superClass_114_5 () Int)
(declare-fun tmp7_superClass_117_17 () Int)
(declare-fun RES_117_38_117_38 () Int)
(declare-fun EC_117_38_117_38 () Int)
(declare-fun EC_117_10_117_10 () Int)
(declare-fun superClass_25_15_18_1_ () Int)
(declare-fun RES_3_ () Int)
(declare-fun RES_117_10_117_10 () Int)
(declare-fun EC_2_ () Int)
(declare-fun superName_120_26_120_26_152_33 () Int)
(declare-fun RES_120_26_120_26 () Int)
(declare-fun EC_120_26_120_26 () Int)
(declare-fun RES_123_20_123_20 () Int)
(declare-fun EC_123_20_123_20 () Int)
(declare-fun tmp10_loc_125_21 () Int)
(declare-fun msg_125_15_125_15_16_220_45 () Int)
(declare-fun EC_125_15_125_15 () Int)
(declare-fun RES_4_ () Int)
(declare-fun RES_125_15_125_15 () Int)
(declare-fun EC_3_ () Int)
(declare-fun superClass_129_5 () Int)
(declare-fun RES_5_ () Int)
(declare-fun EC_4_ () Int)
(declare-fun EC_5_ () Int)
(declare-fun state_133_5 () Int)
(declare-fun state_84_18 () Int)
(declare-fun EC_84_18 () Int)
(assert (let ((?v_1 (array T_java_lang_String)) (?v_0 (array T_int)) (?v_3 (arrayLength otherStrings_21_193_30)) (?v_2 (arrayLength keywordStrings_21_181_30)) (?v_5 (arrayLength punctuationStrings_21_134_22)) (?v_47 (not (= S_115_7 null))) (?v_7 (S_select state_5_787_15 sig_80_68)) (?v_4 (S_select owner_4_35_28 punctuationCodes_21_164_19)) (?v_78 (= true_term (is RES_84_18_84_18 T_javafe_ast_TypeDecl))) (?v_79 (= true_term (isAllocated RES_84_18_84_18 alloc))) (?v_6 (= EC_84_18_84_18 ecReturn)) (?v_8 (not (= RES_84_18_84_18 null)))) (let ((?v_80 (=> ?v_6 ?v_8)) (?v_81 (=> ?v_6 (>= ?v_7 PARSED_5_772_28))) (?v_9 (= ?v_7 RESOLVINGLINKS_5_773_28)) (?v_10 (= true_term true_term)) (?v_17 (not ?v_8)) (?v_11 (= tmp0_locId_86_20 (S_select locId_14_48_13 RES_84_18_84_18))) (?v_12 (= msg_86_14_86_14_16_220_45 (stringCat (stringCat S_87_6 S_88_8) sig_80_68))) (?v_13 (not (= tmp0_locId_86_20 NULL_49_60_26))) (?v_14 (= EC_86_14_86_14 ecReturn))) (let ((?v_82 (or (and ?v_9 ?v_10 ?v_8 ?v_11 ?v_12 ?v_13 ?v_14 (not ?v_14) (= RES RES_86_14_86_14) (= EC EC_86_14_86_14)) (and (not ?v_9) ?v_10 (= RES RES_84_18_84_18) (= EC EC_84_18_84_18)))) (?v_83 (= msg_90_6_90_6_17_69_34 (stringCat (stringCat S_90_10 sig_80_68) S_90_42))) (?v_84 (= EC_90_6_90_6 ecReturn)) (?v_85 (= state_91_5 (S_store state_5_787_15 sig_80_68 RESOLVINGLINKS_5_773_28))) (?v_86 (= true_term (is RES_98_54_98_54 T_javafe_ast_CompilationUnit))) (?v_87 (= true_term (isAllocated RES_98_54_98_54 alloc))) (?v_15 (= EC_98_54_98_54 ecReturn)) (?v_16 (not (= RES_98_54_98_54 null)))) (let ((?v_88 (=> ?v_15 ?v_16)) (?v_89 (= EC_98_29_98_29 ecReturn)) (?v_30 (= 0 i_loopold_107_10)) (?v_31 (= EC_98_29_98_29 EC_loopold)) (?v_19 (S_select superInterfaces_14_34_35 RES_84_18_84_18))) (let ((?v_22 (= this_107_35_107_1_0_107_35 ?v_19)) (?v_23 (= true_term (is RES_107_1_0_107_35_107_35 T_int))) (?v_18 (= EC_107_1_0_107_35_107_35 ecReturn))) (let ((?v_24 (=> ?v_18 (= RES_107_1_0_107_35_107_35 (S_select count_19_67_33 this_107_35_107_1_0_107_35)))) (?v_25 (< 0 RES_107_1_0_107_35_107_35)) (?v_26 (= tmp4_superInterfaces_107_1_0_108_30 ?v_19)) (?v_27 (= true_term (is RES_107_1_0_108_48_108_48 T_javafe_ast_TypeName))) (?v_28 (= true_term (isAllocated RES_107_1_0_108_48_108_48 alloc))) (?v_20 (= EC_107_1_0_108_48_108_48 ecReturn)) (?v_21 (not (= RES_107_1_0_108_48_108_48 null)))) (let ((?v_29 (=> ?v_20 ?v_21)) (?v_32 (= true_term (is RES_107_1_0_108_5_108_5 T_javafe_tc_TypeSig))) (?v_33 (= true_term (isAllocated RES_107_1_0_108_5_108_5 alloc))) (?v_34 (= EC_107_1_0_108_5_108_5 ecReturn)) (?v_35 (= i_107_1_0_107_43 (+ 0 1))) (?v_36 (= EC_107_1_1_107_35_107_35 ecReturn))) (let ((?v_90 (or (and ?v_10 ?v_8 ?v_22 ?v_23 ?v_18 ?v_24 (not ?v_25) (= RES_1_ RES_107_1_0_107_35_107_35)) (and ?v_10 ?v_8 ?v_22 ?v_23 ?v_18 ?v_24 ?v_25 ?v_8 ?v_26 ?v_27 ?v_28 ?v_20 ?v_29 ?v_21 ?v_32 ?v_33 ?v_34 ?v_35 ?v_10 ?v_8 (= this_107_35_107_1_1_107_35 ?v_19) (= true_term (is RES_107_1_1_107_35_107_35 T_int)) ?v_36 (=> ?v_36 (= RES_107_1_1_107_35_107_35 (S_select count_19_67_33 this_107_35_107_1_1_107_35))) (not (< i_107_1_0_107_43 RES_107_1_1_107_35_107_35)) (= RES_1_ RES_107_1_1_107_35_107_35)))) (?v_91 (= L_107_1 L_107_1)) (?v_92 (= RES_2_ RES_1_)) (?v_93 (= EC_1_ L_107_1)) (?v_94 (= true_term (is RES_110_7_110_7 T_int))) (?v_37 (= EC_110_7_110_7 ecReturn))) (let ((?v_95 (=> (and ?v_37 (= true_term (is RES_84_18_84_18 T_javafe_ast_LiteralExpr)) ?v_8) (= RES_110_7_110_7 (S_select tag_50_32_13 (cast RES_84_18_84_18 T_javafe_ast_LiteralExpr))))) (?v_96 (=> (and ?v_37 (= true_term (is RES_84_18_84_18 T_javafe_ast_BinaryExpr)) ?v_8) (= RES_110_7_110_7 (S_select op_53_35_13 (cast RES_84_18_84_18 T_javafe_ast_BinaryExpr))))) (?v_97 (=> (and ?v_37 (= true_term (is RES_84_18_84_18 T_javafe_ast_UnaryExpr)) ?v_8) (= RES_110_7_110_7 (S_select op_54_26_13 (cast RES_84_18_84_18 T_javafe_ast_UnaryExpr))))) (?v_98 (=> (and ?v_37 (= true_term (is RES_84_18_84_18 T_javafe_ast_PrimitiveType)) ?v_8) (= RES_110_7_110_7 (S_select tag_55_30_13 (cast RES_84_18_84_18 T_javafe_ast_PrimitiveType))))) (?v_38 (typeof RES_84_18_84_18))) (let ((?v_99 (=> (and ?v_37 (= RES_110_7_110_7 TYPESIG_20_6_28)) (= (PO_LT ?v_38 T_javafe_tc_TypeSig) true_term))) (?v_100 (=> (and ?v_37 (= RES_110_7_110_7 COMPILATIONUNIT_24_14_7)) (= (PO_LT ?v_38 T_javafe_ast_CompilationUnit) true_term))) (?v_101 (=> (and ?v_37 (= RES_110_7_110_7 SINGLETYPEIMPORTDECL_24_15_7)) (= (PO_LT ?v_38 T_javafe_ast_SingleTypeImportDecl) true_term))) (?v_102 (=> (and ?v_37 (= RES_110_7_110_7 ONDEMANDIMPORTDECL_24_16_7)) (= (PO_LT ?v_38 T_javafe_ast_OnDemandImportDecl) true_term))) (?v_43 (= RES_110_7_110_7 CLASSDECL_24_17_7))) (let ((?v_103 (=> (and ?v_37 ?v_43) (= (PO_LT ?v_38 T_javafe_ast_ClassDecl) true_term))) (?v_104 (=> (and ?v_37 (= RES_110_7_110_7 INTERFACEDECL_24_18_7)) (= (PO_LT ?v_38 T_javafe_ast_InterfaceDecl) true_term))) (?v_105 (=> (and ?v_37 (= RES_110_7_110_7 CONSTRUCTORDECL_24_19_7)) (= (PO_LT ?v_38 T_javafe_ast_ConstructorDecl) true_term))) (?v_106 (=> (and ?v_37 (= RES_110_7_110_7 METHODDECL_24_20_7)) (= (PO_LT ?v_38 T_javafe_ast_MethodDecl) true_term))) (?v_107 (=> (and ?v_37 (= RES_110_7_110_7 INITBLOCK_24_21_7)) (= (PO_LT ?v_38 T_javafe_ast_InitBlock) true_term))) (?v_108 (=> (and ?v_37 (= RES_110_7_110_7 LOCALVARDECL_24_22_7)) (= (PO_LT ?v_38 T_javafe_ast_LocalVarDecl) true_term))) (?v_109 (=> (and ?v_37 (= RES_110_7_110_7 FIELDDECL_24_23_7)) (= (PO_LT ?v_38 T_javafe_ast_FieldDecl) true_term))) (?v_110 (=> (and ?v_37 (= RES_110_7_110_7 FORMALPARADECL_24_24_7)) (= (PO_LT ?v_38 T_javafe_ast_FormalParaDecl) true_term))) (?v_111 (=> (and ?v_37 (= RES_110_7_110_7 BLOCKSTMT_24_25_7)) (= (PO_LT ?v_38 T_javafe_ast_BlockStmt) true_term))) (?v_112 (=> (and ?v_37 (= RES_110_7_110_7 SWITCHSTMT_24_26_7)) (= (PO_LT ?v_38 T_javafe_ast_SwitchStmt) true_term))) (?v_113 (=> (and ?v_37 (= RES_110_7_110_7 VARDECLSTMT_24_27_7)) (= (PO_LT ?v_38 T_javafe_ast_VarDeclStmt) true_term))) (?v_114 (=> (and ?v_37 (= RES_110_7_110_7 CLASSDECLSTMT_24_28_7)) (= (PO_LT ?v_38 T_javafe_ast_ClassDeclStmt) true_term))) (?v_115 (=> (and ?v_37 (= RES_110_7_110_7 WHILESTMT_24_29_7)) (= (PO_LT ?v_38 T_javafe_ast_WhileStmt) true_term))) (?v_116 (=> (and ?v_37 (= RES_110_7_110_7 DOSTMT_24_30_7)) (= (PO_LT ?v_38 T_javafe_ast_DoStmt) true_term))) (?v_117 (=> (and ?v_37 (= RES_110_7_110_7 SYNCHRONIZESTMT_24_31_7)) (= (PO_LT ?v_38 T_javafe_ast_SynchronizeStmt) true_term))) (?v_118 (=> (and ?v_37 (= RES_110_7_110_7 EVALSTMT_24_32_7)) (= (PO_LT ?v_38 T_javafe_ast_EvalStmt) true_term))) (?v_119 (=> (and ?v_37 (= RES_110_7_110_7 RETURNSTMT_24_33_7)) (= (PO_LT ?v_38 T_javafe_ast_ReturnStmt) true_term))) (?v_120 (=> (and ?v_37 (= RES_110_7_110_7 THROWSTMT_24_34_7)) (= (PO_LT ?v_38 T_javafe_ast_ThrowStmt) true_term))) (?v_121 (=> (and ?v_37 (= RES_110_7_110_7 BREAKSTMT_24_35_7)) (= (PO_LT ?v_38 T_javafe_ast_BreakStmt) true_term))) (?v_122 (=> (and ?v_37 (= RES_110_7_110_7 CONTINUESTMT_24_36_7)) (= (PO_LT ?v_38 T_javafe_ast_ContinueStmt) true_term))) (?v_123 (=> (and ?v_37 (= RES_110_7_110_7 LABELSTMT_24_37_7)) (= (PO_LT ?v_38 T_javafe_ast_LabelStmt) true_term))) (?v_124 (=> (and ?v_37 (= RES_110_7_110_7 IFSTMT_24_38_7)) (= (PO_LT ?v_38 T_javafe_ast_IfStmt) true_term))) (?v_125 (=> (and ?v_37 (= RES_110_7_110_7 FORSTMT_24_39_7)) (= (PO_LT ?v_38 T_javafe_ast_ForStmt) true_term))) (?v_126 (=> (and ?v_37 (= RES_110_7_110_7 SKIPSTMT_24_40_7)) (= (PO_LT ?v_38 T_javafe_ast_SkipStmt) true_term))) (?v_127 (=> (and ?v_37 (= RES_110_7_110_7 SWITCHLABEL_24_41_7)) (= (PO_LT ?v_38 T_javafe_ast_SwitchLabel) true_term))) (?v_128 (=> (and ?v_37 (= RES_110_7_110_7 TRYFINALLYSTMT_24_42_7)) (= (PO_LT ?v_38 T_javafe_ast_TryFinallyStmt) true_term))) (?v_129 (=> (and ?v_37 (= RES_110_7_110_7 TRYCATCHSTMT_24_43_7)) (= (PO_LT ?v_38 T_javafe_ast_TryCatchStmt) true_term))) (?v_130 (=> (and ?v_37 (= RES_110_7_110_7 CONSTRUCTORINVOCATION_24_44_7)) (= (PO_LT ?v_38 T_javafe_ast_ConstructorInvocation) true_term))) (?v_131 (=> (and ?v_37 (= RES_110_7_110_7 CATCHCLAUSE_24_45_7)) (= (PO_LT ?v_38 T_javafe_ast_CatchClause) true_term))) (?v_132 (=> (and ?v_37 (= RES_110_7_110_7 ARRAYINIT_24_46_7)) (= (PO_LT ?v_38 T_javafe_ast_ArrayInit) true_term))) (?v_133 (=> (and ?v_37 (= RES_110_7_110_7 THISEXPR_24_47_7)) (= (PO_LT ?v_38 T_javafe_ast_ThisExpr) true_term))) (?v_134 (=> (and ?v_37 (= RES_110_7_110_7 ARRAYREFEXPR_24_48_7)) (= (PO_LT ?v_38 T_javafe_ast_ArrayRefExpr) true_term))) (?v_135 (=> (and ?v_37 (= RES_110_7_110_7 NEWINSTANCEEXPR_24_49_7)) (= (PO_LT ?v_38 T_javafe_ast_NewInstanceExpr) true_term))) (?v_136 (=> (and ?v_37 (= RES_110_7_110_7 NEWARRAYEXPR_24_50_7)) (= (PO_LT ?v_38 T_javafe_ast_NewArrayExpr) true_term))) (?v_137 (=> (and ?v_37 (= RES_110_7_110_7 CONDEXPR_24_51_7)) (= (PO_LT ?v_38 T_javafe_ast_CondExpr) true_term))) (?v_138 (=> (and ?v_37 (= RES_110_7_110_7 INSTANCEOFEXPR_24_52_7)) (= (PO_LT ?v_38 T_javafe_ast_InstanceOfExpr) true_term))) (?v_139 (=> (and ?v_37 (= RES_110_7_110_7 CASTEXPR_24_53_7)) (= (PO_LT ?v_38 T_javafe_ast_CastExpr) true_term))) (?v_140 (=> (and ?v_37 (= RES_110_7_110_7 PARENEXPR_24_54_7)) (= (PO_LT ?v_38 T_javafe_ast_ParenExpr) true_term))) (?v_141 (=> (and ?v_37 (= RES_110_7_110_7 AMBIGUOUSVARIABLEACCESS_24_55_7)) (= (PO_LT ?v_38 T_javafe_ast_AmbiguousVariableAccess) true_term))) (?v_142 (=> (and ?v_37 (= RES_110_7_110_7 VARIABLEACCESS_24_56_7)) (= (PO_LT ?v_38 T_javafe_ast_VariableAccess) true_term))) (?v_143 (=> (and ?v_37 (= RES_110_7_110_7 FIELDACCESS_24_57_7)) (= (PO_LT ?v_38 T_javafe_ast_FieldAccess) true_term))) (?v_144 (=> (and ?v_37 (= RES_110_7_110_7 AMBIGUOUSMETHODINVOCATION_24_58_7)) (= (PO_LT ?v_38 T_javafe_ast_AmbiguousMethodInvocation) true_term))) (?v_145 (=> (and ?v_37 (= RES_110_7_110_7 METHODINVOCATION_24_59_7)) (= (PO_LT ?v_38 T_javafe_ast_MethodInvocation) true_term))) (?v_146 (=> (and ?v_37 (= RES_110_7_110_7 CLASSLITERAL_24_60_7)) (= (PO_LT ?v_38 T_javafe_ast_ClassLiteral) true_term))) (?v_147 (=> (and ?v_37 (= RES_110_7_110_7 EXPROBJECTDESIGNATOR_24_61_7)) (= (PO_LT ?v_38 T_javafe_ast_ExprObjectDesignator) true_term))) (?v_148 (=> (and ?v_37 (= RES_110_7_110_7 TYPEOBJECTDESIGNATOR_24_62_7)) (= (PO_LT ?v_38 T_javafe_ast_TypeObjectDesignator) true_term))) (?v_149 (=> (and ?v_37 (= RES_110_7_110_7 SUPEROBJECTDESIGNATOR_24_63_7)) (= (PO_LT ?v_38 T_javafe_ast_SuperObjectDesignator) true_term))) (?v_150 (=> (and ?v_37 (= RES_110_7_110_7 TYPENAME_24_64_7)) (= (PO_LT ?v_38 T_javafe_ast_TypeName) true_term))) (?v_151 (=> (and ?v_37 (= RES_110_7_110_7 ARRAYTYPE_24_65_7)) (= (PO_LT ?v_38 T_javafe_ast_ArrayType) true_term))) (?v_152 (=> (and ?v_37 (= RES_110_7_110_7 SIMPLENAME_24_66_7)) (= (PO_LT ?v_38 T_javafe_ast_SimpleName) true_term))) (?v_153 (=> (and ?v_37 (= RES_110_7_110_7 COMPOUNDNAME_24_67_7)) (= (PO_LT ?v_38 T_javafe_ast_CompoundName) true_term))) (?v_39 (= (PO_LT ?v_38 T_javafe_ast_BinaryExpr) true_term))) (let ((?v_154 (=> (and ?v_37 (= RES_110_7_110_7 OR_23_19_26)) ?v_39)) (?v_155 (=> (and ?v_37 (= RES_110_7_110_7 AND_23_20_26)) ?v_39)) (?v_156 (=> (and ?v_37 (= RES_110_7_110_7 BITOR_23_21_26)) ?v_39)) (?v_157 (=> (and ?v_37 (= RES_110_7_110_7 BITXOR_23_22_26)) ?v_39)) (?v_158 (=> (and ?v_37 (= RES_110_7_110_7 BITAND_23_23_26)) ?v_39)) (?v_159 (=> (and ?v_37 (= RES_110_7_110_7 NE_23_24_26)) ?v_39)) (?v_160 (=> (and ?v_37 (= RES_110_7_110_7 EQ_23_25_26)) ?v_39)) (?v_161 (=> (and ?v_37 (= RES_110_7_110_7 GE_23_26_26)) ?v_39)) (?v_162 (=> (and ?v_37 (= RES_110_7_110_7 GT_23_27_26)) ?v_39)) (?v_163 (=> (and ?v_37 (= RES_110_7_110_7 LE_23_28_26)) ?v_39)) (?v_164 (=> (and ?v_37 (= RES_110_7_110_7 LT_23_29_26)) ?v_39)) (?v_165 (=> (and ?v_37 (= RES_110_7_110_7 LSHIFT_23_30_26)) ?v_39)) (?v_166 (=> (and ?v_37 (= RES_110_7_110_7 RSHIFT_23_31_26)) ?v_39)) (?v_167 (=> (and ?v_37 (= RES_110_7_110_7 URSHIFT_23_32_26)) ?v_39)) (?v_168 (=> (and ?v_37 (= RES_110_7_110_7 ADD_23_33_26)) ?v_39)) (?v_169 (=> (and ?v_37 (= RES_110_7_110_7 SUB_23_34_26)) ?v_39)) (?v_170 (=> (and ?v_37 (= RES_110_7_110_7 DIV_23_35_26)) ?v_39)) (?v_171 (=> (and ?v_37 (= RES_110_7_110_7 MOD_23_36_26)) ?v_39)) (?v_172 (=> (and ?v_37 (= RES_110_7_110_7 STAR_23_37_26)) ?v_39)) (?v_173 (=> (and ?v_37 (= RES_110_7_110_7 ASSIGN_23_40_26)) ?v_39)) (?v_174 (=> (and ?v_37 (= RES_110_7_110_7 ASGMUL_23_41_26)) ?v_39)) (?v_175 (=> (and ?v_37 (= RES_110_7_110_7 ASGDIV_23_42_26)) ?v_39)) (?v_176 (=> (and ?v_37 (= RES_110_7_110_7 ASGREM_23_43_26)) ?v_39)) (?v_177 (=> (and ?v_37 (= RES_110_7_110_7 ASGADD_23_44_26)) ?v_39)) (?v_178 (=> (and ?v_37 (= RES_110_7_110_7 ASGSUB_23_45_26)) ?v_39)) (?v_179 (=> (and ?v_37 (= RES_110_7_110_7 ASGLSHIFT_23_46_26)) ?v_39)) (?v_180 (=> (and ?v_37 (= RES_110_7_110_7 ASGRSHIFT_23_47_26)) ?v_39)) (?v_181 (=> (and ?v_37 (= RES_110_7_110_7 ASGURSHIFT_23_48_26)) ?v_39)) (?v_182 (=> (and ?v_37 (= RES_110_7_110_7 ASGBITAND_23_49_26)) ?v_39)) (?v_183 (=> (and ?v_37 (= RES_110_7_110_7 ASGBITOR_23_50_26)) ?v_39)) (?v_184 (=> (and ?v_37 (= RES_110_7_110_7 ASGBITXOR_23_51_26)) ?v_39)) (?v_40 (= (PO_LT ?v_38 T_javafe_ast_UnaryExpr) true_term))) (let ((?v_185 (=> (and ?v_37 (= RES_110_7_110_7 UNARYADD_23_54_26)) ?v_40)) (?v_186 (=> (and ?v_37 (= RES_110_7_110_7 UNARYSUB_23_55_26)) ?v_40)) (?v_187 (=> (and ?v_37 (= RES_110_7_110_7 NOT_23_56_26)) ?v_40)) (?v_188 (=> (and ?v_37 (= RES_110_7_110_7 BITNOT_23_57_26)) ?v_40)) (?v_189 (=> (and ?v_37 (= RES_110_7_110_7 INC_23_58_26)) ?v_40)) (?v_190 (=> (and ?v_37 (= RES_110_7_110_7 DEC_23_59_26)) ?v_40)) (?v_191 (=> (and ?v_37 (= RES_110_7_110_7 POSTFIXINC_23_62_26)) ?v_40)) (?v_192 (=> (and ?v_37 (= RES_110_7_110_7 POSTFIXDEC_23_63_26)) ?v_40)) (?v_41 (= (PO_LT ?v_38 T_javafe_ast_PrimitiveType) true_term))) (let ((?v_193 (=> (and ?v_37 (= RES_110_7_110_7 BOOLEANTYPE_22_27_26)) ?v_41)) (?v_194 (=> (and ?v_37 (= RES_110_7_110_7 INTTYPE_22_28_26)) ?v_41)) (?v_195 (=> (and ?v_37 (= RES_110_7_110_7 LONGTYPE_22_29_26)) ?v_41)) (?v_196 (=> (and ?v_37 (= RES_110_7_110_7 CHARTYPE_22_30_26)) ?v_41)) (?v_197 (=> (and ?v_37 (= RES_110_7_110_7 FLOATTYPE_22_31_26)) ?v_41)) (?v_198 (=> (and ?v_37 (= RES_110_7_110_7 DOUBLETYPE_22_32_26)) ?v_41)) (?v_199 (=> (and ?v_37 (= RES_110_7_110_7 VOIDTYPE_22_33_26)) ?v_41)) (?v_200 (=> (and ?v_37 (= RES_110_7_110_7 NULLTYPE_22_34_26)) ?v_41)) (?v_201 (=> (and ?v_37 (= RES_110_7_110_7 BYTETYPE_22_35_26)) ?v_41)) (?v_202 (=> (and ?v_37 (= RES_110_7_110_7 SHORTTYPE_22_36_26)) ?v_41)) (?v_42 (= (PO_LT ?v_38 T_javafe_ast_LiteralExpr) true_term))) (let ((?v_203 (=> (and ?v_37 (= RES_110_7_110_7 BOOLEANLIT_22_38_26)) ?v_42)) (?v_204 (=> (and ?v_37 (= RES_110_7_110_7 INTLIT_22_39_26)) ?v_42)) (?v_205 (=> (and ?v_37 (= RES_110_7_110_7 LONGLIT_22_40_26)) ?v_42)) (?v_206 (=> (and ?v_37 (= RES_110_7_110_7 CHARLIT_22_41_26)) ?v_42)) (?v_207 (=> (and ?v_37 (= RES_110_7_110_7 FLOATLIT_22_42_26)) ?v_42)) (?v_208 (=> (and ?v_37 (= RES_110_7_110_7 DOUBLELIT_22_43_26)) ?v_42)) (?v_209 (=> (and ?v_37 (= RES_110_7_110_7 STRINGLIT_22_44_26)) ?v_42)) (?v_210 (=> (and ?v_37 (= RES_110_7_110_7 NULLLIT_22_45_26)) ?v_42)) (?v_44 (= true_term (is RES_84_18_84_18 T_javafe_ast_ClassDecl))) (?v_211 (= cd_111_5 (cast RES_84_18_84_18 T_javafe_ast_ClassDecl))) (?v_45 (not (= cd_111_5 null)))) (let ((?v_46 (not ?v_45)) (?v_54 (= (S_select superClass_25_15_18 cd_111_5) null)) (?v_55 (= loc_114_37_114_37_27_137_42 (S_select locOpenBrace_14_51_13 cd_111_5))) (?v_56 (> (S_select count_31_99_33 S_115_7) 0)) (?v_57 (not (= loc_114_37_114_37_27_137_42 NULL_49_60_26))) (?v_58 (= true_term (is RES_114_37_114_37 T_javafe_ast_Name))) (?v_59 (= true_term (isAllocated RES_114_37_114_37 alloc))) (?v_48 (= EC_114_37_114_37 ecReturn)) (?v_49 (not (= RES_114_37_114_37 null)))) (let ((?v_60 (=> ?v_48 ?v_49)) (?v_61 (= true_term (is RES_114_27_114_27 T_javafe_ast_TypeName))) (?v_62 (= true_term (isAllocated RES_114_27_114_27 alloc))) (?v_50 (= EC_114_27_114_27 ecReturn))) (let ((?v_63 (=> ?v_50 (not (= RES_114_27_114_27 null)))) (?v_64 (= superClass_114_5 (S_store superClass_25_15_18 cd_111_5 RES_114_27_114_27))) (?v_65 (= tmp7_superClass_117_17 (S_select superClass_114_5 cd_111_5))) (?v_66 (= true_term (is RES_117_38_117_38 T_javafe_tc_TypeSig))) (?v_67 (= true_term (isAllocated RES_117_38_117_38 alloc))) (?v_51 (= EC_117_38_117_38 ecReturn)) (?v_53 (not (= RES_117_38_117_38 null)))) (let ((?v_68 (=> ?v_51 ?v_53)) (?v_52 (not (= tmp7_superClass_117_17 null)))) (let ((?v_212 (or (and ?v_54 ?v_10 ?v_45 ?v_45 ?v_55 ?v_47 ?v_56 ?v_57 ?v_58 ?v_59 ?v_48 ?v_60 ?v_49 ?v_61 ?v_62 ?v_50 ?v_63 ?v_64 ?v_45 ?v_65 ?v_66 ?v_67 ?v_51 ?v_68 ?v_52 ?v_53 (= EC_117_10_117_10 ecReturn) (= superClass_25_15_18_1_ superClass_114_5) (= RES_3_ RES_117_10_117_10) (= EC_2_ EC_117_10_117_10)) (and (not ?v_54) ?v_10 (= superClass_25_15_18_1_ superClass_25_15_18) (= RES_3_ RES_110_7_110_7) (= EC_2_ EC_110_7_110_7)))) (?v_70 (S_select superClass_25_15_18_1_ cd_111_5))) (let ((?v_69 (not (= ?v_70 null))) (?v_71 (= superName_120_26_120_26_152_33 ?v_70)) (?v_213 (= true_term (is RES_120_26_120_26 T_javafe_tc_TypeSig))) (?v_214 (= true_term (isAllocated RES_120_26_120_26 alloc))) (?v_215 (= EC_120_26_120_26 ecReturn)) (?v_216 (= true_term (is RES_123_20_123_20 T_javafe_tc_TypeSig))) (?v_217 (= true_term (isAllocated RES_123_20_123_20 alloc))) (?v_72 (= EC_123_20_123_20 ecReturn))) (let ((?v_218 (=> ?v_72 (not (= RES_123_20_123_20 null)))) (?v_219 (= sig_80_68 RES_123_20_123_20)) (?v_73 (not (= RES_120_26_120_26 sig_80_68))) (?v_74 (= tmp10_loc_125_21 (S_select loc_14_45_13 RES_84_18_84_18))) (?v_75 (= msg_125_15_125_15_16_220_45 (stringCat S_125_28 S_126_9))) (?v_76 (not (= tmp10_loc_125_21 NULL_49_60_26))) (?v_77 (= EC_125_15_125_15 ecReturn))) (let ((?v_220 (or (and ?v_73 ?v_10 ?v_8 ?v_74 ?v_75 ?v_76 ?v_77 (not ?v_77) (= RES_4_ RES_125_15_125_15) (= EC_3_ EC_125_15_125_15)) (and (not ?v_73) ?v_10 (= RES_4_ RES_123_20_123_20) (= EC_3_ EC_123_20_123_20)))) (?v_221 (= EC_84_18 ecReturn))) (let ((?v_222 (=> ?v_221 (= (S_select state_84_18 sig_80_68) LINKSRESOLVED_5_774_28)))) (not (=> (and (distinct ecReturn L_107_1) (not (= S_90_10 null)) (= (typeof S_90_10) T_java_lang_String) (not (= S_88_8 null)) (= (typeof S_88_8) T_java_lang_String) (not (= S_126_9 null)) (= (typeof S_126_9) T_java_lang_String) (not (= S_90_42 null)) (= (typeof S_90_42) T_java_lang_String) ?v_47 (= (typeof S_115_7) T_java_lang_String) (not (= S_125_28 null)) (= (typeof S_125_28) T_java_lang_String) (not (= S_87_6 null)) (= (typeof S_87_6) T_java_lang_String)) (=> (and (= locDot_pre_139_23_13 locDot_139_23_13) (= locDot_139_23_13 (asField locDot_139_23_13 T_int)) (= loc_pre_128_49_13 loc_128_49_13) (= loc_128_49_13 (asField loc_128_49_13 T_int)) (= LINKSRESOLVED_pre_5_774_28 LINKSRESOLVED_5_774_28) (= true_term (is LINKSRESOLVED_5_774_28 T_int)) (= count_pre_19_67_33 count_19_67_33) (= count_19_67_33 (asField count_19_67_33 T_int)) (= AMBIGUOUSVARIABLEACCESS_pre_24_55_7 AMBIGUOUSVARIABLEACCESS_24_55_7) (= true_term (is AMBIGUOUSVARIABLEACCESS_24_55_7 T_int)) (= loc_pre_105_18_13 loc_105_18_13) (= loc_105_18_13 (asField loc_105_18_13 T_int)) (= ASGBITAND_pre_23_49_26 ASGBITAND_23_49_26) (= true_term (is ASGBITAND_23_49_26 T_int)) (= COMPILATIONUNIT_pre_24_14_7 COMPILATIONUNIT_24_14_7) (= true_term (is COMPILATIONUNIT_24_14_7 T_int)) (= NULL_pre_49_60_26 NULL_49_60_26) (= true_term (is NULL_49_60_26 T_int)) (= superInterfaces_pre_14_34_35 superInterfaces_14_34_35) (= superInterfaces_14_34_35 (asField superInterfaces_14_34_35 T_javafe_ast_TypeNameVec)) (< (fClosedTime superInterfaces_14_34_35) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select superInterfaces_14_34_35 ?s) null)))) (= locId_pre_136_24_13 locId_136_24_13) (= locId_136_24_13 (asField locId_136_24_13 T_int)) (= locCloseBracket_pre_127_23_13 locCloseBracket_127_23_13) (= locCloseBracket_127_23_13 (asField locCloseBracket_127_23_13 T_int)) (= type_pre_133_18_28 type_133_18_28) (= type_133_18_28 (asField type_133_18_28 T_javafe_ast_Type)) (< (fClosedTime type_133_18_28) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select type_133_18_28 ?s_1_) null)))) (= member_pre_5_44_39 member_5_44_39) (= member_5_44_39 (asField member_5_44_39 T_boolean)) (= SWITCHLABEL_pre_24_41_7 SWITCHLABEL_24_41_7) (= true_term (is SWITCHLABEL_24_41_7 T_int)) (= ADD_pre_23_33_26 ADD_23_33_26) (= true_term (is ADD_23_33_26 T_int)) (= MODIFIERPRAGMA_pre_21_25_26 MODIFIERPRAGMA_21_25_26) (= true_term (is MODIFIERPRAGMA_21_25_26 T_int)) (= locIds_pre_146_25_29 locIds_146_25_29) (= locIds_146_25_29 (asField locIds_146_25_29 ?v_0)) (< (fClosedTime locIds_146_25_29) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select locIds_146_25_29 ?s_2_) null)))) (= FLOATTYPE_pre_22_31_26 FLOATTYPE_22_31_26) (= true_term (is FLOATTYPE_22_31_26 T_int)) (= loc_pre_110_20_13 loc_110_20_13) (= loc_110_20_13 (asField loc_110_20_13 T_int)) (= RESOLVINGLINKS_pre_5_773_28 RESOLVINGLINKS_5_773_28) (= true_term (is RESOLVINGLINKS_5_773_28 T_int)) (= VARDECLSTMT_pre_24_27_7 VARDECLSTMT_24_27_7) (= true_term (is VARDECLSTMT_24_27_7 T_int)) (= tag_pre_55_30_13 tag_55_30_13) (= tag_55_30_13 (asField tag_55_30_13 T_int)) (= AND_pre_23_20_26 AND_23_20_26) (= true_term (is AND_23_20_26 T_int)) (= PARENEXPR_pre_24_54_7 PARENEXPR_24_54_7) (= true_term (is PARENEXPR_24_54_7 T_int)) (= methods_pre_5_883_26 methods_5_883_26) (= methods_5_883_26 (asField methods_5_883_26 T_javafe_tc_MethodDeclVec)) (< (fClosedTime methods_5_883_26) alloc) (= ASGURSHIFT_pre_23_48_26 ASGURSHIFT_23_48_26) (= true_term (is ASGURSHIFT_23_48_26 T_int)) (= loc_pre_129_49_13 loc_129_49_13) (= loc_129_49_13 (asField loc_129_49_13 T_int)) (= locCloseBrace_pre_90_25_13 locCloseBrace_90_25_13) (= locCloseBrace_90_25_13 (asField locCloseBrace_90_25_13 T_int)) (= elements_pre_42_61_39 elements_42_61_39) (= elements_42_61_39 (asField elements_42_61_39 (array T_javafe_ast_MethodDecl))) (< (fClosedTime elements_42_61_39) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select elements_42_61_39 ?s_3_) null)))) (= NULLLIT_pre_22_45_26 NULLLIT_22_45_26) (= true_term (is NULLLIT_22_45_26 T_int)) (= PARSED_pre_5_772_28 PARSED_5_772_28) (= true_term (is PARSED_5_772_28 T_int)) (= SKIPSTMT_pre_24_40_7 SKIPSTMT_24_40_7) (= true_term (is SKIPSTMT_24_40_7 T_int)) (= URSHIFT_pre_23_32_26 URSHIFT_23_32_26) (= true_term (is URSHIFT_23_32_26 T_int)) (= FIRST_KEYWORD_pre_21_51_26 FIRST_KEYWORD_21_51_26) (= true_term (is FIRST_KEYWORD_21_51_26 T_int)) (= locOpenBrace_pre_14_51_13 locOpenBrace_14_51_13) (= locOpenBrace_14_51_13 (asField locOpenBrace_14_51_13 T_int)) (= loc_pre_144_20_13 loc_144_20_13) (= loc_144_20_13 (asField loc_144_20_13 T_int)) (= owner_pre_4_35_28 owner_4_35_28) (= owner_4_35_28 (asField owner_4_35_28 T_java_lang_Object)) (< (fClosedTime owner_4_35_28) alloc) (= CHARTYPE_pre_22_30_26 CHARTYPE_22_30_26) (= true_term (is CHARTYPE_22_30_26 T_int)) (= type_pre_129_24_28 type_129_24_28) (= type_129_24_28 (asField type_129_24_28 T_javafe_ast_Type)) (< (fClosedTime type_129_24_28) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select type_129_24_28 ?s_4_) null)))) (= loc_pre_113_18_13 loc_113_18_13) (= loc_113_18_13 (asField loc_113_18_13 T_int)) (= COMPOUNDNAME_pre_24_67_7 COMPOUNDNAME_24_67_7) (= true_term (is COMPOUNDNAME_24_67_7 T_int)) (= LEXICALPRAGMA_pre_21_24_26 LEXICALPRAGMA_21_24_26) (= true_term (is LEXICALPRAGMA_21_24_26 T_int)) (= SWITCHSTMT_pre_24_26_7 SWITCHSTMT_24_26_7) (= true_term (is SWITCHSTMT_24_26_7 T_int)) (= LAST_KEYWORD_pre_21_103_26 LAST_KEYWORD_21_103_26) (= true_term (is LAST_KEYWORD_21_103_26 T_int)) (= OR_pre_23_19_26 OR_23_19_26) (= true_term (is OR_23_19_26 T_int)) (= locOpenBrace_pre_48_36_13 locOpenBrace_48_36_13) (= locOpenBrace_48_36_13 (asField locOpenBrace_48_36_13 T_int)) (= CASTEXPR_pre_24_53_7 CASTEXPR_24_53_7) (= true_term (is CASTEXPR_24_53_7 T_int)) (= ASGRSHIFT_pre_23_47_26 ASGRSHIFT_23_47_26) (= true_term (is ASGRSHIFT_23_47_26 T_int)) (= STRINGLIT_pre_22_44_26 STRINGLIT_22_44_26) (= true_term (is STRINGLIT_22_44_26 T_int)) (= elements_pre_41_61_38 elements_41_61_38) (= elements_41_61_38 (asField elements_41_61_38 (array T_javafe_ast_FieldDecl))) (< (fClosedTime elements_41_61_38) alloc) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (not (= (S_select elements_41_61_38 ?s_5_) null)))) (= FORSTMT_pre_24_39_7 FORSTMT_24_39_7) (= true_term (is FORSTMT_24_39_7 T_int)) (= RSHIFT_pre_23_31_26 RSHIFT_23_31_26) (= true_term (is RSHIFT_23_31_26 T_int)) (= body_pre_48_34_19 body_48_34_19) (= body_48_34_19 (asField body_48_34_19 T_javafe_ast_BlockStmt)) (< (fClosedTime body_48_34_19) alloc) (= loc_pre_122_22_13 loc_122_22_13) (= loc_122_22_13 (asField loc_122_22_13 T_int)) (= locQuestion_pre_131_22_13 locQuestion_131_22_13) (= locQuestion_131_22_13 (asField locQuestion_131_22_13 T_int)) (= locOpenParen_pre_124_48_13 locOpenParen_124_48_13) (= locOpenParen_124_48_13 (asField locOpenParen_124_48_13 T_int)) (= locDots_pre_146_31_29 locDots_146_31_29) (= locDots_146_31_29 (asField locDots_146_31_29 ?v_0)) (< (fClosedTime locDots_146_31_29) alloc) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (not (= (S_select locDots_146_31_29 ?s_6_) null)))) (= LONGTYPE_pre_22_29_26 LONGTYPE_22_29_26) (= true_term (is LONGTYPE_22_29_26 T_int)) (= locOpenBrackets_pre_129_65_29 locOpenBrackets_129_65_29) (= locOpenBrackets_129_65_29 (asField locOpenBrackets_129_65_29 ?v_0)) (< (fClosedTime locOpenBrackets_129_65_29) alloc) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (not (= (S_select locOpenBrackets_129_65_29 ?s_7_) null)))) (= SIMPLENAME_pre_24_66_7 SIMPLENAME_24_66_7) (= true_term (is SIMPLENAME_24_66_7 T_int)) (= BLOCKSTMT_pre_24_25_7 BLOCKSTMT_24_25_7) (= true_term (is BLOCKSTMT_24_25_7 T_int)) (= NULL_pre_21_82_26 NULL_21_82_26) (= true_term (is NULL_21_82_26 T_int)) (= INSTANCEOFEXPR_pre_24_52_7 INSTANCEOFEXPR_24_52_7) (= true_term (is INSTANCEOFEXPR_24_52_7 T_int)) (= ASGLSHIFT_pre_23_46_26 ASGLSHIFT_23_46_26) (= true_term (is ASGLSHIFT_23_46_26 T_int)) (= syntax_pre_6_28_29 syntax_6_28_29) (= syntax_6_28_29 (asField syntax_6_28_29 T_boolean)) (= DOUBLELIT_pre_22_43_26 DOUBLELIT_22_43_26) (= true_term (is DOUBLELIT_22_43_26 T_int)) (= IFSTMT_pre_24_38_7 IFSTMT_24_38_7) (= true_term (is IFSTMT_24_38_7 T_int)) (= LSHIFT_pre_23_30_26 LSHIFT_23_30_26) (= true_term (is LSHIFT_23_30_26 T_int)) (= length_pre_27_50_25 length_27_50_25) (= length_27_50_25 (asField length_27_50_25 T_int)) (= count_pre_42_67_33 count_42_67_33) (= count_42_67_33 (asField count_42_67_33 T_int)) (= simpleName_pre_5_37_38 simpleName_5_37_38) (= simpleName_5_37_38 (asField simpleName_5_37_38 T_java_lang_String)) (< (fClosedTime simpleName_5_37_38) alloc) (= INTTYPE_pre_22_28_26 INTTYPE_22_28_26) (= true_term (is INTTYPE_22_28_26 T_int)) (= POSTFIXDEC_pre_23_63_26 POSTFIXDEC_23_63_26) (= true_term (is POSTFIXDEC_23_63_26 T_int)) (= locOpenBracket_pre_127_20_13 locOpenBracket_127_20_13) (= locOpenBracket_127_20_13 (asField locOpenBracket_127_20_13 T_int)) (= ARRAYTYPE_pre_24_65_7 ARRAYTYPE_24_65_7) (= true_term (is ARRAYTYPE_24_65_7 T_int)) (= otherStrings_pre_21_193_30 otherStrings_21_193_30) (= true_term (is otherStrings_21_193_30 ?v_1)) (= true_term (isAllocated otherStrings_21_193_30 alloc)) (= FORMALPARADECL_pre_24_24_7 FORMALPARADECL_24_24_7) (= true_term (is FORMALPARADECL_24_24_7 T_int)) (= locOpenParen_pre_137_30_13 locOpenParen_137_30_13) (= locOpenParen_137_30_13 (asField locOpenParen_137_30_13 T_int)) (= CONDEXPR_pre_24_51_7 CONDEXPR_24_51_7) (= true_term (is CONDEXPR_24_51_7 T_int)) (= ASGSUB_pre_23_45_26 ASGSUB_23_45_26) (= true_term (is ASGSUB_23_45_26 T_int)) (= noTokens_pre_21_212_27 noTokens_21_212_27) (= true_term (is noTokens_21_212_27 T_int)) (= tokenType_pre_46_90_8 tokenType_46_90_8) (= tokenType_46_90_8 (asField tokenType_46_90_8 T_int)) (= dims_pre_129_45_31 dims_129_45_31) (= dims_129_45_31 (asField dims_129_45_31 T_javafe_ast_ExprVec)) (< (fClosedTime dims_129_45_31) alloc) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (not (= (S_select dims_129_45_31 ?s_8_) null)))) (= locOpenBrace_pre_90_22_13 locOpenBrace_90_22_13) (= locOpenBrace_90_22_13 (asField locOpenBrace_90_22_13 T_int)) (= FLOATLIT_pre_22_42_26 FLOATLIT_22_42_26) (= true_term (is FLOATLIT_22_42_26 T_int)) (= LABELSTMT_pre_24_37_7 LABELSTMT_24_37_7) (= true_term (is LABELSTMT_24_37_7 T_int)) (= LT_pre_23_29_26 LT_23_29_26) (= true_term (is LT_23_29_26 T_int)) (= loc_pre_109_20_13 loc_109_20_13) (= loc_109_20_13 (asField loc_109_20_13 T_int)) (= type_pre_139_20_28 type_139_20_28) (= type_139_20_28 (asField type_139_20_28 T_javafe_ast_Type)) (< (fClosedTime type_139_20_28) alloc) (forall ((?s_9_ Int)) (=> (not (= ?s_9_ null)) (not (= (S_select type_139_20_28 ?s_9_) null)))) (= count_pre_41_67_33 count_41_67_33) (= count_41_67_33 (asField count_41_67_33 T_int)) (= locId_pre_14_48_13 locId_14_48_13) (= locId_14_48_13 (asField locId_14_48_13 T_int)) (= BOOLEANTYPE_pre_22_27_26 BOOLEANTYPE_22_27_26) (= true_term (is BOOLEANTYPE_22_27_26 T_int)) (= POSTFIXINC_pre_23_62_26 POSTFIXINC_23_62_26) (= true_term (is POSTFIXINC_23_62_26 T_int)) (= punctuationCodes_pre_21_164_19 punctuationCodes_21_164_19) (= true_term (is punctuationCodes_21_164_19 ?v_0)) (= true_term (isAllocated punctuationCodes_21_164_19 alloc)) (= TYPENAME_pre_24_64_7 TYPENAME_24_64_7) (= true_term (is TYPENAME_24_64_7 T_int)) (= returnType_pre_47_18_28 returnType_47_18_28) (= returnType_47_18_28 (asField returnType_47_18_28 T_javafe_ast_Type)) (< (fClosedTime returnType_47_18_28) alloc) (forall ((?s_10_ Int)) (=> (not (= ?s_10_ null)) (not (= (S_select returnType_47_18_28 ?s_10_) null)))) (= FIELDDECL_pre_24_23_7 FIELDDECL_24_23_7) (= true_term (is FIELDDECL_24_23_7 T_int)) (= loc_pre_115_18_13 loc_115_18_13) (= loc_115_18_13 (asField loc_115_18_13 T_int)) (= locOpenBracket_pre_143_21_13 locOpenBracket_143_21_13) (= locOpenBracket_143_21_13 (asField locOpenBracket_143_21_13 T_int)) (= NEWARRAYEXPR_pre_24_50_7 NEWARRAYEXPR_24_50_7) (= true_term (is NEWARRAYEXPR_24_50_7 T_int)) (= ASGADD_pre_23_44_26 ASGADD_23_44_26) (= true_term (is ASGADD_23_44_26 T_int)) (= enclosingType_pre_5_32_39 enclosingType_5_32_39) (= enclosingType_5_32_39 (asField enclosingType_5_32_39 T_javafe_tc_TypeSig)) (< (fClosedTime enclosingType_5_32_39) alloc) (= locGuardOpenParen_pre_108_23_13 locGuardOpenParen_108_23_13) (= locGuardOpenParen_108_23_13 (asField locGuardOpenParen_108_23_13 T_int)) (= CHARLIT_pre_22_41_26 CHARLIT_22_41_26) (= true_term (is CHARLIT_22_41_26 T_int)) (= CONTINUESTMT_pre_24_36_7 CONTINUESTMT_24_36_7) (= true_term (is CONTINUESTMT_24_36_7 T_int)) (= LE_pre_23_28_26 LE_23_28_26) (= true_term (is LE_23_28_26 T_int)) (= locKeyword_pre_124_45_13 locKeyword_124_45_13) (= locKeyword_124_45_13 (asField locKeyword_124_45_13 T_int)) (= IDENT_pre_22_25_26 IDENT_22_25_26) (= true_term (is IDENT_22_25_26 T_int)) (= DEC_pre_23_59_26 DEC_23_59_26) (= true_term (is DEC_23_59_26 T_int)) (= SUPEROBJECTDESIGNATOR_pre_24_63_7 SUPEROBJECTDESIGNATOR_24_63_7) (= true_term (is SUPEROBJECTDESIGNATOR_24_63_7 T_int)) (= elements_pre_130_61_33 elements_130_61_33) (= elements_130_61_33 (asField elements_130_61_33 (array T_javafe_ast_Expr))) (< (fClosedTime elements_130_61_33) alloc) (forall ((?s_11_ Int)) (=> (not (= ?s_11_ null)) (not (= (S_select elements_130_61_33 ?s_11_) null)))) (= LOCALVARDECL_pre_24_22_7 LOCALVARDECL_24_22_7) (= true_term (is LOCALVARDECL_24_22_7 T_int)) (= NEWINSTANCEEXPR_pre_24_49_7 NEWINSTANCEEXPR_24_49_7) (= true_term (is NEWINSTANCEEXPR_24_49_7 T_int)) (= ASGREM_pre_23_43_26 ASGREM_23_43_26) (= true_term (is ASGREM_23_43_26 T_int)) (= fields_pre_5_875_27 fields_5_875_27) (= fields_5_875_27 (asField fields_5_875_27 T_javafe_tc_FieldDeclVec)) (< (fClosedTime fields_5_875_27) alloc) (= locFirstSemi_pre_119_36_13 locFirstSemi_119_36_13) (= locFirstSemi_119_36_13 (asField locFirstSemi_119_36_13 T_int)) (= LONGLIT_pre_22_40_26 LONGLIT_22_40_26) (= true_term (is LONGLIT_22_40_26 T_int)) (= locOp_pre_54_32_13 locOp_54_32_13) (= locOp_54_32_13 (asField locOp_54_32_13 T_int)) (= value_pre_31_91_31 value_31_91_31) (= value_31_91_31 (asField value_31_91_31 (array T_char))) (< (fClosedTime value_31_91_31) alloc) (forall ((?s_12_ Int)) (=> (not (= ?s_12_ null)) (not (= (S_select value_31_91_31 ?s_12_) null)))) (= BREAKSTMT_pre_24_35_7 BREAKSTMT_24_35_7) (= true_term (is BREAKSTMT_24_35_7 T_int)) (= GT_pre_23_27_26 GT_23_27_26) (= true_term (is GT_23_27_26 T_int)) (= keywordStrings_pre_21_181_30 keywordStrings_21_181_30) (= true_term (is keywordStrings_21_181_30 ?v_1)) (= true_term (isAllocated keywordStrings_21_181_30 alloc)) (= locId_pre_48_43_13 locId_48_43_13) (= locId_48_43_13 (asField locId_48_43_13 T_int)) (= op_pre_53_35_13 op_53_35_13) (= op_53_35_13 (asField op_53_35_13 T_int)) (= INC_pre_23_58_26 INC_23_58_26) (= true_term (is INC_23_58_26 T_int)) (= TYPEOBJECTDESIGNATOR_pre_24_62_7 TYPEOBJECTDESIGNATOR_24_62_7) (= true_term (is TYPEOBJECTDESIGNATOR_24_62_7 T_int)) (= INITBLOCK_pre_24_21_7 INITBLOCK_24_21_7) (= true_term (is INITBLOCK_24_21_7 T_int)) (= superCall_pre_124_24_17 superCall_124_24_17) (= superCall_124_24_17 (asField superCall_124_24_17 T_boolean)) (= locOpenParen_pre_138_28_13 locOpenParen_138_28_13) (= locOpenParen_138_28_13 (asField locOpenParen_138_28_13 T_int)) (= tag_pre_50_32_13 tag_50_32_13) (= tag_50_32_13 (asField tag_50_32_13 T_int)) (= locCloseBrace_pre_126_24_13 locCloseBrace_126_24_13) (= locCloseBrace_126_24_13 (asField locCloseBrace_126_24_13 T_int)) (= ARRAYREFEXPR_pre_24_48_7 ARRAYREFEXPR_24_48_7) (= true_term (is ARRAYREFEXPR_24_48_7 T_int)) (= ASGDIV_pre_23_42_26 ASGDIV_23_42_26) (= true_term (is ASGDIV_23_42_26 T_int)) (= CU_pre_5_71_30 CU_5_71_30) (= CU_5_71_30 (asField CU_5_71_30 T_javafe_ast_CompilationUnit)) (< (fClosedTime CU_5_71_30) alloc) (= INTLIT_pre_22_39_26 INTLIT_22_39_26) (= true_term (is INTLIT_22_39_26 T_int)) (= THROWSTMT_pre_24_34_7 THROWSTMT_24_34_7) (= true_term (is THROWSTMT_24_34_7 T_int)) (= GE_pre_23_26_26 GE_23_26_26) (= true_term (is GE_23_26_26 T_int)) (= locCloseParen_pre_134_21_13 locCloseParen_134_21_13) (= locCloseParen_134_21_13 (asField locCloseParen_134_21_13 T_int)) (= loc_pre_125_22_13 loc_125_22_13) (= loc_125_22_13 (asField loc_125_22_13 T_int)) (= locCloseParen_pre_133_24_13 locCloseParen_133_24_13) (= locCloseParen_133_24_13 (asField locCloseParen_133_24_13 T_int)) (= TYPESIG_pre_20_6_28 TYPESIG_20_6_28) (= true_term (is TYPESIG_20_6_28 T_int)) (= loc_pre_14_45_13 loc_14_45_13) (= loc_14_45_13 (asField loc_14_45_13 T_int)) (= BITNOT_pre_23_57_26 BITNOT_23_57_26) (= true_term (is BITNOT_23_57_26 T_int)) (= EXPROBJECTDESIGNATOR_pre_24_61_7 EXPROBJECTDESIGNATOR_24_61_7) (= true_term (is EXPROBJECTDESIGNATOR_24_61_7 T_int)) (= count_pre_130_67_33 count_130_67_33) (= count_130_67_33 (asField count_130_67_33 T_int)) (= METHODDECL_pre_24_20_7 METHODDECL_24_20_7) (= true_term (is METHODDECL_24_20_7 T_int)) (= loc_pre_121_29_13 loc_121_29_13) (= loc_121_29_13 (asField loc_121_29_13 T_int)) (= loc_pre_112_18_13 loc_112_18_13) (= loc_112_18_13 (asField loc_112_18_13 T_int)) (= locId_pre_45_38_13 locId_45_38_13) (= locId_45_38_13 (asField locId_45_38_13 T_int)) (= THISEXPR_pre_24_47_7 THISEXPR_24_47_7) (= true_term (is THISEXPR_24_47_7 T_int)) (= ASGMUL_pre_23_41_26 ASGMUL_23_41_26) (= true_term (is ASGMUL_23_41_26 T_int)) (= loc_pre_50_50_13 loc_50_50_13) (= loc_50_50_13 (asField loc_50_50_13 T_int)) (= BOOLEANLIT_pre_22_38_26 BOOLEANLIT_22_38_26) (= true_term (is BOOLEANLIT_22_38_26 T_int)) (= RETURNSTMT_pre_24_33_7 RETURNSTMT_24_33_7) (= true_term (is RETURNSTMT_24_33_7 T_int)) (= EQ_pre_23_25_26 EQ_23_25_26) (= true_term (is EQ_23_25_26 T_int)) (= loc_pre_120_16_13 loc_120_16_13) (= loc_120_16_13 (asField loc_120_16_13 T_int)) (= elements_pre_145_61_39 elements_145_61_39) (= elements_145_61_39 (asField elements_145_61_39 (array T_javafe_ast_Identifier))) (< (fClosedTime elements_145_61_39) alloc) (forall ((?s_13_ Int)) (=> (not (= ?s_13_ null)) (not (= (S_select elements_145_61_39 ?s_13_) null)))) (= state_pre_5_787_15 state_5_787_15) (= state_5_787_15 (asField state_5_787_15 T_int)) (= NOT_pre_23_56_26 NOT_23_56_26) (= true_term (is NOT_23_56_26 T_int)) (= CLASSLITERAL_pre_24_60_7 CLASSLITERAL_24_60_7) (= true_term (is CLASSLITERAL_24_60_7 T_int)) (= CONSTRUCTORDECL_pre_24_19_7 CONSTRUCTORDECL_24_19_7) (= true_term (is CONSTRUCTORDECL_24_19_7 T_int)) (= locDot_pre_124_41_13 locDot_124_41_13) (= locDot_124_41_13 (asField locDot_124_41_13 T_int)) (= ARRAYINIT_pre_24_46_7 ARRAYINIT_24_46_7) (= true_term (is ARRAYINIT_24_46_7 T_int)) (= ASSIGN_pre_23_40_26 ASSIGN_23_40_26) (= true_term (is ASSIGN_23_40_26 T_int)) (= SHORTTYPE_pre_22_36_26 SHORTTYPE_22_36_26) (= true_term (is SHORTTYPE_22_36_26 T_int)) (= NE_pre_23_24_26 NE_23_24_26) (= true_term (is NE_23_24_26 T_int)) (= EVALSTMT_pre_24_32_7 EVALSTMT_24_32_7) (= true_term (is EVALSTMT_24_32_7 T_int)) (= elemType_pre_143_18_28 elemType_143_18_28) (= elemType_143_18_28 (asField elemType_143_18_28 T_javafe_ast_Type)) (< (fClosedTime elemType_143_18_28) alloc) (forall ((?s_14_ Int)) (=> (not (= ?s_14_ null)) (not (= (S_select elemType_143_18_28 ?s_14_) null)))) (= loc_pre_48_40_13 loc_48_40_13) (= loc_48_40_13 (asField loc_48_40_13 T_int)) (= loc_pre_119_33_13 loc_119_33_13) (= loc_119_33_13 (asField loc_119_33_13 T_int)) (= METHODINVOCATION_pre_24_59_7 METHODINVOCATION_24_59_7) (= true_term (is METHODINVOCATION_24_59_7 T_int)) (= UNARYSUB_pre_23_55_26 UNARYSUB_23_55_26) (= true_term (is UNARYSUB_23_55_26 T_int)) (= locDot_pre_128_29_13 locDot_128_29_13) (= locDot_128_29_13 (asField locDot_128_29_13 T_int)) (= INTERFACEDECL_pre_24_18_7 INTERFACEDECL_24_18_7) (= true_term (is INTERFACEDECL_24_18_7 T_int)) (= init_pre_129_35_19 init_129_35_19) (= init_129_35_19 (asField init_129_35_19 T_javafe_ast_ArrayInit)) (< (fClosedTime init_129_35_19) alloc) (= loc_pre_123_23_13 loc_123_23_13) (= loc_123_23_13 (asField loc_123_23_13 T_int)) (= superClass_pre_25_15_18 superClass_25_15_18) (= superClass_25_15_18 (asField superClass_25_15_18 T_javafe_ast_TypeName)) (< (fClosedTime superClass_25_15_18) alloc) (= enclosingEnv_pre_5_52_36 enclosingEnv_5_52_36) (= enclosingEnv_5_52_36 (asField enclosingEnv_5_52_36 T_javafe_tc_Env)) (< (fClosedTime enclosingEnv_5_52_36) alloc) (= loc_pre_108_20_13 loc_108_20_13) (= loc_108_20_13 (asField loc_108_20_13 T_int)) (= TYPEMODIFIERPRAGMA_pre_21_28_26 TYPEMODIFIERPRAGMA_21_28_26) (= true_term (is TYPEMODIFIERPRAGMA_21_28_26 T_int)) (= locId_pre_138_25_13 locId_138_25_13) (= locId_138_25_13 (asField locId_138_25_13 T_int)) (= locOpenParen_pre_110_23_13 locOpenParen_110_23_13) (= locOpenParen_110_23_13 (asField locOpenParen_110_23_13 T_int)) (= CATCHCLAUSE_pre_24_45_7 CATCHCLAUSE_24_45_7) (= true_term (is CATCHCLAUSE_24_45_7 T_int)) (= STAR_pre_23_37_26 STAR_23_37_26) (= true_term (is STAR_23_37_26 T_int)) (= locOpenBrace_pre_126_21_13 locOpenBrace_126_21_13) (= locOpenBrace_126_21_13 (asField locOpenBrace_126_21_13 T_int)) (= loc_pre_135_22_13 loc_135_22_13) (= loc_135_22_13 (asField loc_135_22_13 T_int)) (= loc_pre_132_21_13 loc_132_21_13) (= loc_132_21_13 (asField loc_132_21_13 T_int)) (= BYTETYPE_pre_22_35_26 BYTETYPE_22_35_26) (= true_term (is BYTETYPE_22_35_26 T_int)) (= BITAND_pre_23_23_26 BITAND_23_23_26) (= true_term (is BITAND_23_23_26 T_int)) (= SYNCHRONIZESTMT_pre_24_31_7 SYNCHRONIZESTMT_24_31_7) (= true_term (is SYNCHRONIZESTMT_24_31_7 T_int)) (= locOpenParen_pre_128_52_13 locOpenParen_128_52_13) (= locOpenParen_128_52_13 (asField locOpenParen_128_52_13 T_int)) (= otherCodes_pre_21_202_27 otherCodes_21_202_27) (= true_term (is otherCodes_21_202_27 ?v_0)) (= true_term (isAllocated otherCodes_21_202_27 alloc)) (= locId_pre_117_20_13 locId_117_20_13) (= locId_117_20_13 (asField locId_117_20_13 T_int)) (= AMBIGUOUSMETHODINVOCATION_pre_24_58_7 AMBIGUOUSMETHODINVOCATION_24_58_7) (= true_term (is AMBIGUOUSMETHODINVOCATION_24_58_7 T_int)) (= UNARYADD_pre_23_54_26 UNARYADD_23_54_26) (= true_term (is UNARYADD_23_54_26 T_int)) (= count_pre_145_67_33 count_145_67_33) (= count_145_67_33 (asField count_145_67_33 T_int)) (= CLASSDECL_pre_24_17_7 CLASSDECL_24_17_7) (= true_term (is CLASSDECL_24_17_7 T_int)) (= locSuper_pre_142_20_13 locSuper_142_20_13) (= locSuper_142_20_13 (asField locSuper_142_20_13 T_int)) (= type_pre_45_35_28 type_45_35_28) (= type_45_35_28 (asField type_45_35_28 T_javafe_ast_Type)) (< (fClosedTime type_45_35_28) alloc) (forall ((?s_15_ Int)) (=> (not (= ?s_15_ null)) (not (= (S_select type_45_35_28 ?s_15_) null)))) (= loc_pre_33_30_13 loc_33_30_13) (= loc_33_30_13 (asField loc_33_30_13 T_int)) (= locOpenParen_pre_133_21_13 locOpenParen_133_21_13) (= locOpenParen_133_21_13 (asField locOpenParen_133_21_13 T_int)) (= CONSTRUCTORINVOCATION_pre_24_44_7 CONSTRUCTORINVOCATION_24_44_7) (= true_term (is CONSTRUCTORINVOCATION_24_44_7 T_int)) (= MOD_pre_23_36_26 MOD_23_36_26) (= true_term (is MOD_23_36_26 T_int)) (= loc_pre_82_29_13 loc_82_29_13) (= loc_82_29_13 (asField loc_82_29_13 T_int)) (= punctuationStrings_pre_21_134_22 punctuationStrings_21_134_22) (= true_term (is punctuationStrings_21_134_22 ?v_1)) (= true_term (isAllocated punctuationStrings_21_134_22 alloc)) (= TYPEDECLELEMPRAGMA_pre_21_27_26 TYPEDECLELEMPRAGMA_21_27_26) (= true_term (is TYPEDECLELEMPRAGMA_21_27_26 T_int)) (= NULLTYPE_pre_22_34_26 NULLTYPE_22_34_26) (= true_term (is NULLTYPE_22_34_26 T_int)) (= value_pre_50_45_16 value_50_45_16) (= value_50_45_16 (asField value_50_45_16 T_java_lang_Object)) (< (fClosedTime value_50_45_16) alloc) (= loc_pre_55_35_13 loc_55_35_13) (= loc_55_35_13 (asField loc_55_35_13 T_int)) (= BITXOR_pre_23_22_26 BITXOR_23_22_26) (= true_term (is BITXOR_23_22_26 T_int)) (= DOSTMT_pre_24_30_7 DOSTMT_24_30_7) (= true_term (is DOSTMT_24_30_7 T_int)) (= loc_pre_99_18_13 loc_99_18_13) (= loc_99_18_13 (asField loc_99_18_13 T_int)) (= op_pre_54_26_13 op_54_26_13) (= op_54_26_13 (asField op_54_26_13 T_int)) (= ids_pre_146_19_37 ids_146_19_37) (= ids_146_19_37 (asField ids_146_19_37 T_javafe_ast_IdentifierVec)) (< (fClosedTime ids_146_19_37) alloc) (forall ((?s_16_ Int)) (=> (not (= ?s_16_ null)) (not (= (S_select ids_146_19_37 ?s_16_) null)))) (= ASGBITXOR_pre_23_51_26 ASGBITXOR_23_51_26) (= true_term (is ASGBITXOR_23_51_26 T_int)) (= FIELDACCESS_pre_24_57_7 FIELDACCESS_24_57_7) (= true_term (is FIELDACCESS_24_57_7 T_int)) (= ONDEMANDIMPORTDECL_pre_24_16_7 ONDEMANDIMPORTDECL_24_16_7) (= true_term (is ONDEMANDIMPORTDECL_24_16_7 T_int)) (= locCloseBrace_pre_14_54_13 locCloseBrace_14_54_13) (= locCloseBrace_14_54_13 (asField locCloseBrace_14_54_13 T_int)) (= elements_pre_19_61_37 elements_19_61_37) (= elements_19_61_37 (asField elements_19_61_37 (array T_javafe_ast_TypeName))) (< (fClosedTime elements_19_61_37) alloc) (forall ((?s_17_ Int)) (=> (not (= ?s_17_ null)) (not (= (S_select elements_19_61_37 ?s_17_) null)))) (= locOpenParen_pre_134_18_13 locOpenParen_134_18_13) (= locOpenParen_134_18_13 (asField locOpenParen_134_18_13 T_int)) (= count_pre_31_99_33 count_31_99_33) (= count_31_99_33 (asField count_31_99_33 T_int)) (= TRYCATCHSTMT_pre_24_43_7 TRYCATCHSTMT_24_43_7) (= true_term (is TRYCATCHSTMT_24_43_7 T_int)) (= DIV_pre_23_35_26 DIV_23_35_26) (= true_term (is DIV_23_35_26 T_int)) (= VOIDTYPE_pre_22_33_26 VOIDTYPE_22_33_26) (= true_term (is VOIDTYPE_22_33_26 T_int)) (= BITOR_pre_23_21_26 BITOR_23_21_26) (= true_term (is BITOR_23_21_26 T_int)) (= locDot_pre_83_21_13 locDot_83_21_13) (= locDot_83_21_13 (asField locDot_83_21_13 T_int)) (= myTypeDecl_pre_5_63_40 myTypeDecl_5_63_40) (= myTypeDecl_5_63_40 (asField myTypeDecl_5_63_40 T_javafe_ast_TypeDecl)) (< (fClosedTime myTypeDecl_5_63_40) alloc) (= WHILESTMT_pre_24_29_7 WHILESTMT_24_29_7) (= true_term (is WHILESTMT_24_29_7 T_int)) (= ASGBITOR_pre_23_50_26 ASGBITOR_23_50_26) (= true_term (is ASGBITOR_23_50_26 T_int)) (= VARIABLEACCESS_pre_24_56_7 VARIABLEACCESS_24_56_7) (= true_term (is VARIABLEACCESS_24_56_7 T_int)) (= PREPPED_pre_5_775_28 PREPPED_5_775_28) (= true_term (is PREPPED_5_775_28 T_int)) (= SINGLETYPEIMPORTDECL_pre_24_15_7 SINGLETYPEIMPORTDECL_24_15_7) (= true_term (is SINGLETYPEIMPORTDECL_24_15_7 T_int)) (= locFinally_pre_122_25_13 locFinally_122_25_13) (= locFinally_122_25_13 (asField locFinally_122_25_13 T_int)) (= locColon_pre_131_25_13 locColon_131_25_13) (= locColon_131_25_13 (asField locColon_131_25_13 T_int)) (= enclosingInstance_pre_124_37_14 enclosingInstance_124_37_14) (= enclosingInstance_124_37_14 (asField enclosingInstance_124_37_14 T_javafe_ast_Expr)) (< (fClosedTime enclosingInstance_124_37_14) alloc) (= STMTPRAGMA_pre_21_26_26 STMTPRAGMA_21_26_26) (= true_term (is STMTPRAGMA_21_26_26 T_int)) (= locOp_pre_53_43_13 locOp_53_43_13) (= locOp_53_43_13 (asField locOp_53_43_13 T_int)) (= TRYFINALLYSTMT_pre_24_42_7 TRYFINALLYSTMT_24_42_7) (= true_term (is TRYFINALLYSTMT_24_42_7 T_int)) (= SUB_pre_23_34_26 SUB_23_34_26) (= true_term (is SUB_23_34_26 T_int)) (= loc_pre_118_22_13 loc_118_22_13) (= loc_118_22_13 (asField loc_118_22_13 T_int)) (= DOUBLETYPE_pre_22_32_26 DOUBLETYPE_22_32_26) (= true_term (is DOUBLETYPE_22_32_26 T_int)) (= type_pre_132_18_28 type_132_18_28) (= type_132_18_28 (asField type_132_18_28 T_javafe_ast_Type)) (< (fClosedTime type_132_18_28) alloc) (forall ((?s_18_ Int)) (=> (not (= ?s_18_ null)) (not (= (S_select type_132_18_28 ?s_18_) null)))) (= CLASSDECLSTMT_pre_24_28_7 CLASSDECLSTMT_24_28_7) (= true_term (is CLASSDECLSTMT_24_28_7 T_int)) (= locType_pre_47_21_13 locType_47_21_13) (= locType_47_21_13 (asField locType_47_21_13 T_int)) (= enclosingInstance_pre_128_25_14 enclosingInstance_128_25_14) (= enclosingInstance_128_25_14 (asField enclosingInstance_128_25_14 T_javafe_ast_Expr)) (< (fClosedTime enclosingInstance_128_25_14) alloc) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is sig_80_68 T_javafe_tc_TypeSig)) (= true_term (isAllocated sig_80_68 alloc)) (not (= sig_80_68 null)) (< ?v_7 LINKSRESOLVED_5_774_28) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_ast_CompoundName)) (not (= ?brokenObj null))) (> (S_select length_27_50_25 ?brokenObj) 1))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_1_ null)) (>= (S_select state_5_787_15 ?brokenObj_1_) PREPPED_5_775_28)) (not (= (S_select methods_5_883_26 ?brokenObj_1_) null)))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_2_ null))) (forall ((?i_42_62_31 Int)) (=> (and (<= 0 ?i_42_62_31) (< ?i_42_62_31 (S_select count_42_67_33 ?brokenObj_2_))) (not (= (S_select (S_select elems (S_select elements_42_61_39 ?brokenObj_2_)) ?i_42_62_31) null)))))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_ast_MethodInvocation)) (not (= ?brokenObj_3_ null))) (not (= (S_select locId_138_25_13 ?brokenObj_3_) NULL_49_60_26)))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_ast_ConstructorInvocation)) (not (= ?brokenObj_4_ null)) (not (= (S_select enclosingInstance_124_37_14 ?brokenObj_4_) null)) (= true_term (S_select superCall_124_24_17 ?brokenObj_4_))) (not (= (S_select locDot_124_41_13 ?brokenObj_4_) NULL_49_60_26)))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_ast_SimpleName)) (not (= ?brokenObj_5_ null))) (not (= (S_select loc_144_20_13 ?brokenObj_5_) NULL_49_60_26)))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_6_ null))) (forall ((?i_146_29_29 Int)) (let ((?v_223 (S_select locDots_146_31_29 ?brokenObj_6_))) (=> (and (<= 0 ?i_146_29_29) (< ?i_146_29_29 (arrayLength ?v_223))) (not (= (S_select (S_select elems ?v_223) ?i_146_29_29) NULL_49_60_26))))))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_7_ null))) (= (arrayLength (S_select locDots_146_31_29 ?brokenObj_7_)) (- (S_select length_27_50_25 ?brokenObj_7_) 1)))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_ast_LiteralExpr)) (not (= ?brokenObj_8_ null))) (not (= (S_select loc_50_50_13 ?brokenObj_8_) NULL_49_60_26)))) (forall ((?i_21_147_29 Int)) (=> (and (<= 0 ?i_21_147_29) (<= ?i_21_147_29 (arrayLength punctuationCodes_21_164_19))) (not (= (S_select (S_select elems punctuationCodes_21_164_19) ?i_21_147_29) NULL_21_82_26)))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_9_ null))) (= (= (S_select myTypeDecl_5_63_40 ?brokenObj_9_) null) (= (S_select CU_5_71_30 ?brokenObj_9_) null)))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_10_ null))) (= (typeof (S_select elements_19_61_37 ?brokenObj_10_)) (array T_javafe_ast_TypeName)))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_ast_ConstructorInvocation)) (not (= ?brokenObj_11_ null))) (not (= (S_select locOpenParen_124_48_13 ?brokenObj_11_) NULL_49_60_26)))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_ast_NewInstanceExpr)) (not (= ?brokenObj_12_ null))) (not (= (S_select loc_128_49_13 ?brokenObj_12_) NULL_49_60_26)))) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_ast_NewArrayExpr)) (not (= ?brokenObj_13_ null))) (not (= (S_select loc_129_49_13 ?brokenObj_13_) NULL_49_60_26)))) (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_ast_PrimitiveType)) (not (= ?brokenObj_14_ null)) (= true_term (S_select syntax_6_28_29 ?brokenObj_14_))) (not (= (S_select loc_55_35_13 ?brokenObj_14_) NULL_49_60_26)))) (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_ast_ThrowStmt)) (not (= ?brokenObj_15_ null))) (not (= (S_select loc_113_18_13 ?brokenObj_15_) NULL_49_60_26)))) (forall ((?brokenObj_16_ Int)) (=> (and (= true_term (is ?brokenObj_16_ T_javafe_ast_LabelStmt)) (not (= ?brokenObj_16_ null))) (not (= (S_select locId_117_20_13 ?brokenObj_16_) NULL_49_60_26)))) (forall ((?brokenObj_17_ Int)) (=> (and (= true_term (is ?brokenObj_17_ T_javafe_ast_ReturnStmt)) (not (= ?brokenObj_17_ null))) (not (= (S_select loc_112_18_13 ?brokenObj_17_) NULL_49_60_26)))) (forall ((?brokenObj_18_ Int)) (=> (and (= true_term (is ?brokenObj_18_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_18_ null))) (not (= (S_select locId_48_43_13 ?brokenObj_18_) NULL_49_60_26)))) (= noTokens_21_212_27 (+ (+ ?v_2 ?v_5) ?v_3)) (forall ((?brokenObj_19_ Int)) (=> (and (= true_term (is ?brokenObj_19_ T_javafe_ast_MethodDecl)) (not (= ?brokenObj_19_ null))) (= true_term (S_select syntax_6_28_29 (S_select returnType_47_18_28 ?brokenObj_19_))))) (forall ((?brokenObj_20_ Int)) (=> (and (= true_term (is ?brokenObj_20_ T_javafe_ast_IdentifierVec)) (not (= ?brokenObj_20_ null))) (forall ((?i_145_62_31 Int)) (=> (and (<= 0 ?i_145_62_31) (< ?i_145_62_31 (S_select count_145_67_33 ?brokenObj_20_))) (not (= (S_select (S_select elems (S_select elements_145_61_39 ?brokenObj_20_)) ?i_145_62_31) null)))))) (forall ((?brokenObj_21_ Int)) (=> (and (= true_term (is ?brokenObj_21_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_21_ null))) (<= 0 (S_select count_19_67_33 ?brokenObj_21_)))) (forall ((?brokenObj_22_ Int)) (=> (and (= true_term (is ?brokenObj_22_ T_javafe_ast_ExprVec)) (not (= ?brokenObj_22_ null))) (= (S_select owner_4_35_28 (S_select elements_130_61_33 ?brokenObj_22_)) ?brokenObj_22_))) (forall ((?brokenObj_23_ Int)) (=> (and (= true_term (is ?brokenObj_23_ T_javafe_ast_CompilationUnit)) (not (= ?brokenObj_23_ null))) (not (= (S_select loc_33_30_13 ?brokenObj_23_) NULL_49_60_26)))) (forall ((?brokenObj_24_ Int)) (=> (and (= true_term (is ?brokenObj_24_ T_java_lang_String)) (not (= ?brokenObj_24_ null))) (<= (S_select count_31_99_33 ?brokenObj_24_) (arrayLength (S_select value_31_91_31 ?brokenObj_24_))))) (forall ((?brokenObj_25_ Int)) (=> (and (= true_term (is ?brokenObj_25_ T_javafe_ast_WhileStmt)) (not (= ?brokenObj_25_ null))) (not (= (S_select locGuardOpenParen_108_23_13 ?brokenObj_25_) NULL_49_60_26)))) (forall ((?brokenObj_26_ Int)) (=> (and (= true_term (is ?brokenObj_26_ T_javafe_ast_GenericBlockStmt)) (not (= ?brokenObj_26_ null))) (not (= (S_select locOpenBrace_90_22_13 ?brokenObj_26_) NULL_49_60_26)))) (forall ((?brokenObj_27_ Int)) (=> (and (= true_term (is ?brokenObj_27_ T_javafe_ast_ImportDecl)) (not (= ?brokenObj_27_ null))) (not (= (S_select loc_99_18_13 ?brokenObj_27_) NULL_49_60_26)))) (forall ((?brokenObj_28_ Int)) (=> (and (= true_term (is ?brokenObj_28_ T_javafe_ast_MethodDecl)) (not (= ?brokenObj_28_ null))) (not (= (S_select locType_47_21_13 ?brokenObj_28_) NULL_49_60_26)))) (forall ((?brokenObj_29_ Int)) (=> (and (= true_term (is ?brokenObj_29_ T_javafe_ast_GenericVarDecl)) (not (= ?brokenObj_29_ null))) (= true_term (S_select syntax_6_28_29 (S_select type_45_35_28 ?brokenObj_29_))))) (= ?v_2 (- (+ 1 LAST_KEYWORD_21_103_26) FIRST_KEYWORD_21_51_26)) (forall ((?brokenObj_30_ Int)) (=> (and (= true_term (is ?brokenObj_30_ T_javafe_ast_SwitchLabel)) (not (= ?brokenObj_30_ null))) (not (= (S_select loc_121_29_13 ?brokenObj_30_) NULL_49_60_26)))) (forall ((?brokenObj_31_ Int)) (=> (and (= true_term (is ?brokenObj_31_ T_javafe_ast_ForStmt)) (not (= ?brokenObj_31_ null))) (not (= (S_select locFirstSemi_119_36_13 ?brokenObj_31_) NULL_49_60_26)))) (forall ((?brokenObj_32_ Int)) (=> (and (= true_term (is ?brokenObj_32_ T_javafe_ast_AmbiguousMethodInvocation)) (not (= ?brokenObj_32_ null))) (not (= (S_select locOpenParen_137_30_13 ?brokenObj_32_) NULL_49_60_26)))) (forall ((?brokenObj_33_ Int)) (=> (and (= true_term (is ?brokenObj_33_ T_javafe_ast_ExprVec)) (not (= ?brokenObj_33_ null))) (<= (S_select count_130_67_33 ?brokenObj_33_) (arrayLength (S_select elements_130_61_33 ?brokenObj_33_))))) (forall ((?brokenObj_34_ Int)) (let ((?v_224 (S_select op_54_26_13 ?brokenObj_34_))) (=> (and (= true_term (is ?brokenObj_34_ T_javafe_ast_UnaryExpr)) (not (= ?brokenObj_34_ null))) (or (= ?v_224 UNARYADD_23_54_26) (= ?v_224 UNARYSUB_23_55_26) (= ?v_224 NOT_23_56_26) (= ?v_224 BITNOT_23_57_26) (= ?v_224 INC_23_58_26) (= ?v_224 DEC_23_59_26) (= ?v_224 POSTFIXINC_23_62_26) (= ?v_224 POSTFIXDEC_23_63_26))))) (forall ((?brokenObj_35_ Int)) (=> (and (= true_term (is ?brokenObj_35_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_35_ null))) (= (S_select owner_4_35_28 (S_select elements_42_61_39 ?brokenObj_35_)) ?brokenObj_35_))) (forall ((?brokenObj_36_ Int)) (=> (and (= true_term (is ?brokenObj_36_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_36_ null))) (forall ((?i_41_62_31 Int)) (=> (and (<= 0 ?i_41_62_31) (< ?i_41_62_31 (S_select count_41_67_33 ?brokenObj_36_))) (not (= (S_select (S_select elems (S_select elements_41_61_38 ?brokenObj_36_)) ?i_41_62_31) null)))))) (forall ((?brokenObj_37_ Int)) (=> (and (= true_term (is ?brokenObj_37_ T_javafe_ast_TryCatchStmt)) (not (= ?brokenObj_37_ null))) (not (= (S_select loc_123_23_13 ?brokenObj_37_) NULL_49_60_26)))) (forall ((?brokenObj_38_ Int)) (=> (and (= true_term (is ?brokenObj_38_ T_javafe_ast_ClassLiteral)) (not (= ?brokenObj_38_ null))) (= true_term (S_select syntax_6_28_29 (S_select type_139_20_28 ?brokenObj_38_))))) (forall ((?brokenObj_39_ Int)) (=> (and (= true_term (is ?brokenObj_39_ T_javafe_ast_ParenExpr)) (not (= ?brokenObj_39_ null))) (not (= (S_select locCloseParen_134_21_13 ?brokenObj_39_) NULL_49_60_26)))) (forall ((?brokenObj_40_ Int)) (=> (and (= true_term (is ?brokenObj_40_ T_javafe_ast_ArrayRefExpr)) (not (= ?brokenObj_40_ null))) (not (= (S_select locCloseBracket_127_23_13 ?brokenObj_40_) NULL_49_60_26)))) (= (arrayLength otherCodes_21_202_27) ?v_3) (forall ((?brokenObj_41_ Int)) (=> (and (= true_term (is ?brokenObj_41_ T_javafe_ast_SynchronizeStmt)) (not (= ?brokenObj_41_ null))) (not (= (S_select loc_110_20_13 ?brokenObj_41_) NULL_49_60_26)))) (forall ((?brokenObj_42_ Int)) (=> (and (= true_term (is ?brokenObj_42_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_42_ null)) (= (S_select simpleName_5_37_38 ?brokenObj_42_) null)) (not (= true_term (S_select member_5_44_39 ?brokenObj_42_))))) (forall ((?brokenObj_43_ Int)) (=> (and (= true_term (is ?brokenObj_43_ T_javafe_ast_NewArrayExpr)) (not (= ?brokenObj_43_ null))) (>= (arrayLength (S_select locOpenBrackets_129_65_29 ?brokenObj_43_)) (S_select count_130_67_33 (S_select dims_129_45_31 ?brokenObj_43_))))) (forall ((?brokenObj_44_ Int)) (=> (and (= true_term (is ?brokenObj_44_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_44_ null))) (<= (S_select count_42_67_33 ?brokenObj_44_) (arrayLength (S_select elements_42_61_39 ?brokenObj_44_))))) (forall ((?brokenObj_45_ Int)) (=> (and (= true_term (is ?brokenObj_45_ T_javafe_ast_TryFinallyStmt)) (not (= ?brokenObj_45_ null))) (not (= (S_select loc_122_22_13 ?brokenObj_45_) NULL_49_60_26)))) (forall ((?brokenObj_46_ Int)) (=> (and (= true_term (is ?brokenObj_46_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_46_ null))) (not (= true_term (S_select syntax_6_28_29 ?brokenObj_46_))))) (forall ((?brokenObj_47_ Int)) (=> (and (= true_term (is ?brokenObj_47_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_47_ null)) (>= (S_select state_5_787_15 ?brokenObj_47_) PARSED_5_772_28)) (not (= (S_select myTypeDecl_5_63_40 ?brokenObj_47_) null)))) (forall ((?brokenObj_48_ Int)) (=> (and (= true_term (is ?brokenObj_48_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_48_ null))) (not (= (S_select loc_14_45_13 ?brokenObj_48_) NULL_49_60_26)))) (forall ((?brokenObj_49_ Int)) (=> (and (= true_term (is ?brokenObj_49_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_49_ null))) (= (S_select count_145_67_33 (S_select ids_146_19_37 ?brokenObj_49_)) (S_select length_27_50_25 ?brokenObj_49_)))) (forall ((?brokenObj_50_ Int)) (=> (and (= true_term (is ?brokenObj_50_ T_javafe_ast_IfStmt)) (not (= ?brokenObj_50_ null))) (not (= (S_select loc_118_22_13 ?brokenObj_50_) NULL_49_60_26)))) (forall ((?brokenObj_51_ Int)) (=> (and (= true_term (is ?brokenObj_51_ T_javafe_ast_IdentifierVec)) (not (= ?brokenObj_51_ null))) (= (S_select owner_4_35_28 (S_select elements_145_61_39 ?brokenObj_51_)) ?brokenObj_51_))) (forall ((?brokenObj_52_ Int)) (=> (and (= true_term (is ?brokenObj_52_ T_javafe_ast_NewArrayExpr)) (not (= ?brokenObj_52_ null)) (not (= (S_select init_129_35_19 ?brokenObj_52_) null))) (= (S_select count_130_67_33 (S_select dims_129_45_31 ?brokenObj_52_)) 1))) (= true_term (is ?v_4 T_javafe_parser_TagConstants)) (not (= ?v_4 null)) (forall ((?brokenObj_53_ Int)) (=> (and (= true_term (is ?brokenObj_53_ T_javafe_ast_ClassLiteral)) (not (= ?brokenObj_53_ null))) (not (= (S_select locDot_139_23_13 ?brokenObj_53_) NULL_49_60_26)))) (forall ((?brokenObj_54_ Int)) (=> (and (= true_term (is ?brokenObj_54_ T_javafe_ast_NewArrayExpr)) (not (= ?brokenObj_54_ null))) (= true_term (S_select syntax_6_28_29 (S_select type_129_24_28 ?brokenObj_54_))))) (forall ((?brokenObj_55_ Int)) (=> (and (= true_term (is ?brokenObj_55_ T_javafe_ast_SkipStmt)) (not (= ?brokenObj_55_ null))) (not (= (S_select loc_120_16_13 ?brokenObj_55_) NULL_49_60_26)))) (forall ((?brokenObj_56_ Int)) (=> (and (= true_term (is ?brokenObj_56_ T_javafe_ast_CastExpr)) (not (= ?brokenObj_56_ null))) (not (= (S_select locCloseParen_133_24_13 ?brokenObj_56_) NULL_49_60_26)))) (forall ((?brokenObj_57_ Int)) (=> (and (= true_term (is ?brokenObj_57_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_57_ null))) (not (= (S_select locOpenBrace_14_51_13 ?brokenObj_57_) NULL_49_60_26)))) (forall ((?brokenObj_58_ Int)) (=> (and (= true_term (is ?brokenObj_58_ T_javafe_ast_BranchStmt)) (not (= ?brokenObj_58_ null))) (not (= (S_select loc_115_18_13 ?brokenObj_58_) NULL_49_60_26)))) (forall ((?brokenObj_59_ Int)) (=> (and (= true_term (is ?brokenObj_59_ T_javafe_ast_IdentifierVec)) (not (= ?brokenObj_59_ null))) (<= (S_select count_145_67_33 ?brokenObj_59_) (arrayLength (S_select elements_145_61_39 ?brokenObj_59_))))) (forall ((?brokenObj_60_ Int)) (=> (and (= true_term (is ?brokenObj_60_ T_javafe_ast_CondExpr)) (not (= ?brokenObj_60_ null))) (not (= (S_select locColon_131_25_13 ?brokenObj_60_) NULL_49_60_26)))) (forall ((?brokenObj_61_ Int)) (=> (and (= true_term (is ?brokenObj_61_ T_javafe_ast_ArrayInit)) (not (= ?brokenObj_61_ null))) (not (= (S_select locCloseBrace_126_24_13 ?brokenObj_61_) NULL_49_60_26)))) (forall ((?brokenObj_62_ Int)) (=> (and (= true_term (is ?brokenObj_62_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_62_ null))) (forall ((?i_19_62_31 Int)) (=> (and (<= 0 ?i_19_62_31) (< ?i_19_62_31 (S_select count_19_67_33 ?brokenObj_62_))) (not (= (S_select (S_select elems (S_select elements_19_61_37 ?brokenObj_62_)) ?i_19_62_31) null)))))) (forall ((?brokenObj_63_ Int)) (=> (and (= true_term (is ?brokenObj_63_ T_javafe_ast_UnaryExpr)) (not (= ?brokenObj_63_ null))) (not (= (S_select locOp_54_32_13 ?brokenObj_63_) NULL_49_60_26)))) (forall ((?brokenObj_64_ Int)) (=> (and (= true_term (is ?brokenObj_64_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_64_ null))) (= (S_select owner_4_35_28 (S_select elements_41_61_38 ?brokenObj_64_)) ?brokenObj_64_))) (forall ((?brokenObj_65_ Int)) (=> (and (= true_term (is ?brokenObj_65_ T_javafe_ast_ExprVec)) (not (= ?brokenObj_65_ null))) (= (typeof (S_select elements_130_61_33 ?brokenObj_65_)) (array T_javafe_ast_Expr)))) (forall ((?brokenObj_66_ Int)) (=> (and (= true_term (is ?brokenObj_66_ T_javafe_ast_ThisExpr)) (not (= ?brokenObj_66_ null))) (not (= (S_select loc_82_29_13 ?brokenObj_66_) NULL_49_60_26)))) (forall ((?brokenObj_67_ Int)) (let ((?v_226 (S_select tag_50_32_13 ?brokenObj_67_)) (?v_225 (S_select value_50_45_16 ?brokenObj_67_))) (let ((?v_227 (= ?v_225 null))) (let ((?v_228 (not ?v_227))) (let ((?v_229 (and (= true_term (is ?v_225 T_java_lang_Integer)) ?v_228))) (=> (and (= true_term (is ?brokenObj_67_ T_javafe_ast_LiteralExpr)) (not (= ?brokenObj_67_ null))) (and (=> (= ?v_226 BOOLEANLIT_22_38_26) (and (= true_term (is ?v_225 T_java_lang_Boolean)) ?v_228)) (=> (= ?v_226 NULLLIT_22_45_26) ?v_227) (=> (= ?v_226 INTLIT_22_39_26) ?v_229) (=> (= ?v_226 LONGLIT_22_40_26) (and (= true_term (is ?v_225 T_java_lang_Long)) ?v_228)) (=> (= ?v_226 FLOATLIT_22_42_26) (and (= true_term (is ?v_225 T_java_lang_Float)) ?v_228)) (=> (= ?v_226 DOUBLELIT_22_43_26) (and (= true_term (is ?v_225 T_java_lang_Double)) ?v_228)) (=> (= ?v_226 STRINGLIT_22_44_26) (and (= true_term (is ?v_225 T_java_lang_String)) ?v_228)) (=> (= ?v_226 CHARLIT_22_41_26) ?v_229)))))))) (forall ((?brokenObj_68_ Int)) (=> (and (= true_term (is ?brokenObj_68_ T_java_lang_String)) (not (= ?brokenObj_68_ null))) (>= (S_select count_31_99_33 ?brokenObj_68_) 0))) (forall ((?brokenObj_69_ Int)) (=> (and (= true_term (is ?brokenObj_69_ T_javafe_ast_VariableAccess)) (not (= ?brokenObj_69_ null))) (not (= (S_select loc_135_22_13 ?brokenObj_69_) NULL_49_60_26)))) (forall ((?brokenObj_70_ Int)) (=> (and (= true_term (is ?brokenObj_70_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_70_ null))) (= (arrayLength (S_select locIds_146_25_29 ?brokenObj_70_)) (S_select length_27_50_25 ?brokenObj_70_)))) (forall ((?brokenObj_71_ Int)) (=> (and (= true_term (is ?brokenObj_71_ T_javafe_ast_Name)) (not (= ?brokenObj_71_ null))) (>= (S_select length_27_50_25 ?brokenObj_71_) 1))) (forall ((?brokenObj_72_ Int)) (=> (and (= true_term (is ?brokenObj_72_ T_javafe_ast_ConstructorInvocation)) (not (= ?brokenObj_72_ null))) (not (= (S_select locKeyword_124_45_13 ?brokenObj_72_) NULL_49_60_26)))) (forall ((?brokenObj_73_ Int)) (=> (and (= true_term (is ?brokenObj_73_ T_javafe_ast_NewInstanceExpr)) (not (= ?brokenObj_73_ null))) (= (= (S_select enclosingInstance_128_25_14 ?brokenObj_73_) null) (= (S_select locDot_128_29_13 ?brokenObj_73_) NULL_49_60_26)))) (forall ((?brokenObj_74_ Int)) (=> (and (= true_term (is ?brokenObj_74_ T_javafe_ast_GenericVarDecl)) (not (= ?brokenObj_74_ null))) (not (= (S_select locId_45_38_13 ?brokenObj_74_) NULL_49_60_26)))) (forall ((?brokenObj_75_ Int)) (=> (and (= true_term (is ?brokenObj_75_ T_javafe_ast_ArrayType)) (not (= ?brokenObj_75_ null))) (= (= true_term (S_select syntax_6_28_29 (S_select elemType_143_18_28 ?brokenObj_75_))) (= true_term (S_select syntax_6_28_29 ?brokenObj_75_))))) (forall ((?brokenObj_76_ Int)) (=> (and (= true_term (is ?brokenObj_76_ T_javafe_ast_NewArrayExpr)) (not (= ?brokenObj_76_ null))) (forall ((?i_129_63_29 Int)) (=> (and (<= 0 ?i_129_63_29) (< ?i_129_63_29 (S_select count_130_67_33 (S_select dims_129_45_31 ?brokenObj_76_)))) (not (= (S_select (S_select elems (S_select locOpenBrackets_129_65_29 ?brokenObj_76_)) ?i_129_63_29) NULL_49_60_26)))))) (forall ((?brokenObj_77_ Int)) (=> (and (= true_term (is ?brokenObj_77_ T_javafe_ast_BinaryExpr)) (not (= ?brokenObj_77_ null))) (not (= (S_select locOp_53_43_13 ?brokenObj_77_) NULL_49_60_26)))) (forall ((?brokenObj_78_ Int)) (=> (and (= true_term (is ?brokenObj_78_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_78_ null)) (not (= (S_select enclosingType_5_32_39 ?brokenObj_78_) null))) (not (= (S_select myTypeDecl_5_63_40 ?brokenObj_78_) null)))) (forall ((?brokenObj_79_ Int)) (=> (and (= true_term (is ?brokenObj_79_ T_javafe_ast_MethodInvocation)) (not (= ?brokenObj_79_ null))) (not (= (S_select locOpenParen_138_28_13 ?brokenObj_79_) NULL_49_60_26)))) (forall ((?brokenObj_80_ Int)) (=> (and (= true_term (is ?brokenObj_80_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_80_ null))) (not (= (S_select loc_48_40_13 ?brokenObj_80_) NULL_49_60_26)))) (forall ((?brokenObj_81_ Int)) (=> (and (= true_term (is ?brokenObj_81_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_81_ null))) (<= (S_select count_41_67_33 ?brokenObj_81_) (arrayLength (S_select elements_41_61_38 ?brokenObj_81_))))) (forall ((?brokenObj_82_ Int)) (let ((?v_230 (S_select tag_55_30_13 ?brokenObj_82_))) (=> (and (= true_term (is ?brokenObj_82_ T_javafe_ast_PrimitiveType)) (not (= ?brokenObj_82_ null))) (or (= ?v_230 BOOLEANTYPE_22_27_26) (= ?v_230 INTTYPE_22_28_26) (= ?v_230 LONGTYPE_22_29_26) (= ?v_230 CHARTYPE_22_30_26) (= ?v_230 FLOATTYPE_22_31_26) (= ?v_230 DOUBLETYPE_22_32_26) (= ?v_230 VOIDTYPE_22_33_26) (= ?v_230 NULLTYPE_22_34_26) (= ?v_230 BYTETYPE_22_35_26) (= ?v_230 SHORTTYPE_22_36_26))))) (forall ((?brokenObj_83_ Int)) (=> (and (= true_term (is ?brokenObj_83_ T_javafe_ast_ExprVec)) (not (= ?brokenObj_83_ null))) (<= 0 (S_select count_130_67_33 ?brokenObj_83_)))) (forall ((?brokenObj_84_ Int)) (=> (and (= true_term (is ?brokenObj_84_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_84_ null))) (= (typeof (S_select elements_42_61_39 ?brokenObj_84_)) (array T_javafe_ast_MethodDecl)))) (= true_term (nonnullelements punctuationStrings_21_134_22 elems)) (forall ((?brokenObj_85_ Int)) (=> (and (= true_term (is ?brokenObj_85_ T_javafe_ast_InstanceOfExpr)) (not (= ?brokenObj_85_ null))) (= true_term (S_select syntax_6_28_29 (S_select type_132_18_28 ?brokenObj_85_))))) (forall ((?brokenObj_86_ Int)) (=> (and (= true_term (is ?brokenObj_86_ T_javafe_ast_CastExpr)) (not (= ?brokenObj_86_ null))) (= true_term (S_select syntax_6_28_29 (S_select type_133_18_28 ?brokenObj_86_))))) (forall ((?brokenObj_87_ Int)) (=> (and (= true_term (is ?brokenObj_87_ T_javafe_ast_SuperObjectDesignator)) (not (= ?brokenObj_87_ null))) (not (= (S_select locSuper_142_20_13 ?brokenObj_87_) NULL_49_60_26)))) (forall ((?brokenObj_88_ Int)) (let ((?v_231 (S_select op_53_35_13 ?brokenObj_88_))) (=> (and (= true_term (is ?brokenObj_88_ T_javafe_ast_BinaryExpr)) (not (= ?brokenObj_88_ null))) (or (= ?v_231 OR_23_19_26) (= ?v_231 AND_23_20_26) (= ?v_231 BITOR_23_21_26) (= ?v_231 BITXOR_23_22_26) (= ?v_231 BITAND_23_23_26) (= ?v_231 NE_23_24_26) (= ?v_231 EQ_23_25_26) (= ?v_231 GE_23_26_26) (= ?v_231 GT_23_27_26) (= ?v_231 LE_23_28_26) (= ?v_231 LT_23_29_26) (= ?v_231 LSHIFT_23_30_26) (= ?v_231 RSHIFT_23_31_26) (= ?v_231 URSHIFT_23_32_26) (= ?v_231 ADD_23_33_26) (= ?v_231 SUB_23_34_26) (= ?v_231 DIV_23_35_26) (= ?v_231 MOD_23_36_26) (= ?v_231 STAR_23_37_26) (= ?v_231 ASSIGN_23_40_26) (= ?v_231 ASGMUL_23_41_26) (= ?v_231 ASGDIV_23_42_26) (= ?v_231 ASGREM_23_43_26) (= ?v_231 ASGADD_23_44_26) (= ?v_231 ASGSUB_23_45_26) (= ?v_231 ASGLSHIFT_23_46_26) (= ?v_231 ASGRSHIFT_23_47_26) (= ?v_231 ASGURSHIFT_23_48_26) (= ?v_231 ASGBITAND_23_49_26))))) (forall ((?brokenObj_89_ Int)) (=> (and (= true_term (is ?brokenObj_89_ T_javafe_ast_SynchronizeStmt)) (not (= ?brokenObj_89_ null))) (not (= (S_select locOpenParen_110_23_13 ?brokenObj_89_) NULL_49_60_26)))) (forall ((?brokenObj_90_ Int)) (=> (and (= true_term (is ?brokenObj_90_ T_javafe_ast_NewInstanceExpr)) (not (= ?brokenObj_90_ null))) (not (= (S_select locOpenParen_128_52_13 ?brokenObj_90_) NULL_49_60_26)))) (forall ((?brokenObj_91_ Int)) (=> (and (= true_term (is ?brokenObj_91_ T_javafe_ast_CatchClause)) (not (= ?brokenObj_91_ null))) (not (= (S_select loc_125_22_13 ?brokenObj_91_) NULL_49_60_26)))) (forall ((?brokenObj_92_ Int)) (=> (and (= true_term (is ?brokenObj_92_ T_javafe_ast_SimpleName)) (not (= ?brokenObj_92_ null))) (= (S_select length_27_50_25 ?brokenObj_92_) 1))) (forall ((?brokenObj_93_ Int)) (=> (and (= true_term (is ?brokenObj_93_ T_javafe_ast_ObjectDesignator)) (not (= ?brokenObj_93_ null))) (not (= (S_select locDot_83_21_13 ?brokenObj_93_) NULL_49_60_26)))) (forall ((?brokenObj_94_ Int)) (=> (and (= true_term (is ?brokenObj_94_ T_javafe_ast_ArrayType)) (not (= ?brokenObj_94_ null))) (not (= (S_select locOpenBracket_143_21_13 ?brokenObj_94_) NULL_49_60_26)))) (forall ((?brokenObj_95_ Int)) (=> (and (= true_term (is ?brokenObj_95_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_95_ null))) (<= 0 (S_select count_42_67_33 ?brokenObj_95_)))) (forall ((?brokenObj_96_ Int)) (=> (and (= true_term (is ?brokenObj_96_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_96_ null)) (= (S_select enclosingType_5_32_39 ?brokenObj_96_) null)) (= true_term (S_select member_5_44_39 ?brokenObj_96_)))) (forall ((?brokenObj_97_ Int)) (=> (and (= true_term (is ?brokenObj_97_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_97_ null))) (not (= (S_select ids_146_19_37 ?brokenObj_97_) null)))) (forall ((?brokenObj_98_ Int)) (=> (and (= true_term (is ?brokenObj_98_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_98_ null))) (= (S_select owner_4_35_28 (S_select elements_19_61_37 ?brokenObj_98_)) ?brokenObj_98_))) (forall ((?brokenObj_99_ Int)) (=> (and (= true_term (is ?brokenObj_99_ T_javafe_ast_ForStmt)) (not (= ?brokenObj_99_ null))) (not (= (S_select loc_119_33_13 ?brokenObj_99_) NULL_49_60_26)))) (forall ((?brokenObj_100_ Int)) (=> (and (= true_term (is ?brokenObj_100_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_100_ null))) (forall ((?i_146_23_29 Int)) (let ((?v_232 (S_select locIds_146_25_29 ?brokenObj_100_))) (=> (and (<= 0 ?i_146_23_29) (< ?i_146_23_29 (arrayLength ?v_232))) (not (= (S_select (S_select elems ?v_232) ?i_146_23_29) NULL_49_60_26))))))) (forall ((?brokenObj_101_ Int)) (=> (and (= true_term (is ?brokenObj_101_ T_javafe_ast_IdentifierVec)) (not (= ?brokenObj_101_ null))) (= (typeof (S_select elements_145_61_39 ?brokenObj_101_)) (array T_javafe_ast_Identifier)))) (forall ((?brokenObj_102_ Int)) (=> (and (= true_term (is ?brokenObj_102_ T_javafe_ast_SwitchStmt)) (not (= ?brokenObj_102_ null))) (not (= (S_select loc_105_18_13 ?brokenObj_102_) NULL_49_60_26)))) (forall ((?brokenObj_103_ Int)) (=> (and (= true_term (is ?brokenObj_103_ T_javafe_ast_GenericBlockStmt)) (not (= ?brokenObj_103_ null))) (not (= (S_select locCloseBrace_90_25_13 ?brokenObj_103_) NULL_49_60_26)))) (forall ((?i_21_149_29 Int)) (let ((?v_233 (S_select (S_select elems punctuationCodes_21_164_19) ?i_21_149_29))) (=> (and (<= 0 ?i_21_149_29) (<= ?i_21_149_29 (arrayLength punctuationCodes_21_164_19))) (and (not (= ?v_233 IDENT_22_25_26)) (not (= ?v_233 BOOLEANLIT_22_38_26)) (not (= ?v_233 INTLIT_22_39_26)) (not (= ?v_233 LONGLIT_22_40_26)) (not (= ?v_233 FLOATLIT_22_42_26)) (not (= ?v_233 DOUBLELIT_22_43_26)) (not (= ?v_233 STRINGLIT_22_44_26)) (not (= ?v_233 CHARLIT_22_41_26)) (not (= ?v_233 LEXICALPRAGMA_21_24_26)) (not (= ?v_233 MODIFIERPRAGMA_21_25_26)) (not (= ?v_233 STMTPRAGMA_21_26_26)) (not (= ?v_233 TYPEDECLELEMPRAGMA_21_27_26)) (not (= ?v_233 TYPEMODIFIERPRAGMA_21_28_26)))))) (forall ((?brokenObj_104_ Int)) (=> (and (= true_term (is ?brokenObj_104_ T_javafe_ast_NewArrayExpr)) (not (= ?brokenObj_104_ null))) (>= (S_select count_130_67_33 (S_select dims_129_45_31 ?brokenObj_104_)) 1))) (forall ((?brokenObj_105_ Int)) (=> (and (= true_term (is ?brokenObj_105_ T_javafe_ast_ArrayRefExpr)) (not (= ?brokenObj_105_ null))) (not (= (S_select locOpenBracket_127_20_13 ?brokenObj_105_) NULL_49_60_26)))) (= true_term (nonnullelements otherStrings_21_193_30 elems)) (forall ((?brokenObj_106_ Int)) (=> (and (= true_term (is ?brokenObj_106_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_106_ null)) (>= (S_select state_5_787_15 ?brokenObj_106_) PREPPED_5_775_28)) (not (= (S_select fields_5_875_27 ?brokenObj_106_) null)))) (forall ((?brokenObj_107_ Int)) (=> (and (= true_term (is ?brokenObj_107_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_107_ null))) (<= (S_select count_19_67_33 ?brokenObj_107_) (arrayLength (S_select elements_19_61_37 ?brokenObj_107_))))) (forall ((?brokenObj_108_ Int)) (=> (and (= true_term (is ?brokenObj_108_ T_javafe_ast_IdentifierVec)) (not (= ?brokenObj_108_ null))) (<= 0 (S_select count_145_67_33 ?brokenObj_108_)))) (forall ((?brokenObj_109_ Int)) (=> (and (= true_term (is ?brokenObj_109_ T_javafe_ast_FieldAccess)) (not (= ?brokenObj_109_ null))) (not (= (S_select locId_136_24_13 ?brokenObj_109_) NULL_49_60_26)))) (forall ((?brokenObj_110_ Int)) (=> (and (= true_term (is ?brokenObj_110_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_110_ null))) (= (typeof (S_select elements_41_61_38 ?brokenObj_110_)) (array T_javafe_ast_FieldDecl)))) (= (arrayLength punctuationCodes_21_164_19) ?v_5) (forall ((?brokenObj_111_ Int)) (=> (and (= true_term (is ?brokenObj_111_ T_javafe_ast_TypeName)) (not (= ?brokenObj_111_ null))) (= true_term (S_select syntax_6_28_29 ?brokenObj_111_)))) (forall ((?brokenObj_112_ Int)) (=> (and (= true_term (is ?brokenObj_112_ T_javafe_ast_TryFinallyStmt)) (not (= ?brokenObj_112_ null))) (not (= (S_select locFinally_122_25_13 ?brokenObj_112_) NULL_49_60_26)))) (forall ((?brokenObj_113_ Int)) (let ((?v_234 (S_select tag_50_32_13 ?brokenObj_113_))) (=> (and (= true_term (is ?brokenObj_113_ T_javafe_ast_LiteralExpr)) (not (= ?brokenObj_113_ null))) (or (= ?v_234 BOOLEANLIT_22_38_26) (= ?v_234 INTLIT_22_39_26) (= ?v_234 LONGLIT_22_40_26) (= ?v_234 FLOATLIT_22_42_26) (= ?v_234 DOUBLELIT_22_43_26) (= ?v_234 STRINGLIT_22_44_26) (= ?v_234 NULLLIT_22_45_26) (= ?v_234 CHARLIT_22_41_26))))) (forall ((?brokenObj_114_ Int)) (=> (and (= true_term (is ?brokenObj_114_ T_javafe_ast_WhileStmt)) (not (= ?brokenObj_114_ null))) (not (= (S_select loc_108_20_13 ?brokenObj_114_) NULL_49_60_26)))) (= true_term (nonnullelements keywordStrings_21_181_30 elems)) (forall ((?brokenObj_115_ Int)) (=> (and (= true_term (is ?brokenObj_115_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_115_ null))) (not (= (S_select locId_14_48_13 ?brokenObj_115_) NULL_49_60_26)))) (forall ((?brokenObj_116_ Int)) (=> (and (= true_term (is ?brokenObj_116_ T_javafe_ast_ExprVec)) (not (= ?brokenObj_116_ null))) (forall ((?i_130_62_31 Int)) (=> (and (<= 0 ?i_130_62_31) (< ?i_130_62_31 (S_select count_130_67_33 ?brokenObj_116_))) (not (= (S_select (S_select elems (S_select elements_130_61_33 ?brokenObj_116_)) ?i_130_62_31) null)))))) (forall ((?brokenObj_117_ Int)) (=> (and (= true_term (is ?brokenObj_117_ T_javafe_ast_CastExpr)) (not (= ?brokenObj_117_ null))) (not (= (S_select locOpenParen_133_21_13 ?brokenObj_117_) NULL_49_60_26)))) (forall ((?brokenObj_118_ Int)) (=> (and (= true_term (is ?brokenObj_118_ T_javafe_ast_ArrayInit)) (not (= ?brokenObj_118_ null))) (not (= (S_select locOpenBrace_126_21_13 ?brokenObj_118_) NULL_49_60_26)))) (forall ((?brokenObj_119_ Int)) (=> (and (= true_term (is ?brokenObj_119_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_119_ null))) (<= 0 (S_select count_41_67_33 ?brokenObj_119_)))) (forall ((?brokenObj_120_ Int)) (=> (and (= true_term (is ?brokenObj_120_ T_javafe_ast_ParenExpr)) (not (= ?brokenObj_120_ null))) (not (= (S_select locOpenParen_134_18_13 ?brokenObj_120_) NULL_49_60_26)))) (forall ((?brokenObj_121_ Int)) (=> (and (= true_term (is ?brokenObj_121_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_121_ null)) (not (= (S_select body_48_34_19 ?brokenObj_121_) null))) (not (= (S_select locOpenBrace_48_36_13 ?brokenObj_121_) NULL_49_60_26)))) (forall ((?brokenObj_122_ Int)) (=> (and (= true_term (is ?brokenObj_122_ T_javafe_ast_DoStmt)) (not (= ?brokenObj_122_ null))) (not (= (S_select loc_109_20_13 ?brokenObj_122_) NULL_49_60_26)))) (forall ((?brokenObj_123_ Int)) (=> (and (= true_term (is ?brokenObj_123_ T_javafe_ast_InstanceOfExpr)) (not (= ?brokenObj_123_ null))) (not (= (S_select loc_132_21_13 ?brokenObj_123_) NULL_49_60_26)))) (forall ((?brokenObj_124_ Int)) (=> (and (= true_term (is ?brokenObj_124_ T_javafe_ast_CondExpr)) (not (= ?brokenObj_124_ null))) (not (= (S_select locQuestion_131_22_13 ?brokenObj_124_) NULL_49_60_26)))) (forall ((?brokenObj_125_ Int)) (=> (and (= true_term (is ?brokenObj_125_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_125_ null))) (not (= (S_select locCloseBrace_14_54_13 ?brokenObj_125_) NULL_49_60_26)))) (forall ((?brokenObj_126_ Int)) (let ((?v_235 (S_select tokenType_46_90_8 ?brokenObj_126_))) (=> (and (= true_term (is ?brokenObj_126_ T_javafe_ast_Identifier)) (not (= ?brokenObj_126_ null))) (and (not (= ?v_235 BOOLEANLIT_22_38_26)) (not (= ?v_235 INTLIT_22_39_26)) (not (= ?v_235 LONGLIT_22_40_26)) (not (= ?v_235 FLOATLIT_22_42_26)) (not (= ?v_235 DOUBLELIT_22_43_26)) (not (= ?v_235 STRINGLIT_22_44_26)) (not (= ?v_235 CHARLIT_22_41_26)) (not (= ?v_235 LEXICALPRAGMA_21_24_26)) (not (= ?v_235 MODIFIERPRAGMA_21_25_26)) (not (= ?v_235 STMTPRAGMA_21_26_26)) (not (= ?v_235 TYPEDECLELEMPRAGMA_21_27_26)) (not (= ?v_235 TYPEMODIFIERPRAGMA_21_28_26)))))) (forall ((?brokenObj_127_ Int)) (=> (and (= true_term (is ?brokenObj_127_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_127_ null)) (< (S_select state_5_787_15 ?brokenObj_127_) PARSED_5_772_28)) (= (S_select myTypeDecl_5_63_40 ?brokenObj_127_) null))) (forall ((?brokenObj_128_ Int)) (=> (and (= true_term (is ?brokenObj_128_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_128_ null)) (not (= true_term (S_select member_5_44_39 ?brokenObj_128_)))) (not (= (S_select enclosingEnv_5_52_36 ?brokenObj_128_) null)))) (or (not (forall ((?brokenObj_129_ Int)) (=> (and (= ?brokenObj_129_ sig_80_68) (>= (S_select state_5_787_15 ?brokenObj_129_) PREPPED_5_775_28)) (not (= (S_select methods_5_883_26 ?brokenObj_129_) null))))) (not (forall ((?brokenObj_130_ Int)) (=> (and (= ?brokenObj_130_ sig_80_68) (>= (S_select state_5_787_15 ?brokenObj_130_) PARSED_5_772_28)) (not (= (S_select myTypeDecl_5_63_40 ?brokenObj_130_) null))))) (not (forall ((?brokenObj_131_ Int)) (=> (and (= ?brokenObj_131_ sig_80_68) (>= (S_select state_5_787_15 ?brokenObj_131_) PREPPED_5_775_28)) (not (= (S_select fields_5_875_27 ?brokenObj_131_) null))))) (not (forall ((?brokenObj_132_ Int)) (=> (and (= ?brokenObj_132_ sig_80_68) (< (S_select state_5_787_15 ?brokenObj_132_) PARSED_5_772_28)) (= (S_select myTypeDecl_5_63_40 ?brokenObj_132_) null)))) (and ?v_78 ?v_79 ?v_6 ?v_80 ?v_81 (or (and ?v_9 ?v_10 (or ?v_17 (and ?v_8 ?v_11 ?v_12 (not ?v_13)))) (and ?v_82 ?v_83 ?v_84 ?v_85 (or (not (forall ((?brokenObj_133_ Int)) (=> (and (= ?brokenObj_133_ sig_80_68) (>= (S_select state_91_5 ?brokenObj_133_) PREPPED_5_775_28)) (not (= (S_select methods_5_883_26 ?brokenObj_133_) null))))) (not (forall ((?brokenObj_134_ Int)) (=> (and (= ?brokenObj_134_ sig_80_68) (>= (S_select state_91_5 ?brokenObj_134_) PARSED_5_772_28)) (not (= (S_select myTypeDecl_5_63_40 ?brokenObj_134_) null))))) (not (forall ((?brokenObj_135_ Int)) (=> (and (= ?brokenObj_135_ sig_80_68) (>= (S_select state_91_5 ?brokenObj_135_) PREPPED_5_775_28)) (not (= (S_select fields_5_875_27 ?brokenObj_135_) null))))) (not (forall ((?brokenObj_136_ Int)) (=> (and (= ?brokenObj_136_ sig_80_68) (< (S_select state_91_5 ?brokenObj_136_) PARSED_5_772_28)) (= (S_select myTypeDecl_5_63_40 ?brokenObj_136_) null)))) (and ?v_86 ?v_87 ?v_15 ?v_88 (or (not ?v_16) (and ?v_16 ?v_89 (or (and ?v_30 ?v_31 (or (and ?v_10 (or ?v_17 (and ?v_8 ?v_22 ?v_23 ?v_18 ?v_24 ?v_25 (or ?v_17 (and ?v_8 ?v_26 (or (not (and (<= 0 0) (< 0 (S_select count_19_67_33 tmp4_superInterfaces_107_1_0_108_30)))) (and ?v_27 ?v_28 ?v_20 ?v_29 (or (not ?v_21) (and ?v_21 (or (not (forall ((?brokenObj_137_ Int)) (=> (and (= ?brokenObj_137_ sig_80_68) (>= (S_select state_91_5 ?brokenObj_137_) PREPPED_5_775_28)) (not (= (S_select methods_5_883_26 ?brokenObj_137_) null))))) (not (forall ((?brokenObj_138_ Int)) (=> (and (= ?brokenObj_138_ sig_80_68) (>= (S_select state_91_5 ?brokenObj_138_) PARSED_5_772_28)) (not (= (S_select myTypeDecl_5_63_40 ?brokenObj_138_) null))))) (not (forall ((?brokenObj_139_ Int)) (=> (and (= ?brokenObj_139_ sig_80_68) (>= (S_select state_91_5 ?brokenObj_139_) PREPPED_5_775_28)) (not (= (S_select fields_5_875_27 ?brokenObj_139_) null))))) (not (forall ((?brokenObj_140_ Int)) (=> (and (= ?brokenObj_140_ sig_80_68) (< (S_select state_91_5 ?brokenObj_140_) PARSED_5_772_28)) (= (S_select myTypeDecl_5_63_40 ?brokenObj_140_) null)))))))))))))) (and ?v_10 ?v_8 ?v_22 ?v_23 ?v_18 ?v_24 ?v_25 ?v_8 ?v_26 ?v_27 ?v_28 ?v_20 ?v_29 ?v_21 ?v_32 ?v_33 ?v_34 ?v_35 ?v_10 ?v_17))) (and ?v_30 ?v_31 ?v_90 ?v_91 ?v_92 ?v_93 (or ?v_17 (and ?v_8 ?v_94 ?v_37 ?v_95 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_101 ?v_102 ?v_103 ?v_104 ?v_105 ?v_106 ?v_107 ?v_108 ?v_109 ?v_110 ?v_111 ?v_112 ?v_113 ?v_114 ?v_115 ?v_116 ?v_117 ?v_118 ?v_119 ?v_120 ?v_121 ?v_122 ?v_123 ?v_124 ?v_125 ?v_126 ?v_127 ?v_128 ?v_129 ?v_130 ?v_131 ?v_132 ?v_133 ?v_134 ?v_135 ?v_136 ?v_137 ?v_138 ?v_139 ?v_140 ?v_141 ?v_142 ?v_143 ?v_144 ?v_145 ?v_146 ?v_147 ?v_148 ?v_149 ?v_150 ?v_151 ?v_152 ?v_153 ?v_154 ?v_155 ?v_156 ?v_157 ?v_158 ?v_159 ?v_160 ?v_161 ?v_162 ?v_163 ?v_164 ?v_165 ?v_166 ?v_167 ?v_168 ?v_169 ?v_170 ?v_171 ?v_172 ?v_173 ?v_174 ?v_175 ?v_176 ?v_177 ?v_178 ?v_179 ?v_180 ?v_181 ?v_182 ?v_183 ?v_184 ?v_185 ?v_186 ?v_187 ?v_188 ?v_189 ?v_190 ?v_191 ?v_192 ?v_193 ?v_194 ?v_195 ?v_196 ?v_197 ?v_198 ?v_199 ?v_200 ?v_201 ?v_202 ?v_203 ?v_204 ?v_205 ?v_206 ?v_207 ?v_208 ?v_209 ?v_210 ?v_43 ?v_10 (or (not ?v_44) (and ?v_44 ?v_211 (or ?v_46 (and ?v_45 (or (and ?v_54 ?v_10 (or ?v_46 (and ?v_45 (or ?v_46 (and ?v_45 ?v_55 ?v_47 ?v_56 ?v_57 ?v_58 ?v_59 ?v_48 ?v_60 (or (not ?v_49) (and ?v_49 ?v_61 ?v_62 ?v_50 ?v_63 ?v_64 (or ?v_46 (and ?v_45 ?v_65 ?v_66 ?v_67 ?v_51 ?v_68 (or (not ?v_52) (and ?v_52 (or (not ?v_53) (and ?v_53 (or (not (forall ((?brokenObj_141_ Int)) (=> (and (= ?brokenObj_141_ RES_117_38_117_38) (>= (S_select state_91_5 ?brokenObj_141_) PREPPED_5_775_28)) (not (= (S_select methods_5_883_26 ?brokenObj_141_) null))))) (not (forall ((?brokenObj_142_ Int)) (=> (and (= ?brokenObj_142_ RES_117_38_117_38) (>= (S_select state_91_5 ?brokenObj_142_) PARSED_5_772_28)) (not (= (S_select myTypeDecl_5_63_40 ?brokenObj_142_) null))))) (not (forall ((?brokenObj_143_ Int)) (=> (and (= ?brokenObj_143_ RES_117_38_117_38) (>= (S_select state_91_5 ?brokenObj_143_) PREPPED_5_775_28)) (not (= (S_select fields_5_875_27 ?brokenObj_143_) null))))) (not (forall ((?brokenObj_144_ Int)) (=> (and (= ?brokenObj_144_ RES_117_38_117_38) (< (S_select state_91_5 ?brokenObj_144_) PARSED_5_772_28)) (= (S_select myTypeDecl_5_63_40 ?brokenObj_144_) null)))))))))))))))))) (and ?v_212 (or ?v_46 (and ?v_45 (or (not ?v_69) (and ?v_69 ?v_71 (or (not (forall ((?brokenObj_145_ Int)) (=> (and (= ?brokenObj_145_ sig_80_68) (>= (S_select state_91_5 ?brokenObj_145_) PREPPED_5_775_28)) (not (= (S_select methods_5_883_26 ?brokenObj_145_) null))))) (not (forall ((?brokenObj_146_ Int)) (=> (and (= ?brokenObj_146_ sig_80_68) (>= (S_select state_91_5 ?brokenObj_146_) PARSED_5_772_28)) (not (= (S_select myTypeDecl_5_63_40 ?brokenObj_146_) null))))) (not (forall ((?brokenObj_147_ Int)) (=> (and (= ?brokenObj_147_ sig_80_68) (>= (S_select state_91_5 ?brokenObj_147_) PREPPED_5_775_28)) (not (= (S_select fields_5_875_27 ?brokenObj_147_) null))))) (not (forall ((?brokenObj_148_ Int)) (=> (and (= ?brokenObj_148_ sig_80_68) (< (S_select state_91_5 ?brokenObj_148_) PARSED_5_772_28)) (= (S_select myTypeDecl_5_63_40 ?brokenObj_148_) null)))))) (and ?v_69 ?v_71 ?v_213 ?v_214 ?v_215 ?v_216 ?v_217 ?v_72 ?v_218 ?v_219 ?v_10 (or (and ?v_73 ?v_10 (or ?v_17 (and ?v_8 ?v_74 ?v_75 (not ?v_76)))) (and ?v_220 ?v_46))))))))))))))))))))))) (and (or (and ?v_78 ?v_79 ?v_6 ?v_80 ?v_81 ?v_82 ?v_83 ?v_84 ?v_85 ?v_86 ?v_87 ?v_15 ?v_88 ?v_16 ?v_89 ?v_30 ?v_31 ?v_90 ?v_91 ?v_92 ?v_93 ?v_8 ?v_94 ?v_37 ?v_95 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_101 ?v_102 ?v_103 ?v_104 ?v_105 ?v_106 ?v_107 ?v_108 ?v_109 ?v_110 ?v_111 ?v_112 ?v_113 ?v_114 ?v_115 ?v_116 ?v_117 ?v_118 ?v_119 ?v_120 ?v_121 ?v_122 ?v_123 ?v_124 ?v_125 ?v_126 ?v_127 ?v_128 ?v_129 ?v_130 ?v_131 ?v_132 ?v_133 ?v_134 ?v_135 ?v_136 ?v_137 ?v_138 ?v_139 ?v_140 ?v_141 ?v_142 ?v_143 ?v_144 ?v_145 ?v_146 ?v_147 ?v_148 ?v_149 ?v_150 ?v_151 ?v_152 ?v_153 ?v_154 ?v_155 ?v_156 ?v_157 ?v_158 ?v_159 ?v_160 ?v_161 ?v_162 ?v_163 ?v_164 ?v_165 ?v_166 ?v_167 ?v_168 ?v_169 ?v_170 ?v_171 ?v_172 ?v_173 ?v_174 ?v_175 ?v_176 ?v_177 ?v_178 ?v_179 ?v_180 ?v_181 ?v_182 ?v_183 ?v_184 ?v_185 ?v_186 ?v_187 ?v_188 ?v_189 ?v_190 ?v_191 ?v_192 ?v_193 ?v_194 ?v_195 ?v_196 ?v_197 ?v_198 ?v_199 ?v_200 ?v_201 ?v_202 ?v_203 ?v_204 ?v_205 ?v_206 ?v_207 ?v_208 ?v_209 ?v_210 (or (and ?v_43 ?v_10 ?v_44 ?v_211 ?v_45 ?v_212 ?v_45 ?v_69 ?v_71 ?v_213 ?v_214 ?v_215 ?v_216 ?v_217 ?v_72 ?v_218 (or (and ?v_219 ?v_10 ?v_220 ?v_45 (= superClass_129_5 (S_store superClass_25_15_18_1_ cd_111_5 null)) (= RES_5_ RES_4_) (= EC_4_ EC_3_)) (and (not ?v_219) ?v_10 (= RES_5_ RES_123_20_123_20) (= EC_4_ EC_123_20_123_20))) (= EC_5_ EC_4_)) (and (not ?v_43) ?v_10 (= EC_5_ EC_110_7_110_7))) (= state_133_5 (S_store state_91_5 sig_80_68 LINKSRESOLVED_5_774_28)) (= state_84_18 state_133_5) ?v_221) (and ?v_78 ?v_79 ?v_6 ?v_80 ?v_81 ?v_82 ?v_83 ?v_84 ?v_85 ?v_86 ?v_87 ?v_15 ?v_88 ?v_16 ?v_89 ?v_30 ?v_31 ?v_90 (not ?v_91) (= state_84_18 state_91_5) (= EC_84_18 L_107_1))) (or (not ?v_221) (and ?v_221 (or (not ?v_222) (and ?v_222 (or (not (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_tc_TypeSig)) (= true_term (isAllocated ?brokenObj_1_ alloc)) (not (= ?brokenObj_1_ null)) (>= (S_select state_84_18 ?brokenObj_1_) PREPPED_5_775_28)) (not (= (S_select methods_5_883_26 ?brokenObj_1_) null))))) (not (forall ((?brokenObj_47_ Int)) (=> (and (= true_term (is ?brokenObj_47_ T_javafe_tc_TypeSig)) (= true_term (isAllocated ?brokenObj_47_ alloc)) (not (= ?brokenObj_47_ null)) (>= (S_select state_84_18 ?brokenObj_47_) PARSED_5_772_28)) (not (= (S_select myTypeDecl_5_63_40 ?brokenObj_47_) null))))) (not (forall ((?brokenObj_106_ Int)) (=> (and (= true_term (is ?brokenObj_106_ T_javafe_tc_TypeSig)) (= true_term (isAllocated ?brokenObj_106_ alloc)) (not (= ?brokenObj_106_ null)) (>= (S_select state_84_18 ?brokenObj_106_) PREPPED_5_775_28)) (not (= (S_select fields_5_875_27 ?brokenObj_106_) null))))) (not (forall ((?brokenObj_127_ Int)) (=> (and (= true_term (is ?brokenObj_127_ T_javafe_tc_TypeSig)) (= true_term (isAllocated ?brokenObj_127_ alloc)) (not (= ?brokenObj_127_ null)) (< (S_select state_84_18 ?brokenObj_127_) PARSED_5_772_28)) (= (S_select myTypeDecl_5_63_40 ?brokenObj_127_) null)))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
