(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_ast_SkipStmt () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_java_lang_Double () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_ast_WhileStmt () Int)
(declare-fun T_javafe_ast_TypeName () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_tc_TypeSigVec () Int)
(declare-fun T_javafe_ast_ConstructorDecl () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_javafe_ast_NewInstanceExpr () Int)
(declare-fun T_javafe_ast_Expr () Int)
(declare-fun T_javafe_ast_VariableAccess () Int)
(declare-fun T_javafe_tc_MethodDeclVec () Int)
(declare-fun T_javafe_ast_IdentifierVec () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_javafe_ast_ModifierPragma () Int)
(declare-fun T_javafe_ast_BreakStmt () Int)
(declare-fun T_javafe_ast_BranchStmt () Int)
(declare-fun T_javafe_ast_ObjectDesignator () Int)
(declare-fun T_javafe_ast_ExprVec () Int)
(declare-fun T_javafe_ast_ParenExpr () Int)
(declare-fun T_javafe_ast_TypeNameVec () Int)
(declare-fun T_javafe_ast_TryFinallyStmt () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_ast_OnDemandImportDecl () Int)
(declare-fun T_javafe_ast_ImportDecl () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_javafe_ast_SynchronizeStmt () Int)
(declare-fun T_javafe_ast_FormalParaDecl () Int)
(declare-fun T_javafe_ast_ExprObjectDesignator () Int)
(declare-fun T_javafe_ast_CondExpr () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_java_lang_Boolean () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_tc_LookupException () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_javafe_ast_LabelStmt () Int)
(declare-fun T_javafe_ast_CatchClause () Int)
(declare-fun T_javafe_ast_InterfaceDecl () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_ast_FormalParaDeclVec () Int)
(declare-fun T_javafe_util_Info () Int)
(declare-fun T_javafe_tc_SLResolution () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_ast_SwitchStmt () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_javafe_ast_ReturnStmt () Int)
(declare-fun T_javafe_ast_StmtVec () Int)
(declare-fun T_javafe_ast_CastExpr () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_javafe_ast_ArrayType () Int)
(declare-fun T_javafe_ast_AmbiguousMethodInvocation () Int)
(declare-fun T_javafe_ast_ArrayInit () Int)
(declare-fun T_javafe_ast_VarInit () Int)
(declare-fun T_javafe_ast_ForStmt () Int)
(declare-fun T_javafe_tc_TypeSig () Int)
(declare-fun T_javafe_tc_PrepTypeDeclaration () Int)
(declare-fun T_javafe_tc_TagConstants () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_ClassDeclStmt () Int)
(declare-fun T_javafe_tc_FlowInsensitiveChecks () Int)
(declare-fun T_javafe_ast_ModifierPragmaVec () Int)
(declare-fun T_javafe_ast_ArrayRefExpr () Int)
(declare-fun T_javafe_ast_AmbiguousVariableAccess () Int)
(declare-fun T_java_lang_RuntimeException () Int)
(declare-fun T_javafe_ast_CompoundName () Int)
(declare-fun T_javafe_util_Set () Int)
(declare-fun T_javafe_ast_MethodInvocation () Int)
(declare-fun T_java_lang_Long () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_javafe_ast_UnaryExpr () Int)
(declare-fun T_javafe_tc_CheckInvariants () Int)
(declare-fun T_javafe_ast_TypeObjectDesignator () Int)
(declare-fun T_javafe_ast_ASTDecoration () Int)
(declare-fun T_javafe_ast_SwitchLabel () Int)
(declare-fun T_javafe_util_StackVector () Int)
(declare-fun T_javafe_ast_ThisExpr () Int)
(declare-fun T_javafe_ast_DoStmt () Int)
(declare-fun T_java_lang_StringBuffer () Int)
(declare-fun T_javafe_ast_NewArrayExpr () Int)
(declare-fun T_javafe_ast_Visitor () Int)
(declare-fun T_javafe_ast_FieldAccess () Int)
(declare-fun T_javafe_tc_Types () Int)
(declare-fun T_javafe_ast_ContinueStmt () Int)
(declare-fun T_javafe_ast_LocalVarDecl () Int)
(declare-fun T_javafe_ast_ClassDecl () Int)
(declare-fun T_javafe_ast_ConstructorInvocation () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_tc_EnvForCU () Int)
(declare-fun T_javafe_tc_Env () Int)
(declare-fun T_javafe_ast_TypeDeclElemVec () Int)
(declare-fun T_javafe_ast_TryCatchStmt () Int)
(declare-fun T_javafe_tc_FieldDeclVec () Int)
(declare-fun T_javafe_tc_TypeCheck () Int)
(declare-fun T_javafe_ast_InitBlock () Int)
(declare-fun T_javafe_ast_Modifiers () Int)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_javafe_ast_SingleTypeImportDecl () Int)
(declare-fun T_javafe_ast_PrimitiveType () Int)
(declare-fun T_javafe_ast_EvalStmt () Int)
(declare-fun T_javafe_ast_InstanceOfExpr () Int)
(declare-fun T_javafe_ast_VisitorArgResult () Int)
(declare-fun T_javafe_util_ErrorSet () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_javafe_ast_IfStmt () Int)
(declare-fun T_javafe_tc_OutsideEnv () Int)
(declare-fun T_java_lang_Float () Int)
(declare-fun T_javafe_reader_Reader () Int)
(declare-fun T_javafe_ast_MethodDecl () Int)
(declare-fun T_javafe_tc_EnvForTypeSig () Int)
(declare-fun T_javafe_ast_VarDeclStmt () Int)
(declare-fun T_java_lang_IndexOutOfBoundsException () Int)
(declare-fun T_javafe_ast_LiteralExpr () Int)
(declare-fun T_javafe_reader_TypeReader () Int)
(declare-fun T_javafe_ast_SimpleName () Int)
(declare-fun T_javafe_ast_ThrowStmt () Int)
(declare-fun T_javafe_ast_ClassLiteral () Int)
(declare-fun T_javafe_ast_BinaryExpr () Int)
(declare-fun T_javafe_ast_SuperObjectDesignator () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun BITNOT_38_57_26 () Int)
(declare-fun RETURNSTMT_39_33_7 () Int)
(declare-fun EQ_38_25_26 () Int)
(declare-fun CLASSLITERAL_39_60_7 () Int)
(declare-fun NOT_38_56_26 () Int)
(declare-fun NOTACCESSIBLE_61_13_26 () Int)
(declare-fun EVALSTMT_39_32_7 () Int)
(declare-fun NE_38_24_26 () Int)
(declare-fun LAST_KEYWORD_36_103_26 () Int)
(declare-fun NULL_36_82_26 () Int)
(declare-fun METHODINVOCATION_39_59_7 () Int)
(declare-fun UNARYSUB_38_55_26 () Int)
(declare-fun BADTYPECOMBO_61_12_26 () Int)
(declare-fun NULL_30_60_26 () Int)
(declare-fun SYNCHRONIZESTMT_39_31_7 () Int)
(declare-fun BITAND_38_23_26 () Int)
(declare-fun AMBIGUOUSMETHODINVOCATION_39_58_7 () Int)
(declare-fun UNARYADD_38_54_26 () Int)
(declare-fun otherCodes_36_202_27 () Int)
(declare-fun DOSTMT_39_30_7 () Int)
(declare-fun BITXOR_38_22_26 () Int)
(declare-fun FIELDACCESS_39_57_7 () Int)
(declare-fun AMBIGUOUS_61_11_26 () Int)
(declare-fun ASGBITXOR_38_51_26 () Int)
(declare-fun WHILESTMT_39_29_7 () Int)
(declare-fun NOTFOUND_61_10_26 () Int)
(declare-fun BITOR_38_21_26 () Int)
(declare-fun VARIABLEACCESS_39_56_7 () Int)
(declare-fun ASGBITOR_38_50_26 () Int)
(declare-fun CLASSDECLSTMT_39_28_7 () Int)
(declare-fun AMBIGUOUSVARIABLEACCESS_39_55_7 () Int)
(declare-fun THE_UNNAMED_PACKAGE_484_31 () Int)
(declare-fun ASGBITAND_38_49_26 () Int)
(declare-fun VARDECLSTMT_39_27_7 () Int)
(declare-fun PARENEXPR_39_54_7 () Int)
(declare-fun AND_38_20_26 () Int)
(declare-fun ASGURSHIFT_38_48_26 () Int)
(declare-fun SWITCHSTMT_39_26_7 () Int)
(declare-fun NULLLIT_37_45_26 () Int)
(declare-fun CASTEXPR_39_53_7 () Int)
(declare-fun OR_38_19_26 () Int)
(declare-fun ASGRSHIFT_38_47_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_36_28_26 () Int)
(declare-fun BLOCKSTMT_39_25_7 () Int)
(declare-fun whereDecoration_17_597_41 () Int)
(declare-fun STRINGLIT_37_44_26 () Int)
(declare-fun INSTANCEOFEXPR_39_52_7 () Int)
(declare-fun ASGLSHIFT_38_46_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_36_27_26 () Int)
(declare-fun FORMALPARADECL_39_24_7 () Int)
(declare-fun DOUBLELIT_37_43_26 () Int)
(declare-fun CONDEXPR_39_51_7 () Int)
(declare-fun otherStrings_36_193_30 () Int)
(declare-fun ASGSUB_38_45_26 () Int)
(declare-fun sigDecoration_104_38 () Int)
(declare-fun STMTPRAGMA_36_26_26 () Int)
(declare-fun FIELDDECL_39_23_7 () Int)
(declare-fun FLOATLIT_37_42_26 () Int)
(declare-fun NEWARRAYEXPR_39_50_7 () Int)
(declare-fun ASGADD_38_44_26 () Int)
(declare-fun MODIFIERPRAGMA_36_25_26 () Int)
(declare-fun LOCALVARDECL_39_22_7 () Int)
(declare-fun CHARLIT_37_41_26 () Int)
(declare-fun NEWINSTANCEEXPR_39_49_7 () Int)
(declare-fun ASGREM_38_43_26 () Int)
(declare-fun LEXICALPRAGMA_36_24_26 () Int)
(declare-fun INITBLOCK_39_21_7 () Int)
(declare-fun LONGLIT_37_40_26 () Int)
(declare-fun ARRAYREFEXPR_39_48_7 () Int)
(declare-fun FIRST_KEYWORD_36_51_26 () Int)
(declare-fun ASGDIV_38_42_26 () Int)
(declare-fun METHODDECL_39_20_7 () Int)
(declare-fun INTLIT_37_39_26 () Int)
(declare-fun THISEXPR_39_47_7 () Int)
(declare-fun ASGMUL_38_41_26 () Int)
(declare-fun CONSTRUCTORDECL_39_19_7 () Int)
(declare-fun BOOLEANLIT_37_38_26 () Int)
(declare-fun ARRAYINIT_39_46_7 () Int)
(declare-fun ASSIGN_38_40_26 () Int)
(declare-fun INTERFACEDECL_39_18_7 () Int)
(declare-fun SHORTTYPE_37_36_26 () Int)
(declare-fun CATCHCLAUSE_39_45_7 () Int)
(declare-fun STAR_38_37_26 () Int)
(declare-fun CLASSDECL_39_17_7 () Int)
(declare-fun BYTETYPE_37_35_26 () Int)
(declare-fun CONSTRUCTORINVOCATION_39_44_7 () Int)
(declare-fun MOD_38_36_26 () Int)
(declare-fun ONDEMANDIMPORTDECL_39_16_7 () Int)
(declare-fun TYPESIG_35_6_28 () Int)
(declare-fun NULLTYPE_37_34_26 () Int)
(declare-fun TRYCATCHSTMT_39_43_7 () Int)
(declare-fun DIV_38_35_26 () Int)
(declare-fun SINGLETYPEIMPORTDECL_39_15_7 () Int)
(declare-fun VOIDTYPE_37_33_26 () Int)
(declare-fun TRYFINALLYSTMT_39_42_7 () Int)
(declare-fun SUB_38_34_26 () Int)
(declare-fun CHECKED_776_28 () Int)
(declare-fun COMPILATIONUNIT_39_14_7 () Int)
(declare-fun DOUBLETYPE_37_32_26 () Int)
(declare-fun SWITCHLABEL_39_41_7 () Int)
(declare-fun ADD_38_33_26 () Int)
(declare-fun PREPPED_775_28 () Int)
(declare-fun FLOATTYPE_37_31_26 () Int)
(declare-fun SKIPSTMT_39_40_7 () Int)
(declare-fun URSHIFT_38_32_26 () Int)
(declare-fun COMPOUNDNAME_39_67_7 () Int)
(declare-fun LINKSRESOLVED_774_28 () Int)
(declare-fun CHARTYPE_37_30_26 () Int)
(declare-fun FORSTMT_39_39_7 () Int)
(declare-fun RSHIFT_38_31_26 () Int)
(declare-fun SIMPLENAME_39_66_7 () Int)
(declare-fun out_63_83_49 () Int)
(declare-fun RESOLVINGLINKS_773_28 () Int)
(declare-fun LONGTYPE_37_29_26 () Int)
(declare-fun IFSTMT_39_38_7 () Int)
(declare-fun LSHIFT_38_30_26 () Int)
(declare-fun ARRAYTYPE_39_65_7 () Int)
(declare-fun POSTFIXDEC_38_63_26 () Int)
(declare-fun PARSED_772_28 () Int)
(declare-fun INTTYPE_37_28_26 () Int)
(declare-fun LABELSTMT_39_37_7 () Int)
(declare-fun noTokens_36_212_27 () Int)
(declare-fun LT_38_29_26 () Int)
(declare-fun map_301_35 () Int)
(declare-fun TYPENAME_39_64_7 () Int)
(declare-fun CREATED_771_28 () Int)
(declare-fun POSTFIXINC_38_62_26 () Int)
(declare-fun punctuationCodes_36_164_19 () Int)
(declare-fun BOOLEANTYPE_37_27_26 () Int)
(declare-fun punctuationStrings_36_134_22 () Int)
(declare-fun CONTINUESTMT_39_36_7 () Int)
(declare-fun LE_38_28_26 () Int)
(declare-fun SUPEROBJECTDESIGNATOR_39_63_7 () Int)
(declare-fun DEC_38_59_26 () Int)
(declare-fun IDENT_37_25_26 () Int)
(declare-fun BREAKSTMT_39_35_7 () Int)
(declare-fun GT_38_27_26 () Int)
(declare-fun TYPEOBJECTDESIGNATOR_39_62_7 () Int)
(declare-fun INC_38_58_26 () Int)
(declare-fun keywordStrings_36_181_30 () Int)
(declare-fun THROWSTMT_39_34_7 () Int)
(declare-fun GE_38_26_26 () Int)
(declare-fun EXPROBJECTDESIGNATOR_39_61_7 () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String))) (and (= (PO_LT T_javafe_ast_SkipStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SkipStmt (asChild T_javafe_ast_SkipStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_java_lang_Double T_java_lang_Number) true_term) (= T_java_lang_Double (asChild T_java_lang_Double T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Double) true_term) (= ?t T_java_lang_Double))) (= (PO_LT T_java_lang_Double T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_WhileStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_WhileStmt (asChild T_javafe_ast_WhileStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_TypeName T_javafe_ast_Type) true_term) (= T_javafe_ast_TypeName (asChild T_javafe_ast_TypeName T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_tc_TypeSigVec T_java_lang_Object) true_term) (= T_javafe_tc_TypeSigVec (asChild T_javafe_tc_TypeSigVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_ConstructorDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_ConstructorDecl (asChild T_javafe_ast_ConstructorDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_ast_NewInstanceExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_NewInstanceExpr (asChild T_javafe_ast_NewInstanceExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_VariableAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_VariableAccess (asChild T_javafe_ast_VariableAccess T_javafe_ast_Expr)) (= (PO_LT T_javafe_tc_MethodDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_MethodDeclVec (asChild T_javafe_tc_MethodDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_IdentifierVec T_java_lang_Object) true_term) (= T_javafe_ast_IdentifierVec (asChild T_javafe_ast_IdentifierVec T_java_lang_Object)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ModifierPragma (asChild T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_BreakStmt T_javafe_ast_BranchStmt) true_term) (= T_javafe_ast_BreakStmt (asChild T_javafe_ast_BreakStmt T_javafe_ast_BranchStmt)) (= (PO_LT T_javafe_ast_ObjectDesignator T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ObjectDesignator (asChild T_javafe_ast_ObjectDesignator T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_ExprVec T_java_lang_Object) true_term) (= T_javafe_ast_ExprVec (asChild T_javafe_ast_ExprVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_ParenExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ParenExpr (asChild T_javafe_ast_ParenExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_TypeNameVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeNameVec (asChild T_javafe_ast_TypeNameVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_TryFinallyStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_TryFinallyStmt (asChild T_javafe_ast_TryFinallyStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_OnDemandImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_OnDemandImportDecl (asChild T_javafe_ast_OnDemandImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_SynchronizeStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SynchronizeStmt (asChild T_javafe_ast_SynchronizeStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FormalParaDecl (asChild T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_ExprObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_ExprObjectDesignator (asChild T_javafe_ast_ExprObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_ast_CondExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_CondExpr (asChild T_javafe_ast_CondExpr T_javafe_ast_Expr)) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Boolean T_java_lang_Object) true_term) (= T_java_lang_Boolean (asChild T_java_lang_Boolean T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Boolean) true_term) (= ?t T_java_lang_Boolean))) (= (PO_LT T_java_lang_Boolean T_java_io_Serializable) true_term) (= (PO_LT T_javafe_tc_LookupException T_java_lang_Exception) true_term) (= T_javafe_tc_LookupException (asChild T_javafe_tc_LookupException T_java_lang_Exception)) (= (PO_LT T_javafe_ast_LabelStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_LabelStmt (asChild T_javafe_ast_LabelStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_CatchClause T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CatchClause (asChild T_javafe_ast_CatchClause T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_InterfaceDecl T_javafe_ast_TypeDecl) true_term) (= T_javafe_ast_InterfaceDecl (asChild T_javafe_ast_InterfaceDecl T_javafe_ast_TypeDecl)) (= (PO_LT T_javafe_ast_FormalParaDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_FormalParaDeclVec (asChild T_javafe_ast_FormalParaDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_util_Info T_java_lang_Object) true_term) (= T_javafe_util_Info (asChild T_javafe_util_Info T_java_lang_Object)) (= (PO_LT T_javafe_tc_SLResolution T_java_lang_Object) true_term) (= T_javafe_tc_SLResolution (asChild T_javafe_tc_SLResolution T_java_lang_Object)) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_SwitchStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_SwitchStmt (asChild T_javafe_ast_SwitchStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_javafe_ast_ReturnStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ReturnStmt (asChild T_javafe_ast_ReturnStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ImportDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ImportDecl (asChild T_javafe_ast_ImportDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_StmtVec T_java_lang_Object) true_term) (= T_javafe_ast_StmtVec (asChild T_javafe_ast_StmtVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_CastExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_CastExpr (asChild T_javafe_ast_CastExpr T_javafe_ast_Expr)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_ArrayType T_javafe_ast_Type) true_term) (= T_javafe_ast_ArrayType (asChild T_javafe_ast_ArrayType T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_AmbiguousMethodInvocation T_javafe_ast_Expr) true_term) (= T_javafe_ast_AmbiguousMethodInvocation (asChild T_javafe_ast_AmbiguousMethodInvocation T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ArrayInit T_javafe_ast_VarInit) true_term) (= T_javafe_ast_ArrayInit (asChild T_javafe_ast_ArrayInit T_javafe_ast_VarInit)) (= (PO_LT T_javafe_ast_ForStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ForStmt (asChild T_javafe_ast_ForStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_tc_TypeSig T_javafe_ast_Type) true_term) (= T_javafe_tc_TypeSig (asChild T_javafe_tc_TypeSig T_javafe_ast_Type)) (= (PO_LT T_javafe_tc_PrepTypeDeclaration T_java_lang_Object) true_term) (= T_javafe_tc_PrepTypeDeclaration (asChild T_javafe_tc_PrepTypeDeclaration T_java_lang_Object)) (= (PO_LT T_javafe_tc_TagConstants T_javafe_parser_TagConstants) true_term) (= T_javafe_tc_TagConstants (asChild T_javafe_tc_TagConstants T_javafe_parser_TagConstants)) (= (PO_LT T_javafe_ast_ClassDeclStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ClassDeclStmt (asChild T_javafe_ast_ClassDeclStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_tc_FlowInsensitiveChecks T_java_lang_Object) true_term) (= T_javafe_tc_FlowInsensitiveChecks (asChild T_javafe_tc_FlowInsensitiveChecks T_java_lang_Object)) (= (PO_LT T_javafe_ast_ModifierPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_ModifierPragmaVec (asChild T_javafe_ast_ModifierPragmaVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_ArrayRefExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ArrayRefExpr (asChild T_javafe_ast_ArrayRefExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_AmbiguousVariableAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_AmbiguousVariableAccess (asChild T_javafe_ast_AmbiguousVariableAccess T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_java_lang_RuntimeException T_java_lang_Exception) true_term) (= T_java_lang_RuntimeException (asChild T_java_lang_RuntimeException T_java_lang_Exception)) (= (PO_LT T_javafe_ast_CompoundName T_javafe_ast_Name) true_term) (= T_javafe_ast_CompoundName (asChild T_javafe_ast_CompoundName T_javafe_ast_Name)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_Set T_java_lang_Object) true_term) (= T_javafe_util_Set (asChild T_javafe_util_Set T_java_lang_Object)) (= (PO_LT T_javafe_util_Set T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_MethodInvocation T_javafe_ast_Expr) true_term) (= T_javafe_ast_MethodInvocation (asChild T_javafe_ast_MethodInvocation T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_BranchStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_BranchStmt (asChild T_javafe_ast_BranchStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_lang_Long T_java_lang_Number) true_term) (= T_java_lang_Long (asChild T_java_lang_Long T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Long) true_term) (= ?t T_java_lang_Long))) (= (PO_LT T_java_lang_Long T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_javafe_ast_UnaryExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_UnaryExpr (asChild T_javafe_ast_UnaryExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_tc_CheckInvariants T_java_lang_Object) true_term) (= T_javafe_tc_CheckInvariants (asChild T_javafe_tc_CheckInvariants T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_TypeObjectDesignator (asChild T_javafe_ast_TypeObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_ast_Expr T_javafe_ast_VarInit) true_term) (= T_javafe_ast_Expr (asChild T_javafe_ast_Expr T_javafe_ast_VarInit)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_ASTDecoration T_java_lang_Object) true_term) (= T_javafe_ast_ASTDecoration (asChild T_javafe_ast_ASTDecoration T_java_lang_Object)) (= (PO_LT T_javafe_ast_SwitchLabel T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SwitchLabel (asChild T_javafe_ast_SwitchLabel T_javafe_ast_Stmt)) (= (PO_LT T_javafe_util_StackVector T_java_lang_Object) true_term) (= T_javafe_util_StackVector (asChild T_javafe_util_StackVector T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_util_StackVector) true_term) (= ?t T_javafe_util_StackVector))) (= (PO_LT T_javafe_ast_ThisExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ThisExpr (asChild T_javafe_ast_ThisExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_DoStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_DoStmt (asChild T_javafe_ast_DoStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_lang_StringBuffer T_java_lang_Object) true_term) (= T_java_lang_StringBuffer (asChild T_java_lang_StringBuffer T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_StringBuffer) true_term) (= ?t T_java_lang_StringBuffer))) (= (PO_LT T_java_lang_StringBuffer T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_NewArrayExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_NewArrayExpr (asChild T_javafe_ast_NewArrayExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_Visitor T_java_lang_Object) true_term) (= T_javafe_ast_Visitor (asChild T_javafe_ast_Visitor T_java_lang_Object)) (= (PO_LT T_javafe_ast_FieldAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_FieldAccess (asChild T_javafe_ast_FieldAccess T_javafe_ast_Expr)) (= (PO_LT T_javafe_tc_Types T_java_lang_Object) true_term) (= T_javafe_tc_Types (asChild T_javafe_tc_Types T_java_lang_Object)) (= (PO_LT T_javafe_ast_ContinueStmt T_javafe_ast_BranchStmt) true_term) (= T_javafe_ast_ContinueStmt (asChild T_javafe_ast_ContinueStmt T_javafe_ast_BranchStmt)) (= (PO_LT T_javafe_ast_LocalVarDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_LocalVarDecl (asChild T_javafe_ast_LocalVarDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_ClassDecl T_javafe_ast_TypeDecl) true_term) (= T_javafe_ast_ClassDecl (asChild T_javafe_ast_ClassDecl T_javafe_ast_TypeDecl)) (= (PO_LT T_javafe_ast_ConstructorInvocation T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ConstructorInvocation (asChild T_javafe_ast_ConstructorInvocation T_javafe_ast_Stmt)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_javafe_tc_EnvForCU T_javafe_tc_Env) true_term) (= T_javafe_tc_EnvForCU (asChild T_javafe_tc_EnvForCU T_javafe_tc_Env)) (= (PO_LT T_javafe_ast_TypeDeclElemVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeDeclElemVec (asChild T_javafe_ast_TypeDeclElemVec T_java_lang_Object)) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_javafe_ast_TryCatchStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_TryCatchStmt (asChild T_javafe_ast_TryCatchStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_tc_FieldDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_FieldDeclVec (asChild T_javafe_tc_FieldDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_tc_TypeCheck T_java_lang_Object) true_term) (= T_javafe_tc_TypeCheck (asChild T_javafe_tc_TypeCheck T_java_lang_Object)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_InitBlock T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_InitBlock (asChild T_javafe_ast_InitBlock T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_InitBlock T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_Modifiers T_java_lang_Object) true_term) (= T_javafe_ast_Modifiers (asChild T_javafe_ast_Modifiers T_java_lang_Object)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_SingleTypeImportDecl (asChild T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_PrimitiveType T_javafe_ast_Type) true_term) (= T_javafe_ast_PrimitiveType (asChild T_javafe_ast_PrimitiveType T_javafe_ast_Type)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_EvalStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_EvalStmt (asChild T_javafe_ast_EvalStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_InstanceOfExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_InstanceOfExpr (asChild T_javafe_ast_InstanceOfExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_VisitorArgResult T_java_lang_Object) true_term) (= T_javafe_ast_VisitorArgResult (asChild T_javafe_ast_VisitorArgResult T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_javafe_util_ErrorSet T_java_lang_Object) true_term) (= T_javafe_util_ErrorSet (asChild T_javafe_util_ErrorSet T_java_lang_Object)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_IfStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_IfStmt (asChild T_javafe_ast_IfStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_tc_OutsideEnv T_java_lang_Object) true_term) (= T_javafe_tc_OutsideEnv (asChild T_javafe_tc_OutsideEnv T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_tc_OutsideEnv) true_term) (= ?t T_javafe_tc_OutsideEnv))) (= (PO_LT T_javafe_ast_VarInit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_VarInit (asChild T_javafe_ast_VarInit T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Float T_java_lang_Number) true_term) (= T_java_lang_Float (asChild T_java_lang_Float T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Float) true_term) (= ?t T_java_lang_Float))) (= (PO_LT T_java_lang_Float T_java_lang_Comparable) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_reader_Reader T_java_lang_Object) true_term) (= T_javafe_reader_Reader (asChild T_javafe_reader_Reader T_java_lang_Object)) (= (PO_LT T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_MethodDecl (asChild T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_tc_EnvForTypeSig T_javafe_tc_Env) true_term) (= T_javafe_tc_EnvForTypeSig (asChild T_javafe_tc_EnvForTypeSig T_javafe_tc_Env)) (= (PO_LT T_javafe_ast_VarDeclStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_VarDeclStmt (asChild T_javafe_ast_VarDeclStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_lang_IndexOutOfBoundsException T_java_lang_RuntimeException) true_term) (= T_java_lang_IndexOutOfBoundsException (asChild T_java_lang_IndexOutOfBoundsException T_java_lang_RuntimeException)) (= (PO_LT T_javafe_ast_LiteralExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_LiteralExpr (asChild T_javafe_ast_LiteralExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_tc_Env T_java_lang_Object) true_term) (= T_javafe_tc_Env (asChild T_javafe_tc_Env T_java_lang_Object)) (= (PO_LT T_javafe_reader_TypeReader T_javafe_reader_Reader) true_term) (= T_javafe_reader_TypeReader (asChild T_javafe_reader_TypeReader T_javafe_reader_Reader)) (= (PO_LT T_javafe_ast_SimpleName T_javafe_ast_Name) true_term) (= T_javafe_ast_SimpleName (asChild T_javafe_ast_SimpleName T_javafe_ast_Name)) (= (PO_LT T_javafe_ast_ThrowStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ThrowStmt (asChild T_javafe_ast_ThrowStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ClassLiteral T_javafe_ast_Expr) true_term) (= T_javafe_ast_ClassLiteral (asChild T_javafe_ast_ClassLiteral T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_BinaryExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_BinaryExpr (asChild T_javafe_ast_BinaryExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_SuperObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_SuperObjectDesignator (asChild T_javafe_ast_SuperObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_ast_SkipStmt (+ DIST_ZERO_1 10)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 11)) (= T_java_lang_Double (+ DIST_ZERO_1 12)) (= T_javafe_ast_WhileStmt (+ DIST_ZERO_1 13)) (= T_javafe_ast_TypeName (+ DIST_ZERO_1 14)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 15)) (= T_javafe_tc_TypeSigVec (+ DIST_ZERO_1 16)) (= T_javafe_ast_ConstructorDecl (+ DIST_ZERO_1 17)) (= T_javafe_ast_NewInstanceExpr (+ DIST_ZERO_1 18)) (= T_javafe_ast_VariableAccess (+ DIST_ZERO_1 19)) (= T_javafe_tc_MethodDeclVec (+ DIST_ZERO_1 20)) (= T_javafe_ast_IdentifierVec (+ DIST_ZERO_1 21)) (= T_javafe_util_Location (+ DIST_ZERO_1 22)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 23)) (= T_java_util_Properties (+ DIST_ZERO_1 24)) (= T_javafe_ast_ModifierPragma (+ DIST_ZERO_1 25)) (= T_javafe_ast_BreakStmt (+ DIST_ZERO_1 26)) (= T_javafe_ast_ObjectDesignator (+ DIST_ZERO_1 27)) (= T_javafe_ast_ExprVec (+ DIST_ZERO_1 28)) (= T_javafe_ast_ParenExpr (+ DIST_ZERO_1 29)) (= T_javafe_ast_TypeNameVec (+ DIST_ZERO_1 30)) (= T_javafe_ast_TryFinallyStmt (+ DIST_ZERO_1 31)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 32)) (= T_javafe_ast_OnDemandImportDecl (+ DIST_ZERO_1 33)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 34)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 35)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 36)) (= T_java_lang_Integer (+ DIST_ZERO_1 37)) (= T_javafe_ast_SynchronizeStmt (+ DIST_ZERO_1 38)) (= T_javafe_ast_FormalParaDecl (+ DIST_ZERO_1 39)) (= T_javafe_ast_ExprObjectDesignator (+ DIST_ZERO_1 40)) (= T_javafe_ast_CondExpr (+ DIST_ZERO_1 41)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 42)) (= T_javafe_ast_Name (+ DIST_ZERO_1 43)) (= T_java_lang_Boolean (+ DIST_ZERO_1 44)) (= T_javafe_tc_LookupException (+ DIST_ZERO_1 45)) (= T_javafe_ast_LabelStmt (+ DIST_ZERO_1 46)) (= T_javafe_ast_CatchClause (+ DIST_ZERO_1 47)) (= T_javafe_ast_InterfaceDecl (+ DIST_ZERO_1 48)) (= T_javafe_ast_FormalParaDeclVec (+ DIST_ZERO_1 49)) (= T_javafe_util_Info (+ DIST_ZERO_1 50)) (= T_javafe_tc_SLResolution (+ DIST_ZERO_1 51)) (= T_javafe_ast_Type (+ DIST_ZERO_1 52)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 53)) (= T_javafe_ast_SwitchStmt (+ DIST_ZERO_1 54)) (= T_javafe_util_Assert (+ DIST_ZERO_1 55)) (= T_javafe_ast_ReturnStmt (+ DIST_ZERO_1 56)) (= T_javafe_ast_ImportDecl (+ DIST_ZERO_1 57)) (= T_javafe_ast_StmtVec (+ DIST_ZERO_1 58)) (= T_javafe_ast_CastExpr (+ DIST_ZERO_1 59)) (= T_java_util_Hashtable (+ DIST_ZERO_1 60)) (= T_javafe_ast_ArrayType (+ DIST_ZERO_1 61)) (= T_javafe_ast_AmbiguousMethodInvocation (+ DIST_ZERO_1 62)) (= T_javafe_ast_ArrayInit (+ DIST_ZERO_1 63)) (= T_javafe_ast_ForStmt (+ DIST_ZERO_1 64)) (= T_javafe_tc_TypeSig (+ DIST_ZERO_1 65)) (= T_javafe_tc_PrepTypeDeclaration (+ DIST_ZERO_1 66)) (= T_javafe_tc_TagConstants (+ DIST_ZERO_1 67)) (= T_javafe_ast_ClassDeclStmt (+ DIST_ZERO_1 68)) (= T_java_lang_Object (+ DIST_ZERO_1 69)) (= T_javafe_tc_FlowInsensitiveChecks (+ DIST_ZERO_1 70)) (= T_javafe_ast_ModifierPragmaVec (+ DIST_ZERO_1 71)) (= T_javafe_ast_ArrayRefExpr (+ DIST_ZERO_1 72)) (= T_javafe_ast_AmbiguousVariableAccess (+ DIST_ZERO_1 73)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 74)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 75)) (= T_java_lang_RuntimeException (+ DIST_ZERO_1 76)) (= T_javafe_ast_CompoundName (+ DIST_ZERO_1 77)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 78)) (= T_javafe_util_Set (+ DIST_ZERO_1 79)) (= T_javafe_ast_MethodInvocation (+ DIST_ZERO_1 80)) (= T_javafe_ast_BranchStmt (+ DIST_ZERO_1 81)) (= T_java_lang_Long (+ DIST_ZERO_1 82)) (= T_java_lang_System (+ DIST_ZERO_1 83)) (= T_java_io_PrintStream (+ DIST_ZERO_1 84)) (= T_javafe_ast_UnaryExpr (+ DIST_ZERO_1 85)) (= T_javafe_tc_CheckInvariants (+ DIST_ZERO_1 86)) (= T_javafe_ast_TypeObjectDesignator (+ DIST_ZERO_1 87)) (= T_javafe_ast_Expr (+ DIST_ZERO_1 88)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 89)) (= T_javafe_ast_ASTDecoration (+ DIST_ZERO_1 90)) (= T_javafe_ast_SwitchLabel (+ DIST_ZERO_1 91)) (= T_javafe_util_StackVector (+ DIST_ZERO_1 92)) (= T_javafe_ast_ThisExpr (+ DIST_ZERO_1 93)) (= T_javafe_ast_DoStmt (+ DIST_ZERO_1 94)) (= T_java_lang_StringBuffer (+ DIST_ZERO_1 95)) (= T_javafe_ast_NewArrayExpr (+ DIST_ZERO_1 96)) (= T_javafe_ast_Visitor (+ DIST_ZERO_1 97)) (= T_javafe_ast_FieldAccess (+ DIST_ZERO_1 98)) (= T_javafe_tc_Types (+ DIST_ZERO_1 99)) (= T_javafe_ast_ContinueStmt (+ DIST_ZERO_1 100)) (= T_javafe_ast_LocalVarDecl (+ DIST_ZERO_1 101)) (= T_javafe_ast_ClassDecl (+ DIST_ZERO_1 102)) (= T_javafe_ast_ConstructorInvocation (+ DIST_ZERO_1 103)) (= T_java_io_Serializable (+ DIST_ZERO_1 104)) (= T_java_lang_Exception (+ DIST_ZERO_1 105)) (= T_javafe_tc_EnvForCU (+ DIST_ZERO_1 106)) (= T_javafe_ast_TypeDeclElemVec (+ DIST_ZERO_1 107)) (= T_java_io_OutputStream (+ DIST_ZERO_1 108)) (= T_javafe_ast_TryCatchStmt (+ DIST_ZERO_1 109)) (= T_javafe_tc_FieldDeclVec (+ DIST_ZERO_1 110)) (= T_javafe_tc_TypeCheck (+ DIST_ZERO_1 111)) (= T_java_lang_Comparable (+ DIST_ZERO_1 112)) (= T_javafe_ast_InitBlock (+ DIST_ZERO_1 113)) (= T_javafe_ast_Modifiers (+ DIST_ZERO_1 114)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 115)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 116)) (= T_javafe_ast_SingleTypeImportDecl (+ DIST_ZERO_1 117)) (= T_java_util_Dictionary (+ DIST_ZERO_1 118)) (= T_javafe_ast_PrimitiveType (+ DIST_ZERO_1 119)) (= T_java_lang_Throwable (+ DIST_ZERO_1 120)) (= T_javafe_ast_EvalStmt (+ DIST_ZERO_1 121)) (= T_javafe_ast_InstanceOfExpr (+ DIST_ZERO_1 122)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 123)) (= T_javafe_ast_VisitorArgResult (+ DIST_ZERO_1 124)) (= T_java_lang_Number (+ DIST_ZERO_1 125)) (= T_javafe_util_ErrorSet (+ DIST_ZERO_1 126)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 127)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 128)) (= T_javafe_ast_IfStmt (+ DIST_ZERO_1 129)) (= T_javafe_tc_OutsideEnv (+ DIST_ZERO_1 130)) (= T_javafe_ast_VarInit (+ DIST_ZERO_1 131)) (= T_java_lang_Float (+ DIST_ZERO_1 132)) (= T_java_util_Map (+ DIST_ZERO_1 133)) (= T_javafe_reader_Reader (+ DIST_ZERO_1 134)) (= T_javafe_ast_MethodDecl (+ DIST_ZERO_1 135)) (= T_javafe_tc_EnvForTypeSig (+ DIST_ZERO_1 136)) (= T_javafe_ast_VarDeclStmt (+ DIST_ZERO_1 137)) (= T_java_lang_IndexOutOfBoundsException (+ DIST_ZERO_1 138)) (= T_javafe_ast_LiteralExpr (+ DIST_ZERO_1 139)) (= T_javafe_tc_Env (+ DIST_ZERO_1 140)) (= T_javafe_reader_TypeReader (+ DIST_ZERO_1 141)) (= T_javafe_ast_SimpleName (+ DIST_ZERO_1 142)) (= T_javafe_ast_ThrowStmt (+ DIST_ZERO_1 143)) (= T_javafe_ast_ClassLiteral (+ DIST_ZERO_1 144)) (= T_javafe_ast_BinaryExpr (+ DIST_ZERO_1 145)) (= T_javafe_ast_SuperObjectDesignator (+ DIST_ZERO_1 146)) (= T_java_lang_String (+ DIST_ZERO_1 147))) (= true_term (is BITNOT_38_57_26 T_int)) (= BITNOT_38_57_26 88) (= true_term (is RETURNSTMT_39_33_7 T_int)) (= RETURNSTMT_39_33_7 19) (= true_term (is EQ_38_25_26 T_int)) (= EQ_38_25_26 60) (= true_term (is CLASSLITERAL_39_60_7 T_int)) (= CLASSLITERAL_39_60_7 46) (= true_term (is NOT_38_56_26 T_int)) (= NOT_38_56_26 87) (= true_term (is NOTACCESSIBLE_61_13_26 T_int)) (= NOTACCESSIBLE_61_13_26 3) (= true_term (is EVALSTMT_39_32_7 T_int)) (= EVALSTMT_39_32_7 18) (= true_term (is NE_38_24_26 T_int)) (= NE_38_24_26 59) (= true_term (is LAST_KEYWORD_36_103_26 T_int)) (= LAST_KEYWORD_36_103_26 183) (= true_term (is NULL_36_82_26 T_int)) (= NULL_36_82_26 163) (= true_term (is METHODINVOCATION_39_59_7 T_int)) (= METHODINVOCATION_39_59_7 45) (= true_term (is UNARYSUB_38_55_26 T_int)) (= UNARYSUB_38_55_26 86) (= true_term (is BADTYPECOMBO_61_12_26 T_int)) (= BADTYPECOMBO_61_12_26 2) (= true_term (is NULL_30_60_26 T_int)) (= NULL_30_60_26 0) (= true_term (is SYNCHRONIZESTMT_39_31_7 T_int)) (= SYNCHRONIZESTMT_39_31_7 17) (= true_term (is BITAND_38_23_26 T_int)) (= BITAND_38_23_26 58) (= true_term (is AMBIGUOUSMETHODINVOCATION_39_58_7 T_int)) (= AMBIGUOUSMETHODINVOCATION_39_58_7 44) (= true_term (is UNARYADD_38_54_26 T_int)) (= UNARYADD_38_54_26 85) (= true_term (is otherCodes_36_202_27 ?v_0)) (not (= otherCodes_36_202_27 null)) (= (typeof otherCodes_36_202_27) ?v_0) (= (arrayLength otherCodes_36_202_27) 15) (= true_term (is DOSTMT_39_30_7 T_int)) (= DOSTMT_39_30_7 16) (= true_term (is BITXOR_38_22_26 T_int)) (= BITXOR_38_22_26 57) (= true_term (is FIELDACCESS_39_57_7 T_int)) (= FIELDACCESS_39_57_7 43) (= true_term (is AMBIGUOUS_61_11_26 T_int)) (= AMBIGUOUS_61_11_26 1) (= true_term (is ASGBITXOR_38_51_26 T_int)) (= ASGBITXOR_38_51_26 84) (= true_term (is WHILESTMT_39_29_7 T_int)) (= WHILESTMT_39_29_7 15) (= true_term (is NOTFOUND_61_10_26 T_int)) (= NOTFOUND_61_10_26 0) (= true_term (is BITOR_38_21_26 T_int)) (= BITOR_38_21_26 56) (= true_term (is VARIABLEACCESS_39_56_7 T_int)) (= VARIABLEACCESS_39_56_7 42) (= true_term (is ASGBITOR_38_50_26 T_int)) (= ASGBITOR_38_50_26 83) (= true_term (is CLASSDECLSTMT_39_28_7 T_int)) (= CLASSDECLSTMT_39_28_7 14) (= true_term (is AMBIGUOUSVARIABLEACCESS_39_55_7 T_int)) (= AMBIGUOUSVARIABLEACCESS_39_55_7 41) (= true_term (is THE_UNNAMED_PACKAGE_484_31 T_java_lang_String)) (not (= THE_UNNAMED_PACKAGE_484_31 null)) (= true_term (is ASGBITAND_38_49_26 T_int)) (= ASGBITAND_38_49_26 82) (= true_term (is VARDECLSTMT_39_27_7 T_int)) (= VARDECLSTMT_39_27_7 13) (= true_term (is PARENEXPR_39_54_7 T_int)) (= PARENEXPR_39_54_7 40) (= true_term (is AND_38_20_26 T_int)) (= AND_38_20_26 55) (= true_term (is ASGURSHIFT_38_48_26 T_int)) (= ASGURSHIFT_38_48_26 81) (= true_term (is SWITCHSTMT_39_26_7 T_int)) (= SWITCHSTMT_39_26_7 12) (= true_term (is NULLLIT_37_45_26 T_int)) (= NULLLIT_37_45_26 111) (= true_term (is CASTEXPR_39_53_7 T_int)) (= CASTEXPR_39_53_7 39) (= true_term (is OR_38_19_26 T_int)) (= OR_38_19_26 54) (= true_term (is ASGRSHIFT_38_47_26 T_int)) (= ASGRSHIFT_38_47_26 80) (= true_term (is TYPEMODIFIERPRAGMA_36_28_26 T_int)) (= TYPEMODIFIERPRAGMA_36_28_26 118) (= true_term (is BLOCKSTMT_39_25_7 T_int)) (= BLOCKSTMT_39_25_7 11) (= true_term (is whereDecoration_17_597_41 T_javafe_ast_ASTDecoration)) (not (= whereDecoration_17_597_41 null)) (= (typeof whereDecoration_17_597_41) T_javafe_ast_ASTDecoration) (= true_term (is STRINGLIT_37_44_26 T_int)) (= STRINGLIT_37_44_26 110) (= true_term (is INSTANCEOFEXPR_39_52_7 T_int)) (= INSTANCEOFEXPR_39_52_7 38) (= true_term (is ASGLSHIFT_38_46_26 T_int)) (= ASGLSHIFT_38_46_26 79) (= true_term (is TYPEDECLELEMPRAGMA_36_27_26 T_int)) (= TYPEDECLELEMPRAGMA_36_27_26 117) (= true_term (is FORMALPARADECL_39_24_7 T_int)) (= FORMALPARADECL_39_24_7 10) (= true_term (is DOUBLELIT_37_43_26 T_int)) (= DOUBLELIT_37_43_26 109) (= true_term (is CONDEXPR_39_51_7 T_int)) (= CONDEXPR_39_51_7 37) (= true_term (is otherStrings_36_193_30 ?v_1)) (not (= otherStrings_36_193_30 null)) (= (typeof otherStrings_36_193_30) ?v_1) (= (arrayLength otherStrings_36_193_30) 15) (= true_term (is ASGSUB_38_45_26 T_int)) (= ASGSUB_38_45_26 78) (= true_term (is sigDecoration_104_38 T_javafe_ast_ASTDecoration)) (not (= sigDecoration_104_38 null)) (= (typeof sigDecoration_104_38) T_javafe_ast_ASTDecoration) (= true_term (is STMTPRAGMA_36_26_26 T_int)) (= STMTPRAGMA_36_26_26 116) (= true_term (is FIELDDECL_39_23_7 T_int)) (= FIELDDECL_39_23_7 9) (= true_term (is FLOATLIT_37_42_26 T_int)) (= FLOATLIT_37_42_26 108) (= true_term (is NEWARRAYEXPR_39_50_7 T_int)) (= NEWARRAYEXPR_39_50_7 36) (= true_term (is ASGADD_38_44_26 T_int)) (= ASGADD_38_44_26 77) (= true_term (is MODIFIERPRAGMA_36_25_26 T_int)) (= MODIFIERPRAGMA_36_25_26 115) (= true_term (is LOCALVARDECL_39_22_7 T_int)) (= LOCALVARDECL_39_22_7 8) (= true_term (is CHARLIT_37_41_26 T_int)) (= CHARLIT_37_41_26 107) (= true_term (is NEWINSTANCEEXPR_39_49_7 T_int)) (= NEWINSTANCEEXPR_39_49_7 35) (= true_term (is ASGREM_38_43_26 T_int)) (= ASGREM_38_43_26 76) (= true_term (is LEXICALPRAGMA_36_24_26 T_int)) (= LEXICALPRAGMA_36_24_26 114) (= true_term (is INITBLOCK_39_21_7 T_int)) (= INITBLOCK_39_21_7 7) (= true_term (is LONGLIT_37_40_26 T_int)) (= LONGLIT_37_40_26 106) (= true_term (is ARRAYREFEXPR_39_48_7 T_int)) (= ARRAYREFEXPR_39_48_7 34) (= true_term (is FIRST_KEYWORD_36_51_26 T_int)) (= FIRST_KEYWORD_36_51_26 133) (= true_term (is ASGDIV_38_42_26 T_int)) (= ASGDIV_38_42_26 75) (= true_term (is METHODDECL_39_20_7 T_int)) (= METHODDECL_39_20_7 6) (= true_term (is INTLIT_37_39_26 T_int)) (= INTLIT_37_39_26 105) (= true_term (is THISEXPR_39_47_7 T_int)) (= THISEXPR_39_47_7 33) (= true_term (is ASGMUL_38_41_26 T_int)) (= ASGMUL_38_41_26 74) (= true_term (is CONSTRUCTORDECL_39_19_7 T_int)) (= CONSTRUCTORDECL_39_19_7 5) (= true_term (is BOOLEANLIT_37_38_26 T_int)) (= BOOLEANLIT_37_38_26 104) (= true_term (is ARRAYINIT_39_46_7 T_int)) (= ARRAYINIT_39_46_7 32) (= true_term (is ASSIGN_38_40_26 T_int)) (= ASSIGN_38_40_26 73) (= true_term (is INTERFACEDECL_39_18_7 T_int)) (= INTERFACEDECL_39_18_7 4) (= true_term (is SHORTTYPE_37_36_26 T_int)) (= SHORTTYPE_37_36_26 103) (= true_term (is CATCHCLAUSE_39_45_7 T_int)) (= CATCHCLAUSE_39_45_7 31) (= true_term (is STAR_38_37_26 T_int)) (= STAR_38_37_26 72) (= true_term (is CLASSDECL_39_17_7 T_int)) (= CLASSDECL_39_17_7 3) (= true_term (is BYTETYPE_37_35_26 T_int)) (= BYTETYPE_37_35_26 102) (= true_term (is CONSTRUCTORINVOCATION_39_44_7 T_int)) (= CONSTRUCTORINVOCATION_39_44_7 30) (= true_term (is MOD_38_36_26 T_int)) (= MOD_38_36_26 71) (= true_term (is ONDEMANDIMPORTDECL_39_16_7 T_int)) (= ONDEMANDIMPORTDECL_39_16_7 2) (= true_term (is TYPESIG_35_6_28 T_int)) (= TYPESIG_35_6_28 184) (= true_term (is NULLTYPE_37_34_26 T_int)) (= NULLTYPE_37_34_26 101) (= true_term (is TRYCATCHSTMT_39_43_7 T_int)) (= TRYCATCHSTMT_39_43_7 29) (= true_term (is DIV_38_35_26 T_int)) (= DIV_38_35_26 70) (= true_term (is SINGLETYPEIMPORTDECL_39_15_7 T_int)) (= SINGLETYPEIMPORTDECL_39_15_7 1) (= true_term (is VOIDTYPE_37_33_26 T_int)) (= VOIDTYPE_37_33_26 100) (= true_term (is TRYFINALLYSTMT_39_42_7 T_int)) (= TRYFINALLYSTMT_39_42_7 28) (= true_term (is SUB_38_34_26 T_int)) (= SUB_38_34_26 69) (= true_term (is CHECKED_776_28 T_int)) (= CHECKED_776_28 6) (= true_term (is COMPILATIONUNIT_39_14_7 T_int)) (= COMPILATIONUNIT_39_14_7 0) (= true_term (is DOUBLETYPE_37_32_26 T_int)) (= DOUBLETYPE_37_32_26 99) (= true_term (is SWITCHLABEL_39_41_7 T_int)) (= SWITCHLABEL_39_41_7 27) (= true_term (is ADD_38_33_26 T_int)) (= ADD_38_33_26 68) (= true_term (is PREPPED_775_28 T_int)) (= PREPPED_775_28 5) (= true_term (is FLOATTYPE_37_31_26 T_int)) (= FLOATTYPE_37_31_26 98) (= true_term (is SKIPSTMT_39_40_7 T_int)) (= SKIPSTMT_39_40_7 26) (= true_term (is URSHIFT_38_32_26 T_int)) (= URSHIFT_38_32_26 67) (= true_term (is COMPOUNDNAME_39_67_7 T_int)) (= COMPOUNDNAME_39_67_7 53) (= true_term (is LINKSRESOLVED_774_28 T_int)) (= LINKSRESOLVED_774_28 4) (= true_term (is CHARTYPE_37_30_26 T_int)) (= CHARTYPE_37_30_26 97) (= true_term (is FORSTMT_39_39_7 T_int)) (= FORSTMT_39_39_7 25) (= true_term (is RSHIFT_38_31_26 T_int)) (= RSHIFT_38_31_26 66) (= true_term (is SIMPLENAME_39_66_7 T_int)) (= SIMPLENAME_39_66_7 52) (= true_term (is out_63_83_49 T_java_io_PrintStream)) (= true_term (is RESOLVINGLINKS_773_28 T_int)) (= RESOLVINGLINKS_773_28 3) (= true_term (is LONGTYPE_37_29_26 T_int)) (= LONGTYPE_37_29_26 96) (= true_term (is IFSTMT_39_38_7 T_int)) (= IFSTMT_39_38_7 24) (= true_term (is LSHIFT_38_30_26 T_int)) (= LSHIFT_38_30_26 65) (= true_term (is ARRAYTYPE_39_65_7 T_int)) (= ARRAYTYPE_39_65_7 51) (= true_term (is POSTFIXDEC_38_63_26 T_int)) (= POSTFIXDEC_38_63_26 92) (= true_term (is PARSED_772_28 T_int)) (= PARSED_772_28 2) (= true_term (is INTTYPE_37_28_26 T_int)) (= INTTYPE_37_28_26 95) (= true_term (is LABELSTMT_39_37_7 T_int)) (= LABELSTMT_39_37_7 23) (= true_term (is noTokens_36_212_27 T_int)) (= true_term (is LT_38_29_26 T_int)) (= LT_38_29_26 64) (= true_term (is map_301_35 T_java_util_Hashtable)) (not (= map_301_35 null)) (= (typeof map_301_35) T_java_util_Hashtable) (= true_term (is TYPENAME_39_64_7 T_int)) (= TYPENAME_39_64_7 50) (= true_term (is CREATED_771_28 T_int)) (= CREATED_771_28 1) (= true_term (is POSTFIXINC_38_62_26 T_int)) (= POSTFIXINC_38_62_26 91) (= true_term (is punctuationCodes_36_164_19 ?v_0)) (not (= punctuationCodes_36_164_19 null)) (= (typeof punctuationCodes_36_164_19) ?v_0) (= (arrayLength punctuationCodes_36_164_19) 48) (= true_term (is BOOLEANTYPE_37_27_26 T_int)) (= BOOLEANTYPE_37_27_26 94) (= true_term (is punctuationStrings_36_134_22 ?v_1)) (not (= punctuationStrings_36_134_22 null)) (= (typeof punctuationStrings_36_134_22) ?v_1) (= (arrayLength punctuationStrings_36_134_22) 48) (= true_term (is CONTINUESTMT_39_36_7 T_int)) (= CONTINUESTMT_39_36_7 22) (= true_term (is LE_38_28_26 T_int)) (= LE_38_28_26 63) (= true_term (is SUPEROBJECTDESIGNATOR_39_63_7 T_int)) (= SUPEROBJECTDESIGNATOR_39_63_7 49) (= true_term (is DEC_38_59_26 T_int)) (= DEC_38_59_26 90) (= true_term (is IDENT_37_25_26 T_int)) (= IDENT_37_25_26 93) (= true_term (is BREAKSTMT_39_35_7 T_int)) (= BREAKSTMT_39_35_7 21) (= true_term (is GT_38_27_26 T_int)) (= GT_38_27_26 62) (= true_term (is TYPEOBJECTDESIGNATOR_39_62_7 T_int)) (= TYPEOBJECTDESIGNATOR_39_62_7 48) (= true_term (is INC_38_58_26 T_int)) (= INC_38_58_26 89) (= true_term (is keywordStrings_36_181_30 ?v_1)) (not (= keywordStrings_36_181_30 null)) (= (typeof keywordStrings_36_181_30) ?v_1) (= (arrayLength keywordStrings_36_181_30) 51) (= true_term (is THROWSTMT_39_34_7 T_int)) (= THROWSTMT_39_34_7 20) (= true_term (is GE_38_26_26 T_int)) (= GE_38_26_26 61) (= true_term (is EXPROBJECTDESIGNATOR_39_61_7 T_int)) (= EXPROBJECTDESIGNATOR_39_61_7 47))))
(declare-fun body_pre_43_34_19 () Int)
(declare-fun body_43_34_19 () Int)
(declare-fun BITNOT_pre_38_57_26 () Int)
(declare-fun id_pre_15_32_34 () Int)
(declare-fun id_15_32_34 () Int)
(declare-fun locOpenParen_pre_144_52_13 () Int)
(declare-fun locOpenParen_144_52_13 () Int)
(declare-fun init_pre_145_35_19 () Int)
(declare-fun init_145_35_19 () Int)
(declare-fun RETURNSTMT_pre_39_33_7 () Int)
(declare-fun keyType_pre_27_16_25 () Int)
(declare-fun keyType_27_16_25 () Int)
(declare-fun EQ_pre_38_25_26 () Int)
(declare-fun CLASSLITERAL_pre_39_60_7 () Int)
(declare-fun NOT_pre_38_56_26 () Int)
(declare-fun locGuardOpenParen_pre_124_23_13 () Int)
(declare-fun locGuardOpenParen_124_23_13 () Int)
(declare-fun branchDecoration_pre_55_1898_31 () Int)
(declare-fun branchDecoration_55_1898_31 () Int)
(declare-fun NOTACCESSIBLE_pre_61_13_26 () Int)
(declare-fun length_pre_96_50_25 () Int)
(declare-fun length_96_50_25 () Int)
(declare-fun EVALSTMT_pre_39_32_7 () Int)
(declare-fun NE_pre_38_24_26 () Int)
(declare-fun LAST_KEYWORD_pre_36_103_26 () Int)
(declare-fun NULL_pre_36_82_26 () Int)
(declare-fun METHODINVOCATION_pre_39_59_7 () Int)
(declare-fun id_pre_44_32_34 () Int)
(declare-fun id_44_32_34 () Int)
(declare-fun loc_pre_128_18_13 () Int)
(declare-fun loc_128_18_13 () Int)
(declare-fun UNARYSUB_pre_38_55_26 () Int)
(declare-fun BADTYPECOMBO_pre_61_12_26 () Int)
(declare-fun NULL_pre_30_60_26 () Int)
(declare-fun locOpenBracket_pre_143_20_13 () Int)
(declare-fun locOpenBracket_143_20_13 () Int)
(declare-fun SYNCHRONIZESTMT_pre_39_31_7 () Int)
(declare-fun args_pre_43_30_41 () Int)
(declare-fun args_43_30_41 () Int)
(declare-fun BITAND_pre_38_23_26 () Int)
(declare-fun elements_pre_161_61_39 () Int)
(declare-fun elements_161_61_39 () Int)
(declare-fun AMBIGUOUSMETHODINVOCATION_pre_39_58_7 () Int)
(declare-fun methodSeq_pre_53_167_38 () Int)
(declare-fun methodSeq_53_167_38 () Int)
(declare-fun UNARYADD_pre_38_54_26 () Int)
(declare-fun modifiers_pre_15_28_13 () Int)
(declare-fun modifiers_15_28_13 () Int)
(declare-fun otherCodes_pre_36_202_27 () Int)
(declare-fun type_pre_155_20_28 () Int)
(declare-fun type_155_20_28 () Int)
(declare-fun enclosingEnv_pre_52_36 () Int)
(declare-fun enclosingEnv_52_36 () Int)
(declare-fun loc_pre_144_49_13 () Int)
(declare-fun loc_144_49_13 () Int)
(declare-fun inst_pre_54_174_26 () Int)
(declare-fun inst_54_174_26 () Int)
(declare-fun DOSTMT_pre_39_30_7 () Int)
(declare-fun locSuper_pre_158_20_13 () Int)
(declare-fun locSuper_158_20_13 () Int)
(declare-fun elements_pre_47_61_37 () Int)
(declare-fun elements_47_61_37 () Int)
(declare-fun BITXOR_pre_38_22_26 () Int)
(declare-fun count_pre_59_67_33 () Int)
(declare-fun count_59_67_33 () Int)
(declare-fun FIELDACCESS_pre_39_57_7 () Int)
(declare-fun pmodifiers_pre_44_30_27 () Int)
(declare-fun pmodifiers_44_30_27 () Int)
(declare-fun AMBIGUOUS_pre_61_11_26 () Int)
(declare-fun ASGBITXOR_pre_38_51_26 () Int)
(declare-fun locCloseBrace_pre_106_25_13 () Int)
(declare-fun locCloseBrace_106_25_13 () Int)
(declare-fun elemType_pre_159_18_28 () Int)
(declare-fun elemType_159_18_28 () Int)
(declare-fun elements_pre_171_61_33 () Int)
(declare-fun elements_171_61_33 () Int)
(declare-fun loc_pre_160_20_13 () Int)
(declare-fun loc_160_20_13 () Int)
(declare-fun modifiers_pre_44_28_13 () Int)
(declare-fun modifiers_44_28_13 () Int)
(declare-fun WHILESTMT_pre_39_29_7 () Int)
(declare-fun NOTFOUND_pre_61_10_26 () Int)
(declare-fun BITOR_pre_38_21_26 () Int)
(declare-fun VARIABLEACCESS_pre_39_56_7 () Int)
(declare-fun ASGBITOR_pre_38_50_26 () Int)
(declare-fun pmodifiers_pre_43_26_27 () Int)
(declare-fun pmodifiers_43_26_27 () Int)
(declare-fun type_pre_145_24_28 () Int)
(declare-fun type_145_24_28 () Int)
(declare-fun CLASSDECLSTMT_pre_39_28_7 () Int)
(declare-fun tag_pre_69_32_13 () Int)
(declare-fun tag_69_32_13 () Int)
(declare-fun currentStackBottom_pre_104_87_33 () Int)
(declare-fun currentStackBottom_104_87_33 () Int)
(declare-fun modifiers_pre_43_24_13 () Int)
(declare-fun modifiers_43_24_13 () Int)
(declare-fun count_pre_21_67_33 () Int)
(declare-fun count_21_67_33 () Int)
(declare-fun AMBIGUOUSVARIABLEACCESS_pre_39_55_7 () Int)
(declare-fun loc_pre_124_20_13 () Int)
(declare-fun loc_124_20_13 () Int)
(declare-fun THE_UNNAMED_PACKAGE_pre_484_31 () Int)
(declare-fun locFinally_pre_138_25_13 () Int)
(declare-fun locFinally_138_25_13 () Int)
(declare-fun ASGBITAND_pre_38_49_26 () Int)
(declare-fun loc_pre_69_50_13 () Int)
(declare-fun loc_69_50_13 () Int)
(declare-fun ids_pre_162_19_37 () Int)
(declare-fun ids_162_19_37 () Int)
(declare-fun VARDECLSTMT_pre_39_27_7 () Int)
(declare-fun I_will_establish_invariants_afterwards_pre_5_236_34 () Int)
(declare-fun I_will_establish_invariants_afterwards_5_236_34 () Int)
(declare-fun superCall_pre_140_24_17 () Int)
(declare-fun superCall_140_24_17 () Int)
(declare-fun PARENEXPR_pre_39_54_7 () Int)
(declare-fun AND_pre_38_20_26 () Int)
(declare-fun count_pre_57_67_33 () Int)
(declare-fun count_57_67_33 () Int)
(declare-fun ASGURSHIFT_pre_38_48_26 () Int)
(declare-fun locOpenBrace_pre_106_22_13 () Int)
(declare-fun locOpenBrace_106_22_13 () Int)
(declare-fun methods_pre_883_26 () Int)
(declare-fun methods_883_26 () Int)
(declare-fun locOpenBrackets_pre_145_65_29 () Int)
(declare-fun locOpenBrackets_145_65_29 () Int)
(declare-fun decorationType_pre_18_48_27 () Int)
(declare-fun decorationType_18_48_27 () Int)
(declare-fun SWITCHSTMT_pre_39_26_7 () Int)
(declare-fun member_pre_44_39 () Int)
(declare-fun member_44_39 () Int)
(declare-fun count_pre_170_67_33 () Int)
(declare-fun count_170_67_33 () Int)
(declare-fun NULLLIT_pre_37_45_26 () Int)
(declare-fun CASTEXPR_pre_39_53_7 () Int)
(declare-fun OR_pre_38_19_26 () Int)
(declare-fun ASGRSHIFT_pre_38_47_26 () Int)
(declare-fun decl_pre_154_34_20 () Int)
(declare-fun decl_154_34_20 () Int)
(declare-fun count_pre_172_67_33 () Int)
(declare-fun count_172_67_33 () Int)
(declare-fun elements_pre_56_61_38 () Int)
(declare-fun elements_56_61_38 () Int)
(declare-fun lengthFieldDecl_pre_24_917_40 () Int)
(declare-fun lengthFieldDecl_24_917_40 () Int)
(declare-fun ht_pre_169_33_36 () Int)
(declare-fun ht_169_33_36 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_36_28_26 () Int)
(declare-fun BLOCKSTMT_pre_39_25_7 () Int)
(declare-fun locColon_pre_147_25_13 () Int)
(declare-fun locColon_147_25_13 () Int)
(declare-fun whereDecoration_pre_17_597_41 () Int)
(declare-fun STRINGLIT_pre_37_44_26 () Int)
(declare-fun INSTANCEOFEXPR_pre_39_52_7 () Int)
(declare-fun locCloseBrace_pre_15_54_13 () Int)
(declare-fun locCloseBrace_15_54_13 () Int)
(declare-fun tokenType_pre_22_90_8 () Int)
(declare-fun tokenType_22_90_8 () Int)
(declare-fun ASGLSHIFT_pre_38_46_26 () Int)
(declare-fun value_pre_69_45_16 () Int)
(declare-fun value_69_45_16 () Int)
(declare-fun loc_pre_138_22_13 () Int)
(declare-fun loc_138_22_13 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_36_27_26 () Int)
(declare-fun FORMALPARADECL_pre_39_24_7 () Int)
(declare-fun loc_pre_148_21_13 () Int)
(declare-fun loc_148_21_13 () Int)
(declare-fun DOUBLELIT_pre_37_43_26 () Int)
(declare-fun CONDEXPR_pre_39_51_7 () Int)
(declare-fun locCloseBrace_pre_142_24_13 () Int)
(declare-fun locCloseBrace_142_24_13 () Int)
(declare-fun otherStrings_pre_36_193_30 () Int)
(declare-fun ASGSUB_pre_38_45_26 () Int)
(declare-fun sigDecoration_pre_104_38 () Int)
(declare-fun locType_pre_42_21_13 () Int)
(declare-fun locType_42_21_13 () Int)
(declare-fun STMTPRAGMA_pre_36_26_26 () Int)
(declare-fun FIELDDECL_pre_39_23_7 () Int)
(declare-fun decl_pre_151_26_38 () Int)
(declare-fun decl_151_26_38 () Int)
(declare-fun fieldSeq_pre_53_162_38 () Int)
(declare-fun fieldSeq_53_162_38 () Int)
(declare-fun count_pre_146_67_33 () Int)
(declare-fun count_146_67_33 () Int)
(declare-fun FLOATLIT_pre_37_42_26 () Int)
(declare-fun simpleName_pre_37_38 () Int)
(declare-fun simpleName_37_38 () Int)
(declare-fun NEWARRAYEXPR_pre_39_50_7 () Int)
(declare-fun locCloseParen_pre_149_24_13 () Int)
(declare-fun locCloseParen_149_24_13 () Int)
(declare-fun locDots_pre_162_31_29 () Int)
(declare-fun locDots_162_31_29 () Int)
(declare-fun ASGADD_pre_38_44_26 () Int)
(declare-fun MODIFIERPRAGMA_pre_36_25_26 () Int)
(declare-fun LOCALVARDECL_pre_39_22_7 () Int)
(declare-fun CHARLIT_pre_37_41_26 () Int)
(declare-fun locQuestion_pre_147_22_13 () Int)
(declare-fun locQuestion_147_22_13 () Int)
(declare-fun NEWINSTANCEEXPR_pre_39_49_7 () Int)
(declare-fun ASGREM_pre_38_43_26 () Int)
(declare-fun locOpenBrace_pre_15_51_13 () Int)
(declare-fun locOpenBrace_15_51_13 () Int)
(declare-fun fields_pre_875_27 () Int)
(declare-fun fields_875_27 () Int)
(declare-fun enclosingType_pre_32_39 () Int)
(declare-fun enclosingType_32_39 () Int)
(declare-fun LEXICALPRAGMA_pre_36_24_26 () Int)
(declare-fun INITBLOCK_pre_39_21_7 () Int)
(declare-fun type_pre_148_18_28 () Int)
(declare-fun type_148_18_28 () Int)
(declare-fun LONGLIT_pre_37_40_26 () Int)
(declare-fun ARRAYREFEXPR_pre_39_48_7 () Int)
(declare-fun locFirstSemi_pre_135_36_13 () Int)
(declare-fun locFirstSemi_135_36_13 () Int)
(declare-fun locDot_pre_144_29_13 () Int)
(declare-fun locDot_144_29_13 () Int)
(declare-fun CU_pre_71_30 () Int)
(declare-fun CU_71_30 () Int)
(declare-fun locOpenBrace_pre_142_21_13 () Int)
(declare-fun locOpenBrace_142_21_13 () Int)
(declare-fun FIRST_KEYWORD_pre_36_51_26 () Int)
(declare-fun ASGDIV_pre_38_42_26 () Int)
(declare-fun METHODDECL_pre_39_20_7 () Int)
(declare-fun locOp_pre_73_32_13 () Int)
(declare-fun locOp_73_32_13 () Int)
(declare-fun locOpenParen_pre_154_28_13 () Int)
(declare-fun locOpenParen_154_28_13 () Int)
(declare-fun INTLIT_pre_37_39_26 () Int)
(declare-fun THISEXPR_pre_39_47_7 () Int)
(declare-fun packageName_pre_27_40 () Int)
(declare-fun packageName_27_40 () Int)
(declare-fun ASGMUL_pre_38_41_26 () Int)
(declare-fun elementCount_pre_104_79_33 () Int)
(declare-fun elementCount_104_79_33 () Int)
(declare-fun elementType_pre_104_43_27 () Int)
(declare-fun elementType_104_43_27 () Int)
(declare-fun CONSTRUCTORDECL_pre_39_19_7 () Int)
(declare-fun typeEnv_pre_17_323_32 () Int)
(declare-fun typeEnv_17_323_32 () Int)
(declare-fun locId_pre_133_20_13 () Int)
(declare-fun locId_133_20_13 () Int)
(declare-fun BOOLEANLIT_pre_37_38_26 () Int)
(declare-fun superClass_pre_45_15_18 () Int)
(declare-fun superClass_45_15_18 () Int)
(declare-fun loc_pre_151_22_13 () Int)
(declare-fun loc_151_22_13 () Int)
(declare-fun ARRAYINIT_pre_39_46_7 () Int)
(declare-fun locOpenParen_pre_149_21_13 () Int)
(declare-fun locOpenParen_149_21_13 () Int)
(declare-fun ASSIGN_pre_38_40_26 () Int)
(declare-fun returnType_pre_42_18_28 () Int)
(declare-fun returnType_42_18_28 () Int)
(declare-fun inst_pre_53_25_52 () Int)
(declare-fun inst_53_25_52 () Int)
(declare-fun elements_pre_59_61_43 () Int)
(declare-fun elements_59_61_43 () Int)
(declare-fun locDot_pre_99_21_13 () Int)
(declare-fun locDot_99_21_13 () Int)
(declare-fun INTERFACEDECL_pre_39_18_7 () Int)
(declare-fun locId_pre_15_48_13 () Int)
(declare-fun locId_15_48_13 () Int)
(declare-fun SHORTTYPE_pre_37_36_26 () Int)
(declare-fun CATCHCLAUSE_pre_39_45_7 () Int)
(declare-fun owner_pre_8_35_28 () Int)
(declare-fun owner_8_35_28 () Int)
(declare-fun STAR_pre_38_37_26 () Int)
(declare-fun loc_pre_135_33_13 () Int)
(declare-fun loc_135_33_13 () Int)
(declare-fun state_pre_787_15 () Int)
(declare-fun state_787_15 () Int)
(declare-fun CLASSDECL_pre_39_17_7 () Int)
(declare-fun loc_pre_74_35_13 () Int)
(declare-fun loc_74_35_13 () Int)
(declare-fun locOpenParen_pre_140_48_13 () Int)
(declare-fun locOpenParen_140_48_13 () Int)
(declare-fun locId_pre_154_25_13 () Int)
(declare-fun locId_154_25_13 () Int)
(declare-fun enclosingInstance_pre_144_25_14 () Int)
(declare-fun enclosingInstance_144_25_14 () Int)
(declare-fun BYTETYPE_pre_37_35_26 () Int)
(declare-fun CONSTRUCTORINVOCATION_pre_39_44_7 () Int)
(declare-fun loc_pre_125_20_13 () Int)
(declare-fun loc_125_20_13 () Int)
(declare-fun MOD_pre_38_36_26 () Int)
(declare-fun decl_pre_152_28_19 () Int)
(declare-fun decl_152_28_19 () Int)
(declare-fun loc_pre_129_18_13 () Int)
(declare-fun loc_129_18_13 () Int)
(declare-fun locOp_pre_72_43_13 () Int)
(declare-fun locOp_72_43_13 () Int)
(declare-fun loc_pre_117_18_13 () Int)
(declare-fun loc_117_18_13 () Int)
(declare-fun elements_pre_21_61_41 () Int)
(declare-fun elements_21_61_41 () Int)
(declare-fun ONDEMANDIMPORTDECL_pre_39_16_7 () Int)
(declare-fun TYPESIG_pre_35_6_28 () Int)
(declare-fun lenId_pre_24_914_30 () Int)
(declare-fun lenId_24_914_30 () Int)
(declare-fun locId_pre_43_43_13 () Int)
(declare-fun locId_43_43_13 () Int)
(declare-fun NULLTYPE_pre_37_34_26 () Int)
(declare-fun locCloseParen_pre_150_21_13 () Int)
(declare-fun locCloseParen_150_21_13 () Int)
(declare-fun TRYCATCHSTMT_pre_39_43_7 () Int)
(declare-fun id_pre_151_19_34 () Int)
(declare-fun id_151_19_34 () Int)
(declare-fun type_pre_149_18_28 () Int)
(declare-fun type_149_18_28 () Int)
(declare-fun DIV_pre_38_35_26 () Int)
(declare-fun loc_pre_139_23_13 () Int)
(declare-fun loc_139_23_13 () Int)
(declare-fun overridesDecoration_pre_53_154_45 () Int)
(declare-fun overridesDecoration_53_154_45 () Int)
(declare-fun count_pre_161_67_33 () Int)
(declare-fun count_161_67_33 () Int)
(declare-fun locOpenParen_pre_153_30_13 () Int)
(declare-fun locOpenParen_153_30_13 () Int)
(declare-fun SINGLETYPEIMPORTDECL_pre_39_15_7 () Int)
(declare-fun elements_pre_57_61_39 () Int)
(declare-fun elements_57_61_39 () Int)
(declare-fun op_pre_73_26_13 () Int)
(declare-fun op_73_26_13 () Int)
(declare-fun myTypeDecl_pre_63_40 () Int)
(declare-fun myTypeDecl_63_40 () Int)
(declare-fun VOIDTYPE_pre_37_33_26 () Int)
(declare-fun TRYFINALLYSTMT_pre_39_42_7 () Int)
(declare-fun SUB_pre_38_34_26 () Int)
(declare-fun id_pre_42_15_34 () Int)
(declare-fun id_42_15_34 () Int)
(declare-fun loc_pre_145_49_13 () Int)
(declare-fun loc_145_49_13 () Int)
(declare-fun loc_pre_15_45_13 () Int)
(declare-fun loc_15_45_13 () Int)
(declare-fun elements_pre_170_61_36 () Int)
(declare-fun elements_170_61_36 () Int)
(declare-fun CHECKED_pre_776_28 () Int)
(declare-fun count_pre_47_67_33 () Int)
(declare-fun count_47_67_33 () Int)
(declare-fun COMPILATIONUNIT_pre_39_14_7 () Int)
(declare-fun locKeyword_pre_140_45_13 () Int)
(declare-fun locKeyword_140_45_13 () Int)
(declare-fun DOUBLETYPE_pre_37_32_26 () Int)
(declare-fun tag_pre_74_30_13 () Int)
(declare-fun tag_74_30_13 () Int)
(declare-fun elements_pre_172_61_43 () Int)
(declare-fun elements_172_61_43 () Int)
(declare-fun SWITCHLABEL_pre_39_41_7 () Int)
(declare-fun count_pre_171_67_33 () Int)
(declare-fun count_171_67_33 () Int)
(declare-fun loc_pre_141_22_13 () Int)
(declare-fun loc_141_22_13 () Int)
(declare-fun ADD_pre_38_33_26 () Int)
(declare-fun permitsNullValue_pre_27_31_27 () Int)
(declare-fun permitsNullValue_27_31_27 () Int)
(declare-fun id_pre_154_20_34 () Int)
(declare-fun id_154_20_34 () Int)
(declare-fun elementType_pre_169_22_27 () Int)
(declare-fun elementType_169_22_27 () Int)
(declare-fun PREPPED_pre_775_28 () Int)
(declare-fun locOpenParen_pre_126_23_13 () Int)
(declare-fun locOpenParen_126_23_13 () Int)
(declare-fun loc_pre_43_40_13 () Int)
(declare-fun loc_43_40_13 () Int)
(declare-fun FLOATTYPE_pre_37_31_26 () Int)
(declare-fun locId_pre_152_24_13 () Int)
(declare-fun locId_152_24_13 () Int)
(declare-fun SKIPSTMT_pre_39_40_7 () Int)
(declare-fun URSHIFT_pre_38_32_26 () Int)
(declare-fun COMPOUNDNAME_pre_39_67_7 () Int)
(declare-fun LINKSRESOLVED_pre_774_28 () Int)
(declare-fun loc_pre_16_30_13 () Int)
(declare-fun loc_16_30_13 () Int)
(declare-fun CHARTYPE_pre_37_30_26 () Int)
(declare-fun syntax_pre_4_28_29 () Int)
(declare-fun syntax_4_28_29 () Int)
(declare-fun FORSTMT_pre_39_39_7 () Int)
(declare-fun elements_pre_146_61_33 () Int)
(declare-fun elements_146_61_33 () Int)
(declare-fun RSHIFT_pre_38_31_26 () Int)
(declare-fun dims_pre_145_45_31 () Int)
(declare-fun dims_145_45_31 () Int)
(declare-fun elems_pre_15_41_39 () Int)
(declare-fun elems_15_41_39 () Int)
(declare-fun SIMPLENAME_pre_39_66_7 () Int)
(declare-fun locId_pre_44_38_13 () Int)
(declare-fun locId_44_38_13 () Int)
(declare-fun out_pre_63_83_49 () Int)
(declare-fun RESOLVINGLINKS_pre_773_28 () Int)
(declare-fun locOpenParen_pre_150_18_13 () Int)
(declare-fun locOpenParen_150_18_13 () Int)
(declare-fun constructorSeq_pre_53_171_38 () Int)
(declare-fun constructorSeq_53_171_38 () Int)
(declare-fun locIds_pre_162_25_29 () Int)
(declare-fun locIds_162_25_29 () Int)
(declare-fun LONGTYPE_pre_37_29_26 () Int)
(declare-fun elementType_pre_27_26_25 () Int)
(declare-fun elementType_27_26_25 () Int)
(declare-fun locDot_pre_140_41_13 () Int)
(declare-fun locDot_140_41_13 () Int)
(declare-fun IFSTMT_pre_39_38_7 () Int)
(declare-fun LSHIFT_pre_38_30_26 () Int)
(declare-fun loc_pre_137_29_13 () Int)
(declare-fun loc_137_29_13 () Int)
(declare-fun ARRAYTYPE_pre_39_65_7 () Int)
(declare-fun POSTFIXDEC_pre_38_63_26 () Int)
(declare-fun PARSED_pre_772_28 () Int)
(declare-fun INTTYPE_pre_37_28_26 () Int)
(declare-fun id_pre_152_21_34 () Int)
(declare-fun id_152_21_34 () Int)
(declare-fun LABELSTMT_pre_39_37_7 () Int)
(declare-fun noTokens_pre_36_212_27 () Int)
(declare-fun LT_pre_38_29_26 () Int)
(declare-fun count_pre_56_67_33 () Int)
(declare-fun count_56_67_33 () Int)
(declare-fun map_pre_301_35 () Int)
(declare-fun TYPENAME_pre_39_64_7 () Int)
(declare-fun loc_pre_121_18_13 () Int)
(declare-fun loc_121_18_13 () Int)
(declare-fun CREATED_pre_771_28 () Int)
(declare-fun op_pre_72_35_13 () Int)
(declare-fun op_72_35_13 () Int)
(declare-fun POSTFIXINC_pre_38_62_26 () Int)
(declare-fun punctuationCodes_pre_36_164_19 () Int)
(declare-fun BOOLEANTYPE_pre_37_27_26 () Int)
(declare-fun punctuationStrings_pre_36_134_22 () Int)
(declare-fun CONTINUESTMT_pre_39_36_7 () Int)
(declare-fun loc_pre_126_20_13 () Int)
(declare-fun loc_126_20_13 () Int)
(declare-fun loc_pre_136_16_13 () Int)
(declare-fun loc_136_16_13 () Int)
(declare-fun LE_pre_38_28_26 () Int)
(declare-fun typeDecoration_pre_55_1853_31 () Int)
(declare-fun typeDecoration_55_1853_31 () Int)
(declare-fun SUPEROBJECTDESIGNATOR_pre_39_63_7 () Int)
(declare-fun elements_pre_104_72_21 () Int)
(declare-fun elements_104_72_21 () Int)
(declare-fun type_pre_44_35_28 () Int)
(declare-fun type_44_35_28 () Int)
(declare-fun permitsNullKey_pre_27_21_27 () Int)
(declare-fun permitsNullKey_27_21_27 () Int)
(declare-fun superInterfaces_pre_15_34_35 () Int)
(declare-fun superInterfaces_15_34_35 () Int)
(declare-fun DEC_pre_38_59_26 () Int)
(declare-fun IDENT_pre_37_25_26 () Int)
(declare-fun BREAKSTMT_pre_39_35_7 () Int)
(declare-fun GT_pre_38_27_26 () Int)
(declare-fun TYPEOBJECTDESIGNATOR_pre_39_62_7 () Int)
(declare-fun locDot_pre_155_23_13 () Int)
(declare-fun locDot_155_23_13 () Int)
(declare-fun locCloseBracket_pre_143_23_13 () Int)
(declare-fun locCloseBracket_143_23_13 () Int)
(declare-fun loc_pre_131_18_13 () Int)
(declare-fun loc_131_18_13 () Int)
(declare-fun props_pre_63_396_44 () Int)
(declare-fun props_63_396_44 () Int)
(declare-fun INC_pre_38_58_26 () Int)
(declare-fun keywordStrings_pre_36_181_30 () Int)
(declare-fun loc_pre_98_29_13 () Int)
(declare-fun loc_98_29_13 () Int)
(declare-fun enclosingInstance_pre_140_37_14 () Int)
(declare-fun enclosingInstance_140_37_14 () Int)
(declare-fun THROWSTMT_pre_39_34_7 () Int)
(declare-fun locOpenBrace_pre_43_36_13 () Int)
(declare-fun locOpenBrace_43_36_13 () Int)
(declare-fun locOpenBracket_pre_159_21_13 () Int)
(declare-fun locOpenBracket_159_21_13 () Int)
(declare-fun GE_pre_38_26_26 () Int)
(declare-fun EXPROBJECTDESIGNATOR_pre_39_61_7 () Int)
(declare-fun loc_pre_134_22_13 () Int)
(declare-fun loc_134_22_13 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun simpleName_166_29 () Int)
(declare-fun enclosingEnv_167_26 () Int)
(declare-fun decl_168_31 () Int)
(declare-fun objectToBeConstructed () Int)
(declare-fun after_169_1_169_1 () Int)
(declare-fun RES_169_1_169_1 () Int)
(declare-fun EC_169_1_169_1 () Int)
(declare-fun ecReturn () Int)
(declare-fun packageName_27_40_1_ () Int)
(declare-fun enclosingType_32_39_1_ () Int)
(declare-fun simpleName_37_38_1_ () Int)
(declare-fun member_44_39_1_ () Int)
(declare-fun enclosingEnv_52_36_1_ () Int)
(declare-fun myTypeDecl_63_40_1_ () Int)
(declare-fun CU_71_30_1_ () Int)
(declare-fun state_787_15_1_ () Int)
(declare-fun fields_875_27_1_ () Int)
(declare-fun methods_883_26_1_ () Int)
(declare-fun syntax_570_9 () Int)
(declare-fun state_787_15_2_ () Int)
(declare-fun member_171_1 () Int)
(declare-fun simpleName_173_6 () Int)
(declare-fun enclosingEnv_174_6 () Int)
(declare-fun RES_176_35_176_35 () Int)
(declare-fun EC_176_35_176_35 () Int)
(declare-fun enclosingType_176_6 () Int)
(declare-fun obj_178_8_178_8_20_30_38 () Int)
(declare-fun EC_178_8_178_8 () Int)
(declare-fun packageName_182_6 () Int)
(declare-fun this_183_30_183_30 () Int)
(declare-fun RES_183_30_183_30 () Int)
(declare-fun EC_183_30_183_30 () Int)
(declare-fun CU_183_6 () Int)
(declare-fun CU_185_1_185_1_133_34 () Int)
(declare-fun EC_185_1_185_1 () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String)) (?v_2 (not (= enclosingEnv_167_26 null)))) (let ((?v_4 (and (= true_term (is enclosingEnv_167_26 T_javafe_tc_EnvForCU)) ?v_2)) (?v_24 (not (= true_term (isAllocated objectToBeConstructed alloc)))) (?v_25 (= true_term I_will_establish_invariants_afterwards_5_236_34)) (?v_26 (< alloc after_169_1_169_1)) (?v_27 (not (= RES_169_1_169_1 null))) (?v_28 (not (= true_term (isAllocated RES_169_1_169_1 alloc)))) (?v_29 (= true_term (is RES_169_1_169_1 T_javafe_ast_Type))) (?v_30 (= true_term (isAllocated RES_169_1_169_1 after_169_1_169_1))) (?v_31 (= EC_169_1_169_1 ecReturn)) (?v_32 (= (S_select owner_8_35_28 RES_169_1_169_1) null)) (?v_33 (= (PO_LT (typeof RES_169_1_169_1) T_javafe_tc_TypeSig) true_term)) (?v_34 (= objectToBeConstructed RES_169_1_169_1)) (?v_35 (= packageName_27_40_1_ (S_store packageName_27_40 RES_169_1_169_1 null))) (?v_36 (= enclosingType_32_39_1_ (S_store enclosingType_32_39 RES_169_1_169_1 null))) (?v_37 (= simpleName_37_38_1_ (S_store simpleName_37_38 RES_169_1_169_1 null))) (?v_38 (= member_44_39_1_ (S_store member_44_39 RES_169_1_169_1 false_term))) (?v_39 (= enclosingEnv_52_36_1_ (S_store enclosingEnv_52_36 RES_169_1_169_1 null))) (?v_40 (= myTypeDecl_63_40_1_ (S_store myTypeDecl_63_40 RES_169_1_169_1 null))) (?v_41 (= CU_71_30_1_ (S_store CU_71_30 RES_169_1_169_1 null))) (?v_42 (= state_787_15_1_ (S_store state_787_15 RES_169_1_169_1 0))) (?v_43 (= fields_875_27_1_ (S_store fields_875_27 RES_169_1_169_1 null))) (?v_44 (= methods_883_26_1_ (S_store methods_883_26 RES_169_1_169_1 null))) (?v_45 (forall ((?m_568_32 Int)) (=> (and (= true_term (is ?m_568_32 T_javafe_ast_MethodDecl)) (= true_term (isAllocated ?m_568_32 after_169_1_169_1)) (not (= ?m_568_32 null))) (not (= (S_select returnType_42_18_28 ?m_568_32) RES_169_1_169_1))))) (?v_46 (forall ((?g_569_36 Int)) (=> (and (= true_term (is ?g_569_36 T_javafe_ast_GenericVarDecl)) (= true_term (isAllocated ?g_569_36 after_169_1_169_1)) (not (= ?g_569_36 null))) (not (= (S_select type_44_35_28 ?g_569_36) RES_169_1_169_1))))) (?v_47 (= syntax_570_9 (S_store syntax_4_28_29 RES_169_1_169_1 false_term))) (?v_48 (= state_787_15_2_ (S_store state_787_15_1_ RES_169_1_169_1 CREATED_771_28))) (?v_49 (= member_171_1 (S_store member_44_39_1_ RES_169_1_169_1 false_term))) (?v_50 (= simpleName_173_6 (S_store simpleName_37_38_1_ RES_169_1_169_1 simpleName_166_29))) (?v_51 (= enclosingEnv_174_6 (S_store enclosingEnv_52_36_1_ RES_169_1_169_1 enclosingEnv_167_26))) (?v_52 (= true_term (is RES_176_35_176_35 T_javafe_tc_TypeSig))) (?v_53 (= true_term (isAllocated RES_176_35_176_35 after_169_1_169_1))) (?v_3 (= EC_176_35_176_35 ecReturn))) (let ((?v_54 (=> ?v_3 (= ?v_4 (= RES_176_35_176_35 null)))) (?v_55 (= enclosingType_176_6 (S_store enclosingType_32_39_1_ RES_169_1_169_1 RES_176_35_176_35))) (?v_5 (S_select enclosingType_176_6 RES_169_1_169_1))) (let ((?v_56 (not (= ?v_5 RES_169_1_169_1))) (?v_16 (= obj_178_8_178_8_20_30_38 ?v_5)) (?v_7 (= obj_178_8_178_8_20_30_38 null))) (let ((?v_6 (not ?v_7)) (?v_8 (not (= true_term (is obj_178_8_178_8_20_30_38 T_javafe_tc_TypeSig)))) (?v_10 (= (S_select enclosingType_176_6 obj_178_8_178_8_20_30_38) null)) (?v_9 (= true_term (S_select member_171_1 obj_178_8_178_8_20_30_38)))) (let ((?v_12 (not ?v_9)) (?v_13 (S_select state_787_15_2_ obj_178_8_178_8_20_30_38)) (?v_14 (= (S_select myTypeDecl_63_40_1_ obj_178_8_178_8_20_30_38) null))) (let ((?v_11 (not ?v_14)) (?v_15 (>= ?v_13 PREPPED_775_28)) (?v_57 (= EC_178_8_178_8 ecReturn)) (?v_17 (not (= ?v_5 null)))) (let ((?v_18 (not ?v_17)) (?v_58 (= packageName_182_6 (S_store packageName_27_40_1_ RES_169_1_169_1 (S_select packageName_27_40_1_ ?v_5)))) (?v_21 (= this_183_30_183_30 ?v_5)) (?v_19 (not (= true_term (S_select syntax_570_9 this_183_30_183_30)))) (?v_20 (= true_term (nonnullelements (S_select packageName_182_6 this_183_30_183_30) elems))) (?v_22 (= (= (S_select myTypeDecl_63_40_1_ this_183_30_183_30) null) (= (S_select CU_71_30_1_ this_183_30_183_30) null))) (?v_59 (= true_term (is RES_183_30_183_30 T_javafe_ast_CompilationUnit))) (?v_60 (= true_term (isAllocated RES_183_30_183_30 after_169_1_169_1))) (?v_23 (= EC_183_30_183_30 ecReturn))) (let ((?v_61 (=> ?v_23 (not (= RES_183_30_183_30 null)))) (?v_62 (= CU_183_6 (S_store CU_71_30_1_ RES_169_1_169_1 RES_183_30_183_30))) (?v_64 (S_select CU_183_6 RES_169_1_169_1))) (let ((?v_65 (= ?v_64 null))) (let ((?v_63 (not ?v_65)) (?v_67 (= (S_select myTypeDecl_63_40_1_ RES_169_1_169_1) null)) (?v_66 (= EC_185_1_185_1 ecReturn)) (?v_68 (= ecReturn ecReturn))) (not (=> true (=> (and (= body_pre_43_34_19 body_43_34_19) (= body_43_34_19 (asField body_43_34_19 T_javafe_ast_BlockStmt)) (< (fClosedTime body_43_34_19) alloc) (= BITNOT_pre_38_57_26 BITNOT_38_57_26) (= true_term (is BITNOT_38_57_26 T_int)) (= id_pre_15_32_34 id_15_32_34) (= id_15_32_34 (asField id_15_32_34 T_javafe_ast_Identifier)) (< (fClosedTime id_15_32_34) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select id_15_32_34 ?s) null)))) (= locOpenParen_pre_144_52_13 locOpenParen_144_52_13) (= locOpenParen_144_52_13 (asField locOpenParen_144_52_13 T_int)) (= init_pre_145_35_19 init_145_35_19) (= init_145_35_19 (asField init_145_35_19 T_javafe_ast_ArrayInit)) (< (fClosedTime init_145_35_19) alloc) (= RETURNSTMT_pre_39_33_7 RETURNSTMT_39_33_7) (= true_term (is RETURNSTMT_39_33_7 T_int)) (= keyType_pre_27_16_25 keyType_27_16_25) (= keyType_27_16_25 (asField keyType_27_16_25 T__TYPE)) (= EQ_pre_38_25_26 EQ_38_25_26) (= true_term (is EQ_38_25_26 T_int)) (= CLASSLITERAL_pre_39_60_7 CLASSLITERAL_39_60_7) (= true_term (is CLASSLITERAL_39_60_7 T_int)) (= NOT_pre_38_56_26 NOT_38_56_26) (= true_term (is NOT_38_56_26 T_int)) (= locGuardOpenParen_pre_124_23_13 locGuardOpenParen_124_23_13) (= locGuardOpenParen_124_23_13 (asField locGuardOpenParen_124_23_13 T_int)) (= branchDecoration_pre_55_1898_31 branchDecoration_55_1898_31) (= true_term (is branchDecoration_55_1898_31 T_javafe_ast_ASTDecoration)) (= true_term (isAllocated branchDecoration_55_1898_31 alloc)) (= NOTACCESSIBLE_pre_61_13_26 NOTACCESSIBLE_61_13_26) (= true_term (is NOTACCESSIBLE_61_13_26 T_int)) (= length_pre_96_50_25 length_96_50_25) (= length_96_50_25 (asField length_96_50_25 T_int)) (= EVALSTMT_pre_39_32_7 EVALSTMT_39_32_7) (= true_term (is EVALSTMT_39_32_7 T_int)) (= NE_pre_38_24_26 NE_38_24_26) (= true_term (is NE_38_24_26 T_int)) (= LAST_KEYWORD_pre_36_103_26 LAST_KEYWORD_36_103_26) (= true_term (is LAST_KEYWORD_36_103_26 T_int)) (= NULL_pre_36_82_26 NULL_36_82_26) (= true_term (is NULL_36_82_26 T_int)) (= METHODINVOCATION_pre_39_59_7 METHODINVOCATION_39_59_7) (= true_term (is METHODINVOCATION_39_59_7 T_int)) (= id_pre_44_32_34 id_44_32_34) (= id_44_32_34 (asField id_44_32_34 T_javafe_ast_Identifier)) (< (fClosedTime id_44_32_34) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select id_44_32_34 ?s_1_) null)))) (= loc_pre_128_18_13 loc_128_18_13) (= loc_128_18_13 (asField loc_128_18_13 T_int)) (= UNARYSUB_pre_38_55_26 UNARYSUB_38_55_26) (= true_term (is UNARYSUB_38_55_26 T_int)) (= BADTYPECOMBO_pre_61_12_26 BADTYPECOMBO_61_12_26) (= true_term (is BADTYPECOMBO_61_12_26 T_int)) (= NULL_pre_30_60_26 NULL_30_60_26) (= true_term (is NULL_30_60_26 T_int)) (= locOpenBracket_pre_143_20_13 locOpenBracket_143_20_13) (= locOpenBracket_143_20_13 (asField locOpenBracket_143_20_13 T_int)) (= SYNCHRONIZESTMT_pre_39_31_7 SYNCHRONIZESTMT_39_31_7) (= true_term (is SYNCHRONIZESTMT_39_31_7 T_int)) (= args_pre_43_30_41 args_43_30_41) (= args_43_30_41 (asField args_43_30_41 T_javafe_ast_FormalParaDeclVec)) (< (fClosedTime args_43_30_41) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select args_43_30_41 ?s_2_) null)))) (= BITAND_pre_38_23_26 BITAND_38_23_26) (= true_term (is BITAND_38_23_26 T_int)) (= elements_pre_161_61_39 elements_161_61_39) (= elements_161_61_39 (asField elements_161_61_39 (array T_javafe_ast_Identifier))) (< (fClosedTime elements_161_61_39) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select elements_161_61_39 ?s_3_) null)))) (= AMBIGUOUSMETHODINVOCATION_pre_39_58_7 AMBIGUOUSMETHODINVOCATION_39_58_7) (= true_term (is AMBIGUOUSMETHODINVOCATION_39_58_7 T_int)) (= methodSeq_pre_53_167_38 methodSeq_53_167_38) (= methodSeq_53_167_38 (asField methodSeq_53_167_38 T_javafe_util_StackVector)) (< (fClosedTime methodSeq_53_167_38) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select methodSeq_53_167_38 ?s_4_) null)))) (= UNARYADD_pre_38_54_26 UNARYADD_38_54_26) (= true_term (is UNARYADD_38_54_26 T_int)) (= modifiers_pre_15_28_13 modifiers_15_28_13) (= modifiers_15_28_13 (asField modifiers_15_28_13 T_int)) (= otherCodes_pre_36_202_27 otherCodes_36_202_27) (= true_term (is otherCodes_36_202_27 ?v_0)) (= true_term (isAllocated otherCodes_36_202_27 alloc)) (= type_pre_155_20_28 type_155_20_28) (= type_155_20_28 (asField type_155_20_28 T_javafe_ast_Type)) (< (fClosedTime type_155_20_28) alloc) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (not (= (S_select type_155_20_28 ?s_5_) null)))) (= enclosingEnv_pre_52_36 enclosingEnv_52_36) (= enclosingEnv_52_36 (asField enclosingEnv_52_36 T_javafe_tc_Env)) (< (fClosedTime enclosingEnv_52_36) alloc) (= loc_pre_144_49_13 loc_144_49_13) (= loc_144_49_13 (asField loc_144_49_13 T_int)) (= inst_pre_54_174_26 inst_54_174_26) (= true_term (is inst_54_174_26 T_javafe_tc_TypeCheck)) (= true_term (isAllocated inst_54_174_26 alloc)) (= DOSTMT_pre_39_30_7 DOSTMT_39_30_7) (= true_term (is DOSTMT_39_30_7 T_int)) (= locSuper_pre_158_20_13 locSuper_158_20_13) (= locSuper_158_20_13 (asField locSuper_158_20_13 T_int)) (= elements_pre_47_61_37 elements_47_61_37) (= elements_47_61_37 (asField elements_47_61_37 (array T_javafe_ast_TypeName))) (< (fClosedTime elements_47_61_37) alloc) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (not (= (S_select elements_47_61_37 ?s_6_) null)))) (= BITXOR_pre_38_22_26 BITXOR_38_22_26) (= true_term (is BITXOR_38_22_26 T_int)) (= count_pre_59_67_33 count_59_67_33) (= count_59_67_33 (asField count_59_67_33 T_int)) (= FIELDACCESS_pre_39_57_7 FIELDACCESS_39_57_7) (= true_term (is FIELDACCESS_39_57_7 T_int)) (= pmodifiers_pre_44_30_27 pmodifiers_44_30_27) (= pmodifiers_44_30_27 (asField pmodifiers_44_30_27 T_javafe_ast_ModifierPragmaVec)) (< (fClosedTime pmodifiers_44_30_27) alloc) (= AMBIGUOUS_pre_61_11_26 AMBIGUOUS_61_11_26) (= true_term (is AMBIGUOUS_61_11_26 T_int)) (= ASGBITXOR_pre_38_51_26 ASGBITXOR_38_51_26) (= true_term (is ASGBITXOR_38_51_26 T_int)) (= locCloseBrace_pre_106_25_13 locCloseBrace_106_25_13) (= locCloseBrace_106_25_13 (asField locCloseBrace_106_25_13 T_int)) (= elemType_pre_159_18_28 elemType_159_18_28) (= elemType_159_18_28 (asField elemType_159_18_28 T_javafe_ast_Type)) (< (fClosedTime elemType_159_18_28) alloc) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (not (= (S_select elemType_159_18_28 ?s_7_) null)))) (= elements_pre_171_61_33 elements_171_61_33) (= elements_171_61_33 (asField elements_171_61_33 (array T_javafe_ast_Stmt))) (< (fClosedTime elements_171_61_33) alloc) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (not (= (S_select elements_171_61_33 ?s_8_) null)))) (= loc_pre_160_20_13 loc_160_20_13) (= loc_160_20_13 (asField loc_160_20_13 T_int)) (= modifiers_pre_44_28_13 modifiers_44_28_13) (= modifiers_44_28_13 (asField modifiers_44_28_13 T_int)) (= WHILESTMT_pre_39_29_7 WHILESTMT_39_29_7) (= true_term (is WHILESTMT_39_29_7 T_int)) (= NOTFOUND_pre_61_10_26 NOTFOUND_61_10_26) (= true_term (is NOTFOUND_61_10_26 T_int)) (= BITOR_pre_38_21_26 BITOR_38_21_26) (= true_term (is BITOR_38_21_26 T_int)) (= VARIABLEACCESS_pre_39_56_7 VARIABLEACCESS_39_56_7) (= true_term (is VARIABLEACCESS_39_56_7 T_int)) (= ASGBITOR_pre_38_50_26 ASGBITOR_38_50_26) (= true_term (is ASGBITOR_38_50_26 T_int)) (= pmodifiers_pre_43_26_27 pmodifiers_43_26_27) (= pmodifiers_43_26_27 (asField pmodifiers_43_26_27 T_javafe_ast_ModifierPragmaVec)) (< (fClosedTime pmodifiers_43_26_27) alloc) (= type_pre_145_24_28 type_145_24_28) (= type_145_24_28 (asField type_145_24_28 T_javafe_ast_Type)) (< (fClosedTime type_145_24_28) alloc) (forall ((?s_9_ Int)) (=> (not (= ?s_9_ null)) (not (= (S_select type_145_24_28 ?s_9_) null)))) (= CLASSDECLSTMT_pre_39_28_7 CLASSDECLSTMT_39_28_7) (= true_term (is CLASSDECLSTMT_39_28_7 T_int)) (= tag_pre_69_32_13 tag_69_32_13) (= tag_69_32_13 (asField tag_69_32_13 T_int)) (= currentStackBottom_pre_104_87_33 currentStackBottom_104_87_33) (= currentStackBottom_104_87_33 (asField currentStackBottom_104_87_33 T_int)) (= modifiers_pre_43_24_13 modifiers_43_24_13) (= modifiers_43_24_13 (asField modifiers_43_24_13 T_int)) (= count_pre_21_67_33 count_21_67_33) (= count_21_67_33 (asField count_21_67_33 T_int)) (= AMBIGUOUSVARIABLEACCESS_pre_39_55_7 AMBIGUOUSVARIABLEACCESS_39_55_7) (= true_term (is AMBIGUOUSVARIABLEACCESS_39_55_7 T_int)) (= loc_pre_124_20_13 loc_124_20_13) (= loc_124_20_13 (asField loc_124_20_13 T_int)) (= THE_UNNAMED_PACKAGE_pre_484_31 THE_UNNAMED_PACKAGE_484_31) (= true_term (is THE_UNNAMED_PACKAGE_484_31 T_java_lang_String)) (= true_term (isAllocated THE_UNNAMED_PACKAGE_484_31 alloc)) (= locFinally_pre_138_25_13 locFinally_138_25_13) (= locFinally_138_25_13 (asField locFinally_138_25_13 T_int)) (= ASGBITAND_pre_38_49_26 ASGBITAND_38_49_26) (= true_term (is ASGBITAND_38_49_26 T_int)) (= loc_pre_69_50_13 loc_69_50_13) (= loc_69_50_13 (asField loc_69_50_13 T_int)) (= ids_pre_162_19_37 ids_162_19_37) (= ids_162_19_37 (asField ids_162_19_37 T_javafe_ast_IdentifierVec)) (< (fClosedTime ids_162_19_37) alloc) (forall ((?s_10_ Int)) (=> (not (= ?s_10_ null)) (not (= (S_select ids_162_19_37 ?s_10_) null)))) (= VARDECLSTMT_pre_39_27_7 VARDECLSTMT_39_27_7) (= true_term (is VARDECLSTMT_39_27_7 T_int)) (= I_will_establish_invariants_afterwards_pre_5_236_34 I_will_establish_invariants_afterwards_5_236_34) (= true_term (is I_will_establish_invariants_afterwards_5_236_34 T_boolean)) (= superCall_pre_140_24_17 superCall_140_24_17) (= superCall_140_24_17 (asField superCall_140_24_17 T_boolean)) (= PARENEXPR_pre_39_54_7 PARENEXPR_39_54_7) (= true_term (is PARENEXPR_39_54_7 T_int)) (= AND_pre_38_20_26 AND_38_20_26) (= true_term (is AND_38_20_26 T_int)) (= count_pre_57_67_33 count_57_67_33) (= count_57_67_33 (asField count_57_67_33 T_int)) (= ASGURSHIFT_pre_38_48_26 ASGURSHIFT_38_48_26) (= true_term (is ASGURSHIFT_38_48_26 T_int)) (= locOpenBrace_pre_106_22_13 locOpenBrace_106_22_13) (= locOpenBrace_106_22_13 (asField locOpenBrace_106_22_13 T_int)) (= methods_pre_883_26 methods_883_26) (= methods_883_26 (asField methods_883_26 T_javafe_tc_MethodDeclVec)) (< (fClosedTime methods_883_26) alloc) (= locOpenBrackets_pre_145_65_29 locOpenBrackets_145_65_29) (= locOpenBrackets_145_65_29 (asField locOpenBrackets_145_65_29 ?v_0)) (< (fClosedTime locOpenBrackets_145_65_29) alloc) (forall ((?s_11_ Int)) (=> (not (= ?s_11_ null)) (not (= (S_select locOpenBrackets_145_65_29 ?s_11_) null)))) (= decorationType_pre_18_48_27 decorationType_18_48_27) (= decorationType_18_48_27 (asField decorationType_18_48_27 T__TYPE)) (= SWITCHSTMT_pre_39_26_7 SWITCHSTMT_39_26_7) (= true_term (is SWITCHSTMT_39_26_7 T_int)) (= member_pre_44_39 member_44_39) (= member_44_39 (asField member_44_39 T_boolean)) (= count_pre_170_67_33 count_170_67_33) (= count_170_67_33 (asField count_170_67_33 T_int)) (= NULLLIT_pre_37_45_26 NULLLIT_37_45_26) (= true_term (is NULLLIT_37_45_26 T_int)) (= CASTEXPR_pre_39_53_7 CASTEXPR_39_53_7) (= true_term (is CASTEXPR_39_53_7 T_int)) (= OR_pre_38_19_26 OR_38_19_26) (= true_term (is OR_38_19_26 T_int)) (= ASGRSHIFT_pre_38_47_26 ASGRSHIFT_38_47_26) (= true_term (is ASGRSHIFT_38_47_26 T_int)) (= decl_pre_154_34_20 decl_154_34_20) (= decl_154_34_20 (asField decl_154_34_20 T_javafe_ast_MethodDecl)) (< (fClosedTime decl_154_34_20) alloc) (= count_pre_172_67_33 count_172_67_33) (= count_172_67_33 (asField count_172_67_33 T_int)) (= elements_pre_56_61_38 elements_56_61_38) (= elements_56_61_38 (asField elements_56_61_38 (array T_javafe_ast_FieldDecl))) (< (fClosedTime elements_56_61_38) alloc) (forall ((?s_12_ Int)) (=> (not (= ?s_12_ null)) (not (= (S_select elements_56_61_38 ?s_12_) null)))) (= lengthFieldDecl_pre_24_917_40 lengthFieldDecl_24_917_40) (= true_term (is lengthFieldDecl_24_917_40 T_javafe_ast_FieldDecl)) (= true_term (isAllocated lengthFieldDecl_24_917_40 alloc)) (not (= lengthFieldDecl_24_917_40 null)) (= ht_pre_169_33_36 ht_169_33_36) (= ht_169_33_36 (asField ht_169_33_36 T_java_util_Hashtable)) (< (fClosedTime ht_169_33_36) alloc) (forall ((?s_13_ Int)) (=> (not (= ?s_13_ null)) (not (= (S_select ht_169_33_36 ?s_13_) null)))) (= TYPEMODIFIERPRAGMA_pre_36_28_26 TYPEMODIFIERPRAGMA_36_28_26) (= true_term (is TYPEMODIFIERPRAGMA_36_28_26 T_int)) (= BLOCKSTMT_pre_39_25_7 BLOCKSTMT_39_25_7) (= true_term (is BLOCKSTMT_39_25_7 T_int)) (= locColon_pre_147_25_13 locColon_147_25_13) (= locColon_147_25_13 (asField locColon_147_25_13 T_int)) (= whereDecoration_pre_17_597_41 whereDecoration_17_597_41) (= true_term (is whereDecoration_17_597_41 T_javafe_ast_ASTDecoration)) (= true_term (isAllocated whereDecoration_17_597_41 alloc)) (= STRINGLIT_pre_37_44_26 STRINGLIT_37_44_26) (= true_term (is STRINGLIT_37_44_26 T_int)) (= INSTANCEOFEXPR_pre_39_52_7 INSTANCEOFEXPR_39_52_7) (= true_term (is INSTANCEOFEXPR_39_52_7 T_int)) (= locCloseBrace_pre_15_54_13 locCloseBrace_15_54_13) (= locCloseBrace_15_54_13 (asField locCloseBrace_15_54_13 T_int)) (= tokenType_pre_22_90_8 tokenType_22_90_8) (= tokenType_22_90_8 (asField tokenType_22_90_8 T_int)) (= ASGLSHIFT_pre_38_46_26 ASGLSHIFT_38_46_26) (= true_term (is ASGLSHIFT_38_46_26 T_int)) (= value_pre_69_45_16 value_69_45_16) (= value_69_45_16 (asField value_69_45_16 T_java_lang_Object)) (< (fClosedTime value_69_45_16) alloc) (= loc_pre_138_22_13 loc_138_22_13) (= loc_138_22_13 (asField loc_138_22_13 T_int)) (= TYPEDECLELEMPRAGMA_pre_36_27_26 TYPEDECLELEMPRAGMA_36_27_26) (= true_term (is TYPEDECLELEMPRAGMA_36_27_26 T_int)) (= FORMALPARADECL_pre_39_24_7 FORMALPARADECL_39_24_7) (= true_term (is FORMALPARADECL_39_24_7 T_int)) (= loc_pre_148_21_13 loc_148_21_13) (= loc_148_21_13 (asField loc_148_21_13 T_int)) (= DOUBLELIT_pre_37_43_26 DOUBLELIT_37_43_26) (= true_term (is DOUBLELIT_37_43_26 T_int)) (= CONDEXPR_pre_39_51_7 CONDEXPR_39_51_7) (= true_term (is CONDEXPR_39_51_7 T_int)) (= locCloseBrace_pre_142_24_13 locCloseBrace_142_24_13) (= locCloseBrace_142_24_13 (asField locCloseBrace_142_24_13 T_int)) (= otherStrings_pre_36_193_30 otherStrings_36_193_30) (= true_term (is otherStrings_36_193_30 ?v_1)) (= true_term (isAllocated otherStrings_36_193_30 alloc)) (= ASGSUB_pre_38_45_26 ASGSUB_38_45_26) (= true_term (is ASGSUB_38_45_26 T_int)) (= sigDecoration_pre_104_38 sigDecoration_104_38) (= true_term (is sigDecoration_104_38 T_javafe_ast_ASTDecoration)) (= true_term (isAllocated sigDecoration_104_38 alloc)) (= locType_pre_42_21_13 locType_42_21_13) (= locType_42_21_13 (asField locType_42_21_13 T_int)) (= STMTPRAGMA_pre_36_26_26 STMTPRAGMA_36_26_26) (= true_term (is STMTPRAGMA_36_26_26 T_int)) (= FIELDDECL_pre_39_23_7 FIELDDECL_39_23_7) (= true_term (is FIELDDECL_39_23_7 T_int)) (= decl_pre_151_26_38 decl_151_26_38) (= decl_151_26_38 (asField decl_151_26_38 T_javafe_ast_GenericVarDecl)) (< (fClosedTime decl_151_26_38) alloc) (forall ((?s_14_ Int)) (=> (not (= ?s_14_ null)) (not (= (S_select decl_151_26_38 ?s_14_) null)))) (= fieldSeq_pre_53_162_38 fieldSeq_53_162_38) (= fieldSeq_53_162_38 (asField fieldSeq_53_162_38 T_javafe_util_StackVector)) (< (fClosedTime fieldSeq_53_162_38) alloc) (forall ((?s_15_ Int)) (=> (not (= ?s_15_ null)) (not (= (S_select fieldSeq_53_162_38 ?s_15_) null)))) (= count_pre_146_67_33 count_146_67_33) (= count_146_67_33 (asField count_146_67_33 T_int)) (= FLOATLIT_pre_37_42_26 FLOATLIT_37_42_26) (= true_term (is FLOATLIT_37_42_26 T_int)) (= simpleName_pre_37_38 simpleName_37_38) (= simpleName_37_38 (asField simpleName_37_38 T_java_lang_String)) (< (fClosedTime simpleName_37_38) alloc) (= NEWARRAYEXPR_pre_39_50_7 NEWARRAYEXPR_39_50_7) (= true_term (is NEWARRAYEXPR_39_50_7 T_int)) (= locCloseParen_pre_149_24_13 locCloseParen_149_24_13) (= locCloseParen_149_24_13 (asField locCloseParen_149_24_13 T_int)) (= locDots_pre_162_31_29 locDots_162_31_29) (= locDots_162_31_29 (asField locDots_162_31_29 ?v_0)) (< (fClosedTime locDots_162_31_29) alloc) (forall ((?s_16_ Int)) (=> (not (= ?s_16_ null)) (not (= (S_select locDots_162_31_29 ?s_16_) null)))) (= ASGADD_pre_38_44_26 ASGADD_38_44_26) (= true_term (is ASGADD_38_44_26 T_int)) (= MODIFIERPRAGMA_pre_36_25_26 MODIFIERPRAGMA_36_25_26) (= true_term (is MODIFIERPRAGMA_36_25_26 T_int)) (= LOCALVARDECL_pre_39_22_7 LOCALVARDECL_39_22_7) (= true_term (is LOCALVARDECL_39_22_7 T_int)) (= CHARLIT_pre_37_41_26 CHARLIT_37_41_26) (= true_term (is CHARLIT_37_41_26 T_int)) (= locQuestion_pre_147_22_13 locQuestion_147_22_13) (= locQuestion_147_22_13 (asField locQuestion_147_22_13 T_int)) (= NEWINSTANCEEXPR_pre_39_49_7 NEWINSTANCEEXPR_39_49_7) (= true_term (is NEWINSTANCEEXPR_39_49_7 T_int)) (= ASGREM_pre_38_43_26 ASGREM_38_43_26) (= true_term (is ASGREM_38_43_26 T_int)) (= locOpenBrace_pre_15_51_13 locOpenBrace_15_51_13) (= locOpenBrace_15_51_13 (asField locOpenBrace_15_51_13 T_int)) (= fields_pre_875_27 fields_875_27) (= fields_875_27 (asField fields_875_27 T_javafe_tc_FieldDeclVec)) (< (fClosedTime fields_875_27) alloc) (= enclosingType_pre_32_39 enclosingType_32_39) (= enclosingType_32_39 (asField enclosingType_32_39 T_javafe_tc_TypeSig)) (< (fClosedTime enclosingType_32_39) alloc) (= LEXICALPRAGMA_pre_36_24_26 LEXICALPRAGMA_36_24_26) (= true_term (is LEXICALPRAGMA_36_24_26 T_int)) (= INITBLOCK_pre_39_21_7 INITBLOCK_39_21_7) (= true_term (is INITBLOCK_39_21_7 T_int)) (= type_pre_148_18_28 type_148_18_28) (= type_148_18_28 (asField type_148_18_28 T_javafe_ast_Type)) (< (fClosedTime type_148_18_28) alloc) (forall ((?s_17_ Int)) (=> (not (= ?s_17_ null)) (not (= (S_select type_148_18_28 ?s_17_) null)))) (= LONGLIT_pre_37_40_26 LONGLIT_37_40_26) (= true_term (is LONGLIT_37_40_26 T_int)) (= ARRAYREFEXPR_pre_39_48_7 ARRAYREFEXPR_39_48_7) (= true_term (is ARRAYREFEXPR_39_48_7 T_int)) (= locFirstSemi_pre_135_36_13 locFirstSemi_135_36_13) (= locFirstSemi_135_36_13 (asField locFirstSemi_135_36_13 T_int)) (= locDot_pre_144_29_13 locDot_144_29_13) (= locDot_144_29_13 (asField locDot_144_29_13 T_int)) (= CU_pre_71_30 CU_71_30) (= CU_71_30 (asField CU_71_30 T_javafe_ast_CompilationUnit)) (< (fClosedTime CU_71_30) alloc) (= locOpenBrace_pre_142_21_13 locOpenBrace_142_21_13) (= locOpenBrace_142_21_13 (asField locOpenBrace_142_21_13 T_int)) (= FIRST_KEYWORD_pre_36_51_26 FIRST_KEYWORD_36_51_26) (= true_term (is FIRST_KEYWORD_36_51_26 T_int)) (= ASGDIV_pre_38_42_26 ASGDIV_38_42_26) (= true_term (is ASGDIV_38_42_26 T_int)) (= METHODDECL_pre_39_20_7 METHODDECL_39_20_7) (= true_term (is METHODDECL_39_20_7 T_int)) (= locOp_pre_73_32_13 locOp_73_32_13) (= locOp_73_32_13 (asField locOp_73_32_13 T_int)) (= locOpenParen_pre_154_28_13 locOpenParen_154_28_13) (= locOpenParen_154_28_13 (asField locOpenParen_154_28_13 T_int)) (= INTLIT_pre_37_39_26 INTLIT_37_39_26) (= true_term (is INTLIT_37_39_26 T_int)) (= THISEXPR_pre_39_47_7 THISEXPR_39_47_7) (= true_term (is THISEXPR_39_47_7 T_int)) (= packageName_pre_27_40 packageName_27_40) (= packageName_27_40 (asField packageName_27_40 ?v_1)) (< (fClosedTime packageName_27_40) alloc) (= ASGMUL_pre_38_41_26 ASGMUL_38_41_26) (= true_term (is ASGMUL_38_41_26 T_int)) (= elementCount_pre_104_79_33 elementCount_104_79_33) (= elementCount_104_79_33 (asField elementCount_104_79_33 T_int)) (= elementType_pre_104_43_27 elementType_104_43_27) (= elementType_104_43_27 (asField elementType_104_43_27 T__TYPE)) (= CONSTRUCTORDECL_pre_39_19_7 CONSTRUCTORDECL_39_19_7) (= true_term (is CONSTRUCTORDECL_39_19_7 T_int)) (= typeEnv_pre_17_323_32 typeEnv_17_323_32) (= true_term (is typeEnv_17_323_32 T_javafe_ast_ASTDecoration)) (= true_term (isAllocated typeEnv_17_323_32 alloc)) (= locId_pre_133_20_13 locId_133_20_13) (= locId_133_20_13 (asField locId_133_20_13 T_int)) (= BOOLEANLIT_pre_37_38_26 BOOLEANLIT_37_38_26) (= true_term (is BOOLEANLIT_37_38_26 T_int)) (= superClass_pre_45_15_18 superClass_45_15_18) (= superClass_45_15_18 (asField superClass_45_15_18 T_javafe_ast_TypeName)) (< (fClosedTime superClass_45_15_18) alloc) (= loc_pre_151_22_13 loc_151_22_13) (= loc_151_22_13 (asField loc_151_22_13 T_int)) (= ARRAYINIT_pre_39_46_7 ARRAYINIT_39_46_7) (= true_term (is ARRAYINIT_39_46_7 T_int)) (= locOpenParen_pre_149_21_13 locOpenParen_149_21_13) (= locOpenParen_149_21_13 (asField locOpenParen_149_21_13 T_int)) (= ASSIGN_pre_38_40_26 ASSIGN_38_40_26) (= true_term (is ASSIGN_38_40_26 T_int)) (= returnType_pre_42_18_28 returnType_42_18_28) (= returnType_42_18_28 (asField returnType_42_18_28 T_javafe_ast_Type)) (< (fClosedTime returnType_42_18_28) alloc) (forall ((?s_18_ Int)) (=> (not (= ?s_18_ null)) (not (= (S_select returnType_42_18_28 ?s_18_) null)))) (= inst_pre_53_25_52 inst_53_25_52) (= true_term (is inst_53_25_52 T_javafe_tc_PrepTypeDeclaration)) (= true_term (isAllocated inst_53_25_52 alloc)) (not (= inst_53_25_52 null)) (= elements_pre_59_61_43 elements_59_61_43) (= elements_59_61_43 (asField elements_59_61_43 (array T_javafe_ast_FormalParaDecl))) (< (fClosedTime elements_59_61_43) alloc) (forall ((?s_19_ Int)) (=> (not (= ?s_19_ null)) (not (= (S_select elements_59_61_43 ?s_19_) null)))) (= locDot_pre_99_21_13 locDot_99_21_13) (= locDot_99_21_13 (asField locDot_99_21_13 T_int)) (= INTERFACEDECL_pre_39_18_7 INTERFACEDECL_39_18_7) (= true_term (is INTERFACEDECL_39_18_7 T_int)) (= locId_pre_15_48_13 locId_15_48_13) (= locId_15_48_13 (asField locId_15_48_13 T_int)) (= SHORTTYPE_pre_37_36_26 SHORTTYPE_37_36_26) (= true_term (is SHORTTYPE_37_36_26 T_int)) (= CATCHCLAUSE_pre_39_45_7 CATCHCLAUSE_39_45_7) (= true_term (is CATCHCLAUSE_39_45_7 T_int)) (= owner_pre_8_35_28 owner_8_35_28) (= owner_8_35_28 (asField owner_8_35_28 T_java_lang_Object)) (< (fClosedTime owner_8_35_28) alloc) (= STAR_pre_38_37_26 STAR_38_37_26) (= true_term (is STAR_38_37_26 T_int)) (= loc_pre_135_33_13 loc_135_33_13) (= loc_135_33_13 (asField loc_135_33_13 T_int)) (= state_pre_787_15 state_787_15) (= state_787_15 (asField state_787_15 T_int)) (= CLASSDECL_pre_39_17_7 CLASSDECL_39_17_7) (= true_term (is CLASSDECL_39_17_7 T_int)) (= loc_pre_74_35_13 loc_74_35_13) (= loc_74_35_13 (asField loc_74_35_13 T_int)) (= locOpenParen_pre_140_48_13 locOpenParen_140_48_13) (= locOpenParen_140_48_13 (asField locOpenParen_140_48_13 T_int)) (= locId_pre_154_25_13 locId_154_25_13) (= locId_154_25_13 (asField locId_154_25_13 T_int)) (= enclosingInstance_pre_144_25_14 enclosingInstance_144_25_14) (= enclosingInstance_144_25_14 (asField enclosingInstance_144_25_14 T_javafe_ast_Expr)) (< (fClosedTime enclosingInstance_144_25_14) alloc) (= BYTETYPE_pre_37_35_26 BYTETYPE_37_35_26) (= true_term (is BYTETYPE_37_35_26 T_int)) (= CONSTRUCTORINVOCATION_pre_39_44_7 CONSTRUCTORINVOCATION_39_44_7) (= true_term (is CONSTRUCTORINVOCATION_39_44_7 T_int)) (= loc_pre_125_20_13 loc_125_20_13) (= loc_125_20_13 (asField loc_125_20_13 T_int)) (= MOD_pre_38_36_26 MOD_38_36_26) (= true_term (is MOD_38_36_26 T_int)) (= decl_pre_152_28_19 decl_152_28_19) (= decl_152_28_19 (asField decl_152_28_19 T_javafe_ast_FieldDecl)) (< (fClosedTime decl_152_28_19) alloc) (= loc_pre_129_18_13 loc_129_18_13) (= loc_129_18_13 (asField loc_129_18_13 T_int)) (= locOp_pre_72_43_13 locOp_72_43_13) (= locOp_72_43_13 (asField locOp_72_43_13 T_int)) (= loc_pre_117_18_13 loc_117_18_13) (= loc_117_18_13 (asField loc_117_18_13 T_int)) (= elements_pre_21_61_41 elements_21_61_41) (= elements_21_61_41 (asField elements_21_61_41 (array T_javafe_ast_TypeDeclElem))) (< (fClosedTime elements_21_61_41) alloc) (forall ((?s_20_ Int)) (=> (not (= ?s_20_ null)) (not (= (S_select elements_21_61_41 ?s_20_) null)))) (= ONDEMANDIMPORTDECL_pre_39_16_7 ONDEMANDIMPORTDECL_39_16_7) (= true_term (is ONDEMANDIMPORTDECL_39_16_7 T_int)) (= TYPESIG_pre_35_6_28 TYPESIG_35_6_28) (= true_term (is TYPESIG_35_6_28 T_int)) (= lenId_pre_24_914_30 lenId_24_914_30) (= true_term (is lenId_24_914_30 T_javafe_ast_Identifier)) (= true_term (isAllocated lenId_24_914_30 alloc)) (= locId_pre_43_43_13 locId_43_43_13) (= locId_43_43_13 (asField locId_43_43_13 T_int)) (= NULLTYPE_pre_37_34_26 NULLTYPE_37_34_26) (= true_term (is NULLTYPE_37_34_26 T_int)) (= locCloseParen_pre_150_21_13 locCloseParen_150_21_13) (= locCloseParen_150_21_13 (asField locCloseParen_150_21_13 T_int)) (= TRYCATCHSTMT_pre_39_43_7 TRYCATCHSTMT_39_43_7) (= true_term (is TRYCATCHSTMT_39_43_7 T_int)) (= id_pre_151_19_34 id_151_19_34) (= id_151_19_34 (asField id_151_19_34 T_javafe_ast_Identifier)) (< (fClosedTime id_151_19_34) alloc) (forall ((?s_21_ Int)) (=> (not (= ?s_21_ null)) (not (= (S_select id_151_19_34 ?s_21_) null)))) (= type_pre_149_18_28 type_149_18_28) (= type_149_18_28 (asField type_149_18_28 T_javafe_ast_Type)) (< (fClosedTime type_149_18_28) alloc) (forall ((?s_22_ Int)) (=> (not (= ?s_22_ null)) (not (= (S_select type_149_18_28 ?s_22_) null)))) (= DIV_pre_38_35_26 DIV_38_35_26) (= true_term (is DIV_38_35_26 T_int)) (= loc_pre_139_23_13 loc_139_23_13) (= loc_139_23_13 (asField loc_139_23_13 T_int)) (= overridesDecoration_pre_53_154_45 overridesDecoration_53_154_45) (= true_term (is overridesDecoration_53_154_45 T_javafe_ast_ASTDecoration)) (= true_term (isAllocated overridesDecoration_53_154_45 alloc)) (not (= overridesDecoration_53_154_45 null)) (= count_pre_161_67_33 count_161_67_33) (= count_161_67_33 (asField count_161_67_33 T_int)) (= locOpenParen_pre_153_30_13 locOpenParen_153_30_13) (= locOpenParen_153_30_13 (asField locOpenParen_153_30_13 T_int)) (= SINGLETYPEIMPORTDECL_pre_39_15_7 SINGLETYPEIMPORTDECL_39_15_7) (= true_term (is SINGLETYPEIMPORTDECL_39_15_7 T_int)) (= elements_pre_57_61_39 elements_57_61_39) (= elements_57_61_39 (asField elements_57_61_39 (array T_javafe_ast_MethodDecl))) (< (fClosedTime elements_57_61_39) alloc) (forall ((?s_23_ Int)) (=> (not (= ?s_23_ null)) (not (= (S_select elements_57_61_39 ?s_23_) null)))) (= op_pre_73_26_13 op_73_26_13) (= op_73_26_13 (asField op_73_26_13 T_int)) (= myTypeDecl_pre_63_40 myTypeDecl_63_40) (= myTypeDecl_63_40 (asField myTypeDecl_63_40 T_javafe_ast_TypeDecl)) (< (fClosedTime myTypeDecl_63_40) alloc) (= VOIDTYPE_pre_37_33_26 VOIDTYPE_37_33_26) (= true_term (is VOIDTYPE_37_33_26 T_int)) (= TRYFINALLYSTMT_pre_39_42_7 TRYFINALLYSTMT_39_42_7) (= true_term (is TRYFINALLYSTMT_39_42_7 T_int)) (= SUB_pre_38_34_26 SUB_38_34_26) (= true_term (is SUB_38_34_26 T_int)) (= id_pre_42_15_34 id_42_15_34) (= id_42_15_34 (asField id_42_15_34 T_javafe_ast_Identifier)) (< (fClosedTime id_42_15_34) alloc) (forall ((?s_24_ Int)) (=> (not (= ?s_24_ null)) (not (= (S_select id_42_15_34 ?s_24_) null)))) (= loc_pre_145_49_13 loc_145_49_13) (= loc_145_49_13 (asField loc_145_49_13 T_int)) (= loc_pre_15_45_13 loc_15_45_13) (= loc_15_45_13 (asField loc_15_45_13 T_int)) (= elements_pre_170_61_36 elements_170_61_36) (= elements_170_61_36 (asField elements_170_61_36 (array T_javafe_tc_TypeSig))) (< (fClosedTime elements_170_61_36) alloc) (forall ((?s_25_ Int)) (=> (not (= ?s_25_ null)) (not (= (S_select elements_170_61_36 ?s_25_) null)))) (= CHECKED_pre_776_28 CHECKED_776_28) (= true_term (is CHECKED_776_28 T_int)) (= count_pre_47_67_33 count_47_67_33) (= count_47_67_33 (asField count_47_67_33 T_int)) (= COMPILATIONUNIT_pre_39_14_7 COMPILATIONUNIT_39_14_7) (= true_term (is COMPILATIONUNIT_39_14_7 T_int)) (= locKeyword_pre_140_45_13 locKeyword_140_45_13) (= locKeyword_140_45_13 (asField locKeyword_140_45_13 T_int)) (= DOUBLETYPE_pre_37_32_26 DOUBLETYPE_37_32_26) (= true_term (is DOUBLETYPE_37_32_26 T_int)) (= tag_pre_74_30_13 tag_74_30_13) (= tag_74_30_13 (asField tag_74_30_13 T_int)) (= elements_pre_172_61_43 elements_172_61_43) (= elements_172_61_43 (asField elements_172_61_43 (array T_javafe_ast_ModifierPragma))) (< (fClosedTime elements_172_61_43) alloc) (forall ((?s_26_ Int)) (=> (not (= ?s_26_ null)) (not (= (S_select elements_172_61_43 ?s_26_) null)))) (= SWITCHLABEL_pre_39_41_7 SWITCHLABEL_39_41_7) (= true_term (is SWITCHLABEL_39_41_7 T_int)) (= count_pre_171_67_33 count_171_67_33) (= count_171_67_33 (asField count_171_67_33 T_int)) (= loc_pre_141_22_13 loc_141_22_13) (= loc_141_22_13 (asField loc_141_22_13 T_int)) (= ADD_pre_38_33_26 ADD_38_33_26) (= true_term (is ADD_38_33_26 T_int)) (= permitsNullValue_pre_27_31_27 permitsNullValue_27_31_27) (= permitsNullValue_27_31_27 (asField permitsNullValue_27_31_27 T_boolean)) (= id_pre_154_20_34 id_154_20_34) (= id_154_20_34 (asField id_154_20_34 T_javafe_ast_Identifier)) (< (fClosedTime id_154_20_34) alloc) (forall ((?s_27_ Int)) (=> (not (= ?s_27_ null)) (not (= (S_select id_154_20_34 ?s_27_) null)))) (= elementType_pre_169_22_27 elementType_169_22_27) (= elementType_169_22_27 (asField elementType_169_22_27 T__TYPE)) (= PREPPED_pre_775_28 PREPPED_775_28) (= true_term (is PREPPED_775_28 T_int)) (= locOpenParen_pre_126_23_13 locOpenParen_126_23_13) (= locOpenParen_126_23_13 (asField locOpenParen_126_23_13 T_int)) (= loc_pre_43_40_13 loc_43_40_13) (= loc_43_40_13 (asField loc_43_40_13 T_int)) (= FLOATTYPE_pre_37_31_26 FLOATTYPE_37_31_26) (= true_term (is FLOATTYPE_37_31_26 T_int)) (= locId_pre_152_24_13 locId_152_24_13) (= locId_152_24_13 (asField locId_152_24_13 T_int)) (= SKIPSTMT_pre_39_40_7 SKIPSTMT_39_40_7) (= true_term (is SKIPSTMT_39_40_7 T_int)) (= URSHIFT_pre_38_32_26 URSHIFT_38_32_26) (= true_term (is URSHIFT_38_32_26 T_int)) (= COMPOUNDNAME_pre_39_67_7 COMPOUNDNAME_39_67_7) (= true_term (is COMPOUNDNAME_39_67_7 T_int)) (= LINKSRESOLVED_pre_774_28 LINKSRESOLVED_774_28) (= true_term (is LINKSRESOLVED_774_28 T_int)) (= loc_pre_16_30_13 loc_16_30_13) (= loc_16_30_13 (asField loc_16_30_13 T_int)) (= CHARTYPE_pre_37_30_26 CHARTYPE_37_30_26) (= true_term (is CHARTYPE_37_30_26 T_int)) (= syntax_pre_4_28_29 syntax_4_28_29) (= syntax_4_28_29 (asField syntax_4_28_29 T_boolean)) (= FORSTMT_pre_39_39_7 FORSTMT_39_39_7) (= true_term (is FORSTMT_39_39_7 T_int)) (= elements_pre_146_61_33 elements_146_61_33) (= elements_146_61_33 (asField elements_146_61_33 (array T_javafe_ast_Expr))) (< (fClosedTime elements_146_61_33) alloc) (forall ((?s_28_ Int)) (=> (not (= ?s_28_ null)) (not (= (S_select elements_146_61_33 ?s_28_) null)))) (= RSHIFT_pre_38_31_26 RSHIFT_38_31_26) (= true_term (is RSHIFT_38_31_26 T_int)) (= dims_pre_145_45_31 dims_145_45_31) (= dims_145_45_31 (asField dims_145_45_31 T_javafe_ast_ExprVec)) (< (fClosedTime dims_145_45_31) alloc) (forall ((?s_29_ Int)) (=> (not (= ?s_29_ null)) (not (= (S_select dims_145_45_31 ?s_29_) null)))) (= elems_pre_15_41_39 elems_15_41_39) (= elems_15_41_39 (asField elems_15_41_39 T_javafe_ast_TypeDeclElemVec)) (< (fClosedTime elems_15_41_39) alloc) (forall ((?s_30_ Int)) (=> (not (= ?s_30_ null)) (not (= (S_select elems_15_41_39 ?s_30_) null)))) (= SIMPLENAME_pre_39_66_7 SIMPLENAME_39_66_7) (= true_term (is SIMPLENAME_39_66_7 T_int)) (= locId_pre_44_38_13 locId_44_38_13) (= locId_44_38_13 (asField locId_44_38_13 T_int)) (= out_pre_63_83_49 out_63_83_49) (= true_term (is out_63_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_63_83_49 alloc)) (not (= out_63_83_49 null)) (= RESOLVINGLINKS_pre_773_28 RESOLVINGLINKS_773_28) (= true_term (is RESOLVINGLINKS_773_28 T_int)) (= locOpenParen_pre_150_18_13 locOpenParen_150_18_13) (= locOpenParen_150_18_13 (asField locOpenParen_150_18_13 T_int)) (= constructorSeq_pre_53_171_38 constructorSeq_53_171_38) (= constructorSeq_53_171_38 (asField constructorSeq_53_171_38 T_javafe_util_StackVector)) (< (fClosedTime constructorSeq_53_171_38) alloc) (forall ((?s_31_ Int)) (=> (not (= ?s_31_ null)) (not (= (S_select constructorSeq_53_171_38 ?s_31_) null)))) (= locIds_pre_162_25_29 locIds_162_25_29) (= locIds_162_25_29 (asField locIds_162_25_29 ?v_0)) (< (fClosedTime locIds_162_25_29) alloc) (forall ((?s_32_ Int)) (=> (not (= ?s_32_ null)) (not (= (S_select locIds_162_25_29 ?s_32_) null)))) (= LONGTYPE_pre_37_29_26 LONGTYPE_37_29_26) (= true_term (is LONGTYPE_37_29_26 T_int)) (= elementType_pre_27_26_25 elementType_27_26_25) (= elementType_27_26_25 (asField elementType_27_26_25 T__TYPE)) (= locDot_pre_140_41_13 locDot_140_41_13) (= locDot_140_41_13 (asField locDot_140_41_13 T_int)) (= IFSTMT_pre_39_38_7 IFSTMT_39_38_7) (= true_term (is IFSTMT_39_38_7 T_int)) (= LSHIFT_pre_38_30_26 LSHIFT_38_30_26) (= true_term (is LSHIFT_38_30_26 T_int)) (= loc_pre_137_29_13 loc_137_29_13) (= loc_137_29_13 (asField loc_137_29_13 T_int)) (= ARRAYTYPE_pre_39_65_7 ARRAYTYPE_39_65_7) (= true_term (is ARRAYTYPE_39_65_7 T_int)) (= POSTFIXDEC_pre_38_63_26 POSTFIXDEC_38_63_26) (= true_term (is POSTFIXDEC_38_63_26 T_int)) (= PARSED_pre_772_28 PARSED_772_28) (= true_term (is PARSED_772_28 T_int)) (= INTTYPE_pre_37_28_26 INTTYPE_37_28_26) (= true_term (is INTTYPE_37_28_26 T_int)) (= id_pre_152_21_34 id_152_21_34) (= id_152_21_34 (asField id_152_21_34 T_javafe_ast_Identifier)) (< (fClosedTime id_152_21_34) alloc) (forall ((?s_33_ Int)) (=> (not (= ?s_33_ null)) (not (= (S_select id_152_21_34 ?s_33_) null)))) (= LABELSTMT_pre_39_37_7 LABELSTMT_39_37_7) (= true_term (is LABELSTMT_39_37_7 T_int)) (= noTokens_pre_36_212_27 noTokens_36_212_27) (= true_term (is noTokens_36_212_27 T_int)) (= LT_pre_38_29_26 LT_38_29_26) (= true_term (is LT_38_29_26 T_int)) (= count_pre_56_67_33 count_56_67_33) (= count_56_67_33 (asField count_56_67_33 T_int)) (= map_pre_301_35 map_301_35) (= true_term (is map_301_35 T_java_util_Hashtable)) (= true_term (isAllocated map_301_35 alloc)) (= TYPENAME_pre_39_64_7 TYPENAME_39_64_7) (= true_term (is TYPENAME_39_64_7 T_int)) (= loc_pre_121_18_13 loc_121_18_13) (= loc_121_18_13 (asField loc_121_18_13 T_int)) (= CREATED_pre_771_28 CREATED_771_28) (= true_term (is CREATED_771_28 T_int)) (= op_pre_72_35_13 op_72_35_13) (= op_72_35_13 (asField op_72_35_13 T_int)) (= POSTFIXINC_pre_38_62_26 POSTFIXINC_38_62_26) (= true_term (is POSTFIXINC_38_62_26 T_int)) (= punctuationCodes_pre_36_164_19 punctuationCodes_36_164_19) (= true_term (is punctuationCodes_36_164_19 ?v_0)) (= true_term (isAllocated punctuationCodes_36_164_19 alloc)) (= BOOLEANTYPE_pre_37_27_26 BOOLEANTYPE_37_27_26) (= true_term (is BOOLEANTYPE_37_27_26 T_int)) (= punctuationStrings_pre_36_134_22 punctuationStrings_36_134_22) (= true_term (is punctuationStrings_36_134_22 ?v_1)) (= true_term (isAllocated punctuationStrings_36_134_22 alloc)) (= CONTINUESTMT_pre_39_36_7 CONTINUESTMT_39_36_7) (= true_term (is CONTINUESTMT_39_36_7 T_int)) (= loc_pre_126_20_13 loc_126_20_13) (= loc_126_20_13 (asField loc_126_20_13 T_int)) (= loc_pre_136_16_13 loc_136_16_13) (= loc_136_16_13 (asField loc_136_16_13 T_int)) (= LE_pre_38_28_26 LE_38_28_26) (= true_term (is LE_38_28_26 T_int)) (= typeDecoration_pre_55_1853_31 typeDecoration_55_1853_31) (= true_term (is typeDecoration_55_1853_31 T_javafe_ast_ASTDecoration)) (= true_term (isAllocated typeDecoration_55_1853_31 alloc)) (= SUPEROBJECTDESIGNATOR_pre_39_63_7 SUPEROBJECTDESIGNATOR_39_63_7) (= true_term (is SUPEROBJECTDESIGNATOR_39_63_7 T_int)) (= elements_pre_104_72_21 elements_104_72_21) (= elements_104_72_21 (asField elements_104_72_21 (array T_java_lang_Object))) (< (fClosedTime elements_104_72_21) alloc) (= type_pre_44_35_28 type_44_35_28) (= type_44_35_28 (asField type_44_35_28 T_javafe_ast_Type)) (< (fClosedTime type_44_35_28) alloc) (forall ((?s_34_ Int)) (=> (not (= ?s_34_ null)) (not (= (S_select type_44_35_28 ?s_34_) null)))) (= permitsNullKey_pre_27_21_27 permitsNullKey_27_21_27) (= permitsNullKey_27_21_27 (asField permitsNullKey_27_21_27 T_boolean)) (= superInterfaces_pre_15_34_35 superInterfaces_15_34_35) (= superInterfaces_15_34_35 (asField superInterfaces_15_34_35 T_javafe_ast_TypeNameVec)) (< (fClosedTime superInterfaces_15_34_35) alloc) (forall ((?s_35_ Int)) (=> (not (= ?s_35_ null)) (not (= (S_select superInterfaces_15_34_35 ?s_35_) null)))) (= DEC_pre_38_59_26 DEC_38_59_26) (= true_term (is DEC_38_59_26 T_int)) (= IDENT_pre_37_25_26 IDENT_37_25_26) (= true_term (is IDENT_37_25_26 T_int)) (= BREAKSTMT_pre_39_35_7 BREAKSTMT_39_35_7) (= true_term (is BREAKSTMT_39_35_7 T_int)) (= GT_pre_38_27_26 GT_38_27_26) (= true_term (is GT_38_27_26 T_int)) (= TYPEOBJECTDESIGNATOR_pre_39_62_7 TYPEOBJECTDESIGNATOR_39_62_7) (= true_term (is TYPEOBJECTDESIGNATOR_39_62_7 T_int)) (= locDot_pre_155_23_13 locDot_155_23_13) (= locDot_155_23_13 (asField locDot_155_23_13 T_int)) (= locCloseBracket_pre_143_23_13 locCloseBracket_143_23_13) (= locCloseBracket_143_23_13 (asField locCloseBracket_143_23_13 T_int)) (= loc_pre_131_18_13 loc_131_18_13) (= loc_131_18_13 (asField loc_131_18_13 T_int)) (= props_pre_63_396_44 props_63_396_44) (= true_term (is props_63_396_44 T_java_util_Properties)) (= true_term (isAllocated props_63_396_44 alloc)) (not (= props_63_396_44 null)) (= INC_pre_38_58_26 INC_38_58_26) (= true_term (is INC_38_58_26 T_int)) (= keywordStrings_pre_36_181_30 keywordStrings_36_181_30) (= true_term (is keywordStrings_36_181_30 ?v_1)) (= true_term (isAllocated keywordStrings_36_181_30 alloc)) (= loc_pre_98_29_13 loc_98_29_13) (= loc_98_29_13 (asField loc_98_29_13 T_int)) (= enclosingInstance_pre_140_37_14 enclosingInstance_140_37_14) (= enclosingInstance_140_37_14 (asField enclosingInstance_140_37_14 T_javafe_ast_Expr)) (< (fClosedTime enclosingInstance_140_37_14) alloc) (= THROWSTMT_pre_39_34_7 THROWSTMT_39_34_7) (= true_term (is THROWSTMT_39_34_7 T_int)) (= locOpenBrace_pre_43_36_13 locOpenBrace_43_36_13) (= locOpenBrace_43_36_13 (asField locOpenBrace_43_36_13 T_int)) (= locOpenBracket_pre_159_21_13 locOpenBracket_159_21_13) (= locOpenBracket_159_21_13 (asField locOpenBracket_159_21_13 T_int)) (= GE_pre_38_26_26 GE_38_26_26) (= true_term (is GE_38_26_26 T_int)) (= EXPROBJECTDESIGNATOR_pre_39_61_7 EXPROBJECTDESIGNATOR_39_61_7) (= true_term (is EXPROBJECTDESIGNATOR_39_61_7 T_int)) (= loc_pre_134_22_13 loc_134_22_13) (= loc_134_22_13 (asField loc_134_22_13 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is simpleName_166_29 T_java_lang_String)) (= true_term (isAllocated simpleName_166_29 alloc)) (= true_term (is enclosingEnv_167_26 T_javafe_tc_Env)) (= true_term (isAllocated enclosingEnv_167_26 alloc)) ?v_2 (= true_term (is decl_168_31 T_javafe_ast_TypeDecl)) (= true_term (isAllocated decl_168_31 alloc)) (not (= decl_168_31 null)) (not ?v_4) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_tc_TypeSig)) (not (= ?brokenObj null)) (not (= ?brokenObj objectToBeConstructed))) (not (= true_term (S_select syntax_4_28_29 ?brokenObj))))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_1_ null)) (not (= ?brokenObj_1_ objectToBeConstructed)) (= (S_select enclosingType_32_39 ?brokenObj_1_) null)) (= true_term (S_select member_44_39 ?brokenObj_1_)))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_2_ null)) (not (= ?brokenObj_2_ objectToBeConstructed)) (not (= true_term (S_select member_44_39 ?brokenObj_2_)))) (not (= (S_select enclosingEnv_52_36 ?brokenObj_2_) null)))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_3_ null)) (not (= ?brokenObj_3_ objectToBeConstructed)) (>= (S_select state_787_15 ?brokenObj_3_) PARSED_772_28)) (not (= (S_select myTypeDecl_63_40 ?brokenObj_3_) null)))) (= (S_select decorationType_18_48_27 typeEnv_17_323_32) T_javafe_tc_Env) (= (S_select elementType_27_26_25 map_301_35) T_javafe_tc_TypeSig) (not (= typeEnv_17_323_32 null)) (= (S_select keyType_27_16_25 map_301_35) T_java_lang_String) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_ast_MethodDecl)) (not (= ?brokenObj_4_ null))) (= true_term (S_select syntax_4_28_29 (S_select returnType_42_18_28 ?brokenObj_4_))))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_5_ null)) (not (= ?brokenObj_5_ objectToBeConstructed)) (not (= (S_select enclosingType_32_39 ?brokenObj_5_) null))) (not (= (S_select myTypeDecl_63_40 ?brokenObj_5_) null)))) (= (S_select decorationType_18_48_27 whereDecoration_17_597_41) T_javafe_tc_TypeSig) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_6_ null)) (not (= ?brokenObj_6_ objectToBeConstructed))) (= true_term (nonnullelements (S_select packageName_27_40 ?brokenObj_6_) elems)))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_7_ null)) (not (= ?brokenObj_7_ objectToBeConstructed)) (= (S_select simpleName_37_38 ?brokenObj_7_) null)) (not (= true_term (S_select member_44_39 ?brokenObj_7_))))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_8_ null)) (not (= ?brokenObj_8_ objectToBeConstructed)) (>= (S_select state_787_15 ?brokenObj_8_) PREPPED_775_28)) (not (= (S_select methods_883_26 ?brokenObj_8_) null)))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_9_ null)) (not (= ?brokenObj_9_ objectToBeConstructed)) (< (S_select state_787_15 ?brokenObj_9_) PARSED_772_28)) (= (S_select myTypeDecl_63_40 ?brokenObj_9_) null))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_ast_GenericVarDecl)) (not (= ?brokenObj_10_ null))) (= true_term (S_select syntax_4_28_29 (S_select type_44_35_28 ?brokenObj_10_))))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_11_ null)) (not (= ?brokenObj_11_ objectToBeConstructed)) (>= (S_select state_787_15 ?brokenObj_11_) PREPPED_775_28)) (not (= (S_select fields_875_27 ?brokenObj_11_) null)))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_12_ null)) (not (= ?brokenObj_12_ objectToBeConstructed))) (= (= (S_select myTypeDecl_63_40 ?brokenObj_12_) null) (= (S_select CU_71_30 ?brokenObj_12_) null)))) (= (S_select decorationType_18_48_27 sigDecoration_104_38) T_javafe_tc_TypeSig) (or (and ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_29 ?v_30 ?v_31 ?v_32 ?v_33 ?v_34 ?v_35 ?v_36 ?v_37 ?v_38 ?v_39 ?v_40 ?v_41 ?v_42 ?v_43 ?v_44 ?v_45 ?v_46 ?v_47 ?v_48 ?v_49 ?v_50 ?v_51 ?v_52 ?v_53 ?v_3 ?v_54 ?v_55 ?v_56 (or (and ?v_16 (or (not ?v_6) (and ?v_6 (or (not (or ?v_7 ?v_8 (not (= true_term (S_select syntax_570_9 obj_178_8_178_8_20_30_38))))) (not (or ?v_7 ?v_8 (=> ?v_10 ?v_9))) (not (or ?v_7 ?v_8 (=> ?v_12 (not (= (S_select enclosingEnv_174_6 obj_178_8_178_8_20_30_38) null))))) (not (or ?v_7 ?v_8 (=> (>= ?v_13 PARSED_772_28) ?v_11))) (not (or ?v_7 (not (= true_term (is obj_178_8_178_8_20_30_38 T_javafe_ast_MethodDecl))) (= true_term (S_select syntax_570_9 (S_select returnType_42_18_28 obj_178_8_178_8_20_30_38))))) (not (or ?v_7 ?v_8 (=> (not ?v_10) ?v_11))) (not (or ?v_7 ?v_8 (= true_term (nonnullelements (S_select packageName_27_40_1_ obj_178_8_178_8_20_30_38) elems)))) (not (or ?v_7 ?v_8 (=> (= (S_select simpleName_173_6 obj_178_8_178_8_20_30_38) null) ?v_12))) (not (or ?v_7 ?v_8 (=> ?v_15 (not (= (S_select methods_883_26_1_ obj_178_8_178_8_20_30_38) null))))) (not (or ?v_7 ?v_8 (=> (< ?v_13 PARSED_772_28) ?v_14))) (not (or ?v_7 (not (= true_term (is obj_178_8_178_8_20_30_38 T_javafe_ast_GenericVarDecl))) (= true_term (S_select syntax_570_9 (S_select type_44_35_28 obj_178_8_178_8_20_30_38))))) (not (or ?v_7 ?v_8 (=> ?v_15 (not (= (S_select fields_875_27_1_ obj_178_8_178_8_20_30_38) null))))) (not (or ?v_7 ?v_8 (= ?v_14 (= (S_select CU_71_30_1_ obj_178_8_178_8_20_30_38) null)))))))) (and ?v_16 ?v_6 ?v_57 (or ?v_18 (and ?v_17 ?v_58 (or ?v_18 (and ?v_17 (or (and ?v_21 (or (not ?v_19) (and ?v_19 (or (not (forall ((?brokenObj_13_ Int)) (=> (and (= ?brokenObj_13_ this_183_30_183_30) (= (S_select enclosingType_176_6 ?brokenObj_13_) null)) (= true_term (S_select member_171_1 ?brokenObj_13_))))) (not (forall ((?brokenObj_14_ Int)) (=> (and (= ?brokenObj_14_ this_183_30_183_30) (not (= true_term (S_select member_171_1 ?brokenObj_14_)))) (not (= (S_select enclosingEnv_174_6 ?brokenObj_14_) null))))) (not (forall ((?brokenObj_15_ Int)) (=> (and (= ?brokenObj_15_ this_183_30_183_30) (>= (S_select state_787_15_2_ ?brokenObj_15_) PARSED_772_28)) (not (= (S_select myTypeDecl_63_40_1_ ?brokenObj_15_) null))))) (not (forall ((?brokenObj_16_ Int)) (=> (and (= ?brokenObj_16_ this_183_30_183_30) (not (= (S_select enclosingType_176_6 ?brokenObj_16_) null))) (not (= (S_select myTypeDecl_63_40_1_ ?brokenObj_16_) null))))) (not ?v_20) (and ?v_20 (or (not (forall ((?brokenObj_17_ Int)) (=> (and (= ?brokenObj_17_ this_183_30_183_30) (= (S_select simpleName_173_6 ?brokenObj_17_) null)) (not (= true_term (S_select member_171_1 ?brokenObj_17_)))))) (not (forall ((?brokenObj_18_ Int)) (=> (and (= ?brokenObj_18_ this_183_30_183_30) (>= (S_select state_787_15_2_ ?brokenObj_18_) PREPPED_775_28)) (not (= (S_select methods_883_26_1_ ?brokenObj_18_) null))))) (not (forall ((?brokenObj_19_ Int)) (=> (and (= ?brokenObj_19_ this_183_30_183_30) (< (S_select state_787_15_2_ ?brokenObj_19_) PARSED_772_28)) (= (S_select myTypeDecl_63_40_1_ ?brokenObj_19_) null)))) (not (forall ((?brokenObj_20_ Int)) (=> (and (= ?brokenObj_20_ this_183_30_183_30) (>= (S_select state_787_15_2_ ?brokenObj_20_) PREPPED_775_28)) (not (= (S_select fields_875_27_1_ ?brokenObj_20_) null))))) (not ?v_22))))))) (and ?v_21 ?v_19 ?v_20 ?v_22 ?v_59 ?v_60 ?v_23 ?v_61 ?v_62 (not ?v_63)))))))))) (and ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_29 ?v_30 ?v_31 ?v_32 ?v_33 ?v_34 ?v_35 ?v_36 ?v_37 ?v_38 ?v_39 ?v_40 ?v_41 ?v_42 ?v_43 ?v_44 ?v_45 ?v_46 ?v_47 ?v_48 ?v_49 ?v_50 ?v_51 ?v_52 ?v_53 ?v_3 ?v_54 ?v_55 ?v_56 ?v_16 ?v_6 ?v_57 ?v_17 ?v_58 ?v_17 ?v_21 ?v_19 ?v_20 ?v_22 ?v_59 ?v_60 ?v_23 ?v_61 ?v_62 ?v_63 (= CU_185_1_185_1_133_34 ?v_64) (not (= true_term (S_select syntax_570_9 RES_169_1_169_1))) (forall ((?brokenObj_21_ Int)) (=> (and (= ?brokenObj_21_ RES_169_1_169_1) (= (S_select enclosingType_176_6 ?brokenObj_21_) null)) (= true_term (S_select member_171_1 ?brokenObj_21_)))) (forall ((?brokenObj_22_ Int)) (=> (and (= ?brokenObj_22_ RES_169_1_169_1) (not (= true_term (S_select member_171_1 ?brokenObj_22_)))) (not (= (S_select enclosingEnv_174_6 ?brokenObj_22_) null)))) (forall ((?brokenObj_23_ Int)) (=> (and (= ?brokenObj_23_ RES_169_1_169_1) (>= (S_select state_787_15_2_ ?brokenObj_23_) PARSED_772_28)) (not (= (S_select myTypeDecl_63_40_1_ ?brokenObj_23_) null)))) (forall ((?brokenObj_24_ Int)) (=> (and (= ?brokenObj_24_ RES_169_1_169_1) (not (= (S_select enclosingType_176_6 ?brokenObj_24_) null))) (not (= (S_select myTypeDecl_63_40_1_ ?brokenObj_24_) null)))) (= true_term (nonnullelements (S_select packageName_182_6 RES_169_1_169_1) elems)) (forall ((?brokenObj_25_ Int)) (=> (and (= ?brokenObj_25_ RES_169_1_169_1) (= (S_select simpleName_173_6 ?brokenObj_25_) null)) (not (= true_term (S_select member_171_1 ?brokenObj_25_))))) (forall ((?brokenObj_26_ Int)) (=> (and (= ?brokenObj_26_ RES_169_1_169_1) (>= (S_select state_787_15_2_ ?brokenObj_26_) PREPPED_775_28)) (not (= (S_select methods_883_26_1_ ?brokenObj_26_) null)))) (forall ((?brokenObj_27_ Int)) (=> (and (= ?brokenObj_27_ RES_169_1_169_1) (< (S_select state_787_15_2_ ?brokenObj_27_) PARSED_772_28)) (= (S_select myTypeDecl_63_40_1_ ?brokenObj_27_) null))) (forall ((?brokenObj_28_ Int)) (=> (and (= ?brokenObj_28_ RES_169_1_169_1) (>= (S_select state_787_15_2_ ?brokenObj_28_) PREPPED_775_28)) (not (= (S_select fields_875_27_1_ ?brokenObj_28_) null)))) (= ?v_67 ?v_65) ?v_66 (=> ?v_66 (not ?v_67)) (or (not ?v_68) (and ?v_68 (or (not ?v_32) (and ?v_32 (or (not (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_tc_TypeSig)) (= true_term (isAllocated ?brokenObj after_169_1_169_1)) (not (= ?brokenObj null))) (not (= true_term (S_select syntax_570_9 ?brokenObj)))))) (not (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_tc_TypeSig)) (= true_term (isAllocated ?brokenObj_1_ after_169_1_169_1)) (not (= ?brokenObj_1_ null)) (= (S_select enclosingType_176_6 ?brokenObj_1_) null)) (= true_term (S_select member_171_1 ?brokenObj_1_))))) (not (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_tc_TypeSig)) (= true_term (isAllocated ?brokenObj_2_ after_169_1_169_1)) (not (= ?brokenObj_2_ null)) (not (= true_term (S_select member_171_1 ?brokenObj_2_)))) (not (= (S_select enclosingEnv_174_6 ?brokenObj_2_) null))))) (not (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_tc_TypeSig)) (= true_term (isAllocated ?brokenObj_3_ after_169_1_169_1)) (not (= ?brokenObj_3_ null)) (>= (S_select state_787_15_2_ ?brokenObj_3_) PARSED_772_28)) (not (= (S_select myTypeDecl_63_40_1_ ?brokenObj_3_) null))))) (not (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_ast_MethodDecl)) (= true_term (isAllocated ?brokenObj_4_ after_169_1_169_1)) (not (= ?brokenObj_4_ null)) (not (= ?brokenObj_4_ RES_169_1_169_1))) (= true_term (S_select syntax_570_9 (S_select returnType_42_18_28 ?brokenObj_4_)))))) (not (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_tc_TypeSig)) (= true_term (isAllocated ?brokenObj_5_ after_169_1_169_1)) (not (= ?brokenObj_5_ null)) (not (= (S_select enclosingType_176_6 ?brokenObj_5_) null))) (not (= (S_select myTypeDecl_63_40_1_ ?brokenObj_5_) null))))) (not (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_tc_TypeSig)) (= true_term (isAllocated ?brokenObj_6_ after_169_1_169_1)) (not (= ?brokenObj_6_ null))) (= true_term (nonnullelements (S_select packageName_182_6 ?brokenObj_6_) elems))))) (not (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_tc_TypeSig)) (= true_term (isAllocated ?brokenObj_7_ after_169_1_169_1)) (not (= ?brokenObj_7_ null)) (= (S_select simpleName_173_6 ?brokenObj_7_) null)) (not (= true_term (S_select member_171_1 ?brokenObj_7_)))))) (not (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_tc_TypeSig)) (= true_term (isAllocated ?brokenObj_8_ after_169_1_169_1)) (not (= ?brokenObj_8_ null)) (>= (S_select state_787_15_2_ ?brokenObj_8_) PREPPED_775_28)) (not (= (S_select methods_883_26_1_ ?brokenObj_8_) null))))) (not (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_tc_TypeSig)) (= true_term (isAllocated ?brokenObj_9_ after_169_1_169_1)) (not (= ?brokenObj_9_ null)) (< (S_select state_787_15_2_ ?brokenObj_9_) PARSED_772_28)) (= (S_select myTypeDecl_63_40_1_ ?brokenObj_9_) null)))) (not (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_ast_GenericVarDecl)) (= true_term (isAllocated ?brokenObj_10_ after_169_1_169_1)) (not (= ?brokenObj_10_ null)) (not (= ?brokenObj_10_ RES_169_1_169_1))) (= true_term (S_select syntax_570_9 (S_select type_44_35_28 ?brokenObj_10_)))))) (not (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_tc_TypeSig)) (= true_term (isAllocated ?brokenObj_11_ after_169_1_169_1)) (not (= ?brokenObj_11_ null)) (>= (S_select state_787_15_2_ ?brokenObj_11_) PREPPED_775_28)) (not (= (S_select fields_875_27_1_ ?brokenObj_11_) null))))) (not (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_tc_TypeSig)) (= true_term (isAllocated ?brokenObj_12_ after_169_1_169_1)) (not (= ?brokenObj_12_ null))) (= (= (S_select myTypeDecl_63_40_1_ ?brokenObj_12_) null) (= (S_select CU_183_6 ?brokenObj_12_) null)))))))))))))))))))))))))))))
(check-sat)
(exit)
